-- MySQL dump 10.13  Distrib 8.0.31, for Linux (x86_64)
--
-- Host: 127.0.0.1    Database: deepflow
-- ------------------------------------------------------
-- Server version	8.0.31

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!50503 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `acl`
--

DROP TABLE IF EXISTS `acl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `acl` (
  `id` int NOT NULL AUTO_INCREMENT,
  `business_id` int NOT NULL,
  `name` char(64) COLLATE utf8mb3_bin DEFAULT NULL,
  `type` int DEFAULT '2' COMMENT '1-epc; 2-custom',
  `tap_type` int DEFAULT '3' COMMENT '1-WAN; 3-LAN',
  `state` int DEFAULT '1' COMMENT '0-disable; 1-enable',
  `applications` char(64) COLLATE utf8mb3_bin NOT NULL COMMENT 'separated by , (1-performance analysis; 2-backpacking; 6-npb)',
  `epc_id` int DEFAULT NULL,
  `src_group_ids` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `dst_group_ids` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `protocol` int DEFAULT NULL,
  `src_ports` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `dst_ports` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `vlan` int DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `lcuuid` char(64) COLLATE utf8mb3_bin DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `acl`
--

LOCK TABLES `acl` WRITE;
/*!40000 ALTER TABLE `acl` DISABLE KEYS */;
/*!40000 ALTER TABLE `acl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `alarm_endpoint`
--

DROP TABLE IF EXISTS `alarm_endpoint`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `alarm_endpoint` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) COLLATE utf8mb3_bin NOT NULL,
  `push_type` int NOT NULL COMMENT '0-email, 1-url, 2-pcap',
  `description` text COLLATE utf8mb3_bin,
  `endpoints` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `user_id` int DEFAULT NULL,
  `start_type` int NOT NULL,
  `end_type` int NOT NULL,
  `method` char(64) COLLATE utf8mb3_bin DEFAULT NULL,
  `header` text COLLATE utf8mb3_bin,
  `body` text COLLATE utf8mb3_bin,
  `lcuuid` char(64) COLLATE utf8mb3_bin DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alarm_endpoint`
--

LOCK TABLES `alarm_endpoint` WRITE;
/*!40000 ALTER TABLE `alarm_endpoint` DISABLE KEYS */;
/*!40000 ALTER TABLE `alarm_endpoint` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `alarm_label`
--

DROP TABLE IF EXISTS `alarm_label`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `alarm_label` (
  `id` int NOT NULL AUTO_INCREMENT,
  `alarm_id` int NOT NULL,
  `label_name` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alarm_label`
--

LOCK TABLES `alarm_label` WRITE;
/*!40000 ALTER TABLE `alarm_label` DISABLE KEYS */;
/*!40000 ALTER TABLE `alarm_label` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `alarm_policy`
--

DROP TABLE IF EXISTS `alarm_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `alarm_policy` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sub_view_id` int DEFAULT NULL,
  `sub_view_type` tinyint(1) DEFAULT '0',
  `sub_view_name` text,
  `sub_view_url` text,
  `sub_view_params` text,
  `sub_view_metrics` text,
  `sub_view_extra` text,
  `user_id` int DEFAULT NULL,
  `name` char(64) NOT NULL,
  `level` tinyint(1) NOT NULL COMMENT '0.low 1.middle 2.high',
  `state` tinyint(1) DEFAULT '1' COMMENT '0.disabled 1.enabled',
  `app_type` tinyint(1) NOT NULL COMMENT '1-system 2-360view',
  `sub_type` tinyint(1) DEFAULT '1' COMMENT '1-指标量;20-组件状态;21-组件性能;22-自动删除;23-资源状态;24-平台信息',
  `deleted` tinyint(1) DEFAULT '0' COMMENT '0-not deleted; 1-deleted',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  `contrast_type` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1.abs 2.baseline',
  `target_line_uid` text,
  `target_line_name` text,
  `target_field` text,
  `data_level` char(64) NOT NULL DEFAULT '1m' COMMENT '1s or 1m',
  `upper_threshold` double DEFAULT NULL,
  `lower_threshold` double DEFAULT NULL,
  `agg` smallint DEFAULT '0' COMMENT '0-聚合; 1-不聚合',
  `delay` smallint DEFAULT '1' COMMENT '0-不延迟; 1-延迟',
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alarm_policy`
--

LOCK TABLES `alarm_policy` WRITE;
/*!40000 ALTER TABLE `alarm_policy` DISABLE KEYS */;
INSERT INTO `alarm_policy` VALUES (1,NULL,1,NULL,'/v1/alarm/vtap-lost/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"失联次数\", \"return_field_unit\": \"次\"}}]',NULL,NULL,'采集器失联',1,1,1,20,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,0,1,'b6530072-75d4-11ed-8db0-16a066930ee7'),(2,NULL,1,NULL,'/v1/alarm/vtap-drop/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"队列丢包1分钟总量\", \"return_field_unit\": \"个\"}}]',NULL,NULL,'采集器丢包',0,1,1,21,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,0,1,'b6540902-75d4-11ed-8db0-16a066930ee7'),(3,NULL,1,NULL,'/v1/alarm/tsdb-drop/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"队列丢包1分钟总量\", \"return_field_unit\": \"个\"}}]',NULL,NULL,'数据节点丢包',0,1,1,21,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,0,1,'b654d1ed-75d4-11ed-8db0-16a066930ee7'),(4,NULL,1,NULL,'/v1/alarm/controller-load/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"系统负载与CPU总数的相对比例5分钟谷值\", \"return_field_unit\": \"%\"}}]',NULL,NULL,'控制器负载高',0,1,1,21,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',70,NULL,0,1,'b655ade9-75d4-11ed-8db0-16a066930ee7'),(5,NULL,1,NULL,'/v1/alarm/analyzer-load/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"系统负载与CPU总数的相对比例5分钟谷值\", \"return_field_unit\": \"%\"}}]',NULL,NULL,'数据节点负载高',0,1,1,21,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',70,NULL,0,1,'b656b423-75d4-11ed-8db0-16a066930ee7'),(6,NULL,1,NULL,'/v1/alarm/vtap-exception/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"异常事件次数\", \"return_field_unit\": \"次\"}}]',NULL,NULL,'采集器异常',1,1,1,20,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,0,1,'b657b186-75d4-11ed-8db0-16a066930ee7'),(7,NULL,1,NULL,'/v1/alarm/controller-lost/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"失联次数\", \"return_field_unit\": \"次\"}}]',NULL,NULL,'控制器失联',2,1,1,20,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,0,1,'b6589e29-75d4-11ed-8db0-16a066930ee7'),(8,NULL,1,NULL,'/v1/alarm/analyzer-lost/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"失联次数\", \"return_field_unit\": \"次\"}}]',NULL,NULL,'数据节点失联',2,1,1,20,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,0,1,'b659a436-75d4-11ed-8db0-16a066930ee7'),(9,NULL,1,NULL,'/v1/alarm/controller-disk/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"磁盘使用空间比例\", \"return_field_unit\": \"%\"}}]',NULL,NULL,'控制器磁盘空间不足',0,1,1,21,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',70,NULL,0,1,'b65a9962-75d4-11ed-8db0-16a066930ee7'),(10,NULL,1,NULL,'/v1/alarm/tsdb-disk/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"磁盘使用空间比例\", \"return_field_unit\": \"%\"}}]',NULL,NULL,'数据节点磁盘空间不足',0,1,1,21,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',70,NULL,0,1,'b65b7d76-75d4-11ed-8db0-16a066930ee7'),(11,NULL,1,NULL,'/v1/alarm/vtap-cpu/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"CPU消耗比例5分钟谷值\", \"return_field_unit\": \"%\"}}]',NULL,NULL,'采集器CPU超限',0,1,1,21,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',70,NULL,0,1,'b65c3495-75d4-11ed-8db0-16a066930ee7'),(12,NULL,1,NULL,'/v1/alarm/vtap-memory/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"内存消耗比例5分钟谷值\", \"return_field_unit\": \"%\"}}]',NULL,NULL,'采集器内存超限',0,1,1,21,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',70,NULL,0,1,'b65cf7b2-75d4-11ed-8db0-16a066930ee7'),(13,NULL,1,NULL,'/v1/alarm/tsdb-write-failed/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"数据节点写入失败次数\", \"return_field_unit\": \"次\"}}]',NULL,NULL,'数据节点写入失败',1,1,1,21,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,0,1,'b65d7d6c-75d4-11ed-8db0-16a066930ee7'),(14,NULL,1,NULL,'/v1/alarm/process-start/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"进程启动次数\", \"return_field_unit\": \"次\"}}]',NULL,NULL,'进程启动',0,1,1,20,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,1,1,'b65e4103-75d4-11ed-8db0-16a066930ee7'),(15,NULL,1,NULL,'/v1/alarm/process-end/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"进程停止次数\", \"return_field_unit\": \"次\"}}]',NULL,NULL,'进程停止',0,1,1,20,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,1,1,'b65f4215-75d4-11ed-8db0-16a066930ee7'),(16,NULL,1,NULL,'/v1/alarm/policy-event/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"策略自动删除触发次数\", \"return_field_unit\": \"次\"}}]',NULL,NULL,'策略自动删除',0,1,1,22,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,1,1,'b660c54e-75d4-11ed-8db0-16a066930ee7'),(17,NULL,1,NULL,'/v1/alarm/platform-event/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"云平台同步异常触发次数\", \"return_field_unit\": \"次\"}}]',NULL,NULL,'云平台同步异常',1,1,1,23,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,0,1,'b6618bf8-75d4-11ed-8db0-16a066930ee7'),(18,NULL,1,NULL,'/v1/alarm/voucher-30days/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"可用天数\", \"return_field_unit\": \"天\"}}]',NULL,NULL,'DeepFlow预估可用天数不足30天',1,1,1,24,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1d',NULL,30,1,0,'b662405d-75d4-11ed-8db0-16a066930ee7'),(19,NULL,1,NULL,'/v1/alarm/voucher-0days/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"可用天数\", \"return_field_unit\": \"天\"}}]',NULL,NULL,'DeepFlow停止服务',2,1,1,24,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1d',NULL,0,1,0,'b662eb8a-75d4-11ed-8db0-16a066930ee7'),(20,NULL,1,NULL,'/v1/alarm/license-30days/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"最近一个要到期的授权文件\", \"return_field_unit\": \"天\"}}]',NULL,NULL,'DeepFlow授权不足30天',1,1,1,24,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1d',NULL,30,1,0,'b6636bcd-75d4-11ed-8db0-16a066930ee7'),(21,NULL,1,NULL,'/v1/alarm/license-0days/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"最近一个要到期的授权文件\", \"return_field_unit\": \"天\"}}]',NULL,NULL,'DeepFlow授权过期',2,1,1,24,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1d',NULL,0,1,0,'b66428e8-75d4-11ed-8db0-16a066930ee7'),(22,NULL,1,NULL,'/v1/alarm/vtap-sys-free-memory/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"系统空闲内存比例与空闲内存限制的比例5分钟内最大值\", \"return_field_unit\": \"%\"}}]',NULL,NULL,'采集器系统空闲内存比例超限',0,1,1,21,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',NULL,150,0,1,'b6649c26-75d4-11ed-8db0-16a066930ee7'),(23,NULL,1,NULL,'/v1/alarm/vtap-logcount-warning/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"WARN日志条数1分钟总量\", \"return_field_unit\": \"条\"}}]',NULL,NULL,'采集器的WARN日志条数超限',0,1,1,20,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,0,1,'b665290c-75d4-11ed-8db0-16a066930ee7'),(24,NULL,1,NULL,'/v1/alarm/vtap-logcount-error/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"ERR日志条数1分钟总量\", \"return_field_unit\": \"条\"}}]',NULL,NULL,'采集器的ERR日志条数超限',1,1,1,20,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',1,NULL,0,1,'b66ca48c-75d4-11ed-8db0-16a066930ee7'),(25,NULL,1,NULL,'/v1/alarm/sync-k8sinfo-delay/','{}','[{\"OPERATOR\": {\"return_field\": \"sysalarm_value\", \"return_field_description\": \"同步滞后时间\", \"return_field_unit\": \"秒\"}}]',NULL,NULL,'K8s容器信息同步滞后',1,1,1,23,0,'2022-12-07 02:13:17','2022-12-07 02:13:17',NULL,1,'','','sysalarm_value','1m',600,NULL,0,1,'b66d38d2-75d4-11ed-8db0-16a066930ee7');
/*!40000 ALTER TABLE `alarm_policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `alarm_policy_endpoint_connection`
--

DROP TABLE IF EXISTS `alarm_policy_endpoint_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `alarm_policy_endpoint_connection` (
  `id` int NOT NULL AUTO_INCREMENT,
  `alarm_id` int DEFAULT NULL,
  `endpoint_id` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `alarm_policy_endpoint_connection`
--

LOCK TABLES `alarm_policy_endpoint_connection` WRITE;
/*!40000 ALTER TABLE `alarm_policy_endpoint_connection` DISABLE KEYS */;
/*!40000 ALTER TABLE `alarm_policy_endpoint_connection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `analyzer`
--

DROP TABLE IF EXISTS `analyzer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `analyzer` (
  `id` int NOT NULL AUTO_INCREMENT,
  `state` int DEFAULT NULL COMMENT '0.Temp 1.Creating 2.Complete 3.Modifying 4.Exception',
  `ha_state` int DEFAULT '1' COMMENT '1.master 2.backup',
  `name` char(64) DEFAULT NULL,
  `description` varchar(256) DEFAULT NULL,
  `ip` char(64) DEFAULT NULL,
  `nat_ip` char(64) DEFAULT NULL,
  `agg` int DEFAULT '1',
  `cpu_num` int DEFAULT '0' COMMENT 'logical number of cpu',
  `memory_size` bigint DEFAULT '0',
  `arch` varchar(256) DEFAULT NULL,
  `os` varchar(256) DEFAULT NULL,
  `kernel_version` varchar(256) DEFAULT NULL,
  `tsdb_shard_id` int DEFAULT NULL,
  `tsdb_replica_ip` char(64) DEFAULT NULL,
  `tsdb_data_mount_path` varchar(256) DEFAULT NULL,
  `pcap_data_mount_path` varchar(256) DEFAULT NULL,
  `vtap_max` int DEFAULT '200',
  `synced_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `nat_ip_enabled` tinyint(1) DEFAULT '0' COMMENT '0: disabled 1:enabled',
  `pod_ip` char(64) DEFAULT NULL,
  `pod_name` char(64) DEFAULT NULL,
  `ca_md5` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `analyzer`
--

LOCK TABLES `analyzer` WRITE;
/*!40000 ALTER TABLE `analyzer` DISABLE KEYS */;
INSERT INTO `analyzer` VALUES (2,2,1,'cest-3',NULL,'172.17.172.136',NULL,1,4,16109850624,'x86_64','alpine 3.17.0','3.10.0',NULL,NULL,NULL,'/',200,'2023-03-10 09:42:54',0,'10.244.3.42','deepflow-server-5d75595844-p2zbl','a9c6b6613fe95a2a49e115ab017c3e88','c3b5592b-fd8b-4dec-bafe-ce355e33c8e5');
/*!40000 ALTER TABLE `analyzer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `az`
--

DROP TABLE IF EXISTS `az`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `az` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL,
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `label` varchar(64) DEFAULT '',
  `region` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `az`
--

LOCK TABLES `az` WRITE;
/*!40000 ALTER TABLE `az` DISABLE KEYS */;
INSERT INTO `az` VALUES (1,'系统默认',0,'','ffffffff-ffff-ffff-ffff-ffffffffffff','ffffffff-ffff-ffff-ffff-ffffffffffff','ffffffff-ffff-ffff-ffff-ffffffffffff','2022-12-07 10:13:12','2022-12-07 10:13:12',NULL),(2,'k8s-d-riaItWzFKw',0,'','ffffffff-ffff-ffff-ffff-ffffffffffff','26b59715-7a6f-5fb6-89fd-d1749146aa29','26b59715-7a6f-5fb6-89fd-d1749146aaff','2022-12-07 10:13:43','2022-12-07 10:13:43',NULL);
/*!40000 ALTER TABLE `az` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `az_analyzer_connection`
--

DROP TABLE IF EXISTS `az_analyzer_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `az_analyzer_connection` (
  `id` int NOT NULL AUTO_INCREMENT,
  `az` char(64) DEFAULT 'ALL',
  `region` char(64) DEFAULT 'ffffffff-ffff-ffff-ffff-ffffffffffff',
  `analyzer_ip` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `az_analyzer_connection`
--

LOCK TABLES `az_analyzer_connection` WRITE;
/*!40000 ALTER TABLE `az_analyzer_connection` DISABLE KEYS */;
INSERT INTO `az_analyzer_connection` VALUES (2,'ALL','ffffffff-ffff-ffff-ffff-ffffffffffff','172.17.172.136','17eedab3-447e-478a-b61c-8f2dfbc49438');
/*!40000 ALTER TABLE `az_analyzer_connection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `az_controller_connection`
--

DROP TABLE IF EXISTS `az_controller_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `az_controller_connection` (
  `id` int NOT NULL AUTO_INCREMENT,
  `az` char(64) DEFAULT 'ALL',
  `region` char(64) DEFAULT 'ffffffff-ffff-ffff-ffff-ffffffffffff',
  `controller_ip` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `az_controller_connection`
--

LOCK TABLES `az_controller_connection` WRITE;
/*!40000 ALTER TABLE `az_controller_connection` DISABLE KEYS */;
INSERT INTO `az_controller_connection` VALUES (2,'ALL','ffffffff-ffff-ffff-ffff-ffffffffffff','172.17.172.136','13d8a6ea-dde2-4690-8926-9114c91dc718');
/*!40000 ALTER TABLE `az_controller_connection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `cen`
--

DROP TABLE IF EXISTS `cen`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `cen` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `label` char(64) DEFAULT NULL,
  `alias` char(64) DEFAULT NULL,
  `epc_ids` text COMMENT 'separated by ,',
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `cen`
--

LOCK TABLES `cen` WRITE;
/*!40000 ALTER TABLE `cen` DISABLE KEYS */;
/*!40000 ALTER TABLE `cen` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_az`
--

DROP TABLE IF EXISTS `ch_az`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_az` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_az`
--

LOCK TABLES `ch_az` WRITE;
/*!40000 ALTER TABLE `ch_az` DISABLE KEYS */;
INSERT INTO `ch_az` VALUES (1,'系统默认',NULL,'2022-12-07 02:15:27'),(2,'k8s-d-riaItWzFKw',NULL,'2022-12-07 02:15:27');
/*!40000 ALTER TABLE `ch_az` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_device`
--

DROP TABLE IF EXISTS `ch_device`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_device` (
  `devicetype` int NOT NULL,
  `deviceid` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `uid` char(64) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`devicetype`,`deviceid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_device`
--

LOCK TABLES `ch_device` WRITE;
/*!40000 ALTER TABLE `ch_device` DISABLE KEYS */;
INSERT INTO `ch_device` VALUES (1,1,'cest-2','2f1ff8e1-523a-40db-b23f-47c56093a088',NULL,'2022-12-07 02:15:27'),(1,2,'k8sm1','2093bdbe-9e6d-4a4b-88ff-76891a0c3b59',NULL,'2022-12-07 02:15:27'),(1,3,'cest-3','ff61a082-ffac-4a16-bf21-71c17688dfd8',NULL,'2023-03-10 01:49:35'),(10,1,'deepflow-app-54886cd964-2xl2q (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,2,'deepflow-clickhouse-0 (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,3,'openebs-ndm-zp9np (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,4,'openebs-ndm-cluster-exporter-866c974856-6r6bs (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,5,'coredns-6d4b75cb6d-z6j9z',NULL,NULL,'2022-12-07 02:16:27'),(10,6,'openebs-ndm-ttqkq (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,7,'deepflow-server-5d75595844-qp7ld (deleted)',NULL,NULL,'2023-03-10 01:49:34'),(10,8,'kube-flannel-ds-kjjpr',NULL,NULL,'2022-12-07 02:16:27'),(10,9,'deepflow-grafana-7b5757d5f4-q4dfp (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,10,'coredns-6d4b75cb6d-s8b5c',NULL,NULL,'2022-12-07 02:16:27'),(10,11,'kube-proxy-dnqhh (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,12,'openebs-ndm-node-exporter-w9r9b (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,13,'openebs-localpv-provisioner-dd977fdd5-7flf9 (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,14,'deepflow-mysql-8bc7c7777-p4qcz (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,15,'deepflow-agent-fdmhk (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,16,'kube-flannel-ds-5tmfs',NULL,NULL,'2022-12-07 02:16:27'),(10,17,'kube-proxy-k22dc (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,18,'deepflow-agent-s659p (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,19,'openebs-ndm-operator-85886744bb-lc82q (deleted)',NULL,NULL,'2023-03-10 01:49:34'),(10,20,'openebs-ndm-node-exporter-8w2l7 (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(10,21,'otel-agent-sgfjj',NULL,NULL,'2022-12-07 02:17:27'),(10,22,'otel-agent-6jsl9',NULL,NULL,'2022-12-07 02:22:27'),(10,23,'openebs-ndm-74fdr',NULL,NULL,'2023-03-10 01:49:35'),(10,24,'deepflow-clickhouse-0',NULL,NULL,'2023-03-10 01:49:35'),(10,25,'deepflow-grafana-7b5757d5f4-fjz6d',NULL,NULL,'2023-03-10 01:49:35'),(10,26,'kube-flannel-ds-7nbdn',NULL,NULL,'2023-03-10 01:49:35'),(10,27,'openebs-ndm-cluster-exporter-866c974856-gw6wv',NULL,NULL,'2023-03-10 01:49:35'),(10,28,'openebs-ndm-nkkkf',NULL,NULL,'2023-03-10 01:49:35'),(10,29,'yunbao-manager-backed-85bbff9975-r9bk5',NULL,NULL,'2023-03-10 01:49:34'),(10,30,'juicefs-csi-node-qg4fj',NULL,NULL,'2023-03-10 01:49:35'),(10,31,'otel-agent-qwbtz',NULL,NULL,'2023-03-10 01:49:35'),(10,32,'deepflow-app-54886cd964-lkl9h',NULL,NULL,'2023-03-10 01:49:35'),(10,33,'openebs-ndm-operator-85886744bb-5xbmf',NULL,NULL,'2023-03-10 01:49:35'),(10,34,'deepflow-mysql-8bc7c7777-mkhcj',NULL,NULL,'2023-03-10 01:49:35'),(10,35,'yunbao-mobile-backed-84c6b96df7-7bt6s',NULL,NULL,'2023-03-10 01:49:35'),(10,36,'yunbao-server-backed-7cdd9b6d8d-zw2s5',NULL,NULL,'2023-03-10 01:49:35'),(10,37,'deepflow-agent-m97jd',NULL,NULL,'2023-03-10 01:49:35'),(10,38,'kube-proxy-vsmhx',NULL,NULL,'2023-03-10 01:49:35'),(10,39,'metrics-server-79757969d9-wpwlf',NULL,NULL,'2023-03-10 01:49:35'),(10,40,'openebs-ndm-mf7bn',NULL,NULL,'2023-03-10 01:49:35'),(10,41,'openebs-ndm-node-exporter-97lhz',NULL,NULL,'2023-03-10 01:49:35'),(10,42,'juicefs-csi-node-npk94',NULL,NULL,'2023-03-10 01:49:35'),(10,43,'openebs-ndm-node-exporter-2sxd5',NULL,NULL,'2023-03-10 01:49:35'),(10,44,'openebs-ndm-node-exporter-slhmc',NULL,NULL,'2023-03-10 01:49:35'),(10,45,'kube-proxy-hllqd',NULL,NULL,'2023-03-10 01:49:35'),(10,46,'deepflow-agent-nsn9b',NULL,NULL,'2023-03-10 01:49:34'),(10,47,'deepflow-agent-p8kj4',NULL,NULL,'2023-03-10 01:49:35'),(10,48,'juicefs-csi-controller-0',NULL,NULL,'2023-03-10 01:49:35'),(10,49,'deepflow-server-5d75595844-p2zbl',NULL,NULL,'2023-03-10 01:49:35'),(10,50,'openebs-localpv-provisioner-dd977fdd5-tlshf',NULL,NULL,'2023-03-10 01:49:35'),(10,51,'juicefs-csi-node-fqdl8',NULL,NULL,'2023-03-10 01:49:35'),(10,52,'kube-proxy-cxcxn',NULL,NULL,'2023-03-10 01:49:35'),(10,53,'guanwang-5f75545465-7mqs6',NULL,NULL,'2023-03-10 01:49:35'),(10,54,'ingress-nginx-controller-qz9s8 (deleted)',NULL,NULL,'2023-03-10 02:16:34'),(10,55,'ingress-nginx-controller-8xx79 (deleted)',NULL,NULL,'2023-03-10 02:15:34'),(10,56,'ingress-nginx-controller-rspvl (deleted)',NULL,NULL,'2023-03-10 02:15:34'),(10,57,'ingress-nginx-controller-tb68d',NULL,NULL,'2023-03-10 02:15:34'),(10,58,'ingress-nginx-controller-tx7gf',NULL,NULL,'2023-03-10 02:15:34'),(10,59,'ingress-nginx-controller-v87l5',NULL,NULL,'2023-03-10 02:16:34'),(10,60,'loadgenerator-6cd47794fc-tlksp',NULL,NULL,'2023-03-10 03:00:35'),(10,61,'foo-svc-598cb89b64-74v9v',NULL,NULL,'2023-03-10 03:00:35'),(10,62,'bar-svc-86bf4c4749-dgqkj',NULL,NULL,'2023-03-10 03:00:35'),(10,63,'loo-svc-59b4fc5b86-8hx6r',NULL,NULL,'2023-03-10 03:00:35'),(10,64,'redis-master-0',NULL,NULL,'2023-03-10 03:00:35'),(10,65,'elasticsearch-master-0 (deleted)',NULL,NULL,'2023-03-10 03:10:35'),(10,66,'skywalking-oap-7d4cdbdd95-tlnqw (deleted)',NULL,NULL,'2023-03-10 03:10:35'),(10,67,'elasticsearch-master-1 (deleted)',NULL,NULL,'2023-03-10 03:10:35'),(10,68,'skywalking-oap-7d4cdbdd95-stg2g (deleted)',NULL,NULL,'2023-03-10 03:10:35'),(10,69,'elasticsearch-master-2 (deleted)',NULL,NULL,'2023-03-10 03:10:35'),(10,70,'skywalking-ui-67bcf65678-kjqw8 (deleted)',NULL,NULL,'2023-03-10 03:10:34'),(10,71,'elasticsearch-master-0',NULL,NULL,'2023-03-10 03:35:34'),(10,72,'skywalking-ui-67bcf65678-cc5l8',NULL,NULL,'2023-03-10 03:35:34'),(10,73,'skywalking-oap-7d4cdbdd95-62hvq',NULL,NULL,'2023-03-10 03:35:34'),(11,1,'deepflow-agent (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(11,2,'deepflow-clickhouse (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(11,3,'openebs-ndm-cluster-exporter-service (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(11,4,'deepflow-server (deleted)',NULL,NULL,'2023-03-10 01:49:34'),(11,5,'kube-dns',NULL,NULL,'2022-12-07 02:16:27'),(11,6,'deepflow-clickhouse-headless (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(11,7,'deepflow-app (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(11,8,'openebs-ndm-node-exporter-service (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(11,9,'deepflow-mysql (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(11,10,'deepflow-grafana (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(11,11,'otel-agent',NULL,NULL,'2022-12-07 02:17:27'),(11,12,'yunbao-server-backed-service',NULL,NULL,'2023-03-10 01:49:35'),(11,13,'deepflow-mysql',NULL,NULL,'2023-03-10 01:49:35'),(11,14,'deepflow-server',NULL,NULL,'2023-03-10 01:49:35'),(11,15,'deepflow-agent',NULL,NULL,'2023-03-10 01:49:35'),(11,16,'deepflow-clickhouse',NULL,NULL,'2023-03-10 01:49:34'),(11,17,'metrics-server',NULL,NULL,'2023-03-10 01:49:35'),(11,18,'deepflow-grafana',NULL,NULL,'2023-03-10 01:49:35'),(11,19,'yunbao-manager-backed-service',NULL,NULL,'2023-03-10 01:49:35'),(11,20,'guanwang',NULL,NULL,'2023-03-10 01:49:35'),(11,21,'deepflow-clickhouse-headless',NULL,NULL,'2023-03-10 01:49:35'),(11,22,'openebs-ndm-cluster-exporter-service',NULL,NULL,'2023-03-10 01:49:35'),(11,23,'openebs-ndm-node-exporter-service',NULL,NULL,'2023-03-10 01:49:35'),(11,24,'yunbao-mobile-backed-service',NULL,NULL,'2023-03-10 01:49:35'),(11,25,'deepflow-app',NULL,NULL,'2023-03-10 01:49:35'),(11,26,'ingress-nginx-controller-admission',NULL,NULL,'2023-03-10 02:01:34'),(11,27,'bar-svc',NULL,NULL,'2023-03-10 03:00:35'),(11,28,'redis-master',NULL,NULL,'2023-03-10 03:00:35'),(11,29,'foo-svc',NULL,NULL,'2023-03-10 03:00:34'),(11,30,'loo-svc',NULL,NULL,'2023-03-10 03:00:35'),(11,31,'elasticsearch-master-headless (deleted)',NULL,NULL,'2023-03-10 03:10:34'),(11,32,'skywalking-ui (deleted)',NULL,NULL,'2023-03-10 03:10:35'),(11,33,'skywalking-oap (deleted)',NULL,NULL,'2023-03-10 03:10:34'),(11,34,'skywalking-oap',NULL,NULL,'2023-03-10 03:35:34'),(11,35,'elasticsearch-master-headless',NULL,NULL,'2023-03-10 03:35:34'),(11,36,'skywalking-ui',NULL,NULL,'2023-03-10 03:35:34'),(14,1,'cest-2',NULL,NULL,'2022-12-07 02:15:27'),(14,2,'k8sm1',NULL,NULL,'2022-12-07 02:15:27'),(14,3,'cest-3',NULL,NULL,'2023-03-10 01:49:35'),(101,1,'coredns',NULL,NULL,'2022-12-07 02:16:27'),(101,2,'openebs-ndm-operator (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(101,3,'deepflow-app (deleted)',NULL,NULL,'2023-03-10 01:49:34'),(101,4,'deepflow-server (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(101,5,'deepflow-mysql (deleted)',NULL,NULL,'2023-03-10 01:49:34'),(101,6,'openebs-ndm-cluster-exporter (deleted)',NULL,NULL,'2023-03-10 01:49:34'),(101,7,'deepflow-grafana (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(101,8,'openebs-localpv-provisioner (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(101,9,'deepflow-clickhouse (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(101,10,'deepflow-agent (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(101,11,'openebs-ndm (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(101,12,'kube-proxy',NULL,NULL,'2022-12-07 02:16:27'),(101,13,'kube-flannel-ds',NULL,NULL,'2022-12-07 02:16:27'),(101,14,'openebs-ndm-node-exporter (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(101,15,'otel-agent',NULL,NULL,'2022-12-07 02:17:27'),(101,16,'openebs-localpv-provisioner',NULL,NULL,'2023-03-10 01:49:34'),(101,17,'openebs-ndm-operator',NULL,NULL,'2023-03-10 01:49:35'),(101,18,'openebs-ndm-cluster-exporter',NULL,NULL,'2023-03-10 01:49:34'),(101,19,'yunbao-manager-backed',NULL,NULL,'2023-03-10 01:49:35'),(101,20,'deepflow-server',NULL,NULL,'2023-03-10 01:49:34'),(101,21,'deepflow-app',NULL,NULL,'2023-03-10 01:49:35'),(101,22,'deepflow-grafana',NULL,NULL,'2023-03-10 01:49:34'),(101,23,'metrics-server',NULL,NULL,'2023-03-10 01:49:35'),(101,24,'deepflow-mysql',NULL,NULL,'2023-03-10 01:49:34'),(101,25,'guanwang',NULL,NULL,'2023-03-10 01:49:35'),(101,26,'yunbao-server-backed',NULL,NULL,'2023-03-10 01:49:35'),(101,27,'yunbao-mobile-backed',NULL,NULL,'2023-03-10 01:49:35'),(101,28,'deepflow-clickhouse',NULL,NULL,'2023-03-10 01:49:35'),(101,29,'juicefs-csi-controller',NULL,NULL,'2023-03-10 01:49:35'),(101,30,'deepflow-agent',NULL,NULL,'2023-03-10 01:49:34'),(101,31,'juicefs-csi-node',NULL,NULL,'2023-03-10 01:49:35'),(101,32,'openebs-ndm',NULL,NULL,'2023-03-10 01:49:35'),(101,33,'openebs-ndm-node-exporter',NULL,NULL,'2023-03-10 01:49:35'),(101,34,'ingress-nginx-controller',NULL,NULL,'2023-03-10 02:01:34'),(101,35,'foo-svc',NULL,NULL,'2023-03-10 03:00:35'),(101,36,'loo-svc',NULL,NULL,'2023-03-10 03:00:34'),(101,37,'loadgenerator',NULL,NULL,'2023-03-10 03:00:35'),(101,38,'bar-svc',NULL,NULL,'2023-03-10 03:00:35'),(101,39,'redis-master',NULL,NULL,'2023-03-10 03:00:34'),(101,40,'skywalking-oap (deleted)',NULL,NULL,'2023-03-10 03:10:34'),(101,41,'skywalking-ui (deleted)',NULL,NULL,'2023-03-10 03:10:35'),(101,42,'elasticsearch-master (deleted)',NULL,NULL,'2023-03-10 03:10:35'),(101,43,'skywalking-ui',NULL,NULL,'2023-03-10 03:35:34'),(101,44,'skywalking-oap',NULL,NULL,'2023-03-10 03:35:34'),(101,45,'elasticsearch-master',NULL,NULL,'2023-03-10 03:35:34'),(102,1,'deepflow-agent (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(102,2,'deepflow-clickhouse (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(102,3,'openebs-ndm-cluster-exporter-service (deleted)',NULL,NULL,'2023-03-10 01:49:34'),(102,4,'deepflow-server (deleted)',NULL,NULL,'2023-03-10 01:49:34'),(102,5,'kube-dns',NULL,NULL,'2022-12-07 02:16:27'),(102,6,'deepflow-clickhouse-headless (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(102,7,'deepflow-app (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(102,8,'openebs-ndm-node-exporter-service (deleted)',NULL,NULL,'2023-03-10 01:49:34'),(102,9,'deepflow-mysql (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(102,10,'deepflow-grafana (deleted)',NULL,NULL,'2023-03-10 01:49:35'),(102,11,'otel-agent',NULL,NULL,'2022-12-07 02:17:27'),(102,12,'yunbao-server-backed-service',NULL,NULL,'2023-03-10 01:49:35'),(102,13,'deepflow-mysql',NULL,NULL,'2023-03-10 01:49:35'),(102,14,'deepflow-server',NULL,NULL,'2023-03-10 01:49:35'),(102,15,'deepflow-agent',NULL,NULL,'2023-03-10 01:49:35'),(102,16,'deepflow-clickhouse',NULL,NULL,'2023-03-10 01:49:35'),(102,17,'metrics-server',NULL,NULL,'2023-03-10 01:49:35'),(102,18,'deepflow-grafana',NULL,NULL,'2023-03-10 01:49:35'),(102,19,'yunbao-manager-backed-service',NULL,NULL,'2023-03-10 01:49:35'),(102,20,'guanwang',NULL,NULL,'2023-03-10 01:49:34'),(102,21,'deepflow-clickhouse-headless',NULL,NULL,'2023-03-10 01:49:35'),(102,22,'openebs-ndm-cluster-exporter-service',NULL,NULL,'2023-03-10 01:49:35'),(102,23,'openebs-ndm-node-exporter-service',NULL,NULL,'2023-03-10 01:49:35'),(102,24,'yunbao-mobile-backed-service',NULL,NULL,'2023-03-10 01:49:35'),(102,25,'deepflow-app',NULL,NULL,'2023-03-10 01:49:35'),(102,26,'ingress-nginx-controller-admission',NULL,NULL,'2023-03-10 02:01:34'),(102,27,'bar-svc',NULL,NULL,'2023-03-10 03:00:34'),(102,28,'redis-master',NULL,NULL,'2023-03-10 03:00:35'),(102,29,'foo-svc',NULL,NULL,'2023-03-10 03:00:34'),(102,30,'loo-svc',NULL,NULL,'2023-03-10 03:00:35'),(102,31,'elasticsearch-master-headless (deleted)',NULL,NULL,'2023-03-10 03:10:34'),(102,32,'skywalking-ui (deleted)',NULL,NULL,'2023-03-10 03:10:35'),(102,33,'skywalking-oap (deleted)',NULL,NULL,'2023-03-10 03:10:35'),(102,34,'skywalking-oap',NULL,NULL,'2023-03-10 03:35:34'),(102,35,'elasticsearch-master-headless',NULL,NULL,'2023-03-10 03:35:34'),(102,36,'skywalking-ui',NULL,NULL,'2023-03-10 03:35:34'),(63999,63999,'Internet',NULL,NULL,'2022-12-07 02:15:27'),(64000,64000,NULL,NULL,NULL,'2022-12-07 02:15:27');
/*!40000 ALTER TABLE `ch_device` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_device_port`
--

DROP TABLE IF EXISTS `ch_device_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_device_port` (
  `devicetype` int NOT NULL,
  `deviceid` int NOT NULL,
  `protocol` int NOT NULL,
  `port` int NOT NULL,
  `port_lb_id` int DEFAULT NULL,
  `port_lb_name` varchar(256) DEFAULT NULL,
  `port_lb_listener_id` int DEFAULT NULL,
  `port_lb_listener_name` varchar(256) DEFAULT NULL,
  `port_pod_service_id` int DEFAULT NULL,
  `port_pod_service_name` varchar(256) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`devicetype`,`deviceid`,`protocol`,`port`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_device_port`
--

LOCK TABLES `ch_device_port` WRITE;
/*!40000 ALTER TABLE `ch_device_port` DISABLE KEYS */;
/*!40000 ALTER TABLE `ch_device_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_int_enum`
--

DROP TABLE IF EXISTS `ch_int_enum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_int_enum` (
  `tag_name` varchar(256) NOT NULL,
  `value` int NOT NULL DEFAULT '0',
  `name` varchar(256) DEFAULT NULL,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`tag_name`,`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_int_enum`
--

LOCK TABLES `ch_int_enum` WRITE;
/*!40000 ALTER TABLE `ch_int_enum` DISABLE KEYS */;
INSERT INTO `ch_int_enum` VALUES ('close_type',0,'Unknown','2022-12-07 10:15:34'),('close_type',1,'Normal','2022-12-07 10:15:32'),('close_type',2,'Transfer - Server RST','2022-12-07 10:15:30'),('close_type',3,'Transfer - Flow Timeout','2022-12-07 10:15:33'),('close_type',5,'Force Report','2022-12-07 10:15:44'),('close_type',7,'Est. - Client SYN Repeat','2022-12-07 10:15:47'),('close_type',8,'Close - Server Half Close','2022-12-07 10:15:48'),('close_type',9,'Transfer - Client RST','2022-12-07 10:15:53'),('close_type',10,'Est. - Server SYN Repeat','2022-12-07 10:15:41'),('close_type',11,'Close - Client Half Close','2022-12-07 10:15:45'),('close_type',13,'Est. - Client Port Reuse','2022-12-07 10:15:39'),('close_type',15,'Est. - Server Direct RST','2022-12-07 10:15:45'),('close_type',17,'Transfer - Server Queue Overflow','2022-12-07 10:15:50'),('close_type',18,'Est. - Client Other RST','2022-12-07 10:15:39'),('close_type',19,'Est. - Server Other RST','2022-12-07 10:15:35'),('eth_type',2048,'IPv4（0x800）','2022-12-07 10:15:29'),('eth_type',2054,'ARP（0x806）','2022-12-07 10:15:43'),('eth_type',32821,'RARP（0x8035）','2022-12-07 10:15:49'),('eth_type',34525,'IPv6（0x86DD）','2022-12-07 10:15:33'),('eth_type',34887,'MPLS Unicast（0x8847）','2022-12-07 10:15:43'),('eth_type',34888,'MPLS Multicast（0x8848）','2022-12-07 10:15:35'),('eth_type',35020,'LLDP（0x88CC）','2022-12-07 10:15:38'),('eth_type',35063,'PTP（0x88F7）','2022-12-07 10:15:36'),('eth_type',35093,'RoCE（0x8819）','2022-12-07 10:15:45'),('eth_type',36864,'CTP（0x9000）','2022-12-07 10:15:41'),('flow_source',0,'Packet','2022-12-07 10:15:34'),('flow_source',1,'sFlow','2022-12-07 10:15:49'),('flow_source',2,'NetFlow','2022-12-07 10:15:34'),('instance_type',1,'Cloud Host','2022-12-07 10:15:43'),('instance_type',5,'Router','2022-12-07 10:15:39'),('instance_type',6,'VM Hypervisor','2022-12-07 10:15:30'),('instance_type',9,'DHCP Gateway','2022-12-07 10:15:52'),('instance_type',10,'K8s POD','2022-12-07 10:15:53'),('instance_type',11,'K8s Service','2022-12-07 10:15:50'),('instance_type',12,'Redis','2022-12-07 10:15:39'),('instance_type',13,'RDS','2022-12-07 10:15:50'),('instance_type',14,'K8s Node','2022-12-07 10:15:45'),('instance_type',15,'Load Balancer','2022-12-07 10:15:50'),('instance_type',16,'NAT Gateway','2022-12-07 10:15:30'),('ip_type',0,'IPv6','2022-12-07 10:15:36'),('ip_type',1,'IPv4','2022-12-07 10:15:44'),('l7_ip_protocol',6,'TCP','2022-12-07 10:15:30'),('l7_ip_protocol',17,'UDP','2022-12-07 10:15:53'),('l7_log_type',0,'Request','2022-12-07 10:15:38'),('l7_log_type',1,'Response','2022-12-07 10:15:51'),('l7_log_type',2,'Session','2022-12-07 10:15:48'),('l7_protocol',0,'N/A','2022-12-07 10:15:30'),('l7_protocol',1,'Others','2022-12-07 10:15:42'),('l7_protocol',20,'HTTP','2022-12-07 10:15:42'),('l7_protocol',21,'HTTP2','2022-12-07 10:15:35'),('l7_protocol',22,'HTTP1_TLS','2022-12-07 10:15:40'),('l7_protocol',23,'HTTP2_TLS','2022-12-07 10:15:42'),('l7_protocol',40,'Dubbo','2022-12-07 10:15:43'),('l7_protocol',41,'gRPC','2022-12-07 10:15:47'),('l7_protocol',60,'MySQL','2022-12-07 10:15:51'),('l7_protocol',61,'PostgreSQL','2022-12-07 10:15:51'),('l7_protocol',80,'Redis','2022-12-07 10:15:39'),('l7_protocol',100,'Kafka','2022-12-07 10:15:36'),('l7_protocol',101,'MQTT','2022-12-07 10:15:51'),('l7_protocol',120,'DNS','2022-12-07 10:15:31'),('protocol',0,'None IP','2022-12-07 10:15:35'),('protocol',1,'ICMP','2022-12-07 10:15:48'),('protocol',2,'IGMP','2022-12-07 10:15:51'),('protocol',3,'GGP','2022-12-07 10:15:49'),('protocol',4,'IPv4','2022-12-07 10:15:35'),('protocol',5,'ST','2022-12-07 10:15:52'),('protocol',6,'TCP','2022-12-07 10:15:47'),('protocol',7,'CBT','2022-12-07 10:15:45'),('protocol',8,'EGP','2022-12-07 10:15:51'),('protocol',9,'IGP','2022-12-07 10:15:42'),('protocol',10,'BBN-RCC-MON','2022-12-07 10:15:33'),('protocol',11,'NVP-II','2022-12-07 10:15:46'),('protocol',12,'PUP','2022-12-07 10:15:41'),('protocol',13,'ARGUS (deprecated)','2022-12-07 10:15:39'),('protocol',14,'EMCON','2022-12-07 10:15:49'),('protocol',15,'XNET','2022-12-07 10:15:46'),('protocol',16,'CHAOS','2022-12-07 10:15:45'),('protocol',17,'UDP','2022-12-07 10:15:33'),('protocol',18,'MUX','2022-12-07 10:15:40'),('protocol',19,'DCN-MEAS','2022-12-07 10:15:44'),('protocol',20,'HMP','2022-12-07 10:15:38'),('protocol',21,'PRM','2022-12-07 10:15:34'),('protocol',22,'XNS-IDP','2022-12-07 10:15:30'),('protocol',23,'TRUNK-1','2022-12-07 10:15:44'),('protocol',24,'TRUNK-2','2022-12-07 10:15:49'),('protocol',25,'LEAF-1','2022-12-07 10:15:31'),('protocol',26,'LEAF-2','2022-12-07 10:15:39'),('protocol',27,'RDP','2022-12-07 10:15:33'),('protocol',28,'IRTP','2022-12-07 10:15:37'),('protocol',29,'ISO-TP4','2022-12-07 10:15:45'),('protocol',30,'NETBLT','2022-12-07 10:15:30'),('protocol',31,'MFE-NSP','2022-12-07 10:15:33'),('protocol',32,'MERIT-INP','2022-12-07 10:15:42'),('protocol',33,'DCCP','2022-12-07 10:15:31'),('protocol',34,'3PC','2022-12-07 10:15:45'),('protocol',35,'IDPR','2022-12-07 10:15:42'),('protocol',36,'XTP','2022-12-07 10:15:49'),('protocol',37,'DDP','2022-12-07 10:15:44'),('protocol',38,'IDPR-CMTP','2022-12-07 10:15:41'),('protocol',39,'TP++','2022-12-07 10:15:44'),('protocol',40,'IL','2022-12-07 10:15:38'),('protocol',41,'IPv6','2022-12-07 10:15:33'),('protocol',42,'SDRP','2022-12-07 10:15:47'),('protocol',43,'IPv6-Route','2022-12-07 10:15:33'),('protocol',44,'IPv6-Frag','2022-12-07 10:15:48'),('protocol',45,'IDRP','2022-12-07 10:15:30'),('protocol',46,'RSVP','2022-12-07 10:15:51'),('protocol',47,'GRE','2022-12-07 10:15:31'),('protocol',48,'DSR','2022-12-07 10:15:40'),('protocol',49,'BNA','2022-12-07 10:15:30'),('protocol',50,'ESP','2022-12-07 10:15:30'),('protocol',51,'AH','2022-12-07 10:15:51'),('protocol',52,'I-NLSP','2022-12-07 10:15:53'),('protocol',53,'SWIPE (deprecated)','2022-12-07 10:15:51'),('protocol',54,'NARP','2022-12-07 10:15:30'),('protocol',55,'MOBILE','2022-12-07 10:15:38'),('protocol',56,'TLSP','2022-12-07 10:15:41'),('protocol',57,'SKIP','2022-12-07 10:15:43'),('protocol',58,'IPv6-ICMP','2022-12-07 10:15:33'),('protocol',59,'IPv6-NoNxt','2022-12-07 10:15:46'),('protocol',60,'IPv6-Opts','2022-12-07 10:15:35'),('protocol',61,'61','2022-12-07 10:15:40'),('protocol',62,'CFTP','2022-12-07 10:15:44'),('protocol',63,'63','2022-12-07 10:15:41'),('protocol',64,'SAT-EXPAK','2022-12-07 10:15:48'),('protocol',65,'KRYPTOLAN','2022-12-07 10:15:50'),('protocol',66,'RVD','2022-12-07 10:15:39'),('protocol',67,'IPPC','2022-12-07 10:15:44'),('protocol',68,'68','2022-12-07 10:15:42'),('protocol',69,'SAT-MON','2022-12-07 10:15:42'),('protocol',70,'VISA','2022-12-07 10:15:46'),('protocol',71,'IPCV','2022-12-07 10:15:38'),('protocol',72,'CPNX','2022-12-07 10:15:37'),('protocol',73,'CPHB','2022-12-07 10:15:40'),('protocol',74,'WSN','2022-12-07 10:15:52'),('protocol',75,'PVP','2022-12-07 10:15:50'),('protocol',76,'BR-SAT-MON','2022-12-07 10:15:51'),('protocol',77,'SUN-ND','2022-12-07 10:15:40'),('protocol',78,'WB-MON','2022-12-07 10:15:33'),('protocol',79,'WB-EXPAK','2022-12-07 10:15:30'),('protocol',80,'ISO-IP','2022-12-07 10:15:47'),('protocol',81,'VMTP','2022-12-07 10:15:38'),('protocol',82,'SECURE-VMTP','2022-12-07 10:15:49'),('protocol',83,'VINES','2022-12-07 10:15:33'),('protocol',84,'TTP/IPTM','2022-12-07 10:15:34'),('protocol',85,'NSFNET-IGP','2022-12-07 10:15:45'),('protocol',86,'DGP','2022-12-07 10:15:45'),('protocol',87,'TCF','2022-12-07 10:15:43'),('protocol',88,'EIGRP','2022-12-07 10:15:44'),('protocol',89,'OSPFIGP','2022-12-07 10:15:30'),('protocol',90,'Sprite-RPC','2022-12-07 10:15:30'),('protocol',91,'LARP','2022-12-07 10:15:37'),('protocol',92,'MTP','2022-12-07 10:15:36'),('protocol',93,'AX.25','2022-12-07 10:15:50'),('protocol',94,'IPIP','2022-12-07 10:15:53'),('protocol',95,'MICP (deprecated)','2022-12-07 10:15:43'),('protocol',96,'SCC-SP','2022-12-07 10:15:30'),('protocol',97,'ETHERIP','2022-12-07 10:15:49'),('protocol',98,'ENCAP','2022-12-07 10:15:52'),('protocol',99,'99','2022-12-07 10:15:36'),('protocol',100,'GMTP','2022-12-07 10:15:48'),('protocol',101,'IFMP','2022-12-07 10:15:48'),('protocol',102,'PNNI','2022-12-07 10:15:39'),('protocol',103,'PIM','2022-12-07 10:15:34'),('protocol',104,'ARIS','2022-12-07 10:15:52'),('protocol',105,'SCPS','2022-12-07 10:15:46'),('protocol',106,'QNX','2022-12-07 10:15:52'),('protocol',107,'A/N','2022-12-07 10:15:31'),('protocol',108,'IPComp','2022-12-07 10:15:32'),('protocol',109,'SNP','2022-12-07 10:15:30'),('protocol',110,'Compaq-Peer','2022-12-07 10:15:32'),('protocol',111,'IPX-in-IP','2022-12-07 10:15:52'),('protocol',112,'VRRP','2022-12-07 10:15:43'),('protocol',113,'PGM','2022-12-07 10:15:50'),('protocol',114,'114','2022-12-07 10:15:30'),('protocol',115,'L2TP','2022-12-07 10:15:50'),('protocol',116,'DDX','2022-12-07 10:15:39'),('protocol',117,'IATP','2022-12-07 10:15:37'),('protocol',118,'STP','2022-12-07 10:15:29'),('protocol',119,'SRP','2022-12-07 10:15:48'),('protocol',120,'UTI','2022-12-07 10:15:50'),('protocol',121,'SMP','2022-12-07 10:15:53'),('protocol',122,'SM (deprecated)','2022-12-07 10:15:29'),('protocol',123,'PTP','2022-12-07 10:15:32'),('protocol',124,'ISIS over IPv4','2022-12-07 10:15:41'),('protocol',125,'FIRE','2022-12-07 10:15:48'),('protocol',126,'CRTP','2022-12-07 10:15:30'),('protocol',127,'CRUDP','2022-12-07 10:15:40'),('protocol',128,'SSCOPMCE','2022-12-07 10:15:39'),('protocol',129,'IPLT','2022-12-07 10:15:34'),('protocol',130,'SPS','2022-12-07 10:15:38'),('protocol',131,'PIPE','2022-12-07 10:15:48'),('protocol',132,'SCTP','2022-12-07 10:15:51'),('protocol',133,'FC','2022-12-07 10:15:29'),('protocol',134,'RSVP-E2E-IGNORE','2022-12-07 10:15:30'),('protocol',135,'Mobility Header','2022-12-07 10:15:39'),('protocol',136,'UDPLite','2022-12-07 10:15:41'),('protocol',137,'MPLS-in-IP','2022-12-07 10:15:37'),('protocol',138,'manet','2022-12-07 10:15:48'),('protocol',139,'HIP','2022-12-07 10:15:46'),('protocol',140,'Shim6','2022-12-07 10:15:38'),('protocol',141,'WESP','2022-12-07 10:15:46'),('protocol',142,'ROHC','2022-12-07 10:15:44'),('resource_gl0_type',0,'Internet IP','2022-12-07 10:15:46'),('resource_gl0_type',1,'Cloud Host','2022-12-07 10:15:41'),('resource_gl0_type',5,'Router','2022-12-07 10:15:36'),('resource_gl0_type',6,'VM Hypervisor','2022-12-07 10:15:32'),('resource_gl0_type',9,'DHCP Gateway','2022-12-07 10:15:45'),('resource_gl0_type',10,'K8s POD','2022-12-07 10:15:51'),('resource_gl0_type',11,'K8s Service','2022-12-07 10:15:43'),('resource_gl0_type',12,'RDS','2022-12-07 10:15:46'),('resource_gl0_type',13,'Redis','2022-12-07 10:15:52'),('resource_gl0_type',14,'K8s Node','2022-12-07 10:15:31'),('resource_gl0_type',15,'Load Balancer','2022-12-07 10:15:44'),('resource_gl0_type',16,'NAT Gateway','2022-12-07 10:15:48'),('resource_gl0_type',255,'IP','2022-12-07 10:15:48'),('resource_gl1_type',0,'Internet IP','2022-12-07 10:15:52'),('resource_gl1_type',1,'Cloud Host','2022-12-07 10:15:50'),('resource_gl1_type',5,'Router','2022-12-07 10:15:34'),('resource_gl1_type',6,'VM Hypervisor','2022-12-07 10:15:42'),('resource_gl1_type',9,'DHCP Gateway','2022-12-07 10:15:42'),('resource_gl1_type',11,'K8s Service','2022-12-07 10:15:39'),('resource_gl1_type',12,'RDS','2022-12-07 10:15:47'),('resource_gl1_type',13,'Redis','2022-12-07 10:15:33'),('resource_gl1_type',14,'K8s Node','2022-12-07 10:15:53'),('resource_gl1_type',15,'Load Balancer','2022-12-07 10:15:44'),('resource_gl1_type',16,'NAT Gateway','2022-12-07 10:15:52'),('resource_gl1_type',101,'K8s Workload','2022-12-07 10:15:42'),('resource_gl1_type',255,'IP','2022-12-07 10:15:48'),('resource_gl2_type',0,'Internet IP','2022-12-07 10:15:52'),('resource_gl2_type',1,'Cloud Host','2022-12-07 10:15:37'),('resource_gl2_type',5,'Router','2022-12-07 10:15:47'),('resource_gl2_type',6,'VM Hypervisor','2022-12-07 10:15:43'),('resource_gl2_type',9,'DHCP Gateway','2022-12-07 10:15:30'),('resource_gl2_type',11,'K8s Service','2022-12-07 10:15:41'),('resource_gl2_type',12,'RDS','2022-12-07 10:15:46'),('resource_gl2_type',13,'Redis','2022-12-07 10:15:45'),('resource_gl2_type',14,'K8s Node','2022-12-07 10:15:44'),('resource_gl2_type',15,'Load Balancer','2022-12-07 10:15:39'),('resource_gl2_type',16,'NAT Gateway','2022-12-07 10:15:35'),('resource_gl2_type',101,'K8s Workload','2022-12-07 10:15:49'),('resource_gl2_type',102,'Service','2022-12-07 10:15:33'),('resource_gl2_type',255,'IP','2022-12-07 10:15:50'),('response_status',0,'Success','2022-12-07 10:15:37'),('response_status',2,'Unknown','2022-12-07 10:15:49'),('response_status',3,'Server Error','2022-12-07 10:15:43'),('response_status',4,'Client Error','2022-12-07 10:15:34'),('server_port',1,'1 (tcpmux)','2022-12-07 10:15:30'),('server_port',2,'2 (compressnet)','2022-12-07 10:15:48'),('server_port',3,'3 (compressnet)','2022-12-07 10:15:50'),('server_port',5,'5 (rje)','2022-12-07 10:15:29'),('server_port',7,'7 (echo)','2022-12-07 10:15:48'),('server_port',11,'11 (systat)','2022-12-07 10:15:38'),('server_port',13,'13 (daytime)','2022-12-07 10:15:39'),('server_port',17,'17 (qotd)','2022-12-07 10:15:51'),('server_port',18,'18 (msp)','2022-12-07 10:15:34'),('server_port',19,'19 (chargen)','2022-12-07 10:15:48'),('server_port',20,'20 (ftp-data)','2022-12-07 10:15:36'),('server_port',21,'21 (ftp)','2022-12-07 10:15:50'),('server_port',22,'22 (ssh)','2022-12-07 10:15:37'),('server_port',23,'23 (telnet)','2022-12-07 10:15:48'),('server_port',25,'25 (smtp)','2022-12-07 10:15:38'),('server_port',27,'27 (nsw-fe)','2022-12-07 10:15:49'),('server_port',29,'29 (msg-icp)','2022-12-07 10:15:33'),('server_port',31,'31 (msg-auth)','2022-12-07 10:15:38'),('server_port',33,'33 (dsp)','2022-12-07 10:15:44'),('server_port',37,'37 (time)','2022-12-07 10:15:38'),('server_port',38,'38 (rap)','2022-12-07 10:15:46'),('server_port',39,'39 (rlp)','2022-12-07 10:15:31'),('server_port',41,'41 (graphics)','2022-12-07 10:15:37'),('server_port',42,'42 (name)','2022-12-07 10:15:39'),('server_port',43,'43 (nicname)','2022-12-07 10:15:34'),('server_port',44,'44 (mpm-flags)','2022-12-07 10:15:53'),('server_port',45,'45 (mpm)','2022-12-07 10:15:32'),('server_port',46,'46 (mpm-snd)','2022-12-07 10:15:41'),('server_port',48,'48 (auditd)','2022-12-07 10:15:47'),('server_port',49,'49 (TACACS)','2022-12-07 10:15:41'),('server_port',50,'50 (re-mail-ck)','2022-12-07 10:15:45'),('server_port',52,'52 (xns-time)','2022-12-07 10:15:51'),('server_port',53,'53 (DNS)','2022-12-07 10:15:44'),('server_port',54,'54 (xns-ch)','2022-12-07 10:15:51'),('server_port',55,'55 (isi-gl)','2022-12-07 10:15:43'),('server_port',56,'56 (xns-auth)','2022-12-07 10:15:47'),('server_port',58,'58 (xns-mail)','2022-12-07 10:15:39'),('server_port',62,'62 (acas)','2022-12-07 10:15:41'),('server_port',63,'63 (whoispp)','2022-12-07 10:15:41'),('server_port',64,'64 (covia)','2022-12-07 10:15:52'),('server_port',65,'65 (tacacs-ds)','2022-12-07 10:15:33'),('server_port',66,'66 (sql*net)','2022-12-07 10:15:31'),('server_port',67,'67 (DHCP)','2022-12-07 10:15:33'),('server_port',68,'68 (bootpc)','2022-12-07 10:15:47'),('server_port',69,'69 (TFTP)','2022-12-07 10:15:46'),('server_port',70,'70 (gopher)','2022-12-07 10:15:48'),('server_port',71,'71 (netrjs-1)','2022-12-07 10:15:46'),('server_port',72,'72 (netrjs-2)','2022-12-07 10:15:42'),('server_port',73,'73 (netrjs-3)','2022-12-07 10:15:42'),('server_port',74,'74 (netrjs-4)','2022-12-07 10:15:39'),('server_port',76,'76 (deos)','2022-12-07 10:15:38'),('server_port',78,'78 (vettcp)','2022-12-07 10:15:36'),('server_port',79,'79 (finger)','2022-12-07 10:15:30'),('server_port',80,'80 (http)','2022-12-07 10:15:51'),('server_port',82,'82 (xfer)','2022-12-07 10:15:40'),('server_port',83,'83 (mit-ml-dev)','2022-12-07 10:15:40'),('server_port',84,'84 (ctf)','2022-12-07 10:15:44'),('server_port',85,'85 (mit-ml-dev)','2022-12-07 10:15:50'),('server_port',86,'86 (mfcobol)','2022-12-07 10:15:41'),('server_port',88,'88 (kerberos)','2022-12-07 10:15:43'),('server_port',89,'89 (su-mit-tg)','2022-12-07 10:15:34'),('server_port',90,'90 (dnsix)','2022-12-07 10:15:37'),('server_port',91,'91 (mit-dov)','2022-12-07 10:15:41'),('server_port',92,'92 (npp)','2022-12-07 10:15:43'),('server_port',93,'93 (dcp)','2022-12-07 10:15:48'),('server_port',94,'94 (objcall)','2022-12-07 10:15:36'),('server_port',95,'95 (supdup)','2022-12-07 10:15:43'),('server_port',96,'96 (dixie)','2022-12-07 10:15:39'),('server_port',97,'97 (swift-rvf)','2022-12-07 10:15:45'),('server_port',98,'98 (tacnews)','2022-12-07 10:15:50'),('server_port',99,'99 (metagram)','2022-12-07 10:15:31'),('server_port',101,'101 (hostname)','2022-12-07 10:15:31'),('server_port',102,'102 (iso-tsap)','2022-12-07 10:15:39'),('server_port',103,'103 (gppitnp)','2022-12-07 10:15:49'),('server_port',104,'104 (acr-nema)','2022-12-07 10:15:39'),('server_port',105,'105 (csnet-ns)','2022-12-07 10:15:41'),('server_port',106,'106 (3com-tsmux)','2022-12-07 10:15:34'),('server_port',107,'107 (rtelnet)','2022-12-07 10:15:53'),('server_port',108,'108 (snagas)','2022-12-07 10:15:45'),('server_port',109,'109 (pop2)','2022-12-07 10:15:35'),('server_port',110,'110 (pop3)','2022-12-07 10:15:42'),('server_port',111,'111 (sunrpc)','2022-12-07 10:15:41'),('server_port',112,'112 (mcidas)','2022-12-07 10:15:52'),('server_port',113,'113 (auth)','2022-12-07 10:15:35'),('server_port',115,'115 (sftp)','2022-12-07 10:15:35'),('server_port',116,'116 (ansanotify)','2022-12-07 10:15:39'),('server_port',117,'117 (uucp-path)','2022-12-07 10:15:36'),('server_port',118,'118 (sqlserv)','2022-12-07 10:15:32'),('server_port',119,'119 (nntp)','2022-12-07 10:15:43'),('server_port',120,'120 (cfdptkt)','2022-12-07 10:15:44'),('server_port',121,'121 (erpc)','2022-12-07 10:15:34'),('server_port',122,'122 (smakynet)','2022-12-07 10:15:35'),('server_port',123,'123 (ntp)','2022-12-07 10:15:44'),('server_port',124,'124 (ansatrader)','2022-12-07 10:15:40'),('server_port',125,'125 (locus-map)','2022-12-07 10:15:38'),('server_port',126,'126 (nxedit)','2022-12-07 10:15:46'),('server_port',127,'127 (locus-con)','2022-12-07 10:15:38'),('server_port',128,'128 (gss-xlicen)','2022-12-07 10:15:44'),('server_port',129,'129 (pwdgen)','2022-12-07 10:15:32'),('server_port',130,'130 (cisco-fna)','2022-12-07 10:15:38'),('server_port',131,'131 (cisco-tna)','2022-12-07 10:15:47'),('server_port',132,'132 (cisco-sys)','2022-12-07 10:15:31'),('server_port',133,'133 (statsrv)','2022-12-07 10:15:41'),('server_port',134,'134 (ingres-net)','2022-12-07 10:15:38'),('server_port',135,'135 (epmap)','2022-12-07 10:15:44'),('server_port',136,'136 (profile)','2022-12-07 10:15:50'),('server_port',137,'137 (netbios-ns)','2022-12-07 10:15:48'),('server_port',138,'138 (netbios-dgm)','2022-12-07 10:15:32'),('server_port',139,'139 (netbios-ssn)','2022-12-07 10:15:51'),('server_port',140,'140 (emfis-data)','2022-12-07 10:15:51'),('server_port',141,'141 (emfis-cntl)','2022-12-07 10:15:45'),('server_port',142,'142 (bl-idm)','2022-12-07 10:15:41'),('server_port',143,'143 (imap)','2022-12-07 10:15:48'),('server_port',144,'144 (uma)','2022-12-07 10:15:42'),('server_port',145,'145 (uaac)','2022-12-07 10:15:45'),('server_port',146,'146 (iso-tp0)','2022-12-07 10:15:34'),('server_port',147,'147 (iso-ip)','2022-12-07 10:15:45'),('server_port',148,'148 (jargon)','2022-12-07 10:15:31'),('server_port',149,'149 (aed-512)','2022-12-07 10:15:52'),('server_port',150,'150 (sql-net)','2022-12-07 10:15:38'),('server_port',151,'151 (hems)','2022-12-07 10:15:49'),('server_port',152,'152 (bftp)','2022-12-07 10:15:31'),('server_port',153,'153 (sgmp)','2022-12-07 10:15:36'),('server_port',154,'154 (netsc-prod)','2022-12-07 10:15:51'),('server_port',155,'155 (netsc-dev)','2022-12-07 10:15:35'),('server_port',156,'156 (sqlsrv)','2022-12-07 10:15:32'),('server_port',157,'157 (knet-cmp)','2022-12-07 10:15:37'),('server_port',158,'158 (pcmail-srv)','2022-12-07 10:15:40'),('server_port',159,'159 (nss-routing)','2022-12-07 10:15:39'),('server_port',160,'160 (sgmp-traps)','2022-12-07 10:15:49'),('server_port',161,'161 (SNMP)','2022-12-07 10:15:38'),('server_port',162,'162 (snmptrap)','2022-12-07 10:15:35'),('server_port',163,'163 (cmip-man)','2022-12-07 10:15:39'),('server_port',164,'164 (cmip-agent)','2022-12-07 10:15:32'),('server_port',165,'165 (xns-courier)','2022-12-07 10:15:31'),('server_port',166,'166 (s-net)','2022-12-07 10:15:40'),('server_port',167,'167 (namp)','2022-12-07 10:15:42'),('server_port',168,'168 (rsvd)','2022-12-07 10:15:31'),('server_port',169,'169 (send)','2022-12-07 10:15:43'),('server_port',170,'170 (print-srv)','2022-12-07 10:15:32'),('server_port',171,'171 (multiplex)','2022-12-07 10:15:31'),('server_port',172,'172 (cl-1)','2022-12-07 10:15:32'),('server_port',173,'173 (xyplex-mux)','2022-12-07 10:15:51'),('server_port',174,'174 (mailq)','2022-12-07 10:15:31'),('server_port',175,'175 (vmnet)','2022-12-07 10:15:46'),('server_port',176,'176 (genrad-mux)','2022-12-07 10:15:48'),('server_port',177,'177 (xdmcp)','2022-12-07 10:15:31'),('server_port',178,'178 (nextstep)','2022-12-07 10:15:38'),('server_port',179,'179 (bgp)','2022-12-07 10:15:49'),('server_port',180,'180 (ris)','2022-12-07 10:15:51'),('server_port',181,'181 (unify)','2022-12-07 10:15:51'),('server_port',182,'182 (audit)','2022-12-07 10:15:48'),('server_port',183,'183 (ocbinder)','2022-12-07 10:15:39'),('server_port',184,'184 (ocserver)','2022-12-07 10:15:39'),('server_port',185,'185 (remote-kis)','2022-12-07 10:15:51'),('server_port',186,'186 (kis)','2022-12-07 10:15:52'),('server_port',187,'187 (aci)','2022-12-07 10:15:43'),('server_port',188,'188 (mumps)','2022-12-07 10:15:47'),('server_port',189,'189 (qft)','2022-12-07 10:15:42'),('server_port',190,'190 (gacp)','2022-12-07 10:15:49'),('server_port',191,'191 (prospero)','2022-12-07 10:15:41'),('server_port',192,'192 (osu-nms)','2022-12-07 10:15:30'),('server_port',193,'193 (srmp)','2022-12-07 10:15:44'),('server_port',194,'194 (irc)','2022-12-07 10:15:41'),('server_port',195,'195 (dn6-nlm-aud)','2022-12-07 10:15:51'),('server_port',196,'196 (dn6-smm-red)','2022-12-07 10:15:42'),('server_port',197,'197 (dls)','2022-12-07 10:15:47'),('server_port',198,'198 (dls-mon)','2022-12-07 10:15:30'),('server_port',199,'199 (smux)','2022-12-07 10:15:49'),('server_port',200,'200 (src)','2022-12-07 10:15:31'),('server_port',201,'201 (at-rtmp)','2022-12-07 10:15:43'),('server_port',202,'202 (at-nbp)','2022-12-07 10:15:41'),('server_port',203,'203 (at-3)','2022-12-07 10:15:52'),('server_port',204,'204 (at-echo)','2022-12-07 10:15:43'),('server_port',205,'205 (at-5)','2022-12-07 10:15:44'),('server_port',206,'206 (at-zis)','2022-12-07 10:15:45'),('server_port',207,'207 (at-7)','2022-12-07 10:15:41'),('server_port',208,'208 (at-8)','2022-12-07 10:15:42'),('server_port',209,'209 (qmtp)','2022-12-07 10:15:48'),('server_port',210,'210 (z39-50)','2022-12-07 10:15:42'),('server_port',211,'211 (914c-g)','2022-12-07 10:15:30'),('server_port',212,'212 (anet)','2022-12-07 10:15:49'),('server_port',213,'213 (ipx)','2022-12-07 10:15:38'),('server_port',214,'214 (vmpwscs)','2022-12-07 10:15:50'),('server_port',215,'215 (softpc)','2022-12-07 10:15:53'),('server_port',216,'216 (CAIlic)','2022-12-07 10:15:47'),('server_port',217,'217 (dbase)','2022-12-07 10:15:45'),('server_port',218,'218 (mpp)','2022-12-07 10:15:36'),('server_port',219,'219 (uarps)','2022-12-07 10:15:33'),('server_port',220,'220 (IMAP)','2022-12-07 10:15:31'),('server_port',221,'221 (fln-spx)','2022-12-07 10:15:32'),('server_port',222,'222 (rsh-spx)','2022-12-07 10:15:32'),('server_port',223,'223 (cdc)','2022-12-07 10:15:32'),('server_port',224,'224 (masqdialer)','2022-12-07 10:15:52'),('server_port',242,'242 (direct)','2022-12-07 10:15:53'),('server_port',243,'243 (sur-meas)','2022-12-07 10:15:29'),('server_port',244,'244 (inbusiness)','2022-12-07 10:15:39'),('server_port',245,'245 (link)','2022-12-07 10:15:38'),('server_port',246,'246 (dsp3270)','2022-12-07 10:15:52'),('server_port',247,'247 (subntbcst-tftp)','2022-12-07 10:15:49'),('server_port',248,'248 (bhfhs)','2022-12-07 10:15:30'),('server_port',256,'256 (rap)','2022-12-07 10:15:33'),('server_port',257,'257 (set)','2022-12-07 10:15:43'),('server_port',259,'259 (esro-gen)','2022-12-07 10:15:35'),('server_port',260,'260 (openport)','2022-12-07 10:15:42'),('server_port',261,'261 (nsiiops)','2022-12-07 10:15:43'),('server_port',262,'262 (arcisdms)','2022-12-07 10:15:47'),('server_port',263,'263 (hdap)','2022-12-07 10:15:34'),('server_port',264,'264 (bgmp)','2022-12-07 10:15:46'),('server_port',265,'265 (x-bone-ctl)','2022-12-07 10:15:30'),('server_port',266,'266 (sst)','2022-12-07 10:15:36'),('server_port',267,'267 (td-service)','2022-12-07 10:15:50'),('server_port',268,'268 (td-replica)','2022-12-07 10:15:48'),('server_port',269,'269 (manet)','2022-12-07 10:15:48'),('server_port',271,'271 (pt-tls)','2022-12-07 10:15:49'),('server_port',280,'280 (http-mgmt)','2022-12-07 10:15:43'),('server_port',281,'281 (personal-link)','2022-12-07 10:15:46'),('server_port',282,'282 (cableport-ax)','2022-12-07 10:15:45'),('server_port',283,'283 (rescap)','2022-12-07 10:15:32'),('server_port',284,'284 (corerjd)','2022-12-07 10:15:34'),('server_port',286,'286 (fxp)','2022-12-07 10:15:49'),('server_port',287,'287 (k-block)','2022-12-07 10:15:53'),('server_port',308,'308 (novastorbakcup)','2022-12-07 10:15:46'),('server_port',309,'309 (entrusttime)','2022-12-07 10:15:45'),('server_port',310,'310 (bhmds)','2022-12-07 10:15:49'),('server_port',311,'311 (asip-webadmin)','2022-12-07 10:15:46'),('server_port',312,'312 (vslmp)','2022-12-07 10:15:32'),('server_port',313,'313 (magenta-logic)','2022-12-07 10:15:32'),('server_port',314,'314 (opalis-robot)','2022-12-07 10:15:42'),('server_port',315,'315 (dpsi)','2022-12-07 10:15:33'),('server_port',316,'316 (decauth)','2022-12-07 10:15:49'),('server_port',317,'317 (zannet)','2022-12-07 10:15:47'),('server_port',318,'318 (pkix-timestamp)','2022-12-07 10:15:30'),('server_port',319,'319 (ptp-event)','2022-12-07 10:15:47'),('server_port',320,'320 (ptp-general)','2022-12-07 10:15:47'),('server_port',321,'321 (pip)','2022-12-07 10:15:46'),('server_port',322,'322 (rtsps)','2022-12-07 10:15:36'),('server_port',323,'323 (rpki-rtr)','2022-12-07 10:15:38'),('server_port',324,'324 (rpki-rtr-tls)','2022-12-07 10:15:49'),('server_port',333,'333 (texar)','2022-12-07 10:15:40'),('server_port',344,'344 (pdap)','2022-12-07 10:15:31'),('server_port',345,'345 (pawserv)','2022-12-07 10:15:40'),('server_port',346,'346 (zserv)','2022-12-07 10:15:37'),('server_port',347,'347 (fatserv)','2022-12-07 10:15:42'),('server_port',348,'348 (csi-sgwp)','2022-12-07 10:15:36'),('server_port',349,'349 (mftp)','2022-12-07 10:15:35'),('server_port',350,'350 (matip-type-a)','2022-12-07 10:15:45'),('server_port',351,'351 (matip-type-b)','2022-12-07 10:15:43'),('server_port',352,'352 (dtag-ste-sb)','2022-12-07 10:15:31'),('server_port',353,'353 (ndsauth)','2022-12-07 10:15:42'),('server_port',354,'354 (bh611)','2022-12-07 10:15:50'),('server_port',355,'355 (datex-asn)','2022-12-07 10:15:35'),('server_port',356,'356 (cloanto-net-1)','2022-12-07 10:15:44'),('server_port',357,'357 (bhevent)','2022-12-07 10:15:32'),('server_port',358,'358 (shrinkwrap)','2022-12-07 10:15:33'),('server_port',359,'359 (nsrmp)','2022-12-07 10:15:42'),('server_port',360,'360 (scoi2odialog)','2022-12-07 10:15:30'),('server_port',361,'361 (semantix)','2022-12-07 10:15:43'),('server_port',362,'362 (srssend)','2022-12-07 10:15:47'),('server_port',363,'363 (rsvp-tunnel)','2022-12-07 10:15:38'),('server_port',364,'364 (aurora-cmgr)','2022-12-07 10:15:30'),('server_port',365,'365 (dtk)','2022-12-07 10:15:44'),('server_port',366,'366 (odmr)','2022-12-07 10:15:47'),('server_port',367,'367 (mortgageware)','2022-12-07 10:15:31'),('server_port',368,'368 (qbikgdp)','2022-12-07 10:15:51'),('server_port',369,'369 (rpc2portmap)','2022-12-07 10:15:49'),('server_port',370,'370 (codaauth2)','2022-12-07 10:15:50'),('server_port',371,'371 (clearcase)','2022-12-07 10:15:45'),('server_port',372,'372 (ulistproc)','2022-12-07 10:15:30'),('server_port',373,'373 (legent-1)','2022-12-07 10:15:30'),('server_port',374,'374 (legent-2)','2022-12-07 10:15:51'),('server_port',375,'375 (hassle)','2022-12-07 10:15:34'),('server_port',376,'376 (nip)','2022-12-07 10:15:35'),('server_port',377,'377 (tnETOS)','2022-12-07 10:15:34'),('server_port',378,'378 (dsETOS)','2022-12-07 10:15:39'),('server_port',379,'379 (is99c)','2022-12-07 10:15:33'),('server_port',380,'380 (is99s)','2022-12-07 10:15:49'),('server_port',381,'381 (hp-collector)','2022-12-07 10:15:52'),('server_port',382,'382 (hp-managed-node)','2022-12-07 10:15:49'),('server_port',383,'383 (hp-alarm-mgr)','2022-12-07 10:15:44'),('server_port',384,'384 (arns)','2022-12-07 10:15:41'),('server_port',385,'385 (ibm-app)','2022-12-07 10:15:42'),('server_port',386,'386 (asa)','2022-12-07 10:15:34'),('server_port',387,'387 (aurp)','2022-12-07 10:15:53'),('server_port',388,'388 (unidata-ldm)','2022-12-07 10:15:44'),('server_port',389,'389 (ldap)','2022-12-07 10:15:52'),('server_port',390,'390 (uis)','2022-12-07 10:15:31'),('server_port',391,'391 (synotics-relay)','2022-12-07 10:15:40'),('server_port',392,'392 (synotics-broker)','2022-12-07 10:15:48'),('server_port',393,'393 (meta5)','2022-12-07 10:15:30'),('server_port',394,'394 (embl-ndt)','2022-12-07 10:15:36'),('server_port',395,'395 (netcp)','2022-12-07 10:15:35'),('server_port',396,'396 (netware-ip)','2022-12-07 10:15:50'),('server_port',397,'397 (mptn)','2022-12-07 10:15:49'),('server_port',398,'398 (kryptolan)','2022-12-07 10:15:34'),('server_port',399,'399 (iso-tsap-c2)','2022-12-07 10:15:41'),('server_port',400,'400 (osb-sd)','2022-12-07 10:15:45'),('server_port',401,'401 (ups)','2022-12-07 10:15:38'),('server_port',402,'402 (genie)','2022-12-07 10:15:34'),('server_port',403,'403 (decap)','2022-12-07 10:15:37'),('server_port',404,'404 (nced)','2022-12-07 10:15:37'),('server_port',405,'405 (ncld)','2022-12-07 10:15:36'),('server_port',406,'406 (imsp)','2022-12-07 10:15:37'),('server_port',407,'407 (timbuktu)','2022-12-07 10:15:34'),('server_port',408,'408 (prm-sm)','2022-12-07 10:15:52'),('server_port',409,'409 (prm-nm)','2022-12-07 10:15:43'),('server_port',410,'410 (decladebug)','2022-12-07 10:15:46'),('server_port',411,'411 (rmt)','2022-12-07 10:15:44'),('server_port',412,'412 (synoptics-trap)','2022-12-07 10:15:52'),('server_port',413,'413 (smsp)','2022-12-07 10:15:42'),('server_port',414,'414 (infoseek)','2022-12-07 10:15:39'),('server_port',415,'415 (bnet)','2022-12-07 10:15:45'),('server_port',416,'416 (silverplatter)','2022-12-07 10:15:35'),('server_port',417,'417 (onmux)','2022-12-07 10:15:38'),('server_port',418,'418 (hyper-g)','2022-12-07 10:15:43'),('server_port',419,'419 (ariel1)','2022-12-07 10:15:42'),('server_port',420,'420 (smpte)','2022-12-07 10:15:48'),('server_port',421,'421 (ariel2)','2022-12-07 10:15:32'),('server_port',422,'422 (ariel3)','2022-12-07 10:15:32'),('server_port',423,'423 (opc-job-start)','2022-12-07 10:15:44'),('server_port',424,'424 (opc-job-track)','2022-12-07 10:15:35'),('server_port',425,'425 (icad-el)','2022-12-07 10:15:38'),('server_port',426,'426 (smartsdp)','2022-12-07 10:15:51'),('server_port',427,'427 (svrloc)','2022-12-07 10:15:48'),('server_port',428,'428 (ocs-cmu)','2022-12-07 10:15:30'),('server_port',429,'429 (ocs-amu)','2022-12-07 10:15:37'),('server_port',430,'430 (utmpsd)','2022-12-07 10:15:50'),('server_port',431,'431 (utmpcd)','2022-12-07 10:15:43'),('server_port',432,'432 (iasd)','2022-12-07 10:15:44'),('server_port',433,'433 (nnsp)','2022-12-07 10:15:35'),('server_port',434,'434 (mobileip-agent)','2022-12-07 10:15:36'),('server_port',435,'435 (mobilip-mn)','2022-12-07 10:15:48'),('server_port',436,'436 (dna-cml)','2022-12-07 10:15:32'),('server_port',437,'437 (comscm)','2022-12-07 10:15:35'),('server_port',438,'438 (dsfgw)','2022-12-07 10:15:31'),('server_port',439,'439 (dasp)','2022-12-07 10:15:39'),('server_port',440,'440 (sgcp)','2022-12-07 10:15:42'),('server_port',441,'441 (decvms-sysmgt)','2022-12-07 10:15:40'),('server_port',442,'442 (cvc-hostd)','2022-12-07 10:15:36'),('server_port',443,'443 (https)','2022-12-07 10:15:46'),('server_port',444,'444 (snpp)','2022-12-07 10:15:32'),('server_port',445,'445 (microsoft-ds)','2022-12-07 10:15:50'),('server_port',446,'446 (ddm-rdb)','2022-12-07 10:15:34'),('server_port',447,'447 (ddm-dfm)','2022-12-07 10:15:48'),('server_port',448,'448 (ddm-ssl)','2022-12-07 10:15:32'),('server_port',449,'449 (as-servermap)','2022-12-07 10:15:37'),('server_port',450,'450 (tserver)','2022-12-07 10:15:39'),('server_port',451,'451 (sfs-smp-net)','2022-12-07 10:15:43'),('server_port',452,'452 (sfs-config)','2022-12-07 10:15:46'),('server_port',453,'453 (creativeserver)','2022-12-07 10:15:33'),('server_port',454,'454 (contentserver)','2022-12-07 10:15:45'),('server_port',455,'455 (creativepartnr)','2022-12-07 10:15:46'),('server_port',456,'456 (macon-tcp)','2022-12-07 10:15:35'),('server_port',457,'457 (scohelp)','2022-12-07 10:15:33'),('server_port',458,'458 (appleqtc)','2022-12-07 10:15:37'),('server_port',459,'459 (ampr-rcmd)','2022-12-07 10:15:49'),('server_port',460,'460 (skronk)','2022-12-07 10:15:50'),('server_port',461,'461 (datasurfsrv)','2022-12-07 10:15:40'),('server_port',462,'462 (datasurfsrvsec)','2022-12-07 10:15:30'),('server_port',463,'463 (alpes)','2022-12-07 10:15:42'),('server_port',464,'464 (kpasswd)','2022-12-07 10:15:39'),('server_port',465,'465 (submissions)','2022-12-07 10:15:49'),('server_port',466,'466 (digital-vrc)','2022-12-07 10:15:38'),('server_port',467,'467 (mylex-mapd)','2022-12-07 10:15:36'),('server_port',468,'468 (photuris)','2022-12-07 10:15:30'),('server_port',469,'469 (rcp)','2022-12-07 10:15:34'),('server_port',470,'470 (scx-proxy)','2022-12-07 10:15:36'),('server_port',471,'471 (mondex)','2022-12-07 10:15:47'),('server_port',472,'472 (ljk-login)','2022-12-07 10:15:47'),('server_port',473,'473 (hybrid-pop)','2022-12-07 10:15:49'),('server_port',474,'474 (tn-tl-w1)','2022-12-07 10:15:45'),('server_port',475,'475 (tcpnethaspsrv)','2022-12-07 10:15:30'),('server_port',476,'476 (tn-tl-fd1)','2022-12-07 10:15:53'),('server_port',477,'477 (ss7ns)','2022-12-07 10:15:34'),('server_port',478,'478 (spsc)','2022-12-07 10:15:53'),('server_port',479,'479 (iafserver)','2022-12-07 10:15:42'),('server_port',480,'480 (iafdbase)','2022-12-07 10:15:52'),('server_port',481,'481 (ph)','2022-12-07 10:15:47'),('server_port',482,'482 (bgs-nsi)','2022-12-07 10:15:44'),('server_port',483,'483 (ulpnet)','2022-12-07 10:15:42'),('server_port',484,'484 (integra-sme)','2022-12-07 10:15:48'),('server_port',485,'485 (powerburst)','2022-12-07 10:15:35'),('server_port',486,'486 (avian)','2022-12-07 10:15:43'),('server_port',487,'487 (saft)','2022-12-07 10:15:46'),('server_port',488,'488 (gss-http)','2022-12-07 10:15:37'),('server_port',489,'489 (nest-protocol)','2022-12-07 10:15:46'),('server_port',490,'490 (micom-pfs)','2022-12-07 10:15:35'),('server_port',491,'491 (go-login)','2022-12-07 10:15:48'),('server_port',492,'492 (ticf-1)','2022-12-07 10:15:48'),('server_port',493,'493 (ticf-2)','2022-12-07 10:15:38'),('server_port',494,'494 (pov-ray)','2022-12-07 10:15:37'),('server_port',495,'495 (intecourier)','2022-12-07 10:15:39'),('server_port',496,'496 (pim-rp-disc)','2022-12-07 10:15:46'),('server_port',497,'497 (retrospect)','2022-12-07 10:15:40'),('server_port',498,'498 (siam)','2022-12-07 10:15:35'),('server_port',499,'499 (iso-ill)','2022-12-07 10:15:41'),('server_port',500,'500 (isakmp)','2022-12-07 10:15:46'),('server_port',501,'501 (stmf)','2022-12-07 10:15:48'),('server_port',502,'502 (mbap)','2022-12-07 10:15:45'),('server_port',503,'503 (intrinsa)','2022-12-07 10:15:47'),('server_port',504,'504 (citadel)','2022-12-07 10:15:52'),('server_port',505,'505 (mailbox-lm)','2022-12-07 10:15:41'),('server_port',506,'506 (ohimsrv)','2022-12-07 10:15:52'),('server_port',507,'507 (crs)','2022-12-07 10:15:45'),('server_port',508,'508 (xvttp)','2022-12-07 10:15:29'),('server_port',509,'509 (snare)','2022-12-07 10:15:50'),('server_port',510,'510 (fcp)','2022-12-07 10:15:41'),('server_port',511,'511 (passgo)','2022-12-07 10:15:50'),('server_port',512,'512 (exec)','2022-12-07 10:15:42'),('server_port',513,'513 (login)','2022-12-07 10:15:45'),('server_port',514,'514 (shell)','2022-12-07 10:15:32'),('server_port',515,'515 (printer)','2022-12-07 10:15:36'),('server_port',516,'516 (videotex)','2022-12-07 10:15:29'),('server_port',517,'517 (talk)','2022-12-07 10:15:49'),('server_port',518,'518 (ntalk)','2022-12-07 10:15:36'),('server_port',519,'519 (utime)','2022-12-07 10:15:41'),('server_port',520,'520 (efs)','2022-12-07 10:15:32'),('server_port',521,'521 (ripng)','2022-12-07 10:15:42'),('server_port',522,'522 (ulp)','2022-12-07 10:15:31'),('server_port',523,'523 (ibm-db2)','2022-12-07 10:15:42'),('server_port',524,'524 (ncp)','2022-12-07 10:15:32'),('server_port',525,'525 (timed)','2022-12-07 10:15:30'),('server_port',526,'526 (tempo)','2022-12-07 10:15:33'),('server_port',527,'527 (stx)','2022-12-07 10:15:34'),('server_port',528,'528 (custix)','2022-12-07 10:15:43'),('server_port',529,'529 (irc-serv)','2022-12-07 10:15:41'),('server_port',530,'530 (courier)','2022-12-07 10:15:51'),('server_port',531,'531 (conference)','2022-12-07 10:15:46'),('server_port',532,'532 (netnews)','2022-12-07 10:15:38'),('server_port',533,'533 (netwall)','2022-12-07 10:15:33'),('server_port',534,'534 (windream)','2022-12-07 10:15:51'),('server_port',535,'535 (iiop)','2022-12-07 10:15:36'),('server_port',536,'536 (opalis-rdv)','2022-12-07 10:15:41'),('server_port',537,'537 (nmsp)','2022-12-07 10:15:52'),('server_port',538,'538 (gdomap)','2022-12-07 10:15:46'),('server_port',539,'539 (apertus-ldp)','2022-12-07 10:15:41'),('server_port',540,'540 (uucp)','2022-12-07 10:15:49'),('server_port',541,'541 (uucp-rlogin)','2022-12-07 10:15:34'),('server_port',542,'542 (commerce)','2022-12-07 10:15:36'),('server_port',543,'543 (klogin)','2022-12-07 10:15:41'),('server_port',544,'544 (kshell)','2022-12-07 10:15:49'),('server_port',545,'545 (appleqtcsrvr)','2022-12-07 10:15:35'),('server_port',546,'546 (dhcpv6-client)','2022-12-07 10:15:38'),('server_port',547,'547 (dhcpv6-server)','2022-12-07 10:15:50'),('server_port',548,'548 (afpovertcp)','2022-12-07 10:15:45'),('server_port',549,'549 (idfp)','2022-12-07 10:15:41'),('server_port',550,'550 (new-rwho)','2022-12-07 10:15:33'),('server_port',551,'551 (cybercash)','2022-12-07 10:15:34'),('server_port',552,'552 (devshr-nts)','2022-12-07 10:15:40'),('server_port',553,'553 (pirp)','2022-12-07 10:15:44'),('server_port',554,'554 (rtsp)','2022-12-07 10:15:39'),('server_port',555,'555 (dsf)','2022-12-07 10:15:49'),('server_port',556,'556 (remotefs)','2022-12-07 10:15:42'),('server_port',557,'557 (openvms-sysipc)','2022-12-07 10:15:48'),('server_port',558,'558 (sdnskmp)','2022-12-07 10:15:52'),('server_port',559,'559 (teedtap)','2022-12-07 10:15:33'),('server_port',560,'560 (rmonitor)','2022-12-07 10:15:42'),('server_port',561,'561 (monitor)','2022-12-07 10:15:35'),('server_port',562,'562 (chshell)','2022-12-07 10:15:33'),('server_port',563,'563 (nntps)','2022-12-07 10:15:40'),('server_port',564,'564 (9pfs)','2022-12-07 10:15:48'),('server_port',565,'565 (whoami)','2022-12-07 10:15:41'),('server_port',566,'566 (streettalk)','2022-12-07 10:15:46'),('server_port',567,'567 (banyan-rpc)','2022-12-07 10:15:41'),('server_port',568,'568 (ms-shuttle)','2022-12-07 10:15:48'),('server_port',569,'569 (ms-rome)','2022-12-07 10:15:33'),('server_port',570,'570 (meter)','2022-12-07 10:15:32'),('server_port',571,'571 (meter)','2022-12-07 10:15:45'),('server_port',572,'572 (sonar)','2022-12-07 10:15:51'),('server_port',573,'573 (banyan-vip)','2022-12-07 10:15:34'),('server_port',574,'574 (ftp-agent)','2022-12-07 10:15:43'),('server_port',575,'575 (vemmi)','2022-12-07 10:15:52'),('server_port',576,'576 (ipcd)','2022-12-07 10:15:39'),('server_port',577,'577 (vnas)','2022-12-07 10:15:37'),('server_port',578,'578 (ipdd)','2022-12-07 10:15:33'),('server_port',579,'579 (decbsrv)','2022-12-07 10:15:29'),('server_port',580,'580 (sntp-heartbeat)','2022-12-07 10:15:32'),('server_port',581,'581 (bdp)','2022-12-07 10:15:44'),('server_port',582,'582 (scc-security)','2022-12-07 10:15:36'),('server_port',583,'583 (philips-vc)','2022-12-07 10:15:43'),('server_port',584,'584 (keyserver)','2022-12-07 10:15:53'),('server_port',586,'586 (password-chg)','2022-12-07 10:15:31'),('server_port',587,'587 (submission)','2022-12-07 10:15:41'),('server_port',588,'588 (cal)','2022-12-07 10:15:45'),('server_port',589,'589 (eyelink)','2022-12-07 10:15:51'),('server_port',590,'590 (tns-cml)','2022-12-07 10:15:52'),('server_port',591,'591 (http-alt)','2022-12-07 10:15:38'),('server_port',592,'592 (eudora-set)','2022-12-07 10:15:51'),('server_port',593,'593 (http-rpc-epmap)','2022-12-07 10:15:50'),('server_port',594,'594 (tpip)','2022-12-07 10:15:50'),('server_port',595,'595 (cab-protocol)','2022-12-07 10:15:45'),('server_port',596,'596 (smsd)','2022-12-07 10:15:48'),('server_port',597,'597 (ptcnameservice)','2022-12-07 10:15:35'),('server_port',598,'598 (sco-websrvrmg3)','2022-12-07 10:15:51'),('server_port',599,'599 (acp)','2022-12-07 10:15:41'),('server_port',600,'600 (ipcserver)','2022-12-07 10:15:37'),('server_port',601,'601 (syslog-conn)','2022-12-07 10:15:50'),('server_port',602,'602 (xmlrpc-beep)','2022-12-07 10:15:32'),('server_port',603,'603 (idxp)','2022-12-07 10:15:46'),('server_port',604,'604 (tunnel)','2022-12-07 10:15:35'),('server_port',605,'605 (soap-beep)','2022-12-07 10:15:51'),('server_port',606,'606 (urm)','2022-12-07 10:15:44'),('server_port',607,'607 (nqs)','2022-12-07 10:15:48'),('server_port',608,'608 (sift-uft)','2022-12-07 10:15:34'),('server_port',609,'609 (npmp-trap)','2022-12-07 10:15:43'),('server_port',610,'610 (npmp-local)','2022-12-07 10:15:52'),('server_port',611,'611 (npmp-gui)','2022-12-07 10:15:45'),('server_port',612,'612 (hmmp-ind)','2022-12-07 10:15:37'),('server_port',613,'613 (hmmp-op)','2022-12-07 10:15:51'),('server_port',614,'614 (sshell)','2022-12-07 10:15:49'),('server_port',615,'615 (sco-inetmgr)','2022-12-07 10:15:43'),('server_port',616,'616 (sco-sysmgr)','2022-12-07 10:15:44'),('server_port',617,'617 (sco-dtmgr)','2022-12-07 10:15:52'),('server_port',618,'618 (dei-icda)','2022-12-07 10:15:36'),('server_port',619,'619 (compaq-evm)','2022-12-07 10:15:36'),('server_port',620,'620 (sco-websrvrmgr)','2022-12-07 10:15:34'),('server_port',621,'621 (escp-ip)','2022-12-07 10:15:33'),('server_port',622,'622 (collaborator)','2022-12-07 10:15:45'),('server_port',623,'623 (oob-ws-http)','2022-12-07 10:15:43'),('server_port',624,'624 (cryptoadmin)','2022-12-07 10:15:41'),('server_port',625,'625 (dec-dlm)','2022-12-07 10:15:52'),('server_port',626,'626 (asia)','2022-12-07 10:15:34'),('server_port',627,'627 (passgo-tivoli)','2022-12-07 10:15:37'),('server_port',628,'628 (qmqp)','2022-12-07 10:15:51'),('server_port',629,'629 (3com-amp3)','2022-12-07 10:15:50'),('server_port',630,'630 (rda)','2022-12-07 10:15:33'),('server_port',631,'631 (ipps)','2022-12-07 10:15:41'),('server_port',632,'632 (bmpp)','2022-12-07 10:15:49'),('server_port',633,'633 (servstat)','2022-12-07 10:15:45'),('server_port',634,'634 (ginad)','2022-12-07 10:15:37'),('server_port',635,'635 (rlzdbase)','2022-12-07 10:15:41'),('server_port',636,'636 (ldaps)','2022-12-07 10:15:48'),('server_port',637,'637 (lanserver)','2022-12-07 10:15:38'),('server_port',638,'638 (mcns-sec)','2022-12-07 10:15:46'),('server_port',639,'639 (msdp)','2022-12-07 10:15:46'),('server_port',640,'640 (entrust-sps)','2022-12-07 10:15:43'),('server_port',641,'641 (repcmd)','2022-12-07 10:15:42'),('server_port',642,'642 (esro-emsdp)','2022-12-07 10:15:39'),('server_port',643,'643 (sanity)','2022-12-07 10:15:37'),('server_port',644,'644 (dwr)','2022-12-07 10:15:37'),('server_port',645,'645 (pssc)','2022-12-07 10:15:48'),('server_port',646,'646 (ldp)','2022-12-07 10:15:34'),('server_port',647,'647 (dhcp-failover)','2022-12-07 10:15:42'),('server_port',648,'648 (rrp)','2022-12-07 10:15:44'),('server_port',649,'649 (cadview-3d)','2022-12-07 10:15:51'),('server_port',650,'650 (obex)','2022-12-07 10:15:36'),('server_port',651,'651 (ieee-mms)','2022-12-07 10:15:49'),('server_port',652,'652 (hello-port)','2022-12-07 10:15:43'),('server_port',653,'653 (repscmd)','2022-12-07 10:15:45'),('server_port',654,'654 (aodv)','2022-12-07 10:15:35'),('server_port',655,'655 (tinc)','2022-12-07 10:15:51'),('server_port',656,'656 (spmp)','2022-12-07 10:15:53'),('server_port',657,'657 (rmc)','2022-12-07 10:15:47'),('server_port',658,'658 (tenfold)','2022-12-07 10:15:29'),('server_port',660,'660 (mac-srvr-admin)','2022-12-07 10:15:45'),('server_port',661,'661 (hap)','2022-12-07 10:15:46'),('server_port',662,'662 (pftp)','2022-12-07 10:15:40'),('server_port',663,'663 (purenoise)','2022-12-07 10:15:34'),('server_port',664,'664 (oob-ws-https)','2022-12-07 10:15:50'),('server_port',665,'665 (sun-dr)','2022-12-07 10:15:30'),('server_port',666,'666 (doom)','2022-12-07 10:15:41'),('server_port',667,'667 (disclose)','2022-12-07 10:15:29'),('server_port',668,'668 (mecomm)','2022-12-07 10:15:34'),('server_port',669,'669 (meregister)','2022-12-07 10:15:30'),('server_port',670,'670 (vacdsm-sws)','2022-12-07 10:15:39'),('server_port',671,'671 (vacdsm-app)','2022-12-07 10:15:38'),('server_port',672,'672 (vpps-qua)','2022-12-07 10:15:37'),('server_port',673,'673 (cimplex)','2022-12-07 10:15:38'),('server_port',674,'674 (acap)','2022-12-07 10:15:41'),('server_port',675,'675 (dctp)','2022-12-07 10:15:29'),('server_port',676,'676 (vpps-via)','2022-12-07 10:15:34'),('server_port',677,'677 (vpp)','2022-12-07 10:15:53'),('server_port',678,'678 (ggf-ncp)','2022-12-07 10:15:37'),('server_port',679,'679 (mrm)','2022-12-07 10:15:35'),('server_port',680,'680 (entrust-aaas)','2022-12-07 10:15:41'),('server_port',681,'681 (entrust-aams)','2022-12-07 10:15:43'),('server_port',682,'682 (xfr)','2022-12-07 10:15:29'),('server_port',683,'683 (corba-iiop)','2022-12-07 10:15:32'),('server_port',684,'684 (corba-iiop-ssl)','2022-12-07 10:15:38'),('server_port',685,'685 (mdc-portmapper)','2022-12-07 10:15:50'),('server_port',686,'686 (hcp-wismar)','2022-12-07 10:15:33'),('server_port',687,'687 (asipregistry)','2022-12-07 10:15:31'),('server_port',688,'688 (realm-rusd)','2022-12-07 10:15:36'),('server_port',689,'689 (nmap)','2022-12-07 10:15:31'),('server_port',690,'690 (vatp)','2022-12-07 10:15:39'),('server_port',691,'691 (msexch-routing)','2022-12-07 10:15:36'),('server_port',692,'692 (hyperwave-isp)','2022-12-07 10:15:40'),('server_port',693,'693 (connendp)','2022-12-07 10:15:50'),('server_port',694,'694 (ha-cluster)','2022-12-07 10:15:33'),('server_port',695,'695 (ieee-mms-ssl)','2022-12-07 10:15:29'),('server_port',696,'696 (rushd)','2022-12-07 10:15:43'),('server_port',697,'697 (uuidgen)','2022-12-07 10:15:30'),('server_port',698,'698 (olsr)','2022-12-07 10:15:31'),('server_port',699,'699 (accessnetwork)','2022-12-07 10:15:38'),('server_port',700,'700 (epp)','2022-12-07 10:15:31'),('server_port',701,'701 (lmp)','2022-12-07 10:15:35'),('server_port',702,'702 (iris-beep)','2022-12-07 10:15:30'),('server_port',704,'704 (elcsd)','2022-12-07 10:15:33'),('server_port',705,'705 (agentx)','2022-12-07 10:15:31'),('server_port',706,'706 (silc)','2022-12-07 10:15:41'),('server_port',707,'707 (borland-dsj)','2022-12-07 10:15:35'),('server_port',709,'709 (entrust-kmsh)','2022-12-07 10:15:40'),('server_port',710,'710 (entrust-ash)','2022-12-07 10:15:44'),('server_port',711,'711 (cisco-tdp)','2022-12-07 10:15:44'),('server_port',712,'712 (tbrpf)','2022-12-07 10:15:51'),('server_port',713,'713 (iris-xpc)','2022-12-07 10:15:36'),('server_port',714,'714 (iris-xpcs)','2022-12-07 10:15:43'),('server_port',715,'715 (iris-lwz)','2022-12-07 10:15:41'),('server_port',729,'729 (netviewdm1)','2022-12-07 10:15:38'),('server_port',730,'730 (netviewdm2)','2022-12-07 10:15:31'),('server_port',731,'731 (netviewdm3)','2022-12-07 10:15:41'),('server_port',741,'741 (netgw)','2022-12-07 10:15:35'),('server_port',742,'742 (netrcs)','2022-12-07 10:15:51'),('server_port',744,'744 (flexlm)','2022-12-07 10:15:52'),('server_port',747,'747 (fujitsu-dev)','2022-12-07 10:15:32'),('server_port',748,'748 (ris-cm)','2022-12-07 10:15:39'),('server_port',749,'749 (kerberos-adm)','2022-12-07 10:15:33'),('server_port',750,'750 (rfile)','2022-12-07 10:15:47'),('server_port',751,'751 (pump)','2022-12-07 10:15:42'),('server_port',752,'752 (qrh)','2022-12-07 10:15:50'),('server_port',753,'753 (rrh)','2022-12-07 10:15:29'),('server_port',754,'754 (tell)','2022-12-07 10:15:31'),('server_port',758,'758 (nlogin)','2022-12-07 10:15:49'),('server_port',759,'759 (con)','2022-12-07 10:15:46'),('server_port',760,'760 (ns)','2022-12-07 10:15:33'),('server_port',761,'761 (rxe)','2022-12-07 10:15:36'),('server_port',762,'762 (quotad)','2022-12-07 10:15:38'),('server_port',763,'763 (cycleserv)','2022-12-07 10:15:49'),('server_port',764,'764 (omserv)','2022-12-07 10:15:30'),('server_port',765,'765 (webster)','2022-12-07 10:15:51'),('server_port',767,'767 (phonebook)','2022-12-07 10:15:45'),('server_port',769,'769 (vid)','2022-12-07 10:15:29'),('server_port',770,'770 (cadlock)','2022-12-07 10:15:48'),('server_port',771,'771 (rtip)','2022-12-07 10:15:35'),('server_port',772,'772 (cycleserv2)','2022-12-07 10:15:34'),('server_port',773,'773 (submit)','2022-12-07 10:15:33'),('server_port',774,'774 (rpasswd)','2022-12-07 10:15:31'),('server_port',775,'775 (entomb)','2022-12-07 10:15:32'),('server_port',776,'776 (wpages)','2022-12-07 10:15:50'),('server_port',777,'777 (multiling-http)','2022-12-07 10:15:45'),('server_port',780,'780 (wpgs)','2022-12-07 10:15:47'),('server_port',800,'800 (mdbs-daemon)','2022-12-07 10:15:51'),('server_port',801,'801 (device)','2022-12-07 10:15:48'),('server_port',802,'802 (mbap-s)','2022-12-07 10:15:33'),('server_port',810,'810 (fcp-udp)','2022-12-07 10:15:48'),('server_port',828,'828 (itm-mcell-s)','2022-12-07 10:15:44'),('server_port',829,'829 (pkix-3-ca-ra)','2022-12-07 10:15:36'),('server_port',830,'830 (netconf-ssh)','2022-12-07 10:15:33'),('server_port',831,'831 (netconf-beep)','2022-12-07 10:15:49'),('server_port',832,'832 (netconfsoaphttp)','2022-12-07 10:15:36'),('server_port',833,'833 (netconfsoapbeep)','2022-12-07 10:15:29'),('server_port',847,'847 (dhcp-failover2)','2022-12-07 10:15:34'),('server_port',848,'848 (gdoi)','2022-12-07 10:15:34'),('server_port',853,'853 (domain-s)','2022-12-07 10:15:34'),('server_port',854,'854 (dlep)','2022-12-07 10:15:29'),('server_port',860,'860 (iscsi)','2022-12-07 10:15:35'),('server_port',861,'861 (owamp-control)','2022-12-07 10:15:39'),('server_port',862,'862 (twamp-control)','2022-12-07 10:15:49'),('server_port',873,'873 (rsync)','2022-12-07 10:15:32'),('server_port',886,'886 (iclcnet-locate)','2022-12-07 10:15:35'),('server_port',887,'887 (iclcnet-svinfo)','2022-12-07 10:15:46'),('server_port',888,'888 (cddbp)','2022-12-07 10:15:38'),('server_port',900,'900 (omginitialrefs)','2022-12-07 10:15:39'),('server_port',901,'901 (smpnameres)','2022-12-07 10:15:38'),('server_port',902,'902 (ideafarm-door)','2022-12-07 10:15:48'),('server_port',903,'903 (ideafarm-panic)','2022-12-07 10:15:51'),('server_port',910,'910 (kink)','2022-12-07 10:15:49'),('server_port',911,'911 (xact-backup)','2022-12-07 10:15:40'),('server_port',912,'912 (apex-mesh)','2022-12-07 10:15:45'),('server_port',913,'913 (apex-edge)','2022-12-07 10:15:40'),('server_port',953,'953 (rndc)','2022-12-07 10:15:51'),('server_port',989,'989 (ftps-data)','2022-12-07 10:15:51'),('server_port',990,'990 (ftps)','2022-12-07 10:15:50'),('server_port',991,'991 (nas)','2022-12-07 10:15:38'),('server_port',992,'992 (telnets)','2022-12-07 10:15:36'),('server_port',993,'993 (imaps)','2022-12-07 10:15:52'),('server_port',995,'995 (pop3s)','2022-12-07 10:15:32'),('server_port',996,'996 (vsinet)','2022-12-07 10:15:51'),('server_port',997,'997 (maitrd)','2022-12-07 10:15:34'),('server_port',998,'998 (busboy)','2022-12-07 10:15:42'),('server_port',999,'999 (garcon)','2022-12-07 10:15:44'),('server_port',1000,'1000 (cadlock2)','2022-12-07 10:15:48'),('server_port',1001,'1001 (webpush)','2022-12-07 10:15:48'),('server_port',1010,'1010 (surf)','2022-12-07 10:15:48'),('server_port',1021,'1021 (exp1)','2022-12-07 10:15:37'),('server_port',1022,'1022 (exp2)','2022-12-07 10:15:37'),('server_port',1025,'1025 (blackjack)','2022-12-07 10:15:29'),('server_port',1026,'1026 (cap)','2022-12-07 10:15:31'),('server_port',1029,'1029 (solid-mux)','2022-12-07 10:15:48'),('server_port',1033,'1033 (netinfo-local)','2022-12-07 10:15:44'),('server_port',1034,'1034 (activesync)','2022-12-07 10:15:51'),('server_port',1035,'1035 (mxxrlogin)','2022-12-07 10:15:37'),('server_port',1036,'1036 (nsstp)','2022-12-07 10:15:31'),('server_port',1037,'1037 (ams)','2022-12-07 10:15:47'),('server_port',1038,'1038 (mtqp)','2022-12-07 10:15:33'),('server_port',1039,'1039 (sbl)','2022-12-07 10:15:46'),('server_port',1040,'1040 (netarx)','2022-12-07 10:15:41'),('server_port',1041,'1041 (danf-ak2)','2022-12-07 10:15:39'),('server_port',1042,'1042 (afrog)','2022-12-07 10:15:37'),('server_port',1043,'1043 (boinc-client)','2022-12-07 10:15:31'),('server_port',1044,'1044 (dcutility)','2022-12-07 10:15:52'),('server_port',1045,'1045 (fpitp)','2022-12-07 10:15:31'),('server_port',1046,'1046 (wfremotertm)','2022-12-07 10:15:44'),('server_port',1047,'1047 (neod1)','2022-12-07 10:15:49'),('server_port',1048,'1048 (neod2)','2022-12-07 10:15:46'),('server_port',1049,'1049 (td-postman)','2022-12-07 10:15:41'),('server_port',1050,'1050 (cma)','2022-12-07 10:15:37'),('server_port',1051,'1051 (optima-vnet)','2022-12-07 10:15:35'),('server_port',1052,'1052 (ddt)','2022-12-07 10:15:52'),('server_port',1053,'1053 (remote-as)','2022-12-07 10:15:35'),('server_port',1054,'1054 (brvread)','2022-12-07 10:15:32'),('server_port',1055,'1055 (ansyslmd)','2022-12-07 10:15:45'),('server_port',1056,'1056 (vfo)','2022-12-07 10:15:41'),('server_port',1057,'1057 (startron)','2022-12-07 10:15:46'),('server_port',1058,'1058 (nim)','2022-12-07 10:15:40'),('server_port',1059,'1059 (nimreg)','2022-12-07 10:15:31'),('server_port',1060,'1060 (polestar)','2022-12-07 10:15:52'),('server_port',1061,'1061 (kiosk)','2022-12-07 10:15:43'),('server_port',1062,'1062 (veracity)','2022-12-07 10:15:53'),('server_port',1063,'1063 (kyoceranetdev)','2022-12-07 10:15:46'),('server_port',1064,'1064 (jstel)','2022-12-07 10:15:43'),('server_port',1065,'1065 (syscomlan)','2022-12-07 10:15:31'),('server_port',1066,'1066 (fpo-fns)','2022-12-07 10:15:51'),('server_port',1067,'1067 (instl-boots)','2022-12-07 10:15:50'),('server_port',1068,'1068 (instl-bootc)','2022-12-07 10:15:44'),('server_port',1069,'1069 (cognex-insight)','2022-12-07 10:15:50'),('server_port',1070,'1070 (gmrupdateserv)','2022-12-07 10:15:38'),('server_port',1071,'1071 (bsquare-voip)','2022-12-07 10:15:47'),('server_port',1072,'1072 (cardax)','2022-12-07 10:15:52'),('server_port',1073,'1073 (bridgecontrol)','2022-12-07 10:15:45'),('server_port',1074,'1074 (warmspotMgmt)','2022-12-07 10:15:37'),('server_port',1075,'1075 (rdrmshc)','2022-12-07 10:15:42'),('server_port',1076,'1076 (dab-sti-c)','2022-12-07 10:15:50'),('server_port',1077,'1077 (imgames)','2022-12-07 10:15:47'),('server_port',1078,'1078 (avocent-proxy)','2022-12-07 10:15:34'),('server_port',1079,'1079 (asprovatalk)','2022-12-07 10:15:49'),('server_port',1080,'1080 (socks)','2022-12-07 10:15:32'),('server_port',1081,'1081 (pvuniwien)','2022-12-07 10:15:30'),('server_port',1082,'1082 (amt-esd-prot)','2022-12-07 10:15:45'),('server_port',1083,'1083 (ansoft-lm-1)','2022-12-07 10:15:51'),('server_port',1084,'1084 (ansoft-lm-2)','2022-12-07 10:15:37'),('server_port',1085,'1085 (webobjects)','2022-12-07 10:15:38'),('server_port',1086,'1086 (cplscrambler-lg)','2022-12-07 10:15:40'),('server_port',1087,'1087 (cplscrambler-in)','2022-12-07 10:15:33'),('server_port',1088,'1088 (cplscrambler-al)','2022-12-07 10:15:48'),('server_port',1089,'1089 (ff-annunc)','2022-12-07 10:15:33'),('server_port',1090,'1090 (ff-fms)','2022-12-07 10:15:44'),('server_port',1091,'1091 (ff-sm)','2022-12-07 10:15:38'),('server_port',1092,'1092 (obrpd)','2022-12-07 10:15:29'),('server_port',1093,'1093 (proofd)','2022-12-07 10:15:48'),('server_port',1094,'1094 (rootd)','2022-12-07 10:15:30'),('server_port',1095,'1095 (nicelink)','2022-12-07 10:15:49'),('server_port',1096,'1096 (cnrprotocol)','2022-12-07 10:15:32'),('server_port',1097,'1097 (sunclustermgr)','2022-12-07 10:15:42'),('server_port',1098,'1098 (rmiactivation)','2022-12-07 10:15:40'),('server_port',1099,'1099 (rmiregistry)','2022-12-07 10:15:41'),('server_port',1100,'1100 (mctp)','2022-12-07 10:15:52'),('server_port',1101,'1101 (pt2-discover)','2022-12-07 10:15:45'),('server_port',1102,'1102 (adobeserver-1)','2022-12-07 10:15:46'),('server_port',1103,'1103 (adobeserver-2)','2022-12-07 10:15:33'),('server_port',1104,'1104 (xrl)','2022-12-07 10:15:46'),('server_port',1105,'1105 (ftranhc)','2022-12-07 10:15:44'),('server_port',1106,'1106 (isoipsigport-1)','2022-12-07 10:15:53'),('server_port',1107,'1107 (isoipsigport-2)','2022-12-07 10:15:49'),('server_port',1108,'1108 (ratio-adp)','2022-12-07 10:15:50'),('server_port',1110,'1110 (webadmstart)','2022-12-07 10:15:40'),('server_port',1111,'1111 (lmsocialserver)','2022-12-07 10:15:48'),('server_port',1112,'1112 (icp)','2022-12-07 10:15:47'),('server_port',1113,'1113 (ltp-deepspace)','2022-12-07 10:15:44'),('server_port',1114,'1114 (mini-sql)','2022-12-07 10:15:36'),('server_port',1115,'1115 (ardus-trns)','2022-12-07 10:15:33'),('server_port',1116,'1116 (ardus-cntl)','2022-12-07 10:15:42'),('server_port',1117,'1117 (ardus-mtrns)','2022-12-07 10:15:36'),('server_port',1118,'1118 (sacred)','2022-12-07 10:15:51'),('server_port',1119,'1119 (bnetgame)','2022-12-07 10:15:38'),('server_port',1120,'1120 (bnetfile)','2022-12-07 10:15:53'),('server_port',1121,'1121 (rmpp)','2022-12-07 10:15:30'),('server_port',1122,'1122 (availant-mgr)','2022-12-07 10:15:43'),('server_port',1123,'1123 (murray)','2022-12-07 10:15:48'),('server_port',1124,'1124 (hpvmmcontrol)','2022-12-07 10:15:41'),('server_port',1125,'1125 (hpvmmagent)','2022-12-07 10:15:47'),('server_port',1126,'1126 (hpvmmdata)','2022-12-07 10:15:52'),('server_port',1127,'1127 (kwdb-commn)','2022-12-07 10:15:38'),('server_port',1128,'1128 (saphostctrl)','2022-12-07 10:15:49'),('server_port',1129,'1129 (saphostctrls)','2022-12-07 10:15:31'),('server_port',1130,'1130 (casp)','2022-12-07 10:15:53'),('server_port',1131,'1131 (caspssl)','2022-12-07 10:15:49'),('server_port',1132,'1132 (kvm-via-ip)','2022-12-07 10:15:44'),('server_port',1133,'1133 (dfn)','2022-12-07 10:15:39'),('server_port',1134,'1134 (aplx)','2022-12-07 10:15:48'),('server_port',1135,'1135 (omnivision)','2022-12-07 10:15:50'),('server_port',1136,'1136 (hhb-gateway)','2022-12-07 10:15:41'),('server_port',1137,'1137 (trim)','2022-12-07 10:15:35'),('server_port',1138,'1138 (encrypted-admin)','2022-12-07 10:15:37'),('server_port',1139,'1139 (evm)','2022-12-07 10:15:39'),('server_port',1140,'1140 (autonoc)','2022-12-07 10:15:49'),('server_port',1141,'1141 (mxomss)','2022-12-07 10:15:46'),('server_port',1142,'1142 (edtools)','2022-12-07 10:15:32'),('server_port',1143,'1143 (imyx)','2022-12-07 10:15:40'),('server_port',1144,'1144 (fuscript)','2022-12-07 10:15:30'),('server_port',1145,'1145 (x9-icue)','2022-12-07 10:15:37'),('server_port',1146,'1146 (audit-transfer)','2022-12-07 10:15:39'),('server_port',1147,'1147 (capioverlan)','2022-12-07 10:15:35'),('server_port',1148,'1148 (elfiq-repl)','2022-12-07 10:15:46'),('server_port',1149,'1149 (bvtsonar)','2022-12-07 10:15:36'),('server_port',1150,'1150 (blaze)','2022-12-07 10:15:45'),('server_port',1151,'1151 (unizensus)','2022-12-07 10:15:38'),('server_port',1152,'1152 (winpoplanmess)','2022-12-07 10:15:41'),('server_port',1153,'1153 (c1222-acse)','2022-12-07 10:15:41'),('server_port',1154,'1154 (resacommunity)','2022-12-07 10:15:32'),('server_port',1155,'1155 (nfa)','2022-12-07 10:15:45'),('server_port',1156,'1156 (iascontrol-oms)','2022-12-07 10:15:31'),('server_port',1157,'1157 (iascontrol)','2022-12-07 10:15:31'),('server_port',1158,'1158 (dbcontrol-oms)','2022-12-07 10:15:48'),('server_port',1159,'1159 (oracle-oms)','2022-12-07 10:15:42'),('server_port',1160,'1160 (olsv)','2022-12-07 10:15:43'),('server_port',1161,'1161 (health-polling)','2022-12-07 10:15:41'),('server_port',1162,'1162 (health-trap)','2022-12-07 10:15:33'),('server_port',1163,'1163 (sddp)','2022-12-07 10:15:43'),('server_port',1164,'1164 (qsm-proxy)','2022-12-07 10:15:34'),('server_port',1165,'1165 (qsm-gui)','2022-12-07 10:15:49'),('server_port',1166,'1166 (qsm-remote)','2022-12-07 10:15:44'),('server_port',1167,'1167 (cisco-ipsla)','2022-12-07 10:15:50'),('server_port',1168,'1168 (vchat)','2022-12-07 10:15:40'),('server_port',1169,'1169 (tripwire)','2022-12-07 10:15:51'),('server_port',1170,'1170 (atc-lm)','2022-12-07 10:15:51'),('server_port',1171,'1171 (atc-appserver)','2022-12-07 10:15:50'),('server_port',1172,'1172 (dnap)','2022-12-07 10:15:30'),('server_port',1173,'1173 (d-cinema-rrp)','2022-12-07 10:15:50'),('server_port',1174,'1174 (fnet-remote-ui)','2022-12-07 10:15:41'),('server_port',1175,'1175 (dossier)','2022-12-07 10:15:31'),('server_port',1176,'1176 (indigo-server)','2022-12-07 10:15:47'),('server_port',1177,'1177 (dkmessenger)','2022-12-07 10:15:38'),('server_port',1178,'1178 (sgi-storman)','2022-12-07 10:15:39'),('server_port',1179,'1179 (b2n)','2022-12-07 10:15:40'),('server_port',1180,'1180 (mc-client)','2022-12-07 10:15:49'),('server_port',1181,'1181 (3comnetman)','2022-12-07 10:15:30'),('server_port',1182,'1182 (accelenet)','2022-12-07 10:15:48'),('server_port',1183,'1183 (llsurfup-http)','2022-12-07 10:15:36'),('server_port',1184,'1184 (llsurfup-https)','2022-12-07 10:15:40'),('server_port',1185,'1185 (catchpole)','2022-12-07 10:15:41'),('server_port',1186,'1186 (mysql-cluster)','2022-12-07 10:15:46'),('server_port',1187,'1187 (alias)','2022-12-07 10:15:32'),('server_port',1188,'1188 (hp-webadmin)','2022-12-07 10:15:36'),('server_port',1189,'1189 (unet)','2022-12-07 10:15:32'),('server_port',1190,'1190 (commlinx-avl)','2022-12-07 10:15:42'),('server_port',1191,'1191 (gpfs)','2022-12-07 10:15:48'),('server_port',1192,'1192 (caids-sensor)','2022-12-07 10:15:38'),('server_port',1193,'1193 (fiveacross)','2022-12-07 10:15:36'),('server_port',1194,'1194 (openvpn)','2022-12-07 10:15:34'),('server_port',1195,'1195 (rsf-1)','2022-12-07 10:15:31'),('server_port',1196,'1196 (netmagic)','2022-12-07 10:15:31'),('server_port',1197,'1197 (carrius-rshell)','2022-12-07 10:15:36'),('server_port',1198,'1198 (cajo-discovery)','2022-12-07 10:15:31'),('server_port',1199,'1199 (dmidi)','2022-12-07 10:15:31'),('server_port',1200,'1200 (scol)','2022-12-07 10:15:40'),('server_port',1201,'1201 (nucleus-sand)','2022-12-07 10:15:33'),('server_port',1202,'1202 (caiccipc)','2022-12-07 10:15:34'),('server_port',1203,'1203 (ssslic-mgr)','2022-12-07 10:15:53'),('server_port',1204,'1204 (ssslog-mgr)','2022-12-07 10:15:52'),('server_port',1205,'1205 (accord-mgc)','2022-12-07 10:15:53'),('server_port',1206,'1206 (anthony-data)','2022-12-07 10:15:47'),('server_port',1207,'1207 (metasage)','2022-12-07 10:15:43'),('server_port',1208,'1208 (seagull-ais)','2022-12-07 10:15:36'),('server_port',1209,'1209 (ipcd3)','2022-12-07 10:15:52'),('server_port',1210,'1210 (eoss)','2022-12-07 10:15:41'),('server_port',1211,'1211 (groove-dpp)','2022-12-07 10:15:39'),('server_port',1212,'1212 (lupa)','2022-12-07 10:15:33'),('server_port',1213,'1213 (mpc-lifenet)','2022-12-07 10:15:52'),('server_port',1214,'1214 (kazaa)','2022-12-07 10:15:44'),('server_port',1215,'1215 (scanstat-1)','2022-12-07 10:15:31'),('server_port',1216,'1216 (etebac5)','2022-12-07 10:15:43'),('server_port',1217,'1217 (hpss-ndapi)','2022-12-07 10:15:52'),('server_port',1218,'1218 (aeroflight-ads)','2022-12-07 10:15:31'),('server_port',1219,'1219 (aeroflight-ret)','2022-12-07 10:15:35'),('server_port',1220,'1220 (qt-serveradmin)','2022-12-07 10:15:44'),('server_port',1221,'1221 (sweetware-apps)','2022-12-07 10:15:48'),('server_port',1222,'1222 (nerv)','2022-12-07 10:15:46'),('server_port',1223,'1223 (tgp)','2022-12-07 10:15:38'),('server_port',1224,'1224 (vpnz)','2022-12-07 10:15:34'),('server_port',1225,'1225 (slinkysearch)','2022-12-07 10:15:43'),('server_port',1226,'1226 (stgxfws)','2022-12-07 10:15:38'),('server_port',1227,'1227 (dns2go)','2022-12-07 10:15:44'),('server_port',1228,'1228 (florence)','2022-12-07 10:15:32'),('server_port',1229,'1229 (zented)','2022-12-07 10:15:41'),('server_port',1230,'1230 (periscope)','2022-12-07 10:15:29'),('server_port',1231,'1231 (menandmice-lpm)','2022-12-07 10:15:37'),('server_port',1232,'1232 (first-defense)','2022-12-07 10:15:52'),('server_port',1233,'1233 (univ-appserver)','2022-12-07 10:15:31'),('server_port',1234,'1234 (search-agent)','2022-12-07 10:15:43'),('server_port',1235,'1235 (mosaicsyssvc1)','2022-12-07 10:15:32'),('server_port',1236,'1236 (bvcontrol)','2022-12-07 10:15:43'),('server_port',1237,'1237 (tsdos390)','2022-12-07 10:15:47'),('server_port',1238,'1238 (hacl-qs)','2022-12-07 10:15:40'),('server_port',1239,'1239 (nmsd)','2022-12-07 10:15:35'),('server_port',1240,'1240 (instantia)','2022-12-07 10:15:32'),('server_port',1241,'1241 (nessus)','2022-12-07 10:15:43'),('server_port',1242,'1242 (nmasoverip)','2022-12-07 10:15:50'),('server_port',1243,'1243 (serialgateway)','2022-12-07 10:15:43'),('server_port',1244,'1244 (isbconference1)','2022-12-07 10:15:47'),('server_port',1245,'1245 (isbconference2)','2022-12-07 10:15:39'),('server_port',1246,'1246 (payrouter)','2022-12-07 10:15:33'),('server_port',1247,'1247 (visionpyramid)','2022-12-07 10:15:40'),('server_port',1248,'1248 (hermes)','2022-12-07 10:15:31'),('server_port',1249,'1249 (mesavistaco)','2022-12-07 10:15:51'),('server_port',1250,'1250 (swldy-sias)','2022-12-07 10:15:45'),('server_port',1251,'1251 (servergraph)','2022-12-07 10:15:48'),('server_port',1252,'1252 (bspne-pcc)','2022-12-07 10:15:34'),('server_port',1253,'1253 (q55-pcc)','2022-12-07 10:15:30'),('server_port',1254,'1254 (de-noc)','2022-12-07 10:15:33'),('server_port',1255,'1255 (de-cache-query)','2022-12-07 10:15:45'),('server_port',1256,'1256 (de-server)','2022-12-07 10:15:50'),('server_port',1257,'1257 (shockwave2)','2022-12-07 10:15:42'),('server_port',1258,'1258 (opennl)','2022-12-07 10:15:49'),('server_port',1259,'1259 (opennl-voice)','2022-12-07 10:15:50'),('server_port',1260,'1260 (ibm-ssd)','2022-12-07 10:15:37'),('server_port',1261,'1261 (mpshrsv)','2022-12-07 10:15:48'),('server_port',1262,'1262 (qnts-orb)','2022-12-07 10:15:43'),('server_port',1263,'1263 (dka)','2022-12-07 10:15:36'),('server_port',1264,'1264 (prat)','2022-12-07 10:15:44'),('server_port',1265,'1265 (dssiapi)','2022-12-07 10:15:47'),('server_port',1266,'1266 (dellpwrappks)','2022-12-07 10:15:48'),('server_port',1267,'1267 (epc)','2022-12-07 10:15:35'),('server_port',1268,'1268 (propel-msgsys)','2022-12-07 10:15:49'),('server_port',1269,'1269 (watilapp)','2022-12-07 10:15:51'),('server_port',1270,'1270 (opsmgr)','2022-12-07 10:15:41'),('server_port',1271,'1271 (excw)','2022-12-07 10:15:47'),('server_port',1272,'1272 (cspmlockmgr)','2022-12-07 10:15:30'),('server_port',1273,'1273 (emc-gateway)','2022-12-07 10:15:39'),('server_port',1274,'1274 (t1distproc)','2022-12-07 10:15:41'),('server_port',1275,'1275 (ivcollector)','2022-12-07 10:15:34'),('server_port',1277,'1277 (miva-mqs)','2022-12-07 10:15:44'),('server_port',1278,'1278 (dellwebadmin-1)','2022-12-07 10:15:44'),('server_port',1279,'1279 (dellwebadmin-2)','2022-12-07 10:15:53'),('server_port',1280,'1280 (pictrography)','2022-12-07 10:15:52'),('server_port',1281,'1281 (healthd)','2022-12-07 10:15:34'),('server_port',1282,'1282 (emperion)','2022-12-07 10:15:53'),('server_port',1283,'1283 (productinfo)','2022-12-07 10:15:42'),('server_port',1284,'1284 (iee-qfx)','2022-12-07 10:15:33'),('server_port',1285,'1285 (neoiface)','2022-12-07 10:15:37'),('server_port',1286,'1286 (netuitive)','2022-12-07 10:15:42'),('server_port',1287,'1287 (routematch)','2022-12-07 10:15:48'),('server_port',1288,'1288 (navbuddy)','2022-12-07 10:15:52'),('server_port',1289,'1289 (jwalkserver)','2022-12-07 10:15:51'),('server_port',1290,'1290 (winjaserver)','2022-12-07 10:15:42'),('server_port',1291,'1291 (seagulllms)','2022-12-07 10:15:49'),('server_port',1292,'1292 (dsdn)','2022-12-07 10:15:32'),('server_port',1293,'1293 (pkt-krb-ipsec)','2022-12-07 10:15:37'),('server_port',1294,'1294 (cmmdriver)','2022-12-07 10:15:47'),('server_port',1295,'1295 (ehtp)','2022-12-07 10:15:41'),('server_port',1296,'1296 (dproxy)','2022-12-07 10:15:47'),('server_port',1297,'1297 (sdproxy)','2022-12-07 10:15:37'),('server_port',1298,'1298 (lpcp)','2022-12-07 10:15:30'),('server_port',1299,'1299 (hp-sci)','2022-12-07 10:15:49'),('server_port',1300,'1300 (h323hostcallsc)','2022-12-07 10:15:49'),('server_port',1301,'1301 (ci3-software-1)','2022-12-07 10:15:43'),('server_port',1302,'1302 (ci3-software-2)','2022-12-07 10:15:29'),('server_port',1303,'1303 (sftsrv)','2022-12-07 10:15:30'),('server_port',1304,'1304 (boomerang)','2022-12-07 10:15:51'),('server_port',1305,'1305 (pe-mike)','2022-12-07 10:15:32'),('server_port',1306,'1306 (re-conn-proto)','2022-12-07 10:15:31'),('server_port',1307,'1307 (pacmand)','2022-12-07 10:15:35'),('server_port',1308,'1308 (odsi)','2022-12-07 10:15:41'),('server_port',1309,'1309 (jtag-server)','2022-12-07 10:15:37'),('server_port',1310,'1310 (husky)','2022-12-07 10:15:40'),('server_port',1311,'1311 (rxmon)','2022-12-07 10:15:31'),('server_port',1312,'1312 (sti-envision)','2022-12-07 10:15:29'),('server_port',1313,'1313 (bmc-patroldb)','2022-12-07 10:15:36'),('server_port',1314,'1314 (pdps)','2022-12-07 10:15:34'),('server_port',1315,'1315 (els)','2022-12-07 10:15:35'),('server_port',1316,'1316 (exbit-escp)','2022-12-07 10:15:29'),('server_port',1317,'1317 (vrts-ipcserver)','2022-12-07 10:15:49'),('server_port',1318,'1318 (krb5gatekeeper)','2022-12-07 10:15:32'),('server_port',1319,'1319 (amx-icsp)','2022-12-07 10:15:52'),('server_port',1320,'1320 (amx-axbnet)','2022-12-07 10:15:29'),('server_port',1321,'1321 (pip)','2022-12-07 10:15:31'),('server_port',1322,'1322 (novation)','2022-12-07 10:15:32'),('server_port',1323,'1323 (brcd)','2022-12-07 10:15:42'),('server_port',1324,'1324 (delta-mcp)','2022-12-07 10:15:32'),('server_port',1325,'1325 (dx-instrument)','2022-12-07 10:15:30'),('server_port',1326,'1326 (wimsic)','2022-12-07 10:15:33'),('server_port',1327,'1327 (ultrex)','2022-12-07 10:15:51'),('server_port',1328,'1328 (ewall)','2022-12-07 10:15:49'),('server_port',1329,'1329 (netdb-export)','2022-12-07 10:15:50'),('server_port',1330,'1330 (streetperfect)','2022-12-07 10:15:33'),('server_port',1331,'1331 (intersan)','2022-12-07 10:15:52'),('server_port',1332,'1332 (pcia-rxp-b)','2022-12-07 10:15:34'),('server_port',1333,'1333 (passwrd-policy)','2022-12-07 10:15:47'),('server_port',1334,'1334 (writesrv)','2022-12-07 10:15:42'),('server_port',1335,'1335 (digital-notary)','2022-12-07 10:15:47'),('server_port',1336,'1336 (ischat)','2022-12-07 10:15:36'),('server_port',1337,'1337 (menandmice-dns)','2022-12-07 10:15:30'),('server_port',1338,'1338 (wmc-log-svc)','2022-12-07 10:15:39'),('server_port',1339,'1339 (kjtsiteserver)','2022-12-07 10:15:48'),('server_port',1340,'1340 (naap)','2022-12-07 10:15:48'),('server_port',1341,'1341 (qubes)','2022-12-07 10:15:43'),('server_port',1342,'1342 (esbroker)','2022-12-07 10:15:33'),('server_port',1343,'1343 (re101)','2022-12-07 10:15:49'),('server_port',1344,'1344 (icap)','2022-12-07 10:15:48'),('server_port',1345,'1345 (vpjp)','2022-12-07 10:15:43'),('server_port',1346,'1346 (alta-ana-lm)','2022-12-07 10:15:48'),('server_port',1347,'1347 (bbn-mmc)','2022-12-07 10:15:39'),('server_port',1348,'1348 (bbn-mmx)','2022-12-07 10:15:30'),('server_port',1349,'1349 (sbook)','2022-12-07 10:15:38'),('server_port',1350,'1350 (editbench)','2022-12-07 10:15:37'),('server_port',1351,'1351 (equationbuilder)','2022-12-07 10:15:45'),('server_port',1352,'1352 (lotusnote)','2022-12-07 10:15:47'),('server_port',1353,'1353 (relief)','2022-12-07 10:15:44'),('server_port',1354,'1354 (XSIP-network)','2022-12-07 10:15:42'),('server_port',1355,'1355 (intuitive-edge)','2022-12-07 10:15:48'),('server_port',1356,'1356 (cuillamartin)','2022-12-07 10:15:44'),('server_port',1357,'1357 (pegboard)','2022-12-07 10:15:37'),('server_port',1358,'1358 (connlcli)','2022-12-07 10:15:48'),('server_port',1359,'1359 (ftsrv)','2022-12-07 10:15:37'),('server_port',1360,'1360 (mimer)','2022-12-07 10:15:39'),('server_port',1361,'1361 (linx)','2022-12-07 10:15:33'),('server_port',1362,'1362 (timeflies)','2022-12-07 10:15:40'),('server_port',1363,'1363 (ndm-requester)','2022-12-07 10:15:30'),('server_port',1364,'1364 (ndm-server)','2022-12-07 10:15:32'),('server_port',1365,'1365 (adapt-sna)','2022-12-07 10:15:50'),('server_port',1366,'1366 (netware-csp)','2022-12-07 10:15:52'),('server_port',1367,'1367 (dcs)','2022-12-07 10:15:33'),('server_port',1368,'1368 (screencast)','2022-12-07 10:15:36'),('server_port',1369,'1369 (gv-us)','2022-12-07 10:15:42'),('server_port',1370,'1370 (us-gv)','2022-12-07 10:15:44'),('server_port',1371,'1371 (fc-cli)','2022-12-07 10:15:32'),('server_port',1372,'1372 (fc-ser)','2022-12-07 10:15:33'),('server_port',1373,'1373 (chromagrafx)','2022-12-07 10:15:40'),('server_port',1374,'1374 (molly)','2022-12-07 10:15:34'),('server_port',1375,'1375 (bytex)','2022-12-07 10:15:49'),('server_port',1376,'1376 (ibm-pps)','2022-12-07 10:15:44'),('server_port',1377,'1377 (cichlid)','2022-12-07 10:15:40'),('server_port',1378,'1378 (elan)','2022-12-07 10:15:48'),('server_port',1379,'1379 (dbreporter)','2022-12-07 10:15:39'),('server_port',1380,'1380 (telesis-licman)','2022-12-07 10:15:30'),('server_port',1381,'1381 (apple-licman)','2022-12-07 10:15:51'),('server_port',1382,'1382 (udt-os)','2022-12-07 10:15:38'),('server_port',1383,'1383 (gwha)','2022-12-07 10:15:45'),('server_port',1384,'1384 (os-licman)','2022-12-07 10:15:42'),('server_port',1385,'1385 (atex-elmd)','2022-12-07 10:15:30'),('server_port',1386,'1386 (checksum)','2022-12-07 10:15:34'),('server_port',1387,'1387 (cadsi-lm)','2022-12-07 10:15:38'),('server_port',1388,'1388 (objective-dbc)','2022-12-07 10:15:30'),('server_port',1389,'1389 (iclpv-dm)','2022-12-07 10:15:45'),('server_port',1390,'1390 (iclpv-sc)','2022-12-07 10:15:32'),('server_port',1391,'1391 (iclpv-sas)','2022-12-07 10:15:42'),('server_port',1392,'1392 (iclpv-pm)','2022-12-07 10:15:42'),('server_port',1393,'1393 (iclpv-nls)','2022-12-07 10:15:52'),('server_port',1394,'1394 (iclpv-nlc)','2022-12-07 10:15:30'),('server_port',1395,'1395 (iclpv-wsm)','2022-12-07 10:15:31'),('server_port',1396,'1396 (dvl-activemail)','2022-12-07 10:15:32'),('server_port',1397,'1397 (audio-activmail)','2022-12-07 10:15:45'),('server_port',1398,'1398 (video-activmail)','2022-12-07 10:15:37'),('server_port',1399,'1399 (cadkey-licman)','2022-12-07 10:15:51'),('server_port',1400,'1400 (cadkey-tablet)','2022-12-07 10:15:39'),('server_port',1401,'1401 (goldleaf-licman)','2022-12-07 10:15:33'),('server_port',1402,'1402 (prm-sm-np)','2022-12-07 10:15:32'),('server_port',1403,'1403 (prm-nm-np)','2022-12-07 10:15:50'),('server_port',1404,'1404 (igi-lm)','2022-12-07 10:15:30'),('server_port',1405,'1405 (ibm-res)','2022-12-07 10:15:31'),('server_port',1406,'1406 (netlabs-lm)','2022-12-07 10:15:30'),('server_port',1407,'1407 (tibet-server)','2022-12-07 10:15:43'),('server_port',1408,'1408 (sophia-lm)','2022-12-07 10:15:47'),('server_port',1409,'1409 (here-lm)','2022-12-07 10:15:40'),('server_port',1410,'1410 (hiq)','2022-12-07 10:15:30'),('server_port',1411,'1411 (af)','2022-12-07 10:15:51'),('server_port',1412,'1412 (innosys)','2022-12-07 10:15:48'),('server_port',1413,'1413 (innosys-acl)','2022-12-07 10:15:45'),('server_port',1414,'1414 (ibm-mqseries)','2022-12-07 10:15:38'),('server_port',1415,'1415 (dbstar)','2022-12-07 10:15:40'),('server_port',1416,'1416 (novell-lu6-2)','2022-12-07 10:15:31'),('server_port',1417,'1417 (timbuktu-srv1)','2022-12-07 10:15:52'),('server_port',1418,'1418 (timbuktu-srv2)','2022-12-07 10:15:45'),('server_port',1419,'1419 (timbuktu-srv3)','2022-12-07 10:15:45'),('server_port',1420,'1420 (timbuktu-srv4)','2022-12-07 10:15:46'),('server_port',1421,'1421 (gandalf-lm)','2022-12-07 10:15:36'),('server_port',1422,'1422 (autodesk-lm)','2022-12-07 10:15:49'),('server_port',1423,'1423 (essbase)','2022-12-07 10:15:31'),('server_port',1424,'1424 (hybrid)','2022-12-07 10:15:45'),('server_port',1425,'1425 (zion-lm)','2022-12-07 10:15:52'),('server_port',1426,'1426 (sais)','2022-12-07 10:15:30'),('server_port',1427,'1427 (mloadd)','2022-12-07 10:15:48'),('server_port',1428,'1428 (informatik-lm)','2022-12-07 10:15:36'),('server_port',1429,'1429 (nms)','2022-12-07 10:15:44'),('server_port',1430,'1430 (tpdu)','2022-12-07 10:15:33'),('server_port',1431,'1431 (rgtp)','2022-12-07 10:15:35'),('server_port',1432,'1432 (blueberry-lm)','2022-12-07 10:15:45'),('server_port',1433,'1433 (ms-sql-s)','2022-12-07 10:15:38'),('server_port',1434,'1434 (ms-sql-m)','2022-12-07 10:15:31'),('server_port',1435,'1435 (ibm-cics)','2022-12-07 10:15:48'),('server_port',1436,'1436 (saism)','2022-12-07 10:15:43'),('server_port',1437,'1437 (tabula)','2022-12-07 10:15:36'),('server_port',1438,'1438 (eicon-server)','2022-12-07 10:15:30'),('server_port',1439,'1439 (eicon-x25)','2022-12-07 10:15:45'),('server_port',1440,'1440 (eicon-slp)','2022-12-07 10:15:51'),('server_port',1441,'1441 (cadis-1)','2022-12-07 10:15:39'),('server_port',1442,'1442 (cadis-2)','2022-12-07 10:15:35'),('server_port',1443,'1443 (ies-lm)','2022-12-07 10:15:48'),('server_port',1444,'1444 (marcam-lm)','2022-12-07 10:15:37'),('server_port',1445,'1445 (proxima-lm)','2022-12-07 10:15:47'),('server_port',1446,'1446 (ora-lm)','2022-12-07 10:15:37'),('server_port',1447,'1447 (apri-lm)','2022-12-07 10:15:52'),('server_port',1448,'1448 (oc-lm)','2022-12-07 10:15:48'),('server_port',1449,'1449 (peport)','2022-12-07 10:15:49'),('server_port',1450,'1450 (dwf)','2022-12-07 10:15:39'),('server_port',1451,'1451 (infoman)','2022-12-07 10:15:47'),('server_port',1452,'1452 (gtegsc-lm)','2022-12-07 10:15:50'),('server_port',1453,'1453 (genie-lm)','2022-12-07 10:15:38'),('server_port',1454,'1454 (interhdl-elmd)','2022-12-07 10:15:45'),('server_port',1455,'1455 (esl-lm)','2022-12-07 10:15:32'),('server_port',1456,'1456 (dca)','2022-12-07 10:15:51'),('server_port',1457,'1457 (valisys-lm)','2022-12-07 10:15:31'),('server_port',1458,'1458 (nrcabq-lm)','2022-12-07 10:15:37'),('server_port',1459,'1459 (proshare1)','2022-12-07 10:15:47'),('server_port',1460,'1460 (proshare2)','2022-12-07 10:15:52'),('server_port',1461,'1461 (ibm-wrless-lan)','2022-12-07 10:15:31'),('server_port',1462,'1462 (world-lm)','2022-12-07 10:15:31'),('server_port',1463,'1463 (nucleus)','2022-12-07 10:15:45'),('server_port',1464,'1464 (msl-lmd)','2022-12-07 10:15:46'),('server_port',1465,'1465 (pipes)','2022-12-07 10:15:50'),('server_port',1466,'1466 (oceansoft-lm)','2022-12-07 10:15:34'),('server_port',1467,'1467 (csdmbase)','2022-12-07 10:15:50'),('server_port',1468,'1468 (csdm)','2022-12-07 10:15:44'),('server_port',1469,'1469 (aal-lm)','2022-12-07 10:15:40'),('server_port',1470,'1470 (uaiact)','2022-12-07 10:15:33'),('server_port',1471,'1471 (csdmbase)','2022-12-07 10:15:46'),('server_port',1472,'1472 (csdm)','2022-12-07 10:15:43'),('server_port',1473,'1473 (openmath)','2022-12-07 10:15:36'),('server_port',1474,'1474 (telefinder)','2022-12-07 10:15:42'),('server_port',1475,'1475 (taligent-lm)','2022-12-07 10:15:52'),('server_port',1476,'1476 (clvm-cfg)','2022-12-07 10:15:51'),('server_port',1477,'1477 (ms-sna-server)','2022-12-07 10:15:39'),('server_port',1478,'1478 (ms-sna-base)','2022-12-07 10:15:44'),('server_port',1479,'1479 (dberegister)','2022-12-07 10:15:40'),('server_port',1480,'1480 (pacerforum)','2022-12-07 10:15:38'),('server_port',1481,'1481 (airs)','2022-12-07 10:15:49'),('server_port',1482,'1482 (miteksys-lm)','2022-12-07 10:15:40'),('server_port',1483,'1483 (afs)','2022-12-07 10:15:39'),('server_port',1484,'1484 (confluent)','2022-12-07 10:15:38'),('server_port',1485,'1485 (lansource)','2022-12-07 10:15:38'),('server_port',1486,'1486 (nms-topo-serv)','2022-12-07 10:15:44'),('server_port',1487,'1487 (localinfosrvr)','2022-12-07 10:15:41'),('server_port',1488,'1488 (docstor)','2022-12-07 10:15:49'),('server_port',1489,'1489 (dmdocbroker)','2022-12-07 10:15:49'),('server_port',1490,'1490 (insitu-conf)','2022-12-07 10:15:32'),('server_port',1492,'1492 (stone-design-1)','2022-12-07 10:15:42'),('server_port',1493,'1493 (netmap-lm)','2022-12-07 10:15:48'),('server_port',1494,'1494 (ica)','2022-12-07 10:15:40'),('server_port',1495,'1495 (cvc)','2022-12-07 10:15:30'),('server_port',1496,'1496 (liberty-lm)','2022-12-07 10:15:32'),('server_port',1497,'1497 (rfx-lm)','2022-12-07 10:15:39'),('server_port',1498,'1498 (sybase-sqlany)','2022-12-07 10:15:53'),('server_port',1499,'1499 (fhc)','2022-12-07 10:15:41'),('server_port',1500,'1500 (vlsi-lm)','2022-12-07 10:15:52'),('server_port',1501,'1501 (saiscm)','2022-12-07 10:15:43'),('server_port',1502,'1502 (shivadiscovery)','2022-12-07 10:15:52'),('server_port',1503,'1503 (imtc-mcs)','2022-12-07 10:15:33'),('server_port',1504,'1504 (evb-elm)','2022-12-07 10:15:38'),('server_port',1505,'1505 (funkproxy)','2022-12-07 10:15:39'),('server_port',1506,'1506 (utcd)','2022-12-07 10:15:32'),('server_port',1507,'1507 (symplex)','2022-12-07 10:15:51'),('server_port',1508,'1508 (diagmond)','2022-12-07 10:15:31'),('server_port',1509,'1509 (robcad-lm)','2022-12-07 10:15:47'),('server_port',1510,'1510 (mvx-lm)','2022-12-07 10:15:41'),('server_port',1511,'1511 (3l-l1)','2022-12-07 10:15:40'),('server_port',1512,'1512 (wins)','2022-12-07 10:15:29'),('server_port',1513,'1513 (fujitsu-dtc)','2022-12-07 10:15:49'),('server_port',1514,'1514 (fujitsu-dtcns)','2022-12-07 10:15:52'),('server_port',1515,'1515 (ifor-protocol)','2022-12-07 10:15:40'),('server_port',1516,'1516 (vpad)','2022-12-07 10:15:33'),('server_port',1517,'1517 (vpac)','2022-12-07 10:15:31'),('server_port',1518,'1518 (vpvd)','2022-12-07 10:15:29'),('server_port',1519,'1519 (vpvc)','2022-12-07 10:15:33'),('server_port',1520,'1520 (atm-zip-office)','2022-12-07 10:15:43'),('server_port',1521,'1521 (ncube-lm)','2022-12-07 10:15:32'),('server_port',1522,'1522 (ricardo-lm)','2022-12-07 10:15:30'),('server_port',1523,'1523 (cichild-lm)','2022-12-07 10:15:31'),('server_port',1524,'1524 (ingreslock)','2022-12-07 10:15:42'),('server_port',1525,'1525 (prospero-np)','2022-12-07 10:15:36'),('server_port',1526,'1526 (pdap-np)','2022-12-07 10:15:35'),('server_port',1527,'1527 (tlisrv)','2022-12-07 10:15:36'),('server_port',1529,'1529 (coauthor)','2022-12-07 10:15:51'),('server_port',1530,'1530 (rap-service)','2022-12-07 10:15:30'),('server_port',1531,'1531 (rap-listen)','2022-12-07 10:15:40'),('server_port',1532,'1532 (miroconnect)','2022-12-07 10:15:44'),('server_port',1533,'1533 (virtual-places)','2022-12-07 10:15:41'),('server_port',1534,'1534 (micromuse-lm)','2022-12-07 10:15:41'),('server_port',1535,'1535 (ampr-info)','2022-12-07 10:15:47'),('server_port',1536,'1536 (ampr-inter)','2022-12-07 10:15:49'),('server_port',1537,'1537 (sdsc-lm)','2022-12-07 10:15:51'),('server_port',1538,'1538 (3ds-lm)','2022-12-07 10:15:37'),('server_port',1539,'1539 (intellistor-lm)','2022-12-07 10:15:37'),('server_port',1540,'1540 (rds)','2022-12-07 10:15:35'),('server_port',1541,'1541 (rds2)','2022-12-07 10:15:30'),('server_port',1542,'1542 (gridgen-elmd)','2022-12-07 10:15:51'),('server_port',1543,'1543 (simba-cs)','2022-12-07 10:15:50'),('server_port',1544,'1544 (aspeclmd)','2022-12-07 10:15:47'),('server_port',1545,'1545 (vistium-share)','2022-12-07 10:15:31'),('server_port',1546,'1546 (abbaccuray)','2022-12-07 10:15:45'),('server_port',1547,'1547 (laplink)','2022-12-07 10:15:33'),('server_port',1548,'1548 (axon-lm)','2022-12-07 10:15:34'),('server_port',1549,'1549 (shivahose)','2022-12-07 10:15:49'),('server_port',1550,'1550 (3m-image-lm)','2022-12-07 10:15:34'),('server_port',1551,'1551 (hecmtl-db)','2022-12-07 10:15:45'),('server_port',1552,'1552 (pciarray)','2022-12-07 10:15:32'),('server_port',1553,'1553 (sna-cs)','2022-12-07 10:15:51'),('server_port',1554,'1554 (caci-lm)','2022-12-07 10:15:30'),('server_port',1555,'1555 (livelan)','2022-12-07 10:15:35'),('server_port',1556,'1556 (veritas-pbx)','2022-12-07 10:15:32'),('server_port',1557,'1557 (arbortext-lm)','2022-12-07 10:15:38'),('server_port',1558,'1558 (xingmpeg)','2022-12-07 10:15:49'),('server_port',1559,'1559 (web2host)','2022-12-07 10:15:30'),('server_port',1560,'1560 (asci-val)','2022-12-07 10:15:34'),('server_port',1561,'1561 (facilityview)','2022-12-07 10:15:36'),('server_port',1562,'1562 (pconnectmgr)','2022-12-07 10:15:36'),('server_port',1563,'1563 (cadabra-lm)','2022-12-07 10:15:29'),('server_port',1564,'1564 (pay-per-view)','2022-12-07 10:15:49'),('server_port',1565,'1565 (winddlb)','2022-12-07 10:15:36'),('server_port',1566,'1566 (corelvideo)','2022-12-07 10:15:51'),('server_port',1567,'1567 (jlicelmd)','2022-12-07 10:15:44'),('server_port',1568,'1568 (tsspmap)','2022-12-07 10:15:42'),('server_port',1569,'1569 (ets)','2022-12-07 10:15:43'),('server_port',1570,'1570 (orbixd)','2022-12-07 10:15:48'),('server_port',1571,'1571 (rdb-dbs-disp)','2022-12-07 10:15:31'),('server_port',1572,'1572 (chip-lm)','2022-12-07 10:15:30'),('server_port',1573,'1573 (itscomm-ns)','2022-12-07 10:15:42'),('server_port',1574,'1574 (mvel-lm)','2022-12-07 10:15:52'),('server_port',1575,'1575 (oraclenames)','2022-12-07 10:15:46'),('server_port',1576,'1576 (moldflow-lm)','2022-12-07 10:15:32'),('server_port',1577,'1577 (hypercube-lm)','2022-12-07 10:15:51'),('server_port',1578,'1578 (jacobus-lm)','2022-12-07 10:15:37'),('server_port',1579,'1579 (ioc-sea-lm)','2022-12-07 10:15:48'),('server_port',1580,'1580 (tn-tl-r1)','2022-12-07 10:15:53'),('server_port',1581,'1581 (mil-2045-47001)','2022-12-07 10:15:40'),('server_port',1582,'1582 (msims)','2022-12-07 10:15:50'),('server_port',1583,'1583 (simbaexpress)','2022-12-07 10:15:50'),('server_port',1584,'1584 (tn-tl-fd2)','2022-12-07 10:15:43'),('server_port',1585,'1585 (intv)','2022-12-07 10:15:47'),('server_port',1586,'1586 (ibm-abtact)','2022-12-07 10:15:39'),('server_port',1587,'1587 (pra-elmd)','2022-12-07 10:15:33'),('server_port',1588,'1588 (triquest-lm)','2022-12-07 10:15:49'),('server_port',1589,'1589 (vqp)','2022-12-07 10:15:38'),('server_port',1590,'1590 (gemini-lm)','2022-12-07 10:15:40'),('server_port',1591,'1591 (ncpm-pm)','2022-12-07 10:15:32'),('server_port',1592,'1592 (commonspace)','2022-12-07 10:15:31'),('server_port',1593,'1593 (mainsoft-lm)','2022-12-07 10:15:38'),('server_port',1594,'1594 (sixtrak)','2022-12-07 10:15:52'),('server_port',1595,'1595 (radio)','2022-12-07 10:15:50'),('server_port',1596,'1596 (radio-sm)','2022-12-07 10:15:47'),('server_port',1597,'1597 (orbplus-iiop)','2022-12-07 10:15:35'),('server_port',1598,'1598 (picknfs)','2022-12-07 10:15:45'),('server_port',1599,'1599 (simbaservices)','2022-12-07 10:15:51'),('server_port',1600,'1600 (issd)','2022-12-07 10:15:47'),('server_port',1601,'1601 (aas)','2022-12-07 10:15:47'),('server_port',1602,'1602 (inspect)','2022-12-07 10:15:30'),('server_port',1603,'1603 (picodbc)','2022-12-07 10:15:50'),('server_port',1604,'1604 (icabrowser)','2022-12-07 10:15:52'),('server_port',1605,'1605 (slp)','2022-12-07 10:15:31'),('server_port',1606,'1606 (slm-api)','2022-12-07 10:15:53'),('server_port',1607,'1607 (stt)','2022-12-07 10:15:38'),('server_port',1608,'1608 (smart-lm)','2022-12-07 10:15:33'),('server_port',1609,'1609 (isysg-lm)','2022-12-07 10:15:37'),('server_port',1610,'1610 (taurus-wh)','2022-12-07 10:15:43'),('server_port',1611,'1611 (ill)','2022-12-07 10:15:53'),('server_port',1612,'1612 (netbill-trans)','2022-12-07 10:15:51'),('server_port',1613,'1613 (netbill-keyrep)','2022-12-07 10:15:41'),('server_port',1614,'1614 (netbill-cred)','2022-12-07 10:15:33'),('server_port',1615,'1615 (netbill-auth)','2022-12-07 10:15:52'),('server_port',1616,'1616 (netbill-prod)','2022-12-07 10:15:32'),('server_port',1617,'1617 (nimrod-agent)','2022-12-07 10:15:47'),('server_port',1618,'1618 (skytelnet)','2022-12-07 10:15:30'),('server_port',1619,'1619 (xs-openstorage)','2022-12-07 10:15:43'),('server_port',1620,'1620 (faxportwinport)','2022-12-07 10:15:48'),('server_port',1621,'1621 (softdataphone)','2022-12-07 10:15:32'),('server_port',1622,'1622 (ontime)','2022-12-07 10:15:40'),('server_port',1623,'1623 (jaleosnd)','2022-12-07 10:15:52'),('server_port',1624,'1624 (udp-sr-port)','2022-12-07 10:15:50'),('server_port',1625,'1625 (svs-omagent)','2022-12-07 10:15:45'),('server_port',1626,'1626 (shockwave)','2022-12-07 10:15:30'),('server_port',1627,'1627 (t128-gateway)','2022-12-07 10:15:51'),('server_port',1628,'1628 (lontalk-norm)','2022-12-07 10:15:48'),('server_port',1629,'1629 (lontalk-urgnt)','2022-12-07 10:15:53'),('server_port',1630,'1630 (oraclenet8cman)','2022-12-07 10:15:42'),('server_port',1631,'1631 (visitview)','2022-12-07 10:15:46'),('server_port',1632,'1632 (pammratc)','2022-12-07 10:15:52'),('server_port',1633,'1633 (pammrpc)','2022-12-07 10:15:52'),('server_port',1634,'1634 (loaprobe)','2022-12-07 10:15:47'),('server_port',1635,'1635 (edb-server1)','2022-12-07 10:15:52'),('server_port',1636,'1636 (isdc)','2022-12-07 10:15:51'),('server_port',1637,'1637 (islc)','2022-12-07 10:15:41'),('server_port',1638,'1638 (ismc)','2022-12-07 10:15:47'),('server_port',1639,'1639 (cert-initiator)','2022-12-07 10:15:38'),('server_port',1640,'1640 (cert-responder)','2022-12-07 10:15:46'),('server_port',1641,'1641 (invision)','2022-12-07 10:15:38'),('server_port',1642,'1642 (isis-am)','2022-12-07 10:15:44'),('server_port',1643,'1643 (isis-ambc)','2022-12-07 10:15:40'),('server_port',1644,'1644 (saiseh)','2022-12-07 10:15:43'),('server_port',1645,'1645 (sightline)','2022-12-07 10:15:44'),('server_port',1646,'1646 (sa-msg-port)','2022-12-07 10:15:39'),('server_port',1647,'1647 (rsap)','2022-12-07 10:15:49'),('server_port',1648,'1648 (concurrent-lm)','2022-12-07 10:15:37'),('server_port',1649,'1649 (kermit)','2022-12-07 10:15:40'),('server_port',1650,'1650 (nkd)','2022-12-07 10:15:37'),('server_port',1651,'1651 (shiva-confsrvr)','2022-12-07 10:15:33'),('server_port',1652,'1652 (xnmp)','2022-12-07 10:15:44'),('server_port',1653,'1653 (alphatech-lm)','2022-12-07 10:15:50'),('server_port',1654,'1654 (stargatealerts)','2022-12-07 10:15:30'),('server_port',1655,'1655 (dec-mbadmin)','2022-12-07 10:15:41'),('server_port',1656,'1656 (dec-mbadmin-h)','2022-12-07 10:15:50'),('server_port',1657,'1657 (fujitsu-mmpdc)','2022-12-07 10:15:33'),('server_port',1658,'1658 (sixnetudr)','2022-12-07 10:15:40'),('server_port',1659,'1659 (sg-lm)','2022-12-07 10:15:30'),('server_port',1660,'1660 (skip-mc-gikreq)','2022-12-07 10:15:49'),('server_port',1661,'1661 (netview-aix-1)','2022-12-07 10:15:41'),('server_port',1662,'1662 (netview-aix-2)','2022-12-07 10:15:40'),('server_port',1663,'1663 (netview-aix-3)','2022-12-07 10:15:38'),('server_port',1664,'1664 (netview-aix-4)','2022-12-07 10:15:31'),('server_port',1665,'1665 (netview-aix-5)','2022-12-07 10:15:53'),('server_port',1666,'1666 (netview-aix-6)','2022-12-07 10:15:51'),('server_port',1667,'1667 (netview-aix-7)','2022-12-07 10:15:43'),('server_port',1668,'1668 (netview-aix-8)','2022-12-07 10:15:41'),('server_port',1669,'1669 (netview-aix-9)','2022-12-07 10:15:34'),('server_port',1670,'1670 (netview-aix-10)','2022-12-07 10:15:36'),('server_port',1671,'1671 (netview-aix-11)','2022-12-07 10:15:39'),('server_port',1672,'1672 (netview-aix-12)','2022-12-07 10:15:31'),('server_port',1673,'1673 (proshare-mc-1)','2022-12-07 10:15:34'),('server_port',1674,'1674 (proshare-mc-2)','2022-12-07 10:15:33'),('server_port',1675,'1675 (pdp)','2022-12-07 10:15:37'),('server_port',1676,'1676 (netcomm1)','2022-12-07 10:15:42'),('server_port',1677,'1677 (groupwise)','2022-12-07 10:15:33'),('server_port',1678,'1678 (prolink)','2022-12-07 10:15:39'),('server_port',1679,'1679 (darcorp-lm)','2022-12-07 10:15:44'),('server_port',1680,'1680 (microcom-sbp)','2022-12-07 10:15:48'),('server_port',1681,'1681 (sd-elmd)','2022-12-07 10:15:29'),('server_port',1682,'1682 (lanyon-lantern)','2022-12-07 10:15:41'),('server_port',1683,'1683 (ncpm-hip)','2022-12-07 10:15:43'),('server_port',1684,'1684 (snaresecure)','2022-12-07 10:15:30'),('server_port',1685,'1685 (n2nremote)','2022-12-07 10:15:52'),('server_port',1686,'1686 (cvmon)','2022-12-07 10:15:39'),('server_port',1687,'1687 (nsjtp-ctrl)','2022-12-07 10:15:50'),('server_port',1688,'1688 (nsjtp-data)','2022-12-07 10:15:35'),('server_port',1689,'1689 (firefox)','2022-12-07 10:15:37'),('server_port',1690,'1690 (ng-umds)','2022-12-07 10:15:48'),('server_port',1691,'1691 (empire-empuma)','2022-12-07 10:15:35'),('server_port',1692,'1692 (sstsys-lm)','2022-12-07 10:15:42'),('server_port',1693,'1693 (rrirtr)','2022-12-07 10:15:36'),('server_port',1694,'1694 (rrimwm)','2022-12-07 10:15:53'),('server_port',1695,'1695 (rrilwm)','2022-12-07 10:15:51'),('server_port',1696,'1696 (rrifmm)','2022-12-07 10:15:45'),('server_port',1697,'1697 (rrisat)','2022-12-07 10:15:40'),('server_port',1698,'1698 (rsvp-encap-1)','2022-12-07 10:15:31'),('server_port',1699,'1699 (rsvp-encap-2)','2022-12-07 10:15:41'),('server_port',1700,'1700 (mps-raft)','2022-12-07 10:15:33'),('server_port',1701,'1701 (l2tp)','2022-12-07 10:15:43'),('server_port',1702,'1702 (deskshare)','2022-12-07 10:15:39'),('server_port',1703,'1703 (hb-engine)','2022-12-07 10:15:37'),('server_port',1704,'1704 (bcs-broker)','2022-12-07 10:15:29'),('server_port',1705,'1705 (slingshot)','2022-12-07 10:15:31'),('server_port',1706,'1706 (jetform)','2022-12-07 10:15:34'),('server_port',1707,'1707 (vdmplay)','2022-12-07 10:15:43'),('server_port',1708,'1708 (gat-lmd)','2022-12-07 10:15:47'),('server_port',1709,'1709 (centra)','2022-12-07 10:15:53'),('server_port',1710,'1710 (impera)','2022-12-07 10:15:41'),('server_port',1711,'1711 (pptconference)','2022-12-07 10:15:32'),('server_port',1712,'1712 (registrar)','2022-12-07 10:15:48'),('server_port',1713,'1713 (conferencetalk)','2022-12-07 10:15:31'),('server_port',1714,'1714 (sesi-lm)','2022-12-07 10:15:31'),('server_port',1715,'1715 (houdini-lm)','2022-12-07 10:15:48'),('server_port',1716,'1716 (xmsg)','2022-12-07 10:15:50'),('server_port',1717,'1717 (fj-hdnet)','2022-12-07 10:15:33'),('server_port',1718,'1718 (h323gatedisc)','2022-12-07 10:15:40'),('server_port',1719,'1719 (h323gatestat)','2022-12-07 10:15:37'),('server_port',1720,'1720 (h323hostcall)','2022-12-07 10:15:51'),('server_port',1721,'1721 (caicci)','2022-12-07 10:15:48'),('server_port',1722,'1722 (hks-lm)','2022-12-07 10:15:37'),('server_port',1723,'1723 (pptp)','2022-12-07 10:15:38'),('server_port',1724,'1724 (csbphonemaster)','2022-12-07 10:15:44'),('server_port',1725,'1725 (iden-ralp)','2022-12-07 10:15:30'),('server_port',1726,'1726 (iberiagames)','2022-12-07 10:15:31'),('server_port',1727,'1727 (winddx)','2022-12-07 10:15:38'),('server_port',1728,'1728 (telindus)','2022-12-07 10:15:35'),('server_port',1729,'1729 (citynl)','2022-12-07 10:15:31'),('server_port',1730,'1730 (roketz)','2022-12-07 10:15:29'),('server_port',1731,'1731 (msiccp)','2022-12-07 10:15:45'),('server_port',1732,'1732 (proxim)','2022-12-07 10:15:34'),('server_port',1733,'1733 (siipat)','2022-12-07 10:15:36'),('server_port',1734,'1734 (cambertx-lm)','2022-12-07 10:15:33'),('server_port',1735,'1735 (privatechat)','2022-12-07 10:15:49'),('server_port',1736,'1736 (street-stream)','2022-12-07 10:15:53'),('server_port',1737,'1737 (ultimad)','2022-12-07 10:15:46'),('server_port',1738,'1738 (gamegen1)','2022-12-07 10:15:35'),('server_port',1739,'1739 (webaccess)','2022-12-07 10:15:46'),('server_port',1740,'1740 (encore)','2022-12-07 10:15:46'),('server_port',1741,'1741 (cisco-net-mgmt)','2022-12-07 10:15:41'),('server_port',1742,'1742 (3Com-nsd)','2022-12-07 10:15:32'),('server_port',1743,'1743 (cinegrfx-lm)','2022-12-07 10:15:37'),('server_port',1744,'1744 (ncpm-ft)','2022-12-07 10:15:29'),('server_port',1745,'1745 (remote-winsock)','2022-12-07 10:15:47'),('server_port',1746,'1746 (ftrapid-1)','2022-12-07 10:15:46'),('server_port',1747,'1747 (ftrapid-2)','2022-12-07 10:15:50'),('server_port',1748,'1748 (oracle-em1)','2022-12-07 10:15:49'),('server_port',1749,'1749 (aspen-services)','2022-12-07 10:15:30'),('server_port',1750,'1750 (sslp)','2022-12-07 10:15:37'),('server_port',1751,'1751 (swiftnet)','2022-12-07 10:15:45'),('server_port',1752,'1752 (lofr-lm)','2022-12-07 10:15:44'),('server_port',1753,'1753 (predatar-comms)','2022-12-07 10:15:51'),('server_port',1754,'1754 (oracle-em2)','2022-12-07 10:15:33'),('server_port',1755,'1755 (ms-streaming)','2022-12-07 10:15:40'),('server_port',1756,'1756 (capfast-lmd)','2022-12-07 10:15:44'),('server_port',1757,'1757 (cnhrp)','2022-12-07 10:15:31'),('server_port',1758,'1758 (tftp-mcast)','2022-12-07 10:15:53'),('server_port',1759,'1759 (spss-lm)','2022-12-07 10:15:29'),('server_port',1760,'1760 (www-ldap-gw)','2022-12-07 10:15:32'),('server_port',1761,'1761 (cft-0)','2022-12-07 10:15:52'),('server_port',1762,'1762 (cft-1)','2022-12-07 10:15:33'),('server_port',1763,'1763 (cft-2)','2022-12-07 10:15:34'),('server_port',1764,'1764 (cft-3)','2022-12-07 10:15:53'),('server_port',1765,'1765 (cft-4)','2022-12-07 10:15:51'),('server_port',1766,'1766 (cft-5)','2022-12-07 10:15:29'),('server_port',1767,'1767 (cft-6)','2022-12-07 10:15:36'),('server_port',1768,'1768 (cft-7)','2022-12-07 10:15:48'),('server_port',1769,'1769 (bmc-net-adm)','2022-12-07 10:15:50'),('server_port',1770,'1770 (bmc-net-svc)','2022-12-07 10:15:51'),('server_port',1771,'1771 (vaultbase)','2022-12-07 10:15:46'),('server_port',1772,'1772 (essweb-gw)','2022-12-07 10:15:38'),('server_port',1773,'1773 (kmscontrol)','2022-12-07 10:15:35'),('server_port',1774,'1774 (global-dtserv)','2022-12-07 10:15:35'),('server_port',1775,'1775 (vdab)','2022-12-07 10:15:31'),('server_port',1776,'1776 (femis)','2022-12-07 10:15:37'),('server_port',1777,'1777 (powerguardian)','2022-12-07 10:15:52'),('server_port',1778,'1778 (prodigy-intrnet)','2022-12-07 10:15:46'),('server_port',1779,'1779 (pharmasoft)','2022-12-07 10:15:44'),('server_port',1780,'1780 (dpkeyserv)','2022-12-07 10:15:36'),('server_port',1781,'1781 (answersoft-lm)','2022-12-07 10:15:37'),('server_port',1782,'1782 (hp-hcip)','2022-12-07 10:15:46'),('server_port',1784,'1784 (finle-lm)','2022-12-07 10:15:52'),('server_port',1785,'1785 (windlm)','2022-12-07 10:15:44'),('server_port',1786,'1786 (funk-logger)','2022-12-07 10:15:53'),('server_port',1787,'1787 (funk-license)','2022-12-07 10:15:30'),('server_port',1788,'1788 (psmond)','2022-12-07 10:15:39'),('server_port',1789,'1789 (hello)','2022-12-07 10:15:38'),('server_port',1790,'1790 (nmsp)','2022-12-07 10:15:45'),('server_port',1791,'1791 (ea1)','2022-12-07 10:15:51'),('server_port',1792,'1792 (ibm-dt-2)','2022-12-07 10:15:42'),('server_port',1793,'1793 (rsc-robot)','2022-12-07 10:15:35'),('server_port',1794,'1794 (cera-bcm)','2022-12-07 10:15:36'),('server_port',1795,'1795 (dpi-proxy)','2022-12-07 10:15:37'),('server_port',1796,'1796 (vocaltec-admin)','2022-12-07 10:15:30'),('server_port',1797,'1797 (uma)','2022-12-07 10:15:52'),('server_port',1798,'1798 (etp)','2022-12-07 10:15:35'),('server_port',1799,'1799 (netrisk)','2022-12-07 10:15:42'),('server_port',1800,'1800 (ansys-lm)','2022-12-07 10:15:34'),('server_port',1801,'1801 (msmq)','2022-12-07 10:15:47'),('server_port',1802,'1802 (concomp1)','2022-12-07 10:15:31'),('server_port',1803,'1803 (hp-hcip-gwy)','2022-12-07 10:15:38'),('server_port',1804,'1804 (enl)','2022-12-07 10:15:36'),('server_port',1805,'1805 (enl-name)','2022-12-07 10:15:30'),('server_port',1806,'1806 (musiconline)','2022-12-07 10:15:49'),('server_port',1807,'1807 (fhsp)','2022-12-07 10:15:43'),('server_port',1808,'1808 (oracle-vp2)','2022-12-07 10:15:39'),('server_port',1809,'1809 (oracle-vp1)','2022-12-07 10:15:33'),('server_port',1810,'1810 (jerand-lm)','2022-12-07 10:15:33'),('server_port',1811,'1811 (scientia-sdb)','2022-12-07 10:15:52'),('server_port',1812,'1812 (radius)','2022-12-07 10:15:39'),('server_port',1813,'1813 (radius-acct)','2022-12-07 10:15:39'),('server_port',1814,'1814 (tdp-suite)','2022-12-07 10:15:46'),('server_port',1815,'1815 (mmpft)','2022-12-07 10:15:43'),('server_port',1816,'1816 (harp)','2022-12-07 10:15:43'),('server_port',1817,'1817 (rkb-oscs)','2022-12-07 10:15:50'),('server_port',1818,'1818 (etftp)','2022-12-07 10:15:49'),('server_port',1819,'1819 (plato-lm)','2022-12-07 10:15:33'),('server_port',1820,'1820 (mcagent)','2022-12-07 10:15:31'),('server_port',1821,'1821 (donnyworld)','2022-12-07 10:15:53'),('server_port',1822,'1822 (es-elmd)','2022-12-07 10:15:40'),('server_port',1823,'1823 (unisys-lm)','2022-12-07 10:15:33'),('server_port',1824,'1824 (metrics-pas)','2022-12-07 10:15:52'),('server_port',1825,'1825 (direcpc-video)','2022-12-07 10:15:40'),('server_port',1826,'1826 (ardt)','2022-12-07 10:15:34'),('server_port',1827,'1827 (asi)','2022-12-07 10:15:34'),('server_port',1828,'1828 (itm-mcell-u)','2022-12-07 10:15:46'),('server_port',1829,'1829 (optika-emedia)','2022-12-07 10:15:47'),('server_port',1830,'1830 (net8-cman)','2022-12-07 10:15:39'),('server_port',1831,'1831 (myrtle)','2022-12-07 10:15:45'),('server_port',1832,'1832 (tht-treasure)','2022-12-07 10:15:42'),('server_port',1833,'1833 (udpradio)','2022-12-07 10:15:31'),('server_port',1834,'1834 (ardusuni)','2022-12-07 10:15:39'),('server_port',1835,'1835 (ardusmul)','2022-12-07 10:15:32'),('server_port',1836,'1836 (ste-smsc)','2022-12-07 10:15:39'),('server_port',1837,'1837 (csoft1)','2022-12-07 10:15:47'),('server_port',1838,'1838 (talnet)','2022-12-07 10:15:47'),('server_port',1839,'1839 (netopia-vo1)','2022-12-07 10:15:31'),('server_port',1840,'1840 (netopia-vo2)','2022-12-07 10:15:42'),('server_port',1841,'1841 (netopia-vo3)','2022-12-07 10:15:46'),('server_port',1842,'1842 (netopia-vo4)','2022-12-07 10:15:47'),('server_port',1843,'1843 (netopia-vo5)','2022-12-07 10:15:53'),('server_port',1844,'1844 (direcpc-dll)','2022-12-07 10:15:34'),('server_port',1845,'1845 (altalink)','2022-12-07 10:15:37'),('server_port',1846,'1846 (tunstall-pnc)','2022-12-07 10:15:39'),('server_port',1847,'1847 (slp-notify)','2022-12-07 10:15:31'),('server_port',1848,'1848 (fjdocdist)','2022-12-07 10:15:30'),('server_port',1849,'1849 (alpha-sms)','2022-12-07 10:15:46'),('server_port',1850,'1850 (gsi)','2022-12-07 10:15:51'),('server_port',1851,'1851 (ctcd)','2022-12-07 10:15:38'),('server_port',1852,'1852 (virtual-time)','2022-12-07 10:15:45'),('server_port',1853,'1853 (vids-avtp)','2022-12-07 10:15:50'),('server_port',1854,'1854 (buddy-draw)','2022-12-07 10:15:48'),('server_port',1855,'1855 (fiorano-rtrsvc)','2022-12-07 10:15:33'),('server_port',1856,'1856 (fiorano-msgsvc)','2022-12-07 10:15:42'),('server_port',1857,'1857 (datacaptor)','2022-12-07 10:15:38'),('server_port',1858,'1858 (privateark)','2022-12-07 10:15:31'),('server_port',1859,'1859 (gammafetchsvr)','2022-12-07 10:15:38'),('server_port',1860,'1860 (sunscalar-svc)','2022-12-07 10:15:42'),('server_port',1861,'1861 (lecroy-vicp)','2022-12-07 10:15:33'),('server_port',1862,'1862 (mysql-cm-agent)','2022-12-07 10:15:46'),('server_port',1863,'1863 (msnp)','2022-12-07 10:15:36'),('server_port',1864,'1864 (paradym-31port)','2022-12-07 10:15:49'),('server_port',1865,'1865 (entp)','2022-12-07 10:15:47'),('server_port',1866,'1866 (swrmi)','2022-12-07 10:15:38'),('server_port',1867,'1867 (udrive)','2022-12-07 10:15:33'),('server_port',1868,'1868 (viziblebrowser)','2022-12-07 10:15:30'),('server_port',1869,'1869 (transact)','2022-12-07 10:15:30'),('server_port',1870,'1870 (sunscalar-dns)','2022-12-07 10:15:34'),('server_port',1871,'1871 (canocentral0)','2022-12-07 10:15:29'),('server_port',1872,'1872 (canocentral1)','2022-12-07 10:15:42'),('server_port',1873,'1873 (fjmpjps)','2022-12-07 10:15:33'),('server_port',1874,'1874 (fjswapsnp)','2022-12-07 10:15:47'),('server_port',1875,'1875 (westell-stats)','2022-12-07 10:15:33'),('server_port',1876,'1876 (ewcappsrv)','2022-12-07 10:15:39'),('server_port',1877,'1877 (hp-webqosdb)','2022-12-07 10:15:43'),('server_port',1878,'1878 (drmsmc)','2022-12-07 10:15:40'),('server_port',1879,'1879 (nettgain-nms)','2022-12-07 10:15:37'),('server_port',1880,'1880 (vsat-control)','2022-12-07 10:15:48'),('server_port',1881,'1881 (ibm-mqseries2)','2022-12-07 10:15:46'),('server_port',1882,'1882 (ecsqdmn)','2022-12-07 10:15:43'),('server_port',1883,'1883 (mqtt)','2022-12-07 10:15:30'),('server_port',1884,'1884 (idmaps)','2022-12-07 10:15:41'),('server_port',1885,'1885 (vrtstrapserver)','2022-12-07 10:15:48'),('server_port',1886,'1886 (leoip)','2022-12-07 10:15:46'),('server_port',1887,'1887 (filex-lport)','2022-12-07 10:15:47'),('server_port',1888,'1888 (ncconfig)','2022-12-07 10:15:46'),('server_port',1889,'1889 (unify-adapter)','2022-12-07 10:15:34'),('server_port',1890,'1890 (wilkenlistener)','2022-12-07 10:15:35'),('server_port',1891,'1891 (childkey-notif)','2022-12-07 10:15:39'),('server_port',1892,'1892 (childkey-ctrl)','2022-12-07 10:15:48'),('server_port',1893,'1893 (elad)','2022-12-07 10:15:39'),('server_port',1894,'1894 (o2server-port)','2022-12-07 10:15:42'),('server_port',1896,'1896 (b-novative-ls)','2022-12-07 10:15:46'),('server_port',1897,'1897 (metaagent)','2022-12-07 10:15:51'),('server_port',1898,'1898 (cymtec-port)','2022-12-07 10:15:32'),('server_port',1899,'1899 (mc2studios)','2022-12-07 10:15:43'),('server_port',1900,'1900 (ssdp)','2022-12-07 10:15:51'),('server_port',1901,'1901 (fjicl-tep-a)','2022-12-07 10:15:38'),('server_port',1902,'1902 (fjicl-tep-b)','2022-12-07 10:15:47'),('server_port',1903,'1903 (linkname)','2022-12-07 10:15:50'),('server_port',1904,'1904 (fjicl-tep-c)','2022-12-07 10:15:30'),('server_port',1905,'1905 (sugp)','2022-12-07 10:15:50'),('server_port',1906,'1906 (tpmd)','2022-12-07 10:15:29'),('server_port',1907,'1907 (intrastar)','2022-12-07 10:15:44'),('server_port',1908,'1908 (dawn)','2022-12-07 10:15:41'),('server_port',1909,'1909 (global-wlink)','2022-12-07 10:15:40'),('server_port',1910,'1910 (ultrabac)','2022-12-07 10:15:30'),('server_port',1911,'1911 (mtp)','2022-12-07 10:15:42'),('server_port',1912,'1912 (rhp-iibp)','2022-12-07 10:15:49'),('server_port',1913,'1913 (armadp)','2022-12-07 10:15:48'),('server_port',1914,'1914 (elm-momentum)','2022-12-07 10:15:47'),('server_port',1915,'1915 (facelink)','2022-12-07 10:15:47'),('server_port',1916,'1916 (persona)','2022-12-07 10:15:35'),('server_port',1917,'1917 (noagent)','2022-12-07 10:15:45'),('server_port',1918,'1918 (can-nds)','2022-12-07 10:15:30'),('server_port',1919,'1919 (can-dch)','2022-12-07 10:15:32'),('server_port',1920,'1920 (can-ferret)','2022-12-07 10:15:44'),('server_port',1921,'1921 (noadmin)','2022-12-07 10:15:50'),('server_port',1922,'1922 (tapestry)','2022-12-07 10:15:48'),('server_port',1923,'1923 (spice)','2022-12-07 10:15:30'),('server_port',1924,'1924 (xiip)','2022-12-07 10:15:36'),('server_port',1925,'1925 (discovery-port)','2022-12-07 10:15:48'),('server_port',1926,'1926 (egs)','2022-12-07 10:15:43'),('server_port',1927,'1927 (videte-cipc)','2022-12-07 10:15:29'),('server_port',1928,'1928 (emsd-port)','2022-12-07 10:15:36'),('server_port',1929,'1929 (bandwiz-system)','2022-12-07 10:15:53'),('server_port',1930,'1930 (driveappserver)','2022-12-07 10:15:46'),('server_port',1931,'1931 (amdsched)','2022-12-07 10:15:34'),('server_port',1932,'1932 (ctt-broker)','2022-12-07 10:15:43'),('server_port',1933,'1933 (xmapi)','2022-12-07 10:15:33'),('server_port',1934,'1934 (xaapi)','2022-12-07 10:15:41'),('server_port',1935,'1935 (macromedia-fcs)','2022-12-07 10:15:29'),('server_port',1936,'1936 (jetcmeserver)','2022-12-07 10:15:41'),('server_port',1937,'1937 (jwserver)','2022-12-07 10:15:46'),('server_port',1938,'1938 (jwclient)','2022-12-07 10:15:37'),('server_port',1939,'1939 (jvserver)','2022-12-07 10:15:39'),('server_port',1940,'1940 (jvclient)','2022-12-07 10:15:43'),('server_port',1941,'1941 (dic-aida)','2022-12-07 10:15:52'),('server_port',1942,'1942 (res)','2022-12-07 10:15:49'),('server_port',1943,'1943 (beeyond-media)','2022-12-07 10:15:40'),('server_port',1944,'1944 (close-combat)','2022-12-07 10:15:31'),('server_port',1945,'1945 (dialogic-elmd)','2022-12-07 10:15:33'),('server_port',1946,'1946 (tekpls)','2022-12-07 10:15:37'),('server_port',1947,'1947 (sentinelsrm)','2022-12-07 10:15:37'),('server_port',1948,'1948 (eye2eye)','2022-12-07 10:15:51'),('server_port',1949,'1949 (ismaeasdaqlive)','2022-12-07 10:15:41'),('server_port',1950,'1950 (ismaeasdaqtest)','2022-12-07 10:15:53'),('server_port',1951,'1951 (bcs-lmserver)','2022-12-07 10:15:44'),('server_port',1952,'1952 (mpnjsc)','2022-12-07 10:15:33'),('server_port',1953,'1953 (rapidbase)','2022-12-07 10:15:36'),('server_port',1954,'1954 (abr-api)','2022-12-07 10:15:53'),('server_port',1955,'1955 (abr-secure)','2022-12-07 10:15:38'),('server_port',1956,'1956 (vrtl-vmf-ds)','2022-12-07 10:15:51'),('server_port',1957,'1957 (unix-status)','2022-12-07 10:15:41'),('server_port',1958,'1958 (dxadmind)','2022-12-07 10:15:42'),('server_port',1959,'1959 (simp-all)','2022-12-07 10:15:37'),('server_port',1960,'1960 (nasmanager)','2022-12-07 10:15:41'),('server_port',1961,'1961 (bts-appserver)','2022-12-07 10:15:51'),('server_port',1962,'1962 (biap-mp)','2022-12-07 10:15:51'),('server_port',1963,'1963 (webmachine)','2022-12-07 10:15:42'),('server_port',1964,'1964 (solid-e-engine)','2022-12-07 10:15:38'),('server_port',1965,'1965 (tivoli-npm)','2022-12-07 10:15:50'),('server_port',1966,'1966 (slush)','2022-12-07 10:15:31'),('server_port',1967,'1967 (sns-quote)','2022-12-07 10:15:42'),('server_port',1968,'1968 (lipsinc)','2022-12-07 10:15:48'),('server_port',1969,'1969 (lipsinc1)','2022-12-07 10:15:46'),('server_port',1970,'1970 (netop-rc)','2022-12-07 10:15:51'),('server_port',1971,'1971 (netop-school)','2022-12-07 10:15:48'),('server_port',1972,'1972 (intersys-cache)','2022-12-07 10:15:35'),('server_port',1973,'1973 (dlsrap)','2022-12-07 10:15:46'),('server_port',1974,'1974 (drp)','2022-12-07 10:15:31'),('server_port',1975,'1975 (tcoflashagent)','2022-12-07 10:15:30'),('server_port',1976,'1976 (tcoregagent)','2022-12-07 10:15:47'),('server_port',1977,'1977 (tcoaddressbook)','2022-12-07 10:15:33'),('server_port',1978,'1978 (unisql)','2022-12-07 10:15:34'),('server_port',1979,'1979 (unisql-java)','2022-12-07 10:15:51'),('server_port',1980,'1980 (pearldoc-xact)','2022-12-07 10:15:40'),('server_port',1981,'1981 (p2pq)','2022-12-07 10:15:43'),('server_port',1982,'1982 (estamp)','2022-12-07 10:15:45'),('server_port',1983,'1983 (lhtp)','2022-12-07 10:15:46'),('server_port',1984,'1984 (bb)','2022-12-07 10:15:42'),('server_port',1985,'1985 (hsrp)','2022-12-07 10:15:34'),('server_port',1986,'1986 (licensedaemon)','2022-12-07 10:15:36'),('server_port',1987,'1987 (tr-rsrb-p1)','2022-12-07 10:15:30'),('server_port',1988,'1988 (tr-rsrb-p2)','2022-12-07 10:15:53'),('server_port',1989,'1989 (mshnet)','2022-12-07 10:15:43'),('server_port',1990,'1990 (stun-p1)','2022-12-07 10:15:51'),('server_port',1991,'1991 (stun-p2)','2022-12-07 10:15:46'),('server_port',1992,'1992 (ipsendmsg)','2022-12-07 10:15:31'),('server_port',1993,'1993 (snmp-tcp-port)','2022-12-07 10:15:53'),('server_port',1994,'1994 (stun-port)','2022-12-07 10:15:30'),('server_port',1995,'1995 (perf-port)','2022-12-07 10:15:31'),('server_port',1996,'1996 (tr-rsrb-port)','2022-12-07 10:15:38'),('server_port',1997,'1997 (gdp-port)','2022-12-07 10:15:39'),('server_port',1998,'1998 (x25-svc-port)','2022-12-07 10:15:48'),('server_port',1999,'1999 (tcp-id-port)','2022-12-07 10:15:43'),('server_port',2000,'2000 (cisco-sccp)','2022-12-07 10:15:44'),('server_port',2001,'2001 (dc)','2022-12-07 10:15:53'),('server_port',2002,'2002 (globe)','2022-12-07 10:15:49'),('server_port',2003,'2003 (brutus)','2022-12-07 10:15:49'),('server_port',2004,'2004 (mailbox)','2022-12-07 10:15:47'),('server_port',2005,'2005 (berknet)','2022-12-07 10:15:45'),('server_port',2006,'2006 (invokator)','2022-12-07 10:15:45'),('server_port',2007,'2007 (dectalk)','2022-12-07 10:15:31'),('server_port',2008,'2008 (conf)','2022-12-07 10:15:49'),('server_port',2009,'2009 (news)','2022-12-07 10:15:43'),('server_port',2010,'2010 (search)','2022-12-07 10:15:34'),('server_port',2011,'2011 (raid-cc)','2022-12-07 10:15:34'),('server_port',2012,'2012 (ttyinfo)','2022-12-07 10:15:36'),('server_port',2013,'2013 (raid-am)','2022-12-07 10:15:49'),('server_port',2014,'2014 (troff)','2022-12-07 10:15:50'),('server_port',2015,'2015 (cypress)','2022-12-07 10:15:36'),('server_port',2016,'2016 (bootserver)','2022-12-07 10:15:49'),('server_port',2017,'2017 (cypress-stat)','2022-12-07 10:15:47'),('server_port',2018,'2018 (terminaldb)','2022-12-07 10:15:36'),('server_port',2019,'2019 (whosockami)','2022-12-07 10:15:35'),('server_port',2020,'2020 (xinupageserver)','2022-12-07 10:15:46'),('server_port',2021,'2021 (servexec)','2022-12-07 10:15:50'),('server_port',2022,'2022 (down)','2022-12-07 10:15:29'),('server_port',2023,'2023 (xinuexpansion3)','2022-12-07 10:15:38'),('server_port',2024,'2024 (xinuexpansion4)','2022-12-07 10:15:34'),('server_port',2025,'2025 (ellpack)','2022-12-07 10:15:37'),('server_port',2026,'2026 (scrabble)','2022-12-07 10:15:38'),('server_port',2027,'2027 (shadowserver)','2022-12-07 10:15:31'),('server_port',2028,'2028 (submitserver)','2022-12-07 10:15:52'),('server_port',2029,'2029 (hsrpv6)','2022-12-07 10:15:48'),('server_port',2030,'2030 (device2)','2022-12-07 10:15:45'),('server_port',2031,'2031 (mobrien-chat)','2022-12-07 10:15:47'),('server_port',2032,'2032 (blackboard)','2022-12-07 10:15:33'),('server_port',2033,'2033 (glogger)','2022-12-07 10:15:36'),('server_port',2034,'2034 (scoremgr)','2022-12-07 10:15:38'),('server_port',2035,'2035 (imsldoc)','2022-12-07 10:15:39'),('server_port',2036,'2036 (e-dpnet)','2022-12-07 10:15:36'),('server_port',2037,'2037 (applus)','2022-12-07 10:15:50'),('server_port',2038,'2038 (objectmanager)','2022-12-07 10:15:29'),('server_port',2039,'2039 (prizma)','2022-12-07 10:15:44'),('server_port',2040,'2040 (lam)','2022-12-07 10:15:46'),('server_port',2041,'2041 (interbase)','2022-12-07 10:15:38'),('server_port',2042,'2042 (isis)','2022-12-07 10:15:34'),('server_port',2043,'2043 (isis-bcast)','2022-12-07 10:15:52'),('server_port',2044,'2044 (rimsl)','2022-12-07 10:15:37'),('server_port',2045,'2045 (cdfunc)','2022-12-07 10:15:51'),('server_port',2046,'2046 (sdfunc)','2022-12-07 10:15:36'),('server_port',2047,'2047 (dls)','2022-12-07 10:15:46'),('server_port',2048,'2048 (dls-monitor)','2022-12-07 10:15:53'),('server_port',2049,'2049 (nfs)','2022-12-07 10:15:42'),('server_port',2050,'2050 (av-emb-config)','2022-12-07 10:15:32'),('server_port',2051,'2051 (epnsdp)','2022-12-07 10:15:50'),('server_port',2052,'2052 (clearvisn)','2022-12-07 10:15:35'),('server_port',2053,'2053 (lot105-ds-upd)','2022-12-07 10:15:51'),('server_port',2054,'2054 (weblogin)','2022-12-07 10:15:35'),('server_port',2055,'2055 (iop)','2022-12-07 10:15:51'),('server_port',2056,'2056 (omnisky)','2022-12-07 10:15:50'),('server_port',2057,'2057 (rich-cp)','2022-12-07 10:15:52'),('server_port',2058,'2058 (newwavesearch)','2022-12-07 10:15:52'),('server_port',2059,'2059 (bmc-messaging)','2022-12-07 10:15:40'),('server_port',2060,'2060 (teleniumdaemon)','2022-12-07 10:15:36'),('server_port',2061,'2061 (netmount)','2022-12-07 10:15:46'),('server_port',2062,'2062 (icg-swp)','2022-12-07 10:15:34'),('server_port',2063,'2063 (icg-bridge)','2022-12-07 10:15:34'),('server_port',2064,'2064 (icg-iprelay)','2022-12-07 10:15:38'),('server_port',2065,'2065 (dlsrpn)','2022-12-07 10:15:47'),('server_port',2066,'2066 (aura)','2022-12-07 10:15:35'),('server_port',2067,'2067 (dlswpn)','2022-12-07 10:15:41'),('server_port',2068,'2068 (avauthsrvprtcl)','2022-12-07 10:15:43'),('server_port',2069,'2069 (event-port)','2022-12-07 10:15:50'),('server_port',2070,'2070 (ah-esp-encap)','2022-12-07 10:15:38'),('server_port',2071,'2071 (acp-port)','2022-12-07 10:15:31'),('server_port',2072,'2072 (msync)','2022-12-07 10:15:33'),('server_port',2073,'2073 (gxs-data-port)','2022-12-07 10:15:34'),('server_port',2074,'2074 (vrtl-vmf-sa)','2022-12-07 10:15:38'),('server_port',2075,'2075 (newlixengine)','2022-12-07 10:15:42'),('server_port',2076,'2076 (newlixconfig)','2022-12-07 10:15:51'),('server_port',2077,'2077 (tsrmagt)','2022-12-07 10:15:42'),('server_port',2078,'2078 (tpcsrvr)','2022-12-07 10:15:52'),('server_port',2079,'2079 (idware-router)','2022-12-07 10:15:44'),('server_port',2080,'2080 (autodesk-nlm)','2022-12-07 10:15:50'),('server_port',2081,'2081 (kme-trap-port)','2022-12-07 10:15:34'),('server_port',2082,'2082 (infowave)','2022-12-07 10:15:37'),('server_port',2083,'2083 (radsec)','2022-12-07 10:15:38'),('server_port',2084,'2084 (sunclustergeo)','2022-12-07 10:15:39'),('server_port',2085,'2085 (ada-cip)','2022-12-07 10:15:33'),('server_port',2086,'2086 (gnunet)','2022-12-07 10:15:36'),('server_port',2087,'2087 (eli)','2022-12-07 10:15:45'),('server_port',2088,'2088 (ip-blf)','2022-12-07 10:15:47'),('server_port',2089,'2089 (sep)','2022-12-07 10:15:43'),('server_port',2090,'2090 (lrp)','2022-12-07 10:15:43'),('server_port',2091,'2091 (prp)','2022-12-07 10:15:52'),('server_port',2092,'2092 (descent3)','2022-12-07 10:15:35'),('server_port',2093,'2093 (nbx-cc)','2022-12-07 10:15:49'),('server_port',2094,'2094 (nbx-au)','2022-12-07 10:15:53'),('server_port',2095,'2095 (nbx-ser)','2022-12-07 10:15:50'),('server_port',2096,'2096 (nbx-dir)','2022-12-07 10:15:33'),('server_port',2097,'2097 (jetformpreview)','2022-12-07 10:15:44'),('server_port',2098,'2098 (dialog-port)','2022-12-07 10:15:52'),('server_port',2099,'2099 (h2250-annex-g)','2022-12-07 10:15:52'),('server_port',2100,'2100 (amiganetfs)','2022-12-07 10:15:53'),('server_port',2101,'2101 (rtcm-sc104)','2022-12-07 10:15:34'),('server_port',2102,'2102 (zephyr-srv)','2022-12-07 10:15:36'),('server_port',2103,'2103 (zephyr-clt)','2022-12-07 10:15:44'),('server_port',2104,'2104 (zephyr-hm)','2022-12-07 10:15:45'),('server_port',2105,'2105 (minipay)','2022-12-07 10:15:30'),('server_port',2106,'2106 (mzap)','2022-12-07 10:15:44'),('server_port',2107,'2107 (bintec-admin)','2022-12-07 10:15:46'),('server_port',2108,'2108 (comcam)','2022-12-07 10:15:40'),('server_port',2109,'2109 (ergolight)','2022-12-07 10:15:49'),('server_port',2110,'2110 (umsp)','2022-12-07 10:15:53'),('server_port',2111,'2111 (dsatp)','2022-12-07 10:15:49'),('server_port',2112,'2112 (idonix-metanet)','2022-12-07 10:15:38'),('server_port',2113,'2113 (hsl-storm)','2022-12-07 10:15:37'),('server_port',2114,'2114 (ariascribe)','2022-12-07 10:15:35'),('server_port',2115,'2115 (kdm)','2022-12-07 10:15:52'),('server_port',2116,'2116 (ccowcmr)','2022-12-07 10:15:49'),('server_port',2117,'2117 (mentaclient)','2022-12-07 10:15:47'),('server_port',2118,'2118 (mentaserver)','2022-12-07 10:15:38'),('server_port',2119,'2119 (gsigatekeeper)','2022-12-07 10:15:40'),('server_port',2120,'2120 (qencp)','2022-12-07 10:15:45'),('server_port',2121,'2121 (scientia-ssdb)','2022-12-07 10:15:38'),('server_port',2122,'2122 (caupc-remote)','2022-12-07 10:15:36'),('server_port',2123,'2123 (gtp-control)','2022-12-07 10:15:50'),('server_port',2124,'2124 (elatelink)','2022-12-07 10:15:35'),('server_port',2125,'2125 (lockstep)','2022-12-07 10:15:40'),('server_port',2126,'2126 (pktcable-cops)','2022-12-07 10:15:38'),('server_port',2127,'2127 (index-pc-wb)','2022-12-07 10:15:30'),('server_port',2128,'2128 (net-steward)','2022-12-07 10:15:45'),('server_port',2129,'2129 (cs-live)','2022-12-07 10:15:39'),('server_port',2130,'2130 (xds)','2022-12-07 10:15:44'),('server_port',2131,'2131 (avantageb2b)','2022-12-07 10:15:38'),('server_port',2132,'2132 (solera-epmap)','2022-12-07 10:15:30'),('server_port',2133,'2133 (zymed-zpp)','2022-12-07 10:15:50'),('server_port',2134,'2134 (avenue)','2022-12-07 10:15:52'),('server_port',2135,'2135 (gris)','2022-12-07 10:15:29'),('server_port',2136,'2136 (appworxsrv)','2022-12-07 10:15:50'),('server_port',2137,'2137 (connect)','2022-12-07 10:15:49'),('server_port',2138,'2138 (unbind-cluster)','2022-12-07 10:15:39'),('server_port',2139,'2139 (ias-auth)','2022-12-07 10:15:34'),('server_port',2140,'2140 (ias-reg)','2022-12-07 10:15:52'),('server_port',2141,'2141 (ias-admind)','2022-12-07 10:15:42'),('server_port',2142,'2142 (tdmoip)','2022-12-07 10:15:44'),('server_port',2143,'2143 (lv-jc)','2022-12-07 10:15:36'),('server_port',2144,'2144 (lv-ffx)','2022-12-07 10:15:42'),('server_port',2145,'2145 (lv-pici)','2022-12-07 10:15:50'),('server_port',2146,'2146 (lv-not)','2022-12-07 10:15:44'),('server_port',2147,'2147 (lv-auth)','2022-12-07 10:15:42'),('server_port',2148,'2148 (veritas-ucl)','2022-12-07 10:15:46'),('server_port',2149,'2149 (acptsys)','2022-12-07 10:15:48'),('server_port',2150,'2150 (dynamic3d)','2022-12-07 10:15:32'),('server_port',2151,'2151 (docent)','2022-12-07 10:15:43'),('server_port',2152,'2152 (gtp-user)','2022-12-07 10:15:38'),('server_port',2153,'2153 (ctlptc)','2022-12-07 10:15:32'),('server_port',2154,'2154 (stdptc)','2022-12-07 10:15:38'),('server_port',2155,'2155 (brdptc)','2022-12-07 10:15:44'),('server_port',2156,'2156 (trp)','2022-12-07 10:15:46'),('server_port',2157,'2157 (xnds)','2022-12-07 10:15:41'),('server_port',2158,'2158 (touchnetplus)','2022-12-07 10:15:30'),('server_port',2159,'2159 (gdbremote)','2022-12-07 10:15:31'),('server_port',2160,'2160 (apc-2160)','2022-12-07 10:15:31'),('server_port',2161,'2161 (apc-2161)','2022-12-07 10:15:37'),('server_port',2162,'2162 (navisphere)','2022-12-07 10:15:48'),('server_port',2163,'2163 (navisphere-sec)','2022-12-07 10:15:38'),('server_port',2164,'2164 (ddns-v3)','2022-12-07 10:15:50'),('server_port',2165,'2165 (x-bone-api)','2022-12-07 10:15:53'),('server_port',2166,'2166 (iwserver)','2022-12-07 10:15:42'),('server_port',2167,'2167 (raw-serial)','2022-12-07 10:15:42'),('server_port',2168,'2168 (easy-soft-mux)','2022-12-07 10:15:37'),('server_port',2169,'2169 (brain)','2022-12-07 10:15:35'),('server_port',2170,'2170 (eyetv)','2022-12-07 10:15:42'),('server_port',2171,'2171 (msfw-storage)','2022-12-07 10:15:44'),('server_port',2172,'2172 (msfw-s-storage)','2022-12-07 10:15:39'),('server_port',2173,'2173 (msfw-replica)','2022-12-07 10:15:45'),('server_port',2174,'2174 (msfw-array)','2022-12-07 10:15:36'),('server_port',2175,'2175 (airsync)','2022-12-07 10:15:48'),('server_port',2176,'2176 (rapi)','2022-12-07 10:15:34'),('server_port',2177,'2177 (qwave)','2022-12-07 10:15:50'),('server_port',2178,'2178 (bitspeer)','2022-12-07 10:15:46'),('server_port',2179,'2179 (vmrdp)','2022-12-07 10:15:44'),('server_port',2180,'2180 (mc-gt-srv)','2022-12-07 10:15:42'),('server_port',2181,'2181 (eforward)','2022-12-07 10:15:38'),('server_port',2182,'2182 (cgn-stat)','2022-12-07 10:15:41'),('server_port',2183,'2183 (cgn-config)','2022-12-07 10:15:46'),('server_port',2184,'2184 (nvd)','2022-12-07 10:15:33'),('server_port',2185,'2185 (onbase-dds)','2022-12-07 10:15:49'),('server_port',2186,'2186 (gtaua)','2022-12-07 10:15:43'),('server_port',2187,'2187 (ssmc)','2022-12-07 10:15:47'),('server_port',2188,'2188 (radware-rpm)','2022-12-07 10:15:42'),('server_port',2189,'2189 (radware-rpm-s)','2022-12-07 10:15:32'),('server_port',2190,'2190 (tivoconnect)','2022-12-07 10:15:49'),('server_port',2191,'2191 (tvbus)','2022-12-07 10:15:31'),('server_port',2192,'2192 (asdis)','2022-12-07 10:15:31'),('server_port',2193,'2193 (drwcs)','2022-12-07 10:15:47'),('server_port',2197,'2197 (mnp-exchange)','2022-12-07 10:15:50'),('server_port',2198,'2198 (onehome-remote)','2022-12-07 10:15:37'),('server_port',2199,'2199 (onehome-help)','2022-12-07 10:15:49'),('server_port',2200,'2200 (ici)','2022-12-07 10:15:43'),('server_port',2201,'2201 (ats)','2022-12-07 10:15:48'),('server_port',2202,'2202 (imtc-map)','2022-12-07 10:15:53'),('server_port',2203,'2203 (b2-runtime)','2022-12-07 10:15:31'),('server_port',2204,'2204 (b2-license)','2022-12-07 10:15:33'),('server_port',2205,'2205 (jps)','2022-12-07 10:15:31'),('server_port',2206,'2206 (hpocbus)','2022-12-07 10:15:41'),('server_port',2207,'2207 (hpssd)','2022-12-07 10:15:45'),('server_port',2208,'2208 (hpiod)','2022-12-07 10:15:42'),('server_port',2209,'2209 (rimf-ps)','2022-12-07 10:15:53'),('server_port',2210,'2210 (noaaport)','2022-12-07 10:15:51'),('server_port',2211,'2211 (emwin)','2022-12-07 10:15:50'),('server_port',2212,'2212 (leecoposserver)','2022-12-07 10:15:32'),('server_port',2213,'2213 (kali)','2022-12-07 10:15:37'),('server_port',2214,'2214 (rpi)','2022-12-07 10:15:45'),('server_port',2215,'2215 (ipcore)','2022-12-07 10:15:37'),('server_port',2216,'2216 (vtu-comms)','2022-12-07 10:15:30'),('server_port',2217,'2217 (gotodevice)','2022-12-07 10:15:53'),('server_port',2218,'2218 (bounzza)','2022-12-07 10:15:31'),('server_port',2219,'2219 (netiq-ncap)','2022-12-07 10:15:39'),('server_port',2220,'2220 (netiq)','2022-12-07 10:15:41'),('server_port',2221,'2221 (ethernet-ip-s)','2022-12-07 10:15:44'),('server_port',2222,'2222 (EtherNet-IP-1)','2022-12-07 10:15:48'),('server_port',2223,'2223 (rockwell-csp2)','2022-12-07 10:15:40'),('server_port',2224,'2224 (efi-mg)','2022-12-07 10:15:47'),('server_port',2225,'2225 (rcip-itu)','2022-12-07 10:15:40'),('server_port',2226,'2226 (di-drm)','2022-12-07 10:15:52'),('server_port',2227,'2227 (di-msg)','2022-12-07 10:15:41'),('server_port',2228,'2228 (ehome-ms)','2022-12-07 10:15:43'),('server_port',2229,'2229 (datalens)','2022-12-07 10:15:47'),('server_port',2230,'2230 (queueadm)','2022-12-07 10:15:38'),('server_port',2231,'2231 (wimaxasncp)','2022-12-07 10:15:51'),('server_port',2232,'2232 (ivs-video)','2022-12-07 10:15:37'),('server_port',2233,'2233 (infocrypt)','2022-12-07 10:15:39'),('server_port',2234,'2234 (directplay)','2022-12-07 10:15:33'),('server_port',2235,'2235 (sercomm-wlink)','2022-12-07 10:15:35'),('server_port',2236,'2236 (nani)','2022-12-07 10:15:40'),('server_port',2237,'2237 (optech-port1-lm)','2022-12-07 10:15:41'),('server_port',2238,'2238 (aviva-sna)','2022-12-07 10:15:51'),('server_port',2239,'2239 (imagequery)','2022-12-07 10:15:45'),('server_port',2240,'2240 (recipe)','2022-12-07 10:15:49'),('server_port',2241,'2241 (ivsd)','2022-12-07 10:15:50'),('server_port',2242,'2242 (foliocorp)','2022-12-07 10:15:46'),('server_port',2243,'2243 (magicom)','2022-12-07 10:15:39'),('server_port',2244,'2244 (nmsserver)','2022-12-07 10:15:45'),('server_port',2245,'2245 (hao)','2022-12-07 10:15:37'),('server_port',2246,'2246 (pc-mta-addrmap)','2022-12-07 10:15:38'),('server_port',2247,'2247 (antidotemgrsvr)','2022-12-07 10:15:34'),('server_port',2248,'2248 (ums)','2022-12-07 10:15:35'),('server_port',2249,'2249 (rfmp)','2022-12-07 10:15:45'),('server_port',2250,'2250 (remote-collab)','2022-12-07 10:15:34'),('server_port',2251,'2251 (dif-port)','2022-12-07 10:15:33'),('server_port',2252,'2252 (njenet-ssl)','2022-12-07 10:15:47'),('server_port',2253,'2253 (dtv-chan-req)','2022-12-07 10:15:34'),('server_port',2254,'2254 (seispoc)','2022-12-07 10:15:52'),('server_port',2255,'2255 (vrtp)','2022-12-07 10:15:29'),('server_port',2256,'2256 (pcc-mfp)','2022-12-07 10:15:53'),('server_port',2257,'2257 (simple-tx-rx)','2022-12-07 10:15:33'),('server_port',2258,'2258 (rcts)','2022-12-07 10:15:47'),('server_port',2260,'2260 (apc-2260)','2022-12-07 10:15:48'),('server_port',2261,'2261 (comotionmaster)','2022-12-07 10:15:49'),('server_port',2262,'2262 (comotionback)','2022-12-07 10:15:31'),('server_port',2263,'2263 (ecwcfg)','2022-12-07 10:15:30'),('server_port',2264,'2264 (apx500api-1)','2022-12-07 10:15:41'),('server_port',2265,'2265 (apx500api-2)','2022-12-07 10:15:42'),('server_port',2266,'2266 (mfserver)','2022-12-07 10:15:36'),('server_port',2267,'2267 (ontobroker)','2022-12-07 10:15:43'),('server_port',2268,'2268 (amt)','2022-12-07 10:15:47'),('server_port',2269,'2269 (mikey)','2022-12-07 10:15:35'),('server_port',2270,'2270 (starschool)','2022-12-07 10:15:52'),('server_port',2271,'2271 (mmcals)','2022-12-07 10:15:50'),('server_port',2272,'2272 (mmcal)','2022-12-07 10:15:37'),('server_port',2273,'2273 (mysql-im)','2022-12-07 10:15:52'),('server_port',2274,'2274 (pcttunnell)','2022-12-07 10:15:49'),('server_port',2275,'2275 (ibridge-data)','2022-12-07 10:15:30'),('server_port',2276,'2276 (ibridge-mgmt)','2022-12-07 10:15:49'),('server_port',2277,'2277 (bluectrlproxy)','2022-12-07 10:15:43'),('server_port',2278,'2278 (s3db)','2022-12-07 10:15:34'),('server_port',2279,'2279 (xmquery)','2022-12-07 10:15:46'),('server_port',2280,'2280 (lnvpoller)','2022-12-07 10:15:40'),('server_port',2281,'2281 (lnvconsole)','2022-12-07 10:15:37'),('server_port',2282,'2282 (lnvalarm)','2022-12-07 10:15:32'),('server_port',2283,'2283 (lnvstatus)','2022-12-07 10:15:51'),('server_port',2284,'2284 (lnvmaps)','2022-12-07 10:15:33'),('server_port',2285,'2285 (lnvmailmon)','2022-12-07 10:15:30'),('server_port',2286,'2286 (nas-metering)','2022-12-07 10:15:39'),('server_port',2287,'2287 (dna)','2022-12-07 10:15:39'),('server_port',2288,'2288 (netml)','2022-12-07 10:15:39'),('server_port',2289,'2289 (dict-lookup)','2022-12-07 10:15:36'),('server_port',2290,'2290 (sonus-logging)','2022-12-07 10:15:30'),('server_port',2291,'2291 (eapsp)','2022-12-07 10:15:52'),('server_port',2292,'2292 (mib-streaming)','2022-12-07 10:15:52'),('server_port',2293,'2293 (npdbgmngr)','2022-12-07 10:15:32'),('server_port',2294,'2294 (konshus-lm)','2022-12-07 10:15:53'),('server_port',2295,'2295 (advant-lm)','2022-12-07 10:15:38'),('server_port',2296,'2296 (theta-lm)','2022-12-07 10:15:40'),('server_port',2297,'2297 (d2k-datamover1)','2022-12-07 10:15:40'),('server_port',2298,'2298 (d2k-datamover2)','2022-12-07 10:15:42'),('server_port',2299,'2299 (pc-telecommute)','2022-12-07 10:15:41'),('server_port',2300,'2300 (cvmmon)','2022-12-07 10:15:38'),('server_port',2301,'2301 (cpq-wbem)','2022-12-07 10:15:41'),('server_port',2302,'2302 (binderysupport)','2022-12-07 10:15:47'),('server_port',2303,'2303 (proxy-gateway)','2022-12-07 10:15:31'),('server_port',2304,'2304 (attachmate-uts)','2022-12-07 10:15:46'),('server_port',2305,'2305 (mt-scaleserver)','2022-12-07 10:15:38'),('server_port',2306,'2306 (tappi-boxnet)','2022-12-07 10:15:33'),('server_port',2307,'2307 (pehelp)','2022-12-07 10:15:35'),('server_port',2308,'2308 (sdhelp)','2022-12-07 10:15:49'),('server_port',2309,'2309 (sdserver)','2022-12-07 10:15:34'),('server_port',2310,'2310 (sdclient)','2022-12-07 10:15:51'),('server_port',2311,'2311 (messageservice)','2022-12-07 10:15:47'),('server_port',2312,'2312 (wanscaler)','2022-12-07 10:15:46'),('server_port',2313,'2313 (iapp)','2022-12-07 10:15:44'),('server_port',2314,'2314 (cr-websystems)','2022-12-07 10:15:31'),('server_port',2315,'2315 (precise-sft)','2022-12-07 10:15:53'),('server_port',2316,'2316 (sent-lm)','2022-12-07 10:15:34'),('server_port',2317,'2317 (attachmate-g32)','2022-12-07 10:15:52'),('server_port',2318,'2318 (cadencecontrol)','2022-12-07 10:15:37'),('server_port',2319,'2319 (infolibria)','2022-12-07 10:15:42'),('server_port',2320,'2320 (siebel-ns)','2022-12-07 10:15:31'),('server_port',2321,'2321 (rdlap)','2022-12-07 10:15:46'),('server_port',2322,'2322 (ofsd)','2022-12-07 10:15:45'),('server_port',2323,'2323 (3d-nfsd)','2022-12-07 10:15:47'),('server_port',2324,'2324 (cosmocall)','2022-12-07 10:15:52'),('server_port',2325,'2325 (ansysli)','2022-12-07 10:15:42'),('server_port',2326,'2326 (idcp)','2022-12-07 10:15:52'),('server_port',2327,'2327 (xingcsm)','2022-12-07 10:15:39'),('server_port',2328,'2328 (netrix-sftm)','2022-12-07 10:15:36'),('server_port',2329,'2329 (nvd)','2022-12-07 10:15:49'),('server_port',2330,'2330 (tscchat)','2022-12-07 10:15:36'),('server_port',2331,'2331 (agentview)','2022-12-07 10:15:41'),('server_port',2332,'2332 (rcc-host)','2022-12-07 10:15:53'),('server_port',2333,'2333 (snapp)','2022-12-07 10:15:37'),('server_port',2334,'2334 (ace-client)','2022-12-07 10:15:37'),('server_port',2335,'2335 (ace-proxy)','2022-12-07 10:15:45'),('server_port',2336,'2336 (appleugcontrol)','2022-12-07 10:15:43'),('server_port',2337,'2337 (ideesrv)','2022-12-07 10:15:41'),('server_port',2338,'2338 (norton-lambert)','2022-12-07 10:15:44'),('server_port',2339,'2339 (3com-webview)','2022-12-07 10:15:42'),('server_port',2340,'2340 (wrs-registry)','2022-12-07 10:15:37'),('server_port',2341,'2341 (xiostatus)','2022-12-07 10:15:40'),('server_port',2342,'2342 (manage-exec)','2022-12-07 10:15:43'),('server_port',2343,'2343 (nati-logos)','2022-12-07 10:15:34'),('server_port',2344,'2344 (fcmsys)','2022-12-07 10:15:50'),('server_port',2345,'2345 (dbm)','2022-12-07 10:15:45'),('server_port',2346,'2346 (redstorm-join)','2022-12-07 10:15:43'),('server_port',2347,'2347 (redstorm-find)','2022-12-07 10:15:42'),('server_port',2348,'2348 (redstorm-info)','2022-12-07 10:15:41'),('server_port',2349,'2349 (redstorm-diag)','2022-12-07 10:15:48'),('server_port',2350,'2350 (psbserver)','2022-12-07 10:15:39'),('server_port',2351,'2351 (psrserver)','2022-12-07 10:15:41'),('server_port',2352,'2352 (pslserver)','2022-12-07 10:15:31'),('server_port',2353,'2353 (pspserver)','2022-12-07 10:15:39'),('server_port',2354,'2354 (psprserver)','2022-12-07 10:15:53'),('server_port',2355,'2355 (psdbserver)','2022-12-07 10:15:30'),('server_port',2356,'2356 (gxtelmd)','2022-12-07 10:15:36'),('server_port',2357,'2357 (unihub-server)','2022-12-07 10:15:43'),('server_port',2358,'2358 (futrix)','2022-12-07 10:15:39'),('server_port',2359,'2359 (flukeserver)','2022-12-07 10:15:44'),('server_port',2360,'2360 (nexstorindltd)','2022-12-07 10:15:35'),('server_port',2361,'2361 (tl1)','2022-12-07 10:15:36'),('server_port',2362,'2362 (digiman)','2022-12-07 10:15:52'),('server_port',2363,'2363 (mediacntrlnfsd)','2022-12-07 10:15:39'),('server_port',2364,'2364 (oi-2000)','2022-12-07 10:15:49'),('server_port',2365,'2365 (dbref)','2022-12-07 10:15:39'),('server_port',2366,'2366 (qip-login)','2022-12-07 10:15:42'),('server_port',2367,'2367 (service-ctrl)','2022-12-07 10:15:43'),('server_port',2368,'2368 (opentable)','2022-12-07 10:15:35'),('server_port',2370,'2370 (l3-hbmon)','2022-12-07 10:15:52'),('server_port',2371,'2371 (hp-rda)','2022-12-07 10:15:38'),('server_port',2372,'2372 (lanmessenger)','2022-12-07 10:15:44'),('server_port',2373,'2373 (remographlm)','2022-12-07 10:15:44'),('server_port',2374,'2374 (hydra)','2022-12-07 10:15:53'),('server_port',2375,'2375 (docker)','2022-12-07 10:15:44'),('server_port',2376,'2376 (docker-s)','2022-12-07 10:15:38'),('server_port',2377,'2377 (swarm)','2022-12-07 10:15:44'),('server_port',2379,'2379 (etcd-client)','2022-12-07 10:15:53'),('server_port',2380,'2380 (etcd-server)','2022-12-07 10:15:48'),('server_port',2381,'2381 (compaq-https)','2022-12-07 10:15:36'),('server_port',2382,'2382 (ms-olap3)','2022-12-07 10:15:45'),('server_port',2383,'2383 (ms-olap4)','2022-12-07 10:15:48'),('server_port',2384,'2384 (sd-request)','2022-12-07 10:15:38'),('server_port',2385,'2385 (sd-data)','2022-12-07 10:15:32'),('server_port',2386,'2386 (virtualtape)','2022-12-07 10:15:49'),('server_port',2387,'2387 (vsamredirector)','2022-12-07 10:15:33'),('server_port',2388,'2388 (mynahautostart)','2022-12-07 10:15:45'),('server_port',2389,'2389 (ovsessionmgr)','2022-12-07 10:15:46'),('server_port',2390,'2390 (rsmtp)','2022-12-07 10:15:39'),('server_port',2391,'2391 (3com-net-mgmt)','2022-12-07 10:15:36'),('server_port',2392,'2392 (tacticalauth)','2022-12-07 10:15:51'),('server_port',2393,'2393 (ms-olap1)','2022-12-07 10:15:31'),('server_port',2394,'2394 (ms-olap2)','2022-12-07 10:15:47'),('server_port',2395,'2395 (lan900-remote)','2022-12-07 10:15:51'),('server_port',2396,'2396 (wusage)','2022-12-07 10:15:42'),('server_port',2397,'2397 (ncl)','2022-12-07 10:15:34'),('server_port',2398,'2398 (orbiter)','2022-12-07 10:15:31'),('server_port',2399,'2399 (fmpro-fdal)','2022-12-07 10:15:36'),('server_port',2400,'2400 (opequus-server)','2022-12-07 10:15:39'),('server_port',2401,'2401 (cvspserver)','2022-12-07 10:15:44'),('server_port',2402,'2402 (taskmaster2000)','2022-12-07 10:15:47'),('server_port',2403,'2403 (taskmaster2000)','2022-12-07 10:15:32'),('server_port',2404,'2404 (iec-104)','2022-12-07 10:15:42'),('server_port',2405,'2405 (trc-netpoll)','2022-12-07 10:15:50'),('server_port',2406,'2406 (jediserver)','2022-12-07 10:15:43'),('server_port',2407,'2407 (orion)','2022-12-07 10:15:39'),('server_port',2408,'2408 (railgun-webaccl)','2022-12-07 10:15:49'),('server_port',2409,'2409 (sns-protocol)','2022-12-07 10:15:44'),('server_port',2410,'2410 (vrts-registry)','2022-12-07 10:15:52'),('server_port',2411,'2411 (netwave-ap-mgmt)','2022-12-07 10:15:36'),('server_port',2412,'2412 (cdn)','2022-12-07 10:15:42'),('server_port',2413,'2413 (orion-rmi-reg)','2022-12-07 10:15:50'),('server_port',2414,'2414 (beeyond)','2022-12-07 10:15:29'),('server_port',2415,'2415 (codima-rtp)','2022-12-07 10:15:32'),('server_port',2416,'2416 (rmtserver)','2022-12-07 10:15:31'),('server_port',2417,'2417 (composit-server)','2022-12-07 10:15:50'),('server_port',2418,'2418 (cas)','2022-12-07 10:15:45'),('server_port',2419,'2419 (attachmate-s2s)','2022-12-07 10:15:31'),('server_port',2420,'2420 (dslremote-mgmt)','2022-12-07 10:15:30'),('server_port',2421,'2421 (g-talk)','2022-12-07 10:15:52'),('server_port',2422,'2422 (crmsbits)','2022-12-07 10:15:46'),('server_port',2423,'2423 (rnrp)','2022-12-07 10:15:41'),('server_port',2424,'2424 (kofax-svr)','2022-12-07 10:15:51'),('server_port',2425,'2425 (fjitsuappmgr)','2022-12-07 10:15:37'),('server_port',2426,'2426 (vcmp)','2022-12-07 10:15:43'),('server_port',2427,'2427 (mgcp-gateway)','2022-12-07 10:15:45'),('server_port',2428,'2428 (ott)','2022-12-07 10:15:38'),('server_port',2429,'2429 (ft-role)','2022-12-07 10:15:47'),('server_port',2430,'2430 (venus)','2022-12-07 10:15:34'),('server_port',2431,'2431 (venus-se)','2022-12-07 10:15:42'),('server_port',2432,'2432 (codasrv)','2022-12-07 10:15:45'),('server_port',2433,'2433 (codasrv-se)','2022-12-07 10:15:32'),('server_port',2434,'2434 (pxc-epmap)','2022-12-07 10:15:30'),('server_port',2435,'2435 (optilogic)','2022-12-07 10:15:50'),('server_port',2436,'2436 (topx)','2022-12-07 10:15:30'),('server_port',2437,'2437 (unicontrol)','2022-12-07 10:15:49'),('server_port',2438,'2438 (msp)','2022-12-07 10:15:51'),('server_port',2439,'2439 (sybasedbsynch)','2022-12-07 10:15:42'),('server_port',2440,'2440 (spearway)','2022-12-07 10:15:37'),('server_port',2441,'2441 (pvsw-inet)','2022-12-07 10:15:45'),('server_port',2442,'2442 (netangel)','2022-12-07 10:15:36'),('server_port',2443,'2443 (powerclientcsf)','2022-12-07 10:15:47'),('server_port',2444,'2444 (btpp2sectrans)','2022-12-07 10:15:43'),('server_port',2445,'2445 (dtn1)','2022-12-07 10:15:47'),('server_port',2446,'2446 (bues-service)','2022-12-07 10:15:49'),('server_port',2447,'2447 (ovwdb)','2022-12-07 10:15:38'),('server_port',2448,'2448 (hpppssvr)','2022-12-07 10:15:32'),('server_port',2449,'2449 (ratl)','2022-12-07 10:15:44'),('server_port',2450,'2450 (netadmin)','2022-12-07 10:15:37'),('server_port',2451,'2451 (netchat)','2022-12-07 10:15:41'),('server_port',2452,'2452 (snifferclient)','2022-12-07 10:15:36'),('server_port',2453,'2453 (madge-ltd)','2022-12-07 10:15:44'),('server_port',2454,'2454 (indx-dds)','2022-12-07 10:15:38'),('server_port',2455,'2455 (wago-io-system)','2022-12-07 10:15:36'),('server_port',2456,'2456 (altav-remmgt)','2022-12-07 10:15:31'),('server_port',2457,'2457 (rapido-ip)','2022-12-07 10:15:32'),('server_port',2458,'2458 (griffin)','2022-12-07 10:15:44'),('server_port',2459,'2459 (community)','2022-12-07 10:15:34'),('server_port',2460,'2460 (ms-theater)','2022-12-07 10:15:41'),('server_port',2461,'2461 (qadmifoper)','2022-12-07 10:15:46'),('server_port',2462,'2462 (qadmifevent)','2022-12-07 10:15:43'),('server_port',2463,'2463 (lsi-raid-mgmt)','2022-12-07 10:15:49'),('server_port',2464,'2464 (direcpc-si)','2022-12-07 10:15:43'),('server_port',2465,'2465 (lbm)','2022-12-07 10:15:39'),('server_port',2466,'2466 (lbf)','2022-12-07 10:15:48'),('server_port',2467,'2467 (high-criteria)','2022-12-07 10:15:44'),('server_port',2468,'2468 (qip-msgd)','2022-12-07 10:15:52'),('server_port',2469,'2469 (mti-tcs-comm)','2022-12-07 10:15:41'),('server_port',2470,'2470 (taskman-port)','2022-12-07 10:15:39'),('server_port',2471,'2471 (seaodbc)','2022-12-07 10:15:39'),('server_port',2472,'2472 (c3)','2022-12-07 10:15:44'),('server_port',2473,'2473 (aker-cdp)','2022-12-07 10:15:44'),('server_port',2474,'2474 (vitalanalysis)','2022-12-07 10:15:44'),('server_port',2475,'2475 (ace-server)','2022-12-07 10:15:51'),('server_port',2476,'2476 (ace-svr-prop)','2022-12-07 10:15:31'),('server_port',2477,'2477 (ssm-cvs)','2022-12-07 10:15:48'),('server_port',2478,'2478 (ssm-cssps)','2022-12-07 10:15:32'),('server_port',2479,'2479 (ssm-els)','2022-12-07 10:15:48'),('server_port',2480,'2480 (powerexchange)','2022-12-07 10:15:40'),('server_port',2481,'2481 (giop)','2022-12-07 10:15:53'),('server_port',2482,'2482 (giop-ssl)','2022-12-07 10:15:47'),('server_port',2483,'2483 (ttc)','2022-12-07 10:15:50'),('server_port',2484,'2484 (ttc-ssl)','2022-12-07 10:15:52'),('server_port',2485,'2485 (netobjects1)','2022-12-07 10:15:45'),('server_port',2486,'2486 (netobjects2)','2022-12-07 10:15:48'),('server_port',2487,'2487 (pns)','2022-12-07 10:15:30'),('server_port',2488,'2488 (moy-corp)','2022-12-07 10:15:52'),('server_port',2489,'2489 (tsilb)','2022-12-07 10:15:33'),('server_port',2490,'2490 (qip-qdhcp)','2022-12-07 10:15:32'),('server_port',2491,'2491 (conclave-cpp)','2022-12-07 10:15:35'),('server_port',2492,'2492 (groove)','2022-12-07 10:15:36'),('server_port',2493,'2493 (talarian-mqs)','2022-12-07 10:15:40'),('server_port',2494,'2494 (bmc-ar)','2022-12-07 10:15:35'),('server_port',2495,'2495 (fast-rem-serv)','2022-12-07 10:15:34'),('server_port',2496,'2496 (dirgis)','2022-12-07 10:15:30'),('server_port',2497,'2497 (quaddb)','2022-12-07 10:15:53'),('server_port',2498,'2498 (odn-castraq)','2022-12-07 10:15:37'),('server_port',2499,'2499 (unicontrol)','2022-12-07 10:15:50'),('server_port',2500,'2500 (rtsserv)','2022-12-07 10:15:52'),('server_port',2501,'2501 (rtsclient)','2022-12-07 10:15:44'),('server_port',2502,'2502 (kentrox-prot)','2022-12-07 10:15:32'),('server_port',2503,'2503 (nms-dpnss)','2022-12-07 10:15:49'),('server_port',2504,'2504 (wlbs)','2022-12-07 10:15:42'),('server_port',2505,'2505 (ppcontrol)','2022-12-07 10:15:34'),('server_port',2506,'2506 (jbroker)','2022-12-07 10:15:34'),('server_port',2507,'2507 (spock)','2022-12-07 10:15:30'),('server_port',2508,'2508 (jdatastore)','2022-12-07 10:15:43'),('server_port',2509,'2509 (fjmpss)','2022-12-07 10:15:53'),('server_port',2510,'2510 (fjappmgrbulk)','2022-12-07 10:15:36'),('server_port',2511,'2511 (metastorm)','2022-12-07 10:15:47'),('server_port',2512,'2512 (citrixima)','2022-12-07 10:15:45'),('server_port',2513,'2513 (citrixadmin)','2022-12-07 10:15:45'),('server_port',2514,'2514 (facsys-ntp)','2022-12-07 10:15:43'),('server_port',2515,'2515 (facsys-router)','2022-12-07 10:15:51'),('server_port',2516,'2516 (maincontrol)','2022-12-07 10:15:49'),('server_port',2517,'2517 (call-sig-trans)','2022-12-07 10:15:33'),('server_port',2518,'2518 (willy)','2022-12-07 10:15:49'),('server_port',2519,'2519 (globmsgsvc)','2022-12-07 10:15:33'),('server_port',2520,'2520 (pvsw)','2022-12-07 10:15:39'),('server_port',2521,'2521 (adaptecmgr)','2022-12-07 10:15:31'),('server_port',2522,'2522 (windb)','2022-12-07 10:15:50'),('server_port',2523,'2523 (qke-llc-v3)','2022-12-07 10:15:35'),('server_port',2524,'2524 (optiwave-lm)','2022-12-07 10:15:36'),('server_port',2525,'2525 (ms-v-worlds)','2022-12-07 10:15:52'),('server_port',2526,'2526 (ema-sent-lm)','2022-12-07 10:15:41'),('server_port',2527,'2527 (iqserver)','2022-12-07 10:15:32'),('server_port',2528,'2528 (ncr-ccl)','2022-12-07 10:15:45'),('server_port',2529,'2529 (utsftp)','2022-12-07 10:15:33'),('server_port',2530,'2530 (vrcommerce)','2022-12-07 10:15:40'),('server_port',2531,'2531 (ito-e-gui)','2022-12-07 10:15:50'),('server_port',2532,'2532 (ovtopmd)','2022-12-07 10:15:50'),('server_port',2533,'2533 (snifferserver)','2022-12-07 10:15:51'),('server_port',2534,'2534 (combox-web-acc)','2022-12-07 10:15:35'),('server_port',2535,'2535 (madcap)','2022-12-07 10:15:34'),('server_port',2536,'2536 (btpp2audctr1)','2022-12-07 10:15:29'),('server_port',2537,'2537 (upgrade)','2022-12-07 10:15:35'),('server_port',2538,'2538 (vnwk-prapi)','2022-12-07 10:15:49'),('server_port',2539,'2539 (vsiadmin)','2022-12-07 10:15:29'),('server_port',2540,'2540 (lonworks)','2022-12-07 10:15:38'),('server_port',2541,'2541 (lonworks2)','2022-12-07 10:15:34'),('server_port',2542,'2542 (udrawgraph)','2022-12-07 10:15:43'),('server_port',2543,'2543 (reftek)','2022-12-07 10:15:30'),('server_port',2544,'2544 (novell-zen)','2022-12-07 10:15:34'),('server_port',2545,'2545 (sis-emt)','2022-12-07 10:15:37'),('server_port',2546,'2546 (vytalvaultbrtp)','2022-12-07 10:15:39'),('server_port',2547,'2547 (vytalvaultvsmp)','2022-12-07 10:15:48'),('server_port',2548,'2548 (vytalvaultpipe)','2022-12-07 10:15:30'),('server_port',2549,'2549 (ipass)','2022-12-07 10:15:30'),('server_port',2550,'2550 (ads)','2022-12-07 10:15:48'),('server_port',2551,'2551 (isg-uda-server)','2022-12-07 10:15:42'),('server_port',2552,'2552 (call-logging)','2022-12-07 10:15:34'),('server_port',2553,'2553 (efidiningport)','2022-12-07 10:15:42'),('server_port',2554,'2554 (vcnet-link-v10)','2022-12-07 10:15:31'),('server_port',2555,'2555 (compaq-wcp)','2022-12-07 10:15:33'),('server_port',2556,'2556 (nicetec-nmsvc)','2022-12-07 10:15:51'),('server_port',2557,'2557 (nicetec-mgmt)','2022-12-07 10:15:40'),('server_port',2558,'2558 (pclemultimedia)','2022-12-07 10:15:48'),('server_port',2559,'2559 (lstp)','2022-12-07 10:15:33'),('server_port',2560,'2560 (labrat)','2022-12-07 10:15:37'),('server_port',2561,'2561 (mosaixcc)','2022-12-07 10:15:35'),('server_port',2562,'2562 (delibo)','2022-12-07 10:15:29'),('server_port',2563,'2563 (cti-redwood)','2022-12-07 10:15:40'),('server_port',2564,'2564 (hp-3000-telnet)','2022-12-07 10:15:44'),('server_port',2565,'2565 (coord-svr)','2022-12-07 10:15:51'),('server_port',2566,'2566 (pcs-pcw)','2022-12-07 10:15:31'),('server_port',2567,'2567 (clp)','2022-12-07 10:15:49'),('server_port',2568,'2568 (spamtrap)','2022-12-07 10:15:38'),('server_port',2569,'2569 (sonuscallsig)','2022-12-07 10:15:32'),('server_port',2570,'2570 (hs-port)','2022-12-07 10:15:36'),('server_port',2571,'2571 (cecsvc)','2022-12-07 10:15:38'),('server_port',2572,'2572 (ibp)','2022-12-07 10:15:38'),('server_port',2573,'2573 (trustestablish)','2022-12-07 10:15:37'),('server_port',2574,'2574 (blockade-bpsp)','2022-12-07 10:15:40'),('server_port',2575,'2575 (hl7)','2022-12-07 10:15:42'),('server_port',2576,'2576 (tclprodebugger)','2022-12-07 10:15:36'),('server_port',2577,'2577 (scipticslsrvr)','2022-12-07 10:15:51'),('server_port',2578,'2578 (rvs-isdn-dcp)','2022-12-07 10:15:29'),('server_port',2579,'2579 (mpfoncl)','2022-12-07 10:15:47'),('server_port',2580,'2580 (tributary)','2022-12-07 10:15:51'),('server_port',2581,'2581 (argis-te)','2022-12-07 10:15:50'),('server_port',2582,'2582 (argis-ds)','2022-12-07 10:15:29'),('server_port',2583,'2583 (mon)','2022-12-07 10:15:50'),('server_port',2584,'2584 (cyaserv)','2022-12-07 10:15:40'),('server_port',2585,'2585 (netx-server)','2022-12-07 10:15:53'),('server_port',2586,'2586 (netx-agent)','2022-12-07 10:15:47'),('server_port',2587,'2587 (masc)','2022-12-07 10:15:34'),('server_port',2588,'2588 (privilege)','2022-12-07 10:15:36'),('server_port',2589,'2589 (quartus-tcl)','2022-12-07 10:15:38'),('server_port',2590,'2590 (idotdist)','2022-12-07 10:15:35'),('server_port',2591,'2591 (maytagshuffle)','2022-12-07 10:15:45'),('server_port',2592,'2592 (netrek)','2022-12-07 10:15:45'),('server_port',2593,'2593 (mns-mail)','2022-12-07 10:15:53'),('server_port',2594,'2594 (dts)','2022-12-07 10:15:46'),('server_port',2595,'2595 (worldfusion1)','2022-12-07 10:15:43'),('server_port',2596,'2596 (worldfusion2)','2022-12-07 10:15:39'),('server_port',2597,'2597 (homesteadglory)','2022-12-07 10:15:34'),('server_port',2598,'2598 (citriximaclient)','2022-12-07 10:15:31'),('server_port',2599,'2599 (snapd)','2022-12-07 10:15:50'),('server_port',2600,'2600 (hpstgmgr)','2022-12-07 10:15:43'),('server_port',2601,'2601 (discp-client)','2022-12-07 10:15:50'),('server_port',2602,'2602 (discp-server)','2022-12-07 10:15:44'),('server_port',2603,'2603 (servicemeter)','2022-12-07 10:15:31'),('server_port',2604,'2604 (nsc-ccs)','2022-12-07 10:15:43'),('server_port',2605,'2605 (nsc-posa)','2022-12-07 10:15:47'),('server_port',2606,'2606 (netmon)','2022-12-07 10:15:31'),('server_port',2607,'2607 (connection)','2022-12-07 10:15:42'),('server_port',2608,'2608 (wag-service)','2022-12-07 10:15:51'),('server_port',2609,'2609 (system-monitor)','2022-12-07 10:15:42'),('server_port',2610,'2610 (versa-tek)','2022-12-07 10:15:38'),('server_port',2611,'2611 (lionhead)','2022-12-07 10:15:52'),('server_port',2612,'2612 (qpasa-agent)','2022-12-07 10:15:48'),('server_port',2613,'2613 (smntubootstrap)','2022-12-07 10:15:35'),('server_port',2614,'2614 (neveroffline)','2022-12-07 10:15:32'),('server_port',2615,'2615 (firepower)','2022-12-07 10:15:29'),('server_port',2616,'2616 (appswitch-emp)','2022-12-07 10:15:30'),('server_port',2617,'2617 (cmadmin)','2022-12-07 10:15:36'),('server_port',2618,'2618 (priority-e-com)','2022-12-07 10:15:35'),('server_port',2619,'2619 (bruce)','2022-12-07 10:15:48'),('server_port',2620,'2620 (lpsrecommender)','2022-12-07 10:15:43'),('server_port',2621,'2621 (miles-apart)','2022-12-07 10:15:36'),('server_port',2622,'2622 (metricadbc)','2022-12-07 10:15:32'),('server_port',2623,'2623 (lmdp)','2022-12-07 10:15:42'),('server_port',2624,'2624 (aria)','2022-12-07 10:15:39'),('server_port',2625,'2625 (blwnkl-port)','2022-12-07 10:15:48'),('server_port',2626,'2626 (gbjd816)','2022-12-07 10:15:43'),('server_port',2627,'2627 (moshebeeri)','2022-12-07 10:15:52'),('server_port',2628,'2628 (dict)','2022-12-07 10:15:39'),('server_port',2629,'2629 (sitaraserver)','2022-12-07 10:15:39'),('server_port',2630,'2630 (sitaramgmt)','2022-12-07 10:15:39'),('server_port',2631,'2631 (sitaradir)','2022-12-07 10:15:47'),('server_port',2632,'2632 (irdg-post)','2022-12-07 10:15:44'),('server_port',2633,'2633 (interintelli)','2022-12-07 10:15:40'),('server_port',2634,'2634 (pk-electronics)','2022-12-07 10:15:30'),('server_port',2635,'2635 (backburner)','2022-12-07 10:15:50'),('server_port',2636,'2636 (solve)','2022-12-07 10:15:50'),('server_port',2637,'2637 (imdocsvc)','2022-12-07 10:15:44'),('server_port',2638,'2638 (sybaseanywhere)','2022-12-07 10:15:49'),('server_port',2639,'2639 (aminet)','2022-12-07 10:15:32'),('server_port',2640,'2640 (ami-control)','2022-12-07 10:15:43'),('server_port',2641,'2641 (hdl-srv)','2022-12-07 10:15:40'),('server_port',2642,'2642 (tragic)','2022-12-07 10:15:48'),('server_port',2643,'2643 (gte-samp)','2022-12-07 10:15:40'),('server_port',2644,'2644 (travsoft-ipx-t)','2022-12-07 10:15:43'),('server_port',2645,'2645 (novell-ipx-cmd)','2022-12-07 10:15:47'),('server_port',2646,'2646 (and-lm)','2022-12-07 10:15:51'),('server_port',2647,'2647 (syncserver)','2022-12-07 10:15:52'),('server_port',2648,'2648 (upsnotifyprot)','2022-12-07 10:15:39'),('server_port',2649,'2649 (vpsipport)','2022-12-07 10:15:51'),('server_port',2650,'2650 (eristwoguns)','2022-12-07 10:15:38'),('server_port',2651,'2651 (ebinsite)','2022-12-07 10:15:53'),('server_port',2652,'2652 (interpathpanel)','2022-12-07 10:15:48'),('server_port',2653,'2653 (sonus)','2022-12-07 10:15:32'),('server_port',2654,'2654 (corel-vncadmin)','2022-12-07 10:15:29'),('server_port',2655,'2655 (unglue)','2022-12-07 10:15:44'),('server_port',2656,'2656 (kana)','2022-12-07 10:15:44'),('server_port',2657,'2657 (sns-dispatcher)','2022-12-07 10:15:51'),('server_port',2658,'2658 (sns-admin)','2022-12-07 10:15:38'),('server_port',2659,'2659 (sns-query)','2022-12-07 10:15:50'),('server_port',2660,'2660 (gcmonitor)','2022-12-07 10:15:53'),('server_port',2661,'2661 (olhost)','2022-12-07 10:15:36'),('server_port',2662,'2662 (bintec-capi)','2022-12-07 10:15:34'),('server_port',2663,'2663 (bintec-tapi)','2022-12-07 10:15:32'),('server_port',2664,'2664 (patrol-mq-gm)','2022-12-07 10:15:33'),('server_port',2665,'2665 (patrol-mq-nm)','2022-12-07 10:15:38'),('server_port',2666,'2666 (extensis)','2022-12-07 10:15:52'),('server_port',2667,'2667 (alarm-clock-s)','2022-12-07 10:15:49'),('server_port',2668,'2668 (alarm-clock-c)','2022-12-07 10:15:44'),('server_port',2669,'2669 (toad)','2022-12-07 10:15:33'),('server_port',2670,'2670 (tve-announce)','2022-12-07 10:15:31'),('server_port',2671,'2671 (newlixreg)','2022-12-07 10:15:46'),('server_port',2672,'2672 (nhserver)','2022-12-07 10:15:51'),('server_port',2673,'2673 (firstcall42)','2022-12-07 10:15:41'),('server_port',2674,'2674 (ewnn)','2022-12-07 10:15:35'),('server_port',2675,'2675 (ttc-etap)','2022-12-07 10:15:41'),('server_port',2676,'2676 (simslink)','2022-12-07 10:15:44'),('server_port',2677,'2677 (gadgetgate1way)','2022-12-07 10:15:36'),('server_port',2678,'2678 (gadgetgate2way)','2022-12-07 10:15:41'),('server_port',2679,'2679 (syncserverssl)','2022-12-07 10:15:30'),('server_port',2680,'2680 (pxc-sapxom)','2022-12-07 10:15:34'),('server_port',2681,'2681 (mpnjsomb)','2022-12-07 10:15:40'),('server_port',2683,'2683 (ncdloadbalance)','2022-12-07 10:15:43'),('server_port',2684,'2684 (mpnjsosv)','2022-12-07 10:15:52'),('server_port',2685,'2685 (mpnjsocl)','2022-12-07 10:15:53'),('server_port',2686,'2686 (mpnjsomg)','2022-12-07 10:15:47'),('server_port',2687,'2687 (pq-lic-mgmt)','2022-12-07 10:15:39'),('server_port',2688,'2688 (md-cg-http)','2022-12-07 10:15:47'),('server_port',2689,'2689 (fastlynx)','2022-12-07 10:15:32'),('server_port',2690,'2690 (hp-nnm-data)','2022-12-07 10:15:42'),('server_port',2691,'2691 (itinternet)','2022-12-07 10:15:49'),('server_port',2692,'2692 (admins-lms)','2022-12-07 10:15:43'),('server_port',2694,'2694 (pwrsevent)','2022-12-07 10:15:34'),('server_port',2695,'2695 (vspread)','2022-12-07 10:15:52'),('server_port',2696,'2696 (unifyadmin)','2022-12-07 10:15:42'),('server_port',2697,'2697 (oce-snmp-trap)','2022-12-07 10:15:49'),('server_port',2698,'2698 (mck-ivpip)','2022-12-07 10:15:30'),('server_port',2699,'2699 (csoft-plusclnt)','2022-12-07 10:15:49'),('server_port',2700,'2700 (tqdata)','2022-12-07 10:15:35'),('server_port',2701,'2701 (sms-rcinfo)','2022-12-07 10:15:41'),('server_port',2702,'2702 (sms-xfer)','2022-12-07 10:15:43'),('server_port',2703,'2703 (sms-chat)','2022-12-07 10:15:40'),('server_port',2704,'2704 (sms-remctrl)','2022-12-07 10:15:41'),('server_port',2705,'2705 (sds-admin)','2022-12-07 10:15:40'),('server_port',2706,'2706 (ncdmirroring)','2022-12-07 10:15:40'),('server_port',2707,'2707 (emcsymapiport)','2022-12-07 10:15:52'),('server_port',2708,'2708 (banyan-net)','2022-12-07 10:15:47'),('server_port',2709,'2709 (supermon)','2022-12-07 10:15:33'),('server_port',2710,'2710 (sso-service)','2022-12-07 10:15:46'),('server_port',2711,'2711 (sso-control)','2022-12-07 10:15:41'),('server_port',2712,'2712 (aocp)','2022-12-07 10:15:35'),('server_port',2713,'2713 (raventbs)','2022-12-07 10:15:41'),('server_port',2714,'2714 (raventdm)','2022-12-07 10:15:43'),('server_port',2715,'2715 (hpstgmgr2)','2022-12-07 10:15:41'),('server_port',2716,'2716 (inova-ip-disco)','2022-12-07 10:15:46'),('server_port',2717,'2717 (pn-requester)','2022-12-07 10:15:45'),('server_port',2718,'2718 (pn-requester2)','2022-12-07 10:15:50'),('server_port',2719,'2719 (scan-change)','2022-12-07 10:15:45'),('server_port',2720,'2720 (wkars)','2022-12-07 10:15:41'),('server_port',2721,'2721 (smart-diagnose)','2022-12-07 10:15:44'),('server_port',2722,'2722 (proactivesrvr)','2022-12-07 10:15:34'),('server_port',2723,'2723 (watchdog-nt)','2022-12-07 10:15:47'),('server_port',2724,'2724 (qotps)','2022-12-07 10:15:41'),('server_port',2725,'2725 (msolap-ptp2)','2022-12-07 10:15:53'),('server_port',2726,'2726 (tams)','2022-12-07 10:15:44'),('server_port',2727,'2727 (mgcp-callagent)','2022-12-07 10:15:35'),('server_port',2728,'2728 (sqdr)','2022-12-07 10:15:46'),('server_port',2729,'2729 (tcim-control)','2022-12-07 10:15:39'),('server_port',2730,'2730 (nec-raidplus)','2022-12-07 10:15:34'),('server_port',2731,'2731 (fyre-messanger)','2022-12-07 10:15:39'),('server_port',2732,'2732 (g5m)','2022-12-07 10:15:33'),('server_port',2733,'2733 (signet-ctf)','2022-12-07 10:15:30'),('server_port',2734,'2734 (ccs-software)','2022-12-07 10:15:45'),('server_port',2735,'2735 (netiq-mc)','2022-12-07 10:15:32'),('server_port',2736,'2736 (radwiz-nms-srv)','2022-12-07 10:15:40'),('server_port',2737,'2737 (srp-feedback)','2022-12-07 10:15:29'),('server_port',2738,'2738 (ndl-tcp-ois-gw)','2022-12-07 10:15:44'),('server_port',2739,'2739 (tn-timing)','2022-12-07 10:15:40'),('server_port',2740,'2740 (alarm)','2022-12-07 10:15:32'),('server_port',2741,'2741 (tsb)','2022-12-07 10:15:37'),('server_port',2742,'2742 (tsb2)','2022-12-07 10:15:38'),('server_port',2743,'2743 (murx)','2022-12-07 10:15:49'),('server_port',2744,'2744 (honyaku)','2022-12-07 10:15:31'),('server_port',2745,'2745 (urbisnet)','2022-12-07 10:15:31'),('server_port',2746,'2746 (cpudpencap)','2022-12-07 10:15:36'),('server_port',2747,'2747 (fjippol-swrly)','2022-12-07 10:15:52'),('server_port',2748,'2748 (fjippol-polsvr)','2022-12-07 10:15:44'),('server_port',2749,'2749 (fjippol-cnsl)','2022-12-07 10:15:45'),('server_port',2750,'2750 (fjippol-port1)','2022-12-07 10:15:35'),('server_port',2751,'2751 (fjippol-port2)','2022-12-07 10:15:32'),('server_port',2752,'2752 (rsisysaccess)','2022-12-07 10:15:36'),('server_port',2753,'2753 (de-spot)','2022-12-07 10:15:32'),('server_port',2754,'2754 (apollo-cc)','2022-12-07 10:15:44'),('server_port',2755,'2755 (expresspay)','2022-12-07 10:15:40'),('server_port',2756,'2756 (simplement-tie)','2022-12-07 10:15:41'),('server_port',2757,'2757 (cnrp)','2022-12-07 10:15:31'),('server_port',2758,'2758 (apollo-status)','2022-12-07 10:15:30'),('server_port',2759,'2759 (apollo-gms)','2022-12-07 10:15:40'),('server_port',2760,'2760 (sabams)','2022-12-07 10:15:34'),('server_port',2761,'2761 (dicom-iscl)','2022-12-07 10:15:38'),('server_port',2762,'2762 (dicom-tls)','2022-12-07 10:15:47'),('server_port',2763,'2763 (desktop-dna)','2022-12-07 10:15:41'),('server_port',2764,'2764 (data-insurance)','2022-12-07 10:15:49'),('server_port',2765,'2765 (qip-audup)','2022-12-07 10:15:33'),('server_port',2766,'2766 (compaq-scp)','2022-12-07 10:15:42'),('server_port',2767,'2767 (uadtc)','2022-12-07 10:15:32'),('server_port',2768,'2768 (uacs)','2022-12-07 10:15:39'),('server_port',2769,'2769 (exce)','2022-12-07 10:15:38'),('server_port',2770,'2770 (veronica)','2022-12-07 10:15:42'),('server_port',2771,'2771 (vergencecm)','2022-12-07 10:15:36'),('server_port',2772,'2772 (auris)','2022-12-07 10:15:32'),('server_port',2773,'2773 (rbakcup1)','2022-12-07 10:15:41'),('server_port',2774,'2774 (rbakcup2)','2022-12-07 10:15:33'),('server_port',2775,'2775 (smpp)','2022-12-07 10:15:30'),('server_port',2776,'2776 (ridgeway1)','2022-12-07 10:15:39'),('server_port',2777,'2777 (ridgeway2)','2022-12-07 10:15:31'),('server_port',2778,'2778 (gwen-sonya)','2022-12-07 10:15:52'),('server_port',2779,'2779 (lbc-sync)','2022-12-07 10:15:33'),('server_port',2780,'2780 (lbc-control)','2022-12-07 10:15:46'),('server_port',2781,'2781 (whosells)','2022-12-07 10:15:32'),('server_port',2782,'2782 (everydayrc)','2022-12-07 10:15:44'),('server_port',2783,'2783 (aises)','2022-12-07 10:15:37'),('server_port',2784,'2784 (www-dev)','2022-12-07 10:15:41'),('server_port',2785,'2785 (aic-np)','2022-12-07 10:15:53'),('server_port',2786,'2786 (aic-oncrpc)','2022-12-07 10:15:42'),('server_port',2787,'2787 (piccolo)','2022-12-07 10:15:43'),('server_port',2788,'2788 (fryeserv)','2022-12-07 10:15:45'),('server_port',2789,'2789 (media-agent)','2022-12-07 10:15:51'),('server_port',2790,'2790 (plgproxy)','2022-12-07 10:15:37'),('server_port',2791,'2791 (mtport-regist)','2022-12-07 10:15:31'),('server_port',2792,'2792 (f5-globalsite)','2022-12-07 10:15:46'),('server_port',2793,'2793 (initlsmsad)','2022-12-07 10:15:37'),('server_port',2795,'2795 (livestats)','2022-12-07 10:15:34'),('server_port',2796,'2796 (ac-tech)','2022-12-07 10:15:45'),('server_port',2797,'2797 (esp-encap)','2022-12-07 10:15:40'),('server_port',2798,'2798 (tmesis-upshot)','2022-12-07 10:15:35'),('server_port',2799,'2799 (icon-discover)','2022-12-07 10:15:43'),('server_port',2800,'2800 (acc-raid)','2022-12-07 10:15:48'),('server_port',2801,'2801 (igcp)','2022-12-07 10:15:48'),('server_port',2802,'2802 (veritas-tcp1)','2022-12-07 10:15:45'),('server_port',2803,'2803 (btprjctrl)','2022-12-07 10:15:49'),('server_port',2804,'2804 (dvr-esm)','2022-12-07 10:15:40'),('server_port',2805,'2805 (wta-wsp-s)','2022-12-07 10:15:53'),('server_port',2806,'2806 (cspuni)','2022-12-07 10:15:52'),('server_port',2807,'2807 (cspmulti)','2022-12-07 10:15:30'),('server_port',2808,'2808 (j-lan-p)','2022-12-07 10:15:42'),('server_port',2809,'2809 (corbaloc)','2022-12-07 10:15:32'),('server_port',2810,'2810 (netsteward)','2022-12-07 10:15:50'),('server_port',2811,'2811 (gsiftp)','2022-12-07 10:15:46'),('server_port',2812,'2812 (atmtcp)','2022-12-07 10:15:44'),('server_port',2813,'2813 (llm-pass)','2022-12-07 10:15:44'),('server_port',2814,'2814 (llm-csv)','2022-12-07 10:15:48'),('server_port',2815,'2815 (lbc-measure)','2022-12-07 10:15:52'),('server_port',2816,'2816 (lbc-watchdog)','2022-12-07 10:15:30'),('server_port',2817,'2817 (nmsigport)','2022-12-07 10:15:32'),('server_port',2818,'2818 (rmlnk)','2022-12-07 10:15:40'),('server_port',2819,'2819 (fc-faultnotify)','2022-12-07 10:15:47'),('server_port',2820,'2820 (univision)','2022-12-07 10:15:33'),('server_port',2821,'2821 (vrts-at-port)','2022-12-07 10:15:45'),('server_port',2822,'2822 (ka0wuc)','2022-12-07 10:15:37'),('server_port',2823,'2823 (cqg-netlan)','2022-12-07 10:15:44'),('server_port',2824,'2824 (cqg-netlan-1)','2022-12-07 10:15:40'),('server_port',2826,'2826 (slc-systemlog)','2022-12-07 10:15:31'),('server_port',2827,'2827 (slc-ctrlrloops)','2022-12-07 10:15:45'),('server_port',2828,'2828 (itm-lm)','2022-12-07 10:15:46'),('server_port',2829,'2829 (silkp1)','2022-12-07 10:15:31'),('server_port',2830,'2830 (silkp2)','2022-12-07 10:15:50'),('server_port',2831,'2831 (silkp3)','2022-12-07 10:15:53'),('server_port',2832,'2832 (silkp4)','2022-12-07 10:15:38'),('server_port',2833,'2833 (glishd)','2022-12-07 10:15:39'),('server_port',2834,'2834 (evtp)','2022-12-07 10:15:52'),('server_port',2835,'2835 (evtp-data)','2022-12-07 10:15:41'),('server_port',2836,'2836 (catalyst)','2022-12-07 10:15:41'),('server_port',2837,'2837 (repliweb)','2022-12-07 10:15:44'),('server_port',2838,'2838 (starbot)','2022-12-07 10:15:38'),('server_port',2839,'2839 (nmsigport)','2022-12-07 10:15:43'),('server_port',2840,'2840 (l3-exprt)','2022-12-07 10:15:47'),('server_port',2841,'2841 (l3-ranger)','2022-12-07 10:15:33'),('server_port',2842,'2842 (l3-hawk)','2022-12-07 10:15:40'),('server_port',2843,'2843 (pdnet)','2022-12-07 10:15:30'),('server_port',2844,'2844 (bpcp-poll)','2022-12-07 10:15:30'),('server_port',2845,'2845 (bpcp-trap)','2022-12-07 10:15:30'),('server_port',2846,'2846 (aimpp-hello)','2022-12-07 10:15:49'),('server_port',2847,'2847 (aimpp-port-req)','2022-12-07 10:15:49'),('server_port',2848,'2848 (amt-blc-port)','2022-12-07 10:15:42'),('server_port',2849,'2849 (fxp)','2022-12-07 10:15:40'),('server_port',2850,'2850 (metaconsole)','2022-12-07 10:15:37'),('server_port',2851,'2851 (webemshttp)','2022-12-07 10:15:44'),('server_port',2852,'2852 (bears-01)','2022-12-07 10:15:51'),('server_port',2853,'2853 (ispipes)','2022-12-07 10:15:46'),('server_port',2854,'2854 (infomover)','2022-12-07 10:15:40'),('server_port',2855,'2855 (msrp)','2022-12-07 10:15:47'),('server_port',2856,'2856 (cesdinv)','2022-12-07 10:15:39'),('server_port',2857,'2857 (simctlp)','2022-12-07 10:15:52'),('server_port',2858,'2858 (ecnp)','2022-12-07 10:15:42'),('server_port',2859,'2859 (activememory)','2022-12-07 10:15:47'),('server_port',2860,'2860 (dialpad-voice1)','2022-12-07 10:15:37'),('server_port',2861,'2861 (dialpad-voice2)','2022-12-07 10:15:41'),('server_port',2862,'2862 (ttg-protocol)','2022-12-07 10:15:36'),('server_port',2863,'2863 (sonardata)','2022-12-07 10:15:42'),('server_port',2864,'2864 (astromed-main)','2022-12-07 10:15:40'),('server_port',2865,'2865 (pit-vpn)','2022-12-07 10:15:31'),('server_port',2866,'2866 (iwlistener)','2022-12-07 10:15:44'),('server_port',2867,'2867 (esps-portal)','2022-12-07 10:15:37'),('server_port',2868,'2868 (npep-messaging)','2022-12-07 10:15:36'),('server_port',2869,'2869 (icslap)','2022-12-07 10:15:38'),('server_port',2870,'2870 (daishi)','2022-12-07 10:15:37'),('server_port',2871,'2871 (msi-selectplay)','2022-12-07 10:15:43'),('server_port',2872,'2872 (radix)','2022-12-07 10:15:48'),('server_port',2874,'2874 (dxmessagebase1)','2022-12-07 10:15:34'),('server_port',2875,'2875 (dxmessagebase2)','2022-12-07 10:15:41'),('server_port',2876,'2876 (sps-tunnel)','2022-12-07 10:15:32'),('server_port',2877,'2877 (bluelance)','2022-12-07 10:15:37'),('server_port',2878,'2878 (aap)','2022-12-07 10:15:49'),('server_port',2879,'2879 (ucentric-ds)','2022-12-07 10:15:33'),('server_port',2880,'2880 (synapse)','2022-12-07 10:15:30'),('server_port',2881,'2881 (ndsp)','2022-12-07 10:15:38'),('server_port',2882,'2882 (ndtp)','2022-12-07 10:15:40'),('server_port',2883,'2883 (ndnp)','2022-12-07 10:15:42'),('server_port',2884,'2884 (flashmsg)','2022-12-07 10:15:34'),('server_port',2885,'2885 (topflow)','2022-12-07 10:15:39'),('server_port',2886,'2886 (responselogic)','2022-12-07 10:15:33'),('server_port',2887,'2887 (aironetddp)','2022-12-07 10:15:36'),('server_port',2888,'2888 (spcsdlobby)','2022-12-07 10:15:31'),('server_port',2889,'2889 (rsom)','2022-12-07 10:15:45'),('server_port',2890,'2890 (cspclmulti)','2022-12-07 10:15:53'),('server_port',2891,'2891 (cinegrfx-elmd)','2022-12-07 10:15:52'),('server_port',2892,'2892 (snifferdata)','2022-12-07 10:15:34'),('server_port',2893,'2893 (vseconnector)','2022-12-07 10:15:32'),('server_port',2894,'2894 (abacus-remote)','2022-12-07 10:15:52'),('server_port',2895,'2895 (natuslink)','2022-12-07 10:15:44'),('server_port',2896,'2896 (ecovisiong6-1)','2022-12-07 10:15:45'),('server_port',2897,'2897 (citrix-rtmp)','2022-12-07 10:15:50'),('server_port',2898,'2898 (appliance-cfg)','2022-12-07 10:15:30'),('server_port',2899,'2899 (powergemplus)','2022-12-07 10:15:34'),('server_port',2900,'2900 (quicksuite)','2022-12-07 10:15:30'),('server_port',2901,'2901 (allstorcns)','2022-12-07 10:15:42'),('server_port',2902,'2902 (netaspi)','2022-12-07 10:15:46'),('server_port',2903,'2903 (suitcase)','2022-12-07 10:15:52'),('server_port',2904,'2904 (m2ua)','2022-12-07 10:15:35'),('server_port',2905,'2905 (m3ua)','2022-12-07 10:15:32'),('server_port',2906,'2906 (caller9)','2022-12-07 10:15:43'),('server_port',2907,'2907 (webmethods-b2b)','2022-12-07 10:15:47'),('server_port',2908,'2908 (mao)','2022-12-07 10:15:45'),('server_port',2909,'2909 (funk-dialout)','2022-12-07 10:15:53'),('server_port',2910,'2910 (tdaccess)','2022-12-07 10:15:46'),('server_port',2911,'2911 (blockade)','2022-12-07 10:15:32'),('server_port',2912,'2912 (epicon)','2022-12-07 10:15:46'),('server_port',2913,'2913 (boosterware)','2022-12-07 10:15:47'),('server_port',2914,'2914 (gamelobby)','2022-12-07 10:15:40'),('server_port',2915,'2915 (tksocket)','2022-12-07 10:15:44'),('server_port',2916,'2916 (elvin-server)','2022-12-07 10:15:43'),('server_port',2917,'2917 (elvin-client)','2022-12-07 10:15:45'),('server_port',2918,'2918 (kastenchasepad)','2022-12-07 10:15:40'),('server_port',2919,'2919 (roboer)','2022-12-07 10:15:41'),('server_port',2920,'2920 (roboeda)','2022-12-07 10:15:31'),('server_port',2921,'2921 (cesdcdman)','2022-12-07 10:15:37'),('server_port',2922,'2922 (cesdcdtrn)','2022-12-07 10:15:33'),('server_port',2923,'2923 (wta-wsp-wtp-s)','2022-12-07 10:15:44'),('server_port',2924,'2924 (precise-vip)','2022-12-07 10:15:30'),('server_port',2926,'2926 (mobile-file-dl)','2022-12-07 10:15:36'),('server_port',2927,'2927 (unimobilectrl)','2022-12-07 10:15:31'),('server_port',2928,'2928 (redstone-cpss)','2022-12-07 10:15:47'),('server_port',2929,'2929 (amx-webadmin)','2022-12-07 10:15:44'),('server_port',2930,'2930 (amx-weblinx)','2022-12-07 10:15:38'),('server_port',2931,'2931 (circle-x)','2022-12-07 10:15:30'),('server_port',2932,'2932 (incp)','2022-12-07 10:15:50'),('server_port',2933,'2933 (4-tieropmgw)','2022-12-07 10:15:30'),('server_port',2934,'2934 (4-tieropmcli)','2022-12-07 10:15:36'),('server_port',2935,'2935 (qtp)','2022-12-07 10:15:44'),('server_port',2936,'2936 (otpatch)','2022-12-07 10:15:45'),('server_port',2937,'2937 (pnaconsult-lm)','2022-12-07 10:15:32'),('server_port',2938,'2938 (sm-pas-1)','2022-12-07 10:15:30'),('server_port',2939,'2939 (sm-pas-2)','2022-12-07 10:15:45'),('server_port',2940,'2940 (sm-pas-3)','2022-12-07 10:15:49'),('server_port',2941,'2941 (sm-pas-4)','2022-12-07 10:15:47'),('server_port',2942,'2942 (sm-pas-5)','2022-12-07 10:15:48'),('server_port',2943,'2943 (ttnrepository)','2022-12-07 10:15:33'),('server_port',2944,'2944 (megaco-h248)','2022-12-07 10:15:42'),('server_port',2945,'2945 (h248-binary)','2022-12-07 10:15:51'),('server_port',2946,'2946 (fjsvmpor)','2022-12-07 10:15:38'),('server_port',2947,'2947 (gpsd)','2022-12-07 10:15:45'),('server_port',2948,'2948 (wap-push)','2022-12-07 10:15:34'),('server_port',2949,'2949 (wap-pushsecure)','2022-12-07 10:15:30'),('server_port',2950,'2950 (esip)','2022-12-07 10:15:33'),('server_port',2951,'2951 (ottp)','2022-12-07 10:15:38'),('server_port',2952,'2952 (mpfwsas)','2022-12-07 10:15:40'),('server_port',2953,'2953 (ovalarmsrv)','2022-12-07 10:15:38'),('server_port',2954,'2954 (ovalarmsrv-cmd)','2022-12-07 10:15:40'),('server_port',2955,'2955 (csnotify)','2022-12-07 10:15:49'),('server_port',2956,'2956 (ovrimosdbman)','2022-12-07 10:15:47'),('server_port',2957,'2957 (jmact5)','2022-12-07 10:15:41'),('server_port',2958,'2958 (jmact6)','2022-12-07 10:15:33'),('server_port',2959,'2959 (rmopagt)','2022-12-07 10:15:52'),('server_port',2960,'2960 (dfoxserver)','2022-12-07 10:15:40'),('server_port',2961,'2961 (boldsoft-lm)','2022-12-07 10:15:44'),('server_port',2962,'2962 (iph-policy-cli)','2022-12-07 10:15:49'),('server_port',2963,'2963 (iph-policy-adm)','2022-12-07 10:15:48'),('server_port',2964,'2964 (bullant-srap)','2022-12-07 10:15:48'),('server_port',2965,'2965 (bullant-rap)','2022-12-07 10:15:39'),('server_port',2966,'2966 (idp-infotrieve)','2022-12-07 10:15:52'),('server_port',2967,'2967 (ssc-agent)','2022-12-07 10:15:45'),('server_port',2968,'2968 (enpp)','2022-12-07 10:15:34'),('server_port',2969,'2969 (essp)','2022-12-07 10:15:35'),('server_port',2970,'2970 (index-net)','2022-12-07 10:15:43'),('server_port',2971,'2971 (netclip)','2022-12-07 10:15:45'),('server_port',2972,'2972 (pmsm-webrctl)','2022-12-07 10:15:49'),('server_port',2973,'2973 (svnetworks)','2022-12-07 10:15:50'),('server_port',2974,'2974 (signal)','2022-12-07 10:15:44'),('server_port',2975,'2975 (fjmpcm)','2022-12-07 10:15:41'),('server_port',2976,'2976 (cns-srv-port)','2022-12-07 10:15:49'),('server_port',2977,'2977 (ttc-etap-ns)','2022-12-07 10:15:50'),('server_port',2978,'2978 (ttc-etap-ds)','2022-12-07 10:15:30'),('server_port',2979,'2979 (h263-video)','2022-12-07 10:15:51'),('server_port',2980,'2980 (wimd)','2022-12-07 10:15:42'),('server_port',2981,'2981 (mylxamport)','2022-12-07 10:15:40'),('server_port',2982,'2982 (iwb-whiteboard)','2022-12-07 10:15:50'),('server_port',2983,'2983 (netplan)','2022-12-07 10:15:36'),('server_port',2984,'2984 (hpidsadmin)','2022-12-07 10:15:46'),('server_port',2985,'2985 (hpidsagent)','2022-12-07 10:15:36'),('server_port',2986,'2986 (stonefalls)','2022-12-07 10:15:33'),('server_port',2987,'2987 (identify)','2022-12-07 10:15:42'),('server_port',2988,'2988 (hippad)','2022-12-07 10:15:42'),('server_port',2989,'2989 (zarkov)','2022-12-07 10:15:35'),('server_port',2990,'2990 (boscap)','2022-12-07 10:15:36'),('server_port',2991,'2991 (wkstn-mon)','2022-12-07 10:15:43'),('server_port',2992,'2992 (avenyo)','2022-12-07 10:15:37'),('server_port',2993,'2993 (veritas-vis1)','2022-12-07 10:15:44'),('server_port',2994,'2994 (veritas-vis2)','2022-12-07 10:15:42'),('server_port',2995,'2995 (idrs)','2022-12-07 10:15:39'),('server_port',2996,'2996 (vsixml)','2022-12-07 10:15:51'),('server_port',2997,'2997 (rebol)','2022-12-07 10:15:38'),('server_port',2998,'2998 (realsecure)','2022-12-07 10:15:37'),('server_port',2999,'2999 (remoteware-un)','2022-12-07 10:15:39'),('server_port',3000,'3000 (remoteware-cl)','2022-12-07 10:15:48'),('server_port',3001,'3001 (origo-native)','2022-12-07 10:15:47'),('server_port',3002,'3002 (exlm-agent)','2022-12-07 10:15:30'),('server_port',3003,'3003 (cgms)','2022-12-07 10:15:36'),('server_port',3004,'3004 (csoftragent)','2022-12-07 10:15:36'),('server_port',3005,'3005 (geniuslm)','2022-12-07 10:15:51'),('server_port',3006,'3006 (ii-admin)','2022-12-07 10:15:32'),('server_port',3007,'3007 (lotusmtap)','2022-12-07 10:15:51'),('server_port',3008,'3008 (midnight-tech)','2022-12-07 10:15:31'),('server_port',3009,'3009 (pxc-ntfy)','2022-12-07 10:15:40'),('server_port',3010,'3010 (gw)','2022-12-07 10:15:52'),('server_port',3011,'3011 (trusted-web)','2022-12-07 10:15:51'),('server_port',3012,'3012 (twsdss)','2022-12-07 10:15:35'),('server_port',3013,'3013 (gilatskysurfer)','2022-12-07 10:15:47'),('server_port',3014,'3014 (broker-service)','2022-12-07 10:15:52'),('server_port',3015,'3015 (nati-dstp)','2022-12-07 10:15:31'),('server_port',3016,'3016 (notify-srvr)','2022-12-07 10:15:30'),('server_port',3017,'3017 (event-listener)','2022-12-07 10:15:39'),('server_port',3018,'3018 (srvc-registry)','2022-12-07 10:15:46'),('server_port',3019,'3019 (resource-mgr)','2022-12-07 10:15:47'),('server_port',3020,'3020 (cifs)','2022-12-07 10:15:44'),('server_port',3021,'3021 (agriserver)','2022-12-07 10:15:38'),('server_port',3022,'3022 (csregagent)','2022-12-07 10:15:35'),('server_port',3023,'3023 (magicnotes)','2022-12-07 10:15:39'),('server_port',3024,'3024 (nds-sso)','2022-12-07 10:15:40'),('server_port',3025,'3025 (arepa-raft)','2022-12-07 10:15:33'),('server_port',3026,'3026 (agri-gateway)','2022-12-07 10:15:47'),('server_port',3027,'3027 (LiebDevMgmt-C)','2022-12-07 10:15:40'),('server_port',3028,'3028 (LiebDevMgmt-DM)','2022-12-07 10:15:41'),('server_port',3029,'3029 (LiebDevMgmt-A)','2022-12-07 10:15:38'),('server_port',3030,'3030 (arepa-cas)','2022-12-07 10:15:45'),('server_port',3031,'3031 (eppc)','2022-12-07 10:15:30'),('server_port',3032,'3032 (redwood-chat)','2022-12-07 10:15:43'),('server_port',3033,'3033 (pdb)','2022-12-07 10:15:44'),('server_port',3034,'3034 (osmosis-aeea)','2022-12-07 10:15:50'),('server_port',3035,'3035 (fjsv-gssagt)','2022-12-07 10:15:44'),('server_port',3036,'3036 (hagel-dump)','2022-12-07 10:15:43'),('server_port',3037,'3037 (hp-san-mgmt)','2022-12-07 10:15:39'),('server_port',3038,'3038 (santak-ups)','2022-12-07 10:15:47'),('server_port',3039,'3039 (cogitate)','2022-12-07 10:15:46'),('server_port',3040,'3040 (tomato-springs)','2022-12-07 10:15:38'),('server_port',3041,'3041 (di-traceware)','2022-12-07 10:15:46'),('server_port',3042,'3042 (journee)','2022-12-07 10:15:42'),('server_port',3043,'3043 (brp)','2022-12-07 10:15:30'),('server_port',3044,'3044 (epp)','2022-12-07 10:15:36'),('server_port',3045,'3045 (responsenet)','2022-12-07 10:15:50'),('server_port',3046,'3046 (di-ase)','2022-12-07 10:15:44'),('server_port',3047,'3047 (hlserver)','2022-12-07 10:15:38'),('server_port',3048,'3048 (pctrader)','2022-12-07 10:15:50'),('server_port',3049,'3049 (nsws)','2022-12-07 10:15:41'),('server_port',3050,'3050 (gds-db)','2022-12-07 10:15:34'),('server_port',3051,'3051 (galaxy-server)','2022-12-07 10:15:31'),('server_port',3052,'3052 (apc-3052)','2022-12-07 10:15:37'),('server_port',3053,'3053 (dsom-server)','2022-12-07 10:15:41'),('server_port',3054,'3054 (amt-cnf-prot)','2022-12-07 10:15:49'),('server_port',3055,'3055 (policyserver)','2022-12-07 10:15:40'),('server_port',3056,'3056 (cdl-server)','2022-12-07 10:15:33'),('server_port',3057,'3057 (goahead-fldup)','2022-12-07 10:15:45'),('server_port',3058,'3058 (videobeans)','2022-12-07 10:15:45'),('server_port',3059,'3059 (qsoft)','2022-12-07 10:15:35'),('server_port',3060,'3060 (interserver)','2022-12-07 10:15:37'),('server_port',3061,'3061 (cautcpd)','2022-12-07 10:15:51'),('server_port',3062,'3062 (ncacn-ip-tcp)','2022-12-07 10:15:53'),('server_port',3063,'3063 (ncadg-ip-udp)','2022-12-07 10:15:48'),('server_port',3064,'3064 (rprt)','2022-12-07 10:15:47'),('server_port',3065,'3065 (slinterbase)','2022-12-07 10:15:33'),('server_port',3066,'3066 (netattachsdmp)','2022-12-07 10:15:46'),('server_port',3067,'3067 (fjhpjp)','2022-12-07 10:15:32'),('server_port',3068,'3068 (ls3bcast)','2022-12-07 10:15:30'),('server_port',3069,'3069 (ls3)','2022-12-07 10:15:47'),('server_port',3070,'3070 (mgxswitch)','2022-12-07 10:15:44'),('server_port',3071,'3071 (xplat-replicate)','2022-12-07 10:15:52'),('server_port',3072,'3072 (csd-monitor)','2022-12-07 10:15:43'),('server_port',3073,'3073 (vcrp)','2022-12-07 10:15:38'),('server_port',3074,'3074 (xbox)','2022-12-07 10:15:51'),('server_port',3075,'3075 (orbix-locator)','2022-12-07 10:15:46'),('server_port',3076,'3076 (orbix-config)','2022-12-07 10:15:52'),('server_port',3077,'3077 (orbix-loc-ssl)','2022-12-07 10:15:35'),('server_port',3078,'3078 (orbix-cfg-ssl)','2022-12-07 10:15:45'),('server_port',3079,'3079 (lv-frontpanel)','2022-12-07 10:15:32'),('server_port',3080,'3080 (stm-pproc)','2022-12-07 10:15:47'),('server_port',3081,'3081 (tl1-lv)','2022-12-07 10:15:39'),('server_port',3082,'3082 (tl1-raw)','2022-12-07 10:15:43'),('server_port',3083,'3083 (tl1-telnet)','2022-12-07 10:15:46'),('server_port',3084,'3084 (itm-mccs)','2022-12-07 10:15:41'),('server_port',3085,'3085 (pcihreq)','2022-12-07 10:15:48'),('server_port',3086,'3086 (jdl-dbkitchen)','2022-12-07 10:15:39'),('server_port',3087,'3087 (asoki-sma)','2022-12-07 10:15:43'),('server_port',3088,'3088 (xdtp)','2022-12-07 10:15:45'),('server_port',3089,'3089 (ptk-alink)','2022-12-07 10:15:46'),('server_port',3090,'3090 (stss)','2022-12-07 10:15:50'),('server_port',3091,'3091 (1ci-smcs)','2022-12-07 10:15:38'),('server_port',3093,'3093 (rapidmq-center)','2022-12-07 10:15:34'),('server_port',3094,'3094 (rapidmq-reg)','2022-12-07 10:15:32'),('server_port',3095,'3095 (panasas)','2022-12-07 10:15:47'),('server_port',3096,'3096 (ndl-aps)','2022-12-07 10:15:37'),('server_port',3098,'3098 (umm-port)','2022-12-07 10:15:29'),('server_port',3099,'3099 (chmd)','2022-12-07 10:15:49'),('server_port',3100,'3100 (opcon-xps)','2022-12-07 10:15:53'),('server_port',3101,'3101 (hp-pxpib)','2022-12-07 10:15:45'),('server_port',3102,'3102 (slslavemon)','2022-12-07 10:15:36'),('server_port',3103,'3103 (autocuesmi)','2022-12-07 10:15:40'),('server_port',3104,'3104 (autocuelog)','2022-12-07 10:15:36'),('server_port',3105,'3105 (cardbox)','2022-12-07 10:15:33'),('server_port',3106,'3106 (cardbox-http)','2022-12-07 10:15:42'),('server_port',3107,'3107 (business)','2022-12-07 10:15:48'),('server_port',3108,'3108 (geolocate)','2022-12-07 10:15:30'),('server_port',3109,'3109 (personnel)','2022-12-07 10:15:51'),('server_port',3110,'3110 (sim-control)','2022-12-07 10:15:36'),('server_port',3111,'3111 (wsynch)','2022-12-07 10:15:52'),('server_port',3112,'3112 (ksysguard)','2022-12-07 10:15:39'),('server_port',3113,'3113 (cs-auth-svr)','2022-12-07 10:15:44'),('server_port',3114,'3114 (ccmad)','2022-12-07 10:15:52'),('server_port',3115,'3115 (mctet-master)','2022-12-07 10:15:41'),('server_port',3116,'3116 (mctet-gateway)','2022-12-07 10:15:38'),('server_port',3117,'3117 (mctet-jserv)','2022-12-07 10:15:35'),('server_port',3118,'3118 (pkagent)','2022-12-07 10:15:32'),('server_port',3119,'3119 (d2000kernel)','2022-12-07 10:15:51'),('server_port',3120,'3120 (d2000webserver)','2022-12-07 10:15:30'),('server_port',3121,'3121 (pcmk-remote)','2022-12-07 10:15:35'),('server_port',3122,'3122 (vtr-emulator)','2022-12-07 10:15:38'),('server_port',3123,'3123 (edix)','2022-12-07 10:15:43'),('server_port',3124,'3124 (beacon-port)','2022-12-07 10:15:53'),('server_port',3125,'3125 (a13-an)','2022-12-07 10:15:41'),('server_port',3127,'3127 (ctx-bridge)','2022-12-07 10:15:42'),('server_port',3128,'3128 (ndl-aas)','2022-12-07 10:15:45'),('server_port',3129,'3129 (netport-id)','2022-12-07 10:15:52'),('server_port',3130,'3130 (icpv2)','2022-12-07 10:15:43'),('server_port',3131,'3131 (netbookmark)','2022-12-07 10:15:36'),('server_port',3132,'3132 (ms-rule-engine)','2022-12-07 10:15:45'),('server_port',3133,'3133 (prism-deploy)','2022-12-07 10:15:50'),('server_port',3134,'3134 (ecp)','2022-12-07 10:15:40'),('server_port',3135,'3135 (peerbook-port)','2022-12-07 10:15:35'),('server_port',3136,'3136 (grubd)','2022-12-07 10:15:45'),('server_port',3137,'3137 (rtnt-1)','2022-12-07 10:15:40'),('server_port',3138,'3138 (rtnt-2)','2022-12-07 10:15:44'),('server_port',3139,'3139 (incognitorv)','2022-12-07 10:15:30'),('server_port',3140,'3140 (ariliamulti)','2022-12-07 10:15:49'),('server_port',3141,'3141 (vmodem)','2022-12-07 10:15:44'),('server_port',3142,'3142 (rdc-wh-eos)','2022-12-07 10:15:43'),('server_port',3143,'3143 (seaview)','2022-12-07 10:15:36'),('server_port',3144,'3144 (tarantella)','2022-12-07 10:15:40'),('server_port',3145,'3145 (csi-lfap)','2022-12-07 10:15:40'),('server_port',3146,'3146 (bears-02)','2022-12-07 10:15:36'),('server_port',3147,'3147 (rfio)','2022-12-07 10:15:47'),('server_port',3148,'3148 (nm-game-admin)','2022-12-07 10:15:46'),('server_port',3149,'3149 (nm-game-server)','2022-12-07 10:15:31'),('server_port',3150,'3150 (nm-asses-admin)','2022-12-07 10:15:53'),('server_port',3151,'3151 (nm-assessor)','2022-12-07 10:15:44'),('server_port',3152,'3152 (feitianrockey)','2022-12-07 10:15:51'),('server_port',3153,'3153 (s8-client-port)','2022-12-07 10:15:45'),('server_port',3154,'3154 (ccmrmi)','2022-12-07 10:15:44'),('server_port',3155,'3155 (jpegmpeg)','2022-12-07 10:15:40'),('server_port',3156,'3156 (indura)','2022-12-07 10:15:46'),('server_port',3157,'3157 (e3consultants)','2022-12-07 10:15:52'),('server_port',3158,'3158 (stvp)','2022-12-07 10:15:48'),('server_port',3159,'3159 (navegaweb-port)','2022-12-07 10:15:47'),('server_port',3160,'3160 (tip-app-server)','2022-12-07 10:15:42'),('server_port',3161,'3161 (doc1lm)','2022-12-07 10:15:34'),('server_port',3162,'3162 (sflm)','2022-12-07 10:15:38'),('server_port',3163,'3163 (res-sap)','2022-12-07 10:15:46'),('server_port',3164,'3164 (imprs)','2022-12-07 10:15:30'),('server_port',3165,'3165 (newgenpay)','2022-12-07 10:15:34'),('server_port',3166,'3166 (sossecollector)','2022-12-07 10:15:51'),('server_port',3167,'3167 (nowcontact)','2022-12-07 10:15:52'),('server_port',3168,'3168 (poweronnud)','2022-12-07 10:15:38'),('server_port',3169,'3169 (serverview-as)','2022-12-07 10:15:46'),('server_port',3170,'3170 (serverview-asn)','2022-12-07 10:15:34'),('server_port',3171,'3171 (serverview-gf)','2022-12-07 10:15:52'),('server_port',3172,'3172 (serverview-rm)','2022-12-07 10:15:34'),('server_port',3173,'3173 (serverview-icc)','2022-12-07 10:15:47'),('server_port',3174,'3174 (armi-server)','2022-12-07 10:15:30'),('server_port',3175,'3175 (t1-e1-over-ip)','2022-12-07 10:15:40'),('server_port',3176,'3176 (ars-master)','2022-12-07 10:15:39'),('server_port',3177,'3177 (phonex-port)','2022-12-07 10:15:40'),('server_port',3178,'3178 (radclientport)','2022-12-07 10:15:34'),('server_port',3179,'3179 (h2gf-w-2m)','2022-12-07 10:15:37'),('server_port',3180,'3180 (mc-brk-srv)','2022-12-07 10:15:44'),('server_port',3181,'3181 (bmcpatrolagent)','2022-12-07 10:15:29'),('server_port',3182,'3182 (bmcpatrolrnvu)','2022-12-07 10:15:51'),('server_port',3183,'3183 (cops-tls)','2022-12-07 10:15:33'),('server_port',3184,'3184 (apogeex-port)','2022-12-07 10:15:42'),('server_port',3185,'3185 (smpppd)','2022-12-07 10:15:50'),('server_port',3186,'3186 (iiw-port)','2022-12-07 10:15:31'),('server_port',3187,'3187 (odi-port)','2022-12-07 10:15:48'),('server_port',3188,'3188 (brcm-comm-port)','2022-12-07 10:15:36'),('server_port',3189,'3189 (pcle-infex)','2022-12-07 10:15:50'),('server_port',3190,'3190 (csvr-proxy)','2022-12-07 10:15:41'),('server_port',3191,'3191 (csvr-sslproxy)','2022-12-07 10:15:39'),('server_port',3192,'3192 (firemonrcc)','2022-12-07 10:15:43'),('server_port',3193,'3193 (spandataport)','2022-12-07 10:15:40'),('server_port',3194,'3194 (magbind)','2022-12-07 10:15:34'),('server_port',3195,'3195 (ncu-1)','2022-12-07 10:15:43'),('server_port',3196,'3196 (ncu-2)','2022-12-07 10:15:48'),('server_port',3197,'3197 (embrace-dp-s)','2022-12-07 10:15:40'),('server_port',3198,'3198 (embrace-dp-c)','2022-12-07 10:15:31'),('server_port',3199,'3199 (dmod-workspace)','2022-12-07 10:15:38'),('server_port',3200,'3200 (tick-port)','2022-12-07 10:15:51'),('server_port',3201,'3201 (cpq-tasksmart)','2022-12-07 10:15:50'),('server_port',3202,'3202 (intraintra)','2022-12-07 10:15:49'),('server_port',3203,'3203 (netwatcher-mon)','2022-12-07 10:15:53'),('server_port',3204,'3204 (netwatcher-db)','2022-12-07 10:15:30'),('server_port',3205,'3205 (isns)','2022-12-07 10:15:43'),('server_port',3206,'3206 (ironmail)','2022-12-07 10:15:34'),('server_port',3207,'3207 (vx-auth-port)','2022-12-07 10:15:50'),('server_port',3208,'3208 (pfu-prcallback)','2022-12-07 10:15:46'),('server_port',3209,'3209 (netwkpathengine)','2022-12-07 10:15:33'),('server_port',3210,'3210 (flamenco-proxy)','2022-12-07 10:15:50'),('server_port',3211,'3211 (avsecuremgmt)','2022-12-07 10:15:48'),('server_port',3212,'3212 (surveyinst)','2022-12-07 10:15:29'),('server_port',3213,'3213 (neon24x7)','2022-12-07 10:15:46'),('server_port',3214,'3214 (jmq-daemon-1)','2022-12-07 10:15:49'),('server_port',3215,'3215 (jmq-daemon-2)','2022-12-07 10:15:43'),('server_port',3216,'3216 (ferrari-foam)','2022-12-07 10:15:43'),('server_port',3217,'3217 (unite)','2022-12-07 10:15:44'),('server_port',3218,'3218 (smartpackets)','2022-12-07 10:15:44'),('server_port',3219,'3219 (wms-messenger)','2022-12-07 10:15:49'),('server_port',3220,'3220 (xnm-ssl)','2022-12-07 10:15:39'),('server_port',3221,'3221 (xnm-clear-text)','2022-12-07 10:15:39'),('server_port',3222,'3222 (glbp)','2022-12-07 10:15:40'),('server_port',3223,'3223 (digivote)','2022-12-07 10:15:38'),('server_port',3224,'3224 (aes-discovery)','2022-12-07 10:15:33'),('server_port',3225,'3225 (fcip-port)','2022-12-07 10:15:43'),('server_port',3226,'3226 (isi-irp)','2022-12-07 10:15:40'),('server_port',3227,'3227 (dwnmshttp)','2022-12-07 10:15:51'),('server_port',3228,'3228 (dwmsgserver)','2022-12-07 10:15:30'),('server_port',3229,'3229 (global-cd-port)','2022-12-07 10:15:48'),('server_port',3230,'3230 (sftdst-port)','2022-12-07 10:15:41'),('server_port',3231,'3231 (vidigo)','2022-12-07 10:15:32'),('server_port',3232,'3232 (mdtp)','2022-12-07 10:15:51'),('server_port',3233,'3233 (whisker)','2022-12-07 10:15:48'),('server_port',3234,'3234 (alchemy)','2022-12-07 10:15:41'),('server_port',3235,'3235 (mdap-port)','2022-12-07 10:15:36'),('server_port',3236,'3236 (apparenet-ts)','2022-12-07 10:15:32'),('server_port',3237,'3237 (apparenet-tps)','2022-12-07 10:15:39'),('server_port',3238,'3238 (apparenet-as)','2022-12-07 10:15:49'),('server_port',3239,'3239 (apparenet-ui)','2022-12-07 10:15:36'),('server_port',3240,'3240 (triomotion)','2022-12-07 10:15:34'),('server_port',3241,'3241 (sysorb)','2022-12-07 10:15:43'),('server_port',3242,'3242 (sdp-id-port)','2022-12-07 10:15:49'),('server_port',3243,'3243 (timelot)','2022-12-07 10:15:38'),('server_port',3244,'3244 (onesaf)','2022-12-07 10:15:32'),('server_port',3245,'3245 (vieo-fe)','2022-12-07 10:15:34'),('server_port',3246,'3246 (dvt-system)','2022-12-07 10:15:43'),('server_port',3247,'3247 (dvt-data)','2022-12-07 10:15:30'),('server_port',3248,'3248 (procos-lm)','2022-12-07 10:15:35'),('server_port',3249,'3249 (ssp)','2022-12-07 10:15:47'),('server_port',3250,'3250 (hicp)','2022-12-07 10:15:30'),('server_port',3251,'3251 (sysscanner)','2022-12-07 10:15:44'),('server_port',3252,'3252 (dhe)','2022-12-07 10:15:40'),('server_port',3253,'3253 (pda-data)','2022-12-07 10:15:32'),('server_port',3254,'3254 (pda-sys)','2022-12-07 10:15:30'),('server_port',3255,'3255 (semaphore)','2022-12-07 10:15:39'),('server_port',3256,'3256 (cpqrpm-agent)','2022-12-07 10:15:44'),('server_port',3257,'3257 (cpqrpm-server)','2022-12-07 10:15:51'),('server_port',3258,'3258 (ivecon-port)','2022-12-07 10:15:38'),('server_port',3259,'3259 (epncdp2)','2022-12-07 10:15:51'),('server_port',3260,'3260 (iscsi-target)','2022-12-07 10:15:49'),('server_port',3261,'3261 (winshadow)','2022-12-07 10:15:46'),('server_port',3262,'3262 (necp)','2022-12-07 10:15:42'),('server_port',3263,'3263 (ecolor-imager)','2022-12-07 10:15:32'),('server_port',3264,'3264 (ccmail)','2022-12-07 10:15:45'),('server_port',3265,'3265 (altav-tunnel)','2022-12-07 10:15:34'),('server_port',3266,'3266 (ns-cfg-server)','2022-12-07 10:15:49'),('server_port',3267,'3267 (ibm-dial-out)','2022-12-07 10:15:33'),('server_port',3268,'3268 (msft-gc)','2022-12-07 10:15:38'),('server_port',3269,'3269 (msft-gc-ssl)','2022-12-07 10:15:47'),('server_port',3270,'3270 (verismart)','2022-12-07 10:15:29'),('server_port',3271,'3271 (csoft-prev)','2022-12-07 10:15:39'),('server_port',3272,'3272 (user-manager)','2022-12-07 10:15:46'),('server_port',3273,'3273 (sxmp)','2022-12-07 10:15:32'),('server_port',3274,'3274 (ordinox-server)','2022-12-07 10:15:38'),('server_port',3275,'3275 (samd)','2022-12-07 10:15:48'),('server_port',3276,'3276 (maxim-asics)','2022-12-07 10:15:43'),('server_port',3277,'3277 (awg-proxy)','2022-12-07 10:15:32'),('server_port',3278,'3278 (lkcmserver)','2022-12-07 10:15:46'),('server_port',3279,'3279 (admind)','2022-12-07 10:15:37'),('server_port',3280,'3280 (vs-server)','2022-12-07 10:15:31'),('server_port',3281,'3281 (sysopt)','2022-12-07 10:15:29'),('server_port',3282,'3282 (datusorb)','2022-12-07 10:15:43'),('server_port',3283,'3283 (Apple)','2022-12-07 10:15:36'),('server_port',3284,'3284 (4talk)','2022-12-07 10:15:38'),('server_port',3285,'3285 (plato)','2022-12-07 10:15:39'),('server_port',3286,'3286 (e-net)','2022-12-07 10:15:38'),('server_port',3287,'3287 (directvdata)','2022-12-07 10:15:51'),('server_port',3288,'3288 (cops)','2022-12-07 10:15:32'),('server_port',3289,'3289 (enpc)','2022-12-07 10:15:40'),('server_port',3290,'3290 (caps-lm)','2022-12-07 10:15:48'),('server_port',3291,'3291 (sah-lm)','2022-12-07 10:15:51'),('server_port',3292,'3292 (cart-o-rama)','2022-12-07 10:15:41'),('server_port',3293,'3293 (fg-fps)','2022-12-07 10:15:52'),('server_port',3294,'3294 (fg-gip)','2022-12-07 10:15:49'),('server_port',3295,'3295 (dyniplookup)','2022-12-07 10:15:41'),('server_port',3296,'3296 (rib-slm)','2022-12-07 10:15:44'),('server_port',3297,'3297 (cytel-lm)','2022-12-07 10:15:39'),('server_port',3298,'3298 (deskview)','2022-12-07 10:15:42'),('server_port',3299,'3299 (pdrncs)','2022-12-07 10:15:43'),('server_port',3300,'3300 (ceph)','2022-12-07 10:15:41'),('server_port',3302,'3302 (mcs-fastmail)','2022-12-07 10:15:38'),('server_port',3303,'3303 (opsession-clnt)','2022-12-07 10:15:43'),('server_port',3304,'3304 (opsession-srvr)','2022-12-07 10:15:31'),('server_port',3305,'3305 (odette-ftp)','2022-12-07 10:15:36'),('server_port',3306,'3306 (mysql)','2022-12-07 10:15:33'),('server_port',3307,'3307 (opsession-prxy)','2022-12-07 10:15:44'),('server_port',3308,'3308 (tns-server)','2022-12-07 10:15:49'),('server_port',3309,'3309 (tns-adv)','2022-12-07 10:15:32'),('server_port',3310,'3310 (dyna-access)','2022-12-07 10:15:50'),('server_port',3311,'3311 (mcns-tel-ret)','2022-12-07 10:15:41'),('server_port',3312,'3312 (appman-server)','2022-12-07 10:15:33'),('server_port',3313,'3313 (uorb)','2022-12-07 10:15:48'),('server_port',3314,'3314 (uohost)','2022-12-07 10:15:31'),('server_port',3315,'3315 (cdid)','2022-12-07 10:15:45'),('server_port',3316,'3316 (aicc-cmi)','2022-12-07 10:15:31'),('server_port',3317,'3317 (vsaiport)','2022-12-07 10:15:44'),('server_port',3318,'3318 (ssrip)','2022-12-07 10:15:46'),('server_port',3319,'3319 (sdt-lmd)','2022-12-07 10:15:48'),('server_port',3320,'3320 (officelink2000)','2022-12-07 10:15:51'),('server_port',3321,'3321 (vnsstr)','2022-12-07 10:15:31'),('server_port',3326,'3326 (sftu)','2022-12-07 10:15:44'),('server_port',3327,'3327 (bbars)','2022-12-07 10:15:50'),('server_port',3328,'3328 (egptlm)','2022-12-07 10:15:51'),('server_port',3329,'3329 (hp-device-disc)','2022-12-07 10:15:33'),('server_port',3330,'3330 (mcs-calypsoicf)','2022-12-07 10:15:48'),('server_port',3331,'3331 (mcs-messaging)','2022-12-07 10:15:44'),('server_port',3332,'3332 (mcs-mailsvr)','2022-12-07 10:15:41'),('server_port',3333,'3333 (dec-notes)','2022-12-07 10:15:33'),('server_port',3334,'3334 (directv-web)','2022-12-07 10:15:37'),('server_port',3335,'3335 (directv-soft)','2022-12-07 10:15:39'),('server_port',3336,'3336 (directv-tick)','2022-12-07 10:15:44'),('server_port',3337,'3337 (directv-catlg)','2022-12-07 10:15:35'),('server_port',3338,'3338 (anet-b)','2022-12-07 10:15:36'),('server_port',3339,'3339 (anet-l)','2022-12-07 10:15:40'),('server_port',3340,'3340 (anet-m)','2022-12-07 10:15:34'),('server_port',3341,'3341 (anet-h)','2022-12-07 10:15:34'),('server_port',3342,'3342 (webtie)','2022-12-07 10:15:34'),('server_port',3343,'3343 (ms-cluster-net)','2022-12-07 10:15:42'),('server_port',3344,'3344 (bnt-manager)','2022-12-07 10:15:53'),('server_port',3345,'3345 (influence)','2022-12-07 10:15:49'),('server_port',3346,'3346 (trnsprntproxy)','2022-12-07 10:15:39'),('server_port',3347,'3347 (phoenix-rpc)','2022-12-07 10:15:41'),('server_port',3348,'3348 (pangolin-laser)','2022-12-07 10:15:48'),('server_port',3349,'3349 (chevinservices)','2022-12-07 10:15:50'),('server_port',3350,'3350 (findviatv)','2022-12-07 10:15:31'),('server_port',3351,'3351 (btrieve)','2022-12-07 10:15:44'),('server_port',3352,'3352 (ssql)','2022-12-07 10:15:40'),('server_port',3353,'3353 (fatpipe)','2022-12-07 10:15:50'),('server_port',3354,'3354 (suitjd)','2022-12-07 10:15:31'),('server_port',3355,'3355 (ordinox-dbase)','2022-12-07 10:15:43'),('server_port',3356,'3356 (upnotifyps)','2022-12-07 10:15:43'),('server_port',3357,'3357 (adtech-test)','2022-12-07 10:15:47'),('server_port',3358,'3358 (mpsysrmsvr)','2022-12-07 10:15:29'),('server_port',3359,'3359 (wg-netforce)','2022-12-07 10:15:44'),('server_port',3360,'3360 (kv-server)','2022-12-07 10:15:34'),('server_port',3361,'3361 (kv-agent)','2022-12-07 10:15:37'),('server_port',3362,'3362 (dj-ilm)','2022-12-07 10:15:43'),('server_port',3363,'3363 (nati-vi-server)','2022-12-07 10:15:36'),('server_port',3364,'3364 (creativeserver)','2022-12-07 10:15:31'),('server_port',3365,'3365 (contentserver)','2022-12-07 10:15:36'),('server_port',3366,'3366 (creativepartnr)','2022-12-07 10:15:49'),('server_port',3372,'3372 (tip2)','2022-12-07 10:15:52'),('server_port',3373,'3373 (lavenir-lm)','2022-12-07 10:15:53'),('server_port',3374,'3374 (cluster-disc)','2022-12-07 10:15:52'),('server_port',3375,'3375 (vsnm-agent)','2022-12-07 10:15:52'),('server_port',3376,'3376 (cdbroker)','2022-12-07 10:15:38'),('server_port',3377,'3377 (cogsys-lm)','2022-12-07 10:15:30'),('server_port',3378,'3378 (wsicopy)','2022-12-07 10:15:31'),('server_port',3379,'3379 (socorfs)','2022-12-07 10:15:45'),('server_port',3380,'3380 (sns-channels)','2022-12-07 10:15:37'),('server_port',3381,'3381 (geneous)','2022-12-07 10:15:48'),('server_port',3382,'3382 (fujitsu-neat)','2022-12-07 10:15:30'),('server_port',3383,'3383 (esp-lm)','2022-12-07 10:15:48'),('server_port',3384,'3384 (hp-clic)','2022-12-07 10:15:50'),('server_port',3385,'3385 (qnxnetman)','2022-12-07 10:15:38'),('server_port',3386,'3386 (gprs-data)','2022-12-07 10:15:41'),('server_port',3387,'3387 (backroomnet)','2022-12-07 10:15:47'),('server_port',3388,'3388 (cbserver)','2022-12-07 10:15:48'),('server_port',3389,'3389 (ms-wbt-server)','2022-12-07 10:15:43'),('server_port',3390,'3390 (dsc)','2022-12-07 10:15:53'),('server_port',3391,'3391 (savant)','2022-12-07 10:15:29'),('server_port',3392,'3392 (efi-lm)','2022-12-07 10:15:33'),('server_port',3393,'3393 (d2k-tapestry1)','2022-12-07 10:15:37'),('server_port',3394,'3394 (d2k-tapestry2)','2022-12-07 10:15:42'),('server_port',3395,'3395 (dyna-lm)','2022-12-07 10:15:41'),('server_port',3396,'3396 (printer-agent)','2022-12-07 10:15:39'),('server_port',3397,'3397 (cloanto-lm)','2022-12-07 10:15:44'),('server_port',3398,'3398 (mercantile)','2022-12-07 10:15:31'),('server_port',3399,'3399 (csms)','2022-12-07 10:15:37'),('server_port',3400,'3400 (csms2)','2022-12-07 10:15:39'),('server_port',3401,'3401 (filecast)','2022-12-07 10:15:38'),('server_port',3402,'3402 (fxaengine-net)','2022-12-07 10:15:40'),('server_port',3405,'3405 (nokia-ann-ch1)','2022-12-07 10:15:44'),('server_port',3406,'3406 (nokia-ann-ch2)','2022-12-07 10:15:44'),('server_port',3407,'3407 (ldap-admin)','2022-12-07 10:15:50'),('server_port',3408,'3408 (BESApi)','2022-12-07 10:15:43'),('server_port',3409,'3409 (networklens)','2022-12-07 10:15:47'),('server_port',3410,'3410 (networklenss)','2022-12-07 10:15:30'),('server_port',3411,'3411 (biolink-auth)','2022-12-07 10:15:47'),('server_port',3412,'3412 (xmlblaster)','2022-12-07 10:15:44'),('server_port',3413,'3413 (svnet)','2022-12-07 10:15:52'),('server_port',3414,'3414 (wip-port)','2022-12-07 10:15:43'),('server_port',3415,'3415 (bcinameservice)','2022-12-07 10:15:30'),('server_port',3416,'3416 (commandport)','2022-12-07 10:15:30'),('server_port',3417,'3417 (csvr)','2022-12-07 10:15:45'),('server_port',3418,'3418 (rnmap)','2022-12-07 10:15:39'),('server_port',3419,'3419 (softaudit)','2022-12-07 10:15:30'),('server_port',3420,'3420 (ifcp-port)','2022-12-07 10:15:35'),('server_port',3421,'3421 (bmap)','2022-12-07 10:15:30'),('server_port',3422,'3422 (rusb-sys-port)','2022-12-07 10:15:47'),('server_port',3423,'3423 (xtrm)','2022-12-07 10:15:42'),('server_port',3424,'3424 (xtrms)','2022-12-07 10:15:48'),('server_port',3425,'3425 (agps-port)','2022-12-07 10:15:52'),('server_port',3426,'3426 (arkivio)','2022-12-07 10:15:37'),('server_port',3427,'3427 (websphere-snmp)','2022-12-07 10:15:29'),('server_port',3428,'3428 (twcss)','2022-12-07 10:15:34'),('server_port',3429,'3429 (gcsp)','2022-12-07 10:15:38'),('server_port',3430,'3430 (ssdispatch)','2022-12-07 10:15:34'),('server_port',3431,'3431 (ndl-als)','2022-12-07 10:15:51'),('server_port',3432,'3432 (osdcp)','2022-12-07 10:15:52'),('server_port',3433,'3433 (opnet-smp)','2022-12-07 10:15:44'),('server_port',3434,'3434 (opencm)','2022-12-07 10:15:38'),('server_port',3435,'3435 (pacom)','2022-12-07 10:15:29'),('server_port',3436,'3436 (gc-config)','2022-12-07 10:15:51'),('server_port',3437,'3437 (autocueds)','2022-12-07 10:15:36'),('server_port',3438,'3438 (spiral-admin)','2022-12-07 10:15:42'),('server_port',3439,'3439 (hri-port)','2022-12-07 10:15:40'),('server_port',3440,'3440 (ans-console)','2022-12-07 10:15:41'),('server_port',3441,'3441 (connect-client)','2022-12-07 10:15:48'),('server_port',3442,'3442 (connect-server)','2022-12-07 10:15:41'),('server_port',3443,'3443 (ov-nnm-websrv)','2022-12-07 10:15:32'),('server_port',3444,'3444 (denali-server)','2022-12-07 10:15:31'),('server_port',3445,'3445 (monp)','2022-12-07 10:15:46'),('server_port',3446,'3446 (3comfaxrpc)','2022-12-07 10:15:32'),('server_port',3447,'3447 (directnet)','2022-12-07 10:15:53'),('server_port',3448,'3448 (dnc-port)','2022-12-07 10:15:37'),('server_port',3449,'3449 (hotu-chat)','2022-12-07 10:15:44'),('server_port',3450,'3450 (castorproxy)','2022-12-07 10:15:40'),('server_port',3451,'3451 (asam)','2022-12-07 10:15:45'),('server_port',3452,'3452 (sabp-signal)','2022-12-07 10:15:47'),('server_port',3453,'3453 (pscupd)','2022-12-07 10:15:52'),('server_port',3454,'3454 (mira)','2022-12-07 10:15:49'),('server_port',3455,'3455 (prsvp)','2022-12-07 10:15:42'),('server_port',3456,'3456 (vat)','2022-12-07 10:15:37'),('server_port',3457,'3457 (vat-control)','2022-12-07 10:15:38'),('server_port',3458,'3458 (d3winosfi)','2022-12-07 10:15:44'),('server_port',3459,'3459 (integral)','2022-12-07 10:15:38'),('server_port',3460,'3460 (edm-manager)','2022-12-07 10:15:44'),('server_port',3461,'3461 (edm-stager)','2022-12-07 10:15:29'),('server_port',3462,'3462 (edm-std-notify)','2022-12-07 10:15:34'),('server_port',3463,'3463 (edm-adm-notify)','2022-12-07 10:15:39'),('server_port',3464,'3464 (edm-mgr-sync)','2022-12-07 10:15:46'),('server_port',3465,'3465 (edm-mgr-cntrl)','2022-12-07 10:15:52'),('server_port',3466,'3466 (workflow)','2022-12-07 10:15:49'),('server_port',3467,'3467 (rcst)','2022-12-07 10:15:40'),('server_port',3468,'3468 (ttcmremotectrl)','2022-12-07 10:15:39'),('server_port',3469,'3469 (pluribus)','2022-12-07 10:15:36'),('server_port',3470,'3470 (jt400)','2022-12-07 10:15:31'),('server_port',3471,'3471 (jt400-ssl)','2022-12-07 10:15:43'),('server_port',3472,'3472 (jaugsremotec-1)','2022-12-07 10:15:40'),('server_port',3473,'3473 (jaugsremotec-2)','2022-12-07 10:15:36'),('server_port',3474,'3474 (ttntspauto)','2022-12-07 10:15:38'),('server_port',3475,'3475 (genisar-port)','2022-12-07 10:15:30'),('server_port',3476,'3476 (nppmp)','2022-12-07 10:15:50'),('server_port',3477,'3477 (ecomm)','2022-12-07 10:15:50'),('server_port',3478,'3478 (stun-behavior)','2022-12-07 10:15:42'),('server_port',3479,'3479 (twrpc)','2022-12-07 10:15:41'),('server_port',3480,'3480 (plethora)','2022-12-07 10:15:47'),('server_port',3481,'3481 (cleanerliverc)','2022-12-07 10:15:53'),('server_port',3482,'3482 (vulture)','2022-12-07 10:15:39'),('server_port',3483,'3483 (slim-devices)','2022-12-07 10:15:33'),('server_port',3484,'3484 (gbs-stp)','2022-12-07 10:15:47'),('server_port',3485,'3485 (celatalk)','2022-12-07 10:15:34'),('server_port',3486,'3486 (ifsf-hb-port)','2022-12-07 10:15:49'),('server_port',3487,'3487 (ltctcp)','2022-12-07 10:15:50'),('server_port',3488,'3488 (fs-rh-srv)','2022-12-07 10:15:46'),('server_port',3489,'3489 (dtp-dia)','2022-12-07 10:15:37'),('server_port',3490,'3490 (colubris)','2022-12-07 10:15:32'),('server_port',3491,'3491 (swr-port)','2022-12-07 10:15:52'),('server_port',3492,'3492 (tvdumtray-port)','2022-12-07 10:15:51'),('server_port',3493,'3493 (nut)','2022-12-07 10:15:52'),('server_port',3494,'3494 (ibm3494)','2022-12-07 10:15:40'),('server_port',3495,'3495 (seclayer-tcp)','2022-12-07 10:15:51'),('server_port',3496,'3496 (seclayer-tls)','2022-12-07 10:15:37'),('server_port',3497,'3497 (ipether232port)','2022-12-07 10:15:51'),('server_port',3498,'3498 (dashpas-port)','2022-12-07 10:15:46'),('server_port',3499,'3499 (sccip-media)','2022-12-07 10:15:37'),('server_port',3500,'3500 (rtmp-port)','2022-12-07 10:15:33'),('server_port',3501,'3501 (isoft-p2p)','2022-12-07 10:15:49'),('server_port',3502,'3502 (avinstalldisc)','2022-12-07 10:15:48'),('server_port',3503,'3503 (lsp-ping)','2022-12-07 10:15:39'),('server_port',3504,'3504 (ironstorm)','2022-12-07 10:15:35'),('server_port',3505,'3505 (ccmcomm)','2022-12-07 10:15:45'),('server_port',3506,'3506 (apc-3506)','2022-12-07 10:15:40'),('server_port',3507,'3507 (nesh-broker)','2022-12-07 10:15:32'),('server_port',3508,'3508 (interactionweb)','2022-12-07 10:15:38'),('server_port',3509,'3509 (vt-ssl)','2022-12-07 10:15:42'),('server_port',3510,'3510 (xss-port)','2022-12-07 10:15:30'),('server_port',3511,'3511 (webmail-2)','2022-12-07 10:15:38'),('server_port',3512,'3512 (aztec)','2022-12-07 10:15:34'),('server_port',3513,'3513 (arcpd)','2022-12-07 10:15:40'),('server_port',3514,'3514 (must-p2p)','2022-12-07 10:15:53'),('server_port',3515,'3515 (must-backplane)','2022-12-07 10:15:46'),('server_port',3516,'3516 (smartcard-port)','2022-12-07 10:15:48'),('server_port',3517,'3517 (802-11-iapp)','2022-12-07 10:15:38'),('server_port',3518,'3518 (artifact-msg)','2022-12-07 10:15:50'),('server_port',3519,'3519 (nvmsgd)','2022-12-07 10:15:46'),('server_port',3520,'3520 (galileolog)','2022-12-07 10:15:48'),('server_port',3521,'3521 (mc3ss)','2022-12-07 10:15:40'),('server_port',3522,'3522 (nssocketport)','2022-12-07 10:15:33'),('server_port',3523,'3523 (odeumservlink)','2022-12-07 10:15:44'),('server_port',3524,'3524 (ecmport)','2022-12-07 10:15:34'),('server_port',3525,'3525 (eisport)','2022-12-07 10:15:45'),('server_port',3526,'3526 (starquiz-port)','2022-12-07 10:15:49'),('server_port',3527,'3527 (beserver-msg-q)','2022-12-07 10:15:43'),('server_port',3528,'3528 (jboss-iiop)','2022-12-07 10:15:47'),('server_port',3529,'3529 (jboss-iiop-ssl)','2022-12-07 10:15:33'),('server_port',3530,'3530 (gf)','2022-12-07 10:15:32'),('server_port',3531,'3531 (joltid)','2022-12-07 10:15:52'),('server_port',3532,'3532 (raven-rmp)','2022-12-07 10:15:45'),('server_port',3533,'3533 (raven-rdp)','2022-12-07 10:15:47'),('server_port',3534,'3534 (urld-port)','2022-12-07 10:15:52'),('server_port',3535,'3535 (ms-la)','2022-12-07 10:15:45'),('server_port',3536,'3536 (snac)','2022-12-07 10:15:31'),('server_port',3537,'3537 (ni-visa-remote)','2022-12-07 10:15:44'),('server_port',3538,'3538 (ibm-diradm)','2022-12-07 10:15:31'),('server_port',3539,'3539 (ibm-diradm-ssl)','2022-12-07 10:15:38'),('server_port',3540,'3540 (pnrp-port)','2022-12-07 10:15:36'),('server_port',3541,'3541 (voispeed-port)','2022-12-07 10:15:49'),('server_port',3542,'3542 (hacl-monitor)','2022-12-07 10:15:41'),('server_port',3543,'3543 (qftest-lookup)','2022-12-07 10:15:50'),('server_port',3544,'3544 (teredo)','2022-12-07 10:15:52'),('server_port',3545,'3545 (camac)','2022-12-07 10:15:48'),('server_port',3547,'3547 (symantec-sim)','2022-12-07 10:15:52'),('server_port',3548,'3548 (interworld)','2022-12-07 10:15:31'),('server_port',3549,'3549 (tellumat-nms)','2022-12-07 10:15:41'),('server_port',3550,'3550 (ssmpp)','2022-12-07 10:15:48'),('server_port',3551,'3551 (apcupsd)','2022-12-07 10:15:46'),('server_port',3552,'3552 (taserver)','2022-12-07 10:15:45'),('server_port',3553,'3553 (rbr-discovery)','2022-12-07 10:15:53'),('server_port',3554,'3554 (questnotify)','2022-12-07 10:15:38'),('server_port',3555,'3555 (razor)','2022-12-07 10:15:39'),('server_port',3556,'3556 (sky-transport)','2022-12-07 10:15:44'),('server_port',3557,'3557 (personalos-001)','2022-12-07 10:15:48'),('server_port',3558,'3558 (mcp-port)','2022-12-07 10:15:46'),('server_port',3559,'3559 (cctv-port)','2022-12-07 10:15:44'),('server_port',3560,'3560 (iniserve-port)','2022-12-07 10:15:33'),('server_port',3561,'3561 (bmc-onekey)','2022-12-07 10:15:46'),('server_port',3562,'3562 (sdbproxy)','2022-12-07 10:15:50'),('server_port',3563,'3563 (watcomdebug)','2022-12-07 10:15:41'),('server_port',3564,'3564 (esimport)','2022-12-07 10:15:39'),('server_port',3565,'3565 (m2pa)','2022-12-07 10:15:51'),('server_port',3566,'3566 (quest-data-hub)','2022-12-07 10:15:52'),('server_port',3567,'3567 (dof-eps)','2022-12-07 10:15:47'),('server_port',3568,'3568 (dof-tunnel-sec)','2022-12-07 10:15:33'),('server_port',3569,'3569 (mbg-ctrl)','2022-12-07 10:15:52'),('server_port',3570,'3570 (mccwebsvr-port)','2022-12-07 10:15:52'),('server_port',3571,'3571 (megardsvr-port)','2022-12-07 10:15:31'),('server_port',3572,'3572 (megaregsvrport)','2022-12-07 10:15:51'),('server_port',3573,'3573 (tag-ups-1)','2022-12-07 10:15:38'),('server_port',3574,'3574 (dmaf-server)','2022-12-07 10:15:38'),('server_port',3575,'3575 (ccm-port)','2022-12-07 10:15:30'),('server_port',3576,'3576 (cmc-port)','2022-12-07 10:15:47'),('server_port',3577,'3577 (config-port)','2022-12-07 10:15:48'),('server_port',3578,'3578 (data-port)','2022-12-07 10:15:48'),('server_port',3579,'3579 (ttat3lb)','2022-12-07 10:15:40'),('server_port',3580,'3580 (nati-svrloc)','2022-12-07 10:15:37'),('server_port',3581,'3581 (kfxaclicensing)','2022-12-07 10:15:38'),('server_port',3582,'3582 (press)','2022-12-07 10:15:52'),('server_port',3583,'3583 (canex-watch)','2022-12-07 10:15:45'),('server_port',3584,'3584 (u-dbap)','2022-12-07 10:15:30'),('server_port',3585,'3585 (emprise-lls)','2022-12-07 10:15:52'),('server_port',3586,'3586 (emprise-lsc)','2022-12-07 10:15:53'),('server_port',3587,'3587 (p2pgroup)','2022-12-07 10:15:36'),('server_port',3588,'3588 (sentinel)','2022-12-07 10:15:33'),('server_port',3589,'3589 (isomair)','2022-12-07 10:15:37'),('server_port',3590,'3590 (wv-csp-sms)','2022-12-07 10:15:33'),('server_port',3591,'3591 (gtrack-server)','2022-12-07 10:15:50'),('server_port',3592,'3592 (gtrack-ne)','2022-12-07 10:15:34'),('server_port',3593,'3593 (bpmd)','2022-12-07 10:15:42'),('server_port',3594,'3594 (mediaspace)','2022-12-07 10:15:43'),('server_port',3595,'3595 (shareapp)','2022-12-07 10:15:31'),('server_port',3596,'3596 (iw-mmogame)','2022-12-07 10:15:31'),('server_port',3597,'3597 (a14)','2022-12-07 10:15:38'),('server_port',3598,'3598 (a15)','2022-12-07 10:15:41'),('server_port',3599,'3599 (quasar-server)','2022-12-07 10:15:29'),('server_port',3600,'3600 (trap-daemon)','2022-12-07 10:15:43'),('server_port',3601,'3601 (visinet-gui)','2022-12-07 10:15:35'),('server_port',3602,'3602 (infiniswitchcl)','2022-12-07 10:15:29'),('server_port',3603,'3603 (int-rcv-cntrl)','2022-12-07 10:15:36'),('server_port',3604,'3604 (bmc-jmx-port)','2022-12-07 10:15:48'),('server_port',3605,'3605 (comcam-io)','2022-12-07 10:15:52'),('server_port',3606,'3606 (splitlock)','2022-12-07 10:15:50'),('server_port',3607,'3607 (precise-i3)','2022-12-07 10:15:33'),('server_port',3608,'3608 (trendchip-dcp)','2022-12-07 10:15:51'),('server_port',3609,'3609 (cpdi-pidas-cm)','2022-12-07 10:15:38'),('server_port',3610,'3610 (echonet)','2022-12-07 10:15:44'),('server_port',3611,'3611 (six-degrees)','2022-12-07 10:15:41'),('server_port',3612,'3612 (hp-dataprotect)','2022-12-07 10:15:36'),('server_port',3613,'3613 (alaris-disc)','2022-12-07 10:15:37'),('server_port',3614,'3614 (sigma-port)','2022-12-07 10:15:34'),('server_port',3615,'3615 (start-network)','2022-12-07 10:15:37'),('server_port',3616,'3616 (cd3o-protocol)','2022-12-07 10:15:38'),('server_port',3617,'3617 (sharp-server)','2022-12-07 10:15:31'),('server_port',3618,'3618 (aairnet-1)','2022-12-07 10:15:53'),('server_port',3619,'3619 (aairnet-2)','2022-12-07 10:15:43'),('server_port',3620,'3620 (ep-pcp)','2022-12-07 10:15:44'),('server_port',3621,'3621 (ep-nsp)','2022-12-07 10:15:44'),('server_port',3622,'3622 (ff-lr-port)','2022-12-07 10:15:32'),('server_port',3623,'3623 (haipe-discover)','2022-12-07 10:15:41'),('server_port',3624,'3624 (dist-upgrade)','2022-12-07 10:15:41'),('server_port',3625,'3625 (volley)','2022-12-07 10:15:43'),('server_port',3626,'3626 (bvcdaemon-port)','2022-12-07 10:15:41'),('server_port',3627,'3627 (jamserverport)','2022-12-07 10:15:42'),('server_port',3628,'3628 (ept-machine)','2022-12-07 10:15:33'),('server_port',3629,'3629 (escvpnet)','2022-12-07 10:15:41'),('server_port',3630,'3630 (cs-remote-db)','2022-12-07 10:15:31'),('server_port',3631,'3631 (cs-services)','2022-12-07 10:15:34'),('server_port',3632,'3632 (distcc)','2022-12-07 10:15:44'),('server_port',3633,'3633 (wacp)','2022-12-07 10:15:49'),('server_port',3634,'3634 (hlibmgr)','2022-12-07 10:15:40'),('server_port',3635,'3635 (sdo)','2022-12-07 10:15:30'),('server_port',3636,'3636 (servistaitsm)','2022-12-07 10:15:37'),('server_port',3637,'3637 (scservp)','2022-12-07 10:15:49'),('server_port',3638,'3638 (ehp-backup)','2022-12-07 10:15:50'),('server_port',3639,'3639 (xap-ha)','2022-12-07 10:15:30'),('server_port',3640,'3640 (netplay-port1)','2022-12-07 10:15:36'),('server_port',3641,'3641 (netplay-port2)','2022-12-07 10:15:53'),('server_port',3642,'3642 (juxml-port)','2022-12-07 10:15:37'),('server_port',3643,'3643 (audiojuggler)','2022-12-07 10:15:40'),('server_port',3644,'3644 (ssowatch)','2022-12-07 10:15:38'),('server_port',3645,'3645 (cyc)','2022-12-07 10:15:50'),('server_port',3646,'3646 (xss-srv-port)','2022-12-07 10:15:31'),('server_port',3647,'3647 (splitlock-gw)','2022-12-07 10:15:29'),('server_port',3648,'3648 (fjcp)','2022-12-07 10:15:49'),('server_port',3649,'3649 (nmmp)','2022-12-07 10:15:47'),('server_port',3650,'3650 (prismiq-plugin)','2022-12-07 10:15:34'),('server_port',3651,'3651 (xrpc-registry)','2022-12-07 10:15:51'),('server_port',3652,'3652 (vxcrnbuport)','2022-12-07 10:15:47'),('server_port',3653,'3653 (tsp)','2022-12-07 10:15:45'),('server_port',3654,'3654 (vaprtm)','2022-12-07 10:15:33'),('server_port',3655,'3655 (abatemgr)','2022-12-07 10:15:48'),('server_port',3656,'3656 (abatjss)','2022-12-07 10:15:41'),('server_port',3657,'3657 (immedianet-bcn)','2022-12-07 10:15:45'),('server_port',3658,'3658 (ps-ams)','2022-12-07 10:15:46'),('server_port',3659,'3659 (apple-sasl)','2022-12-07 10:15:46'),('server_port',3660,'3660 (can-nds-ssl)','2022-12-07 10:15:38'),('server_port',3661,'3661 (can-ferret-ssl)','2022-12-07 10:15:29'),('server_port',3662,'3662 (pserver)','2022-12-07 10:15:30'),('server_port',3663,'3663 (dtp)','2022-12-07 10:15:51'),('server_port',3664,'3664 (ups-engine)','2022-12-07 10:15:32'),('server_port',3665,'3665 (ent-engine)','2022-12-07 10:15:37'),('server_port',3666,'3666 (eserver-pap)','2022-12-07 10:15:35'),('server_port',3667,'3667 (infoexch)','2022-12-07 10:15:42'),('server_port',3668,'3668 (dell-rm-port)','2022-12-07 10:15:44'),('server_port',3669,'3669 (casanswmgmt)','2022-12-07 10:15:48'),('server_port',3670,'3670 (smile)','2022-12-07 10:15:46'),('server_port',3671,'3671 (efcp)','2022-12-07 10:15:44'),('server_port',3672,'3672 (lispworks-orb)','2022-12-07 10:15:35'),('server_port',3673,'3673 (mediavault-gui)','2022-12-07 10:15:45'),('server_port',3674,'3674 (wininstall-ipc)','2022-12-07 10:15:42'),('server_port',3675,'3675 (calltrax)','2022-12-07 10:15:37'),('server_port',3676,'3676 (va-pacbase)','2022-12-07 10:15:36'),('server_port',3677,'3677 (roverlog)','2022-12-07 10:15:47'),('server_port',3678,'3678 (ipr-dglt)','2022-12-07 10:15:43'),('server_port',3679,'3679 (Escale)','2022-12-07 10:15:44'),('server_port',3680,'3680 (npds-tracker)','2022-12-07 10:15:35'),('server_port',3681,'3681 (bts-x73)','2022-12-07 10:15:34'),('server_port',3682,'3682 (cas-mapi)','2022-12-07 10:15:44'),('server_port',3683,'3683 (bmc-ea)','2022-12-07 10:15:34'),('server_port',3684,'3684 (faxstfx-port)','2022-12-07 10:15:51'),('server_port',3685,'3685 (dsx-agent)','2022-12-07 10:15:38'),('server_port',3686,'3686 (tnmpv2)','2022-12-07 10:15:45'),('server_port',3687,'3687 (simple-push)','2022-12-07 10:15:32'),('server_port',3688,'3688 (simple-push-s)','2022-12-07 10:15:47'),('server_port',3689,'3689 (daap)','2022-12-07 10:15:48'),('server_port',3690,'3690 (svn)','2022-12-07 10:15:39'),('server_port',3691,'3691 (magaya-network)','2022-12-07 10:15:31'),('server_port',3692,'3692 (intelsync)','2022-12-07 10:15:31'),('server_port',3693,'3693 (easl)','2022-12-07 10:15:49'),('server_port',3695,'3695 (bmc-data-coll)','2022-12-07 10:15:30'),('server_port',3696,'3696 (telnetcpcd)','2022-12-07 10:15:48'),('server_port',3697,'3697 (nw-license)','2022-12-07 10:15:40'),('server_port',3698,'3698 (sagectlpanel)','2022-12-07 10:15:49'),('server_port',3699,'3699 (kpn-icw)','2022-12-07 10:15:44'),('server_port',3700,'3700 (lrs-paging)','2022-12-07 10:15:37'),('server_port',3701,'3701 (netcelera)','2022-12-07 10:15:30'),('server_port',3702,'3702 (ws-discovery)','2022-12-07 10:15:44'),('server_port',3703,'3703 (adobeserver-3)','2022-12-07 10:15:52'),('server_port',3704,'3704 (adobeserver-4)','2022-12-07 10:15:37'),('server_port',3705,'3705 (adobeserver-5)','2022-12-07 10:15:40'),('server_port',3706,'3706 (rt-event)','2022-12-07 10:15:36'),('server_port',3707,'3707 (rt-event-s)','2022-12-07 10:15:37'),('server_port',3708,'3708 (sun-as-iiops)','2022-12-07 10:15:49'),('server_port',3709,'3709 (ca-idms)','2022-12-07 10:15:48'),('server_port',3710,'3710 (portgate-auth)','2022-12-07 10:15:45'),('server_port',3711,'3711 (edb-server2)','2022-12-07 10:15:39'),('server_port',3712,'3712 (sentinel-ent)','2022-12-07 10:15:47'),('server_port',3713,'3713 (tftps)','2022-12-07 10:15:33'),('server_port',3714,'3714 (delos-dms)','2022-12-07 10:15:42'),('server_port',3715,'3715 (anoto-rendezv)','2022-12-07 10:15:43'),('server_port',3716,'3716 (wv-csp-sms-cir)','2022-12-07 10:15:31'),('server_port',3717,'3717 (wv-csp-udp-cir)','2022-12-07 10:15:47'),('server_port',3718,'3718 (opus-services)','2022-12-07 10:15:44'),('server_port',3719,'3719 (itelserverport)','2022-12-07 10:15:47'),('server_port',3720,'3720 (ufastro-instr)','2022-12-07 10:15:45'),('server_port',3721,'3721 (xsync)','2022-12-07 10:15:34'),('server_port',3722,'3722 (xserveraid)','2022-12-07 10:15:35'),('server_port',3723,'3723 (sychrond)','2022-12-07 10:15:50'),('server_port',3724,'3724 (blizwow)','2022-12-07 10:15:48'),('server_port',3725,'3725 (na-er-tip)','2022-12-07 10:15:48'),('server_port',3726,'3726 (array-manager)','2022-12-07 10:15:50'),('server_port',3727,'3727 (e-mdu)','2022-12-07 10:15:41'),('server_port',3728,'3728 (e-woa)','2022-12-07 10:15:51'),('server_port',3729,'3729 (fksp-audit)','2022-12-07 10:15:41'),('server_port',3730,'3730 (client-ctrl)','2022-12-07 10:15:52'),('server_port',3731,'3731 (smap)','2022-12-07 10:15:36'),('server_port',3732,'3732 (m-wnn)','2022-12-07 10:15:49'),('server_port',3733,'3733 (multip-msg)','2022-12-07 10:15:33'),('server_port',3734,'3734 (synel-data)','2022-12-07 10:15:31'),('server_port',3735,'3735 (pwdis)','2022-12-07 10:15:30'),('server_port',3736,'3736 (rs-rmi)','2022-12-07 10:15:50'),('server_port',3737,'3737 (xpanel)','2022-12-07 10:15:34'),('server_port',3738,'3738 (versatalk)','2022-12-07 10:15:32'),('server_port',3739,'3739 (launchbird-lm)','2022-12-07 10:15:42'),('server_port',3740,'3740 (heartbeat)','2022-12-07 10:15:38'),('server_port',3741,'3741 (wysdma)','2022-12-07 10:15:39'),('server_port',3742,'3742 (cst-port)','2022-12-07 10:15:51'),('server_port',3743,'3743 (ipcs-command)','2022-12-07 10:15:33'),('server_port',3744,'3744 (sasg)','2022-12-07 10:15:50'),('server_port',3745,'3745 (gw-call-port)','2022-12-07 10:15:33'),('server_port',3746,'3746 (linktest)','2022-12-07 10:15:38'),('server_port',3747,'3747 (linktest-s)','2022-12-07 10:15:52'),('server_port',3748,'3748 (webdata)','2022-12-07 10:15:29'),('server_port',3749,'3749 (cimtrak)','2022-12-07 10:15:42'),('server_port',3750,'3750 (cbos-ip-port)','2022-12-07 10:15:46'),('server_port',3751,'3751 (gprs-cube)','2022-12-07 10:15:44'),('server_port',3752,'3752 (vipremoteagent)','2022-12-07 10:15:49'),('server_port',3753,'3753 (nattyserver)','2022-12-07 10:15:34'),('server_port',3754,'3754 (timestenbroker)','2022-12-07 10:15:34'),('server_port',3755,'3755 (sas-remote-hlp)','2022-12-07 10:15:46'),('server_port',3756,'3756 (canon-capt)','2022-12-07 10:15:40'),('server_port',3757,'3757 (grf-port)','2022-12-07 10:15:32'),('server_port',3758,'3758 (apw-registry)','2022-12-07 10:15:38'),('server_port',3759,'3759 (exapt-lmgr)','2022-12-07 10:15:49'),('server_port',3760,'3760 (adtempusclient)','2022-12-07 10:15:36'),('server_port',3761,'3761 (gsakmp)','2022-12-07 10:15:46'),('server_port',3762,'3762 (gbs-smp)','2022-12-07 10:15:52'),('server_port',3763,'3763 (xo-wave)','2022-12-07 10:15:40'),('server_port',3764,'3764 (mni-prot-rout)','2022-12-07 10:15:39'),('server_port',3765,'3765 (rtraceroute)','2022-12-07 10:15:33'),('server_port',3766,'3766 (sitewatch-s)','2022-12-07 10:15:47'),('server_port',3767,'3767 (listmgr-port)','2022-12-07 10:15:44'),('server_port',3768,'3768 (rblcheckd)','2022-12-07 10:15:44'),('server_port',3769,'3769 (haipe-otnk)','2022-12-07 10:15:49'),('server_port',3770,'3770 (cindycollab)','2022-12-07 10:15:46'),('server_port',3771,'3771 (paging-port)','2022-12-07 10:15:51'),('server_port',3772,'3772 (ctp)','2022-12-07 10:15:33'),('server_port',3773,'3773 (ctdhercules)','2022-12-07 10:15:39'),('server_port',3774,'3774 (zicom)','2022-12-07 10:15:34'),('server_port',3775,'3775 (ispmmgr)','2022-12-07 10:15:34'),('server_port',3776,'3776 (dvcprov-port)','2022-12-07 10:15:39'),('server_port',3777,'3777 (jibe-eb)','2022-12-07 10:15:40'),('server_port',3778,'3778 (c-h-it-port)','2022-12-07 10:15:40'),('server_port',3779,'3779 (cognima)','2022-12-07 10:15:49'),('server_port',3780,'3780 (nnp)','2022-12-07 10:15:52'),('server_port',3781,'3781 (abcvoice-port)','2022-12-07 10:15:38'),('server_port',3782,'3782 (iso-tp0s)','2022-12-07 10:15:40'),('server_port',3783,'3783 (bim-pem)','2022-12-07 10:15:32'),('server_port',3784,'3784 (bfd-control)','2022-12-07 10:15:42'),('server_port',3785,'3785 (bfd-echo)','2022-12-07 10:15:33'),('server_port',3786,'3786 (upstriggervsw)','2022-12-07 10:15:50'),('server_port',3787,'3787 (fintrx)','2022-12-07 10:15:35'),('server_port',3788,'3788 (isrp-port)','2022-12-07 10:15:46'),('server_port',3789,'3789 (remotedeploy)','2022-12-07 10:15:33'),('server_port',3790,'3790 (quickbooksrds)','2022-12-07 10:15:52'),('server_port',3791,'3791 (tvnetworkvideo)','2022-12-07 10:15:38'),('server_port',3792,'3792 (sitewatch)','2022-12-07 10:15:30'),('server_port',3793,'3793 (dcsoftware)','2022-12-07 10:15:51'),('server_port',3794,'3794 (jaus)','2022-12-07 10:15:52'),('server_port',3795,'3795 (myblast)','2022-12-07 10:15:48'),('server_port',3796,'3796 (spw-dialer)','2022-12-07 10:15:40'),('server_port',3797,'3797 (idps)','2022-12-07 10:15:36'),('server_port',3798,'3798 (minilock)','2022-12-07 10:15:42'),('server_port',3799,'3799 (radius-dynauth)','2022-12-07 10:15:34'),('server_port',3800,'3800 (pwgpsi)','2022-12-07 10:15:49'),('server_port',3801,'3801 (ibm-mgr)','2022-12-07 10:15:47'),('server_port',3802,'3802 (vhd)','2022-12-07 10:15:52'),('server_port',3803,'3803 (soniqsync)','2022-12-07 10:15:53'),('server_port',3804,'3804 (iqnet-port)','2022-12-07 10:15:36'),('server_port',3805,'3805 (tcpdataserver)','2022-12-07 10:15:44'),('server_port',3806,'3806 (wsmlb)','2022-12-07 10:15:38'),('server_port',3807,'3807 (spugna)','2022-12-07 10:15:53'),('server_port',3808,'3808 (sun-as-iiops-ca)','2022-12-07 10:15:51'),('server_port',3809,'3809 (apocd)','2022-12-07 10:15:51'),('server_port',3810,'3810 (wlanauth)','2022-12-07 10:15:35'),('server_port',3811,'3811 (amp)','2022-12-07 10:15:49'),('server_port',3812,'3812 (neto-wol-server)','2022-12-07 10:15:43'),('server_port',3813,'3813 (rap-ip)','2022-12-07 10:15:43'),('server_port',3814,'3814 (neto-dcs)','2022-12-07 10:15:38'),('server_port',3815,'3815 (lansurveyorxml)','2022-12-07 10:15:30'),('server_port',3816,'3816 (sunlps-http)','2022-12-07 10:15:48'),('server_port',3817,'3817 (tapeware)','2022-12-07 10:15:45'),('server_port',3818,'3818 (crinis-hb)','2022-12-07 10:15:35'),('server_port',3819,'3819 (epl-slp)','2022-12-07 10:15:35'),('server_port',3820,'3820 (scp)','2022-12-07 10:15:49'),('server_port',3821,'3821 (pmcp)','2022-12-07 10:15:48'),('server_port',3822,'3822 (acp-discovery)','2022-12-07 10:15:32'),('server_port',3823,'3823 (acp-conduit)','2022-12-07 10:15:32'),('server_port',3824,'3824 (acp-policy)','2022-12-07 10:15:41'),('server_port',3825,'3825 (ffserver)','2022-12-07 10:15:49'),('server_port',3826,'3826 (warmux)','2022-12-07 10:15:47'),('server_port',3827,'3827 (netmpi)','2022-12-07 10:15:34'),('server_port',3828,'3828 (neteh)','2022-12-07 10:15:35'),('server_port',3829,'3829 (neteh-ext)','2022-12-07 10:15:33'),('server_port',3830,'3830 (cernsysmgmtagt)','2022-12-07 10:15:51'),('server_port',3831,'3831 (dvapps)','2022-12-07 10:15:48'),('server_port',3832,'3832 (xxnetserver)','2022-12-07 10:15:31'),('server_port',3833,'3833 (aipn-auth)','2022-12-07 10:15:37'),('server_port',3834,'3834 (spectardata)','2022-12-07 10:15:48'),('server_port',3835,'3835 (spectardb)','2022-12-07 10:15:42'),('server_port',3836,'3836 (markem-dcp)','2022-12-07 10:15:48'),('server_port',3837,'3837 (mkm-discovery)','2022-12-07 10:15:40'),('server_port',3838,'3838 (sos)','2022-12-07 10:15:40'),('server_port',3839,'3839 (amx-rms)','2022-12-07 10:15:30'),('server_port',3840,'3840 (flirtmitmir)','2022-12-07 10:15:40'),('server_port',3841,'3841 (shiprush-db-svr)','2022-12-07 10:15:34'),('server_port',3842,'3842 (nhci)','2022-12-07 10:15:29'),('server_port',3843,'3843 (quest-agent)','2022-12-07 10:15:33'),('server_port',3844,'3844 (rnm)','2022-12-07 10:15:52'),('server_port',3845,'3845 (v-one-spp)','2022-12-07 10:15:42'),('server_port',3846,'3846 (an-pcp)','2022-12-07 10:15:48'),('server_port',3847,'3847 (msfw-control)','2022-12-07 10:15:39'),('server_port',3848,'3848 (item)','2022-12-07 10:15:31'),('server_port',3849,'3849 (spw-dnspreload)','2022-12-07 10:15:47'),('server_port',3850,'3850 (qtms-bootstrap)','2022-12-07 10:15:49'),('server_port',3851,'3851 (spectraport)','2022-12-07 10:15:31'),('server_port',3852,'3852 (sse-app-config)','2022-12-07 10:15:31'),('server_port',3853,'3853 (sscan)','2022-12-07 10:15:46'),('server_port',3854,'3854 (stryker-com)','2022-12-07 10:15:49'),('server_port',3855,'3855 (opentrac)','2022-12-07 10:15:35'),('server_port',3856,'3856 (informer)','2022-12-07 10:15:40'),('server_port',3857,'3857 (trap-port)','2022-12-07 10:15:44'),('server_port',3858,'3858 (trap-port-mom)','2022-12-07 10:15:32'),('server_port',3859,'3859 (nav-port)','2022-12-07 10:15:39'),('server_port',3860,'3860 (sasp)','2022-12-07 10:15:36'),('server_port',3861,'3861 (winshadow-hd)','2022-12-07 10:15:42'),('server_port',3862,'3862 (giga-pocket)','2022-12-07 10:15:32'),('server_port',3863,'3863 (asap-tcp)','2022-12-07 10:15:43'),('server_port',3864,'3864 (asap-tcp-tls)','2022-12-07 10:15:35'),('server_port',3865,'3865 (xpl)','2022-12-07 10:15:36'),('server_port',3866,'3866 (dzdaemon)','2022-12-07 10:15:37'),('server_port',3867,'3867 (dzoglserver)','2022-12-07 10:15:49'),('server_port',3868,'3868 (diameter)','2022-12-07 10:15:46'),('server_port',3869,'3869 (ovsam-mgmt)','2022-12-07 10:15:33'),('server_port',3870,'3870 (ovsam-d-agent)','2022-12-07 10:15:49'),('server_port',3871,'3871 (avocent-adsap)','2022-12-07 10:15:36'),('server_port',3872,'3872 (oem-agent)','2022-12-07 10:15:38'),('server_port',3873,'3873 (fagordnc)','2022-12-07 10:15:43'),('server_port',3874,'3874 (sixxsconfig)','2022-12-07 10:15:46'),('server_port',3875,'3875 (pnbscada)','2022-12-07 10:15:42'),('server_port',3876,'3876 (dl-agent)','2022-12-07 10:15:50'),('server_port',3877,'3877 (xmpcr-interface)','2022-12-07 10:15:42'),('server_port',3878,'3878 (fotogcad)','2022-12-07 10:15:48'),('server_port',3879,'3879 (appss-lm)','2022-12-07 10:15:38'),('server_port',3880,'3880 (igrs)','2022-12-07 10:15:34'),('server_port',3881,'3881 (idac)','2022-12-07 10:15:50'),('server_port',3882,'3882 (msdts1)','2022-12-07 10:15:35'),('server_port',3883,'3883 (vrpn)','2022-12-07 10:15:40'),('server_port',3884,'3884 (softrack-meter)','2022-12-07 10:15:43'),('server_port',3885,'3885 (topflow-ssl)','2022-12-07 10:15:39'),('server_port',3886,'3886 (nei-management)','2022-12-07 10:15:45'),('server_port',3887,'3887 (ciphire-data)','2022-12-07 10:15:43'),('server_port',3888,'3888 (ciphire-serv)','2022-12-07 10:15:39'),('server_port',3889,'3889 (dandv-tester)','2022-12-07 10:15:47'),('server_port',3890,'3890 (ndsconnect)','2022-12-07 10:15:48'),('server_port',3891,'3891 (rtc-pm-port)','2022-12-07 10:15:45'),('server_port',3892,'3892 (pcc-image-port)','2022-12-07 10:15:36'),('server_port',3893,'3893 (cgi-starapi)','2022-12-07 10:15:53'),('server_port',3894,'3894 (syam-agent)','2022-12-07 10:15:30'),('server_port',3895,'3895 (syam-smc)','2022-12-07 10:15:31'),('server_port',3896,'3896 (sdo-tls)','2022-12-07 10:15:46'),('server_port',3897,'3897 (sdo-ssh)','2022-12-07 10:15:33'),('server_port',3898,'3898 (senip)','2022-12-07 10:15:42'),('server_port',3899,'3899 (itv-control)','2022-12-07 10:15:41'),('server_port',3900,'3900 (udt-os)','2022-12-07 10:15:30'),('server_port',3901,'3901 (nimsh)','2022-12-07 10:15:51'),('server_port',3902,'3902 (nimaux)','2022-12-07 10:15:51'),('server_port',3903,'3903 (charsetmgr)','2022-12-07 10:15:37'),('server_port',3904,'3904 (omnilink-port)','2022-12-07 10:15:35'),('server_port',3905,'3905 (mupdate)','2022-12-07 10:15:42'),('server_port',3906,'3906 (topovista-data)','2022-12-07 10:15:49'),('server_port',3907,'3907 (imoguia-port)','2022-12-07 10:15:34'),('server_port',3908,'3908 (hppronetman)','2022-12-07 10:15:39'),('server_port',3909,'3909 (surfcontrolcpa)','2022-12-07 10:15:51'),('server_port',3910,'3910 (prnrequest)','2022-12-07 10:15:49'),('server_port',3911,'3911 (prnstatus)','2022-12-07 10:15:31'),('server_port',3912,'3912 (gbmt-stars)','2022-12-07 10:15:45'),('server_port',3913,'3913 (listcrt-port)','2022-12-07 10:15:43'),('server_port',3914,'3914 (listcrt-port-2)','2022-12-07 10:15:52'),('server_port',3915,'3915 (agcat)','2022-12-07 10:15:45'),('server_port',3916,'3916 (wysdmc)','2022-12-07 10:15:47'),('server_port',3917,'3917 (aftmux)','2022-12-07 10:15:32'),('server_port',3918,'3918 (pktcablemmcops)','2022-12-07 10:15:32'),('server_port',3919,'3919 (hyperip)','2022-12-07 10:15:43'),('server_port',3920,'3920 (exasoftport1)','2022-12-07 10:15:34'),('server_port',3921,'3921 (herodotus-net)','2022-12-07 10:15:46'),('server_port',3922,'3922 (sor-update)','2022-12-07 10:15:36'),('server_port',3923,'3923 (symb-sb-port)','2022-12-07 10:15:30'),('server_port',3924,'3924 (mpl-gprs-port)','2022-12-07 10:15:46'),('server_port',3925,'3925 (zmp)','2022-12-07 10:15:41'),('server_port',3926,'3926 (winport)','2022-12-07 10:15:49'),('server_port',3927,'3927 (natdataservice)','2022-12-07 10:15:38'),('server_port',3928,'3928 (netboot-pxe)','2022-12-07 10:15:37'),('server_port',3929,'3929 (smauth-port)','2022-12-07 10:15:47'),('server_port',3930,'3930 (syam-webserver)','2022-12-07 10:15:50'),('server_port',3931,'3931 (msr-plugin-port)','2022-12-07 10:15:52'),('server_port',3932,'3932 (dyn-site)','2022-12-07 10:15:40'),('server_port',3933,'3933 (plbserve-port)','2022-12-07 10:15:34'),('server_port',3934,'3934 (sunfm-port)','2022-12-07 10:15:30'),('server_port',3935,'3935 (sdp-portmapper)','2022-12-07 10:15:46'),('server_port',3936,'3936 (mailprox)','2022-12-07 10:15:30'),('server_port',3937,'3937 (dvbservdsc)','2022-12-07 10:15:45'),('server_port',3938,'3938 (dbcontrol-agent)','2022-12-07 10:15:48'),('server_port',3939,'3939 (aamp)','2022-12-07 10:15:35'),('server_port',3940,'3940 (xecp-node)','2022-12-07 10:15:41'),('server_port',3941,'3941 (homeportal-web)','2022-12-07 10:15:35'),('server_port',3942,'3942 (srdp)','2022-12-07 10:15:29'),('server_port',3943,'3943 (tig)','2022-12-07 10:15:52'),('server_port',3944,'3944 (sops)','2022-12-07 10:15:51'),('server_port',3945,'3945 (emcads)','2022-12-07 10:15:52'),('server_port',3946,'3946 (backupedge)','2022-12-07 10:15:42'),('server_port',3947,'3947 (ccp)','2022-12-07 10:15:38'),('server_port',3948,'3948 (apdap)','2022-12-07 10:15:31'),('server_port',3949,'3949 (drip)','2022-12-07 10:15:33'),('server_port',3950,'3950 (namemunge)','2022-12-07 10:15:43'),('server_port',3951,'3951 (pwgippfax)','2022-12-07 10:15:50'),('server_port',3952,'3952 (i3-sessionmgr)','2022-12-07 10:15:46'),('server_port',3953,'3953 (xmlink-connect)','2022-12-07 10:15:46'),('server_port',3954,'3954 (adrep)','2022-12-07 10:15:48'),('server_port',3955,'3955 (p2pcommunity)','2022-12-07 10:15:49'),('server_port',3956,'3956 (gvcp)','2022-12-07 10:15:47'),('server_port',3957,'3957 (mqe-broker)','2022-12-07 10:15:44'),('server_port',3958,'3958 (mqe-agent)','2022-12-07 10:15:35'),('server_port',3959,'3959 (treehopper)','2022-12-07 10:15:37'),('server_port',3960,'3960 (bess)','2022-12-07 10:15:36'),('server_port',3961,'3961 (proaxess)','2022-12-07 10:15:45'),('server_port',3962,'3962 (sbi-agent)','2022-12-07 10:15:42'),('server_port',3963,'3963 (thrp)','2022-12-07 10:15:37'),('server_port',3964,'3964 (sasggprs)','2022-12-07 10:15:37'),('server_port',3965,'3965 (ati-ip-to-ncpe)','2022-12-07 10:15:49'),('server_port',3966,'3966 (bflckmgr)','2022-12-07 10:15:33'),('server_port',3967,'3967 (ppsms)','2022-12-07 10:15:35'),('server_port',3968,'3968 (ianywhere-dbns)','2022-12-07 10:15:48'),('server_port',3969,'3969 (landmarks)','2022-12-07 10:15:31'),('server_port',3970,'3970 (lanrevagent)','2022-12-07 10:15:34'),('server_port',3971,'3971 (lanrevserver)','2022-12-07 10:15:38'),('server_port',3972,'3972 (iconp)','2022-12-07 10:15:45'),('server_port',3973,'3973 (progistics)','2022-12-07 10:15:41'),('server_port',3974,'3974 (citysearch)','2022-12-07 10:15:53'),('server_port',3975,'3975 (airshot)','2022-12-07 10:15:39'),('server_port',3976,'3976 (opswagent)','2022-12-07 10:15:35'),('server_port',3977,'3977 (opswmanager)','2022-12-07 10:15:49'),('server_port',3978,'3978 (secure-cfg-svr)','2022-12-07 10:15:47'),('server_port',3979,'3979 (smwan)','2022-12-07 10:15:34'),('server_port',3980,'3980 (acms)','2022-12-07 10:15:43'),('server_port',3981,'3981 (starfish)','2022-12-07 10:15:53'),('server_port',3982,'3982 (eis)','2022-12-07 10:15:50'),('server_port',3983,'3983 (eisp)','2022-12-07 10:15:40'),('server_port',3984,'3984 (mapper-nodemgr)','2022-12-07 10:15:45'),('server_port',3985,'3985 (mapper-mapethd)','2022-12-07 10:15:49'),('server_port',3986,'3986 (mapper-ws-ethd)','2022-12-07 10:15:52'),('server_port',3987,'3987 (centerline)','2022-12-07 10:15:46'),('server_port',3988,'3988 (dcs-config)','2022-12-07 10:15:30'),('server_port',3989,'3989 (bv-queryengine)','2022-12-07 10:15:33'),('server_port',3990,'3990 (bv-is)','2022-12-07 10:15:45'),('server_port',3991,'3991 (bv-smcsrv)','2022-12-07 10:15:31'),('server_port',3992,'3992 (bv-ds)','2022-12-07 10:15:40'),('server_port',3993,'3993 (bv-agent)','2022-12-07 10:15:32'),('server_port',3995,'3995 (iss-mgmt-ssl)','2022-12-07 10:15:32'),('server_port',3996,'3996 (abcsoftware)','2022-12-07 10:15:32'),('server_port',3997,'3997 (agentsease-db)','2022-12-07 10:15:29'),('server_port',3998,'3998 (dnx)','2022-12-07 10:15:36'),('server_port',3999,'3999 (nvcnet)','2022-12-07 10:15:44'),('server_port',4000,'4000 (terabase)','2022-12-07 10:15:40'),('server_port',4001,'4001 (newoak)','2022-12-07 10:15:38'),('server_port',4002,'4002 (pxc-spvr-ft)','2022-12-07 10:15:32'),('server_port',4003,'4003 (pxc-splr-ft)','2022-12-07 10:15:32'),('server_port',4004,'4004 (pxc-roid)','2022-12-07 10:15:51'),('server_port',4005,'4005 (pxc-pin)','2022-12-07 10:15:50'),('server_port',4006,'4006 (pxc-spvr)','2022-12-07 10:15:52'),('server_port',4007,'4007 (pxc-splr)','2022-12-07 10:15:34'),('server_port',4008,'4008 (netcheque)','2022-12-07 10:15:52'),('server_port',4009,'4009 (chimera-hwm)','2022-12-07 10:15:30'),('server_port',4010,'4010 (samsung-unidex)','2022-12-07 10:15:49'),('server_port',4011,'4011 (altserviceboot)','2022-12-07 10:15:38'),('server_port',4012,'4012 (pda-gate)','2022-12-07 10:15:47'),('server_port',4013,'4013 (acl-manager)','2022-12-07 10:15:46'),('server_port',4014,'4014 (taiclock)','2022-12-07 10:15:32'),('server_port',4015,'4015 (talarian-mcast1)','2022-12-07 10:15:37'),('server_port',4016,'4016 (talarian-mcast2)','2022-12-07 10:15:36'),('server_port',4017,'4017 (talarian-mcast3)','2022-12-07 10:15:29'),('server_port',4018,'4018 (talarian-mcast4)','2022-12-07 10:15:33'),('server_port',4019,'4019 (talarian-mcast5)','2022-12-07 10:15:41'),('server_port',4020,'4020 (trap)','2022-12-07 10:15:41'),('server_port',4021,'4021 (nexus-portal)','2022-12-07 10:15:52'),('server_port',4022,'4022 (dnox)','2022-12-07 10:15:52'),('server_port',4023,'4023 (esnm-zoning)','2022-12-07 10:15:34'),('server_port',4024,'4024 (tnp1-port)','2022-12-07 10:15:43'),('server_port',4025,'4025 (partimage)','2022-12-07 10:15:50'),('server_port',4026,'4026 (as-debug)','2022-12-07 10:15:40'),('server_port',4027,'4027 (bxp)','2022-12-07 10:15:40'),('server_port',4028,'4028 (dtserver-port)','2022-12-07 10:15:46'),('server_port',4029,'4029 (ip-qsig)','2022-12-07 10:15:47'),('server_port',4030,'4030 (jdmn-port)','2022-12-07 10:15:52'),('server_port',4031,'4031 (suucp)','2022-12-07 10:15:48'),('server_port',4032,'4032 (vrts-auth-port)','2022-12-07 10:15:45'),('server_port',4033,'4033 (sanavigator)','2022-12-07 10:15:42'),('server_port',4034,'4034 (ubxd)','2022-12-07 10:15:53'),('server_port',4035,'4035 (wap-push-http)','2022-12-07 10:15:36'),('server_port',4036,'4036 (wap-push-https)','2022-12-07 10:15:32'),('server_port',4037,'4037 (ravehd)','2022-12-07 10:15:48'),('server_port',4038,'4038 (fazzt-ptp)','2022-12-07 10:15:40'),('server_port',4039,'4039 (fazzt-admin)','2022-12-07 10:15:49'),('server_port',4040,'4040 (yo-main)','2022-12-07 10:15:35'),('server_port',4041,'4041 (houston)','2022-12-07 10:15:49'),('server_port',4042,'4042 (ldxp)','2022-12-07 10:15:46'),('server_port',4043,'4043 (nirp)','2022-12-07 10:15:47'),('server_port',4044,'4044 (ltp)','2022-12-07 10:15:31'),('server_port',4045,'4045 (npp)','2022-12-07 10:15:44'),('server_port',4046,'4046 (acp-proto)','2022-12-07 10:15:38'),('server_port',4047,'4047 (ctp-state)','2022-12-07 10:15:52'),('server_port',4049,'4049 (wafs)','2022-12-07 10:15:49'),('server_port',4050,'4050 (cisco-wafs)','2022-12-07 10:15:42'),('server_port',4051,'4051 (cppdp)','2022-12-07 10:15:40'),('server_port',4052,'4052 (interact)','2022-12-07 10:15:51'),('server_port',4053,'4053 (ccu-comm-1)','2022-12-07 10:15:33'),('server_port',4054,'4054 (ccu-comm-2)','2022-12-07 10:15:48'),('server_port',4055,'4055 (ccu-comm-3)','2022-12-07 10:15:29'),('server_port',4056,'4056 (lms)','2022-12-07 10:15:30'),('server_port',4057,'4057 (wfm)','2022-12-07 10:15:44'),('server_port',4058,'4058 (kingfisher)','2022-12-07 10:15:46'),('server_port',4059,'4059 (dlms-cosem)','2022-12-07 10:15:38'),('server_port',4060,'4060 (dsmeter-iatc)','2022-12-07 10:15:45'),('server_port',4061,'4061 (ice-location)','2022-12-07 10:15:50'),('server_port',4062,'4062 (ice-slocation)','2022-12-07 10:15:30'),('server_port',4063,'4063 (ice-router)','2022-12-07 10:15:32'),('server_port',4064,'4064 (ice-srouter)','2022-12-07 10:15:46'),('server_port',4065,'4065 (avanti_cdp)','2022-12-07 10:15:45'),('server_port',4066,'4066 (pmas)','2022-12-07 10:15:47'),('server_port',4067,'4067 (idp)','2022-12-07 10:15:50'),('server_port',4068,'4068 (ipfltbcst)','2022-12-07 10:15:48'),('server_port',4069,'4069 (minger)','2022-12-07 10:15:35'),('server_port',4070,'4070 (tripe)','2022-12-07 10:15:39'),('server_port',4071,'4071 (aibkup)','2022-12-07 10:15:52'),('server_port',4072,'4072 (zieto-sock)','2022-12-07 10:15:47'),('server_port',4073,'4073 (iRAPP)','2022-12-07 10:15:46'),('server_port',4074,'4074 (cequint-cityid)','2022-12-07 10:15:43'),('server_port',4075,'4075 (perimlan)','2022-12-07 10:15:37'),('server_port',4076,'4076 (seraph)','2022-12-07 10:15:32'),('server_port',4078,'4078 (cssp)','2022-12-07 10:15:50'),('server_port',4079,'4079 (santools)','2022-12-07 10:15:47'),('server_port',4080,'4080 (lorica-in)','2022-12-07 10:15:29'),('server_port',4081,'4081 (lorica-in-sec)','2022-12-07 10:15:53'),('server_port',4082,'4082 (lorica-out)','2022-12-07 10:15:41'),('server_port',4083,'4083 (lorica-out-sec)','2022-12-07 10:15:38'),('server_port',4085,'4085 (ezmessagesrv)','2022-12-07 10:15:43'),('server_port',4087,'4087 (applusservice)','2022-12-07 10:15:45'),('server_port',4088,'4088 (npsp)','2022-12-07 10:15:44'),('server_port',4089,'4089 (opencore)','2022-12-07 10:15:50'),('server_port',4090,'4090 (omasgport)','2022-12-07 10:15:36'),('server_port',4091,'4091 (ewinstaller)','2022-12-07 10:15:48'),('server_port',4092,'4092 (ewdgs)','2022-12-07 10:15:33'),('server_port',4093,'4093 (pvxpluscs)','2022-12-07 10:15:49'),('server_port',4094,'4094 (sysrqd)','2022-12-07 10:15:44'),('server_port',4095,'4095 (xtgui)','2022-12-07 10:15:49'),('server_port',4096,'4096 (bre)','2022-12-07 10:15:37'),('server_port',4097,'4097 (patrolview)','2022-12-07 10:15:44'),('server_port',4098,'4098 (drmsfsd)','2022-12-07 10:15:46'),('server_port',4099,'4099 (dpcp)','2022-12-07 10:15:37'),('server_port',4100,'4100 (igo-incognito)','2022-12-07 10:15:35'),('server_port',4101,'4101 (brlp-0)','2022-12-07 10:15:29'),('server_port',4102,'4102 (brlp-1)','2022-12-07 10:15:45'),('server_port',4103,'4103 (brlp-2)','2022-12-07 10:15:51'),('server_port',4104,'4104 (brlp-3)','2022-12-07 10:15:41'),('server_port',4105,'4105 (shofar)','2022-12-07 10:15:45'),('server_port',4106,'4106 (synchronite)','2022-12-07 10:15:42'),('server_port',4107,'4107 (j-ac)','2022-12-07 10:15:36'),('server_port',4108,'4108 (accel)','2022-12-07 10:15:33'),('server_port',4109,'4109 (izm)','2022-12-07 10:15:44'),('server_port',4110,'4110 (g2tag)','2022-12-07 10:15:48'),('server_port',4111,'4111 (xgrid)','2022-12-07 10:15:40'),('server_port',4112,'4112 (apple-vpns-rp)','2022-12-07 10:15:39'),('server_port',4113,'4113 (aipn-reg)','2022-12-07 10:15:32'),('server_port',4114,'4114 (jomamqmonitor)','2022-12-07 10:15:52'),('server_port',4115,'4115 (cds)','2022-12-07 10:15:37'),('server_port',4116,'4116 (smartcard-tls)','2022-12-07 10:15:34'),('server_port',4117,'4117 (hillrserv)','2022-12-07 10:15:50'),('server_port',4118,'4118 (netscript)','2022-12-07 10:15:47'),('server_port',4119,'4119 (assuria-slm)','2022-12-07 10:15:52'),('server_port',4120,'4120 (minirem)','2022-12-07 10:15:30'),('server_port',4121,'4121 (e-builder)','2022-12-07 10:15:49'),('server_port',4122,'4122 (fprams)','2022-12-07 10:15:39'),('server_port',4123,'4123 (z-wave)','2022-12-07 10:15:49'),('server_port',4124,'4124 (tigv2)','2022-12-07 10:15:30'),('server_port',4125,'4125 (opsview-envoy)','2022-12-07 10:15:52'),('server_port',4126,'4126 (ddrepl)','2022-12-07 10:15:45'),('server_port',4127,'4127 (unikeypro)','2022-12-07 10:15:35'),('server_port',4128,'4128 (nufw)','2022-12-07 10:15:37'),('server_port',4129,'4129 (nuauth)','2022-12-07 10:15:42'),('server_port',4130,'4130 (fronet)','2022-12-07 10:15:45'),('server_port',4131,'4131 (stars)','2022-12-07 10:15:29'),('server_port',4132,'4132 (nuts-dem)','2022-12-07 10:15:30'),('server_port',4133,'4133 (nuts-bootp)','2022-12-07 10:15:50'),('server_port',4134,'4134 (nifty-hmi)','2022-12-07 10:15:33'),('server_port',4135,'4135 (cl-db-attach)','2022-12-07 10:15:45'),('server_port',4136,'4136 (cl-db-request)','2022-12-07 10:15:34'),('server_port',4137,'4137 (cl-db-remote)','2022-12-07 10:15:52'),('server_port',4138,'4138 (nettest)','2022-12-07 10:15:40'),('server_port',4139,'4139 (thrtx)','2022-12-07 10:15:37'),('server_port',4140,'4140 (cedros-fds)','2022-12-07 10:15:51'),('server_port',4141,'4141 (oirtgsvc)','2022-12-07 10:15:48'),('server_port',4142,'4142 (oidocsvc)','2022-12-07 10:15:41'),('server_port',4143,'4143 (oidsr)','2022-12-07 10:15:35'),('server_port',4145,'4145 (vvr-control)','2022-12-07 10:15:48'),('server_port',4146,'4146 (tgcconnect)','2022-12-07 10:15:52'),('server_port',4147,'4147 (vrxpservman)','2022-12-07 10:15:35'),('server_port',4148,'4148 (hhb-handheld)','2022-12-07 10:15:46'),('server_port',4149,'4149 (agslb)','2022-12-07 10:15:42'),('server_port',4150,'4150 (PowerAlert-nsa)','2022-12-07 10:15:43'),('server_port',4151,'4151 (menandmice-noh)','2022-12-07 10:15:31'),('server_port',4152,'4152 (idig-mux)','2022-12-07 10:15:34'),('server_port',4153,'4153 (mbl-battd)','2022-12-07 10:15:33'),('server_port',4154,'4154 (atlinks)','2022-12-07 10:15:30'),('server_port',4155,'4155 (bzr)','2022-12-07 10:15:50'),('server_port',4156,'4156 (stat-results)','2022-12-07 10:15:44'),('server_port',4157,'4157 (stat-scanner)','2022-12-07 10:15:40'),('server_port',4158,'4158 (stat-cc)','2022-12-07 10:15:42'),('server_port',4159,'4159 (nss)','2022-12-07 10:15:47'),('server_port',4160,'4160 (jini-discovery)','2022-12-07 10:15:50'),('server_port',4161,'4161 (omscontact)','2022-12-07 10:15:50'),('server_port',4162,'4162 (omstopology)','2022-12-07 10:15:39'),('server_port',4163,'4163 (silverpeakpeer)','2022-12-07 10:15:29'),('server_port',4164,'4164 (silverpeakcomm)','2022-12-07 10:15:39'),('server_port',4165,'4165 (altcp)','2022-12-07 10:15:29'),('server_port',4166,'4166 (joost)','2022-12-07 10:15:49'),('server_port',4167,'4167 (ddgn)','2022-12-07 10:15:49'),('server_port',4168,'4168 (pslicser)','2022-12-07 10:15:45'),('server_port',4169,'4169 (iadt)','2022-12-07 10:15:37'),('server_port',4170,'4170 (d-cinema-csp)','2022-12-07 10:15:41'),('server_port',4171,'4171 (ml-svnet)','2022-12-07 10:15:36'),('server_port',4172,'4172 (pcoip)','2022-12-07 10:15:39'),('server_port',4174,'4174 (smcluster)','2022-12-07 10:15:44'),('server_port',4175,'4175 (bccp)','2022-12-07 10:15:44'),('server_port',4176,'4176 (tl-ipcproxy)','2022-12-07 10:15:42'),('server_port',4177,'4177 (wello)','2022-12-07 10:15:45'),('server_port',4178,'4178 (storman)','2022-12-07 10:15:51'),('server_port',4179,'4179 (MaxumSP)','2022-12-07 10:15:38'),('server_port',4180,'4180 (httpx)','2022-12-07 10:15:30'),('server_port',4181,'4181 (macbak)','2022-12-07 10:15:42'),('server_port',4182,'4182 (pcptcpservice)','2022-12-07 10:15:45'),('server_port',4183,'4183 (cyborgnet)','2022-12-07 10:15:45'),('server_port',4184,'4184 (universe-suite)','2022-12-07 10:15:37'),('server_port',4185,'4185 (wcpp)','2022-12-07 10:15:30'),('server_port',4186,'4186 (boxbackupstore)','2022-12-07 10:15:44'),('server_port',4187,'4187 (csc-proxy)','2022-12-07 10:15:47'),('server_port',4188,'4188 (vatata)','2022-12-07 10:15:33'),('server_port',4189,'4189 (pcep)','2022-12-07 10:15:48'),('server_port',4190,'4190 (sieve)','2022-12-07 10:15:52'),('server_port',4192,'4192 (azeti)','2022-12-07 10:15:47'),('server_port',4193,'4193 (pvxplusio)','2022-12-07 10:15:39'),('server_port',4197,'4197 (hctl)','2022-12-07 10:15:48'),('server_port',4199,'4199 (eims-admin)','2022-12-07 10:15:53'),('server_port',4300,'4300 (corelccam)','2022-12-07 10:15:47'),('server_port',4301,'4301 (d-data)','2022-12-07 10:15:43'),('server_port',4302,'4302 (d-data-control)','2022-12-07 10:15:48'),('server_port',4303,'4303 (srcp)','2022-12-07 10:15:46'),('server_port',4304,'4304 (owserver)','2022-12-07 10:15:39'),('server_port',4305,'4305 (batman)','2022-12-07 10:15:53'),('server_port',4306,'4306 (pinghgl)','2022-12-07 10:15:30'),('server_port',4307,'4307 (trueconf)','2022-12-07 10:15:40'),('server_port',4308,'4308 (compx-lockview)','2022-12-07 10:15:48'),('server_port',4309,'4309 (dserver)','2022-12-07 10:15:34'),('server_port',4310,'4310 (mirrtex)','2022-12-07 10:15:49'),('server_port',4311,'4311 (p6ssmc)','2022-12-07 10:15:49'),('server_port',4312,'4312 (pscl-mgt)','2022-12-07 10:15:47'),('server_port',4313,'4313 (perrla)','2022-12-07 10:15:39'),('server_port',4314,'4314 (choiceview-agt)','2022-12-07 10:15:45'),('server_port',4316,'4316 (choiceview-clt)','2022-12-07 10:15:49'),('server_port',4320,'4320 (fdt-rcatp)','2022-12-07 10:15:44'),('server_port',4321,'4321 (rwhois)','2022-12-07 10:15:50'),('server_port',4322,'4322 (trim-event)','2022-12-07 10:15:30'),('server_port',4323,'4323 (trim-ice)','2022-12-07 10:15:39'),('server_port',4325,'4325 (geognosisman)','2022-12-07 10:15:34'),('server_port',4326,'4326 (geognosis)','2022-12-07 10:15:47'),('server_port',4327,'4327 (jaxer-web)','2022-12-07 10:15:39'),('server_port',4328,'4328 (jaxer-manager)','2022-12-07 10:15:33'),('server_port',4329,'4329 (publiqare-sync)','2022-12-07 10:15:48'),('server_port',4330,'4330 (dey-sapi)','2022-12-07 10:15:53'),('server_port',4331,'4331 (ktickets-rest)','2022-12-07 10:15:39'),('server_port',4333,'4333 (ahsp)','2022-12-07 10:15:37'),('server_port',4334,'4334 (netconf-ch-ssh)','2022-12-07 10:15:46'),('server_port',4335,'4335 (netconf-ch-tls)','2022-12-07 10:15:32'),('server_port',4336,'4336 (restconf-ch-tls)','2022-12-07 10:15:32'),('server_port',4340,'4340 (gaia)','2022-12-07 10:15:48'),('server_port',4341,'4341 (lisp-data)','2022-12-07 10:15:51'),('server_port',4342,'4342 (lisp-cons)','2022-12-07 10:15:51'),('server_port',4343,'4343 (unicall)','2022-12-07 10:15:49'),('server_port',4344,'4344 (vinainstall)','2022-12-07 10:15:40'),('server_port',4345,'4345 (m4-network-as)','2022-12-07 10:15:53'),('server_port',4346,'4346 (elanlm)','2022-12-07 10:15:39'),('server_port',4347,'4347 (lansurveyor)','2022-12-07 10:15:39'),('server_port',4348,'4348 (itose)','2022-12-07 10:15:35'),('server_port',4349,'4349 (fsportmap)','2022-12-07 10:15:43'),('server_port',4350,'4350 (net-device)','2022-12-07 10:15:31'),('server_port',4351,'4351 (plcy-net-svcs)','2022-12-07 10:15:32'),('server_port',4352,'4352 (pjlink)','2022-12-07 10:15:52'),('server_port',4353,'4353 (f5-iquery)','2022-12-07 10:15:44'),('server_port',4354,'4354 (qsnet-trans)','2022-12-07 10:15:45'),('server_port',4355,'4355 (qsnet-workst)','2022-12-07 10:15:32'),('server_port',4356,'4356 (qsnet-assist)','2022-12-07 10:15:30'),('server_port',4357,'4357 (qsnet-cond)','2022-12-07 10:15:44'),('server_port',4358,'4358 (qsnet-nucl)','2022-12-07 10:15:34'),('server_port',4359,'4359 (omabcastltkm)','2022-12-07 10:15:33'),('server_port',4360,'4360 (matrix-vnet)','2022-12-07 10:15:45'),('server_port',4368,'4368 (wxbrief)','2022-12-07 10:15:52'),('server_port',4369,'4369 (epmd)','2022-12-07 10:15:38'),('server_port',4370,'4370 (elpro-tunnel)','2022-12-07 10:15:46'),('server_port',4371,'4371 (l2c-control)','2022-12-07 10:15:31'),('server_port',4372,'4372 (l2c-data)','2022-12-07 10:15:43'),('server_port',4373,'4373 (remctl)','2022-12-07 10:15:35'),('server_port',4374,'4374 (psi-ptt)','2022-12-07 10:15:53'),('server_port',4375,'4375 (tolteces)','2022-12-07 10:15:34'),('server_port',4376,'4376 (bip)','2022-12-07 10:15:39'),('server_port',4377,'4377 (cp-spxsvr)','2022-12-07 10:15:46'),('server_port',4378,'4378 (cp-spxdpy)','2022-12-07 10:15:35'),('server_port',4379,'4379 (ctdb)','2022-12-07 10:15:34'),('server_port',4389,'4389 (xandros-cms)','2022-12-07 10:15:30'),('server_port',4390,'4390 (wiegand)','2022-12-07 10:15:49'),('server_port',4391,'4391 (apwi-imserver)','2022-12-07 10:15:53'),('server_port',4392,'4392 (apwi-rxserver)','2022-12-07 10:15:36'),('server_port',4393,'4393 (apwi-rxspooler)','2022-12-07 10:15:39'),('server_port',4395,'4395 (omnivisionesx)','2022-12-07 10:15:42'),('server_port',4396,'4396 (fly)','2022-12-07 10:15:51'),('server_port',4400,'4400 (ds-srv)','2022-12-07 10:15:46'),('server_port',4401,'4401 (ds-srvr)','2022-12-07 10:15:37'),('server_port',4402,'4402 (ds-clnt)','2022-12-07 10:15:35'),('server_port',4403,'4403 (ds-user)','2022-12-07 10:15:52'),('server_port',4404,'4404 (ds-admin)','2022-12-07 10:15:41'),('server_port',4405,'4405 (ds-mail)','2022-12-07 10:15:45'),('server_port',4406,'4406 (ds-slp)','2022-12-07 10:15:38'),('server_port',4407,'4407 (nacagent)','2022-12-07 10:15:50'),('server_port',4408,'4408 (slscc)','2022-12-07 10:15:31'),('server_port',4409,'4409 (netcabinet-com)','2022-12-07 10:15:35'),('server_port',4410,'4410 (itwo-server)','2022-12-07 10:15:53'),('server_port',4411,'4411 (found)','2022-12-07 10:15:34'),('server_port',4413,'4413 (avi-nms)','2022-12-07 10:15:44'),('server_port',4414,'4414 (updog)','2022-12-07 10:15:29'),('server_port',4415,'4415 (brcd-vr-req)','2022-12-07 10:15:35'),('server_port',4416,'4416 (pjj-player)','2022-12-07 10:15:36'),('server_port',4417,'4417 (workflowdir)','2022-12-07 10:15:35'),('server_port',4419,'4419 (cbp)','2022-12-07 10:15:46'),('server_port',4420,'4420 (nvme)','2022-12-07 10:15:37'),('server_port',4421,'4421 (scaleft)','2022-12-07 10:15:38'),('server_port',4422,'4422 (tsepisp)','2022-12-07 10:15:37'),('server_port',4423,'4423 (thingkit)','2022-12-07 10:15:47'),('server_port',4425,'4425 (netrockey6)','2022-12-07 10:15:36'),('server_port',4426,'4426 (beacon-port-2)','2022-12-07 10:15:52'),('server_port',4427,'4427 (drizzle)','2022-12-07 10:15:29'),('server_port',4428,'4428 (omviserver)','2022-12-07 10:15:39'),('server_port',4429,'4429 (omviagent)','2022-12-07 10:15:32'),('server_port',4430,'4430 (rsqlserver)','2022-12-07 10:15:49'),('server_port',4431,'4431 (wspipe)','2022-12-07 10:15:32'),('server_port',4432,'4432 (l-acoustics)','2022-12-07 10:15:35'),('server_port',4433,'4433 (vop)','2022-12-07 10:15:40'),('server_port',4442,'4442 (saris)','2022-12-07 10:15:32'),('server_port',4443,'4443 (pharos)','2022-12-07 10:15:50'),('server_port',4444,'4444 (krb524)','2022-12-07 10:15:44'),('server_port',4445,'4445 (upnotifyp)','2022-12-07 10:15:39'),('server_port',4446,'4446 (n1-fwp)','2022-12-07 10:15:35'),('server_port',4447,'4447 (n1-rmgmt)','2022-12-07 10:15:48'),('server_port',4448,'4448 (asc-slmd)','2022-12-07 10:15:45'),('server_port',4449,'4449 (privatewire)','2022-12-07 10:15:44'),('server_port',4450,'4450 (camp)','2022-12-07 10:15:37'),('server_port',4451,'4451 (ctisystemmsg)','2022-12-07 10:15:39'),('server_port',4452,'4452 (ctiprogramload)','2022-12-07 10:15:41'),('server_port',4453,'4453 (nssalertmgr)','2022-12-07 10:15:42'),('server_port',4454,'4454 (nssagentmgr)','2022-12-07 10:15:43'),('server_port',4455,'4455 (prchat-user)','2022-12-07 10:15:47'),('server_port',4456,'4456 (prchat-server)','2022-12-07 10:15:32'),('server_port',4457,'4457 (prRegister)','2022-12-07 10:15:49'),('server_port',4458,'4458 (mcp)','2022-12-07 10:15:41'),('server_port',4484,'4484 (hpssmgmt)','2022-12-07 10:15:53'),('server_port',4485,'4485 (assyst-dr)','2022-12-07 10:15:51'),('server_port',4486,'4486 (icms)','2022-12-07 10:15:34'),('server_port',4487,'4487 (prex-tcp)','2022-12-07 10:15:36'),('server_port',4488,'4488 (awacs-ice)','2022-12-07 10:15:31'),('server_port',4500,'4500 (ipsec-nat-t)','2022-12-07 10:15:45'),('server_port',4535,'4535 (ehs)','2022-12-07 10:15:51'),('server_port',4536,'4536 (ehs-ssl)','2022-12-07 10:15:43'),('server_port',4537,'4537 (wssauthsvc)','2022-12-07 10:15:36'),('server_port',4538,'4538 (swx-gate)','2022-12-07 10:15:48'),('server_port',4545,'4545 (worldscores)','2022-12-07 10:15:48'),('server_port',4546,'4546 (sf-lm)','2022-12-07 10:15:30'),('server_port',4547,'4547 (lanner-lm)','2022-12-07 10:15:37'),('server_port',4548,'4548 (synchromesh)','2022-12-07 10:15:50'),('server_port',4549,'4549 (aegate)','2022-12-07 10:15:47'),('server_port',4550,'4550 (gds-adppiw-db)','2022-12-07 10:15:41'),('server_port',4551,'4551 (ieee-mih)','2022-12-07 10:15:43'),('server_port',4552,'4552 (menandmice-mon)','2022-12-07 10:15:39'),('server_port',4553,'4553 (icshostsvc)','2022-12-07 10:15:40'),('server_port',4554,'4554 (msfrs)','2022-12-07 10:15:53'),('server_port',4555,'4555 (rsip)','2022-12-07 10:15:30'),('server_port',4556,'4556 (dtn-bundle)','2022-12-07 10:15:42'),('server_port',4559,'4559 (hylafax)','2022-12-07 10:15:38'),('server_port',4563,'4563 (amahi-anywhere)','2022-12-07 10:15:46'),('server_port',4566,'4566 (kwtc)','2022-12-07 10:15:44'),('server_port',4567,'4567 (tram)','2022-12-07 10:15:36'),('server_port',4568,'4568 (bmc-reporting)','2022-12-07 10:15:46'),('server_port',4569,'4569 (iax)','2022-12-07 10:15:39'),('server_port',4570,'4570 (deploymentmap)','2022-12-07 10:15:51'),('server_port',4573,'4573 (cardifftec-back)','2022-12-07 10:15:41'),('server_port',4590,'4590 (rid)','2022-12-07 10:15:32'),('server_port',4591,'4591 (l3t-at-an)','2022-12-07 10:15:50'),('server_port',4593,'4593 (ipt-anri-anri)','2022-12-07 10:15:48'),('server_port',4594,'4594 (ias-session)','2022-12-07 10:15:45'),('server_port',4595,'4595 (ias-paging)','2022-12-07 10:15:52'),('server_port',4596,'4596 (ias-neighbor)','2022-12-07 10:15:48'),('server_port',4597,'4597 (a21-an-1xbs)','2022-12-07 10:15:36'),('server_port',4598,'4598 (a16-an-an)','2022-12-07 10:15:36'),('server_port',4599,'4599 (a17-an-an)','2022-12-07 10:15:49'),('server_port',4600,'4600 (piranha1)','2022-12-07 10:15:50'),('server_port',4601,'4601 (piranha2)','2022-12-07 10:15:37'),('server_port',4602,'4602 (mtsserver)','2022-12-07 10:15:48'),('server_port',4603,'4603 (menandmice-upg)','2022-12-07 10:15:43'),('server_port',4604,'4604 (irp)','2022-12-07 10:15:45'),('server_port',4605,'4605 (sixchat)','2022-12-07 10:15:37'),('server_port',4658,'4658 (playsta2-app)','2022-12-07 10:15:29'),('server_port',4659,'4659 (playsta2-lob)','2022-12-07 10:15:49'),('server_port',4660,'4660 (smaclmgr)','2022-12-07 10:15:36'),('server_port',4661,'4661 (kar2ouche)','2022-12-07 10:15:34'),('server_port',4662,'4662 (oms)','2022-12-07 10:15:47'),('server_port',4663,'4663 (noteit)','2022-12-07 10:15:41'),('server_port',4664,'4664 (ems)','2022-12-07 10:15:42'),('server_port',4665,'4665 (contclientms)','2022-12-07 10:15:41'),('server_port',4666,'4666 (eportcomm)','2022-12-07 10:15:41'),('server_port',4667,'4667 (mmacomm)','2022-12-07 10:15:47'),('server_port',4668,'4668 (mmaeds)','2022-12-07 10:15:50'),('server_port',4669,'4669 (eportcommdata)','2022-12-07 10:15:31'),('server_port',4670,'4670 (light)','2022-12-07 10:15:41'),('server_port',4671,'4671 (acter)','2022-12-07 10:15:46'),('server_port',4672,'4672 (rfa)','2022-12-07 10:15:50'),('server_port',4673,'4673 (cxws)','2022-12-07 10:15:47'),('server_port',4674,'4674 (appiq-mgmt)','2022-12-07 10:15:50'),('server_port',4675,'4675 (dhct-status)','2022-12-07 10:15:50'),('server_port',4676,'4676 (dhct-alerts)','2022-12-07 10:15:36'),('server_port',4677,'4677 (bcs)','2022-12-07 10:15:32'),('server_port',4678,'4678 (traversal)','2022-12-07 10:15:51'),('server_port',4679,'4679 (mgesupervision)','2022-12-07 10:15:52'),('server_port',4680,'4680 (mgemanagement)','2022-12-07 10:15:34'),('server_port',4681,'4681 (parliant)','2022-12-07 10:15:32'),('server_port',4682,'4682 (finisar)','2022-12-07 10:15:29'),('server_port',4683,'4683 (spike)','2022-12-07 10:15:45'),('server_port',4684,'4684 (rfid-rp1)','2022-12-07 10:15:36'),('server_port',4685,'4685 (autopac)','2022-12-07 10:15:41'),('server_port',4686,'4686 (msp-os)','2022-12-07 10:15:44'),('server_port',4687,'4687 (nst)','2022-12-07 10:15:38'),('server_port',4688,'4688 (mobile-p2p)','2022-12-07 10:15:36'),('server_port',4689,'4689 (altovacentral)','2022-12-07 10:15:31'),('server_port',4690,'4690 (prelude)','2022-12-07 10:15:29'),('server_port',4691,'4691 (mtn)','2022-12-07 10:15:34'),('server_port',4692,'4692 (conspiracy)','2022-12-07 10:15:29'),('server_port',4700,'4700 (netxms-agent)','2022-12-07 10:15:35'),('server_port',4701,'4701 (netxms-mgmt)','2022-12-07 10:15:30'),('server_port',4702,'4702 (netxms-sync)','2022-12-07 10:15:48'),('server_port',4703,'4703 (npqes-test)','2022-12-07 10:15:46'),('server_port',4704,'4704 (assuria-ins)','2022-12-07 10:15:42'),('server_port',4711,'4711 (trinity-dist)','2022-12-07 10:15:53'),('server_port',4725,'4725 (truckstar)','2022-12-07 10:15:52'),('server_port',4727,'4727 (fcis)','2022-12-07 10:15:35'),('server_port',4728,'4728 (capmux)','2022-12-07 10:15:51'),('server_port',4730,'4730 (gearman)','2022-12-07 10:15:53'),('server_port',4731,'4731 (remcap)','2022-12-07 10:15:31'),('server_port',4733,'4733 (resorcs)','2022-12-07 10:15:34'),('server_port',4737,'4737 (ipdr-sp)','2022-12-07 10:15:30'),('server_port',4738,'4738 (solera-lpn)','2022-12-07 10:15:49'),('server_port',4739,'4739 (ipfix)','2022-12-07 10:15:46'),('server_port',4740,'4740 (ipfixs)','2022-12-07 10:15:41'),('server_port',4741,'4741 (lumimgrd)','2022-12-07 10:15:30'),('server_port',4742,'4742 (sicct)','2022-12-07 10:15:39'),('server_port',4743,'4743 (openhpid)','2022-12-07 10:15:38'),('server_port',4744,'4744 (ifsp)','2022-12-07 10:15:47'),('server_port',4745,'4745 (fmp)','2022-12-07 10:15:44'),('server_port',4749,'4749 (profilemac)','2022-12-07 10:15:52'),('server_port',4750,'4750 (ssad)','2022-12-07 10:15:38'),('server_port',4751,'4751 (spocp)','2022-12-07 10:15:48'),('server_port',4752,'4752 (snap)','2022-12-07 10:15:33'),('server_port',4753,'4753 (simon)','2022-12-07 10:15:39'),('server_port',4756,'4756 (RDCenter)','2022-12-07 10:15:48'),('server_port',4774,'4774 (converge)','2022-12-07 10:15:50'),('server_port',4784,'4784 (bfd-multi-ctl)','2022-12-07 10:15:40'),('server_port',4786,'4786 (smart-install)','2022-12-07 10:15:32'),('server_port',4787,'4787 (sia-ctrl-plane)','2022-12-07 10:15:48'),('server_port',4788,'4788 (xmcp)','2022-12-07 10:15:36'),('server_port',4800,'4800 (iims)','2022-12-07 10:15:40'),('server_port',4801,'4801 (iwec)','2022-12-07 10:15:33'),('server_port',4802,'4802 (ilss)','2022-12-07 10:15:39'),('server_port',4803,'4803 (notateit)','2022-12-07 10:15:46'),('server_port',4827,'4827 (htcp)','2022-12-07 10:15:31'),('server_port',4837,'4837 (varadero-0)','2022-12-07 10:15:31'),('server_port',4838,'4838 (varadero-1)','2022-12-07 10:15:34'),('server_port',4839,'4839 (varadero-2)','2022-12-07 10:15:46'),('server_port',4840,'4840 (opcua-tcp)','2022-12-07 10:15:41'),('server_port',4841,'4841 (quosa)','2022-12-07 10:15:53'),('server_port',4842,'4842 (gw-asv)','2022-12-07 10:15:44'),('server_port',4843,'4843 (opcua-tls)','2022-12-07 10:15:51'),('server_port',4844,'4844 (gw-log)','2022-12-07 10:15:43'),('server_port',4845,'4845 (wcr-remlib)','2022-12-07 10:15:45'),('server_port',4846,'4846 (contamac-icm)','2022-12-07 10:15:39'),('server_port',4847,'4847 (wfc)','2022-12-07 10:15:53'),('server_port',4848,'4848 (appserv-http)','2022-12-07 10:15:50'),('server_port',4849,'4849 (appserv-https)','2022-12-07 10:15:41'),('server_port',4850,'4850 (sun-as-nodeagt)','2022-12-07 10:15:45'),('server_port',4851,'4851 (derby-repli)','2022-12-07 10:15:46'),('server_port',4867,'4867 (unify-debug)','2022-12-07 10:15:40'),('server_port',4868,'4868 (phrelay)','2022-12-07 10:15:33'),('server_port',4869,'4869 (phrelaydbg)','2022-12-07 10:15:40'),('server_port',4870,'4870 (cc-tracking)','2022-12-07 10:15:38'),('server_port',4871,'4871 (wired)','2022-12-07 10:15:49'),('server_port',4876,'4876 (tritium-can)','2022-12-07 10:15:43'),('server_port',4877,'4877 (lmcs)','2022-12-07 10:15:46'),('server_port',4879,'4879 (wsdl-event)','2022-12-07 10:15:40'),('server_port',4880,'4880 (hislip)','2022-12-07 10:15:39'),('server_port',4883,'4883 (wmlserver)','2022-12-07 10:15:51'),('server_port',4884,'4884 (hivestor)','2022-12-07 10:15:39'),('server_port',4885,'4885 (abbs)','2022-12-07 10:15:36'),('server_port',4888,'4888 (xcap-portal)','2022-12-07 10:15:38'),('server_port',4889,'4889 (xcap-control)','2022-12-07 10:15:34'),('server_port',4894,'4894 (lyskom)','2022-12-07 10:15:44'),('server_port',4899,'4899 (radmin-port)','2022-12-07 10:15:35'),('server_port',4900,'4900 (hfcs)','2022-12-07 10:15:50'),('server_port',4901,'4901 (flr-agent)','2022-12-07 10:15:30'),('server_port',4902,'4902 (magiccontrol)','2022-12-07 10:15:34'),('server_port',4912,'4912 (lutap)','2022-12-07 10:15:35'),('server_port',4913,'4913 (lutcp)','2022-12-07 10:15:37'),('server_port',4914,'4914 (bones)','2022-12-07 10:15:45'),('server_port',4915,'4915 (frcs)','2022-12-07 10:15:46'),('server_port',4940,'4940 (eq-office-4940)','2022-12-07 10:15:31'),('server_port',4941,'4941 (eq-office-4941)','2022-12-07 10:15:34'),('server_port',4942,'4942 (eq-office-4942)','2022-12-07 10:15:41'),('server_port',4949,'4949 (munin)','2022-12-07 10:15:33'),('server_port',4950,'4950 (sybasesrvmon)','2022-12-07 10:15:33'),('server_port',4951,'4951 (pwgwims)','2022-12-07 10:15:47'),('server_port',4952,'4952 (sagxtsds)','2022-12-07 10:15:49'),('server_port',4953,'4953 (dbsyncarbiter)','2022-12-07 10:15:51'),('server_port',4969,'4969 (ccss-qmm)','2022-12-07 10:15:47'),('server_port',4970,'4970 (ccss-qsm)','2022-12-07 10:15:33'),('server_port',4971,'4971 (burp)','2022-12-07 10:15:45'),('server_port',4984,'4984 (webyast)','2022-12-07 10:15:48'),('server_port',4985,'4985 (gerhcs)','2022-12-07 10:15:38'),('server_port',4986,'4986 (mrip)','2022-12-07 10:15:36'),('server_port',4987,'4987 (smar-se-port1)','2022-12-07 10:15:30'),('server_port',4988,'4988 (smar-se-port2)','2022-12-07 10:15:48'),('server_port',4989,'4989 (parallel)','2022-12-07 10:15:42'),('server_port',4990,'4990 (busycal)','2022-12-07 10:15:41'),('server_port',4991,'4991 (vrt)','2022-12-07 10:15:41'),('server_port',4999,'4999 (hfcs-manager)','2022-12-07 10:15:33'),('server_port',5000,'5000 (commplex-main)','2022-12-07 10:15:37'),('server_port',5001,'5001 (commplex-link)','2022-12-07 10:15:40'),('server_port',5002,'5002 (rfe)','2022-12-07 10:15:36'),('server_port',5003,'5003 (fmpro-internal)','2022-12-07 10:15:48'),('server_port',5004,'5004 (avt-profile-1)','2022-12-07 10:15:30'),('server_port',5005,'5005 (avt-profile-2)','2022-12-07 10:15:50'),('server_port',5006,'5006 (wsm-server)','2022-12-07 10:15:43'),('server_port',5007,'5007 (wsm-server-ssl)','2022-12-07 10:15:42'),('server_port',5008,'5008 (synapsis-edge)','2022-12-07 10:15:45'),('server_port',5009,'5009 (winfs)','2022-12-07 10:15:49'),('server_port',5010,'5010 (telelpathstart)','2022-12-07 10:15:37'),('server_port',5011,'5011 (telelpathattack)','2022-12-07 10:15:29'),('server_port',5012,'5012 (nsp)','2022-12-07 10:15:52'),('server_port',5013,'5013 (fmpro-v6)','2022-12-07 10:15:40'),('server_port',5015,'5015 (fmwp)','2022-12-07 10:15:35'),('server_port',5020,'5020 (zenginkyo-1)','2022-12-07 10:15:34'),('server_port',5021,'5021 (zenginkyo-2)','2022-12-07 10:15:48'),('server_port',5022,'5022 (mice)','2022-12-07 10:15:33'),('server_port',5023,'5023 (htuilsrv)','2022-12-07 10:15:33'),('server_port',5024,'5024 (scpi-telnet)','2022-12-07 10:15:47'),('server_port',5025,'5025 (scpi-raw)','2022-12-07 10:15:44'),('server_port',5026,'5026 (strexec-d)','2022-12-07 10:15:33'),('server_port',5027,'5027 (strexec-s)','2022-12-07 10:15:38'),('server_port',5028,'5028 (qvr)','2022-12-07 10:15:41'),('server_port',5029,'5029 (infobright)','2022-12-07 10:15:49'),('server_port',5030,'5030 (surfpass)','2022-12-07 10:15:37'),('server_port',5032,'5032 (signacert-agent)','2022-12-07 10:15:51'),('server_port',5033,'5033 (jtnetd-server)','2022-12-07 10:15:37'),('server_port',5034,'5034 (jtnetd-status)','2022-12-07 10:15:38'),('server_port',5042,'5042 (asnaacceler8db)','2022-12-07 10:15:42'),('server_port',5043,'5043 (swxadmin)','2022-12-07 10:15:40'),('server_port',5044,'5044 (lxi-evntsvc)','2022-12-07 10:15:32'),('server_port',5045,'5045 (osp)','2022-12-07 10:15:48'),('server_port',5048,'5048 (texai)','2022-12-07 10:15:34'),('server_port',5049,'5049 (ivocalize)','2022-12-07 10:15:47'),('server_port',5050,'5050 (mmcc)','2022-12-07 10:15:37'),('server_port',5051,'5051 (ita-agent)','2022-12-07 10:15:42'),('server_port',5052,'5052 (ita-manager)','2022-12-07 10:15:30'),('server_port',5053,'5053 (rlm)','2022-12-07 10:15:33'),('server_port',5054,'5054 (rlm-admin)','2022-12-07 10:15:44'),('server_port',5055,'5055 (unot)','2022-12-07 10:15:45'),('server_port',5056,'5056 (intecom-ps1)','2022-12-07 10:15:51'),('server_port',5057,'5057 (intecom-ps2)','2022-12-07 10:15:51'),('server_port',5059,'5059 (sds)','2022-12-07 10:15:29'),('server_port',5060,'5060 (sip)','2022-12-07 10:15:50'),('server_port',5061,'5061 (sips)','2022-12-07 10:15:33'),('server_port',5062,'5062 (na-localise)','2022-12-07 10:15:38'),('server_port',5063,'5063 (csrpc)','2022-12-07 10:15:37'),('server_port',5064,'5064 (ca-1)','2022-12-07 10:15:39'),('server_port',5065,'5065 (ca-2)','2022-12-07 10:15:50'),('server_port',5066,'5066 (stanag-5066)','2022-12-07 10:15:36'),('server_port',5067,'5067 (authentx)','2022-12-07 10:15:46'),('server_port',5068,'5068 (bitforestsrv)','2022-12-07 10:15:50'),('server_port',5069,'5069 (i-net-2000-npr)','2022-12-07 10:15:43'),('server_port',5070,'5070 (vtsas)','2022-12-07 10:15:30'),('server_port',5071,'5071 (powerschool)','2022-12-07 10:15:38'),('server_port',5072,'5072 (ayiya)','2022-12-07 10:15:31'),('server_port',5073,'5073 (tag-pm)','2022-12-07 10:15:51'),('server_port',5074,'5074 (alesquery)','2022-12-07 10:15:45'),('server_port',5075,'5075 (pvaccess)','2022-12-07 10:15:52'),('server_port',5080,'5080 (onscreen)','2022-12-07 10:15:33'),('server_port',5081,'5081 (sdl-ets)','2022-12-07 10:15:35'),('server_port',5082,'5082 (qcp)','2022-12-07 10:15:30'),('server_port',5083,'5083 (qfp)','2022-12-07 10:15:38'),('server_port',5084,'5084 (llrp)','2022-12-07 10:15:33'),('server_port',5085,'5085 (encrypted-llrp)','2022-12-07 10:15:35'),('server_port',5086,'5086 (aprigo-cs)','2022-12-07 10:15:37'),('server_port',5087,'5087 (biotic)','2022-12-07 10:15:47'),('server_port',5093,'5093 (sentinel-lm)','2022-12-07 10:15:45'),('server_port',5094,'5094 (hart-ip)','2022-12-07 10:15:43'),('server_port',5099,'5099 (sentlm-srv2srv)','2022-12-07 10:15:52'),('server_port',5100,'5100 (socalia)','2022-12-07 10:15:30'),('server_port',5101,'5101 (talarian-tcp)','2022-12-07 10:15:38'),('server_port',5102,'5102 (oms-nonsecure)','2022-12-07 10:15:39'),('server_port',5103,'5103 (actifio-c2c)','2022-12-07 10:15:50'),('server_port',5106,'5106 (actifioudsagent)','2022-12-07 10:15:32'),('server_port',5107,'5107 (actifioreplic)','2022-12-07 10:15:41'),('server_port',5111,'5111 (taep-as-svc)','2022-12-07 10:15:37'),('server_port',5112,'5112 (pm-cmdsvr)','2022-12-07 10:15:35'),('server_port',5114,'5114 (ev-services)','2022-12-07 10:15:49'),('server_port',5115,'5115 (autobuild)','2022-12-07 10:15:38'),('server_port',5117,'5117 (gradecam)','2022-12-07 10:15:47'),('server_port',5120,'5120 (barracuda-bbs)','2022-12-07 10:15:31'),('server_port',5133,'5133 (nbt-pc)','2022-12-07 10:15:37'),('server_port',5134,'5134 (ppactivation)','2022-12-07 10:15:30'),('server_port',5135,'5135 (erp-scale)','2022-12-07 10:15:49'),('server_port',5137,'5137 (ctsd)','2022-12-07 10:15:35'),('server_port',5145,'5145 (rmonitor-secure)','2022-12-07 10:15:50'),('server_port',5146,'5146 (social-alarm)','2022-12-07 10:15:36'),('server_port',5150,'5150 (atmp)','2022-12-07 10:15:47'),('server_port',5151,'5151 (esri-sde)','2022-12-07 10:15:41'),('server_port',5152,'5152 (sde-discovery)','2022-12-07 10:15:48'),('server_port',5154,'5154 (bzflag)','2022-12-07 10:15:37'),('server_port',5155,'5155 (asctrl-agent)','2022-12-07 10:15:47'),('server_port',5156,'5156 (rugameonline)','2022-12-07 10:15:44'),('server_port',5157,'5157 (mediat)','2022-12-07 10:15:40'),('server_port',5161,'5161 (snmpssh)','2022-12-07 10:15:46'),('server_port',5162,'5162 (snmpssh-trap)','2022-12-07 10:15:43'),('server_port',5163,'5163 (sbackup)','2022-12-07 10:15:49'),('server_port',5164,'5164 (vpa)','2022-12-07 10:15:47'),('server_port',5165,'5165 (ife-icorp)','2022-12-07 10:15:34'),('server_port',5166,'5166 (winpcs)','2022-12-07 10:15:45'),('server_port',5167,'5167 (scte104)','2022-12-07 10:15:35'),('server_port',5168,'5168 (scte30)','2022-12-07 10:15:48'),('server_port',5172,'5172 (pcoip-mgmt)','2022-12-07 10:15:34'),('server_port',5190,'5190 (aol)','2022-12-07 10:15:47'),('server_port',5191,'5191 (aol-1)','2022-12-07 10:15:50'),('server_port',5192,'5192 (aol-2)','2022-12-07 10:15:45'),('server_port',5193,'5193 (aol-3)','2022-12-07 10:15:51'),('server_port',5194,'5194 (cpscomm)','2022-12-07 10:15:30'),('server_port',5195,'5195 (ampl-lic)','2022-12-07 10:15:46'),('server_port',5196,'5196 (ampl-tableproxy)','2022-12-07 10:15:40'),('server_port',5197,'5197 (tunstall-lwp)','2022-12-07 10:15:37'),('server_port',5200,'5200 (targus-getdata)','2022-12-07 10:15:33'),('server_port',5201,'5201 (targus-getdata1)','2022-12-07 10:15:31'),('server_port',5202,'5202 (targus-getdata2)','2022-12-07 10:15:50'),('server_port',5203,'5203 (targus-getdata3)','2022-12-07 10:15:50'),('server_port',5209,'5209 (nomad)','2022-12-07 10:15:29'),('server_port',5215,'5215 (noteza)','2022-12-07 10:15:44'),('server_port',5221,'5221 (3exmp)','2022-12-07 10:15:37'),('server_port',5222,'5222 (xmpp-client)','2022-12-07 10:15:41'),('server_port',5223,'5223 (hpvirtgrp)','2022-12-07 10:15:36'),('server_port',5224,'5224 (hpvirtctrl)','2022-12-07 10:15:50'),('server_port',5225,'5225 (hp-server)','2022-12-07 10:15:36'),('server_port',5226,'5226 (hp-status)','2022-12-07 10:15:49'),('server_port',5227,'5227 (perfd)','2022-12-07 10:15:45'),('server_port',5228,'5228 (hpvroom)','2022-12-07 10:15:31'),('server_port',5229,'5229 (jaxflow)','2022-12-07 10:15:52'),('server_port',5230,'5230 (jaxflow-data)','2022-12-07 10:15:43'),('server_port',5231,'5231 (crusecontrol)','2022-12-07 10:15:47'),('server_port',5232,'5232 (csedaemon)','2022-12-07 10:15:46'),('server_port',5233,'5233 (enfs)','2022-12-07 10:15:50'),('server_port',5234,'5234 (eenet)','2022-12-07 10:15:39'),('server_port',5235,'5235 (galaxy-network)','2022-12-07 10:15:51'),('server_port',5236,'5236 (padl2sim)','2022-12-07 10:15:53'),('server_port',5237,'5237 (mnet-discovery)','2022-12-07 10:15:50'),('server_port',5245,'5245 (downtools)','2022-12-07 10:15:42'),('server_port',5248,'5248 (caacws)','2022-12-07 10:15:39'),('server_port',5249,'5249 (caaclang2)','2022-12-07 10:15:37'),('server_port',5250,'5250 (soagateway)','2022-12-07 10:15:35'),('server_port',5251,'5251 (caevms)','2022-12-07 10:15:32'),('server_port',5252,'5252 (movaz-ssc)','2022-12-07 10:15:50'),('server_port',5253,'5253 (kpdp)','2022-12-07 10:15:43'),('server_port',5254,'5254 (logcabin)','2022-12-07 10:15:37'),('server_port',5264,'5264 (3com-njack-1)','2022-12-07 10:15:47'),('server_port',5265,'5265 (3com-njack-2)','2022-12-07 10:15:47'),('server_port',5269,'5269 (xmpp-server)','2022-12-07 10:15:34'),('server_port',5270,'5270 (cartographerxmp)','2022-12-07 10:15:37'),('server_port',5271,'5271 (cuelink)','2022-12-07 10:15:38'),('server_port',5272,'5272 (pk)','2022-12-07 10:15:38'),('server_port',5280,'5280 (xmpp-bosh)','2022-12-07 10:15:34'),('server_port',5281,'5281 (undo-lm)','2022-12-07 10:15:45'),('server_port',5282,'5282 (transmit-port)','2022-12-07 10:15:40'),('server_port',5298,'5298 (presence)','2022-12-07 10:15:51'),('server_port',5299,'5299 (nlg-data)','2022-12-07 10:15:39'),('server_port',5300,'5300 (hacl-hb)','2022-12-07 10:15:30'),('server_port',5301,'5301 (hacl-gs)','2022-12-07 10:15:35'),('server_port',5302,'5302 (hacl-cfg)','2022-12-07 10:15:43'),('server_port',5303,'5303 (hacl-probe)','2022-12-07 10:15:43'),('server_port',5304,'5304 (hacl-local)','2022-12-07 10:15:43'),('server_port',5305,'5305 (hacl-test)','2022-12-07 10:15:40'),('server_port',5306,'5306 (sun-mc-grp)','2022-12-07 10:15:40'),('server_port',5307,'5307 (sco-aip)','2022-12-07 10:15:42'),('server_port',5308,'5308 (cfengine)','2022-12-07 10:15:46'),('server_port',5309,'5309 (jprinter)','2022-12-07 10:15:31'),('server_port',5310,'5310 (outlaws)','2022-12-07 10:15:41'),('server_port',5312,'5312 (permabit-cs)','2022-12-07 10:15:50'),('server_port',5313,'5313 (rrdp)','2022-12-07 10:15:48'),('server_port',5314,'5314 (opalis-rbt-ipc)','2022-12-07 10:15:36'),('server_port',5315,'5315 (hacl-poll)','2022-12-07 10:15:50'),('server_port',5316,'5316 (hpbladems)','2022-12-07 10:15:52'),('server_port',5317,'5317 (hpdevms)','2022-12-07 10:15:51'),('server_port',5318,'5318 (pkix-cmc)','2022-12-07 10:15:52'),('server_port',5320,'5320 (bsfserver-zn)','2022-12-07 10:15:44'),('server_port',5321,'5321 (bsfsvr-zn-ssl)','2022-12-07 10:15:42'),('server_port',5343,'5343 (kfserver)','2022-12-07 10:15:35'),('server_port',5344,'5344 (xkotodrcp)','2022-12-07 10:15:37'),('server_port',5349,'5349 (stun-behaviors)','2022-12-07 10:15:50'),('server_port',5352,'5352 (dns-llq)','2022-12-07 10:15:51'),('server_port',5353,'5353 (mdns)','2022-12-07 10:15:36'),('server_port',5354,'5354 (mdnsresponder)','2022-12-07 10:15:49'),('server_port',5355,'5355 (llmnr)','2022-12-07 10:15:43'),('server_port',5356,'5356 (ms-smlbiz)','2022-12-07 10:15:51'),('server_port',5357,'5357 (wsdapi)','2022-12-07 10:15:42'),('server_port',5358,'5358 (wsdapi-s)','2022-12-07 10:15:29'),('server_port',5359,'5359 (ms-alerter)','2022-12-07 10:15:48'),('server_port',5360,'5360 (ms-sideshow)','2022-12-07 10:15:50'),('server_port',5361,'5361 (ms-s-sideshow)','2022-12-07 10:15:40'),('server_port',5362,'5362 (serverwsd2)','2022-12-07 10:15:45'),('server_port',5363,'5363 (net-projection)','2022-12-07 10:15:39'),('server_port',5397,'5397 (stresstester)','2022-12-07 10:15:51'),('server_port',5398,'5398 (elektron-admin)','2022-12-07 10:15:49'),('server_port',5399,'5399 (securitychase)','2022-12-07 10:15:42'),('server_port',5400,'5400 (excerpt)','2022-12-07 10:15:42'),('server_port',5401,'5401 (excerpts)','2022-12-07 10:15:39'),('server_port',5402,'5402 (mftp)','2022-12-07 10:15:45'),('server_port',5403,'5403 (hpoms-ci-lstn)','2022-12-07 10:15:51'),('server_port',5404,'5404 (hpoms-dps-lstn)','2022-12-07 10:15:45'),('server_port',5405,'5405 (netsupport)','2022-12-07 10:15:34'),('server_port',5406,'5406 (systemics-sox)','2022-12-07 10:15:40'),('server_port',5407,'5407 (foresyte-clear)','2022-12-07 10:15:43'),('server_port',5408,'5408 (foresyte-sec)','2022-12-07 10:15:46'),('server_port',5409,'5409 (salient-dtasrv)','2022-12-07 10:15:40'),('server_port',5410,'5410 (salient-usrmgr)','2022-12-07 10:15:53'),('server_port',5411,'5411 (actnet)','2022-12-07 10:15:32'),('server_port',5412,'5412 (continuus)','2022-12-07 10:15:50'),('server_port',5413,'5413 (wwiotalk)','2022-12-07 10:15:52'),('server_port',5414,'5414 (statusd)','2022-12-07 10:15:32'),('server_port',5415,'5415 (ns-server)','2022-12-07 10:15:48'),('server_port',5416,'5416 (sns-gateway)','2022-12-07 10:15:36'),('server_port',5417,'5417 (sns-agent)','2022-12-07 10:15:31'),('server_port',5418,'5418 (mcntp)','2022-12-07 10:15:41'),('server_port',5419,'5419 (dj-ice)','2022-12-07 10:15:50'),('server_port',5420,'5420 (cylink-c)','2022-12-07 10:15:50'),('server_port',5421,'5421 (netsupport2)','2022-12-07 10:15:30'),('server_port',5422,'5422 (salient-mux)','2022-12-07 10:15:33'),('server_port',5423,'5423 (virtualuser)','2022-12-07 10:15:41'),('server_port',5424,'5424 (beyond-remote)','2022-12-07 10:15:35'),('server_port',5425,'5425 (br-channel)','2022-12-07 10:15:43'),('server_port',5426,'5426 (devbasic)','2022-12-07 10:15:31'),('server_port',5427,'5427 (sco-peer-tta)','2022-12-07 10:15:38'),('server_port',5428,'5428 (telaconsole)','2022-12-07 10:15:38'),('server_port',5429,'5429 (base)','2022-12-07 10:15:45'),('server_port',5430,'5430 (radec-corp)','2022-12-07 10:15:49'),('server_port',5431,'5431 (park-agent)','2022-12-07 10:15:30'),('server_port',5432,'5432 (postgresql)','2022-12-07 10:15:32'),('server_port',5433,'5433 (pyrrho)','2022-12-07 10:15:35'),('server_port',5434,'5434 (sgi-arrayd)','2022-12-07 10:15:35'),('server_port',5435,'5435 (sceanics)','2022-12-07 10:15:31'),('server_port',5443,'5443 (spss)','2022-12-07 10:15:40'),('server_port',5445,'5445 (smbdirect)','2022-12-07 10:15:51'),('server_port',5450,'5450 (tiepie)','2022-12-07 10:15:31'),('server_port',5453,'5453 (surebox)','2022-12-07 10:15:47'),('server_port',5454,'5454 (apc-5454)','2022-12-07 10:15:35'),('server_port',5455,'5455 (apc-5455)','2022-12-07 10:15:36'),('server_port',5456,'5456 (apc-5456)','2022-12-07 10:15:42'),('server_port',5461,'5461 (silkmeter)','2022-12-07 10:15:45'),('server_port',5462,'5462 (ttl-publisher)','2022-12-07 10:15:39'),('server_port',5463,'5463 (ttlpriceproxy)','2022-12-07 10:15:32'),('server_port',5464,'5464 (quailnet)','2022-12-07 10:15:44'),('server_port',5465,'5465 (netops-broker)','2022-12-07 10:15:40'),('server_port',5470,'5470 (apsolab-col)','2022-12-07 10:15:51'),('server_port',5471,'5471 (apsolab-cols)','2022-12-07 10:15:45'),('server_port',5472,'5472 (apsolab-tag)','2022-12-07 10:15:44'),('server_port',5473,'5473 (apsolab-tags)','2022-12-07 10:15:34'),('server_port',5475,'5475 (apsolab-data)','2022-12-07 10:15:31'),('server_port',5500,'5500 (fcp-addr-srvr1)','2022-12-07 10:15:38'),('server_port',5501,'5501 (fcp-addr-srvr2)','2022-12-07 10:15:49'),('server_port',5502,'5502 (fcp-srvr-inst1)','2022-12-07 10:15:37'),('server_port',5503,'5503 (fcp-srvr-inst2)','2022-12-07 10:15:36'),('server_port',5504,'5504 (fcp-cics-gw1)','2022-12-07 10:15:52'),('server_port',5505,'5505 (checkoutdb)','2022-12-07 10:15:39'),('server_port',5506,'5506 (amc)','2022-12-07 10:15:48'),('server_port',5507,'5507 (psl-management)','2022-12-07 10:15:46'),('server_port',5550,'5550 (cbus)','2022-12-07 10:15:30'),('server_port',5553,'5553 (sgi-eventmond)','2022-12-07 10:15:36'),('server_port',5554,'5554 (sgi-esphttp)','2022-12-07 10:15:50'),('server_port',5555,'5555 (personal-agent)','2022-12-07 10:15:36'),('server_port',5556,'5556 (freeciv)','2022-12-07 10:15:39'),('server_port',5557,'5557 (farenet)','2022-12-07 10:15:33'),('server_port',5565,'5565 (hpe-dp-bura)','2022-12-07 10:15:37'),('server_port',5566,'5566 (westec-connect)','2022-12-07 10:15:37'),('server_port',5567,'5567 (dof-dps-mc-sec)','2022-12-07 10:15:47'),('server_port',5568,'5568 (sdt)','2022-12-07 10:15:44'),('server_port',5569,'5569 (rdmnet-ctrl)','2022-12-07 10:15:41'),('server_port',5573,'5573 (sdmmp)','2022-12-07 10:15:51'),('server_port',5574,'5574 (lsi-bobcat)','2022-12-07 10:15:47'),('server_port',5575,'5575 (ora-oap)','2022-12-07 10:15:36'),('server_port',5579,'5579 (fdtracks)','2022-12-07 10:15:36'),('server_port',5580,'5580 (tmosms0)','2022-12-07 10:15:31'),('server_port',5581,'5581 (tmosms1)','2022-12-07 10:15:52'),('server_port',5582,'5582 (fac-restore)','2022-12-07 10:15:47'),('server_port',5583,'5583 (tmo-icon-sync)','2022-12-07 10:15:45'),('server_port',5584,'5584 (bis-web)','2022-12-07 10:15:44'),('server_port',5585,'5585 (bis-sync)','2022-12-07 10:15:29'),('server_port',5586,'5586 (att-mt-sms)','2022-12-07 10:15:53'),('server_port',5597,'5597 (ininmessaging)','2022-12-07 10:15:42'),('server_port',5598,'5598 (mctfeed)','2022-12-07 10:15:41'),('server_port',5599,'5599 (esinstall)','2022-12-07 10:15:51'),('server_port',5600,'5600 (esmmanager)','2022-12-07 10:15:34'),('server_port',5601,'5601 (esmagent)','2022-12-07 10:15:37'),('server_port',5602,'5602 (a1-msc)','2022-12-07 10:15:51'),('server_port',5603,'5603 (a1-bs)','2022-12-07 10:15:47'),('server_port',5604,'5604 (a3-sdunode)','2022-12-07 10:15:40'),('server_port',5605,'5605 (a4-sdunode)','2022-12-07 10:15:32'),('server_port',5618,'5618 (efr)','2022-12-07 10:15:50'),('server_port',5627,'5627 (ninaf)','2022-12-07 10:15:45'),('server_port',5628,'5628 (htrust)','2022-12-07 10:15:35'),('server_port',5629,'5629 (symantec-sfdb)','2022-12-07 10:15:44'),('server_port',5630,'5630 (precise-comm)','2022-12-07 10:15:47'),('server_port',5631,'5631 (pcanywheredata)','2022-12-07 10:15:44'),('server_port',5632,'5632 (pcanywherestat)','2022-12-07 10:15:40'),('server_port',5633,'5633 (beorl)','2022-12-07 10:15:52'),('server_port',5634,'5634 (xprtld)','2022-12-07 10:15:34'),('server_port',5635,'5635 (sfmsso)','2022-12-07 10:15:52'),('server_port',5636,'5636 (sfm-db-server)','2022-12-07 10:15:35'),('server_port',5637,'5637 (cssc)','2022-12-07 10:15:40'),('server_port',5638,'5638 (flcrs)','2022-12-07 10:15:40'),('server_port',5639,'5639 (ics)','2022-12-07 10:15:40'),('server_port',5646,'5646 (vfmobile)','2022-12-07 10:15:36'),('server_port',5666,'5666 (nrpe)','2022-12-07 10:15:36'),('server_port',5670,'5670 (filemq)','2022-12-07 10:15:31'),('server_port',5671,'5671 (amqps)','2022-12-07 10:15:43'),('server_port',5672,'5672 (amqp)','2022-12-07 10:15:49'),('server_port',5673,'5673 (jms)','2022-12-07 10:15:49'),('server_port',5674,'5674 (hyperscsi-port)','2022-12-07 10:15:53'),('server_port',5675,'5675 (v5ua)','2022-12-07 10:15:31'),('server_port',5676,'5676 (raadmin)','2022-12-07 10:15:32'),('server_port',5677,'5677 (questdb2-lnchr)','2022-12-07 10:15:35'),('server_port',5678,'5678 (rrac)','2022-12-07 10:15:43'),('server_port',5679,'5679 (dccm)','2022-12-07 10:15:51'),('server_port',5680,'5680 (auriga-router)','2022-12-07 10:15:43'),('server_port',5681,'5681 (ncxcp)','2022-12-07 10:15:41'),('server_port',5683,'5683 (coap)','2022-12-07 10:15:38'),('server_port',5684,'5684 (coaps)','2022-12-07 10:15:53'),('server_port',5688,'5688 (ggz)','2022-12-07 10:15:41'),('server_port',5689,'5689 (qmvideo)','2022-12-07 10:15:40'),('server_port',5693,'5693 (rbsystem)','2022-12-07 10:15:53'),('server_port',5696,'5696 (kmip)','2022-12-07 10:15:41'),('server_port',5700,'5700 (supportassist)','2022-12-07 10:15:35'),('server_port',5705,'5705 (storageos)','2022-12-07 10:15:48'),('server_port',5713,'5713 (proshareaudio)','2022-12-07 10:15:42'),('server_port',5714,'5714 (prosharevideo)','2022-12-07 10:15:46'),('server_port',5715,'5715 (prosharedata)','2022-12-07 10:15:51'),('server_port',5716,'5716 (prosharerequest)','2022-12-07 10:15:38'),('server_port',5717,'5717 (prosharenotify)','2022-12-07 10:15:50'),('server_port',5718,'5718 (dpm)','2022-12-07 10:15:37'),('server_port',5719,'5719 (dpm-agent)','2022-12-07 10:15:45'),('server_port',5720,'5720 (ms-licensing)','2022-12-07 10:15:34'),('server_port',5721,'5721 (dtpt)','2022-12-07 10:15:31'),('server_port',5722,'5722 (msdfsr)','2022-12-07 10:15:45'),('server_port',5723,'5723 (omhs)','2022-12-07 10:15:42'),('server_port',5724,'5724 (omsdk)','2022-12-07 10:15:42'),('server_port',5725,'5725 (ms-ilm)','2022-12-07 10:15:35'),('server_port',5726,'5726 (ms-ilm-sts)','2022-12-07 10:15:40'),('server_port',5727,'5727 (asgenf)','2022-12-07 10:15:43'),('server_port',5728,'5728 (io-dist-data)','2022-12-07 10:15:48'),('server_port',5729,'5729 (openmail)','2022-12-07 10:15:34'),('server_port',5730,'5730 (unieng)','2022-12-07 10:15:35'),('server_port',5741,'5741 (ida-discover1)','2022-12-07 10:15:50'),('server_port',5742,'5742 (ida-discover2)','2022-12-07 10:15:43'),('server_port',5743,'5743 (watchdoc-pod)','2022-12-07 10:15:34'),('server_port',5744,'5744 (watchdoc)','2022-12-07 10:15:44'),('server_port',5745,'5745 (fcopy-server)','2022-12-07 10:15:39'),('server_port',5746,'5746 (fcopys-server)','2022-12-07 10:15:52'),('server_port',5747,'5747 (tunatic)','2022-12-07 10:15:42'),('server_port',5748,'5748 (tunalyzer)','2022-12-07 10:15:31'),('server_port',5750,'5750 (rscd)','2022-12-07 10:15:49'),('server_port',5755,'5755 (openmailg)','2022-12-07 10:15:43'),('server_port',5757,'5757 (x500ms)','2022-12-07 10:15:44'),('server_port',5766,'5766 (openmailns)','2022-12-07 10:15:37'),('server_port',5767,'5767 (s-openmail)','2022-12-07 10:15:36'),('server_port',5768,'5768 (openmailpxy)','2022-12-07 10:15:45'),('server_port',5769,'5769 (spramsca)','2022-12-07 10:15:47'),('server_port',5770,'5770 (spramsd)','2022-12-07 10:15:45'),('server_port',5771,'5771 (netagent)','2022-12-07 10:15:51'),('server_port',5777,'5777 (dali-port)','2022-12-07 10:15:34'),('server_port',5780,'5780 (vts-rpc)','2022-12-07 10:15:50'),('server_port',5781,'5781 (3par-evts)','2022-12-07 10:15:36'),('server_port',5782,'5782 (3par-mgmt)','2022-12-07 10:15:35'),('server_port',5783,'5783 (3par-mgmt-ssl)','2022-12-07 10:15:50'),('server_port',5785,'5785 (3par-rcopy)','2022-12-07 10:15:53'),('server_port',5793,'5793 (xtreamx)','2022-12-07 10:15:49'),('server_port',5813,'5813 (icmpd)','2022-12-07 10:15:42'),('server_port',5814,'5814 (spt-automation)','2022-12-07 10:15:41'),('server_port',5841,'5841 (shiprush-d-ch)','2022-12-07 10:15:31'),('server_port',5842,'5842 (reversion)','2022-12-07 10:15:40'),('server_port',5859,'5859 (wherehoo)','2022-12-07 10:15:41'),('server_port',5863,'5863 (ppsuitemsg)','2022-12-07 10:15:42'),('server_port',5868,'5868 (diameters)','2022-12-07 10:15:38'),('server_port',5883,'5883 (jute)','2022-12-07 10:15:33'),('server_port',5900,'5900 (rfb)','2022-12-07 10:15:32'),('server_port',5910,'5910 (cm)','2022-12-07 10:15:53'),('server_port',5911,'5911 (cpdlc)','2022-12-07 10:15:50'),('server_port',5912,'5912 (fis)','2022-12-07 10:15:31'),('server_port',5913,'5913 (ads-c)','2022-12-07 10:15:35'),('server_port',5963,'5963 (indy)','2022-12-07 10:15:39'),('server_port',5968,'5968 (mppolicy-v5)','2022-12-07 10:15:48'),('server_port',5969,'5969 (mppolicy-mgr)','2022-12-07 10:15:33'),('server_port',5984,'5984 (couchdb)','2022-12-07 10:15:52'),('server_port',5985,'5985 (wsman)','2022-12-07 10:15:43'),('server_port',5986,'5986 (wsmans)','2022-12-07 10:15:47'),('server_port',5987,'5987 (wbem-rmi)','2022-12-07 10:15:49'),('server_port',5988,'5988 (wbem-http)','2022-12-07 10:15:44'),('server_port',5989,'5989 (wbem-https)','2022-12-07 10:15:35'),('server_port',5990,'5990 (wbem-exp-https)','2022-12-07 10:15:36'),('server_port',5991,'5991 (nuxsl)','2022-12-07 10:15:49'),('server_port',5992,'5992 (consul-insight)','2022-12-07 10:15:50'),('server_port',5993,'5993 (cim-rs)','2022-12-07 10:15:37'),('server_port',5999,'5999 (cvsup)','2022-12-07 10:15:41'),('server_port',6000,'6000 (x11)','2022-12-07 10:15:32'),('server_port',6001,'6001 (x11)','2022-12-07 10:15:34'),('server_port',6002,'6002 (x11)','2022-12-07 10:15:51'),('server_port',6003,'6003 (x11)','2022-12-07 10:15:36'),('server_port',6004,'6004 (x11)','2022-12-07 10:15:44'),('server_port',6005,'6005 (x11)','2022-12-07 10:15:31'),('server_port',6006,'6006 (x11)','2022-12-07 10:15:36'),('server_port',6007,'6007 (x11)','2022-12-07 10:15:41'),('server_port',6008,'6008 (x11)','2022-12-07 10:15:31'),('server_port',6009,'6009 (x11)','2022-12-07 10:15:41'),('server_port',6010,'6010 (x11)','2022-12-07 10:15:49'),('server_port',6011,'6011 (x11)','2022-12-07 10:15:37'),('server_port',6012,'6012 (x11)','2022-12-07 10:15:33'),('server_port',6013,'6013 (x11)','2022-12-07 10:15:38'),('server_port',6014,'6014 (x11)','2022-12-07 10:15:32'),('server_port',6015,'6015 (x11)','2022-12-07 10:15:39'),('server_port',6016,'6016 (x11)','2022-12-07 10:15:47'),('server_port',6017,'6017 (x11)','2022-12-07 10:15:41'),('server_port',6018,'6018 (x11)','2022-12-07 10:15:33'),('server_port',6019,'6019 (x11)','2022-12-07 10:15:38'),('server_port',6020,'6020 (x11)','2022-12-07 10:15:45'),('server_port',6021,'6021 (x11)','2022-12-07 10:15:51'),('server_port',6022,'6022 (x11)','2022-12-07 10:15:39'),('server_port',6023,'6023 (x11)','2022-12-07 10:15:47'),('server_port',6024,'6024 (x11)','2022-12-07 10:15:30'),('server_port',6025,'6025 (x11)','2022-12-07 10:15:45'),('server_port',6026,'6026 (x11)','2022-12-07 10:15:34'),('server_port',6027,'6027 (x11)','2022-12-07 10:15:43'),('server_port',6028,'6028 (x11)','2022-12-07 10:15:30'),('server_port',6029,'6029 (x11)','2022-12-07 10:15:47'),('server_port',6030,'6030 (x11)','2022-12-07 10:15:45'),('server_port',6031,'6031 (x11)','2022-12-07 10:15:31'),('server_port',6032,'6032 (x11)','2022-12-07 10:15:47'),('server_port',6033,'6033 (x11)','2022-12-07 10:15:50'),('server_port',6034,'6034 (x11)','2022-12-07 10:15:33'),('server_port',6035,'6035 (x11)','2022-12-07 10:15:38'),('server_port',6036,'6036 (x11)','2022-12-07 10:15:47'),('server_port',6037,'6037 (x11)','2022-12-07 10:15:43'),('server_port',6038,'6038 (x11)','2022-12-07 10:15:47'),('server_port',6039,'6039 (x11)','2022-12-07 10:15:41'),('server_port',6040,'6040 (x11)','2022-12-07 10:15:50'),('server_port',6041,'6041 (x11)','2022-12-07 10:15:39'),('server_port',6042,'6042 (x11)','2022-12-07 10:15:37'),('server_port',6043,'6043 (x11)','2022-12-07 10:15:52'),('server_port',6044,'6044 (x11)','2022-12-07 10:15:45'),('server_port',6045,'6045 (x11)','2022-12-07 10:15:41'),('server_port',6046,'6046 (x11)','2022-12-07 10:15:43'),('server_port',6047,'6047 (x11)','2022-12-07 10:15:44'),('server_port',6048,'6048 (x11)','2022-12-07 10:15:30'),('server_port',6049,'6049 (x11)','2022-12-07 10:15:47'),('server_port',6050,'6050 (x11)','2022-12-07 10:15:50'),('server_port',6051,'6051 (x11)','2022-12-07 10:15:40'),('server_port',6052,'6052 (x11)','2022-12-07 10:15:41'),('server_port',6053,'6053 (x11)','2022-12-07 10:15:40'),('server_port',6054,'6054 (x11)','2022-12-07 10:15:52'),('server_port',6055,'6055 (x11)','2022-12-07 10:15:41'),('server_port',6056,'6056 (x11)','2022-12-07 10:15:47'),('server_port',6057,'6057 (x11)','2022-12-07 10:15:45'),('server_port',6058,'6058 (x11)','2022-12-07 10:15:43'),('server_port',6059,'6059 (x11)','2022-12-07 10:15:31'),('server_port',6060,'6060 (x11)','2022-12-07 10:15:52'),('server_port',6061,'6061 (x11)','2022-12-07 10:15:53'),('server_port',6062,'6062 (x11)','2022-12-07 10:15:42'),('server_port',6063,'6063 (x11)','2022-12-07 10:15:31'),('server_port',6064,'6064 (ndl-ahp-svc)','2022-12-07 10:15:36'),('server_port',6065,'6065 (winpharaoh)','2022-12-07 10:15:44'),('server_port',6066,'6066 (ewctsp)','2022-12-07 10:15:53'),('server_port',6068,'6068 (gsmp-ancp)','2022-12-07 10:15:47'),('server_port',6069,'6069 (trip)','2022-12-07 10:15:50'),('server_port',6070,'6070 (messageasap)','2022-12-07 10:15:29'),('server_port',6071,'6071 (ssdtp)','2022-12-07 10:15:51'),('server_port',6072,'6072 (diagnose-proc)','2022-12-07 10:15:30'),('server_port',6073,'6073 (directplay8)','2022-12-07 10:15:32'),('server_port',6074,'6074 (max)','2022-12-07 10:15:48'),('server_port',6075,'6075 (dpm-acm)','2022-12-07 10:15:51'),('server_port',6076,'6076 (msft-dpm-cert)','2022-12-07 10:15:45'),('server_port',6077,'6077 (iconstructsrv)','2022-12-07 10:15:51'),('server_port',6084,'6084 (reload-config)','2022-12-07 10:15:34'),('server_port',6085,'6085 (konspire2b)','2022-12-07 10:15:53'),('server_port',6086,'6086 (pdtp)','2022-12-07 10:15:38'),('server_port',6087,'6087 (ldss)','2022-12-07 10:15:48'),('server_port',6088,'6088 (doglms)','2022-12-07 10:15:52'),('server_port',6099,'6099 (raxa-mgmt)','2022-12-07 10:15:51'),('server_port',6100,'6100 (synchronet-db)','2022-12-07 10:15:38'),('server_port',6101,'6101 (synchronet-rtc)','2022-12-07 10:15:53'),('server_port',6102,'6102 (synchronet-upd)','2022-12-07 10:15:52'),('server_port',6103,'6103 (rets)','2022-12-07 10:15:42'),('server_port',6104,'6104 (dbdb)','2022-12-07 10:15:50'),('server_port',6105,'6105 (primaserver)','2022-12-07 10:15:50'),('server_port',6106,'6106 (mpsserver)','2022-12-07 10:15:43'),('server_port',6107,'6107 (etc-control)','2022-12-07 10:15:49'),('server_port',6108,'6108 (sercomm-scadmin)','2022-12-07 10:15:37'),('server_port',6109,'6109 (globecast-id)','2022-12-07 10:15:50'),('server_port',6110,'6110 (softcm)','2022-12-07 10:15:38'),('server_port',6111,'6111 (spc)','2022-12-07 10:15:49'),('server_port',6112,'6112 (dtspcd)','2022-12-07 10:15:33'),('server_port',6113,'6113 (dayliteserver)','2022-12-07 10:15:46'),('server_port',6114,'6114 (wrspice)','2022-12-07 10:15:48'),('server_port',6115,'6115 (xic)','2022-12-07 10:15:30'),('server_port',6116,'6116 (xtlserv)','2022-12-07 10:15:49'),('server_port',6117,'6117 (daylitetouch)','2022-12-07 10:15:32'),('server_port',6121,'6121 (spdy)','2022-12-07 10:15:41'),('server_port',6122,'6122 (bex-webadmin)','2022-12-07 10:15:38'),('server_port',6123,'6123 (backup-express)','2022-12-07 10:15:29'),('server_port',6124,'6124 (pnbs)','2022-12-07 10:15:50'),('server_port',6130,'6130 (damewaremobgtwy)','2022-12-07 10:15:46'),('server_port',6133,'6133 (nbt-wol)','2022-12-07 10:15:31'),('server_port',6140,'6140 (pulsonixnls)','2022-12-07 10:15:32'),('server_port',6141,'6141 (meta-corp)','2022-12-07 10:15:35'),('server_port',6142,'6142 (aspentec-lm)','2022-12-07 10:15:39'),('server_port',6143,'6143 (watershed-lm)','2022-12-07 10:15:49'),('server_port',6144,'6144 (statsci1-lm)','2022-12-07 10:15:35'),('server_port',6145,'6145 (statsci2-lm)','2022-12-07 10:15:43'),('server_port',6146,'6146 (lonewolf-lm)','2022-12-07 10:15:39'),('server_port',6147,'6147 (montage-lm)','2022-12-07 10:15:32'),('server_port',6148,'6148 (ricardo-lm)','2022-12-07 10:15:41'),('server_port',6149,'6149 (tal-pod)','2022-12-07 10:15:34'),('server_port',6159,'6159 (efb-aci)','2022-12-07 10:15:52'),('server_port',6160,'6160 (ecmp)','2022-12-07 10:15:49'),('server_port',6161,'6161 (patrol-ism)','2022-12-07 10:15:45'),('server_port',6162,'6162 (patrol-coll)','2022-12-07 10:15:33'),('server_port',6163,'6163 (pscribe)','2022-12-07 10:15:34'),('server_port',6200,'6200 (lm-x)','2022-12-07 10:15:53'),('server_port',6209,'6209 (qmtps)','2022-12-07 10:15:35'),('server_port',6222,'6222 (radmind)','2022-12-07 10:15:53'),('server_port',6241,'6241 (jeol-nsdtp-1)','2022-12-07 10:15:33'),('server_port',6242,'6242 (jeol-nsdtp-2)','2022-12-07 10:15:43'),('server_port',6243,'6243 (jeol-nsdtp-3)','2022-12-07 10:15:39'),('server_port',6244,'6244 (jeol-nsdtp-4)','2022-12-07 10:15:42'),('server_port',6251,'6251 (tl1-raw-ssl)','2022-12-07 10:15:38'),('server_port',6252,'6252 (tl1-ssh)','2022-12-07 10:15:42'),('server_port',6253,'6253 (crip)','2022-12-07 10:15:53'),('server_port',6267,'6267 (gld)','2022-12-07 10:15:29'),('server_port',6268,'6268 (grid)','2022-12-07 10:15:49'),('server_port',6269,'6269 (grid-alt)','2022-12-07 10:15:47'),('server_port',6300,'6300 (bmc-grx)','2022-12-07 10:15:36'),('server_port',6301,'6301 (bmc-ctd-ldap)','2022-12-07 10:15:37'),('server_port',6306,'6306 (ufmp)','2022-12-07 10:15:38'),('server_port',6315,'6315 (scup)','2022-12-07 10:15:51'),('server_port',6316,'6316 (abb-escp)','2022-12-07 10:15:47'),('server_port',6317,'6317 (nav-data-cmd)','2022-12-07 10:15:44'),('server_port',6320,'6320 (repsvc)','2022-12-07 10:15:51'),('server_port',6321,'6321 (emp-server1)','2022-12-07 10:15:46'),('server_port',6322,'6322 (emp-server2)','2022-12-07 10:15:50'),('server_port',6324,'6324 (hrd-ncs)','2022-12-07 10:15:51'),('server_port',6325,'6325 (dt-mgmtsvc)','2022-12-07 10:15:42'),('server_port',6326,'6326 (dt-vra)','2022-12-07 10:15:36'),('server_port',6343,'6343 (sflow)','2022-12-07 10:15:45'),('server_port',6344,'6344 (streletz)','2022-12-07 10:15:46'),('server_port',6346,'6346 (gnutella-svc)','2022-12-07 10:15:34'),('server_port',6347,'6347 (gnutella-rtr)','2022-12-07 10:15:41'),('server_port',6350,'6350 (adap)','2022-12-07 10:15:48'),('server_port',6355,'6355 (pmcs)','2022-12-07 10:15:45'),('server_port',6360,'6360 (metaedit-mu)','2022-12-07 10:15:47'),('server_port',6370,'6370 (metaedit-se)','2022-12-07 10:15:41'),('server_port',6379,'6379 (redis)','2022-12-07 10:15:41'),('server_port',6382,'6382 (metatude-mds)','2022-12-07 10:15:40'),('server_port',6389,'6389 (clariion-evr01)','2022-12-07 10:15:39'),('server_port',6390,'6390 (metaedit-ws)','2022-12-07 10:15:34'),('server_port',6417,'6417 (faxcomservice)','2022-12-07 10:15:53'),('server_port',6418,'6418 (syserverremote)','2022-12-07 10:15:50'),('server_port',6419,'6419 (svdrp)','2022-12-07 10:15:51'),('server_port',6420,'6420 (nim-vdrshell)','2022-12-07 10:15:43'),('server_port',6421,'6421 (nim-wan)','2022-12-07 10:15:38'),('server_port',6432,'6432 (pgbouncer)','2022-12-07 10:15:49'),('server_port',6442,'6442 (tarp)','2022-12-07 10:15:41'),('server_port',6443,'6443 (sun-sr-https)','2022-12-07 10:15:51'),('server_port',6444,'6444 (sge-qmaster)','2022-12-07 10:15:43'),('server_port',6445,'6445 (sge-execd)','2022-12-07 10:15:51'),('server_port',6446,'6446 (mysql-proxy)','2022-12-07 10:15:36'),('server_port',6455,'6455 (skip-cert-recv)','2022-12-07 10:15:38'),('server_port',6456,'6456 (skip-cert-send)','2022-12-07 10:15:33'),('server_port',6464,'6464 (ieee11073-20701)','2022-12-07 10:15:38'),('server_port',6471,'6471 (lvision-lm)','2022-12-07 10:15:47'),('server_port',6480,'6480 (sun-sr-http)','2022-12-07 10:15:32'),('server_port',6481,'6481 (servicetags)','2022-12-07 10:15:44'),('server_port',6482,'6482 (ldoms-mgmt)','2022-12-07 10:15:34'),('server_port',6483,'6483 (SunVTS-RMI)','2022-12-07 10:15:45'),('server_port',6484,'6484 (sun-sr-jms)','2022-12-07 10:15:33'),('server_port',6485,'6485 (sun-sr-iiop)','2022-12-07 10:15:48'),('server_port',6486,'6486 (sun-sr-iiops)','2022-12-07 10:15:32'),('server_port',6487,'6487 (sun-sr-iiop-aut)','2022-12-07 10:15:36'),('server_port',6488,'6488 (sun-sr-jmx)','2022-12-07 10:15:50'),('server_port',6489,'6489 (sun-sr-admin)','2022-12-07 10:15:37'),('server_port',6500,'6500 (boks)','2022-12-07 10:15:42'),('server_port',6501,'6501 (boks-servc)','2022-12-07 10:15:47'),('server_port',6502,'6502 (boks-servm)','2022-12-07 10:15:48'),('server_port',6503,'6503 (boks-clntd)','2022-12-07 10:15:34'),('server_port',6505,'6505 (badm-priv)','2022-12-07 10:15:30'),('server_port',6506,'6506 (badm-pub)','2022-12-07 10:15:29'),('server_port',6507,'6507 (bdir-priv)','2022-12-07 10:15:51'),('server_port',6508,'6508 (bdir-pub)','2022-12-07 10:15:53'),('server_port',6509,'6509 (mgcs-mfp-port)','2022-12-07 10:15:43'),('server_port',6513,'6513 (netconf-tls)','2022-12-07 10:15:43'),('server_port',6514,'6514 (syslog-tls)','2022-12-07 10:15:34'),('server_port',6515,'6515 (elipse-rec)','2022-12-07 10:15:53'),('server_port',6543,'6543 (lds-distrib)','2022-12-07 10:15:52'),('server_port',6544,'6544 (lds-dump)','2022-12-07 10:15:37'),('server_port',6547,'6547 (apc-6547)','2022-12-07 10:15:37'),('server_port',6548,'6548 (apc-6548)','2022-12-07 10:15:41'),('server_port',6549,'6549 (apc-6549)','2022-12-07 10:15:36'),('server_port',6550,'6550 (fg-sysupdate)','2022-12-07 10:15:30'),('server_port',6551,'6551 (sum)','2022-12-07 10:15:36'),('server_port',6558,'6558 (xdsxdm)','2022-12-07 10:15:36'),('server_port',6566,'6566 (sane-port)','2022-12-07 10:15:49'),('server_port',6568,'6568 (canit-store)','2022-12-07 10:15:50'),('server_port',6579,'6579 (affiliate)','2022-12-07 10:15:37'),('server_port',6580,'6580 (parsec-master)','2022-12-07 10:15:32'),('server_port',6581,'6581 (parsec-peer)','2022-12-07 10:15:40'),('server_port',6582,'6582 (parsec-game)','2022-12-07 10:15:44'),('server_port',6583,'6583 (joaJewelSuite)','2022-12-07 10:15:30'),('server_port',6600,'6600 (mshvlm)','2022-12-07 10:15:37'),('server_port',6601,'6601 (mstmg-sstp)','2022-12-07 10:15:32'),('server_port',6602,'6602 (wsscomfrmwk)','2022-12-07 10:15:39'),('server_port',6619,'6619 (odette-ftps)','2022-12-07 10:15:52'),('server_port',6620,'6620 (kftp-data)','2022-12-07 10:15:48'),('server_port',6621,'6621 (kftp)','2022-12-07 10:15:47'),('server_port',6622,'6622 (mcftp)','2022-12-07 10:15:51'),('server_port',6623,'6623 (ktelnet)','2022-12-07 10:15:46'),('server_port',6624,'6624 (datascaler-db)','2022-12-07 10:15:48'),('server_port',6625,'6625 (datascaler-ctl)','2022-12-07 10:15:50'),('server_port',6626,'6626 (wago-service)','2022-12-07 10:15:46'),('server_port',6627,'6627 (nexgen)','2022-12-07 10:15:43'),('server_port',6628,'6628 (afesc-mc)','2022-12-07 10:15:50'),('server_port',6629,'6629 (nexgen-aux)','2022-12-07 10:15:29'),('server_port',6632,'6632 (mxodbc-connect)','2022-12-07 10:15:51'),('server_port',6640,'6640 (ovsdb)','2022-12-07 10:15:45'),('server_port',6653,'6653 (openflow)','2022-12-07 10:15:41'),('server_port',6655,'6655 (pcs-sf-ui-man)','2022-12-07 10:15:51'),('server_port',6656,'6656 (emgmsg)','2022-12-07 10:15:37'),('server_port',6665,'6665 (ircu)','2022-12-07 10:15:52'),('server_port',6666,'6666 (ircu)','2022-12-07 10:15:30'),('server_port',6667,'6667 (ircu)','2022-12-07 10:15:29'),('server_port',6668,'6668 (ircu)','2022-12-07 10:15:29'),('server_port',6669,'6669 (ircu)','2022-12-07 10:15:41'),('server_port',6670,'6670 (vocaltec-gold)','2022-12-07 10:15:41'),('server_port',6671,'6671 (p4p-portal)','2022-12-07 10:15:33'),('server_port',6672,'6672 (vision-server)','2022-12-07 10:15:52'),('server_port',6673,'6673 (vision-elmd)','2022-12-07 10:15:51'),('server_port',6678,'6678 (vfbp)','2022-12-07 10:15:47'),('server_port',6679,'6679 (osaut)','2022-12-07 10:15:36'),('server_port',6687,'6687 (clever-ctrace)','2022-12-07 10:15:53'),('server_port',6688,'6688 (clever-tcpip)','2022-12-07 10:15:40'),('server_port',6689,'6689 (tsa)','2022-12-07 10:15:42'),('server_port',6690,'6690 (cleverdetect)','2022-12-07 10:15:49'),('server_port',6697,'6697 (ircs-u)','2022-12-07 10:15:46'),('server_port',6701,'6701 (kti-icad-srvr)','2022-12-07 10:15:44'),('server_port',6702,'6702 (e-design-net)','2022-12-07 10:15:37'),('server_port',6703,'6703 (e-design-web)','2022-12-07 10:15:51'),('server_port',6714,'6714 (ibprotocol)','2022-12-07 10:15:30'),('server_port',6715,'6715 (fibotrader-com)','2022-12-07 10:15:49'),('server_port',6716,'6716 (princity-agent)','2022-12-07 10:15:47'),('server_port',6767,'6767 (bmc-perf-agent)','2022-12-07 10:15:51'),('server_port',6768,'6768 (bmc-perf-mgrd)','2022-12-07 10:15:51'),('server_port',6769,'6769 (adi-gxp-srvprt)','2022-12-07 10:15:39'),('server_port',6770,'6770 (plysrv-http)','2022-12-07 10:15:38'),('server_port',6771,'6771 (plysrv-https)','2022-12-07 10:15:46'),('server_port',6777,'6777 (ntz-tracker)','2022-12-07 10:15:29'),('server_port',6778,'6778 (ntz-p2p-storage)','2022-12-07 10:15:30'),('server_port',6785,'6785 (dgpf-exchg)','2022-12-07 10:15:45'),('server_port',6786,'6786 (smc-jmx)','2022-12-07 10:15:44'),('server_port',6787,'6787 (smc-admin)','2022-12-07 10:15:34'),('server_port',6788,'6788 (smc-http)','2022-12-07 10:15:51'),('server_port',6789,'6789 (radg)','2022-12-07 10:15:30'),('server_port',6790,'6790 (hnmp)','2022-12-07 10:15:42'),('server_port',6791,'6791 (hnm)','2022-12-07 10:15:49'),('server_port',6801,'6801 (acnet)','2022-12-07 10:15:52'),('server_port',6817,'6817 (pentbox-sim)','2022-12-07 10:15:31'),('server_port',6831,'6831 (ambit-lm)','2022-12-07 10:15:52'),('server_port',6841,'6841 (netmo-default)','2022-12-07 10:15:44'),('server_port',6842,'6842 (netmo-http)','2022-12-07 10:15:51'),('server_port',6850,'6850 (iccrushmore)','2022-12-07 10:15:36'),('server_port',6868,'6868 (acctopus-cc)','2022-12-07 10:15:42'),('server_port',6888,'6888 (muse)','2022-12-07 10:15:36'),('server_port',6900,'6900 (rtimeviewer)','2022-12-07 10:15:45'),('server_port',6901,'6901 (jetstream)','2022-12-07 10:15:46'),('server_port',6935,'6935 (ethoscan)','2022-12-07 10:15:52'),('server_port',6936,'6936 (xsmsvc)','2022-12-07 10:15:46'),('server_port',6946,'6946 (bioserver)','2022-12-07 10:15:37'),('server_port',6951,'6951 (otlp)','2022-12-07 10:15:42'),('server_port',6961,'6961 (jmact3)','2022-12-07 10:15:44'),('server_port',6962,'6962 (jmevt2)','2022-12-07 10:15:44'),('server_port',6963,'6963 (swismgr1)','2022-12-07 10:15:42'),('server_port',6964,'6964 (swismgr2)','2022-12-07 10:15:37'),('server_port',6965,'6965 (swistrap)','2022-12-07 10:15:42'),('server_port',6966,'6966 (swispol)','2022-12-07 10:15:46'),('server_port',6969,'6969 (acmsoda)','2022-12-07 10:15:47'),('server_port',6970,'6970 (conductor)','2022-12-07 10:15:29'),('server_port',6997,'6997 (MobilitySrv)','2022-12-07 10:15:31'),('server_port',6998,'6998 (iatp-highpri)','2022-12-07 10:15:35'),('server_port',6999,'6999 (iatp-normalpri)','2022-12-07 10:15:35'),('server_port',7000,'7000 (afs3-fileserver)','2022-12-07 10:15:29'),('server_port',7001,'7001 (afs3-callback)','2022-12-07 10:15:42'),('server_port',7002,'7002 (afs3-prserver)','2022-12-07 10:15:45'),('server_port',7003,'7003 (afs3-vlserver)','2022-12-07 10:15:52'),('server_port',7004,'7004 (afs3-kaserver)','2022-12-07 10:15:40'),('server_port',7005,'7005 (afs3-volser)','2022-12-07 10:15:50'),('server_port',7006,'7006 (afs3-errors)','2022-12-07 10:15:50'),('server_port',7007,'7007 (afs3-bos)','2022-12-07 10:15:45'),('server_port',7008,'7008 (afs3-update)','2022-12-07 10:15:39'),('server_port',7009,'7009 (afs3-rmtsys)','2022-12-07 10:15:37'),('server_port',7010,'7010 (ups-onlinet)','2022-12-07 10:15:46'),('server_port',7011,'7011 (talon-disc)','2022-12-07 10:15:37'),('server_port',7012,'7012 (talon-engine)','2022-12-07 10:15:40'),('server_port',7013,'7013 (microtalon-dis)','2022-12-07 10:15:39'),('server_port',7014,'7014 (microtalon-com)','2022-12-07 10:15:30'),('server_port',7015,'7015 (talon-webserver)','2022-12-07 10:15:31'),('server_port',7016,'7016 (spg)','2022-12-07 10:15:42'),('server_port',7017,'7017 (grasp)','2022-12-07 10:15:40'),('server_port',7018,'7018 (fisa-svc)','2022-12-07 10:15:31'),('server_port',7019,'7019 (doceri-ctl)','2022-12-07 10:15:43'),('server_port',7020,'7020 (dpserve)','2022-12-07 10:15:29'),('server_port',7021,'7021 (dpserveadmin)','2022-12-07 10:15:48'),('server_port',7022,'7022 (ctdp)','2022-12-07 10:15:47'),('server_port',7023,'7023 (ct2nmcs)','2022-12-07 10:15:52'),('server_port',7024,'7024 (vmsvc)','2022-12-07 10:15:49'),('server_port',7025,'7025 (vmsvc-2)','2022-12-07 10:15:47'),('server_port',7026,'7026 (loreji-panel)','2022-12-07 10:15:38'),('server_port',7030,'7030 (op-probe)','2022-12-07 10:15:37'),('server_port',7031,'7031 (iposplanet)','2022-12-07 10:15:40'),('server_port',7070,'7070 (arcp)','2022-12-07 10:15:47'),('server_port',7071,'7071 (iwg1)','2022-12-07 10:15:47'),('server_port',7072,'7072 (iba-cfg)','2022-12-07 10:15:49'),('server_port',7073,'7073 (martalk)','2022-12-07 10:15:32'),('server_port',7080,'7080 (empowerid)','2022-12-07 10:15:37'),('server_port',7099,'7099 (lazy-ptop)','2022-12-07 10:15:38'),('server_port',7100,'7100 (font-service)','2022-12-07 10:15:45'),('server_port',7101,'7101 (elcn)','2022-12-07 10:15:41'),('server_port',7117,'7117 (rothaga)','2022-12-07 10:15:46'),('server_port',7121,'7121 (virprot-lm)','2022-12-07 10:15:31'),('server_port',7128,'7128 (scenidm)','2022-12-07 10:15:33'),('server_port',7129,'7129 (scenccs)','2022-12-07 10:15:45'),('server_port',7161,'7161 (cabsm-comm)','2022-12-07 10:15:49'),('server_port',7162,'7162 (caistoragemgr)','2022-12-07 10:15:43'),('server_port',7163,'7163 (cacsambroker)','2022-12-07 10:15:48'),('server_port',7164,'7164 (fsr)','2022-12-07 10:15:49'),('server_port',7165,'7165 (doc-server)','2022-12-07 10:15:37'),('server_port',7166,'7166 (aruba-server)','2022-12-07 10:15:41'),('server_port',7167,'7167 (casrmagent)','2022-12-07 10:15:43'),('server_port',7168,'7168 (cnckadserver)','2022-12-07 10:15:44'),('server_port',7169,'7169 (ccag-pib)','2022-12-07 10:15:50'),('server_port',7170,'7170 (nsrp)','2022-12-07 10:15:35'),('server_port',7171,'7171 (drm-production)','2022-12-07 10:15:43'),('server_port',7172,'7172 (metalbend)','2022-12-07 10:15:29'),('server_port',7173,'7173 (zsecure)','2022-12-07 10:15:44'),('server_port',7174,'7174 (clutild)','2022-12-07 10:15:45'),('server_port',7200,'7200 (fodms)','2022-12-07 10:15:52'),('server_port',7201,'7201 (dlip)','2022-12-07 10:15:39'),('server_port',7202,'7202 (pon-ictp)','2022-12-07 10:15:45'),('server_port',7215,'7215 (PS-Server)','2022-12-07 10:15:42'),('server_port',7216,'7216 (PS-Capture-Pro)','2022-12-07 10:15:43'),('server_port',7227,'7227 (ramp)','2022-12-07 10:15:49'),('server_port',7228,'7228 (citrixupp)','2022-12-07 10:15:53'),('server_port',7229,'7229 (citrixuppg)','2022-12-07 10:15:49'),('server_port',7236,'7236 (display)','2022-12-07 10:15:38'),('server_port',7237,'7237 (pads)','2022-12-07 10:15:42'),('server_port',7244,'7244 (frc-hicp)','2022-12-07 10:15:36'),('server_port',7262,'7262 (cnap)','2022-12-07 10:15:44'),('server_port',7272,'7272 (watchme-7272)','2022-12-07 10:15:50'),('server_port',7273,'7273 (oma-rlp)','2022-12-07 10:15:46'),('server_port',7274,'7274 (oma-rlp-s)','2022-12-07 10:15:50'),('server_port',7275,'7275 (oma-ulp)','2022-12-07 10:15:38'),('server_port',7276,'7276 (oma-ilp)','2022-12-07 10:15:42'),('server_port',7277,'7277 (oma-ilp-s)','2022-12-07 10:15:31'),('server_port',7278,'7278 (oma-dcdocbs)','2022-12-07 10:15:32'),('server_port',7279,'7279 (ctxlic)','2022-12-07 10:15:29'),('server_port',7280,'7280 (itactionserver1)','2022-12-07 10:15:30'),('server_port',7281,'7281 (itactionserver2)','2022-12-07 10:15:53'),('server_port',7282,'7282 (mzca-action)','2022-12-07 10:15:47'),('server_port',7283,'7283 (genstat)','2022-12-07 10:15:39'),('server_port',7365,'7365 (lcm-server)','2022-12-07 10:15:44'),('server_port',7391,'7391 (mindfilesys)','2022-12-07 10:15:49'),('server_port',7392,'7392 (mrssrendezvous)','2022-12-07 10:15:40'),('server_port',7393,'7393 (nfoldman)','2022-12-07 10:15:52'),('server_port',7394,'7394 (fse)','2022-12-07 10:15:41'),('server_port',7395,'7395 (winqedit)','2022-12-07 10:15:46'),('server_port',7397,'7397 (hexarc)','2022-12-07 10:15:46'),('server_port',7400,'7400 (rtps-discovery)','2022-12-07 10:15:36'),('server_port',7401,'7401 (rtps-dd-ut)','2022-12-07 10:15:32'),('server_port',7402,'7402 (rtps-dd-mt)','2022-12-07 10:15:39'),('server_port',7410,'7410 (ionixnetmon)','2022-12-07 10:15:37'),('server_port',7411,'7411 (daqstream)','2022-12-07 10:15:39'),('server_port',7421,'7421 (mtportmon)','2022-12-07 10:15:32'),('server_port',7426,'7426 (pmdmgr)','2022-12-07 10:15:50'),('server_port',7427,'7427 (oveadmgr)','2022-12-07 10:15:37'),('server_port',7428,'7428 (ovladmgr)','2022-12-07 10:15:49'),('server_port',7429,'7429 (opi-sock)','2022-12-07 10:15:31'),('server_port',7430,'7430 (xmpv7)','2022-12-07 10:15:45'),('server_port',7431,'7431 (pmd)','2022-12-07 10:15:35'),('server_port',7437,'7437 (faximum)','2022-12-07 10:15:44'),('server_port',7443,'7443 (oracleas-https)','2022-12-07 10:15:44'),('server_port',7471,'7471 (sttunnel)','2022-12-07 10:15:33'),('server_port',7473,'7473 (rise)','2022-12-07 10:15:42'),('server_port',7474,'7474 (neo4j)','2022-12-07 10:15:44'),('server_port',7478,'7478 (openit)','2022-12-07 10:15:38'),('server_port',7491,'7491 (telops-lmd)','2022-12-07 10:15:42'),('server_port',7500,'7500 (silhouette)','2022-12-07 10:15:40'),('server_port',7501,'7501 (ovbus)','2022-12-07 10:15:47'),('server_port',7508,'7508 (adcp)','2022-12-07 10:15:50'),('server_port',7509,'7509 (acplt)','2022-12-07 10:15:46'),('server_port',7510,'7510 (ovhpas)','2022-12-07 10:15:30'),('server_port',7511,'7511 (pafec-lm)','2022-12-07 10:15:52'),('server_port',7542,'7542 (saratoga)','2022-12-07 10:15:36'),('server_port',7543,'7543 (atul)','2022-12-07 10:15:31'),('server_port',7544,'7544 (nta-ds)','2022-12-07 10:15:31'),('server_port',7545,'7545 (nta-us)','2022-12-07 10:15:40'),('server_port',7546,'7546 (cfs)','2022-12-07 10:15:42'),('server_port',7547,'7547 (cwmp)','2022-12-07 10:15:33'),('server_port',7548,'7548 (tidp)','2022-12-07 10:15:39'),('server_port',7549,'7549 (nls-tl)','2022-12-07 10:15:37'),('server_port',7551,'7551 (controlone-con)','2022-12-07 10:15:47'),('server_port',7560,'7560 (sncp)','2022-12-07 10:15:32'),('server_port',7563,'7563 (cfw)','2022-12-07 10:15:29'),('server_port',7566,'7566 (vsi-omega)','2022-12-07 10:15:38'),('server_port',7569,'7569 (dell-eql-asm)','2022-12-07 10:15:49'),('server_port',7570,'7570 (aries-kfinder)','2022-12-07 10:15:32'),('server_port',7574,'7574 (coherence)','2022-12-07 10:15:37'),('server_port',7588,'7588 (sun-lm)','2022-12-07 10:15:44'),('server_port',7606,'7606 (mipi-debug)','2022-12-07 10:15:52'),('server_port',7624,'7624 (indi)','2022-12-07 10:15:48'),('server_port',7626,'7626 (simco)','2022-12-07 10:15:34'),('server_port',7627,'7627 (soap-http)','2022-12-07 10:15:33'),('server_port',7628,'7628 (zen-pawn)','2022-12-07 10:15:33'),('server_port',7629,'7629 (xdas)','2022-12-07 10:15:52'),('server_port',7630,'7630 (hawk)','2022-12-07 10:15:44'),('server_port',7631,'7631 (tesla-sys-msg)','2022-12-07 10:15:48'),('server_port',7633,'7633 (pmdfmgt)','2022-12-07 10:15:42'),('server_port',7648,'7648 (cuseeme)','2022-12-07 10:15:33'),('server_port',7663,'7663 (rome)','2022-12-07 10:15:39'),('server_port',7672,'7672 (imqstomp)','2022-12-07 10:15:36'),('server_port',7673,'7673 (imqstomps)','2022-12-07 10:15:46'),('server_port',7674,'7674 (imqtunnels)','2022-12-07 10:15:52'),('server_port',7675,'7675 (imqtunnel)','2022-12-07 10:15:51'),('server_port',7676,'7676 (imqbrokerd)','2022-12-07 10:15:41'),('server_port',7677,'7677 (sun-user-https)','2022-12-07 10:15:41'),('server_port',7680,'7680 (pando-pub)','2022-12-07 10:15:40'),('server_port',7683,'7683 (dmt)','2022-12-07 10:15:30'),('server_port',7687,'7687 (bolt)','2022-12-07 10:15:50'),('server_port',7689,'7689 (collaber)','2022-12-07 10:15:30'),('server_port',7697,'7697 (klio)','2022-12-07 10:15:53'),('server_port',7700,'7700 (em7-secom)','2022-12-07 10:15:52'),('server_port',7707,'7707 (sync-em7)','2022-12-07 10:15:39'),('server_port',7708,'7708 (scinet)','2022-12-07 10:15:30'),('server_port',7720,'7720 (medimageportal)','2022-12-07 10:15:44'),('server_port',7724,'7724 (nsdeepfreezectl)','2022-12-07 10:15:29'),('server_port',7725,'7725 (nitrogen)','2022-12-07 10:15:45'),('server_port',7726,'7726 (freezexservice)','2022-12-07 10:15:34'),('server_port',7727,'7727 (trident-data)','2022-12-07 10:15:30'),('server_port',7728,'7728 (osvr)','2022-12-07 10:15:50'),('server_port',7734,'7734 (smip)','2022-12-07 10:15:46'),('server_port',7738,'7738 (aiagent)','2022-12-07 10:15:37'),('server_port',7741,'7741 (scriptview)','2022-12-07 10:15:51'),('server_port',7742,'7742 (msss)','2022-12-07 10:15:36'),('server_port',7743,'7743 (sstp-1)','2022-12-07 10:15:31'),('server_port',7744,'7744 (raqmon-pdu)','2022-12-07 10:15:45'),('server_port',7747,'7747 (prgp)','2022-12-07 10:15:42'),('server_port',7775,'7775 (inetfs)','2022-12-07 10:15:53'),('server_port',7777,'7777 (cbt)','2022-12-07 10:15:46'),('server_port',7778,'7778 (interwise)','2022-12-07 10:15:48'),('server_port',7779,'7779 (vstat)','2022-12-07 10:15:44'),('server_port',7781,'7781 (accu-lmgr)','2022-12-07 10:15:31'),('server_port',7786,'7786 (minivend)','2022-12-07 10:15:40'),('server_port',7787,'7787 (popup-reminders)','2022-12-07 10:15:43'),('server_port',7789,'7789 (office-tools)','2022-12-07 10:15:45'),('server_port',7794,'7794 (q3ade)','2022-12-07 10:15:36'),('server_port',7797,'7797 (pnet-conn)','2022-12-07 10:15:48'),('server_port',7798,'7798 (pnet-enc)','2022-12-07 10:15:38'),('server_port',7799,'7799 (altbsdp)','2022-12-07 10:15:34'),('server_port',7800,'7800 (asr)','2022-12-07 10:15:42'),('server_port',7801,'7801 (ssp-client)','2022-12-07 10:15:32'),('server_port',7810,'7810 (rbt-wanopt)','2022-12-07 10:15:39'),('server_port',7845,'7845 (apc-7845)','2022-12-07 10:15:43'),('server_port',7846,'7846 (apc-7846)','2022-12-07 10:15:51'),('server_port',7847,'7847 (csoauth)','2022-12-07 10:15:39'),('server_port',7869,'7869 (mobileanalyzer)','2022-12-07 10:15:46'),('server_port',7870,'7870 (rbt-smc)','2022-12-07 10:15:46'),('server_port',7871,'7871 (mdm)','2022-12-07 10:15:46'),('server_port',7878,'7878 (owms)','2022-12-07 10:15:48'),('server_port',7880,'7880 (pss)','2022-12-07 10:15:36'),('server_port',7887,'7887 (ubroker)','2022-12-07 10:15:33'),('server_port',7900,'7900 (mevent)','2022-12-07 10:15:49'),('server_port',7901,'7901 (tnos-sp)','2022-12-07 10:15:42'),('server_port',7902,'7902 (tnos-dp)','2022-12-07 10:15:50'),('server_port',7903,'7903 (tnos-dps)','2022-12-07 10:15:29'),('server_port',7913,'7913 (qo-secure)','2022-12-07 10:15:46'),('server_port',7932,'7932 (t2-drm)','2022-12-07 10:15:31'),('server_port',7933,'7933 (t2-brm)','2022-12-07 10:15:32'),('server_port',7962,'7962 (generalsync)','2022-12-07 10:15:32'),('server_port',7967,'7967 (supercell)','2022-12-07 10:15:30'),('server_port',7979,'7979 (micromuse-ncps)','2022-12-07 10:15:47'),('server_port',7980,'7980 (quest-vista)','2022-12-07 10:15:39'),('server_port',7981,'7981 (sossd-collect)','2022-12-07 10:15:33'),('server_port',7982,'7982 (sossd-agent)','2022-12-07 10:15:51'),('server_port',7997,'7997 (pushns)','2022-12-07 10:15:34'),('server_port',7999,'7999 (irdmi2)','2022-12-07 10:15:38'),('server_port',8000,'8000 (irdmi)','2022-12-07 10:15:46'),('server_port',8001,'8001 (vcom-tunnel)','2022-12-07 10:15:32'),('server_port',8002,'8002 (teradataordbms)','2022-12-07 10:15:41'),('server_port',8003,'8003 (mcreport)','2022-12-07 10:15:39'),('server_port',8004,'8004 (p2pevolvenet)','2022-12-07 10:15:31'),('server_port',8005,'8005 (mxi)','2022-12-07 10:15:33'),('server_port',8006,'8006 (wpl-analytics)','2022-12-07 10:15:46'),('server_port',8007,'8007 (warppipe)','2022-12-07 10:15:33'),('server_port',8008,'8008 (http-alt)','2022-12-07 10:15:47'),('server_port',8009,'8009 (nvme-disc)','2022-12-07 10:15:46'),('server_port',8019,'8019 (qbdb)','2022-12-07 10:15:37'),('server_port',8020,'8020 (intu-ec-svcdisc)','2022-12-07 10:15:39'),('server_port',8021,'8021 (intu-ec-client)','2022-12-07 10:15:31'),('server_port',8022,'8022 (oa-system)','2022-12-07 10:15:40'),('server_port',8023,'8023 (arca-api)','2022-12-07 10:15:47'),('server_port',8025,'8025 (ca-audit-da)','2022-12-07 10:15:45'),('server_port',8026,'8026 (ca-audit-ds)','2022-12-07 10:15:43'),('server_port',8032,'8032 (pro-ed)','2022-12-07 10:15:32'),('server_port',8033,'8033 (mindprint)','2022-12-07 10:15:51'),('server_port',8034,'8034 (vantronix-mgmt)','2022-12-07 10:15:41'),('server_port',8040,'8040 (ampify)','2022-12-07 10:15:29'),('server_port',8041,'8041 (enguity-xccetp)','2022-12-07 10:15:52'),('server_port',8042,'8042 (fs-agent)','2022-12-07 10:15:41'),('server_port',8043,'8043 (fs-server)','2022-12-07 10:15:42'),('server_port',8044,'8044 (fs-mgmt)','2022-12-07 10:15:43'),('server_port',8051,'8051 (rocrail)','2022-12-07 10:15:50'),('server_port',8052,'8052 (senomix01)','2022-12-07 10:15:36'),('server_port',8053,'8053 (senomix02)','2022-12-07 10:15:40'),('server_port',8054,'8054 (senomix03)','2022-12-07 10:15:47'),('server_port',8055,'8055 (senomix04)','2022-12-07 10:15:41'),('server_port',8056,'8056 (senomix05)','2022-12-07 10:15:49'),('server_port',8057,'8057 (senomix06)','2022-12-07 10:15:50'),('server_port',8058,'8058 (senomix07)','2022-12-07 10:15:37'),('server_port',8059,'8059 (senomix08)','2022-12-07 10:15:51'),('server_port',8066,'8066 (toad-bi-appsrvr)','2022-12-07 10:15:34'),('server_port',8067,'8067 (infi-async)','2022-12-07 10:15:48'),('server_port',8070,'8070 (ucs-isc)','2022-12-07 10:15:39'),('server_port',8074,'8074 (gadugadu)','2022-12-07 10:15:48'),('server_port',8077,'8077 (mles)','2022-12-07 10:15:43'),('server_port',8080,'8080 (http-alt)','2022-12-07 10:15:31'),('server_port',8081,'8081 (sunproxyadmin)','2022-12-07 10:15:51'),('server_port',8082,'8082 (us-cli)','2022-12-07 10:15:49'),('server_port',8083,'8083 (us-srv)','2022-12-07 10:15:45'),('server_port',8086,'8086 (d-s-n)','2022-12-07 10:15:39'),('server_port',8087,'8087 (simplifymedia)','2022-12-07 10:15:37'),('server_port',8088,'8088 (radan-http)','2022-12-07 10:15:39'),('server_port',8090,'8090 (opsmessaging)','2022-12-07 10:15:30'),('server_port',8091,'8091 (jamlink)','2022-12-07 10:15:37'),('server_port',8097,'8097 (sac)','2022-12-07 10:15:40'),('server_port',8100,'8100 (xprint-server)','2022-12-07 10:15:45'),('server_port',8101,'8101 (ldoms-migr)','2022-12-07 10:15:42'),('server_port',8102,'8102 (kz-migr)','2022-12-07 10:15:33'),('server_port',8115,'8115 (mtl8000-matrix)','2022-12-07 10:15:34'),('server_port',8116,'8116 (cp-cluster)','2022-12-07 10:15:35'),('server_port',8117,'8117 (purityrpc)','2022-12-07 10:15:34'),('server_port',8118,'8118 (privoxy)','2022-12-07 10:15:45'),('server_port',8121,'8121 (apollo-data)','2022-12-07 10:15:50'),('server_port',8122,'8122 (apollo-admin)','2022-12-07 10:15:41'),('server_port',8128,'8128 (paycash-online)','2022-12-07 10:15:37'),('server_port',8129,'8129 (paycash-wbp)','2022-12-07 10:15:31'),('server_port',8130,'8130 (indigo-vrmi)','2022-12-07 10:15:34'),('server_port',8131,'8131 (indigo-vbcp)','2022-12-07 10:15:39'),('server_port',8132,'8132 (dbabble)','2022-12-07 10:15:32'),('server_port',8140,'8140 (puppet)','2022-12-07 10:15:41'),('server_port',8148,'8148 (isdd)','2022-12-07 10:15:40'),('server_port',8153,'8153 (quantastor)','2022-12-07 10:15:36'),('server_port',8160,'8160 (patrol)','2022-12-07 10:15:34'),('server_port',8161,'8161 (patrol-snmp)','2022-12-07 10:15:50'),('server_port',8162,'8162 (lpar2rrd)','2022-12-07 10:15:32'),('server_port',8181,'8181 (intermapper)','2022-12-07 10:15:48'),('server_port',8182,'8182 (vmware-fdm)','2022-12-07 10:15:45'),('server_port',8183,'8183 (proremote)','2022-12-07 10:15:49'),('server_port',8184,'8184 (itach)','2022-12-07 10:15:34'),('server_port',8190,'8190 (gcp-rphy)','2022-12-07 10:15:43'),('server_port',8191,'8191 (limnerpressure)','2022-12-07 10:15:52'),('server_port',8192,'8192 (spytechphone)','2022-12-07 10:15:32'),('server_port',8194,'8194 (blp1)','2022-12-07 10:15:35'),('server_port',8195,'8195 (blp2)','2022-12-07 10:15:36'),('server_port',8199,'8199 (vvr-data)','2022-12-07 10:15:32'),('server_port',8200,'8200 (trivnet1)','2022-12-07 10:15:29'),('server_port',8201,'8201 (trivnet2)','2022-12-07 10:15:30'),('server_port',8204,'8204 (lm-perfworks)','2022-12-07 10:15:47'),('server_port',8205,'8205 (lm-instmgr)','2022-12-07 10:15:31'),('server_port',8206,'8206 (lm-dta)','2022-12-07 10:15:52'),('server_port',8207,'8207 (lm-sserver)','2022-12-07 10:15:40'),('server_port',8208,'8208 (lm-webwatcher)','2022-12-07 10:15:50'),('server_port',8230,'8230 (rexecj)','2022-12-07 10:15:40'),('server_port',8243,'8243 (synapse-nhttps)','2022-12-07 10:15:34'),('server_port',8270,'8270 (robot-remote)','2022-12-07 10:15:48'),('server_port',8276,'8276 (pando-sec)','2022-12-07 10:15:50'),('server_port',8280,'8280 (synapse-nhttp)','2022-12-07 10:15:48'),('server_port',8282,'8282 (libelle)','2022-12-07 10:15:31'),('server_port',8292,'8292 (blp3)','2022-12-07 10:15:46'),('server_port',8293,'8293 (hiperscan-id)','2022-12-07 10:15:36'),('server_port',8294,'8294 (blp4)','2022-12-07 10:15:50'),('server_port',8300,'8300 (tmi)','2022-12-07 10:15:41'),('server_port',8301,'8301 (amberon)','2022-12-07 10:15:47'),('server_port',8313,'8313 (hub-open-net)','2022-12-07 10:15:38'),('server_port',8320,'8320 (tnp-discover)','2022-12-07 10:15:44'),('server_port',8321,'8321 (tnp)','2022-12-07 10:15:49'),('server_port',8322,'8322 (garmin-marine)','2022-12-07 10:15:52'),('server_port',8351,'8351 (server-find)','2022-12-07 10:15:39'),('server_port',8376,'8376 (cruise-enum)','2022-12-07 10:15:49'),('server_port',8377,'8377 (cruise-swroute)','2022-12-07 10:15:42'),('server_port',8378,'8378 (cruise-config)','2022-12-07 10:15:40'),('server_port',8379,'8379 (cruise-diags)','2022-12-07 10:15:36'),('server_port',8380,'8380 (cruise-update)','2022-12-07 10:15:39'),('server_port',8383,'8383 (m2mservices)','2022-12-07 10:15:33'),('server_port',8400,'8400 (cvd)','2022-12-07 10:15:45'),('server_port',8401,'8401 (sabarsd)','2022-12-07 10:15:45'),('server_port',8402,'8402 (abarsd)','2022-12-07 10:15:29'),('server_port',8403,'8403 (admind)','2022-12-07 10:15:39'),('server_port',8404,'8404 (svcloud)','2022-12-07 10:15:51'),('server_port',8405,'8405 (svbackup)','2022-12-07 10:15:48'),('server_port',8415,'8415 (dlpx-sp)','2022-12-07 10:15:40'),('server_port',8416,'8416 (espeech)','2022-12-07 10:15:43'),('server_port',8417,'8417 (espeech-rtp)','2022-12-07 10:15:50'),('server_port',8423,'8423 (aritts)','2022-12-07 10:15:46'),('server_port',8442,'8442 (cybro-a-bus)','2022-12-07 10:15:48'),('server_port',8443,'8443 (pcsync-https)','2022-12-07 10:15:33'),('server_port',8444,'8444 (pcsync-http)','2022-12-07 10:15:44'),('server_port',8445,'8445 (copy)','2022-12-07 10:15:34'),('server_port',8450,'8450 (npmp)','2022-12-07 10:15:35'),('server_port',8457,'8457 (nexentamv)','2022-12-07 10:15:42'),('server_port',8470,'8470 (cisco-avp)','2022-12-07 10:15:36'),('server_port',8471,'8471 (pim-port)','2022-12-07 10:15:51'),('server_port',8472,'8472 (otv)','2022-12-07 10:15:40'),('server_port',8473,'8473 (vp2p)','2022-12-07 10:15:34'),('server_port',8474,'8474 (noteshare)','2022-12-07 10:15:38'),('server_port',8500,'8500 (fmtp)','2022-12-07 10:15:51'),('server_port',8501,'8501 (cmtp-mgt)','2022-12-07 10:15:50'),('server_port',8502,'8502 (ftnmtp)','2022-12-07 10:15:32'),('server_port',8554,'8554 (rtsp-alt)','2022-12-07 10:15:38'),('server_port',8555,'8555 (d-fence)','2022-12-07 10:15:38'),('server_port',8567,'8567 (dof-tunnel)','2022-12-07 10:15:31'),('server_port',8600,'8600 (asterix)','2022-12-07 10:15:52'),('server_port',8610,'8610 (canon-mfnp)','2022-12-07 10:15:37'),('server_port',8611,'8611 (canon-bjnp1)','2022-12-07 10:15:31'),('server_port',8612,'8612 (canon-bjnp2)','2022-12-07 10:15:51'),('server_port',8613,'8613 (canon-bjnp3)','2022-12-07 10:15:48'),('server_port',8614,'8614 (canon-bjnp4)','2022-12-07 10:15:43'),('server_port',8615,'8615 (imink)','2022-12-07 10:15:45'),('server_port',8665,'8665 (monetra)','2022-12-07 10:15:34'),('server_port',8666,'8666 (monetra-admin)','2022-12-07 10:15:53'),('server_port',8675,'8675 (msi-cps-rm)','2022-12-07 10:15:31'),('server_port',8686,'8686 (sun-as-jmxrmi)','2022-12-07 10:15:29'),('server_port',8688,'8688 (openremote-ctrl)','2022-12-07 10:15:33'),('server_port',8699,'8699 (vnyx)','2022-12-07 10:15:49'),('server_port',8711,'8711 (nvc)','2022-12-07 10:15:36'),('server_port',8733,'8733 (ibus)','2022-12-07 10:15:43'),('server_port',8750,'8750 (dey-keyneg)','2022-12-07 10:15:33'),('server_port',8763,'8763 (mc-appserver)','2022-12-07 10:15:47'),('server_port',8764,'8764 (openqueue)','2022-12-07 10:15:39'),('server_port',8765,'8765 (ultraseek-http)','2022-12-07 10:15:31'),('server_port',8766,'8766 (amcs)','2022-12-07 10:15:40'),('server_port',8770,'8770 (dpap)','2022-12-07 10:15:31'),('server_port',8778,'8778 (uec)','2022-12-07 10:15:43'),('server_port',8786,'8786 (msgclnt)','2022-12-07 10:15:31'),('server_port',8787,'8787 (msgsrvr)','2022-12-07 10:15:53'),('server_port',8793,'8793 (acd-pm)','2022-12-07 10:15:42'),('server_port',8800,'8800 (sunwebadmin)','2022-12-07 10:15:47'),('server_port',8804,'8804 (truecm)','2022-12-07 10:15:52'),('server_port',8873,'8873 (dxspider)','2022-12-07 10:15:37'),('server_port',8880,'8880 (cddbp-alt)','2022-12-07 10:15:46'),('server_port',8881,'8881 (galaxy4d)','2022-12-07 10:15:51'),('server_port',8883,'8883 (secure-mqtt)','2022-12-07 10:15:47'),('server_port',8888,'8888 (ddi-tcp-1)','2022-12-07 10:15:35'),('server_port',8889,'8889 (ddi-tcp-2)','2022-12-07 10:15:52'),('server_port',8890,'8890 (ddi-tcp-3)','2022-12-07 10:15:43'),('server_port',8891,'8891 (ddi-tcp-4)','2022-12-07 10:15:50'),('server_port',8892,'8892 (ddi-tcp-5)','2022-12-07 10:15:31'),('server_port',8893,'8893 (ddi-tcp-6)','2022-12-07 10:15:40'),('server_port',8894,'8894 (ddi-tcp-7)','2022-12-07 10:15:29'),('server_port',8899,'8899 (ospf-lite)','2022-12-07 10:15:44'),('server_port',8900,'8900 (jmb-cds1)','2022-12-07 10:15:49'),('server_port',8901,'8901 (jmb-cds2)','2022-12-07 10:15:48'),('server_port',8910,'8910 (manyone-http)','2022-12-07 10:15:37'),('server_port',8911,'8911 (manyone-xml)','2022-12-07 10:15:36'),('server_port',8912,'8912 (wcbackup)','2022-12-07 10:15:47'),('server_port',8913,'8913 (dragonfly)','2022-12-07 10:15:44'),('server_port',8937,'8937 (twds)','2022-12-07 10:15:33'),('server_port',8953,'8953 (ub-dns-control)','2022-12-07 10:15:33'),('server_port',8954,'8954 (cumulus-admin)','2022-12-07 10:15:34'),('server_port',8980,'8980 (nod-provider)','2022-12-07 10:15:45'),('server_port',8989,'8989 (sunwebadmins)','2022-12-07 10:15:49'),('server_port',8990,'8990 (http-wmap)','2022-12-07 10:15:46'),('server_port',8991,'8991 (https-wmap)','2022-12-07 10:15:38'),('server_port',8997,'8997 (oracle-ms-ens)','2022-12-07 10:15:44'),('server_port',8998,'8998 (canto-roboflow)','2022-12-07 10:15:32'),('server_port',8999,'8999 (bctp)','2022-12-07 10:15:31'),('server_port',9000,'9000 (cslistener)','2022-12-07 10:15:52'),('server_port',9001,'9001 (etlservicemgr)','2022-12-07 10:15:31'),('server_port',9002,'9002 (dynamid)','2022-12-07 10:15:31'),('server_port',9005,'9005 (golem)','2022-12-07 10:15:50'),('server_port',9008,'9008 (ogs-server)','2022-12-07 10:15:42'),('server_port',9009,'9009 (pichat)','2022-12-07 10:15:50'),('server_port',9010,'9010 (sdr)','2022-12-07 10:15:49'),('server_port',9020,'9020 (tambora)','2022-12-07 10:15:43'),('server_port',9021,'9021 (panagolin-ident)','2022-12-07 10:15:32'),('server_port',9022,'9022 (paragent)','2022-12-07 10:15:44'),('server_port',9023,'9023 (swa-1)','2022-12-07 10:15:51'),('server_port',9024,'9024 (swa-2)','2022-12-07 10:15:50'),('server_port',9025,'9025 (swa-3)','2022-12-07 10:15:53'),('server_port',9026,'9026 (swa-4)','2022-12-07 10:15:43'),('server_port',9050,'9050 (versiera)','2022-12-07 10:15:49'),('server_port',9051,'9051 (fio-cmgmt)','2022-12-07 10:15:48'),('server_port',9060,'9060 (CardWeb-IO)','2022-12-07 10:15:33'),('server_port',9080,'9080 (glrpc)','2022-12-07 10:15:43'),('server_port',9083,'9083 (emc-pp-mgmtsvc)','2022-12-07 10:15:34'),('server_port',9084,'9084 (aurora)','2022-12-07 10:15:42'),('server_port',9085,'9085 (ibm-rsyscon)','2022-12-07 10:15:51'),('server_port',9086,'9086 (net2display)','2022-12-07 10:15:51'),('server_port',9087,'9087 (classic)','2022-12-07 10:15:40'),('server_port',9088,'9088 (sqlexec)','2022-12-07 10:15:51'),('server_port',9089,'9089 (sqlexec-ssl)','2022-12-07 10:15:37'),('server_port',9090,'9090 (websm)','2022-12-07 10:15:37'),('server_port',9091,'9091 (xmltec-xmlmail)','2022-12-07 10:15:50'),('server_port',9092,'9092 (XmlIpcRegSvc)','2022-12-07 10:15:49'),('server_port',9093,'9093 (copycat)','2022-12-07 10:15:30'),('server_port',9100,'9100 (hp-pdl-datastr)','2022-12-07 10:15:37'),('server_port',9101,'9101 (bacula-dir)','2022-12-07 10:15:38'),('server_port',9102,'9102 (bacula-fd)','2022-12-07 10:15:35'),('server_port',9103,'9103 (bacula-sd)','2022-12-07 10:15:37'),('server_port',9104,'9104 (peerwire)','2022-12-07 10:15:33'),('server_port',9105,'9105 (xadmin)','2022-12-07 10:15:42'),('server_port',9106,'9106 (astergate)','2022-12-07 10:15:44'),('server_port',9107,'9107 (astergatefax)','2022-12-07 10:15:37'),('server_port',9111,'9111 (hexxorecore)','2022-12-07 10:15:33'),('server_port',9119,'9119 (mxit)','2022-12-07 10:15:51'),('server_port',9122,'9122 (grcmp)','2022-12-07 10:15:35'),('server_port',9123,'9123 (grcp)','2022-12-07 10:15:51'),('server_port',9131,'9131 (dddp)','2022-12-07 10:15:37'),('server_port',9160,'9160 (apani1)','2022-12-07 10:15:37'),('server_port',9161,'9161 (apani2)','2022-12-07 10:15:46'),('server_port',9162,'9162 (apani3)','2022-12-07 10:15:48'),('server_port',9163,'9163 (apani4)','2022-12-07 10:15:33'),('server_port',9164,'9164 (apani5)','2022-12-07 10:15:40'),('server_port',9191,'9191 (sun-as-jpda)','2022-12-07 10:15:41'),('server_port',9200,'9200 (wap-wsp)','2022-12-07 10:15:39'),('server_port',9201,'9201 (wap-wsp-wtp)','2022-12-07 10:15:41'),('server_port',9202,'9202 (wap-wsp-s)','2022-12-07 10:15:51'),('server_port',9203,'9203 (wap-wsp-wtp-s)','2022-12-07 10:15:53'),('server_port',9204,'9204 (wap-vcard)','2022-12-07 10:15:46'),('server_port',9205,'9205 (wap-vcal)','2022-12-07 10:15:46'),('server_port',9206,'9206 (wap-vcard-s)','2022-12-07 10:15:34'),('server_port',9207,'9207 (wap-vcal-s)','2022-12-07 10:15:39'),('server_port',9208,'9208 (rjcdb-vcards)','2022-12-07 10:15:35'),('server_port',9209,'9209 (almobile-system)','2022-12-07 10:15:41'),('server_port',9210,'9210 (oma-mlp)','2022-12-07 10:15:47'),('server_port',9211,'9211 (oma-mlp-s)','2022-12-07 10:15:30'),('server_port',9212,'9212 (serverviewdbms)','2022-12-07 10:15:42'),('server_port',9213,'9213 (serverstart)','2022-12-07 10:15:37'),('server_port',9214,'9214 (ipdcesgbs)','2022-12-07 10:15:31'),('server_port',9215,'9215 (insis)','2022-12-07 10:15:53'),('server_port',9216,'9216 (acme)','2022-12-07 10:15:34'),('server_port',9217,'9217 (fsc-port)','2022-12-07 10:15:47'),('server_port',9222,'9222 (teamcoherence)','2022-12-07 10:15:33'),('server_port',9255,'9255 (mon)','2022-12-07 10:15:46'),('server_port',9278,'9278 (pegasus)','2022-12-07 10:15:52'),('server_port',9279,'9279 (pegasus-ctl)','2022-12-07 10:15:29'),('server_port',9280,'9280 (pgps)','2022-12-07 10:15:49'),('server_port',9281,'9281 (swtp-port1)','2022-12-07 10:15:30'),('server_port',9282,'9282 (swtp-port2)','2022-12-07 10:15:45'),('server_port',9283,'9283 (callwaveiam)','2022-12-07 10:15:46'),('server_port',9284,'9284 (visd)','2022-12-07 10:15:41'),('server_port',9285,'9285 (n2h2server)','2022-12-07 10:15:45'),('server_port',9287,'9287 (cumulus)','2022-12-07 10:15:50'),('server_port',9292,'9292 (armtechdaemon)','2022-12-07 10:15:29'),('server_port',9293,'9293 (storview)','2022-12-07 10:15:42'),('server_port',9294,'9294 (armcenterhttp)','2022-12-07 10:15:51'),('server_port',9295,'9295 (armcenterhttps)','2022-12-07 10:15:53'),('server_port',9300,'9300 (vrace)','2022-12-07 10:15:36'),('server_port',9306,'9306 (sphinxql)','2022-12-07 10:15:29'),('server_port',9312,'9312 (sphinxapi)','2022-12-07 10:15:50'),('server_port',9318,'9318 (secure-ts)','2022-12-07 10:15:34'),('server_port',9321,'9321 (guibase)','2022-12-07 10:15:49'),('server_port',9343,'9343 (mpidcmgr)','2022-12-07 10:15:34'),('server_port',9344,'9344 (mphlpdmc)','2022-12-07 10:15:34'),('server_port',9345,'9345 (rancher)','2022-12-07 10:15:42'),('server_port',9346,'9346 (ctechlicensing)','2022-12-07 10:15:44'),('server_port',9374,'9374 (fjdmimgr)','2022-12-07 10:15:48'),('server_port',9380,'9380 (boxp)','2022-12-07 10:15:42'),('server_port',9387,'9387 (d2dconfig)','2022-12-07 10:15:32'),('server_port',9388,'9388 (d2ddatatrans)','2022-12-07 10:15:46'),('server_port',9389,'9389 (adws)','2022-12-07 10:15:45'),('server_port',9390,'9390 (otp)','2022-12-07 10:15:45'),('server_port',9396,'9396 (fjinvmgr)','2022-12-07 10:15:44'),('server_port',9397,'9397 (mpidcagt)','2022-12-07 10:15:50'),('server_port',9400,'9400 (sec-t4net-srv)','2022-12-07 10:15:52'),('server_port',9401,'9401 (sec-t4net-clt)','2022-12-07 10:15:48'),('server_port',9402,'9402 (sec-pc2fax-srv)','2022-12-07 10:15:34'),('server_port',9418,'9418 (git)','2022-12-07 10:15:42'),('server_port',9443,'9443 (tungsten-https)','2022-12-07 10:15:36'),('server_port',9444,'9444 (wso2esb-console)','2022-12-07 10:15:46'),('server_port',9445,'9445 (mindarray-ca)','2022-12-07 10:15:34'),('server_port',9450,'9450 (sntlkeyssrvr)','2022-12-07 10:15:31'),('server_port',9500,'9500 (ismserver)','2022-12-07 10:15:33'),('server_port',9535,'9535 (mngsuite)','2022-12-07 10:15:52'),('server_port',9536,'9536 (laes-bf)','2022-12-07 10:15:33'),('server_port',9555,'9555 (trispen-sra)','2022-12-07 10:15:53'),('server_port',9592,'9592 (ldgateway)','2022-12-07 10:15:36'),('server_port',9593,'9593 (cba8)','2022-12-07 10:15:38'),('server_port',9594,'9594 (msgsys)','2022-12-07 10:15:42'),('server_port',9595,'9595 (pds)','2022-12-07 10:15:37'),('server_port',9596,'9596 (mercury-disc)','2022-12-07 10:15:39'),('server_port',9597,'9597 (pd-admin)','2022-12-07 10:15:36'),('server_port',9598,'9598 (vscp)','2022-12-07 10:15:32'),('server_port',9599,'9599 (robix)','2022-12-07 10:15:34'),('server_port',9600,'9600 (micromuse-ncpw)','2022-12-07 10:15:40'),('server_port',9612,'9612 (streamcomm-ds)','2022-12-07 10:15:50'),('server_port',9614,'9614 (iadt-tls)','2022-12-07 10:15:37'),('server_port',9616,'9616 (erunbook-agent)','2022-12-07 10:15:31'),('server_port',9617,'9617 (erunbook-server)','2022-12-07 10:15:45'),('server_port',9618,'9618 (condor)','2022-12-07 10:15:30'),('server_port',9628,'9628 (odbcpathway)','2022-12-07 10:15:33'),('server_port',9629,'9629 (uniport)','2022-12-07 10:15:40'),('server_port',9630,'9630 (peoctlr)','2022-12-07 10:15:29'),('server_port',9631,'9631 (peocoll)','2022-12-07 10:15:51'),('server_port',9640,'9640 (pqsflows)','2022-12-07 10:15:52'),('server_port',9666,'9666 (zoomcp)','2022-12-07 10:15:40'),('server_port',9667,'9667 (xmms2)','2022-12-07 10:15:32'),('server_port',9668,'9668 (tec5-sdctp)','2022-12-07 10:15:39'),('server_port',9694,'9694 (client-wakeup)','2022-12-07 10:15:31'),('server_port',9695,'9695 (ccnx)','2022-12-07 10:15:35'),('server_port',9700,'9700 (board-roar)','2022-12-07 10:15:40'),('server_port',9747,'9747 (l5nas-parchan)','2022-12-07 10:15:51'),('server_port',9750,'9750 (board-voip)','2022-12-07 10:15:40'),('server_port',9753,'9753 (rasadv)','2022-12-07 10:15:40'),('server_port',9762,'9762 (tungsten-http)','2022-12-07 10:15:31'),('server_port',9800,'9800 (davsrc)','2022-12-07 10:15:32'),('server_port',9801,'9801 (sstp-2)','2022-12-07 10:15:52'),('server_port',9802,'9802 (davsrcs)','2022-12-07 10:15:33'),('server_port',9875,'9875 (sapv1)','2022-12-07 10:15:46'),('server_port',9876,'9876 (sd)','2022-12-07 10:15:34'),('server_port',9888,'9888 (cyborg-systems)','2022-12-07 10:15:38'),('server_port',9889,'9889 (gt-proxy)','2022-12-07 10:15:39'),('server_port',9898,'9898 (monkeycom)','2022-12-07 10:15:49'),('server_port',9900,'9900 (iua)','2022-12-07 10:15:49'),('server_port',9909,'9909 (domaintime)','2022-12-07 10:15:53'),('server_port',9911,'9911 (sype-transport)','2022-12-07 10:15:44'),('server_port',9925,'9925 (xybrid-cloud)','2022-12-07 10:15:46'),('server_port',9950,'9950 (apc-9950)','2022-12-07 10:15:41'),('server_port',9951,'9951 (apc-9951)','2022-12-07 10:15:52'),('server_port',9952,'9952 (apc-9952)','2022-12-07 10:15:36'),('server_port',9953,'9953 (acis)','2022-12-07 10:15:50'),('server_port',9954,'9954 (hinp)','2022-12-07 10:15:40'),('server_port',9955,'9955 (alljoyn-stm)','2022-12-07 10:15:40'),('server_port',9966,'9966 (odnsp)','2022-12-07 10:15:43'),('server_port',9978,'9978 (xybrid-rt)','2022-12-07 10:15:30'),('server_port',9979,'9979 (visweather)','2022-12-07 10:15:41'),('server_port',9981,'9981 (pumpkindb)','2022-12-07 10:15:53'),('server_port',9987,'9987 (dsm-scm-target)','2022-12-07 10:15:52'),('server_port',9988,'9988 (nsesrvr)','2022-12-07 10:15:30'),('server_port',9990,'9990 (osm-appsrvr)','2022-12-07 10:15:45'),('server_port',9991,'9991 (osm-oev)','2022-12-07 10:15:46'),('server_port',9992,'9992 (palace-1)','2022-12-07 10:15:51'),('server_port',9993,'9993 (palace-2)','2022-12-07 10:15:29'),('server_port',9994,'9994 (palace-3)','2022-12-07 10:15:31'),('server_port',9995,'9995 (palace-4)','2022-12-07 10:15:47'),('server_port',9996,'9996 (palace-5)','2022-12-07 10:15:53'),('server_port',9997,'9997 (palace-6)','2022-12-07 10:15:29'),('server_port',9998,'9998 (distinct32)','2022-12-07 10:15:36'),('server_port',9999,'9999 (distinct)','2022-12-07 10:15:39'),('server_port',10000,'10000 (ndmp)','2022-12-07 10:15:35'),('server_port',10001,'10001 (scp-config)','2022-12-07 10:15:53'),('server_port',10002,'10002 (documentum)','2022-12-07 10:15:31'),('server_port',10003,'10003 (documentum-s)','2022-12-07 10:15:52'),('server_port',10004,'10004 (emcrmirccd)','2022-12-07 10:15:47'),('server_port',10005,'10005 (emcrmird)','2022-12-07 10:15:30'),('server_port',10006,'10006 (netapp-sync)','2022-12-07 10:15:52'),('server_port',10007,'10007 (mvs-capacity)','2022-12-07 10:15:37'),('server_port',10008,'10008 (octopus)','2022-12-07 10:15:46'),('server_port',10009,'10009 (swdtp-sv)','2022-12-07 10:15:34'),('server_port',10010,'10010 (rxapi)','2022-12-07 10:15:44'),('server_port',10020,'10020 (abb-hw)','2022-12-07 10:15:52'),('server_port',10050,'10050 (zabbix-agent)','2022-12-07 10:15:30'),('server_port',10051,'10051 (zabbix-trapper)','2022-12-07 10:15:35'),('server_port',10055,'10055 (qptlmd)','2022-12-07 10:15:39'),('server_port',10080,'10080 (amanda)','2022-12-07 10:15:44'),('server_port',10081,'10081 (famdc)','2022-12-07 10:15:44'),('server_port',10100,'10100 (itap-ddtp)','2022-12-07 10:15:50'),('server_port',10101,'10101 (ezmeeting-2)','2022-12-07 10:15:39'),('server_port',10102,'10102 (ezproxy-2)','2022-12-07 10:15:40'),('server_port',10103,'10103 (ezrelay)','2022-12-07 10:15:30'),('server_port',10104,'10104 (swdtp)','2022-12-07 10:15:40'),('server_port',10107,'10107 (bctp-server)','2022-12-07 10:15:40'),('server_port',10110,'10110 (nmea-0183)','2022-12-07 10:15:47'),('server_port',10113,'10113 (netiq-endpoint)','2022-12-07 10:15:35'),('server_port',10114,'10114 (netiq-qcheck)','2022-12-07 10:15:30'),('server_port',10115,'10115 (netiq-endpt)','2022-12-07 10:15:37'),('server_port',10116,'10116 (netiq-voipa)','2022-12-07 10:15:37'),('server_port',10117,'10117 (iqrm)','2022-12-07 10:15:52'),('server_port',10125,'10125 (cimple)','2022-12-07 10:15:50'),('server_port',10128,'10128 (bmc-perf-sd)','2022-12-07 10:15:46'),('server_port',10129,'10129 (bmc-gms)','2022-12-07 10:15:42'),('server_port',10160,'10160 (qb-db-server)','2022-12-07 10:15:37'),('server_port',10161,'10161 (snmptls)','2022-12-07 10:15:33'),('server_port',10162,'10162 (snmptls-trap)','2022-12-07 10:15:40'),('server_port',10200,'10200 (trisoap)','2022-12-07 10:15:38'),('server_port',10201,'10201 (rsms)','2022-12-07 10:15:31'),('server_port',10252,'10252 (apollo-relay)','2022-12-07 10:15:44'),('server_port',10260,'10260 (axis-wimp-port)','2022-12-07 10:15:33'),('server_port',10261,'10261 (tile-ml)','2022-12-07 10:15:31'),('server_port',10288,'10288 (blocks)','2022-12-07 10:15:48'),('server_port',10321,'10321 (cosir)','2022-12-07 10:15:32'),('server_port',10540,'10540 (MOS-lower)','2022-12-07 10:15:38'),('server_port',10541,'10541 (MOS-upper)','2022-12-07 10:15:51'),('server_port',10542,'10542 (MOS-aux)','2022-12-07 10:15:53'),('server_port',10543,'10543 (MOS-soap)','2022-12-07 10:15:34'),('server_port',10544,'10544 (MOS-soap-opt)','2022-12-07 10:15:31'),('server_port',10548,'10548 (serverdocs)','2022-12-07 10:15:34'),('server_port',10631,'10631 (printopia)','2022-12-07 10:15:46'),('server_port',10800,'10800 (gap)','2022-12-07 10:15:43'),('server_port',10805,'10805 (lpdg)','2022-12-07 10:15:31'),('server_port',10809,'10809 (nbd)','2022-12-07 10:15:31'),('server_port',10860,'10860 (helix)','2022-12-07 10:15:41'),('server_port',10880,'10880 (bveapi)','2022-12-07 10:15:51'),('server_port',10933,'10933 (octopustentacle)','2022-12-07 10:15:33'),('server_port',10990,'10990 (rmiaux)','2022-12-07 10:15:34'),('server_port',11000,'11000 (irisa)','2022-12-07 10:15:41'),('server_port',11001,'11001 (metasys)','2022-12-07 10:15:32'),('server_port',11095,'11095 (weave)','2022-12-07 10:15:43'),('server_port',11103,'11103 (origo-sync)','2022-12-07 10:15:42'),('server_port',11104,'11104 (netapp-icmgmt)','2022-12-07 10:15:49'),('server_port',11105,'11105 (netapp-icdata)','2022-12-07 10:15:36'),('server_port',11106,'11106 (sgi-lk)','2022-12-07 10:15:42'),('server_port',11109,'11109 (sgi-dmfmgr)','2022-12-07 10:15:45'),('server_port',11110,'11110 (sgi-soap)','2022-12-07 10:15:29'),('server_port',11111,'11111 (vce)','2022-12-07 10:15:29'),('server_port',11112,'11112 (dicom)','2022-12-07 10:15:39'),('server_port',11161,'11161 (suncacao-snmp)','2022-12-07 10:15:30'),('server_port',11162,'11162 (suncacao-jmxmp)','2022-12-07 10:15:48'),('server_port',11163,'11163 (suncacao-rmi)','2022-12-07 10:15:38'),('server_port',11164,'11164 (suncacao-csa)','2022-12-07 10:15:42'),('server_port',11165,'11165 (suncacao-websvc)','2022-12-07 10:15:40'),('server_port',11172,'11172 (oemcacao-jmxmp)','2022-12-07 10:15:50'),('server_port',11173,'11173 (t5-straton)','2022-12-07 10:15:46'),('server_port',11174,'11174 (oemcacao-rmi)','2022-12-07 10:15:48'),('server_port',11175,'11175 (oemcacao-websvc)','2022-12-07 10:15:51'),('server_port',11201,'11201 (smsqp)','2022-12-07 10:15:43'),('server_port',11202,'11202 (dcsl-backup)','2022-12-07 10:15:45'),('server_port',11208,'11208 (wifree)','2022-12-07 10:15:40'),('server_port',11211,'11211 (memcache)','2022-12-07 10:15:52'),('server_port',11319,'11319 (imip)','2022-12-07 10:15:35'),('server_port',11320,'11320 (imip-channels)','2022-12-07 10:15:51'),('server_port',11321,'11321 (arena-server)','2022-12-07 10:15:30'),('server_port',11367,'11367 (atm-uhas)','2022-12-07 10:15:44'),('server_port',11371,'11371 (hkp)','2022-12-07 10:15:34'),('server_port',11489,'11489 (asgcypresstcps)','2022-12-07 10:15:45'),('server_port',11600,'11600 (tempest-port)','2022-12-07 10:15:50'),('server_port',11623,'11623 (emc-xsw-dconfig)','2022-12-07 10:15:39'),('server_port',11720,'11720 (h323callsigalt)','2022-12-07 10:15:37'),('server_port',11723,'11723 (emc-xsw-dcache)','2022-12-07 10:15:44'),('server_port',11751,'11751 (intrepid-ssl)','2022-12-07 10:15:33'),('server_port',11796,'11796 (lanschool)','2022-12-07 10:15:29'),('server_port',11876,'11876 (xoraya)','2022-12-07 10:15:39'),('server_port',11967,'11967 (sysinfo-sp)','2022-12-07 10:15:44'),('server_port',12000,'12000 (entextxid)','2022-12-07 10:15:34'),('server_port',12001,'12001 (entextnetwk)','2022-12-07 10:15:31'),('server_port',12002,'12002 (entexthigh)','2022-12-07 10:15:31'),('server_port',12003,'12003 (entextmed)','2022-12-07 10:15:38'),('server_port',12004,'12004 (entextlow)','2022-12-07 10:15:53'),('server_port',12005,'12005 (dbisamserver1)','2022-12-07 10:15:51'),('server_port',12006,'12006 (dbisamserver2)','2022-12-07 10:15:42'),('server_port',12007,'12007 (accuracer)','2022-12-07 10:15:34'),('server_port',12008,'12008 (accuracer-dbms)','2022-12-07 10:15:44'),('server_port',12010,'12010 (edbsrvr)','2022-12-07 10:15:34'),('server_port',12012,'12012 (vipera)','2022-12-07 10:15:37'),('server_port',12013,'12013 (vipera-ssl)','2022-12-07 10:15:35'),('server_port',12109,'12109 (rets-ssl)','2022-12-07 10:15:45'),('server_port',12121,'12121 (nupaper-ss)','2022-12-07 10:15:42'),('server_port',12168,'12168 (cawas)','2022-12-07 10:15:47'),('server_port',12172,'12172 (hivep)','2022-12-07 10:15:45'),('server_port',12300,'12300 (linogridengine)','2022-12-07 10:15:39'),('server_port',12302,'12302 (rads)','2022-12-07 10:15:41'),('server_port',12321,'12321 (warehouse-sss)','2022-12-07 10:15:41'),('server_port',12322,'12322 (warehouse)','2022-12-07 10:15:37'),('server_port',12345,'12345 (italk)','2022-12-07 10:15:47'),('server_port',12753,'12753 (tsaf)','2022-12-07 10:15:37'),('server_port',12865,'12865 (netperf)','2022-12-07 10:15:33'),('server_port',13160,'13160 (i-zipqd)','2022-12-07 10:15:48'),('server_port',13216,'13216 (bcslogc)','2022-12-07 10:15:49'),('server_port',13217,'13217 (rs-pias)','2022-12-07 10:15:37'),('server_port',13218,'13218 (emc-vcas-tcp)','2022-12-07 10:15:50'),('server_port',13223,'13223 (powwow-client)','2022-12-07 10:15:36'),('server_port',13224,'13224 (powwow-server)','2022-12-07 10:15:53'),('server_port',13400,'13400 (doip-data)','2022-12-07 10:15:36'),('server_port',13720,'13720 (bprd)','2022-12-07 10:15:40'),('server_port',13721,'13721 (bpdbm)','2022-12-07 10:15:41'),('server_port',13722,'13722 (bpjava-msvc)','2022-12-07 10:15:31'),('server_port',13724,'13724 (vnetd)','2022-12-07 10:15:45'),('server_port',13782,'13782 (bpcd)','2022-12-07 10:15:40'),('server_port',13783,'13783 (vopied)','2022-12-07 10:15:49'),('server_port',13785,'13785 (nbdb)','2022-12-07 10:15:41'),('server_port',13786,'13786 (nomdb)','2022-12-07 10:15:41'),('server_port',13818,'13818 (dsmcc-config)','2022-12-07 10:15:49'),('server_port',13819,'13819 (dsmcc-session)','2022-12-07 10:15:50'),('server_port',13820,'13820 (dsmcc-passthru)','2022-12-07 10:15:48'),('server_port',13821,'13821 (dsmcc-download)','2022-12-07 10:15:53'),('server_port',13822,'13822 (dsmcc-ccp)','2022-12-07 10:15:30'),('server_port',13823,'13823 (bmdss)','2022-12-07 10:15:40'),('server_port',13894,'13894 (ucontrol)','2022-12-07 10:15:46'),('server_port',13929,'13929 (dta-systems)','2022-12-07 10:15:31'),('server_port',13930,'13930 (medevolve)','2022-12-07 10:15:48'),('server_port',14000,'14000 (scotty-ft)','2022-12-07 10:15:49'),('server_port',14001,'14001 (sua)','2022-12-07 10:15:32'),('server_port',14033,'14033 (sage-best-com1)','2022-12-07 10:15:32'),('server_port',14034,'14034 (sage-best-com2)','2022-12-07 10:15:41'),('server_port',14141,'14141 (vcs-app)','2022-12-07 10:15:31'),('server_port',14142,'14142 (icpp)','2022-12-07 10:15:47'),('server_port',14143,'14143 (icpps)','2022-12-07 10:15:29'),('server_port',14145,'14145 (gcm-app)','2022-12-07 10:15:50'),('server_port',14149,'14149 (vrts-tdd)','2022-12-07 10:15:42'),('server_port',14150,'14150 (vcscmd)','2022-12-07 10:15:34'),('server_port',14154,'14154 (vad)','2022-12-07 10:15:47'),('server_port',14250,'14250 (cps)','2022-12-07 10:15:32'),('server_port',14414,'14414 (ca-web-update)','2022-12-07 10:15:43'),('server_port',14500,'14500 (xpra)','2022-12-07 10:15:51'),('server_port',14936,'14936 (hde-lcesrvr-1)','2022-12-07 10:15:36'),('server_port',14937,'14937 (hde-lcesrvr-2)','2022-12-07 10:15:36'),('server_port',15000,'15000 (hydap)','2022-12-07 10:15:30'),('server_port',15002,'15002 (onep-tls)','2022-12-07 10:15:30'),('server_port',15345,'15345 (xpilot)','2022-12-07 10:15:36'),('server_port',15363,'15363 (3link)','2022-12-07 10:15:42'),('server_port',15555,'15555 (cisco-snat)','2022-12-07 10:15:30'),('server_port',15660,'15660 (bex-xr)','2022-12-07 10:15:35'),('server_port',15740,'15740 (ptp)','2022-12-07 10:15:41'),('server_port',15999,'15999 (programmar)','2022-12-07 10:15:46'),('server_port',16000,'16000 (fmsas)','2022-12-07 10:15:32'),('server_port',16001,'16001 (fmsascon)','2022-12-07 10:15:53'),('server_port',16002,'16002 (gsms)','2022-12-07 10:15:31'),('server_port',16020,'16020 (jwpc)','2022-12-07 10:15:36'),('server_port',16021,'16021 (jwpc-bin)','2022-12-07 10:15:46'),('server_port',16161,'16161 (sun-sea-port)','2022-12-07 10:15:29'),('server_port',16162,'16162 (solaris-audit)','2022-12-07 10:15:50'),('server_port',16309,'16309 (etb4j)','2022-12-07 10:15:38'),('server_port',16310,'16310 (pduncs)','2022-12-07 10:15:52'),('server_port',16311,'16311 (pdefmns)','2022-12-07 10:15:46'),('server_port',16360,'16360 (netserialext1)','2022-12-07 10:15:49'),('server_port',16361,'16361 (netserialext2)','2022-12-07 10:15:51'),('server_port',16367,'16367 (netserialext3)','2022-12-07 10:15:40'),('server_port',16368,'16368 (netserialext4)','2022-12-07 10:15:39'),('server_port',16384,'16384 (connected)','2022-12-07 10:15:45'),('server_port',16385,'16385 (rdgs)','2022-12-07 10:15:39'),('server_port',16619,'16619 (xoms)','2022-12-07 10:15:38'),('server_port',16665,'16665 (axon-tunnel)','2022-12-07 10:15:46'),('server_port',16789,'16789 (cadsisvr)','2022-12-07 10:15:43'),('server_port',16900,'16900 (newbay-snc-mc)','2022-12-07 10:15:40'),('server_port',16950,'16950 (sgcip)','2022-12-07 10:15:40'),('server_port',16991,'16991 (intel-rci-mp)','2022-12-07 10:15:46'),('server_port',16992,'16992 (amt-soap-http)','2022-12-07 10:15:45'),('server_port',16993,'16993 (amt-soap-https)','2022-12-07 10:15:36'),('server_port',16994,'16994 (amt-redir-tcp)','2022-12-07 10:15:44'),('server_port',16995,'16995 (amt-redir-tls)','2022-12-07 10:15:51'),('server_port',17007,'17007 (isode-dua)','2022-12-07 10:15:50'),('server_port',17184,'17184 (vestasdlp)','2022-12-07 10:15:40'),('server_port',17185,'17185 (soundsvirtual)','2022-12-07 10:15:47'),('server_port',17219,'17219 (chipper)','2022-12-07 10:15:36'),('server_port',17220,'17220 (avtp)','2022-12-07 10:15:49'),('server_port',17221,'17221 (avdecc)','2022-12-07 10:15:49'),('server_port',17223,'17223 (isa100-gci)','2022-12-07 10:15:36'),('server_port',17225,'17225 (trdp-md)','2022-12-07 10:15:46'),('server_port',17234,'17234 (integrius-stp)','2022-12-07 10:15:30'),('server_port',17235,'17235 (ssh-mgmt)','2022-12-07 10:15:47'),('server_port',17500,'17500 (db-lsp)','2022-12-07 10:15:41'),('server_port',17555,'17555 (ailith)','2022-12-07 10:15:46'),('server_port',17729,'17729 (ea)','2022-12-07 10:15:42'),('server_port',17754,'17754 (zep)','2022-12-07 10:15:52'),('server_port',17755,'17755 (zigbee-ip)','2022-12-07 10:15:39'),('server_port',17756,'17756 (zigbee-ips)','2022-12-07 10:15:30'),('server_port',17777,'17777 (sw-orion)','2022-12-07 10:15:48'),('server_port',18000,'18000 (biimenu)','2022-12-07 10:15:40'),('server_port',18104,'18104 (radpdf)','2022-12-07 10:15:47'),('server_port',18136,'18136 (racf)','2022-12-07 10:15:43'),('server_port',18181,'18181 (opsec-cvp)','2022-12-07 10:15:45'),('server_port',18182,'18182 (opsec-ufp)','2022-12-07 10:15:32'),('server_port',18183,'18183 (opsec-sam)','2022-12-07 10:15:35'),('server_port',18184,'18184 (opsec-lea)','2022-12-07 10:15:41'),('server_port',18185,'18185 (opsec-omi)','2022-12-07 10:15:41'),('server_port',18186,'18186 (ohsc)','2022-12-07 10:15:42'),('server_port',18187,'18187 (opsec-ela)','2022-12-07 10:15:34'),('server_port',18241,'18241 (checkpoint-rtm)','2022-12-07 10:15:32'),('server_port',18242,'18242 (iclid)','2022-12-07 10:15:38'),('server_port',18243,'18243 (clusterxl)','2022-12-07 10:15:53'),('server_port',18262,'18262 (gv-pf)','2022-12-07 10:15:44'),('server_port',18463,'18463 (ac-cluster)','2022-12-07 10:15:30'),('server_port',18634,'18634 (rds-ib)','2022-12-07 10:15:52'),('server_port',18635,'18635 (rds-ip)','2022-12-07 10:15:47'),('server_port',18668,'18668 (vdmmesh)','2022-12-07 10:15:48'),('server_port',18769,'18769 (ique)','2022-12-07 10:15:36'),('server_port',18881,'18881 (infotos)','2022-12-07 10:15:36'),('server_port',18888,'18888 (apc-necmp)','2022-12-07 10:15:34'),('server_port',19000,'19000 (igrid)','2022-12-07 10:15:31'),('server_port',19007,'19007 (scintilla)','2022-12-07 10:15:41'),('server_port',19020,'19020 (j-link)','2022-12-07 10:15:42'),('server_port',19191,'19191 (opsec-uaa)','2022-12-07 10:15:37'),('server_port',19194,'19194 (ua-secureagent)','2022-12-07 10:15:42'),('server_port',19220,'19220 (cora)','2022-12-07 10:15:38'),('server_port',19283,'19283 (keysrvr)','2022-12-07 10:15:40'),('server_port',19315,'19315 (keyshadow)','2022-12-07 10:15:33'),('server_port',19398,'19398 (mtrgtrans)','2022-12-07 10:15:42'),('server_port',19410,'19410 (hp-sco)','2022-12-07 10:15:31'),('server_port',19411,'19411 (hp-sca)','2022-12-07 10:15:35'),('server_port',19412,'19412 (hp-sessmon)','2022-12-07 10:15:52'),('server_port',19539,'19539 (fxuptp)','2022-12-07 10:15:48'),('server_port',19540,'19540 (sxuptp)','2022-12-07 10:15:32'),('server_port',19541,'19541 (jcp)','2022-12-07 10:15:38'),('server_port',19998,'19998 (iec-104-sec)','2022-12-07 10:15:50'),('server_port',19999,'19999 (dnp-sec)','2022-12-07 10:15:40'),('server_port',20000,'20000 (dnp)','2022-12-07 10:15:46'),('server_port',20001,'20001 (microsan)','2022-12-07 10:15:43'),('server_port',20002,'20002 (commtact-http)','2022-12-07 10:15:44'),('server_port',20003,'20003 (commtact-https)','2022-12-07 10:15:48'),('server_port',20005,'20005 (openwebnet)','2022-12-07 10:15:47'),('server_port',20013,'20013 (ss-idi)','2022-12-07 10:15:36'),('server_port',20014,'20014 (opendeploy)','2022-12-07 10:15:30'),('server_port',20034,'20034 (nburn-id)','2022-12-07 10:15:50'),('server_port',20046,'20046 (tmophl7mts)','2022-12-07 10:15:42'),('server_port',20048,'20048 (mountd)','2022-12-07 10:15:48'),('server_port',20049,'20049 (nfsrdma)','2022-12-07 10:15:40'),('server_port',20057,'20057 (avesterra)','2022-12-07 10:15:51'),('server_port',20167,'20167 (tolfab)','2022-12-07 10:15:35'),('server_port',20202,'20202 (ipdtp-port)','2022-12-07 10:15:39'),('server_port',20222,'20222 (ipulse-ics)','2022-12-07 10:15:36'),('server_port',20480,'20480 (emwavemsg)','2022-12-07 10:15:45'),('server_port',20670,'20670 (track)','2022-12-07 10:15:41'),('server_port',20999,'20999 (athand-mmp)','2022-12-07 10:15:33'),('server_port',21000,'21000 (irtrans)','2022-12-07 10:15:40'),('server_port',21010,'21010 (notezilla-lan)','2022-12-07 10:15:39'),('server_port',21212,'21212 (trinket-agent)','2022-12-07 10:15:37'),('server_port',21221,'21221 (aigairserver)','2022-12-07 10:15:52'),('server_port',21553,'21553 (rdm-tfs)','2022-12-07 10:15:42'),('server_port',21554,'21554 (dfserver)','2022-12-07 10:15:32'),('server_port',21590,'21590 (vofr-gateway)','2022-12-07 10:15:42'),('server_port',21800,'21800 (tvpm)','2022-12-07 10:15:46'),('server_port',21845,'21845 (webphone)','2022-12-07 10:15:43'),('server_port',21846,'21846 (netspeak-is)','2022-12-07 10:15:53'),('server_port',21847,'21847 (netspeak-cs)','2022-12-07 10:15:41'),('server_port',21848,'21848 (netspeak-acd)','2022-12-07 10:15:40'),('server_port',21849,'21849 (netspeak-cps)','2022-12-07 10:15:49'),('server_port',22000,'22000 (snapenetio)','2022-12-07 10:15:51'),('server_port',22001,'22001 (optocontrol)','2022-12-07 10:15:47'),('server_port',22002,'22002 (optohost002)','2022-12-07 10:15:31'),('server_port',22003,'22003 (optohost003)','2022-12-07 10:15:52'),('server_port',22004,'22004 (optohost004)','2022-12-07 10:15:35'),('server_port',22005,'22005 (optohost004)','2022-12-07 10:15:42'),('server_port',22125,'22125 (dcap)','2022-12-07 10:15:50'),('server_port',22128,'22128 (gsidcap)','2022-12-07 10:15:45'),('server_port',22222,'22222 (easyengine)','2022-12-07 10:15:46'),('server_port',22273,'22273 (wnn6)','2022-12-07 10:15:52'),('server_port',22305,'22305 (cis)','2022-12-07 10:15:41'),('server_port',22335,'22335 (shrewd-control)','2022-12-07 10:15:36'),('server_port',22343,'22343 (cis-secure)','2022-12-07 10:15:33'),('server_port',22347,'22347 (wibukey)','2022-12-07 10:15:34'),('server_port',22350,'22350 (codemeter)','2022-12-07 10:15:51'),('server_port',22351,'22351 (codemeter-cmwan)','2022-12-07 10:15:46'),('server_port',22537,'22537 (caldsoft-backup)','2022-12-07 10:15:46'),('server_port',22555,'22555 (vocaltec-wconf)','2022-12-07 10:15:46'),('server_port',22763,'22763 (talikaserver)','2022-12-07 10:15:48'),('server_port',22800,'22800 (aws-brf)','2022-12-07 10:15:34'),('server_port',22951,'22951 (brf-gw)','2022-12-07 10:15:47'),('server_port',23000,'23000 (inovaport1)','2022-12-07 10:15:44'),('server_port',23001,'23001 (inovaport2)','2022-12-07 10:15:36'),('server_port',23002,'23002 (inovaport3)','2022-12-07 10:15:47'),('server_port',23003,'23003 (inovaport4)','2022-12-07 10:15:30'),('server_port',23004,'23004 (inovaport5)','2022-12-07 10:15:39'),('server_port',23005,'23005 (inovaport6)','2022-12-07 10:15:53'),('server_port',23053,'23053 (gntp)','2022-12-07 10:15:51'),('server_port',23294,'23294 (5afe-dir)','2022-12-07 10:15:32'),('server_port',23333,'23333 (elxmgmt)','2022-12-07 10:15:35'),('server_port',23400,'23400 (novar-dbase)','2022-12-07 10:15:39'),('server_port',23401,'23401 (novar-alarm)','2022-12-07 10:15:41'),('server_port',23402,'23402 (novar-global)','2022-12-07 10:15:45'),('server_port',23456,'23456 (aequus)','2022-12-07 10:15:48'),('server_port',23457,'23457 (aequus-alt)','2022-12-07 10:15:50'),('server_port',23546,'23546 (areaguard-neo)','2022-12-07 10:15:42'),('server_port',24000,'24000 (med-ltp)','2022-12-07 10:15:30'),('server_port',24001,'24001 (med-fsp-rx)','2022-12-07 10:15:46'),('server_port',24002,'24002 (med-fsp-tx)','2022-12-07 10:15:51'),('server_port',24003,'24003 (med-supp)','2022-12-07 10:15:39'),('server_port',24004,'24004 (med-ovw)','2022-12-07 10:15:36'),('server_port',24005,'24005 (med-ci)','2022-12-07 10:15:40'),('server_port',24006,'24006 (med-net-svc)','2022-12-07 10:15:32'),('server_port',24242,'24242 (filesphere)','2022-12-07 10:15:30'),('server_port',24249,'24249 (vista-4gl)','2022-12-07 10:15:53'),('server_port',24321,'24321 (ild)','2022-12-07 10:15:48'),('server_port',24323,'24323 (vrmg-ip)','2022-12-07 10:15:47'),('server_port',24386,'24386 (intel-rci)','2022-12-07 10:15:42'),('server_port',24465,'24465 (tonidods)','2022-12-07 10:15:50'),('server_port',24554,'24554 (binkp)','2022-12-07 10:15:48'),('server_port',24577,'24577 (bilobit)','2022-12-07 10:15:50'),('server_port',24666,'24666 (sdtvwcam)','2022-12-07 10:15:35'),('server_port',24676,'24676 (canditv)','2022-12-07 10:15:39'),('server_port',24677,'24677 (flashfiler)','2022-12-07 10:15:46'),('server_port',24678,'24678 (proactivate)','2022-12-07 10:15:39'),('server_port',24680,'24680 (tcc-http)','2022-12-07 10:15:49'),('server_port',24754,'24754 (cslg)','2022-12-07 10:15:42'),('server_port',24922,'24922 (find)','2022-12-07 10:15:47'),('server_port',25000,'25000 (icl-twobase1)','2022-12-07 10:15:41'),('server_port',25001,'25001 (icl-twobase2)','2022-12-07 10:15:46'),('server_port',25002,'25002 (icl-twobase3)','2022-12-07 10:15:41'),('server_port',25003,'25003 (icl-twobase4)','2022-12-07 10:15:32'),('server_port',25004,'25004 (icl-twobase5)','2022-12-07 10:15:30'),('server_port',25005,'25005 (icl-twobase6)','2022-12-07 10:15:48'),('server_port',25006,'25006 (icl-twobase7)','2022-12-07 10:15:42'),('server_port',25007,'25007 (icl-twobase8)','2022-12-07 10:15:49'),('server_port',25008,'25008 (icl-twobase9)','2022-12-07 10:15:38'),('server_port',25009,'25009 (icl-twobase10)','2022-12-07 10:15:32'),('server_port',25576,'25576 (sauterdongle)','2022-12-07 10:15:49'),('server_port',25604,'25604 (idtp)','2022-12-07 10:15:32'),('server_port',25793,'25793 (vocaltec-hos)','2022-12-07 10:15:46'),('server_port',25900,'25900 (tasp-net)','2022-12-07 10:15:53'),('server_port',25901,'25901 (niobserver)','2022-12-07 10:15:41'),('server_port',25902,'25902 (nilinkanalyst)','2022-12-07 10:15:38'),('server_port',25903,'25903 (niprobe)','2022-12-07 10:15:43'),('server_port',26000,'26000 (quake)','2022-12-07 10:15:50'),('server_port',26133,'26133 (scscp)','2022-12-07 10:15:50'),('server_port',26208,'26208 (wnn6-ds)','2022-12-07 10:15:43'),('server_port',26257,'26257 (cockroach)','2022-12-07 10:15:46'),('server_port',26260,'26260 (ezproxy)','2022-12-07 10:15:47'),('server_port',26261,'26261 (ezmeeting)','2022-12-07 10:15:46'),('server_port',26262,'26262 (k3software-svr)','2022-12-07 10:15:47'),('server_port',26263,'26263 (k3software-cli)','2022-12-07 10:15:47'),('server_port',26486,'26486 (exoline-tcp)','2022-12-07 10:15:39'),('server_port',26487,'26487 (exoconfig)','2022-12-07 10:15:44'),('server_port',26489,'26489 (exonet)','2022-12-07 10:15:46'),('server_port',27010,'27010 (flex-lmadmin)','2022-12-07 10:15:34'),('server_port',27345,'27345 (imagepump)','2022-12-07 10:15:36'),('server_port',27442,'27442 (jesmsjc)','2022-12-07 10:15:35'),('server_port',27504,'27504 (kopek-httphead)','2022-12-07 10:15:43'),('server_port',27782,'27782 (ars-vista)','2022-12-07 10:15:43'),('server_port',27876,'27876 (astrolink)','2022-12-07 10:15:36'),('server_port',27999,'27999 (tw-auth-key)','2022-12-07 10:15:43'),('server_port',28000,'28000 (nxlmd)','2022-12-07 10:15:42'),('server_port',28001,'28001 (pqsp)','2022-12-07 10:15:49'),('server_port',28200,'28200 (voxelstorm)','2022-12-07 10:15:43'),('server_port',28240,'28240 (siemensgsm)','2022-12-07 10:15:32'),('server_port',28589,'28589 (bosswave)','2022-12-07 10:15:34'),('server_port',29167,'29167 (otmp)','2022-12-07 10:15:50'),('server_port',29999,'29999 (bingbang)','2022-12-07 10:15:30'),('server_port',30000,'30000 (ndmps)','2022-12-07 10:15:35'),('server_port',30001,'30001 (pago-services1)','2022-12-07 10:15:29'),('server_port',30002,'30002 (pago-services2)','2022-12-07 10:15:40'),('server_port',30003,'30003 (amicon-fpsu-ra)','2022-12-07 10:15:34'),('server_port',30100,'30100 (rwp)','2022-12-07 10:15:48'),('server_port',30260,'30260 (kingdomsonline)','2022-12-07 10:15:51'),('server_port',30400,'30400 (gs-realtime)','2022-12-07 10:15:43'),('server_port',30999,'30999 (ovobs)','2022-12-07 10:15:33'),('server_port',31016,'31016 (ka-sddp)','2022-12-07 10:15:46'),('server_port',31020,'31020 (autotrac-acp)','2022-12-07 10:15:49'),('server_port',31400,'31400 (pace-licensed)','2022-12-07 10:15:49'),('server_port',31416,'31416 (xqosd)','2022-12-07 10:15:39'),('server_port',31457,'31457 (tetrinet)','2022-12-07 10:15:51'),('server_port',31620,'31620 (lm-mon)','2022-12-07 10:15:53'),('server_port',31685,'31685 (dsx-monitor)','2022-12-07 10:15:45'),('server_port',31765,'31765 (gamesmith-port)','2022-12-07 10:15:35'),('server_port',31948,'31948 (iceedcp-tx)','2022-12-07 10:15:31'),('server_port',31949,'31949 (iceedcp-rx)','2022-12-07 10:15:43'),('server_port',32034,'32034 (iracinghelper)','2022-12-07 10:15:33'),('server_port',32249,'32249 (t1distproc60)','2022-12-07 10:15:30'),('server_port',32400,'32400 (plex)','2022-12-07 10:15:43'),('server_port',32483,'32483 (apm-link)','2022-12-07 10:15:32'),('server_port',32635,'32635 (sec-ntb-clnt)','2022-12-07 10:15:32'),('server_port',32636,'32636 (DMExpress)','2022-12-07 10:15:38'),('server_port',32767,'32767 (filenet-powsrm)','2022-12-07 10:15:48'),('server_port',32768,'32768 (filenet-tms)','2022-12-07 10:15:32'),('server_port',32769,'32769 (filenet-rpc)','2022-12-07 10:15:46'),('server_port',32770,'32770 (filenet-nch)','2022-12-07 10:15:39'),('server_port',32771,'32771 (filenet-rmi)','2022-12-07 10:15:30'),('server_port',32772,'32772 (filenet-pa)','2022-12-07 10:15:29'),('server_port',32773,'32773 (filenet-cm)','2022-12-07 10:15:37'),('server_port',32774,'32774 (filenet-re)','2022-12-07 10:15:47'),('server_port',32775,'32775 (filenet-pch)','2022-12-07 10:15:49'),('server_port',32776,'32776 (filenet-peior)','2022-12-07 10:15:42'),('server_port',32777,'32777 (filenet-obrok)','2022-12-07 10:15:50'),('server_port',32801,'32801 (mlsn)','2022-12-07 10:15:30'),('server_port',32811,'32811 (retp)','2022-12-07 10:15:34'),('server_port',32896,'32896 (idmgratm)','2022-12-07 10:15:45'),('server_port',33060,'33060 (mysqlx)','2022-12-07 10:15:51'),('server_port',33123,'33123 (aurora-balaena)','2022-12-07 10:15:41'),('server_port',33331,'33331 (diamondport)','2022-12-07 10:15:43'),('server_port',33333,'33333 (dgi-serv)','2022-12-07 10:15:43'),('server_port',33334,'33334 (speedtrace)','2022-12-07 10:15:41'),('server_port',33434,'33434 (traceroute)','2022-12-07 10:15:38'),('server_port',33656,'33656 (snip-slave)','2022-12-07 10:15:52'),('server_port',34249,'34249 (turbonote-2)','2022-12-07 10:15:41'),('server_port',34378,'34378 (p-net-local)','2022-12-07 10:15:40'),('server_port',34379,'34379 (p-net-remote)','2022-12-07 10:15:32'),('server_port',34567,'34567 (dhanalakshmi)','2022-12-07 10:15:53'),('server_port',34962,'34962 (profinet-rt)','2022-12-07 10:15:42'),('server_port',34963,'34963 (profinet-rtm)','2022-12-07 10:15:53'),('server_port',34964,'34964 (profinet-cm)','2022-12-07 10:15:47'),('server_port',34980,'34980 (ethercat)','2022-12-07 10:15:44'),('server_port',35000,'35000 (heathview)','2022-12-07 10:15:35'),('server_port',35001,'35001 (rt-viewer)','2022-12-07 10:15:35'),('server_port',35002,'35002 (rt-sound)','2022-12-07 10:15:39'),('server_port',35003,'35003 (rt-devicemapper)','2022-12-07 10:15:51'),('server_port',35004,'35004 (rt-classmanager)','2022-12-07 10:15:46'),('server_port',35005,'35005 (rt-labtracker)','2022-12-07 10:15:49'),('server_port',35006,'35006 (rt-helper)','2022-12-07 10:15:48'),('server_port',35100,'35100 (axio-disc)','2022-12-07 10:15:34'),('server_port',35354,'35354 (kitim)','2022-12-07 10:15:44'),('server_port',35355,'35355 (altova-lm)','2022-12-07 10:15:49'),('server_port',35356,'35356 (guttersnex)','2022-12-07 10:15:32'),('server_port',35357,'35357 (openstack-id)','2022-12-07 10:15:48'),('server_port',36001,'36001 (allpeers)','2022-12-07 10:15:36'),('server_port',36524,'36524 (febooti-aw)','2022-12-07 10:15:48'),('server_port',36602,'36602 (observium-agent)','2022-12-07 10:15:45'),('server_port',36700,'36700 (mapx)','2022-12-07 10:15:48'),('server_port',36865,'36865 (kastenxpipe)','2022-12-07 10:15:36'),('server_port',37475,'37475 (neckar)','2022-12-07 10:15:37'),('server_port',37483,'37483 (gdrive-sync)','2022-12-07 10:15:37'),('server_port',37601,'37601 (eftp)','2022-12-07 10:15:29'),('server_port',37654,'37654 (unisys-eportal)','2022-12-07 10:15:42'),('server_port',38000,'38000 (ivs-database)','2022-12-07 10:15:30'),('server_port',38001,'38001 (ivs-insertion)','2022-12-07 10:15:31'),('server_port',38002,'38002 (cresco-control)','2022-12-07 10:15:53'),('server_port',38201,'38201 (galaxy7-data)','2022-12-07 10:15:41'),('server_port',38202,'38202 (fairview)','2022-12-07 10:15:42'),('server_port',38203,'38203 (agpolicy)','2022-12-07 10:15:37'),('server_port',38800,'38800 (sruth)','2022-12-07 10:15:35'),('server_port',38865,'38865 (secrmmsafecopya)','2022-12-07 10:15:38'),('server_port',39681,'39681 (turbonote-1)','2022-12-07 10:15:53'),('server_port',40000,'40000 (safetynetp)','2022-12-07 10:15:31'),('server_port',40404,'40404 (sptx)','2022-12-07 10:15:38'),('server_port',40841,'40841 (cscp)','2022-12-07 10:15:35'),('server_port',40842,'40842 (csccredir)','2022-12-07 10:15:40'),('server_port',40843,'40843 (csccfirewall)','2022-12-07 10:15:50'),('server_port',41111,'41111 (fs-qos)','2022-12-07 10:15:50'),('server_port',41121,'41121 (tentacle)','2022-12-07 10:15:52'),('server_port',41230,'41230 (z-wave-s)','2022-12-07 10:15:45'),('server_port',41794,'41794 (crestron-cip)','2022-12-07 10:15:44'),('server_port',41795,'41795 (crestron-ctp)','2022-12-07 10:15:35'),('server_port',41796,'41796 (crestron-cips)','2022-12-07 10:15:47'),('server_port',41797,'41797 (crestron-ctps)','2022-12-07 10:15:32'),('server_port',42508,'42508 (candp)','2022-12-07 10:15:45'),('server_port',42509,'42509 (candrp)','2022-12-07 10:15:48'),('server_port',42510,'42510 (caerpc)','2022-12-07 10:15:36'),('server_port',43000,'43000 (recvr-rc)','2022-12-07 10:15:43'),('server_port',43188,'43188 (reachout)','2022-12-07 10:15:52'),('server_port',43189,'43189 (ndm-agent-port)','2022-12-07 10:15:39'),('server_port',43190,'43190 (ip-provision)','2022-12-07 10:15:30'),('server_port',43191,'43191 (noit-transport)','2022-12-07 10:15:50'),('server_port',43210,'43210 (shaperai)','2022-12-07 10:15:42'),('server_port',43439,'43439 (eq3-update)','2022-12-07 10:15:38'),('server_port',43440,'43440 (ew-mgmt)','2022-12-07 10:15:34'),('server_port',43441,'43441 (ciscocsdb)','2022-12-07 10:15:50'),('server_port',44123,'44123 (z-wave-tunnel)','2022-12-07 10:15:42'),('server_port',44321,'44321 (pmcd)','2022-12-07 10:15:40'),('server_port',44322,'44322 (pmcdproxy)','2022-12-07 10:15:32'),('server_port',44323,'44323 (pmwebapi)','2022-12-07 10:15:49'),('server_port',44444,'44444 (cognex-dataman)','2022-12-07 10:15:31'),('server_port',44553,'44553 (rbr-debug)','2022-12-07 10:15:51'),('server_port',44818,'44818 (EtherNet-IP-2)','2022-12-07 10:15:40'),('server_port',44900,'44900 (m3da)','2022-12-07 10:15:33'),('server_port',45000,'45000 (asmp)','2022-12-07 10:15:41'),('server_port',45001,'45001 (asmps)','2022-12-07 10:15:36'),('server_port',45002,'45002 (rs-status)','2022-12-07 10:15:48'),('server_port',45045,'45045 (synctest)','2022-12-07 10:15:42'),('server_port',45054,'45054 (invision-ag)','2022-12-07 10:15:33'),('server_port',45514,'45514 (cloudcheck)','2022-12-07 10:15:40'),('server_port',45678,'45678 (eba)','2022-12-07 10:15:36'),('server_port',45824,'45824 (dai-shell)','2022-12-07 10:15:32'),('server_port',45825,'45825 (qdb2service)','2022-12-07 10:15:50'),('server_port',45966,'45966 (ssr-servermgr)','2022-12-07 10:15:44'),('server_port',46336,'46336 (inedo)','2022-12-07 10:15:44'),('server_port',46998,'46998 (spremotetablet)','2022-12-07 10:15:41'),('server_port',46999,'46999 (mediabox)','2022-12-07 10:15:35'),('server_port',47000,'47000 (mbus)','2022-12-07 10:15:39'),('server_port',47001,'47001 (winrm)','2022-12-07 10:15:47'),('server_port',47557,'47557 (dbbrowse)','2022-12-07 10:15:53'),('server_port',47624,'47624 (directplaysrvr)','2022-12-07 10:15:38'),('server_port',47806,'47806 (ap)','2022-12-07 10:15:36'),('server_port',47808,'47808 (bacnet)','2022-12-07 10:15:51'),('server_port',48000,'48000 (nimcontroller)','2022-12-07 10:15:49'),('server_port',48001,'48001 (nimspooler)','2022-12-07 10:15:37'),('server_port',48002,'48002 (nimhub)','2022-12-07 10:15:41'),('server_port',48003,'48003 (nimgtw)','2022-12-07 10:15:34'),('server_port',48004,'48004 (nimbusdb)','2022-12-07 10:15:37'),('server_port',48005,'48005 (nimbusdbctrl)','2022-12-07 10:15:40'),('server_port',48048,'48048 (juliar)','2022-12-07 10:15:33'),('server_port',48049,'48049 (3gpp-cbsp)','2022-12-07 10:15:30'),('server_port',48050,'48050 (weandsf)','2022-12-07 10:15:39'),('server_port',48128,'48128 (isnetserv)','2022-12-07 10:15:40'),('server_port',48129,'48129 (blp5)','2022-12-07 10:15:46'),('server_port',48556,'48556 (com-bardac-dw)','2022-12-07 10:15:33'),('server_port',48619,'48619 (iqobject)','2022-12-07 10:15:37'),('server_port',48653,'48653 (robotraconteur)','2022-12-07 10:15:42'),('server_port',49000,'49000 (matahari)','2022-12-07 10:15:49'),('server_port',49001,'49001 (nusrp)','2022-12-07 10:15:43'),('server_port',49150,'49150 (inspider)','2022-12-07 10:15:51'),('span_kind',0,'SPAN_KIND_UNSPECIFIED','2022-12-07 10:15:53'),('span_kind',1,'SPAN_KIND_INTERNAL','2022-12-07 10:15:37'),('span_kind',2,'SPAN_KIND_SERVER','2022-12-07 10:15:46'),('span_kind',3,'SPAN_KIND_CLIENT','2022-12-07 10:15:46'),('span_kind',4,'SPAN_KIND_PRODUCER','2022-12-07 10:15:46'),('span_kind',5,'SPAN_KIND_CONSUMER','2022-12-07 10:15:40'),('status',0,'Success','2022-12-07 10:15:37'),('status',2,'Unknown','2022-12-07 10:15:29'),('status',3,'Server Error','2022-12-07 10:15:42'),('status',4,'Client Error','2022-12-07 10:15:33'),('tap_port_type',0,'Local NIC','2022-12-07 10:15:48'),('tap_port_type',1,'NFV Gateway NIC','2022-12-07 10:15:37'),('tap_port_type',2,'ERSPAN','2022-12-07 10:15:42'),('tap_port_type',3,'ERSPAN (IPv6)','2022-12-07 10:15:37'),('tap_port_type',4,'Traffic Mirror','2022-12-07 10:15:34'),('tap_port_type',5,'NetFlow','2022-12-07 10:15:31'),('tap_port_type',6,'sFlow','2022-12-07 10:15:45'),('tap_port_type',7,'eBPF','2022-12-07 10:15:45'),('tap_port_type',8,'OTel','2022-12-07 10:15:46'),('tcp_flags_bit',0,'FIN','2022-12-07 10:15:49'),('tcp_flags_bit',1,'SYN','2022-12-07 10:15:31'),('tcp_flags_bit',2,'RST','2022-12-07 10:15:48'),('tcp_flags_bit',3,'PSH','2022-12-07 10:15:42'),('tcp_flags_bit',4,'ACK','2022-12-07 10:15:48'),('tcp_flags_bit',5,'URG','2022-12-07 10:15:41'),('tcp_flags_bit',6,'ECE','2022-12-07 10:15:49'),('tcp_flags_bit',7,'CWR','2022-12-07 10:15:33'),('tcp_flags_bit',8,'NS','2022-12-07 10:15:42'),('tunnel_tier',0,'0','2022-12-07 10:15:38'),('tunnel_tier',1,'1','2022-12-07 10:15:43'),('tunnel_tier',2,'2','2022-12-07 10:15:33'),('tunnel_type',0,'N/A','2022-12-07 10:15:51'),('tunnel_type',1,'VXLAN','2022-12-07 10:15:52'),('tunnel_type',2,'IPIP','2022-12-07 10:15:45'),('tunnel_type',3,'GRE','2022-12-07 10:15:41');
/*!40000 ALTER TABLE `ch_int_enum` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_ip_port`
--

DROP TABLE IF EXISTS `ch_ip_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_ip_port` (
  `ip` varchar(64) NOT NULL,
  `subnet_id` int NOT NULL,
  `protocol` int NOT NULL,
  `port` int NOT NULL,
  `port_lb_id` int DEFAULT NULL,
  `port_lb_name` varchar(256) DEFAULT NULL,
  `port_lb_listener_id` int DEFAULT NULL,
  `port_lb_listener_name` varchar(256) DEFAULT NULL,
  `port_pod_service_id` int DEFAULT NULL,
  `port_pod_service_name` varchar(256) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ip`,`subnet_id`,`protocol`,`port`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_ip_port`
--

LOCK TABLES `ch_ip_port` WRITE;
/*!40000 ALTER TABLE `ch_ip_port` DISABLE KEYS */;
INSERT INTO `ch_ip_port` VALUES ('10.100.130.198',4099,6,20033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),('10.100.130.198',4099,6,20035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),('10.100.130.198',4099,6,20135,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:37'),('10.100.130.198',4099,6,20416,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),('10.100.130.198',4099,6,20417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),('10.100.130.198',4099,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:37'),('10.100.130.198',4099,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),('10.100.58.167',4099,6,30130,NULL,NULL,NULL,NULL,13,'deepflow-mysql','2023-03-10 01:49:37'),('10.101.159.140',4099,6,8004,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 01:49:37'),('10.101.201.139',4099,6,80,NULL,NULL,NULL,NULL,20,'guanwang','2023-03-10 01:49:36'),('10.101.9.68',4099,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:28'),('10.101.9.68',4099,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:28'),('10.101.9.68',4099,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:28'),('10.103.233.132',4099,6,80,NULL,NULL,NULL,NULL,36,'skywalking-ui','2023-03-10 03:35:36'),('10.104.255.195',4099,6,11800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),('10.104.255.195',4099,6,12800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:36'),('10.106.247.164',4099,6,8123,NULL,NULL,NULL,NULL,16,'deepflow-clickhouse','2023-03-10 01:49:36'),('10.106.247.164',4099,6,9000,NULL,NULL,NULL,NULL,16,'deepflow-clickhouse','2023-03-10 01:49:37'),('10.106.247.164',4099,6,9009,NULL,NULL,NULL,NULL,16,'deepflow-clickhouse','2023-03-10 01:49:36'),('10.106.43.67',4099,6,80,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 01:49:36'),('10.106.65.97',4099,6,80,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 01:49:36'),('10.107.146.217',4099,6,80,NULL,NULL,NULL,NULL,29,'foo-svc','2023-03-10 03:00:35'),('10.108.175.73',4099,6,8080,NULL,NULL,NULL,NULL,30,'loo-svc','2023-03-10 03:00:35'),('10.108.185.245',4099,6,8002,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 01:49:36'),('10.108.252.135',4099,6,6379,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:00:35'),('10.108.62.249',4099,6,443,NULL,NULL,NULL,NULL,17,'metrics-server','2023-03-10 01:49:36'),('10.109.170.24',4099,6,20418,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 01:49:37'),('10.111.139.130',4099,6,8080,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:00:35'),('10.244.0.0',4097,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:36'),('10.244.0.0',4097,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.0.0',4097,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.0.0',4097,6,8080,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:35:35'),('10.244.0.0',4097,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 03:35:35'),('10.244.0.0',4097,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.0.0',4097,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 03:35:35'),('10.244.0.0',4097,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:36'),('10.244.0.0',4097,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.0',4097,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.0',4097,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.0',4097,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.0.0',4097,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.0.0',4097,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.0',4097,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.0',4097,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:35'),('10.244.0.0',4097,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 03:35:35'),('10.244.0.0',4097,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:35'),('10.244.0.1',4097,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:36'),('10.244.0.1',4097,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.0.1',4097,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('10.244.0.1',4097,6,8080,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:35:36'),('10.244.0.1',4097,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 03:35:35'),('10.244.0.1',4097,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('10.244.0.1',4097,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 03:35:36'),('10.244.0.1',4097,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:35'),('10.244.0.1',4097,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.1',4097,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.1',4097,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.1',4097,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.1',4097,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.1',4097,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.1',4097,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.0.1',4097,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:36'),('10.244.0.1',4097,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 03:35:35'),('10.244.0.1',4097,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:35'),('10.244.0.52',4097,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:36'),('10.244.0.52',4097,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:37'),('10.244.0.52',4097,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:37'),('10.244.0.53',4097,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 01:49:36'),('10.244.0.53',4097,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 01:49:36'),('10.244.0.53',4097,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 01:49:37'),('10.244.0.54',4097,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 01:49:37'),('10.244.0.54',4097,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 01:49:36'),('10.244.0.54',4097,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 01:49:36'),('10.244.0.56',4097,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:37'),('10.244.0.58',4097,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:15:35'),('10.244.0.59',4097,6,8080,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:00:35'),('10.244.1.0',4097,6,80,NULL,NULL,NULL,NULL,20,'guanwang','2023-03-10 03:35:35'),('10.244.1.0',4097,6,3000,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:36'),('10.244.1.0',4097,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.1.0',4097,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.1.0',4097,6,4443,NULL,NULL,NULL,NULL,17,'metrics-server','2023-03-10 03:35:35'),('10.244.1.0',4097,6,8080,NULL,NULL,NULL,NULL,29,'foo-svc','2023-03-10 03:35:36'),('10.244.1.0',4097,6,8123,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 03:35:35'),('10.244.1.0',4097,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 03:35:36'),('10.244.1.0',4097,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('10.244.1.0',4097,6,9000,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 03:35:36'),('10.244.1.0',4097,6,9009,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 03:35:35'),('10.244.1.0',4097,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 03:35:35'),('10.244.1.0',4097,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.1.0',4097,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.1.0',4097,6,30130,NULL,NULL,NULL,NULL,13,'deepflow-mysql','2023-03-10 03:35:35'),('10.244.1.0',4097,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.1.0',4097,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.1.0',4097,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.1.0',4097,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.1.0',4097,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.1.0',4097,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:35'),('10.244.1.0',4097,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 03:35:36'),('10.244.1.1',4097,6,80,NULL,NULL,NULL,NULL,20,'guanwang','2023-03-10 03:35:35'),('10.244.1.1',4097,6,3000,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:36'),('10.244.1.1',4097,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('10.244.1.1',4097,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.1.1',4097,6,4443,NULL,NULL,NULL,NULL,17,'metrics-server','2023-03-10 03:35:35'),('10.244.1.1',4097,6,8080,NULL,NULL,NULL,NULL,29,'foo-svc','2023-03-10 03:35:36'),('10.244.1.1',4097,6,8123,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 03:35:35'),('10.244.1.1',4097,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 03:35:35'),('10.244.1.1',4097,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.1.1',4097,6,9000,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 03:35:35'),('10.244.1.1',4097,6,9009,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 03:35:35'),('10.244.1.1',4097,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 03:35:35'),('10.244.1.1',4097,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.1.1',4097,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.1.1',4097,6,30130,NULL,NULL,NULL,NULL,13,'deepflow-mysql','2023-03-10 03:35:36'),('10.244.1.1',4097,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.1.1',4097,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.1.1',4097,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.1.1',4097,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.1.1',4097,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.1.1',4097,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:35'),('10.244.1.1',4097,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 03:35:35'),('10.244.1.38',4097,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:22:28'),('10.244.1.38',4097,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:22:28'),('10.244.1.38',4097,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:22:28'),('10.244.1.46',4097,6,4443,NULL,NULL,NULL,NULL,17,'metrics-server','2023-03-10 01:49:36'),('10.244.1.52',4097,6,80,NULL,NULL,NULL,NULL,20,'guanwang','2023-03-10 01:49:36'),('10.244.1.53',4097,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:37'),('10.244.1.54',4097,6,3000,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 01:49:36'),('10.244.1.55',4097,6,30130,NULL,NULL,NULL,NULL,13,'deepflow-mysql','2023-03-10 01:49:37'),('10.244.1.56',4097,6,8123,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:37'),('10.244.1.56',4097,6,9000,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:37'),('10.244.1.56',4097,6,9009,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:37'),('10.244.1.58',4097,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:15:34'),('10.244.1.60',4097,6,8080,NULL,NULL,NULL,NULL,29,'foo-svc','2023-03-10 03:00:35'),('10.244.3.0',4098,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.3.0',4098,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('10.244.3.0',4098,6,6379,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:35:35'),('10.244.3.0',4098,6,8002,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 03:35:35'),('10.244.3.0',4098,6,8003,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 03:35:35'),('10.244.3.0',4098,6,8004,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 03:35:35'),('10.244.3.0',4098,6,8080,NULL,NULL,NULL,NULL,36,'skywalking-ui','2023-03-10 03:35:35'),('10.244.3.0',4098,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 03:35:36'),('10.244.3.0',4098,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.3.0',4098,6,9100,NULL,NULL,NULL,NULL,22,'openebs-ndm-cluster-exporter-service','2023-03-10 03:35:36'),('10.244.3.0',4098,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 03:35:35'),('10.244.3.0',4098,6,9200,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),('10.244.3.0',4098,6,9300,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),('10.244.3.0',4098,6,11800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:36'),('10.244.3.0',4098,6,12800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),('10.244.3.0',4098,6,20033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.0',4098,6,20035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.0',4098,6,20135,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.0',4098,6,20416,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.0',4098,6,20417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.0',4098,6,20418,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 03:35:35'),('10.244.3.0',4098,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.3.0',4098,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.3.0',4098,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.0',4098,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.0',4098,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.0',4098,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.0',4098,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.3.0',4098,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:36'),('10.244.3.0',4098,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 03:35:35'),('10.244.3.1',4098,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('10.244.3.1',4098,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.3.1',4098,6,6379,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:35:35'),('10.244.3.1',4098,6,8002,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 03:35:35'),('10.244.3.1',4098,6,8003,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 03:35:35'),('10.244.3.1',4098,6,8004,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 03:35:35'),('10.244.3.1',4098,6,8080,NULL,NULL,NULL,NULL,36,'skywalking-ui','2023-03-10 03:35:36'),('10.244.3.1',4098,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 03:35:35'),('10.244.3.1',4098,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('10.244.3.1',4098,6,9100,NULL,NULL,NULL,NULL,22,'openebs-ndm-cluster-exporter-service','2023-03-10 03:35:36'),('10.244.3.1',4098,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 03:35:36'),('10.244.3.1',4098,6,9200,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),('10.244.3.1',4098,6,9300,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),('10.244.3.1',4098,6,11800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),('10.244.3.1',4098,6,12800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),('10.244.3.1',4098,6,20033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,20035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,20135,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,20416,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('10.244.3.1',4098,6,20417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,20418,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 03:35:36'),('10.244.3.1',4098,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('10.244.3.1',4098,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:35'),('10.244.3.1',4098,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 03:35:36'),('10.244.3.2',4097,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:36'),('10.244.3.2',4097,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:37'),('10.244.3.2',4097,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:37'),('10.244.3.32',4097,6,8002,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 01:49:36'),('10.244.3.35',4097,6,8003,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 01:49:36'),('10.244.3.36',4097,6,8004,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 01:49:37'),('10.244.3.38',4097,6,9100,NULL,NULL,NULL,NULL,22,'openebs-ndm-cluster-exporter-service','2023-03-10 01:49:37'),('10.244.3.39',4097,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:36'),('10.244.3.41',4097,6,20418,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 01:49:37'),('10.244.3.42',4097,6,20033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),('10.244.3.42',4097,6,20035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),('10.244.3.42',4097,6,20135,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),('10.244.3.42',4097,6,20416,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),('10.244.3.42',4097,6,20417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),('10.244.3.48',4097,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:15:35'),('10.244.3.49',4097,6,6379,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:00:35'),('10.244.3.50',4097,6,8080,NULL,NULL,NULL,NULL,30,'loo-svc','2023-03-10 03:00:35'),('10.244.3.59',4097,6,8080,NULL,NULL,NULL,NULL,36,'skywalking-ui','2023-03-10 03:35:36'),('10.244.3.60',4097,6,11800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),('10.244.3.60',4097,6,12800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),('10.244.3.61',4097,6,9200,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:36'),('10.244.3.61',4097,6,9300,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),('10.96.0.10',4099,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:15:28'),('10.96.0.10',4099,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:15:28'),('10.96.0.10',4099,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:15:28'),('10.99.229.63',4099,6,443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:01:35'),('10.99.48.91',4099,6,8003,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 01:49:37'),('fe80::14e6:8dff:fe98:85f4',4097,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('fe80::14e6:8dff:fe98:85f4',4097,6,8080,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('fe80::14e6:8dff:fe98:85f4',4097,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('fe80::14e6:8dff:fe98:85f4',4097,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 03:35:35'),('fe80::14e6:8dff:fe98:85f4',4097,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('fe80::92:a4ff:fea8:8b75',4097,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('fe80::92:a4ff:fea8:8b75',4097,6,8080,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 03:35:36'),('fe80::92:a4ff:fea8:8b75',4097,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:36'),('fe80::92:a4ff:fea8:8b75',4097,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 03:35:35'),('fe80::92:a4ff:fea8:8b75',4097,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('fe80::c848:5dff:feb1:3767',4098,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,6379,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,8002,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,8003,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,8004,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,8080,NULL,NULL,NULL,NULL,36,'skywalking-ui','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 03:35:36'),('fe80::c848:5dff:feb1:3767',4098,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,9100,NULL,NULL,NULL,NULL,22,'openebs-ndm-cluster-exporter-service','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,9200,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,9300,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,11800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,12800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,20033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,20035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,20135,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,20416,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,20417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,20418,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('fe80::c848:5dff:feb1:3767',4098,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('fe80::c848:5dff:feb1:3767',4098,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('fe80::c848:5dff:feb1:3767',4098,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('fe80::c848:5dff:feb1:3767',4098,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:35'),('fe80::c848:5dff:feb1:3767',4098,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,6379,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,8002,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,8003,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,8004,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,8080,NULL,NULL,NULL,NULL,36,'skywalking-ui','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,9100,NULL,NULL,NULL,NULL,22,'openebs-ndm-cluster-exporter-service','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,9200,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,9300,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,11800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,12800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,20033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,20035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,20135,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,20416,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,20417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,20418,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 03:35:36'),('fe80::ec47:bbff:fef1:45b7',4098,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 03:35:35'),('fe80::ec47:bbff:fef1:45b7',4098,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 03:35:35');
/*!40000 ALTER TABLE `ch_ip_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_ip_relation`
--

DROP TABLE IF EXISTS `ch_ip_relation`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_ip_relation` (
  `l3_epc_id` int NOT NULL,
  `ip` char(64) NOT NULL,
  `natgw_id` int DEFAULT NULL,
  `natgw_name` varchar(256) DEFAULT NULL,
  `lb_id` int DEFAULT NULL,
  `lb_name` varchar(256) DEFAULT NULL,
  `lb_listener_id` int DEFAULT NULL,
  `lb_listener_name` varchar(256) DEFAULT NULL,
  `pod_ingress_id` int DEFAULT NULL,
  `pod_ingress_name` varchar(256) DEFAULT NULL,
  `pod_service_id` int DEFAULT NULL,
  `pod_service_name` varchar(256) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`l3_epc_id`,`ip`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_ip_relation`
--

LOCK TABLES `ch_ip_relation` WRITE;
/*!40000 ALTER TABLE `ch_ip_relation` DISABLE KEYS */;
INSERT INTO `ch_ip_relation` VALUES (1,'10.100.130.198',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:35'),(1,'10.100.58.167',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,13,'deepflow-mysql','2023-03-10 01:49:35'),(1,'10.101.159.140',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 01:49:35'),(1,'10.101.201.139',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,20,'guanwang','2023-03-10 01:49:35'),(1,'10.101.9.68',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:27'),(1,'10.103.233.132',NULL,NULL,NULL,NULL,NULL,NULL,2,'sw-ingress',36,'skywalking-ui','2023-03-10 03:37:34'),(1,'10.104.255.195',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:34'),(1,'10.106.247.164',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,16,'deepflow-clickhouse','2023-03-10 01:49:35'),(1,'10.106.43.67',NULL,NULL,NULL,NULL,NULL,NULL,1,'deepflow-ingress',18,'deepflow-grafana','2023-03-10 02:06:34'),(1,'10.106.65.97',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 01:49:35'),(1,'10.107.146.217',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,29,'foo-svc','2023-03-10 03:00:35'),(1,'10.108.175.73',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,30,'loo-svc','2023-03-10 03:00:35'),(1,'10.108.185.245',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 01:49:35'),(1,'10.108.252.135',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:00:35'),(1,'10.108.62.249',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,17,'metrics-server','2023-03-10 01:49:35'),(1,'10.109.170.24',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 01:49:35'),(1,'10.111.139.130',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:00:35'),(1,'10.244.0.52',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:35'),(1,'10.244.0.53',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 01:49:35'),(1,'10.244.0.54',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,'kube-dns','2023-03-10 01:49:35'),(1,'10.244.0.56',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:35'),(1,'10.244.0.58',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:16:34'),(1,'10.244.0.59',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:00:35'),(1,'10.244.1.38',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:22:27'),(1,'10.244.1.46',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,17,'metrics-server','2023-03-10 01:49:35'),(1,'10.244.1.52',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,20,'guanwang','2023-03-10 01:49:35'),(1,'10.244.1.53',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:35'),(1,'10.244.1.54',NULL,NULL,NULL,NULL,NULL,NULL,1,'deepflow-ingress',18,'deepflow-grafana','2023-03-10 02:06:34'),(1,'10.244.1.55',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,13,'deepflow-mysql','2023-03-10 01:49:35'),(1,'10.244.1.56',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:35'),(1,'10.244.1.58',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:15:34'),(1,'10.244.1.60',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,29,'foo-svc','2023-03-10 03:00:35'),(1,'10.244.3.2',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:35'),(1,'10.244.3.32',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 01:49:35'),(1,'10.244.3.35',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 01:49:35'),(1,'10.244.3.36',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 01:49:35'),(1,'10.244.3.38',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,22,'openebs-ndm-cluster-exporter-service','2023-03-10 01:49:35'),(1,'10.244.3.39',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:35'),(1,'10.244.3.41',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 01:49:35'),(1,'10.244.3.42',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:35'),(1,'10.244.3.48',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:15:34'),(1,'10.244.3.49',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:00:35'),(1,'10.244.3.50',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,30,'loo-svc','2023-03-10 03:00:35'),(1,'10.244.3.59',NULL,NULL,NULL,NULL,NULL,NULL,2,'sw-ingress',36,'skywalking-ui','2023-03-10 03:37:34'),(1,'10.244.3.60',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:34'),(1,'10.244.3.61',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:34'),(1,'10.96.0.10',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:16:27'),(1,'10.99.229.63',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:01:34'),(1,'10.99.48.91',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 01:49:35');
/*!40000 ALTER TABLE `ch_ip_relation` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_ip_resource`
--

DROP TABLE IF EXISTS `ch_ip_resource`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_ip_resource` (
  `ip` varchar(64) NOT NULL,
  `subnet_id` int NOT NULL,
  `subnet_name` varchar(256) DEFAULT NULL,
  `region_id` int DEFAULT NULL,
  `region_name` varchar(256) DEFAULT NULL,
  `az_id` int DEFAULT NULL,
  `az_name` varchar(256) DEFAULT NULL,
  `host_id` int DEFAULT NULL,
  `host_name` varchar(256) DEFAULT NULL,
  `chost_id` int DEFAULT NULL,
  `chost_name` varchar(256) DEFAULT NULL,
  `vpc_id` int DEFAULT NULL,
  `vpc_name` varchar(256) DEFAULT NULL,
  `router_id` int DEFAULT NULL,
  `router_name` varchar(256) DEFAULT NULL,
  `dhcpgw_id` int DEFAULT NULL,
  `dhcpgw_name` varchar(256) DEFAULT NULL,
  `lb_id` int DEFAULT NULL,
  `lb_name` varchar(256) DEFAULT NULL,
  `lb_listener_id` int DEFAULT NULL,
  `lb_listener_name` varchar(256) DEFAULT NULL,
  `natgw_id` int DEFAULT NULL,
  `natgw_name` varchar(256) DEFAULT NULL,
  `redis_id` int DEFAULT NULL,
  `redis_name` varchar(256) DEFAULT NULL,
  `rds_id` int DEFAULT NULL,
  `rds_name` varchar(256) DEFAULT NULL,
  `pod_cluster_id` int DEFAULT NULL,
  `pod_cluster_name` varchar(256) DEFAULT NULL,
  `pod_ns_id` int DEFAULT NULL,
  `pod_ns_name` varchar(256) DEFAULT NULL,
  `pod_node_id` int DEFAULT NULL,
  `pod_node_name` varchar(256) DEFAULT NULL,
  `pod_ingress_id` int DEFAULT NULL,
  `pod_ingress_name` varchar(256) DEFAULT NULL,
  `pod_service_id` int DEFAULT NULL,
  `pod_service_name` varchar(256) DEFAULT NULL,
  `pod_group_id` int DEFAULT NULL,
  `pod_group_name` varchar(256) DEFAULT NULL,
  `pod_id` int DEFAULT NULL,
  `pod_name` varchar(256) DEFAULT NULL,
  `uid` char(64) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`ip`,`subnet_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_ip_resource`
--

LOCK TABLES `ch_ip_resource` WRITE;
/*!40000 ALTER TABLE `ch_ip_resource` DISABLE KEYS */;
/*!40000 ALTER TABLE `ch_ip_resource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_k8s_label`
--

DROP TABLE IF EXISTS `ch_k8s_label`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_k8s_label` (
  `pod_id` int NOT NULL,
  `key` varchar(256) NOT NULL,
  `value` varchar(256) DEFAULT NULL,
  `l3_epc_id` int DEFAULT NULL,
  `pod_ns_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`pod_id`,`key`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_k8s_label`
--

LOCK TABLES `ch_k8s_label` WRITE;
/*!40000 ALTER TABLE `ch_k8s_label` DISABLE KEYS */;
INSERT INTO `ch_k8s_label` VALUES (1,'app','deepflow',1,1,'2022-12-07 02:15:28'),(1,'app.kubernetes.io/instance','deepflow',1,1,'2022-12-07 02:15:28'),(1,'app.kubernetes.io/name','deepflow',1,1,'2022-12-07 02:15:28'),(1,'component','deepflow-app',1,1,'2022-12-07 02:15:28'),(1,'pod-template-hash','54886cd964',1,1,'2022-12-07 02:15:28'),(2,'app','deepflow',1,1,'2022-12-07 02:15:28'),(2,'app.kubernetes.io/instance','deepflow',1,1,'2022-12-07 02:15:28'),(2,'app.kubernetes.io/name','clickhouse',1,1,'2022-12-07 02:15:28'),(2,'component','clickhouse',1,1,'2022-12-07 02:15:28'),(2,'controller-revision-hash','deepflow-clickhouse-7f876f5578',1,1,'2022-12-07 02:15:28'),(2,'statefulset.kubernetes.io/pod-name','deepflow-clickhouse-0',1,1,'2022-12-07 02:15:28'),(3,'controller-revision-hash','7cff9d5c8d',1,2,'2022-12-07 02:15:28'),(3,'name','openebs-ndm',1,2,'2022-12-07 02:15:28'),(3,'openebs.io/component-name','ndm',1,2,'2022-12-07 02:15:28'),(3,'openebs.io/version','3.3.0',1,2,'2022-12-07 02:15:28'),(3,'pod-template-generation','1',1,2,'2022-12-07 02:15:28'),(4,'name','openebs-ndm-cluster-exporter',1,2,'2022-12-07 02:15:28'),(4,'openebs.io/component-name','ndm-cluster-exporter',1,2,'2022-12-07 02:15:28'),(4,'openebs.io/version','3.3.0',1,2,'2022-12-07 02:15:28'),(4,'pod-template-hash','866c974856',1,2,'2022-12-07 02:15:28'),(5,'k8s-app','kube-dns',1,3,'2022-12-07 02:15:28'),(5,'pod-template-hash','6d4b75cb6d',1,3,'2022-12-07 02:15:28'),(6,'controller-revision-hash','7cff9d5c8d',1,2,'2022-12-07 02:15:28'),(6,'name','openebs-ndm',1,2,'2022-12-07 02:15:28'),(6,'openebs.io/component-name','ndm',1,2,'2022-12-07 02:15:28'),(6,'openebs.io/version','3.3.0',1,2,'2022-12-07 02:15:28'),(6,'pod-template-generation','1',1,2,'2022-12-07 02:15:28'),(7,'app','deepflow',1,1,'2022-12-07 02:15:28'),(7,'app.kubernetes.io/instance','deepflow',1,1,'2022-12-07 02:15:28'),(7,'app.kubernetes.io/name','deepflow',1,1,'2022-12-07 02:15:28'),(7,'component','deepflow-server',1,1,'2022-12-07 02:15:28'),(7,'pod-template-hash','5d75595844',1,1,'2022-12-07 02:15:28'),(8,'app','flannel',1,5,'2022-12-07 02:15:28'),(8,'controller-revision-hash','76bdc667d5',1,5,'2022-12-07 02:15:28'),(8,'pod-template-generation','1',1,5,'2022-12-07 02:15:28'),(8,'tier','node',1,5,'2022-12-07 02:15:28'),(9,'app.kubernetes.io/instance','deepflow',1,1,'2022-12-07 02:15:28'),(9,'app.kubernetes.io/name','grafana',1,1,'2022-12-07 02:15:28'),(9,'pod-template-hash','7b5757d5f4',1,1,'2022-12-07 02:15:28'),(10,'k8s-app','kube-dns',1,3,'2022-12-07 02:15:28'),(10,'pod-template-hash','6d4b75cb6d',1,3,'2022-12-07 02:15:28'),(11,'controller-revision-hash','5fccfcfc4b',1,3,'2022-12-07 02:15:28'),(11,'k8s-app','kube-proxy',1,3,'2022-12-07 02:15:28'),(11,'pod-template-generation','1',1,3,'2022-12-07 02:15:28'),(12,'controller-revision-hash','688c765487',1,2,'2022-12-07 02:15:28'),(12,'name','openebs-ndm-node-exporter',1,2,'2022-12-07 02:15:28'),(12,'openebs.io/component-name','ndm-node-exporter',1,2,'2022-12-07 02:15:28'),(12,'openebs.io/version','3.3.0',1,2,'2022-12-07 02:15:28'),(12,'pod-template-generation','1',1,2,'2022-12-07 02:15:28'),(13,'name','openebs-localpv-provisioner',1,2,'2022-12-07 02:15:28'),(13,'openebs.io/component-name','openebs-localpv-provisioner',1,2,'2022-12-07 02:15:28'),(13,'openebs.io/version','3.3.0',1,2,'2022-12-07 02:15:28'),(13,'pod-template-hash','dd977fdd5',1,2,'2022-12-07 02:15:28'),(14,'app','deepflow',1,1,'2022-12-07 02:15:28'),(14,'app.kubernetes.io/instance','deepflow',1,1,'2022-12-07 02:15:28'),(14,'app.kubernetes.io/name','mysql',1,1,'2022-12-07 02:15:28'),(14,'component','mysql',1,1,'2022-12-07 02:15:28'),(14,'pod-template-hash','8bc7c7777',1,1,'2022-12-07 02:15:28'),(15,'app','deepflow',1,1,'2022-12-07 02:15:28'),(15,'app.kubernetes.io/instance','deepflow',1,1,'2022-12-07 02:15:28'),(15,'app.kubernetes.io/name','deepflow-agent',1,1,'2022-12-07 02:15:28'),(15,'component','deepflow-agent',1,1,'2022-12-07 02:15:28'),(15,'controller-revision-hash','78fb77bdff',1,1,'2022-12-07 02:15:28'),(15,'pod-template-generation','1',1,1,'2022-12-07 02:15:28'),(16,'app','flannel',1,5,'2022-12-07 02:15:28'),(16,'controller-revision-hash','76bdc667d5',1,5,'2022-12-07 02:15:28'),(16,'pod-template-generation','1',1,5,'2022-12-07 02:15:28'),(16,'tier','node',1,5,'2022-12-07 02:15:28'),(17,'controller-revision-hash','5fccfcfc4b',1,3,'2022-12-07 02:15:28'),(17,'k8s-app','kube-proxy',1,3,'2022-12-07 02:15:28'),(17,'pod-template-generation','1',1,3,'2022-12-07 02:15:28'),(18,'app','deepflow',1,1,'2022-12-07 02:15:28'),(18,'app.kubernetes.io/instance','deepflow',1,1,'2022-12-07 02:15:28'),(18,'app.kubernetes.io/name','deepflow-agent',1,1,'2022-12-07 02:15:28'),(18,'component','deepflow-agent',1,1,'2022-12-07 02:15:28'),(18,'controller-revision-hash','78fb77bdff',1,1,'2022-12-07 02:15:28'),(18,'pod-template-generation','1',1,1,'2022-12-07 02:15:28'),(19,'name','openebs-ndm-operator',1,2,'2022-12-07 02:15:28'),(19,'openebs.io/component-name','ndm-operator',1,2,'2022-12-07 02:15:28'),(19,'openebs.io/version','3.3.0',1,2,'2022-12-07 02:15:28'),(19,'pod-template-hash','85886744bb',1,2,'2022-12-07 02:15:28'),(20,'controller-revision-hash','688c765487',1,2,'2022-12-07 02:15:28'),(20,'name','openebs-ndm-node-exporter',1,2,'2022-12-07 02:15:28'),(20,'openebs.io/component-name','ndm-node-exporter',1,2,'2022-12-07 02:15:28'),(20,'openebs.io/version','3.3.0',1,2,'2022-12-07 02:15:28'),(20,'pod-template-generation','1',1,2,'2022-12-07 02:15:28'),(21,'app','opentelemetry',1,9,'2022-12-07 02:16:28'),(21,'component','otel-agent',1,9,'2022-12-07 02:16:28'),(21,'controller-revision-hash','6464c7f8b7',1,9,'2022-12-07 02:16:28'),(21,'pod-template-generation','1',1,9,'2022-12-07 02:16:28'),(22,'app','opentelemetry',1,9,'2022-12-07 02:22:28'),(22,'component','otel-agent',1,9,'2022-12-07 02:22:28'),(22,'controller-revision-hash','6464c7f8b7',1,9,'2022-12-07 02:22:28'),(22,'pod-template-generation','1',1,9,'2022-12-07 02:22:28'),(23,'controller-revision-hash','7cff9d5c8d',1,10,'2023-03-10 01:49:38'),(23,'name','openebs-ndm',1,10,'2023-03-10 01:49:38'),(23,'openebs.io/component-name','ndm',1,10,'2023-03-10 01:49:38'),(23,'openebs.io/version','3.3.0',1,10,'2023-03-10 01:49:38'),(23,'pod-template-generation','1',1,10,'2023-03-10 01:49:38'),(24,'app','deepflow',1,1,'2023-03-10 01:49:38'),(24,'app.kubernetes.io/instance','deepflow',1,1,'2023-03-10 01:49:38'),(24,'app.kubernetes.io/name','clickhouse',1,1,'2023-03-10 01:49:38'),(24,'component','clickhouse',1,1,'2023-03-10 01:49:38'),(24,'controller-revision-hash','deepflow-clickhouse-7f876f5578',1,1,'2023-03-10 01:49:38'),(24,'statefulset.kubernetes.io/pod-name','deepflow-clickhouse-0',1,1,'2023-03-10 01:49:38'),(25,'app.kubernetes.io/instance','deepflow',1,1,'2023-03-10 01:49:38'),(25,'app.kubernetes.io/name','grafana',1,1,'2023-03-10 01:49:38'),(25,'pod-template-hash','7b5757d5f4',1,1,'2023-03-10 01:49:38'),(26,'app','flannel',1,5,'2023-03-10 01:49:38'),(26,'controller-revision-hash','76bdc667d5',1,5,'2023-03-10 01:49:38'),(26,'pod-template-generation','1',1,5,'2023-03-10 01:49:38'),(26,'tier','node',1,5,'2023-03-10 01:49:38'),(27,'name','openebs-ndm-cluster-exporter',1,10,'2023-03-10 01:49:38'),(27,'openebs.io/component-name','ndm-cluster-exporter',1,10,'2023-03-10 01:49:38'),(27,'openebs.io/version','3.3.0',1,10,'2023-03-10 01:49:38'),(27,'pod-template-hash','866c974856',1,10,'2023-03-10 01:49:38'),(28,'controller-revision-hash','7cff9d5c8d',1,10,'2023-03-10 01:49:38'),(28,'name','openebs-ndm',1,10,'2023-03-10 01:49:38'),(28,'openebs.io/component-name','ndm',1,10,'2023-03-10 01:49:38'),(28,'openebs.io/version','3.3.0',1,10,'2023-03-10 01:49:38'),(28,'pod-template-generation','1',1,10,'2023-03-10 01:49:38'),(29,'app','yunbao-manager-backed',1,11,'2023-03-10 01:49:38'),(29,'pod-template-hash','85bbff9975',1,11,'2023-03-10 01:49:38'),(30,'app','juicefs-csi-node',1,3,'2023-03-10 01:49:38'),(30,'app.kubernetes.io/instance','juicefs-csi-driver',1,3,'2023-03-10 01:49:38'),(30,'app.kubernetes.io/name','juicefs-csi-driver',1,3,'2023-03-10 01:49:38'),(30,'controller-revision-hash','7d466cf576',1,3,'2023-03-10 01:49:38'),(30,'pod-template-generation','1',1,3,'2023-03-10 01:49:38'),(31,'app','opentelemetry',1,9,'2023-03-10 01:49:38'),(31,'component','otel-agent',1,9,'2023-03-10 01:49:38'),(31,'controller-revision-hash','6464c7f8b7',1,9,'2023-03-10 01:49:38'),(31,'pod-template-generation','1',1,9,'2023-03-10 01:49:38'),(32,'app','deepflow',1,1,'2023-03-10 01:49:38'),(32,'app.kubernetes.io/instance','deepflow',1,1,'2023-03-10 01:49:38'),(32,'app.kubernetes.io/name','deepflow',1,1,'2023-03-10 01:49:38'),(32,'component','deepflow-app',1,1,'2023-03-10 01:49:38'),(32,'pod-template-hash','54886cd964',1,1,'2023-03-10 01:49:38'),(33,'name','openebs-ndm-operator',1,10,'2023-03-10 01:49:38'),(33,'openebs.io/component-name','ndm-operator',1,10,'2023-03-10 01:49:38'),(33,'openebs.io/version','3.3.0',1,10,'2023-03-10 01:49:38'),(33,'pod-template-hash','85886744bb',1,10,'2023-03-10 01:49:38'),(34,'app','deepflow',1,1,'2023-03-10 01:49:38'),(34,'app.kubernetes.io/instance','deepflow',1,1,'2023-03-10 01:49:38'),(34,'app.kubernetes.io/name','mysql',1,1,'2023-03-10 01:49:38'),(34,'component','mysql',1,1,'2023-03-10 01:49:38'),(34,'pod-template-hash','8bc7c7777',1,1,'2023-03-10 01:49:38'),(35,'app','yunbao-mobile-backed',1,11,'2023-03-10 01:49:38'),(35,'pod-template-hash','84c6b96df7',1,11,'2023-03-10 01:49:38'),(36,'app','yunbao-server-backed',1,11,'2023-03-10 01:49:38'),(36,'pod-template-hash','7cdd9b6d8d',1,11,'2023-03-10 01:49:38'),(37,'app','deepflow',1,1,'2023-03-10 01:49:38'),(37,'app.kubernetes.io/instance','deepflow',1,1,'2023-03-10 01:49:38'),(37,'app.kubernetes.io/name','deepflow-agent',1,1,'2023-03-10 01:49:38'),(37,'component','deepflow-agent',1,1,'2023-03-10 01:49:38'),(37,'controller-revision-hash','78fb77bdff',1,1,'2023-03-10 01:49:38'),(37,'pod-template-generation','1',1,1,'2023-03-10 01:49:38'),(38,'controller-revision-hash','5fccfcfc4b',1,3,'2023-03-10 01:49:38'),(38,'k8s-app','kube-proxy',1,3,'2023-03-10 01:49:38'),(38,'pod-template-generation','1',1,3,'2023-03-10 01:49:38'),(39,'k8s-app','metrics-server',1,3,'2023-03-10 01:49:38'),(39,'pod-template-hash','79757969d9',1,3,'2023-03-10 01:49:38'),(40,'controller-revision-hash','7cff9d5c8d',1,10,'2023-03-10 01:49:38'),(40,'name','openebs-ndm',1,10,'2023-03-10 01:49:38'),(40,'openebs.io/component-name','ndm',1,10,'2023-03-10 01:49:38'),(40,'openebs.io/version','3.3.0',1,10,'2023-03-10 01:49:38'),(40,'pod-template-generation','1',1,10,'2023-03-10 01:49:38'),(41,'controller-revision-hash','688c765487',1,10,'2023-03-10 01:49:38'),(41,'name','openebs-ndm-node-exporter',1,10,'2023-03-10 01:49:38'),(41,'openebs.io/component-name','ndm-node-exporter',1,10,'2023-03-10 01:49:38'),(41,'openebs.io/version','3.3.0',1,10,'2023-03-10 01:49:38'),(41,'pod-template-generation','1',1,10,'2023-03-10 01:49:38'),(42,'app','juicefs-csi-node',1,3,'2023-03-10 01:49:38'),(42,'app.kubernetes.io/instance','juicefs-csi-driver',1,3,'2023-03-10 01:49:38'),(42,'app.kubernetes.io/name','juicefs-csi-driver',1,3,'2023-03-10 01:49:38'),(42,'controller-revision-hash','7d466cf576',1,3,'2023-03-10 01:49:38'),(42,'pod-template-generation','1',1,3,'2023-03-10 01:49:38'),(43,'controller-revision-hash','688c765487',1,10,'2023-03-10 01:49:38'),(43,'name','openebs-ndm-node-exporter',1,10,'2023-03-10 01:49:38'),(43,'openebs.io/component-name','ndm-node-exporter',1,10,'2023-03-10 01:49:38'),(43,'openebs.io/version','3.3.0',1,10,'2023-03-10 01:49:38'),(43,'pod-template-generation','1',1,10,'2023-03-10 01:49:38'),(44,'controller-revision-hash','688c765487',1,10,'2023-03-10 01:49:38'),(44,'name','openebs-ndm-node-exporter',1,10,'2023-03-10 01:49:38'),(44,'openebs.io/component-name','ndm-node-exporter',1,10,'2023-03-10 01:49:38'),(44,'openebs.io/version','3.3.0',1,10,'2023-03-10 01:49:38'),(44,'pod-template-generation','1',1,10,'2023-03-10 01:49:38'),(45,'controller-revision-hash','5fccfcfc4b',1,3,'2023-03-10 01:49:38'),(45,'k8s-app','kube-proxy',1,3,'2023-03-10 01:49:38'),(45,'pod-template-generation','1',1,3,'2023-03-10 01:49:38'),(46,'app','deepflow',1,1,'2023-03-10 01:49:38'),(46,'app.kubernetes.io/instance','deepflow',1,1,'2023-03-10 01:49:38'),(46,'app.kubernetes.io/name','deepflow-agent',1,1,'2023-03-10 01:49:38'),(46,'component','deepflow-agent',1,1,'2023-03-10 01:49:38'),(46,'controller-revision-hash','78fb77bdff',1,1,'2023-03-10 01:49:38'),(46,'pod-template-generation','1',1,1,'2023-03-10 01:49:38'),(47,'app','deepflow',1,1,'2023-03-10 01:49:38'),(47,'app.kubernetes.io/instance','deepflow',1,1,'2023-03-10 01:49:38'),(47,'app.kubernetes.io/name','deepflow-agent',1,1,'2023-03-10 01:49:38'),(47,'component','deepflow-agent',1,1,'2023-03-10 01:49:38'),(47,'controller-revision-hash','78fb77bdff',1,1,'2023-03-10 01:49:38'),(47,'pod-template-generation','1',1,1,'2023-03-10 01:49:38'),(48,'app','juicefs-csi-controller',1,3,'2023-03-10 01:49:38'),(48,'app.kubernetes.io/instance','juicefs-csi-driver',1,3,'2023-03-10 01:49:38'),(48,'app.kubernetes.io/name','juicefs-csi-driver',1,3,'2023-03-10 01:49:38'),(48,'controller-revision-hash','juicefs-csi-controller-8496c47947',1,3,'2023-03-10 01:49:38'),(48,'statefulset.kubernetes.io/pod-name','juicefs-csi-controller-0',1,3,'2023-03-10 01:49:38'),(49,'app','deepflow',1,1,'2023-03-10 01:49:38'),(49,'app.kubernetes.io/instance','deepflow',1,1,'2023-03-10 01:49:38'),(49,'app.kubernetes.io/name','deepflow',1,1,'2023-03-10 01:49:38'),(49,'component','deepflow-server',1,1,'2023-03-10 01:49:38'),(49,'pod-template-hash','5d75595844',1,1,'2023-03-10 01:49:38'),(50,'name','openebs-localpv-provisioner',1,10,'2023-03-10 01:49:38'),(50,'openebs.io/component-name','openebs-localpv-provisioner',1,10,'2023-03-10 01:49:38'),(50,'openebs.io/version','3.3.0',1,10,'2023-03-10 01:49:38'),(50,'pod-template-hash','dd977fdd5',1,10,'2023-03-10 01:49:38'),(51,'app','juicefs-csi-node',1,3,'2023-03-10 01:49:38'),(51,'app.kubernetes.io/instance','juicefs-csi-driver',1,3,'2023-03-10 01:49:38'),(51,'app.kubernetes.io/name','juicefs-csi-driver',1,3,'2023-03-10 01:49:38'),(51,'controller-revision-hash','7d466cf576',1,3,'2023-03-10 01:49:38'),(51,'pod-template-generation','1',1,3,'2023-03-10 01:49:38'),(52,'controller-revision-hash','5fccfcfc4b',1,3,'2023-03-10 01:49:38'),(52,'k8s-app','kube-proxy',1,3,'2023-03-10 01:49:38'),(52,'pod-template-generation','1',1,3,'2023-03-10 01:49:38'),(53,'app','guanwang',1,12,'2023-03-10 01:49:38'),(53,'pod-template-hash','5f75545465',1,12,'2023-03-10 01:49:38'),(54,'app.kubernetes.io/component','controller',1,14,'2023-03-10 02:01:35'),(54,'app.kubernetes.io/instance','ingress-nginx',1,14,'2023-03-10 02:01:35'),(54,'app.kubernetes.io/name','ingress-nginx',1,14,'2023-03-10 02:01:35'),(54,'controller-revision-hash','65c69d9fb5',1,14,'2023-03-10 02:01:35'),(54,'pod-template-generation','1',1,14,'2023-03-10 02:01:35'),(55,'app.kubernetes.io/component','controller',1,14,'2023-03-10 02:01:35'),(55,'app.kubernetes.io/instance','ingress-nginx',1,14,'2023-03-10 02:01:35'),(55,'app.kubernetes.io/name','ingress-nginx',1,14,'2023-03-10 02:01:35'),(55,'controller-revision-hash','65c69d9fb5',1,14,'2023-03-10 02:01:35'),(55,'pod-template-generation','1',1,14,'2023-03-10 02:01:35'),(56,'app.kubernetes.io/component','controller',1,14,'2023-03-10 02:01:35'),(56,'app.kubernetes.io/instance','ingress-nginx',1,14,'2023-03-10 02:01:35'),(56,'app.kubernetes.io/name','ingress-nginx',1,14,'2023-03-10 02:01:35'),(56,'controller-revision-hash','65c69d9fb5',1,14,'2023-03-10 02:01:35'),(56,'pod-template-generation','1',1,14,'2023-03-10 02:01:35'),(57,'app.kubernetes.io/component','controller',1,14,'2023-03-10 02:14:34'),(57,'app.kubernetes.io/instance','ingress-nginx',1,14,'2023-03-10 02:14:34'),(57,'app.kubernetes.io/name','ingress-nginx',1,14,'2023-03-10 02:14:34'),(57,'controller-revision-hash','676cccd65',1,14,'2023-03-10 02:14:34'),(57,'pod-template-generation','2',1,14,'2023-03-10 02:14:34'),(58,'app.kubernetes.io/component','controller',1,14,'2023-03-10 02:14:34'),(58,'app.kubernetes.io/instance','ingress-nginx',1,14,'2023-03-10 02:14:34'),(58,'app.kubernetes.io/name','ingress-nginx',1,14,'2023-03-10 02:14:34'),(58,'controller-revision-hash','676cccd65',1,14,'2023-03-10 02:14:34'),(58,'pod-template-generation','2',1,14,'2023-03-10 02:14:34'),(59,'app.kubernetes.io/component','controller',1,14,'2023-03-10 02:15:35'),(59,'app.kubernetes.io/instance','ingress-nginx',1,14,'2023-03-10 02:15:35'),(59,'app.kubernetes.io/name','ingress-nginx',1,14,'2023-03-10 02:15:35'),(59,'controller-revision-hash','676cccd65',1,14,'2023-03-10 02:15:35'),(59,'pod-template-generation','2',1,14,'2023-03-10 02:15:35'),(60,'app','loadgenerator',1,15,'2023-03-10 03:00:35'),(60,'pod-template-hash','6cd47794fc',1,15,'2023-03-10 03:00:35'),(61,'app','foo-svc',1,15,'2023-03-10 03:00:35'),(61,'pod-template-hash','598cb89b64',1,15,'2023-03-10 03:00:35'),(62,'app','bar-svc',1,15,'2023-03-10 03:00:35'),(62,'pod-template-hash','86bf4c4749',1,15,'2023-03-10 03:00:35'),(63,'app','loo-svc',1,15,'2023-03-10 03:00:35'),(63,'pod-template-hash','59b4fc5b86',1,15,'2023-03-10 03:00:35'),(64,'app','redis',1,15,'2023-03-10 03:00:35'),(64,'controller-revision-hash','redis-master-858b9968b4',1,15,'2023-03-10 03:00:35'),(64,'release','redis',1,15,'2023-03-10 03:00:35'),(64,'role','master',1,15,'2023-03-10 03:00:35'),(64,'statefulset.kubernetes.io/pod-name','redis-master-0',1,15,'2023-03-10 03:00:35'),(65,'app','elasticsearch-master',1,16,'2023-03-10 03:09:35'),(65,'chart','elasticsearch',1,16,'2023-03-10 03:09:35'),(65,'controller-revision-hash','elasticsearch-master-748445d99c',1,16,'2023-03-10 03:09:35'),(65,'heritage','Helm',1,16,'2023-03-10 03:09:35'),(65,'release','skywalking',1,16,'2023-03-10 03:09:35'),(65,'statefulset.kubernetes.io/pod-name','elasticsearch-master-0',1,16,'2023-03-10 03:09:35'),(66,'app','skywalking',1,16,'2023-03-10 03:09:35'),(66,'component','oap',1,16,'2023-03-10 03:09:35'),(66,'pod-template-hash','7d4cdbdd95',1,16,'2023-03-10 03:09:35'),(66,'release','skywalking',1,16,'2023-03-10 03:09:35'),(67,'app','elasticsearch-master',1,16,'2023-03-10 03:09:35'),(67,'chart','elasticsearch',1,16,'2023-03-10 03:09:35'),(67,'controller-revision-hash','elasticsearch-master-748445d99c',1,16,'2023-03-10 03:09:35'),(67,'heritage','Helm',1,16,'2023-03-10 03:09:35'),(67,'release','skywalking',1,16,'2023-03-10 03:09:35'),(67,'statefulset.kubernetes.io/pod-name','elasticsearch-master-1',1,16,'2023-03-10 03:09:35'),(68,'app','skywalking',1,16,'2023-03-10 03:09:35'),(68,'component','oap',1,16,'2023-03-10 03:09:35'),(68,'pod-template-hash','7d4cdbdd95',1,16,'2023-03-10 03:09:35'),(68,'release','skywalking',1,16,'2023-03-10 03:09:35'),(69,'app','elasticsearch-master',1,16,'2023-03-10 03:09:35'),(69,'chart','elasticsearch',1,16,'2023-03-10 03:09:35'),(69,'controller-revision-hash','elasticsearch-master-748445d99c',1,16,'2023-03-10 03:09:35'),(69,'heritage','Helm',1,16,'2023-03-10 03:09:35'),(69,'release','skywalking',1,16,'2023-03-10 03:09:35'),(69,'statefulset.kubernetes.io/pod-name','elasticsearch-master-2',1,16,'2023-03-10 03:09:35'),(70,'app','skywalking',1,16,'2023-03-10 03:09:35'),(70,'component','ui',1,16,'2023-03-10 03:09:35'),(70,'pod-template-hash','67bcf65678',1,16,'2023-03-10 03:09:35'),(70,'release','skywalking',1,16,'2023-03-10 03:09:35'),(71,'app','elasticsearch-master',1,16,'2023-03-10 03:35:36'),(71,'chart','elasticsearch',1,16,'2023-03-10 03:35:36'),(71,'controller-revision-hash','elasticsearch-master-57b767b5c5',1,16,'2023-03-10 03:35:36'),(71,'heritage','Helm',1,16,'2023-03-10 03:35:36'),(71,'release','skywalking',1,16,'2023-03-10 03:35:36'),(71,'statefulset.kubernetes.io/pod-name','elasticsearch-master-0',1,16,'2023-03-10 03:35:36'),(72,'app','skywalking',1,16,'2023-03-10 03:35:36'),(72,'component','ui',1,16,'2023-03-10 03:35:36'),(72,'pod-template-hash','67bcf65678',1,16,'2023-03-10 03:35:36'),(72,'release','skywalking',1,16,'2023-03-10 03:35:36'),(73,'app','skywalking',1,16,'2023-03-10 03:35:36'),(73,'component','oap',1,16,'2023-03-10 03:35:36'),(73,'pod-template-hash','7d4cdbdd95',1,16,'2023-03-10 03:35:36'),(73,'release','skywalking',1,16,'2023-03-10 03:35:36');
/*!40000 ALTER TABLE `ch_k8s_label` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_k8s_labels`
--

DROP TABLE IF EXISTS `ch_k8s_labels`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_k8s_labels` (
  `pod_id` int NOT NULL,
  `labels` text,
  `l3_epc_id` int DEFAULT NULL,
  `pod_ns_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`pod_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_k8s_labels`
--

LOCK TABLES `ch_k8s_labels` WRITE;
/*!40000 ALTER TABLE `ch_k8s_labels` DISABLE KEYS */;
INSERT INTO `ch_k8s_labels` VALUES (1,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"deepflow\",\"component\":\"deepflow-app\",\"pod-template-hash\":\"54886cd964\"}',1,1,'2022-12-07 02:15:28'),(2,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"clickhouse\",\"component\":\"clickhouse\",\"controller-revision-hash\":\"deepflow-clickhouse-7f876f5578\",\"statefulset.kubernetes.io/pod-name\":\"deepflow-clickhouse-0\"}',1,1,'2022-12-07 02:15:28'),(3,'{\"controller-revision-hash\":\"7cff9d5c8d\",\"name\":\"openebs-ndm\",\"openebs.io/component-name\":\"ndm\",\"openebs.io/version\":\"3.3.0\",\"pod-template-generation\":\"1\"}',1,2,'2022-12-07 02:15:28'),(4,'{\"name\":\"openebs-ndm-cluster-exporter\",\"openebs.io/component-name\":\"ndm-cluster-exporter\",\"openebs.io/version\":\"3.3.0\",\"pod-template-hash\":\"866c974856\"}',1,2,'2022-12-07 02:15:28'),(5,'{\"k8s-app\":\"kube-dns\",\"pod-template-hash\":\"6d4b75cb6d\"}',1,3,'2022-12-07 02:15:28'),(6,'{\"controller-revision-hash\":\"7cff9d5c8d\",\"name\":\"openebs-ndm\",\"openebs.io/component-name\":\"ndm\",\"openebs.io/version\":\"3.3.0\",\"pod-template-generation\":\"1\"}',1,2,'2022-12-07 02:15:28'),(7,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"deepflow\",\"component\":\"deepflow-server\",\"pod-template-hash\":\"5d75595844\"}',1,1,'2022-12-07 02:15:28'),(8,'{\"app\":\"flannel\",\"controller-revision-hash\":\"76bdc667d5\",\"pod-template-generation\":\"1\",\"tier\":\"node\"}',1,5,'2022-12-07 02:15:28'),(9,'{\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"grafana\",\"pod-template-hash\":\"7b5757d5f4\"}',1,1,'2022-12-07 02:15:28'),(10,'{\"k8s-app\":\"kube-dns\",\"pod-template-hash\":\"6d4b75cb6d\"}',1,3,'2022-12-07 02:15:28'),(11,'{\"controller-revision-hash\":\"5fccfcfc4b\",\"k8s-app\":\"kube-proxy\",\"pod-template-generation\":\"1\"}',1,3,'2022-12-07 02:15:28'),(12,'{\"controller-revision-hash\":\"688c765487\",\"name\":\"openebs-ndm-node-exporter\",\"openebs.io/component-name\":\"ndm-node-exporter\",\"openebs.io/version\":\"3.3.0\",\"pod-template-generation\":\"1\"}',1,2,'2022-12-07 02:15:28'),(13,'{\"name\":\"openebs-localpv-provisioner\",\"openebs.io/component-name\":\"openebs-localpv-provisioner\",\"openebs.io/version\":\"3.3.0\",\"pod-template-hash\":\"dd977fdd5\"}',1,2,'2022-12-07 02:15:28'),(14,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"mysql\",\"component\":\"mysql\",\"pod-template-hash\":\"8bc7c7777\"}',1,1,'2022-12-07 02:15:28'),(15,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"deepflow-agent\",\"component\":\"deepflow-agent\",\"controller-revision-hash\":\"78fb77bdff\",\"pod-template-generation\":\"1\"}',1,1,'2022-12-07 02:15:28'),(16,'{\"app\":\"flannel\",\"controller-revision-hash\":\"76bdc667d5\",\"pod-template-generation\":\"1\",\"tier\":\"node\"}',1,5,'2022-12-07 02:15:28'),(17,'{\"controller-revision-hash\":\"5fccfcfc4b\",\"k8s-app\":\"kube-proxy\",\"pod-template-generation\":\"1\"}',1,3,'2022-12-07 02:15:28'),(18,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"deepflow-agent\",\"component\":\"deepflow-agent\",\"controller-revision-hash\":\"78fb77bdff\",\"pod-template-generation\":\"1\"}',1,1,'2022-12-07 02:15:28'),(19,'{\"name\":\"openebs-ndm-operator\",\"openebs.io/component-name\":\"ndm-operator\",\"openebs.io/version\":\"3.3.0\",\"pod-template-hash\":\"85886744bb\"}',1,2,'2022-12-07 02:15:28'),(20,'{\"controller-revision-hash\":\"688c765487\",\"name\":\"openebs-ndm-node-exporter\",\"openebs.io/component-name\":\"ndm-node-exporter\",\"openebs.io/version\":\"3.3.0\",\"pod-template-generation\":\"1\"}',1,2,'2022-12-07 02:15:28'),(21,'{\"app\":\"opentelemetry\",\"component\":\"otel-agent\",\"controller-revision-hash\":\"6464c7f8b7\",\"pod-template-generation\":\"1\"}',1,9,'2022-12-07 02:16:28'),(22,'{\"app\":\"opentelemetry\",\"component\":\"otel-agent\",\"controller-revision-hash\":\"6464c7f8b7\",\"pod-template-generation\":\"1\"}',1,9,'2022-12-07 02:22:28'),(23,'{\"controller-revision-hash\":\"7cff9d5c8d\",\"name\":\"openebs-ndm\",\"openebs.io/component-name\":\"ndm\",\"openebs.io/version\":\"3.3.0\",\"pod-template-generation\":\"1\"}',1,10,'2023-03-10 01:49:38'),(24,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"clickhouse\",\"component\":\"clickhouse\",\"controller-revision-hash\":\"deepflow-clickhouse-7f876f5578\",\"statefulset.kubernetes.io/pod-name\":\"deepflow-clickhouse-0\"}',1,1,'2023-03-10 01:49:38'),(25,'{\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"grafana\",\"pod-template-hash\":\"7b5757d5f4\"}',1,1,'2023-03-10 01:49:38'),(26,'{\"app\":\"flannel\",\"controller-revision-hash\":\"76bdc667d5\",\"pod-template-generation\":\"1\",\"tier\":\"node\"}',1,5,'2023-03-10 01:49:38'),(27,'{\"name\":\"openebs-ndm-cluster-exporter\",\"openebs.io/component-name\":\"ndm-cluster-exporter\",\"openebs.io/version\":\"3.3.0\",\"pod-template-hash\":\"866c974856\"}',1,10,'2023-03-10 01:49:38'),(28,'{\"controller-revision-hash\":\"7cff9d5c8d\",\"name\":\"openebs-ndm\",\"openebs.io/component-name\":\"ndm\",\"openebs.io/version\":\"3.3.0\",\"pod-template-generation\":\"1\"}',1,10,'2023-03-10 01:49:38'),(29,'{\"app\":\"yunbao-manager-backed\",\"pod-template-hash\":\"85bbff9975\"}',1,11,'2023-03-10 01:49:38'),(30,'{\"app\":\"juicefs-csi-node\",\"app.kubernetes.io/instance\":\"juicefs-csi-driver\",\"app.kubernetes.io/name\":\"juicefs-csi-driver\",\"controller-revision-hash\":\"7d466cf576\",\"pod-template-generation\":\"1\"}',1,3,'2023-03-10 01:49:38'),(31,'{\"app\":\"opentelemetry\",\"component\":\"otel-agent\",\"controller-revision-hash\":\"6464c7f8b7\",\"pod-template-generation\":\"1\"}',1,9,'2023-03-10 01:49:38'),(32,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"deepflow\",\"component\":\"deepflow-app\",\"pod-template-hash\":\"54886cd964\"}',1,1,'2023-03-10 01:49:38'),(33,'{\"name\":\"openebs-ndm-operator\",\"openebs.io/component-name\":\"ndm-operator\",\"openebs.io/version\":\"3.3.0\",\"pod-template-hash\":\"85886744bb\"}',1,10,'2023-03-10 01:49:38'),(34,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"mysql\",\"component\":\"mysql\",\"pod-template-hash\":\"8bc7c7777\"}',1,1,'2023-03-10 01:49:38'),(35,'{\"app\":\"yunbao-mobile-backed\",\"pod-template-hash\":\"84c6b96df7\"}',1,11,'2023-03-10 01:49:38'),(36,'{\"app\":\"yunbao-server-backed\",\"pod-template-hash\":\"7cdd9b6d8d\"}',1,11,'2023-03-10 01:49:38'),(37,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"deepflow-agent\",\"component\":\"deepflow-agent\",\"controller-revision-hash\":\"78fb77bdff\",\"pod-template-generation\":\"1\"}',1,1,'2023-03-10 01:49:38'),(38,'{\"controller-revision-hash\":\"5fccfcfc4b\",\"k8s-app\":\"kube-proxy\",\"pod-template-generation\":\"1\"}',1,3,'2023-03-10 01:49:38'),(39,'{\"k8s-app\":\"metrics-server\",\"pod-template-hash\":\"79757969d9\"}',1,3,'2023-03-10 01:49:38'),(40,'{\"controller-revision-hash\":\"7cff9d5c8d\",\"name\":\"openebs-ndm\",\"openebs.io/component-name\":\"ndm\",\"openebs.io/version\":\"3.3.0\",\"pod-template-generation\":\"1\"}',1,10,'2023-03-10 01:49:38'),(41,'{\"controller-revision-hash\":\"688c765487\",\"name\":\"openebs-ndm-node-exporter\",\"openebs.io/component-name\":\"ndm-node-exporter\",\"openebs.io/version\":\"3.3.0\",\"pod-template-generation\":\"1\"}',1,10,'2023-03-10 01:49:38'),(42,'{\"app\":\"juicefs-csi-node\",\"app.kubernetes.io/instance\":\"juicefs-csi-driver\",\"app.kubernetes.io/name\":\"juicefs-csi-driver\",\"controller-revision-hash\":\"7d466cf576\",\"pod-template-generation\":\"1\"}',1,3,'2023-03-10 01:49:38'),(43,'{\"controller-revision-hash\":\"688c765487\",\"name\":\"openebs-ndm-node-exporter\",\"openebs.io/component-name\":\"ndm-node-exporter\",\"openebs.io/version\":\"3.3.0\",\"pod-template-generation\":\"1\"}',1,10,'2023-03-10 01:49:38'),(44,'{\"controller-revision-hash\":\"688c765487\",\"name\":\"openebs-ndm-node-exporter\",\"openebs.io/component-name\":\"ndm-node-exporter\",\"openebs.io/version\":\"3.3.0\",\"pod-template-generation\":\"1\"}',1,10,'2023-03-10 01:49:38'),(45,'{\"controller-revision-hash\":\"5fccfcfc4b\",\"k8s-app\":\"kube-proxy\",\"pod-template-generation\":\"1\"}',1,3,'2023-03-10 01:49:38'),(46,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"deepflow-agent\",\"component\":\"deepflow-agent\",\"controller-revision-hash\":\"78fb77bdff\",\"pod-template-generation\":\"1\"}',1,1,'2023-03-10 01:49:38'),(47,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"deepflow-agent\",\"component\":\"deepflow-agent\",\"controller-revision-hash\":\"78fb77bdff\",\"pod-template-generation\":\"1\"}',1,1,'2023-03-10 01:49:38'),(48,'{\"app\":\"juicefs-csi-controller\",\"app.kubernetes.io/instance\":\"juicefs-csi-driver\",\"app.kubernetes.io/name\":\"juicefs-csi-driver\",\"controller-revision-hash\":\"juicefs-csi-controller-8496c47947\",\"statefulset.kubernetes.io/pod-name\":\"juicefs-csi-controller-0\"}',1,3,'2023-03-10 01:49:38'),(49,'{\"app\":\"deepflow\",\"app.kubernetes.io/instance\":\"deepflow\",\"app.kubernetes.io/name\":\"deepflow\",\"component\":\"deepflow-server\",\"pod-template-hash\":\"5d75595844\"}',1,1,'2023-03-10 01:49:38'),(50,'{\"name\":\"openebs-localpv-provisioner\",\"openebs.io/component-name\":\"openebs-localpv-provisioner\",\"openebs.io/version\":\"3.3.0\",\"pod-template-hash\":\"dd977fdd5\"}',1,10,'2023-03-10 01:49:38'),(51,'{\"app\":\"juicefs-csi-node\",\"app.kubernetes.io/instance\":\"juicefs-csi-driver\",\"app.kubernetes.io/name\":\"juicefs-csi-driver\",\"controller-revision-hash\":\"7d466cf576\",\"pod-template-generation\":\"1\"}',1,3,'2023-03-10 01:49:38'),(52,'{\"controller-revision-hash\":\"5fccfcfc4b\",\"k8s-app\":\"kube-proxy\",\"pod-template-generation\":\"1\"}',1,3,'2023-03-10 01:49:38'),(53,'{\"app\":\"guanwang\",\"pod-template-hash\":\"5f75545465\"}',1,12,'2023-03-10 01:49:38'),(54,'{\"app.kubernetes.io/component\":\"controller\",\"app.kubernetes.io/instance\":\"ingress-nginx\",\"app.kubernetes.io/name\":\"ingress-nginx\",\"controller-revision-hash\":\"65c69d9fb5\",\"pod-template-generation\":\"1\"}',1,14,'2023-03-10 02:01:35'),(55,'{\"app.kubernetes.io/component\":\"controller\",\"app.kubernetes.io/instance\":\"ingress-nginx\",\"app.kubernetes.io/name\":\"ingress-nginx\",\"controller-revision-hash\":\"65c69d9fb5\",\"pod-template-generation\":\"1\"}',1,14,'2023-03-10 02:01:35'),(56,'{\"app.kubernetes.io/component\":\"controller\",\"app.kubernetes.io/instance\":\"ingress-nginx\",\"app.kubernetes.io/name\":\"ingress-nginx\",\"controller-revision-hash\":\"65c69d9fb5\",\"pod-template-generation\":\"1\"}',1,14,'2023-03-10 02:01:35'),(57,'{\"app.kubernetes.io/component\":\"controller\",\"app.kubernetes.io/instance\":\"ingress-nginx\",\"app.kubernetes.io/name\":\"ingress-nginx\",\"controller-revision-hash\":\"676cccd65\",\"pod-template-generation\":\"2\"}',1,14,'2023-03-10 02:14:34'),(58,'{\"app.kubernetes.io/component\":\"controller\",\"app.kubernetes.io/instance\":\"ingress-nginx\",\"app.kubernetes.io/name\":\"ingress-nginx\",\"controller-revision-hash\":\"676cccd65\",\"pod-template-generation\":\"2\"}',1,14,'2023-03-10 02:14:34'),(59,'{\"app.kubernetes.io/component\":\"controller\",\"app.kubernetes.io/instance\":\"ingress-nginx\",\"app.kubernetes.io/name\":\"ingress-nginx\",\"controller-revision-hash\":\"676cccd65\",\"pod-template-generation\":\"2\"}',1,14,'2023-03-10 02:15:35'),(60,'{\"app\":\"loadgenerator\",\"pod-template-hash\":\"6cd47794fc\"}',1,15,'2023-03-10 03:00:35'),(61,'{\"app\":\"foo-svc\",\"pod-template-hash\":\"598cb89b64\"}',1,15,'2023-03-10 03:00:35'),(62,'{\"app\":\"bar-svc\",\"pod-template-hash\":\"86bf4c4749\"}',1,15,'2023-03-10 03:00:35'),(63,'{\"app\":\"loo-svc\",\"pod-template-hash\":\"59b4fc5b86\"}',1,15,'2023-03-10 03:00:35'),(64,'{\"app\":\"redis\",\"controller-revision-hash\":\"redis-master-858b9968b4\",\"release\":\"redis\",\"role\":\"master\",\"statefulset.kubernetes.io/pod-name\":\"redis-master-0\"}',1,15,'2023-03-10 03:00:35'),(65,'{\"app\":\"elasticsearch-master\",\"chart\":\"elasticsearch\",\"controller-revision-hash\":\"elasticsearch-master-748445d99c\",\"heritage\":\"Helm\",\"release\":\"skywalking\",\"statefulset.kubernetes.io/pod-name\":\"elasticsearch-master-0\"}',1,16,'2023-03-10 03:09:35'),(66,'{\"app\":\"skywalking\",\"component\":\"oap\",\"pod-template-hash\":\"7d4cdbdd95\",\"release\":\"skywalking\"}',1,16,'2023-03-10 03:09:35'),(67,'{\"app\":\"elasticsearch-master\",\"chart\":\"elasticsearch\",\"controller-revision-hash\":\"elasticsearch-master-748445d99c\",\"heritage\":\"Helm\",\"release\":\"skywalking\",\"statefulset.kubernetes.io/pod-name\":\"elasticsearch-master-1\"}',1,16,'2023-03-10 03:09:35'),(68,'{\"app\":\"skywalking\",\"component\":\"oap\",\"pod-template-hash\":\"7d4cdbdd95\",\"release\":\"skywalking\"}',1,16,'2023-03-10 03:09:35'),(69,'{\"app\":\"elasticsearch-master\",\"chart\":\"elasticsearch\",\"controller-revision-hash\":\"elasticsearch-master-748445d99c\",\"heritage\":\"Helm\",\"release\":\"skywalking\",\"statefulset.kubernetes.io/pod-name\":\"elasticsearch-master-2\"}',1,16,'2023-03-10 03:09:35'),(70,'{\"app\":\"skywalking\",\"component\":\"ui\",\"pod-template-hash\":\"67bcf65678\",\"release\":\"skywalking\"}',1,16,'2023-03-10 03:09:35'),(71,'{\"app\":\"elasticsearch-master\",\"chart\":\"elasticsearch\",\"controller-revision-hash\":\"elasticsearch-master-57b767b5c5\",\"heritage\":\"Helm\",\"release\":\"skywalking\",\"statefulset.kubernetes.io/pod-name\":\"elasticsearch-master-0\"}',1,16,'2023-03-10 03:35:36'),(72,'{\"app\":\"skywalking\",\"component\":\"ui\",\"pod-template-hash\":\"67bcf65678\",\"release\":\"skywalking\"}',1,16,'2023-03-10 03:35:36'),(73,'{\"app\":\"skywalking\",\"component\":\"oap\",\"pod-template-hash\":\"7d4cdbdd95\",\"release\":\"skywalking\"}',1,16,'2023-03-10 03:35:36');
/*!40000 ALTER TABLE `ch_k8s_labels` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_l3_epc`
--

DROP TABLE IF EXISTS `ch_l3_epc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_l3_epc` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `uid` char(64) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_l3_epc`
--

LOCK TABLES `ch_l3_epc` WRITE;
/*!40000 ALTER TABLE `ch_l3_epc` DISABLE KEYS */;
INSERT INTO `ch_l3_epc` VALUES (1,'k8s-d-riaItWzFKw',NULL,NULL,'2022-12-07 02:15:27');
/*!40000 ALTER TABLE `ch_l3_epc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_lb_listener`
--

DROP TABLE IF EXISTS `ch_lb_listener`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_lb_listener` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_lb_listener`
--

LOCK TABLES `ch_lb_listener` WRITE;
/*!40000 ALTER TABLE `ch_lb_listener` DISABLE KEYS */;
/*!40000 ALTER TABLE `ch_lb_listener` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_node_type`
--

DROP TABLE IF EXISTS `ch_node_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_node_type` (
  `resource_type` int NOT NULL DEFAULT '0',
  `node_type` varchar(256) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`resource_type`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_node_type`
--

LOCK TABLES `ch_node_type` WRITE;
/*!40000 ALTER TABLE `ch_node_type` DISABLE KEYS */;
INSERT INTO `ch_node_type` VALUES (0,'internet_ip','2022-12-07 02:15:53'),(1,'chost','2022-12-07 02:15:53'),(5,'router','2022-12-07 02:15:53'),(6,'host','2022-12-07 02:15:53'),(9,'dhcpgw','2022-12-07 02:15:53'),(10,'pod','2022-12-07 02:15:53'),(11,'pod_service','2022-12-07 02:15:53'),(12,'redis','2022-12-07 02:15:53'),(13,'rds','2022-12-07 02:15:53'),(14,'pod_node','2022-12-07 02:15:53'),(15,'lb','2022-12-07 02:15:53'),(16,'natgw','2022-12-07 02:15:53'),(101,'pod_group','2022-12-07 02:15:53'),(102,'service','2022-12-07 02:15:53'),(255,'ip','2022-12-07 02:15:53');
/*!40000 ALTER TABLE `ch_node_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_pod`
--

DROP TABLE IF EXISTS `ch_pod`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_pod` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_pod`
--

LOCK TABLES `ch_pod` WRITE;
/*!40000 ALTER TABLE `ch_pod` DISABLE KEYS */;
INSERT INTO `ch_pod` VALUES (1,'deepflow-app-54886cd964-2xl2q (deleted)',NULL,'2023-03-10 01:48:37'),(2,'deepflow-clickhouse-0 (deleted)',NULL,'2023-03-10 01:48:38'),(3,'openebs-ndm-zp9np (deleted)',NULL,'2023-03-10 01:48:38'),(4,'openebs-ndm-cluster-exporter-866c974856-6r6bs (deleted)',NULL,'2023-03-10 01:48:38'),(5,'coredns-6d4b75cb6d-z6j9z',NULL,'2022-12-07 02:15:53'),(6,'openebs-ndm-ttqkq (deleted)',NULL,'2023-03-10 01:48:37'),(7,'deepflow-server-5d75595844-qp7ld (deleted)',NULL,'2023-03-10 01:48:38'),(8,'kube-flannel-ds-kjjpr',NULL,'2022-12-07 02:15:53'),(9,'deepflow-grafana-7b5757d5f4-q4dfp (deleted)',NULL,'2023-03-10 01:48:38'),(10,'coredns-6d4b75cb6d-s8b5c',NULL,'2022-12-07 02:15:53'),(11,'kube-proxy-dnqhh (deleted)',NULL,'2023-03-10 01:48:37'),(12,'openebs-ndm-node-exporter-w9r9b (deleted)',NULL,'2023-03-10 01:48:38'),(13,'openebs-localpv-provisioner-dd977fdd5-7flf9 (deleted)',NULL,'2023-03-10 01:48:38'),(14,'deepflow-mysql-8bc7c7777-p4qcz (deleted)',NULL,'2023-03-10 01:48:38'),(15,'deepflow-agent-fdmhk (deleted)',NULL,'2023-03-10 01:48:38'),(16,'kube-flannel-ds-5tmfs',NULL,'2022-12-07 02:15:53'),(17,'kube-proxy-k22dc (deleted)',NULL,'2023-03-10 01:48:38'),(18,'deepflow-agent-s659p (deleted)',NULL,'2023-03-10 01:48:37'),(19,'openebs-ndm-operator-85886744bb-lc82q (deleted)',NULL,'2023-03-10 01:48:37'),(20,'openebs-ndm-node-exporter-8w2l7 (deleted)',NULL,'2023-03-10 01:48:38'),(21,'otel-agent-sgfjj',NULL,'2022-12-07 02:16:28'),(22,'otel-agent-6jsl9',NULL,'2022-12-07 02:21:27'),(23,'openebs-ndm-74fdr',NULL,'2023-03-10 01:48:38'),(24,'deepflow-clickhouse-0',NULL,'2023-03-10 01:48:37'),(25,'deepflow-grafana-7b5757d5f4-fjz6d',NULL,'2023-03-10 01:48:37'),(26,'kube-flannel-ds-7nbdn',NULL,'2023-03-10 01:48:38'),(27,'openebs-ndm-cluster-exporter-866c974856-gw6wv',NULL,'2023-03-10 01:48:37'),(28,'openebs-ndm-nkkkf',NULL,'2023-03-10 01:48:38'),(29,'yunbao-manager-backed-85bbff9975-r9bk5',NULL,'2023-03-10 01:48:37'),(30,'juicefs-csi-node-qg4fj',NULL,'2023-03-10 01:48:38'),(31,'otel-agent-qwbtz',NULL,'2023-03-10 01:48:37'),(32,'deepflow-app-54886cd964-lkl9h',NULL,'2023-03-10 01:48:38'),(33,'openebs-ndm-operator-85886744bb-5xbmf',NULL,'2023-03-10 01:48:38'),(34,'deepflow-mysql-8bc7c7777-mkhcj',NULL,'2023-03-10 01:48:38'),(35,'yunbao-mobile-backed-84c6b96df7-7bt6s',NULL,'2023-03-10 01:48:38'),(36,'yunbao-server-backed-7cdd9b6d8d-zw2s5',NULL,'2023-03-10 01:48:37'),(37,'deepflow-agent-m97jd',NULL,'2023-03-10 01:48:37'),(38,'kube-proxy-vsmhx',NULL,'2023-03-10 01:48:37'),(39,'metrics-server-79757969d9-wpwlf',NULL,'2023-03-10 01:48:38'),(40,'openebs-ndm-mf7bn',NULL,'2023-03-10 01:48:38'),(41,'openebs-ndm-node-exporter-97lhz',NULL,'2023-03-10 01:48:38'),(42,'juicefs-csi-node-npk94',NULL,'2023-03-10 01:48:38'),(43,'openebs-ndm-node-exporter-2sxd5',NULL,'2023-03-10 01:48:37'),(44,'openebs-ndm-node-exporter-slhmc',NULL,'2023-03-10 01:48:38'),(45,'kube-proxy-hllqd',NULL,'2023-03-10 01:48:38'),(46,'deepflow-agent-nsn9b',NULL,'2023-03-10 01:48:37'),(47,'deepflow-agent-p8kj4',NULL,'2023-03-10 01:48:38'),(48,'juicefs-csi-controller-0',NULL,'2023-03-10 01:48:38'),(49,'deepflow-server-5d75595844-p2zbl',NULL,'2023-03-10 01:48:38'),(50,'openebs-localpv-provisioner-dd977fdd5-tlshf',NULL,'2023-03-10 01:48:38'),(51,'juicefs-csi-node-fqdl8',NULL,'2023-03-10 01:48:37'),(52,'kube-proxy-cxcxn',NULL,'2023-03-10 01:48:38'),(53,'guanwang-5f75545465-7mqs6',NULL,'2023-03-10 01:48:38'),(54,'ingress-nginx-controller-qz9s8 (deleted)',NULL,'2023-03-10 02:15:37'),(55,'ingress-nginx-controller-8xx79 (deleted)',NULL,'2023-03-10 02:14:37'),(56,'ingress-nginx-controller-rspvl (deleted)',NULL,'2023-03-10 02:14:37'),(57,'ingress-nginx-controller-tb68d',NULL,'2023-03-10 02:14:37'),(58,'ingress-nginx-controller-tx7gf',NULL,'2023-03-10 02:14:37'),(59,'ingress-nginx-controller-v87l5',NULL,'2023-03-10 02:15:37'),(60,'loadgenerator-6cd47794fc-tlksp',NULL,'2023-03-10 03:00:35'),(61,'foo-svc-598cb89b64-74v9v',NULL,'2023-03-10 03:00:35'),(62,'bar-svc-86bf4c4749-dgqkj',NULL,'2023-03-10 03:00:35'),(63,'loo-svc-59b4fc5b86-8hx6r',NULL,'2023-03-10 03:00:35'),(64,'redis-master-0',NULL,'2023-03-10 03:00:35'),(65,'elasticsearch-master-0 (deleted)',NULL,'2023-03-10 03:09:35'),(66,'skywalking-oap-7d4cdbdd95-tlnqw (deleted)',NULL,'2023-03-10 03:09:35'),(67,'elasticsearch-master-1 (deleted)',NULL,'2023-03-10 03:09:35'),(68,'skywalking-oap-7d4cdbdd95-stg2g (deleted)',NULL,'2023-03-10 03:09:35'),(69,'elasticsearch-master-2 (deleted)',NULL,'2023-03-10 03:09:35'),(70,'skywalking-ui-67bcf65678-kjqw8 (deleted)',NULL,'2023-03-10 03:09:35'),(71,'elasticsearch-master-0',NULL,'2023-03-10 03:35:36'),(72,'skywalking-ui-67bcf65678-cc5l8',NULL,'2023-03-10 03:35:36'),(73,'skywalking-oap-7d4cdbdd95-62hvq',NULL,'2023-03-10 03:35:36');
/*!40000 ALTER TABLE `ch_pod` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_pod_cluster`
--

DROP TABLE IF EXISTS `ch_pod_cluster`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_pod_cluster` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_pod_cluster`
--

LOCK TABLES `ch_pod_cluster` WRITE;
/*!40000 ALTER TABLE `ch_pod_cluster` DISABLE KEYS */;
INSERT INTO `ch_pod_cluster` VALUES (1,'k8s-d-riaItWzFKw',NULL,'2022-12-07 02:15:53');
/*!40000 ALTER TABLE `ch_pod_cluster` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_pod_group`
--

DROP TABLE IF EXISTS `ch_pod_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_pod_group` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_pod_group`
--

LOCK TABLES `ch_pod_group` WRITE;
/*!40000 ALTER TABLE `ch_pod_group` DISABLE KEYS */;
INSERT INTO `ch_pod_group` VALUES (1,'coredns',NULL,'2022-12-07 02:15:53'),(2,'openebs-ndm-operator (deleted)',NULL,'2023-03-10 01:48:38'),(3,'deepflow-app (deleted)',NULL,'2023-03-10 01:48:38'),(4,'deepflow-server (deleted)',NULL,'2023-03-10 01:48:38'),(5,'deepflow-mysql (deleted)',NULL,'2023-03-10 01:48:38'),(6,'openebs-ndm-cluster-exporter (deleted)',NULL,'2023-03-10 01:48:38'),(7,'deepflow-grafana (deleted)',NULL,'2023-03-10 01:48:38'),(8,'openebs-localpv-provisioner (deleted)',NULL,'2023-03-10 01:48:38'),(9,'deepflow-clickhouse (deleted)',NULL,'2023-03-10 01:48:38'),(10,'deepflow-agent (deleted)',NULL,'2023-03-10 01:48:38'),(11,'openebs-ndm (deleted)',NULL,'2023-03-10 01:48:38'),(12,'kube-proxy',NULL,'2022-12-07 02:15:53'),(13,'kube-flannel-ds',NULL,'2022-12-07 02:15:53'),(14,'openebs-ndm-node-exporter (deleted)',NULL,'2023-03-10 01:48:38'),(15,'otel-agent',NULL,'2022-12-07 02:16:28'),(16,'openebs-localpv-provisioner',NULL,'2023-03-10 01:48:38'),(17,'openebs-ndm-operator',NULL,'2023-03-10 01:48:38'),(18,'openebs-ndm-cluster-exporter',NULL,'2023-03-10 01:48:38'),(19,'yunbao-manager-backed',NULL,'2023-03-10 01:48:38'),(20,'deepflow-server',NULL,'2023-03-10 01:48:38'),(21,'deepflow-app',NULL,'2023-03-10 01:48:38'),(22,'deepflow-grafana',NULL,'2023-03-10 01:48:38'),(23,'metrics-server',NULL,'2023-03-10 01:48:38'),(24,'deepflow-mysql',NULL,'2023-03-10 01:48:38'),(25,'guanwang',NULL,'2023-03-10 01:48:38'),(26,'yunbao-server-backed',NULL,'2023-03-10 01:48:38'),(27,'yunbao-mobile-backed',NULL,'2023-03-10 01:48:38'),(28,'deepflow-clickhouse',NULL,'2023-03-10 01:48:38'),(29,'juicefs-csi-controller',NULL,'2023-03-10 01:48:38'),(30,'deepflow-agent',NULL,'2023-03-10 01:48:38'),(31,'juicefs-csi-node',NULL,'2023-03-10 01:48:38'),(32,'openebs-ndm',NULL,'2023-03-10 01:48:38'),(33,'openebs-ndm-node-exporter',NULL,'2023-03-10 01:48:38'),(34,'ingress-nginx-controller',NULL,'2023-03-10 02:00:37'),(35,'foo-svc',NULL,'2023-03-10 02:59:35'),(36,'loo-svc',NULL,'2023-03-10 02:59:35'),(37,'loadgenerator',NULL,'2023-03-10 02:59:35'),(38,'bar-svc',NULL,'2023-03-10 02:59:35'),(39,'redis-master',NULL,'2023-03-10 02:59:35'),(40,'skywalking-oap (deleted)',NULL,'2023-03-10 03:09:35'),(41,'skywalking-ui (deleted)',NULL,'2023-03-10 03:09:35'),(42,'elasticsearch-master (deleted)',NULL,'2023-03-10 03:09:35'),(43,'skywalking-ui',NULL,'2023-03-10 03:34:35'),(44,'skywalking-oap',NULL,'2023-03-10 03:34:35'),(45,'elasticsearch-master',NULL,'2023-03-10 03:34:35');
/*!40000 ALTER TABLE `ch_pod_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_pod_group_port`
--

DROP TABLE IF EXISTS `ch_pod_group_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_pod_group_port` (
  `id` int NOT NULL,
  `protocol` int NOT NULL,
  `port` int NOT NULL,
  `port_lb_id` int DEFAULT NULL,
  `port_lb_name` varchar(256) DEFAULT NULL,
  `port_lb_listener_id` int DEFAULT NULL,
  `port_lb_listener_name` varchar(256) DEFAULT NULL,
  `port_pod_service_id` int DEFAULT NULL,
  `port_pod_service_name` varchar(256) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`,`protocol`,`port`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_pod_group_port`
--

LOCK TABLES `ch_pod_group_port` WRITE;
/*!40000 ALTER TABLE `ch_pod_group_port` DISABLE KEYS */;
INSERT INTO `ch_pod_group_port` VALUES (1,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:15:27'),(1,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:15:27'),(1,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:15:27'),(15,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:28'),(15,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:28'),(15,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:28'),(18,6,9100,NULL,NULL,NULL,NULL,22,'openebs-ndm-cluster-exporter-service','2023-03-10 01:49:36'),(19,6,8003,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 01:49:36'),(20,6,20033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(20,6,20035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(20,6,20135,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(20,6,20416,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(20,6,20417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(21,6,20418,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 01:49:36'),(22,6,3000,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 01:49:36'),(23,6,4443,NULL,NULL,NULL,NULL,17,'metrics-server','2023-03-10 01:49:36'),(24,6,30130,NULL,NULL,NULL,NULL,13,'deepflow-mysql','2023-03-10 01:49:36'),(25,6,80,NULL,NULL,NULL,NULL,20,'guanwang','2023-03-10 01:49:36'),(26,6,8002,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 01:49:36'),(27,6,8004,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 01:49:36'),(28,6,8123,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:36'),(28,6,9000,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:36'),(28,6,9009,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:36'),(30,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 01:49:36'),(33,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:36'),(34,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:01:34'),(35,6,8080,NULL,NULL,NULL,NULL,29,'foo-svc','2023-03-10 03:00:35'),(36,6,8080,NULL,NULL,NULL,NULL,30,'loo-svc','2023-03-10 03:00:35'),(38,6,8080,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:00:35'),(39,6,6379,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:00:35'),(43,6,8080,NULL,NULL,NULL,NULL,36,'skywalking-ui','2023-03-10 03:35:35'),(44,6,11800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),(44,6,12800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),(45,6,9200,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),(45,6,9300,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35');
/*!40000 ALTER TABLE `ch_pod_group_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_pod_ingress`
--

DROP TABLE IF EXISTS `ch_pod_ingress`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_pod_ingress` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_pod_ingress`
--

LOCK TABLES `ch_pod_ingress` WRITE;
/*!40000 ALTER TABLE `ch_pod_ingress` DISABLE KEYS */;
INSERT INTO `ch_pod_ingress` VALUES (1,'deepflow-ingress','2023-03-10 02:05:37'),(2,'sw-ingress','2023-03-10 03:36:35');
/*!40000 ALTER TABLE `ch_pod_ingress` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_pod_node`
--

DROP TABLE IF EXISTS `ch_pod_node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_pod_node` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_pod_node`
--

LOCK TABLES `ch_pod_node` WRITE;
/*!40000 ALTER TABLE `ch_pod_node` DISABLE KEYS */;
INSERT INTO `ch_pod_node` VALUES (1,'cest-2',NULL,'2022-12-07 02:15:53'),(2,'k8sm1',NULL,'2022-12-07 02:15:53'),(3,'cest-3',NULL,'2023-03-10 01:48:38');
/*!40000 ALTER TABLE `ch_pod_node` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_pod_node_port`
--

DROP TABLE IF EXISTS `ch_pod_node_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_pod_node_port` (
  `id` int NOT NULL,
  `protocol` int NOT NULL,
  `port` int NOT NULL,
  `port_lb_id` int DEFAULT NULL,
  `port_lb_name` varchar(256) DEFAULT NULL,
  `port_lb_listener_id` int DEFAULT NULL,
  `port_lb_listener_name` varchar(256) DEFAULT NULL,
  `port_pod_service_id` int DEFAULT NULL,
  `port_pod_service_name` varchar(256) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`,`protocol`,`port`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_pod_node_port`
--

LOCK TABLES `ch_pod_node_port` WRITE;
/*!40000 ALTER TABLE `ch_pod_node_port` DISABLE KEYS */;
INSERT INTO `ch_pod_node_port` VALUES (1,6,80,NULL,NULL,NULL,NULL,20,'guanwang','2023-03-10 01:49:36'),(1,6,3000,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 01:49:36'),(1,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:22:28'),(1,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:22:28'),(1,6,4443,NULL,NULL,NULL,NULL,17,'metrics-server','2023-03-10 01:49:36'),(1,6,8080,NULL,NULL,NULL,NULL,29,'foo-svc','2023-03-10 03:00:35'),(1,6,8123,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:35'),(1,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:01:34'),(1,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:22:28'),(1,6,9000,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:36'),(1,6,9009,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:36'),(1,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:36'),(1,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:35'),(1,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(1,6,30130,NULL,NULL,NULL,NULL,13,'deepflow-mysql','2023-03-10 01:49:36'),(1,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(1,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(1,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(1,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(1,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(1,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 01:49:36'),(1,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 01:49:36'),(2,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:16:28'),(2,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:28'),(2,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:28'),(2,6,8080,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:00:35'),(2,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:01:34'),(2,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:28'),(2,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:36'),(2,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:16:28'),(2,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:35'),(2,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(2,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(2,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(2,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(2,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(2,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(2,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 01:49:36'),(2,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 01:49:36'),(2,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:16:28'),(3,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:36'),(3,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:35'),(3,6,6379,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:00:35'),(3,6,8002,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 01:49:36'),(3,6,8003,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 01:49:35'),(3,6,8004,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 01:49:36'),(3,6,8080,NULL,NULL,NULL,NULL,36,'skywalking-ui','2023-03-10 03:35:35'),(3,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:01:34'),(3,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:36'),(3,6,9100,NULL,NULL,NULL,NULL,22,'openebs-ndm-cluster-exporter-service','2023-03-10 01:49:35'),(3,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:36'),(3,6,9200,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),(3,6,9300,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),(3,6,11800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),(3,6,12800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),(3,6,20033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,20035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,20135,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,20416,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:35'),(3,6,20417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,20418,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 01:49:36'),(3,6,30033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,30035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,30417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,30946,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,31015,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,31965,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,32254,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:36'),(3,6,32373,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 01:49:36'),(3,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 01:49:36');
/*!40000 ALTER TABLE `ch_pod_node_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_pod_ns`
--

DROP TABLE IF EXISTS `ch_pod_ns`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_pod_ns` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_pod_ns`
--

LOCK TABLES `ch_pod_ns` WRITE;
/*!40000 ALTER TABLE `ch_pod_ns` DISABLE KEYS */;
INSERT INTO `ch_pod_ns` VALUES (1,'deepflow',NULL,'2022-12-07 02:15:53'),(2,'openebs (deleted)',NULL,'2023-03-10 01:48:38'),(3,'kube-system',NULL,'2022-12-07 02:15:53'),(4,'newrelic',NULL,'2022-12-07 02:15:53'),(5,'kube-flannel',NULL,'2022-12-07 02:15:53'),(6,'kube-public',NULL,'2022-12-07 02:15:53'),(7,'kube-node-lease',NULL,'2022-12-07 02:15:53'),(8,'default',NULL,'2022-12-07 02:15:53'),(9,'open-telemetry',NULL,'2022-12-07 02:16:28'),(10,'openebs',NULL,'2023-03-10 01:48:38'),(11,'yunbao',NULL,'2023-03-10 01:48:38'),(12,'guanwang',NULL,'2023-03-10 01:48:38'),(13,'consul',NULL,'2023-03-10 01:48:38'),(14,'ingress-nginx',NULL,'2023-03-10 01:48:38'),(15,'deepflow-ebpf-spring-demo',NULL,'2023-03-10 02:59:35'),(16,'sw',NULL,'2023-03-10 03:07:35');
/*!40000 ALTER TABLE `ch_pod_ns` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_pod_port`
--

DROP TABLE IF EXISTS `ch_pod_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_pod_port` (
  `id` int NOT NULL,
  `protocol` int NOT NULL,
  `port` int NOT NULL,
  `port_lb_id` int DEFAULT NULL,
  `port_lb_name` varchar(256) DEFAULT NULL,
  `port_lb_listener_id` int DEFAULT NULL,
  `port_lb_listener_name` varchar(256) DEFAULT NULL,
  `port_pod_service_id` int DEFAULT NULL,
  `port_pod_service_name` varchar(256) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`,`protocol`,`port`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_pod_port`
--

LOCK TABLES `ch_pod_port` WRITE;
/*!40000 ALTER TABLE `ch_pod_port` DISABLE KEYS */;
INSERT INTO `ch_pod_port` VALUES (5,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:16:27'),(5,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:16:27'),(5,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:16:27'),(10,6,53,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:16:27'),(10,6,9153,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:16:27'),(10,17,53,NULL,NULL,NULL,NULL,5,'kube-dns','2022-12-07 02:16:27'),(21,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:27'),(21,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:27'),(21,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:16:27'),(22,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:22:28'),(22,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:22:28'),(22,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2022-12-07 02:22:28'),(24,6,8123,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:35'),(24,6,9000,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:35'),(24,6,9009,NULL,NULL,NULL,NULL,21,'deepflow-clickhouse-headless','2023-03-10 01:49:35'),(25,6,3000,NULL,NULL,NULL,NULL,18,'deepflow-grafana','2023-03-10 01:49:35'),(27,6,9100,NULL,NULL,NULL,NULL,22,'openebs-ndm-cluster-exporter-service','2023-03-10 01:49:35'),(29,6,8003,NULL,NULL,NULL,NULL,19,'yunbao-manager-backed-service','2023-03-10 01:49:35'),(31,6,4317,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:35'),(31,6,4318,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:35'),(31,6,8888,NULL,NULL,NULL,NULL,11,'otel-agent','2023-03-10 01:49:35'),(32,6,20418,NULL,NULL,NULL,NULL,25,'deepflow-app','2023-03-10 01:49:35'),(34,6,30130,NULL,NULL,NULL,NULL,13,'deepflow-mysql','2023-03-10 01:49:35'),(35,6,8004,NULL,NULL,NULL,NULL,24,'yunbao-mobile-backed-service','2023-03-10 01:49:35'),(36,6,8002,NULL,NULL,NULL,NULL,12,'yunbao-server-backed-service','2023-03-10 01:49:35'),(37,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 01:49:35'),(39,6,4443,NULL,NULL,NULL,NULL,17,'metrics-server','2023-03-10 01:49:35'),(41,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:35'),(43,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:35'),(44,6,9101,NULL,NULL,NULL,NULL,23,'openebs-ndm-node-exporter-service','2023-03-10 01:49:35'),(46,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 01:49:35'),(47,6,38086,NULL,NULL,NULL,NULL,15,'deepflow-agent','2023-03-10 01:49:35'),(49,6,20033,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:35'),(49,6,20035,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:35'),(49,6,20135,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:35'),(49,6,20416,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:35'),(49,6,20417,NULL,NULL,NULL,NULL,14,'deepflow-server','2023-03-10 01:49:35'),(53,6,80,NULL,NULL,NULL,NULL,20,'guanwang','2023-03-10 01:49:35'),(54,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:01:34'),(55,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:01:34'),(56,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:01:34'),(57,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:15:34'),(58,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:15:34'),(59,6,8443,NULL,NULL,NULL,NULL,26,'ingress-nginx-controller-admission','2023-03-10 02:15:34'),(61,6,8080,NULL,NULL,NULL,NULL,29,'foo-svc','2023-03-10 03:00:35'),(62,6,8080,NULL,NULL,NULL,NULL,27,'bar-svc','2023-03-10 03:00:35'),(63,6,8080,NULL,NULL,NULL,NULL,30,'loo-svc','2023-03-10 03:00:35'),(64,6,6379,NULL,NULL,NULL,NULL,28,'redis-master','2023-03-10 03:00:35'),(71,6,9200,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),(71,6,9300,NULL,NULL,NULL,NULL,35,'elasticsearch-master-headless','2023-03-10 03:35:35'),(72,6,8080,NULL,NULL,NULL,NULL,36,'skywalking-ui','2023-03-10 03:35:35'),(73,6,11800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35'),(73,6,12800,NULL,NULL,NULL,NULL,34,'skywalking-oap','2023-03-10 03:35:35');
/*!40000 ALTER TABLE `ch_pod_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_region`
--

DROP TABLE IF EXISTS `ch_region`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_region` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_region`
--

LOCK TABLES `ch_region` WRITE;
/*!40000 ALTER TABLE `ch_region` DISABLE KEYS */;
INSERT INTO `ch_region` VALUES (1,'系统默认',NULL,'2022-12-07 02:15:27');
/*!40000 ALTER TABLE `ch_region` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_server_port`
--

DROP TABLE IF EXISTS `ch_server_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_server_port` (
  `server_port` int NOT NULL,
  `server_port_name` varchar(256) DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`server_port`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_server_port`
--

LOCK TABLES `ch_server_port` WRITE;
/*!40000 ALTER TABLE `ch_server_port` DISABLE KEYS */;
/*!40000 ALTER TABLE `ch_server_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_string_enum`
--

DROP TABLE IF EXISTS `ch_string_enum`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_string_enum` (
  `tag_name` varchar(256) NOT NULL,
  `value` varchar(256) NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`tag_name`,`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_string_enum`
--

LOCK TABLES `ch_string_enum` WRITE;
/*!40000 ALTER TABLE `ch_string_enum` DISABLE KEYS */;
INSERT INTO `ch_string_enum` VALUES ('event_type','add-ip','Add IP','2022-12-07 10:15:29'),('event_type','create','Creation','2022-12-07 10:15:29'),('event_type','delete','Deletion','2022-12-07 10:15:29'),('event_type','migrate','Migration','2022-12-07 10:15:29'),('event_type','recreate','Recreation','2022-12-07 10:15:29'),('event_type','remove-ip','Del IP','2022-12-07 10:15:29'),('event_type','update-state','State Change','2022-12-07 10:15:29'),('tap_side','app','Application','2022-12-07 10:15:29'),('tap_side','c','Client NIC','2022-12-07 10:15:29'),('tap_side','c-app','Client Application','2022-12-07 10:15:29'),('tap_side','c-gw','Client-side Gateway','2022-12-07 10:15:29'),('tap_side','c-gw-hv','Client-side Gateway Hypervisor','2022-12-07 10:15:29'),('tap_side','c-hv','Client VM Hypervisor','2022-12-07 10:15:29'),('tap_side','c-nd','Client K8s Node','2022-12-07 10:15:29'),('tap_side','c-p','Client Process','2022-12-07 10:15:29'),('tap_side','local','Local NIC','2022-12-07 10:15:29'),('tap_side','rest','Other NIC','2022-12-07 10:15:29'),('tap_side','s','Server NIC','2022-12-07 10:15:29'),('tap_side','s-app','Server Application','2022-12-07 10:15:29'),('tap_side','s-gw','Server-side Gateway','2022-12-07 10:15:29'),('tap_side','s-gw-hv','Server-side Gateway Hypervisor','2022-12-07 10:15:29'),('tap_side','s-hv','Server VM Hypervisor','2022-12-07 10:15:29'),('tap_side','s-nd','Server K8s Node','2022-12-07 10:15:29'),('tap_side','s-p','Server Process','2022-12-07 10:15:29');
/*!40000 ALTER TABLE `ch_string_enum` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_subnet`
--

DROP TABLE IF EXISTS `ch_subnet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_subnet` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_subnet`
--

LOCK TABLES `ch_subnet` WRITE;
/*!40000 ALTER TABLE `ch_subnet` DISABLE KEYS */;
INSERT INTO `ch_subnet` VALUES (4096,'PublicNetwork',NULL,'2022-12-07 02:15:53'),(4097,'k8s-d-riaItWzFKw_POD_NET',NULL,'2022-12-07 02:15:53'),(4098,'k8s-d-riaItWzFKw_NODE_NET',NULL,'2022-12-07 02:15:53'),(4099,'k8s-d-riaItWzFKw_SVC_NET',NULL,'2022-12-07 02:15:53');
/*!40000 ALTER TABLE `ch_subnet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_tap_type`
--

DROP TABLE IF EXISTS `ch_tap_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_tap_type` (
  `value` int NOT NULL,
  `name` varchar(256) NOT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`value`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_tap_type`
--

LOCK TABLES `ch_tap_type` WRITE;
/*!40000 ALTER TABLE `ch_tap_type` DISABLE KEYS */;
INSERT INTO `ch_tap_type` VALUES (3,'虚拟网络','2022-12-07 02:15:53');
/*!40000 ALTER TABLE `ch_tap_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_vtap`
--

DROP TABLE IF EXISTS `ch_vtap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_vtap` (
  `id` int NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `type` int DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_vtap`
--

LOCK TABLES `ch_vtap` WRITE;
/*!40000 ALTER TABLE `ch_vtap` DISABLE KEYS */;
INSERT INTO `ch_vtap` VALUES (1,'k8sm1-V2',8,NULL,'2022-12-07 02:16:28'),(2,'cest-2-V1',8,NULL,'2022-12-07 02:16:28'),(3,'cest-3-V3',8,NULL,'2023-03-10 01:49:44');
/*!40000 ALTER TABLE `ch_vtap` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ch_vtap_port`
--

DROP TABLE IF EXISTS `ch_vtap_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ch_vtap_port` (
  `vtap_id` int NOT NULL,
  `tap_port` bigint NOT NULL,
  `name` varchar(256) DEFAULT NULL,
  `mac_type` int DEFAULT '1' COMMENT '1:tap_mac,2:mac',
  `host_id` int DEFAULT NULL,
  `host_name` varchar(256) DEFAULT NULL,
  `device_type` int DEFAULT NULL,
  `device_id` int DEFAULT NULL,
  `device_name` varchar(256) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`vtap_id`,`tap_port`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ch_vtap_port`
--

LOCK TABLES `ch_vtap_port` WRITE;
/*!40000 ALTER TABLE `ch_vtap_port` DISABLE KEYS */;
INSERT INTO `ch_vtap_port` VALUES (1,0,'lo',0,NULL,NULL,14,2,'k8sm1',NULL,'2022-12-07 02:17:27'),(1,94472738,'kube-ipvs0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,175114030,'vethcd180e9a',1,NULL,NULL,10,21,'otel-agent-sgfjj',NULL,'2023-03-10 03:36:35'),(1,384764392,'eth0',1,NULL,NULL,10,59,'ingress-nginx-controller-v87l5',NULL,'2023-03-10 03:36:35'),(1,900868177,'veth763d54c',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,969395329,'eth0',1,NULL,NULL,10,62,'bar-svc-86bf4c4749-dgqkj',NULL,'2023-03-10 03:36:35'),(1,1011428963,'veth413accf2',1,NULL,NULL,10,51,'juicefs-csi-node-fqdl8',NULL,'2023-03-10 03:36:35'),(1,1043076354,'eth0',1,NULL,NULL,14,2,'k8sm1',NULL,'2023-03-10 03:36:35'),(1,1118495558,'docker0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,1215509303,'eth0',1,NULL,NULL,10,10,'coredns-6d4b75cb6d-s8b5c',NULL,'2023-03-10 03:36:35'),(1,1234157171,'br-a72718dcb4c5',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,1347674706,'veth6734296',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,1558815565,'cni0',1,NULL,NULL,14,2,'k8sm1',NULL,'2023-03-10 03:36:35'),(1,1587399705,'eth0',1,NULL,NULL,10,21,'otel-agent-sgfjj',NULL,'2023-03-10 03:36:35'),(1,1681044608,'eth0',1,NULL,NULL,10,41,'openebs-ndm-node-exporter-97lhz',NULL,'2023-03-10 03:36:35'),(1,2184321167,'eth0',1,NULL,NULL,10,5,'coredns-6d4b75cb6d-z6j9z',NULL,'2023-03-10 03:36:35'),(1,2375583220,'flannel.1',1,NULL,NULL,14,2,'k8sm1',NULL,'2023-03-10 03:36:35'),(1,2390953227,'br-7900cdeb7f4b',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,2508037549,'veth1a041616',1,NULL,NULL,10,59,'ingress-nginx-controller-v87l5',NULL,'2023-03-10 03:36:35'),(1,2686364155,'veth9ef44d33',1,NULL,NULL,10,62,'bar-svc-86bf4c4749-dgqkj',NULL,'2023-03-10 03:36:35'),(1,2886860802,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,3066293192,'veth8f67d883',1,NULL,NULL,10,41,'openebs-ndm-node-exporter-97lhz',NULL,'2023-03-10 03:36:35'),(1,3085730640,'vethfb2017f',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,3232251906,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,3232256002,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,3232256003,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(1,3656024587,'eth0',1,NULL,NULL,10,51,'juicefs-csi-node-fqdl8',NULL,'2023-03-10 03:36:35'),(1,3931976348,'veth9bdb95ad',1,NULL,NULL,10,10,'coredns-6d4b75cb6d-s8b5c',NULL,'2023-03-10 03:36:35'),(1,4081186396,'veth3c46e1a6',1,NULL,NULL,10,5,'coredns-6d4b75cb6d-z6j9z',NULL,'2023-03-10 03:36:35'),(1,4294333597,'veth410b711',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,0,'lo',0,NULL,NULL,14,1,'cest-2',NULL,'2022-12-07 02:17:27'),(2,95609101,'veth20a37e61',1,NULL,NULL,10,39,'metrics-server-79757969d9-wpwlf',NULL,'2023-03-10 03:36:35'),(2,104402948,'veth88af8737',1,NULL,NULL,10,24,'deepflow-clickhouse-0',NULL,'2023-03-10 03:36:35'),(2,144282554,'br-d3d59a9a06ac',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,149966164,'eth0',1,NULL,NULL,10,39,'metrics-server-79757969d9-wpwlf',NULL,'2023-03-10 03:36:35'),(2,186555284,'veth18a11be',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,361590881,'veth88b58da',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,399801296,'br-2ec27ba95b8a',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,404128218,'veth8d79f09',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,472429597,'veth0bc3010',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,488781329,'br-9b74ddd3bbc6',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,525104382,'veth531ada9',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,557679029,'br-23462534c527',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,594208544,'veth8b14b295',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,704084428,'br-9647824c690d',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,714719694,'br-07da3f5a80a2',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,757653690,'vethff7e5b0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,762952465,'eth0',1,NULL,NULL,10,25,'deepflow-grafana-7b5757d5f4-fjz6d',NULL,'2023-03-10 03:36:35'),(2,774485693,'eth0',1,NULL,NULL,10,22,'otel-agent-6jsl9',NULL,'2023-03-10 03:36:35'),(2,786019989,'ethwe0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,884736311,'br-aaeeee560ca1',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,892848292,'veth6a274cef',1,NULL,NULL,10,61,'foo-svc-598cb89b64-74v9v',NULL,'2023-03-10 03:36:35'),(2,899972990,'br-e907127c7c59',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,921687511,'eth0',1,NULL,NULL,10,60,'loadgenerator-6cd47794fc-tlksp',NULL,'2023-03-10 03:36:35'),(2,922204010,'eth0',1,NULL,NULL,10,42,'juicefs-csi-node-npk94',NULL,'2023-03-10 03:36:35'),(2,998175753,'br-30f9211b0585',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1019355279,'veth96475c3',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1040445161,'eth0',1,NULL,NULL,14,1,'cest-2',NULL,'2023-03-10 03:36:35'),(2,1070828534,'br-844d74854977',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1099434058,'veth0c7a0770',1,NULL,NULL,10,43,'openebs-ndm-node-exporter-2sxd5',NULL,'2023-03-10 03:36:35'),(2,1119497035,'veth3d849d9',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1173884506,'vethf8c0e37',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1213516872,'br-c1c5d3ff419d',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1228699006,'docker_gwbridge',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1351211238,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1390964193,'vethbbaa655',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1473846194,'br-0f3b31550132',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1546714155,'br-511bdd69df76',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1558757534,'veth78c55a1',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1686719427,'veth65118bec',1,NULL,NULL,10,42,'juicefs-csi-node-npk94',NULL,'2023-03-10 03:36:35'),(2,1812823958,'eth0',1,NULL,NULL,10,53,'guanwang-5f75545465-7mqs6',NULL,'2023-03-10 03:36:35'),(2,1870751076,'veth6d18a53',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,1980908792,'veth2f34e5d',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2060712043,'veth5ee539e7',1,NULL,NULL,10,22,'otel-agent-6jsl9',NULL,'2023-03-10 03:36:35'),(2,2066161979,'vethdc7bb57',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:34'),(2,2071983036,'br-15660bd72b52',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2099249456,'br-bf3bcce0e346',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2191810300,'vethed2d14a',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2251406390,'docker0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2257045642,'vethab73ede',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2270575636,'flannel.1',1,NULL,NULL,14,1,'cest-2',NULL,'2023-03-10 03:36:35'),(2,2312841575,'vethbbafc15',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2329312815,'br-87a943a81db7',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2396106811,'vethef7c9a6c',1,NULL,NULL,10,57,'ingress-nginx-controller-tb68d',NULL,'2023-03-10 03:36:35'),(2,2410633742,'veth06b3eeb2',1,NULL,NULL,10,53,'guanwang-5f75545465-7mqs6',NULL,'2023-03-10 03:36:35'),(2,2454803071,'vethd08b7d6',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2542581754,'vetha3463a0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2553334467,'vethc657d5b',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2563450732,'vethf8f4774',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2803042830,'eth0',1,NULL,NULL,10,34,'deepflow-mysql-8bc7c7777-mkhcj',NULL,'2023-03-10 03:36:35'),(2,2886860802,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2886860803,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2886860804,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2886860805,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2886926338,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887188482,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887188483,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887188484,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887188485,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887319554,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887319555,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887319556,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887319557,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887319558,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887712770,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887712771,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887712772,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2887712773,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:34'),(2,2887712774,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,2922598731,'vethcf25539e',1,NULL,NULL,10,25,'deepflow-grafana-7b5757d5f4-fjz6d',NULL,'2023-03-10 03:36:35'),(2,2929497813,'br-25f9226710e9',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3055635735,'veth0f3f326',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3102786294,'eth0',1,NULL,NULL,10,57,'ingress-nginx-controller-tb68d',NULL,'2023-03-10 03:36:35'),(2,3232243714,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232247810,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232260098,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232260099,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232268290,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232272386,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232284674,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232284675,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232284676,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232284677,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232284678,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232284679,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232288770,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3232292866,'eth0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3275362066,'veth10b0194d',1,NULL,NULL,10,60,'loadgenerator-6cd47794fc-tlksp',NULL,'2023-03-10 03:36:35'),(2,3285720591,'veth37d1e2d',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3394677601,'veth0908092',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3417394491,'eth0',1,NULL,NULL,10,61,'foo-svc-598cb89b64-74v9v',NULL,'2023-03-10 03:36:35'),(2,3435998649,'vethwl8c4a88aa9',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3486907648,'br-05ecaef781d0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3563470366,'vethe70d096',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3578077055,'vethc2ad237',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3615850319,'br-7ba665b3e9cb',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3627277664,'br-998e7a0ec3ff',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3687277319,'br-a3cb13184d23',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3788983548,'kube-ipvs0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3802263208,'eth0',1,NULL,NULL,10,43,'openebs-ndm-node-exporter-2sxd5',NULL,'2023-03-10 03:36:35'),(2,3895591043,'vethe1d8e73',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3917005860,'veth713c2d5',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,3949283505,'br-6fe33026cadf',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,4010649358,'vethf20daca',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,4031869493,'eth0',1,NULL,NULL,10,24,'deepflow-clickhouse-0',NULL,'2023-03-10 03:36:35'),(2,4077233345,'cni0',1,NULL,NULL,14,1,'cest-2',NULL,'2023-03-10 03:36:35'),(2,4096800417,'veth4849218',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,4105150097,'veth2bcb61f',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,4166405474,'br-eb31e43a67f3',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,4204619188,'vethc3a466b',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,4254744925,'veth74e34c48',1,NULL,NULL,10,34,'deepflow-mysql-8bc7c7777-mkhcj',NULL,'2023-03-10 03:36:35'),(2,4263969975,'veth924002c',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(2,4279918437,'br-99d1bb08de10',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(3,0,'lo',0,NULL,NULL,14,3,'cest-3',NULL,'2023-03-10 01:50:38'),(3,52988847,'eth0',1,NULL,NULL,10,36,'yunbao-server-backed-7cdd9b6d8d-zw2s5',NULL,'2023-03-10 03:36:35'),(3,443664064,'eth0',1,NULL,NULL,10,35,'yunbao-mobile-backed-84c6b96df7-7bt6s',NULL,'2023-03-10 03:36:35'),(3,520352888,'veth539c1bd7',1,NULL,NULL,10,35,'yunbao-mobile-backed-84c6b96df7-7bt6s',NULL,'2023-03-10 03:36:35'),(3,634815353,'veth65b61aa3',1,NULL,NULL,10,49,'deepflow-server-5d75595844-p2zbl',NULL,'2023-03-10 03:36:35'),(3,657667720,'veth73811ff1',1,NULL,NULL,10,73,'skywalking-oap-7d4cdbdd95-62hvq',NULL,'2023-03-10 03:36:35'),(3,679398596,'eth0',1,NULL,NULL,10,44,'openebs-ndm-node-exporter-slhmc',NULL,'2023-03-10 03:36:35'),(3,755089506,'veth48095dd6',1,NULL,NULL,10,27,'openebs-ndm-cluster-exporter-866c974856-gw6wv',NULL,'2023-03-10 03:36:35'),(3,837066034,'veth75a2b8bf',1,NULL,NULL,10,44,'openebs-ndm-node-exporter-slhmc',NULL,'2023-03-10 03:36:35'),(3,837448839,'eth0',1,NULL,NULL,10,48,'juicefs-csi-controller-0',NULL,'2023-03-10 03:36:34'),(3,953918324,'veth841cd897',1,NULL,NULL,10,36,'yunbao-server-backed-7cdd9b6d8d-zw2s5',NULL,'2023-03-10 03:36:35'),(3,1043117579,'eth0',1,NULL,NULL,14,3,'cest-3',NULL,'2023-03-10 03:36:35'),(3,1426918102,'veth3e3d92c7',1,NULL,NULL,10,29,'yunbao-manager-backed-85bbff9975-r9bk5',NULL,'2023-03-10 03:36:35'),(3,1554907726,'eth0',1,NULL,NULL,10,58,'ingress-nginx-controller-tx7gf',NULL,'2023-03-10 03:36:35'),(3,1571895143,'flannel.1',1,NULL,NULL,14,3,'cest-3',NULL,'2023-03-10 03:36:34'),(3,1732901452,'eth0',1,NULL,NULL,10,63,'loo-svc-59b4fc5b86-8hx6r',NULL,'2023-03-10 03:36:35'),(3,1948937445,'eth0',1,NULL,NULL,10,27,'openebs-ndm-cluster-exporter-866c974856-gw6wv',NULL,'2023-03-10 03:36:35'),(3,2169405626,'veth779a1720',1,NULL,NULL,10,30,'juicefs-csi-node-qg4fj',NULL,'2023-03-10 03:36:35'),(3,2204333380,'eth0',1,NULL,NULL,10,71,'elasticsearch-master-0',NULL,'2023-03-10 03:36:35'),(3,2506123832,'docker0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(3,2604516083,'eth0',1,NULL,NULL,10,73,'skywalking-oap-7d4cdbdd95-62hvq',NULL,'2023-03-10 03:36:35'),(3,2623695497,'veth760cdf72',1,NULL,NULL,10,63,'loo-svc-59b4fc5b86-8hx6r',NULL,'2023-03-10 03:36:35'),(3,2805995938,'eth0',1,NULL,NULL,10,49,'deepflow-server-5d75595844-p2zbl',NULL,'2023-03-10 03:36:35'),(3,2844294733,'veth5f6ae6bb',1,NULL,NULL,10,48,'juicefs-csi-controller-0',NULL,'2023-03-10 03:36:35'),(3,2845225807,'veth65af5d10',1,NULL,NULL,10,72,'skywalking-ui-67bcf65678-cc5l8',NULL,'2023-03-10 03:36:35'),(3,3126421348,'veth0a30efc4',1,NULL,NULL,10,64,'redis-master-0',NULL,'2023-03-10 03:36:35'),(3,3153151415,'cni0',1,NULL,NULL,14,3,'cest-3',NULL,'2023-03-10 03:36:35'),(3,3159565211,'eth0',1,NULL,NULL,10,50,'openebs-localpv-provisioner-dd977fdd5-tlshf',NULL,'2023-03-10 03:36:35'),(3,3452853769,'vethf3fa6f6a',1,NULL,NULL,10,58,'ingress-nginx-controller-tx7gf',NULL,'2023-03-10 03:36:35'),(3,3494016440,'veth34c98abd',1,NULL,NULL,10,32,'deepflow-app-54886cd964-lkl9h',NULL,'2023-03-10 03:36:35'),(3,3529786780,'eth0',1,NULL,NULL,10,64,'redis-master-0',NULL,'2023-03-10 03:36:35'),(3,3570729032,'eth0',1,NULL,NULL,10,31,'otel-agent-qwbtz',NULL,'2023-03-10 03:36:35'),(3,3581552639,'kube-ipvs0',1,NULL,NULL,0,0,'',NULL,'2023-03-10 03:36:35'),(3,3665371277,'eth0',1,NULL,NULL,10,33,'openebs-ndm-operator-85886744bb-5xbmf',NULL,'2023-03-10 03:36:35'),(3,3956771365,'veth5c528080',1,NULL,NULL,10,33,'openebs-ndm-operator-85886744bb-5xbmf',NULL,'2023-03-10 03:36:35'),(3,4007802211,'vethe1d03df8',1,NULL,NULL,10,71,'elasticsearch-master-0',NULL,'2023-03-10 03:36:35'),(3,4029471595,'eth0',1,NULL,NULL,10,29,'yunbao-manager-backed-85bbff9975-r9bk5',NULL,'2023-03-10 03:36:35'),(3,4037222437,'vethaedcc4fa',1,NULL,NULL,10,31,'otel-agent-qwbtz',NULL,'2023-03-10 03:36:35'),(3,4040702055,'eth0',1,NULL,NULL,10,32,'deepflow-app-54886cd964-lkl9h',NULL,'2023-03-10 03:36:35'),(3,4080497591,'veth64987213',1,NULL,NULL,10,50,'openebs-localpv-provisioner-dd977fdd5-tlshf',NULL,'2023-03-10 03:36:35'),(3,4099557069,'eth0',1,NULL,NULL,10,30,'juicefs-csi-node-qg4fj',NULL,'2023-03-10 03:36:35'),(3,4258475225,'eth0',1,NULL,NULL,10,72,'skywalking-ui-67bcf65678-cc5l8',NULL,'2023-03-10 03:36:35');
/*!40000 ALTER TABLE `ch_vtap_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `consumer_bill`
--

DROP TABLE IF EXISTS `consumer_bill`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `consumer_bill` (
  `id` int NOT NULL AUTO_INCREMENT,
  `vtap_name` varchar(256) DEFAULT NULL,
  `vtap_ctrl_ip` char(64) DEFAULT NULL,
  `vtap_ctrl_mac` char(64) DEFAULT NULL,
  `monitor_type` int DEFAULT NULL,
  `transaction_time` datetime(6) DEFAULT NULL,
  `consumption_price` float(5,2) DEFAULT NULL,
  `consumption_service` int DEFAULT NULL,
  `consumption_period` varchar(256) DEFAULT NULL,
  `remaining_sum` double(10,2) DEFAULT NULL,
  `voucher_lcuuid` char(64) DEFAULT NULL,
  `voucher_name` char(64) DEFAULT NULL,
  `billing_mode` int DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `consumer_bill`
--

LOCK TABLES `consumer_bill` WRITE;
/*!40000 ALTER TABLE `consumer_bill` DISABLE KEYS */;
/*!40000 ALTER TABLE `consumer_bill` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `contact`
--

DROP TABLE IF EXISTS `contact`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `contact` (
  `id` int unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(256) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL DEFAULT '',
  `mobile` varchar(13) NOT NULL DEFAULT '',
  `email` varchar(128) NOT NULL DEFAULT '',
  `company` varchar(128) NOT NULL DEFAULT '',
  `push_email` text COMMENT 'custom emails, separated by ;',
  `lcuuid` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `deleted` tinyint(1) DEFAULT '0',
  `create_method` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '0.created by UI 1.learning',
  `alarm_push` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '0.disabled 1.enabled',
  `report_push` tinyint unsigned NOT NULL DEFAULT '0' COMMENT '0.disabled 1.enabled',
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `contact`
--

LOCK TABLES `contact` WRITE;
/*!40000 ALTER TABLE `contact` DISABLE KEYS */;
/*!40000 ALTER TABLE `contact` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `controller`
--

DROP TABLE IF EXISTS `controller`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `controller` (
  `id` int NOT NULL AUTO_INCREMENT,
  `state` int DEFAULT NULL COMMENT '0.Temp 1.Creating 2.Complete 3.Modifying 4.Exception',
  `name` char(64) DEFAULT NULL,
  `description` varchar(256) DEFAULT NULL,
  `ip` char(64) DEFAULT NULL,
  `nat_ip` char(64) DEFAULT NULL,
  `cpu_num` int DEFAULT '0' COMMENT 'logical number of cpu',
  `memory_size` bigint DEFAULT '0',
  `arch` varchar(256) DEFAULT NULL,
  `os` varchar(256) DEFAULT NULL,
  `kernel_version` varchar(256) DEFAULT NULL,
  `vtap_max` int DEFAULT '2000',
  `synced_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `nat_ip_enabled` tinyint(1) DEFAULT '0' COMMENT '0: disabled 1:enabled',
  `node_type` int DEFAULT '2' COMMENT 'region node type 1.master 2.slave',
  `region_domain_prefix` varchar(256) DEFAULT '',
  `node_name` char(64) DEFAULT NULL,
  `pod_ip` char(64) DEFAULT NULL,
  `pod_name` char(64) DEFAULT NULL,
  `ca_md5` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `controller`
--

LOCK TABLES `controller` WRITE;
/*!40000 ALTER TABLE `controller` DISABLE KEYS */;
INSERT INTO `controller` VALUES (2,2,'cest-3',NULL,'172.17.172.136',NULL,4,16109850624,'x86_64','alpine 3.17.0','3.10.0',2000,'2023-03-10 09:40:34',0,1,'','cest-3','10.244.3.42','deepflow-server-5d75595844-p2zbl','a9c6b6613fe95a2a49e115ab017c3e88','c7031090-3f11-41fa-a711-9f3b25738c58');
/*!40000 ALTER TABLE `controller` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `data_source`
--

DROP TABLE IF EXISTS `data_source`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `data_source` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) DEFAULT NULL,
  `tsdb_type` char(64) DEFAULT NULL,
  `state` int DEFAULT '1' COMMENT '0: Exception 1: Normal',
  `base_data_source_id` int DEFAULT NULL,
  `interval` int NOT NULL COMMENT 'uint: s',
  `retention_time` int NOT NULL COMMENT 'uint: day',
  `summable_metrics_operator` char(64) DEFAULT NULL,
  `unsummable_metrics_operator` char(64) DEFAULT NULL,
  `updated_at` datetime DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `data_source`
--

LOCK TABLES `data_source` WRITE;
/*!40000 ALTER TABLE `data_source` DISABLE KEYS */;
INSERT INTO `data_source` VALUES (1,'1s','flow',1,NULL,1,1,NULL,NULL,'2022-12-07 10:13:23','ba44927c-75d4-11ed-8db0-16a066930ee7'),(3,'1m','flow',1,1,60,7,'Sum','Avg','2022-12-07 10:13:23','ba4525bc-75d4-11ed-8db0-16a066930ee7'),(6,'flow_log.l4','flow_log.l4',1,NULL,0,3,NULL,NULL,'2022-12-07 10:13:23','ba45ce48-75d4-11ed-8db0-16a066930ee7'),(7,'1s','app',1,NULL,1,1,NULL,NULL,'2022-12-07 10:13:23','ba4659e6-75d4-11ed-8db0-16a066930ee7'),(8,'1m','app',1,7,60,7,'Sum','Avg','2022-12-07 10:13:23','ba46d1b1-75d4-11ed-8db0-16a066930ee7'),(9,'flow_log.l7','flow_log.l7',1,NULL,0,3,NULL,NULL,'2022-12-07 10:13:23','ba478bab-75d4-11ed-8db0-16a066930ee7');
/*!40000 ALTER TABLE `data_source` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `db_version`
--

DROP TABLE IF EXISTS `db_version`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `db_version` (
  `version` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `db_version`
--

LOCK TABLES `db_version` WRITE;
/*!40000 ALTER TABLE `db_version` DISABLE KEYS */;
INSERT INTO `db_version` VALUES ('6.1.7.2','2022-12-07 10:13:24','2022-12-07 10:13:24');
/*!40000 ALTER TABLE `db_version` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `dhcp_port`
--

DROP TABLE IF EXISTS `dhcp_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `dhcp_port` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT NULL,
  `domain` char(64) NOT NULL,
  `region` char(64) DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `userid` int DEFAULT '0',
  `epc_id` int DEFAULT '0',
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`,`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `dhcp_port`
--

LOCK TABLES `dhcp_port` WRITE;
/*!40000 ALTER TABLE `dhcp_port` DISABLE KEYS */;
/*!40000 ALTER TABLE `dhcp_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `domain`
--

DROP TABLE IF EXISTS `domain`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `domain` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL,
  `icon_id` int DEFAULT NULL,
  `display_name` varchar(64) DEFAULT '',
  `cluster_id` char(32) DEFAULT NULL,
  `ip` varchar(64) DEFAULT NULL,
  `role` int DEFAULT '0' COMMENT '1.BSS 2.OSS 3.OpenStack 4.VSphere',
  `type` int DEFAULT '0' COMMENT '1.openstack 2.vsphere 3.nsp 4.tencent 5.filereader 6.aws 7.pingan 8.zstack 9.aliyun 10.huawei prv 11.k8s 12.simulation 13.huawei 14.qingcloud 15.qingcloud_private 16.F5 17.CMB_CMDB 18.azure 19.apsara_stack 20.tencent_tce 21.qingcloud_k8s 22.kingsoft_private 23.genesis 24.microsoft_acs 25.baidu_bce',
  `public_ip` varchar(64) DEFAULT NULL,
  `config` text,
  `error_msg` text,
  `enabled` int NOT NULL DEFAULT '1' COMMENT '0.false 1.true',
  `state` int NOT NULL DEFAULT '1' COMMENT '1.normal 2.deleting 3.exception',
  `controller_ip` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `synced_at` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lcuuid_index` (`lcuuid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `domain`
--

LOCK TABLES `domain` WRITE;
/*!40000 ALTER TABLE `domain` DISABLE KEYS */;
INSERT INTO `domain` VALUES (1,'k8s-d-riaItWzFKw',0,'7283a6f1-880a-5cea-b396-42fef9a8f9d0','d-riaItWzFKw',NULL,0,11,NULL,'{\"controller_ip\":\"172.17.172.136\",\"pod_net_ipv4_cidr_max_mask\":16,\"pod_net_ipv6_cidr_max_mask\":64,\"port_name_regex\":\"(cni|flannel|vxlan.calico|tunl|en[ospx])\",\"region_uuid\":\"ffffffff-ffff-ffff-ffff-ffffffffffff\",\"vtap_id\":\"\"}','',1,1,'172.17.172.136','26b59715-7a6f-5fb6-89fd-d1749146aa29','2023-03-10 14:07:35','2022-12-07 10:13:43','2023-03-10 14:07:35');
/*!40000 ALTER TABLE `domain` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `epc`
--

DROP TABLE IF EXISTS `epc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `epc` (
  `id` int NOT NULL AUTO_INCREMENT,
  `userid` int DEFAULT '0',
  `name` varchar(256) DEFAULT '',
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `label` varchar(64) DEFAULT '',
  `alias` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT '',
  `region` char(64) DEFAULT '',
  `az` char(64) DEFAULT '',
  `order_id` int DEFAULT '0',
  `tunnel_id` int DEFAULT '0',
  `operationid` int DEFAULT '0',
  `mode` int DEFAULT '2' COMMENT ' 1:route, 2:transparent',
  `topped` int DEFAULT '0',
  `cidr` char(64) DEFAULT '',
  `uid` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `epc`
--

LOCK TABLES `epc` WRITE;
/*!40000 ALTER TABLE `epc` DISABLE KEYS */;
INSERT INTO `epc` VALUES (1,0,'k8s-d-riaItWzFKw',0,'','','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','',0,0,0,2,0,'','','28d3503f-c232-5fdc-a8b7-2eba7272cd2f','2022-12-07 10:13:43','2022-12-07 10:13:43',NULL);
/*!40000 ALTER TABLE `epc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `floatingip`
--

DROP TABLE IF EXISTS `floatingip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `floatingip` (
  `id` int NOT NULL AUTO_INCREMENT,
  `domain` char(64) NOT NULL,
  `region` char(64) DEFAULT NULL,
  `epc_id` int DEFAULT '0',
  `vl2_id` int DEFAULT NULL,
  `vm_id` int DEFAULT NULL,
  `ip` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`,`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `floatingip`
--

LOCK TABLES `floatingip` WRITE;
/*!40000 ALTER TABLE `floatingip` DISABLE KEYS */;
/*!40000 ALTER TABLE `floatingip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `genesis_host`
--

DROP TABLE IF EXISTS `genesis_host`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `genesis_host` (
  `id` int NOT NULL AUTO_INCREMENT,
  `hostname` varchar(256) DEFAULT NULL,
  `ip` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `genesis_host`
--

LOCK TABLES `genesis_host` WRITE;
/*!40000 ALTER TABLE `genesis_host` DISABLE KEYS */;
/*!40000 ALTER TABLE `genesis_host` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `genesis_ip`
--

DROP TABLE IF EXISTS `genesis_ip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `genesis_ip` (
  `id` int NOT NULL AUTO_INCREMENT,
  `uuid` char(64) DEFAULT NULL,
  `ip` char(64) DEFAULT NULL,
  `port_uuid` char(64) DEFAULT NULL,
  `last_seen` int DEFAULT NULL,
  `masklen` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `genesis_ip`
--

LOCK TABLES `genesis_ip` WRITE;
/*!40000 ALTER TABLE `genesis_ip` DISABLE KEYS */;
/*!40000 ALTER TABLE `genesis_ip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `genesis_lldp`
--

DROP TABLE IF EXISTS `genesis_lldp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `genesis_lldp` (
  `id` int NOT NULL AUTO_INCREMENT,
  `uuid` char(64) DEFAULT NULL,
  `host_ip` char(48) DEFAULT NULL,
  `host_interface` char(64) DEFAULT NULL,
  `system_name` varchar(512) DEFAULT NULL,
  `management_address` varchar(512) DEFAULT NULL,
  `port_id` varchar(512) DEFAULT NULL,
  `port_description` varchar(512) DEFAULT NULL,
  `last_seen` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `genesis_lldp`
--

LOCK TABLES `genesis_lldp` WRITE;
/*!40000 ALTER TABLE `genesis_lldp` DISABLE KEYS */;
/*!40000 ALTER TABLE `genesis_lldp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `genesis_network`
--

DROP TABLE IF EXISTS `genesis_network`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `genesis_network` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT NULL,
  `uuid` char(64) DEFAULT NULL,
  `segmentation_id` int DEFAULT NULL,
  `net_type` int DEFAULT NULL,
  `external` tinyint(1) DEFAULT NULL,
  `vpc_uuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `genesis_network`
--

LOCK TABLES `genesis_network` WRITE;
/*!40000 ALTER TABLE `genesis_network` DISABLE KEYS */;
/*!40000 ALTER TABLE `genesis_network` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `genesis_port`
--

DROP TABLE IF EXISTS `genesis_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `genesis_port` (
  `id` int NOT NULL AUTO_INCREMENT,
  `uuid` char(64) DEFAULT NULL,
  `type` int DEFAULT NULL,
  `mac_address` char(32) DEFAULT NULL,
  `device_uuid` char(64) DEFAULT NULL,
  `network_uuid` char(64) DEFAULT NULL,
  `vpc_uuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `genesis_port`
--

LOCK TABLES `genesis_port` WRITE;
/*!40000 ALTER TABLE `genesis_port` DISABLE KEYS */;
/*!40000 ALTER TABLE `genesis_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `genesis_vinterface`
--

DROP TABLE IF EXISTS `genesis_vinterface`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `genesis_vinterface` (
  `id` int NOT NULL AUTO_INCREMENT,
  `uuid` char(64) DEFAULT NULL,
  `name` char(64) DEFAULT NULL,
  `mac` char(32) DEFAULT NULL,
  `ips` text,
  `tap_name` char(64) DEFAULT NULL,
  `tap_mac` char(32) DEFAULT NULL,
  `device_uuid` char(64) DEFAULT NULL,
  `device_name` varchar(512) DEFAULT NULL,
  `device_type` char(64) DEFAULT NULL,
  `host_ip` char(48) DEFAULT NULL,
  `last_seen` int DEFAULT NULL,
  `vtap_id` int DEFAULT NULL,
  `kubernetes_cluster_id` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `genesis_vinterface`
--

LOCK TABLES `genesis_vinterface` WRITE;
/*!40000 ALTER TABLE `genesis_vinterface` DISABLE KEYS */;
/*!40000 ALTER TABLE `genesis_vinterface` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `genesis_vm`
--

DROP TABLE IF EXISTS `genesis_vm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `genesis_vm` (
  `id` int NOT NULL AUTO_INCREMENT,
  `uuid` char(64) DEFAULT NULL,
  `name` varchar(256) DEFAULT NULL,
  `label` char(64) DEFAULT NULL,
  `vpc_uuid` char(64) DEFAULT NULL,
  `launch_server` char(64) DEFAULT NULL,
  `state` int DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `genesis_vm`
--

LOCK TABLES `genesis_vm` WRITE;
/*!40000 ALTER TABLE `genesis_vm` DISABLE KEYS */;
/*!40000 ALTER TABLE `genesis_vm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `genesis_vpc`
--

DROP TABLE IF EXISTS `genesis_vpc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `genesis_vpc` (
  `id` int NOT NULL AUTO_INCREMENT,
  `uuid` char(64) DEFAULT NULL,
  `name` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `genesis_vpc`
--

LOCK TABLES `genesis_vpc` WRITE;
/*!40000 ALTER TABLE `genesis_vpc` DISABLE KEYS */;
/*!40000 ALTER TABLE `genesis_vpc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `go_genesis_host`
--

DROP TABLE IF EXISTS `go_genesis_host`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `go_genesis_host` (
  `id` int NOT NULL AUTO_INCREMENT,
  `lcuuid` char(64) DEFAULT NULL,
  `hostname` varchar(256) DEFAULT NULL,
  `ip` char(64) DEFAULT NULL,
  `vtap_id` int DEFAULT NULL,
  `node_ip` char(48) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `go_genesis_host`
--

LOCK TABLES `go_genesis_host` WRITE;
/*!40000 ALTER TABLE `go_genesis_host` DISABLE KEYS */;
/*!40000 ALTER TABLE `go_genesis_host` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `go_genesis_ip`
--

DROP TABLE IF EXISTS `go_genesis_ip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `go_genesis_ip` (
  `id` int NOT NULL AUTO_INCREMENT,
  `lcuuid` char(64) DEFAULT NULL,
  `ip` char(64) DEFAULT NULL,
  `vinterface_lcuuid` char(64) DEFAULT NULL,
  `node_ip` char(48) DEFAULT NULL,
  `last_seen` datetime DEFAULT NULL,
  `vtap_id` int DEFAULT NULL,
  `masklen` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `go_genesis_ip`
--

LOCK TABLES `go_genesis_ip` WRITE;
/*!40000 ALTER TABLE `go_genesis_ip` DISABLE KEYS */;
/*!40000 ALTER TABLE `go_genesis_ip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `go_genesis_lldp`
--

DROP TABLE IF EXISTS `go_genesis_lldp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `go_genesis_lldp` (
  `id` int NOT NULL AUTO_INCREMENT,
  `lcuuid` char(64) DEFAULT NULL,
  `host_ip` char(48) DEFAULT NULL,
  `host_interface` char(64) DEFAULT NULL,
  `node_ip` char(48) DEFAULT NULL,
  `system_name` varchar(512) DEFAULT NULL,
  `management_address` varchar(512) DEFAULT NULL,
  `vinterface_lcuuid` varchar(512) DEFAULT NULL,
  `vinterface_description` varchar(512) DEFAULT NULL,
  `vtap_id` int DEFAULT NULL,
  `last_seen` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `go_genesis_lldp`
--

LOCK TABLES `go_genesis_lldp` WRITE;
/*!40000 ALTER TABLE `go_genesis_lldp` DISABLE KEYS */;
/*!40000 ALTER TABLE `go_genesis_lldp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `go_genesis_network`
--

DROP TABLE IF EXISTS `go_genesis_network`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `go_genesis_network` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `segmentation_id` int DEFAULT NULL,
  `net_type` int DEFAULT NULL,
  `external` tinyint(1) DEFAULT NULL,
  `vpc_lcuuid` char(64) DEFAULT NULL,
  `vtap_id` int DEFAULT NULL,
  `node_ip` char(48) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `go_genesis_network`
--

LOCK TABLES `go_genesis_network` WRITE;
/*!40000 ALTER TABLE `go_genesis_network` DISABLE KEYS */;
/*!40000 ALTER TABLE `go_genesis_network` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `go_genesis_port`
--

DROP TABLE IF EXISTS `go_genesis_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `go_genesis_port` (
  `id` int NOT NULL AUTO_INCREMENT,
  `lcuuid` char(64) DEFAULT NULL,
  `type` int DEFAULT NULL,
  `device_type` int DEFAULT NULL,
  `mac` char(32) DEFAULT NULL,
  `device_lcuuid` char(64) DEFAULT NULL,
  `network_lcuuid` char(64) DEFAULT NULL,
  `vpc_lcuuid` char(64) DEFAULT NULL,
  `vtap_id` int DEFAULT NULL,
  `node_ip` char(48) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `go_genesis_port`
--

LOCK TABLES `go_genesis_port` WRITE;
/*!40000 ALTER TABLE `go_genesis_port` DISABLE KEYS */;
/*!40000 ALTER TABLE `go_genesis_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `go_genesis_storage`
--

DROP TABLE IF EXISTS `go_genesis_storage`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `go_genesis_storage` (
  `id` int NOT NULL AUTO_INCREMENT,
  `vtap_id` int DEFAULT NULL,
  `node_ip` char(48) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `go_genesis_storage`
--

LOCK TABLES `go_genesis_storage` WRITE;
/*!40000 ALTER TABLE `go_genesis_storage` DISABLE KEYS */;
INSERT INTO `go_genesis_storage` VALUES (1,1,'172.17.172.136'),(2,2,'172.17.172.136'),(3,3,'172.17.172.136');
/*!40000 ALTER TABLE `go_genesis_storage` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `go_genesis_vinterface`
--

DROP TABLE IF EXISTS `go_genesis_vinterface`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `go_genesis_vinterface` (
  `id` int NOT NULL AUTO_INCREMENT,
  `lcuuid` char(64) DEFAULT NULL,
  `name` char(64) DEFAULT NULL,
  `mac` char(32) DEFAULT NULL,
  `ips` text,
  `tap_name` char(64) DEFAULT NULL,
  `tap_mac` char(32) DEFAULT NULL,
  `device_lcuuid` char(64) DEFAULT NULL,
  `device_name` varchar(512) DEFAULT NULL,
  `device_type` char(64) DEFAULT NULL,
  `host_ip` char(48) DEFAULT NULL,
  `node_ip` char(48) DEFAULT NULL,
  `last_seen` datetime DEFAULT NULL,
  `vtap_id` int DEFAULT NULL,
  `kubernetes_cluster_id` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=37352 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `go_genesis_vinterface`
--

LOCK TABLES `go_genesis_vinterface` WRITE;
/*!40000 ALTER TABLE `go_genesis_vinterface` DISABLE KEYS */;
INSERT INTO `go_genesis_vinterface` VALUES (929,'d0e5517e-0e2e-5d1f-9287-c5d422b23252','eth0','02:42:ac:12:00:02','172.18.0.2','veth725f772','ea:41:fd:56:2a:3a',NULL,'namespace-net:[4026532328]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(930,'db2c9314-cc94-5fc9-b6b7-aaf5d63c8f6d','eth0','02:42:ac:17:00:02','172.23.0.2','veth2bcb61f','52:02:f4:af:9e:91',NULL,'namespace-net:[4026532685]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(931,'0d2b1cbd-8281-51d1-b15e-6b72539e54ad','eth0','16:a1:e5:f1:63:b6','10.244.0.18','veth49d0c8e3','ba:99:3c:1a:6f:ef',NULL,'namespace-net:[4026533055]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(932,'33a320d4-fe3a-5273-95be-28e1ad750b53','br-aaeeee560ca1','02:42:34:bc:01:37','192.168.208.1/20','br-aaeeee560ca1','02:42:34:bc:01:37','33a320d4-fe3a-5273-95be-28e1ad750b53',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(933,'79ef7b17-9d5b-5d06-86a6-f1059c9a966c','eth0','1a:f8:e8:ae:3e:ac','10.244.0.17','vetha2f4d76b','82:ee:d1:23:60:bc',NULL,'namespace-net:[4026532975]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(934,'627bba71-8798-51f7-b019-030feb1b408a','eth0','d2:e4:b8:30:6b:31','10.244.0.16','veth0dadeae0','3e:cc:c7:e0:82:7e',NULL,'namespace-net:[4026532890]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(935,'a5c0f1ec-ed52-5ba0-af22-b0b94f85e29f','eth0','02:42:c0:a8:60:03','192.168.96.3','vethd08b7d6','c2:d2:92:51:52:7f',NULL,'namespace-net:[4026533395]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(936,'780c306c-5da7-504f-8868-062e67f41ca9','br-c1c5d3ff419d','02:42:48:54:cc:48','172.28.0.1/16','br-c1c5d3ff419d','02:42:48:54:cc:48','780c306c-5da7-504f-8868-062e67f41ca9',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(937,'4a7ed4c8-39d2-5611-a4ed-a67fbd85e730','eth0','02:e4:2b:60:c9:47','10.244.1.43','vethcdaadc24','66:51:1c:43:11:eb',NULL,'namespace-net:[4026535364]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(938,'f6dd67c2-3a64-57bf-8f19-a8568abbc311','br-511bdd69df76','02:42:5c:30:fc:2b','172.30.0.1/16','br-511bdd69df76','02:42:5c:30:fc:2b','f6dd67c2-3a64-57bf-8f19-a8568abbc311',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(939,'37a0ced1-cdd2-5b5a-a34b-ef887ff74777','eth0','96:f4:b9:af:42:d6','10.244.1.30','veth017e153a','86:25:6e:8f:b2:dc',NULL,'namespace-net:[4026534620]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(940,'e9c4efa0-0558-5f56-9479-20840a2fa34d','eth0','62:b0:5f:a1:e7:17','10.244.1.40','vethbe1d9291','06:af:fc:46:18:d1',NULL,'namespace-net:[4026535145]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(941,'61174bd8-4f9b-58fc-890c-e827beb2ae8c','br-15660bd72b52','02:42:7b:7f:f3:bc','192.168.192.1/20','br-15660bd72b52','02:42:7b:7f:f3:bc','61174bd8-4f9b-58fc-890c-e827beb2ae8c',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(942,'41838dac-ed29-5561-ae8c-f6e5ef9fe8f5','eth0','02:42:c0:a8:80:02','192.168.128.2','veth713c2d5','66:db:e9:78:c4:24',NULL,'namespace-net:[4026532621]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(943,'bdb1c22f-4211-5a74-b1cc-3af872834839','eth0','9a:a0:58:88:58:63','10.244.1.42','vethfda92e1f','46:08:82:aa:ae:34',NULL,'namespace-net:[4026535285]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(944,'559ba2aa-3f78-55a1-a8d4-46534d5e240b','eth0','5e:7c:38:80:64:3a','10.244.1.44','veth2f83c6f4','32:b7:de:a3:e3:43',NULL,'namespace-net:[4026535434]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(945,'ffd9d7ea-feb2-5fb7-9b26-c44d7b1825e2','eth0','00:16:3e:2c:15:02','172.17.213.200/20,fe80::216:3eff:fe2c:1502/64','eth0','00:16:3e:2c:15:02','ffd9d7ea-feb2-5fb7-9b26-c44d7b1825e2',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(946,'49c416b8-5993-5cb2-a27d-269a7a7e7608','flannel.1','16:e6:8d:98:85:f4','10.244.0.0/32,fe80::14e6:8dff:fe98:85f4/64','flannel.1','16:e6:8d:98:85:f4','49c416b8-5993-5cb2-a27d-269a7a7e7608',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(947,'9d3dd1a3-b30b-5406-b7e1-72f7087d89e9','eth0','d2:ef:7d:e2:4a:84','10.244.1.31','veth4bcc716b','32:24:33:0e:c2:b1',NULL,'namespace-net:[4026534692]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(948,'5af1a2c7-ea95-54a6-98e2-a9c2e396806e','br-9b74ddd3bbc6','02:42:1d:22:36:11','192.168.224.1/20','br-9b74ddd3bbc6','02:42:1d:22:36:11','5af1a2c7-ea95-54a6-98e2-a9c2e396806e',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(949,'e7bf5197-a815-530b-a446-4ccb30896819','br-05ecaef781d0','02:42:cf:d5:fd:00','172.26.0.1/16','br-05ecaef781d0','02:42:cf:d5:fd:00','e7bf5197-a815-530b-a446-4ccb30896819',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(950,'87f2b7bb-b4f3-5c92-9672-b01d48b8de3c','eth0','02:42:ac:19:00:06','172.25.0.6','veth78c55a1','0a:bc:5c:e8:c0:9e',NULL,'namespace-net:[4026533587]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(951,'2a7fea9d-60ee-5b16-8de8-52edd223b127','eth0','02:42:ac:12:00:02','172.18.0.2','veth4849218','9e:a1:f4:30:36:a1',NULL,'namespace-net:[4026532951]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(952,'9cc48463-af52-5434-85a3-14470fe33944','br-0f3b31550132','02:42:57:d9:1b:b2','192.168.128.1/20','br-0f3b31550132','02:42:57:d9:1b:b2','9cc48463-af52-5434-85a3-14470fe33944',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(953,'63d58136-0f78-566e-8e5d-c147554f5da7','eth0','6a:7f:93:5f:a4:4e','10.244.1.26','vethf63bdb7a','ee:7e:29:f1:04:4d',NULL,'namespace-net:[4026534455]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(954,'f5369ada-7934-590e-aedc-0ac8b4e88faf','br-25f9226710e9','02:42:ae:9c:96:d5','172.24.0.1/16','br-25f9226710e9','02:42:ae:9c:96:d5','f5369ada-7934-590e-aedc-0ac8b4e88faf',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(955,'aec6bc2f-3870-5da2-bb53-5fb972539da8','br-bf3bcce0e346','02:42:7d:20:01:30','192.168.0.1/20','br-bf3bcce0e346','02:42:7d:20:01:30','aec6bc2f-3870-5da2-bb53-5fb972539da8',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(956,'eed79a61-ebdb-5a8f-add4-6d516b885ecc','eth0','02:42:ac:13:00:02','172.19.0.2','veth8182df7','72:01:e6:4d:3f:2f',NULL,'namespace-net:[4026533921]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(957,'cc023969-c165-58d2-aab3-0028e6377e57','cni0','52:7a:5c:e9:a3:4d','10.244.0.1/24,fe80::92:a4ff:fea8:8b75/64','cni0','52:7a:5c:e9:a3:4d','cc023969-c165-58d2-aab3-0028e6377e57',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(958,'d106dd69-bc6c-5669-afc0-6f5335fabd4d','eth0','02:42:ac:1f:00:05','172.31.0.5','vethdc7bb57','5e:98:7b:27:21:3b',NULL,'namespace-net:[4026533459]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(959,'efe2febb-47c0-5d1e-b1d2-4ccd89f5c16f','eth0','5e:88:2e:29:b6:bd','10.244.1.38','veth5ee539e7','16:56:7a:d3:f8:6b',NULL,'namespace-net:[4026534995]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(960,'09af8b5c-4e01-5c55-ad9b-cf96f0ef7313','br-844d74854977','02:42:3f:d3:8b:f6','192.168.240.1/20','br-844d74854977','02:42:3f:d3:8b:f6','09af8b5c-4e01-5c55-ad9b-cf96f0ef7313',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(961,'92e6b75a-4ad2-573c-ab03-c09ab063fff6','eth0','de:60:81:1f:4e:b9','10.244.1.29','vethb64d9ee4','2a:40:1a:1a:6e:da',NULL,'namespace-net:[4026534525]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(962,'d4189ff6-9e58-5c03-83e9-d676de3ff8de','eth0','02:42:ac:19:00:05','172.25.0.5','vethf8f4774','8e:be:98:cb:27:6c',NULL,'namespace-net:[4026533651]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(963,'acb0828f-f6d7-594a-b3d1-3641ede6f8bb','docker0','02:42:86:31:bc:36','172.18.0.1/16','docker0','02:42:86:31:bc:36','acb0828f-f6d7-594a-b3d1-3641ede6f8bb',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(964,'14486e23-c122-5584-9cc4-a8e7d752301f','eth0','02:42:ac:1f:00:03','172.31.0.3','veth924002c','8e:30:fe:27:04:b7',NULL,'namespace-net:[4026533203]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(965,'1238d030-0d6e-5c28-9c1c-6d13a0030045','veth4e33803','aa:00:f2:84:d5:d6','fe80::a800:f2ff:fe84:d5d6/64','veth4e33803','aa:00:f2:84:d5:d6','1238d030-0d6e-5c28-9c1c-6d13a0030045',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(966,'04ee27f1-9759-5c94-b03f-524fbada8d85','br-30f9211b0585','02:42:3b:7e:f4:09','192.168.32.1/20','br-30f9211b0585','02:42:3b:7e:f4:09','04ee27f1-9759-5c94-b03f-524fbada8d85',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(967,'ddd2e4a1-357a-5f70-bc6b-a1ddd632e7da','eth0','02:42:c0:a8:90:02','192.168.144.2','vethc2ad237','8a:27:d5:45:1f:7f',NULL,'namespace-net:[4026534049]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(968,'12110856-47b0-5ac7-9d07-32db0fe9ed91','docker0','02:42:42:aa:e3:46','172.18.0.1/16,fe80::42:42ff:feaa:e346/64','docker0','02:42:42:aa:e3:46','12110856-47b0-5ac7-9d07-32db0fe9ed91',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(969,'d5350783-a5c1-56b4-b98f-fc57bc09e9ff','eth0','02:42:c0:a8:20:02','192.168.32.2','veth531ada9','16:b7:1f:4c:74:fe',NULL,'namespace-net:[4026532886]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(970,'50637a81-a049-5ebd-ad1e-256430167e66','eth0','02:42:ac:1f:00:02','172.31.0.2','vetha3463a0','5a:1f:97:8c:b7:fa',NULL,'namespace-net:[4026532362]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(971,'0e43baa5-20f4-5966-8e81-c6092a2c37e7','br-a3cb13184d23','02:42:db:c7:63:07','192.168.144.1/20','br-a3cb13184d23','02:42:db:c7:63:07','0e43baa5-20f4-5966-8e81-c6092a2c37e7',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(972,'993c9ebb-f8e0-592e-9a5b-853239eabe21','eth0','3a:ba:25:ec:51:52','10.244.1.32','veth53e27e3c','fe:07:cb:39:3d:a6',NULL,'namespace-net:[4026534764]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(973,'434d4e04-005e-52d2-b7b2-af78da74489f','eth0','1a:01:f3:eb:04:28','10.244.0.7','veth0fa71cab','de:5f:2f:11:14:94',NULL,'namespace-net:[4026532626]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(974,'496433d4-9291-5d6c-a8bb-1ff1ef41439a','docker_gwbridge','02:42:49:3c:75:7e','192.168.112.1/20','docker_gwbridge','02:42:49:3c:75:7e','496433d4-9291-5d6c-a8bb-1ff1ef41439a',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(975,'8b27dbb0-e2ee-5b51-a3be-7472c42e9302','eth0','aa:4c:70:3b:a2:ab','10.244.0.20','vethedc167e4','fa:d1:db:d7:f5:0b',NULL,'namespace-net:[4026533219]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(976,'32ff0595-5853-5a15-b09f-183a869b6b06','br-eb31e43a67f3','02:42:f8:56:4d:62','172.19.0.1/16','br-eb31e43a67f3','02:42:f8:56:4d:62','32ff0595-5853-5a15-b09f-183a869b6b06',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(977,'1c850c86-7317-5c8e-8ad5-f05777a176f1','br-e907127c7c59','02:42:35:a4:7f:7e','172.21.0.1/16','br-e907127c7c59','02:42:35:a4:7f:7e','1c850c86-7317-5c8e-8ad5-f05777a176f1',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(978,'061ca8f9-2938-59ae-bf96-56849bebb922','eth0','02:42:ac:19:00:04','172.25.0.4','veth0908092','06:bd:ca:56:ab:61',NULL,'namespace-net:[4026533267]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(979,'8e2071a8-7cb4-5f26-9f65-1947b58cdad5','cni0','d6:7d:f3:05:a4:c1','10.244.1.1/24','cni0','d6:7d:f3:05:a4:c1','8e2071a8-7cb4-5f26-9f65-1947b58cdad5',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(980,'82794a86-b507-5346-8f08-22fd5244ef66','eth0','02:42:c0:a8:60:02','192.168.96.2','veth18a11be','92:53:0b:1e:9b:94',NULL,'namespace-net:[4026532749]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(981,'a89ad0cc-ca40-5bc2-914e-b1a2f6f74f1c','eth0','02:42:ac:12:00:03','172.18.0.3','vethff7e5b0','66:d3:2d:28:e0:ba',NULL,'namespace-net:[4026533331]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(982,'5cedecb7-7f02-5c27-a38d-56c902616bdb','eth0','00:16:3e:03:ee:e9','172.17.172.137/20','eth0','00:16:3e:03:ee:e9','5cedecb7-7f02-5c27-a38d-56c902616bdb',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(983,'0bae8ddd-bbaa-522b-a9e8-1237336ce387','eth0','02:42:c0:a8:30:02','192.168.48.2','vethed2d14a','be:05:82:a4:5e:fc',NULL,'namespace-net:[4026532813]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(984,'9ce527a9-e741-53ae-9d01-001f0a79fd66','eth0','02:42:ac:19:00:03','172.25.0.3','vethe70d096','8e:d5:d4:66:3e:1e',NULL,'namespace-net:[4026532492]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(985,'b0ab16b4-50f1-5c85-a959-7dc2f0b08244','veth53a07276','92:db:29:6d:fd:51','fe80::90db:29ff:fe6d:fd51/64','veth53a07276','92:db:29:6d:fd:51','b0ab16b4-50f1-5c85-a959-7dc2f0b08244',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(986,'7526a1ef-d424-5648-ab9f-f22f6ce3fef1','br-87a943a81db7','02:42:8a:d6:7e:2f','172.27.0.1/16','br-87a943a81db7','02:42:8a:d6:7e:2f','7526a1ef-d424-5648-ab9f-f22f6ce3fef1',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(987,'fbfe078f-ee20-5af9-9ba2-ae3ef170776f','br-23462534c527','02:42:21:3d:81:b5','172.20.0.1/16','br-23462534c527','02:42:21:3d:81:b5','fbfe078f-ee20-5af9-9ba2-ae3ef170776f',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(988,'3c3a5b01-9fc2-5abd-9006-66de225f8d2c','veth725f772','ea:41:fd:56:2a:3a','fe80::e841:fdff:fe56:2a3a/64','veth725f772','ea:41:fd:56:2a:3a','3c3a5b01-9fc2-5abd-9006-66de225f8d2c',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(989,'6178e9c9-7b5d-5506-a5bf-0c8d52753e66','vethd26f249','82:ba:fc:bd:74:f2','fe80::80ba:fcff:febd:74f2/64','vethd26f249','82:ba:fc:bd:74:f2','6178e9c9-7b5d-5506-a5bf-0c8d52753e66',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(990,'05ee90cd-00ef-5c3c-b0d1-27b0166bdffe','eth0','02:42:ac:12:00:05','172.18.0.5','veth3d849d9','92:8a:42:ba:2b:4b',NULL,'namespace-net:[4026533973]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(991,'015fa158-a78b-5dd5-aa38-45467dc9a5bc','veth0dadeae0','3e:cc:c7:e0:82:7e','fe80::3ccc:c7ff:fee0:827e/64','veth0dadeae0','3e:cc:c7:e0:82:7e','015fa158-a78b-5dd5-aa38-45467dc9a5bc',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(992,'91383336-75c0-5205-a3cf-036be6ef11f9','eth0','02:42:c0:a8:40:02','192.168.64.2','veth4e33803','aa:00:f2:84:d5:d6',NULL,'namespace-net:[4026532471]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(993,'989bcaa8-af9a-5f48-90ea-298b6cce0791','eth0','02:42:c0:a8:d0:02','192.168.208.2','vethc657d5b','7e:fa:98:30:ca:c3',NULL,'namespace-net:[4026532428]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(994,'60591801-d349-5b97-8d10-e06acd17e6b6','eth0','02:42:ac:17:00:04','172.23.0.4','veth0f3f326','26:1e:b6:21:4d:17',NULL,'namespace-net:[4026532292]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(995,'7713bfff-9935-59fc-aa80-e9a8dd8c3c3c','veth49d0c8e3','ba:99:3c:1a:6f:ef','fe80::b899:3cff:fe1a:6fef/64','veth49d0c8e3','ba:99:3c:1a:6f:ef','7713bfff-9935-59fc-aa80-e9a8dd8c3c3c',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(996,'a4df6cf2-b3ba-58d8-ae4a-07fa7bba9224','veth77a60d0a','52:7a:5c:e9:a3:4d','fe80::507a:5cff:fee9:a34d/64','veth77a60d0a','52:7a:5c:e9:a3:4d','a4df6cf2-b3ba-58d8-ae4a-07fa7bba9224',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(997,'fe5f0d2f-83e2-5941-a390-422258aafb02','vetha2e42f4','e2:96:1c:0b:e2:20','fe80::e096:1cff:fe0b:e220/64','vetha2e42f4','e2:96:1c:0b:e2:20','fe5f0d2f-83e2-5941-a390-422258aafb02',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(998,'5953f608-8bc7-56ab-bf5b-12736c37ab23','br-d3d59a9a06ac','02:42:08:99:93:ba','192.168.48.1/20','br-d3d59a9a06ac','02:42:08:99:93:ba','5953f608-8bc7-56ab-bf5b-12736c37ab23',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(999,'41df968b-3261-5677-946b-f1c3558bbcf3','eth0','02:42:c0:a8:50:03','192.168.80.3','vethd26f249','82:ba:fc:bd:74:f2',NULL,'namespace-net:[4026532400]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1000,'cde2e6eb-4b50-5dd3-b858-abb4a23b12dc','eth0','c2:90:ce:44:3f:5f','10.244.1.27','veth43c45e90','f6:87:26:8c:16:fd',NULL,'namespace-net:[4026534306]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1001,'cf0899ca-1fa6-5f60-a97e-9886ed978b0a','eth0','02:42:ac:19:00:02','172.25.0.2','vethc3a466b','2a:1f:fa:9d:65:b4',NULL,'namespace-net:[4026532228]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1002,'b60d39ba-112a-5f1d-834e-7f2ab9b43f32','br-7ba665b3e9cb','02:42:d7:85:7f:4f','192.168.96.1/20','br-7ba665b3e9cb','02:42:d7:85:7f:4f','b60d39ba-112a-5f1d-834e-7f2ab9b43f32',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1003,'e3aa95ad-05c9-5519-b12f-78c4f3d7890b','eth0','02:42:c0:a8:50:02','192.168.80.2','vetha2e42f4','e2:96:1c:0b:e2:20',NULL,'namespace-net:[4026532258]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1004,'8e251ae7-fb91-5e80-ba6c-8569bfee8f98','br-7900cdeb7f4b','02:42:8e:83:0d:0b','192.168.64.1/20,fe80::42:8eff:fe83:d0b/64','br-7900cdeb7f4b','02:42:8e:83:0d:0b','8e251ae7-fb91-5e80-ba6c-8569bfee8f98',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1005,'e518b531-1f81-5ea7-ad12-47d710e6bcae','eth0','02:42:c0:a8:e0:02','192.168.224.2','veth2f34e5d','8e:1f:76:12:44:f8',NULL,'namespace-net:[4026533013]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1006,'2337b79c-4825-5cdc-b767-d8aeeeef203a','eth0','02:42:c0:a8:c0:04','192.168.192.4','veth8d79f09','46:9a:18:16:81:da',NULL,'namespace-net:[4026533519]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1007,'eac5d7d9-341a-5dd2-97d3-f15397389940','eth0','62:d7:e2:fb:ab:e9','10.244.0.19','vethce6c3c66','16:10:65:d9:32:45',NULL,'namespace-net:[4026533137]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1008,'ee5c670b-510f-5c4a-850c-3d4392310700','eth0','0e:72:05:5b:3e:87','10.244.0.8','veth77a60d0a','52:7a:5c:e9:a3:4d',NULL,'namespace-net:[4026532718]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1009,'50168016-3bff-5c1d-9d86-4f9699929864','eth0','02:42:ac:1f:00:04','172.31.0.4','veth96475c3','5e:3a:3c:c2:20:8f',NULL,'namespace-net:[4026533715]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1010,'f17dcb79-b1cf-5e9f-90cd-04c2b746049f','br-6fe33026cadf','02:42:eb:65:48:b1','172.25.0.1/16','br-6fe33026cadf','02:42:eb:65:48:b1','f17dcb79-b1cf-5e9f-90cd-04c2b746049f',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1011,'50e6b4f7-8ad0-541d-b0c1-f9fc45ce3037','br-99d1bb08de10','02:42:ff:1a:5f:65','172.22.0.1/16','br-99d1bb08de10','02:42:ff:1a:5f:65','50e6b4f7-8ad0-541d-b0c1-f9fc45ce3037',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1012,'ed63ece5-aa80-5ca7-acae-e2adaf99e005','br-998e7a0ec3ff','02:42:d8:33:dd:60','172.29.0.1/16','br-998e7a0ec3ff','02:42:d8:33:dd:60','ed63ece5-aa80-5ca7-acae-e2adaf99e005',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1013,'a844d12d-77c3-5a95-b462-75dd9a673318','flannel.1','ca:80:87:56:3c:14','10.244.1.0/32','flannel.1','ca:80:87:56:3c:14','a844d12d-77c3-5a95-b462-75dd9a673318',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1014,'fa411f92-4820-5f26-8e98-ad236ed6e677','eth0','5a:94:0e:4f:df:83','10.244.1.41','vethbdca6679','ba:a8:17:47:bc:8b',NULL,'namespace-net:[4026535215]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1015,'42ae2552-06a2-5edb-8fae-b5d6721878b9','eth0','02:42:ac:17:00:05','172.23.0.5','vethbbaa655','5a:89:52:e8:6d:e1',NULL,'namespace-net:[4026533857]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1016,'b5c80e28-1d6a-53f9-9e11-a6bc89554639','eth0','02:42:ac:17:00:03','172.23.0.3','veth6d18a53','4a:12:6f:81:65:64',NULL,'namespace-net:[4026533139]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1017,'6218c178-e0f5-5e50-bf98-b9e771439df8','vethedc167e4','fa:d1:db:d7:f5:0b','fe80::f8d1:dbff:fed7:f50b/64','vethedc167e4','fa:d1:db:d7:f5:0b','6218c178-e0f5-5e50-bf98-b9e771439df8',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1018,'497c1e2e-3e33-5413-9ec0-44765442df4b','eth0','02:42:ac:1f:00:06','172.31.0.6','vethbbafc15','2e:43:89:db:29:67',NULL,'namespace-net:[4026533784]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1019,'e72f2f04-bcc9-540c-b130-011874f664f6','eth0','0a:dd:51:71:97:f4','10.244.1.39','vethf06afc73','ae:a7:1a:0a:1c:8f',NULL,'namespace-net:[4026535073]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1020,'bd2e5ec3-cee6-5a4e-863b-1e75bbf249b5','br-a72718dcb4c5','02:42:49:8f:be:73','192.168.80.1/20,fe80::42:49ff:fe8f:be73/64','br-a72718dcb4c5','02:42:49:8f:be:73','bd2e5ec3-cee6-5a4e-863b-1e75bbf249b5',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1021,'457249d9-8597-5819-996d-8e9c073c9322','eth0','26:4c:86:1f:b3:b6','10.244.0.15','veth53a07276','92:db:29:6d:fd:51',NULL,'namespace-net:[4026532703]','docker-container','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1022,'73803df2-2431-54c7-8c70-c780d0a0f4d9','eth0','86:fb:ee:7b:f9:e9','10.244.1.37','veth84ccab5c','d6:75:aa:4b:27:03',NULL,'namespace-net:[4026534914]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1023,'c881bf62-3b4a-5be7-a1bd-489adc600b5c','br-07da3f5a80a2','02:42:2a:99:c1:ce','172.23.0.1/16','br-07da3f5a80a2','02:42:2a:99:c1:ce','c881bf62-3b4a-5be7-a1bd-489adc600b5c',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1024,'e78a5027-14a7-54d2-8c7f-27ca87beb9dd','eth0','4e:57:41:3e:ef:b0','10.244.1.28','veth8d381c78','ba:6f:e7:85:48:d8',NULL,'namespace-net:[4026534377]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1025,'074fc026-6a4b-5f52-b172-523889957b2f','br-9647824c690d','02:42:29:f7:79:cc','192.168.16.1/20','br-9647824c690d','02:42:29:f7:79:cc','074fc026-6a4b-5f52-b172-523889957b2f',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1026,'6094faaa-4ae4-5a5f-bcd9-283cc42a01f3','vethce6c3c66','16:10:65:d9:32:45','fe80::1410:65ff:fed9:3245/64','vethce6c3c66','16:10:65:d9:32:45','6094faaa-4ae4-5a5f-bcd9-283cc42a01f3',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1027,'0f9176b6-408e-592c-b507-eaeed1c7a1e2','veth0fa71cab','de:5f:2f:11:14:94','fe80::dc5f:2fff:fe11:1494/64','veth0fa71cab','de:5f:2f:11:14:94','0f9176b6-408e-592c-b507-eaeed1c7a1e2',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1028,'e463a9ac-ed57-5684-906e-92007d56b4f3','br-2ec27ba95b8a','02:42:17:d4:7b:d0','172.31.0.1/16','br-2ec27ba95b8a','02:42:17:d4:7b:d0','e463a9ac-ed57-5684-906e-92007d56b4f3',NULL,'docker-host','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1029,'44af3b50-7cf6-5e08-b835-973d40710e79','eth0','02:42:c0:a8:c0:02','192.168.192.2','veth88b58da','be:ad:15:8d:70:61',NULL,'namespace-net:[4026533075]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1030,'e720f768-e362-5ae7-bf76-44d6ebd990c0','vetha2f4d76b','82:ee:d1:23:60:bc','fe80::80ee:d1ff:fe23:60bc/64','vetha2f4d76b','82:ee:d1:23:60:bc','e720f768-e362-5ae7-bf76-44d6ebd990c0',NULL,'docker-host','172.17.213.200','172.17.172.137','2022-12-07 10:23:02',1,'d-riaItWzFKw'),(1031,'6af167cd-5407-50cf-99cc-9167474a9705','eth0','02:42:ac:12:00:04','172.18.0.4','veth0bc3010','9a:d7:1c:28:b4:1d',NULL,'namespace-net:[4026532561]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(1032,'c9535f20-a250-5fe1-aec2-e20067b2db0c','eth0','16:a0:66:93:0e:e7','10.244.1.36','veth340ddb47','ba:bd:ad:04:10:d0',NULL,'namespace-net:[4026534838]','docker-container','172.17.172.137','172.17.172.137','2022-12-07 10:23:26',2,'d-riaItWzFKw'),(37186,'2a7fea9d-60ee-5b16-8de8-52edd223b127','eth0','02:42:ac:12:00:02','172.18.0.2','veth4849218','9e:a1:f4:30:36:a1',NULL,'namespace-net:[4026532951]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37187,'74655c31-5426-549e-ab89-c8e85f1460ba','eth0','82:84:26:ca:54:63','10.244.3.52',NULL,NULL,NULL,'namespace-net:[4026534055]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37188,'fbfe078f-ee20-5af9-9ba2-ae3ef170776f','br-23462534c527','02:42:21:3d:81:b5','172.20.0.1/16','br-23462534c527','02:42:21:3d:81:b5','fbfe078f-ee20-5af9-9ba2-ae3ef170776f',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37189,'e06ea73e-0a59-51a0-a4d0-fff6038a8de2','veth3c46e1a6','b2:9e:f3:41:f6:5c','fe80::b09e:f3ff:fe41:f65c/64','veth3c46e1a6','b2:9e:f3:41:f6:5c','e06ea73e-0a59-51a0-a4d0-fff6038a8de2',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37190,'5cedecb7-7f02-5c27-a38d-56c902616bdb','eth0','00:16:3e:03:ee:e9','172.17.172.137/20','eth0','00:16:3e:03:ee:e9','5cedecb7-7f02-5c27-a38d-56c902616bdb',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37191,'547e01ca-f060-5891-aaeb-f686290f6abe','eth0','12:18:64:32:b4:80','10.244.0.56','veth8f67d883','42:a9:b6:c3:eb:c8',NULL,'namespace-net:[4026532977]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37192,'32ff0595-5853-5a15-b09f-183a869b6b06','br-eb31e43a67f3','02:42:f8:56:4d:62','172.19.0.1/16','br-eb31e43a67f3','02:42:f8:56:4d:62','32ff0595-5853-5a15-b09f-183a869b6b06',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37193,'d226367b-909f-5291-9500-9df98bfdab0c','eth0','e6:ed:e2:a1:ee:a8','10.244.1.53','veth0c7a0770','1a:86:41:88:08:4a',NULL,'namespace-net:[4026534908]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37194,'761aa7c0-256d-5930-8ecc-c96ed04efedc','veth75a2b8bf','8e:07:31:e4:9d:32','fe80::8c07:31ff:fee4:9d32/64','veth75a2b8bf','8e:07:31:e4:9d:32','761aa7c0-256d-5930-8ecc-c96ed04efedc',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37195,'90858572-6f0f-5088-adaf-ff848488ba60','veth760cdf72','a2:24:9c:62:6a:89','fe80::a024:9cff:fe62:6a89/64','veth760cdf72','a2:24:9c:62:6a:89','90858572-6f0f-5088-adaf-ff848488ba60',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37196,'a89ad0cc-ca40-5bc2-914e-b1a2f6f74f1c','eth0','02:42:ac:12:00:03','172.18.0.3','vethff7e5b0','66:d3:2d:28:e0:ba',NULL,'namespace-net:[4026533331]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37197,'49c416b8-5993-5cb2-a27d-269a7a7e7608','flannel.1','16:e6:8d:98:85:f4','10.244.0.0/32,fe80::14e6:8dff:fe98:85f4/64','flannel.1','16:e6:8d:98:85:f4','49c416b8-5993-5cb2-a27d-269a7a7e7608',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37198,'b5c80e28-1d6a-53f9-9e11-a6bc89554639','eth0','02:42:ac:17:00:03','172.23.0.3','veth6d18a53','4a:12:6f:81:65:64',NULL,'namespace-net:[4026533139]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37199,'c52c4d07-0d35-523b-bb7d-6210aef1ca09','eth0','b6:72:ca:39:f1:2c','10.244.3.44',NULL,NULL,NULL,'namespace-net:[4026533531]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37200,'41838dac-ed29-5561-ae8c-f6e5ef9fe8f5','eth0','02:42:c0:a8:80:02','192.168.128.2','veth713c2d5','66:db:e9:78:c4:24',NULL,'namespace-net:[4026532621]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37201,'f7ee8b41-e7e3-5033-bc86-0ecbf5df26f7','eth0','aa:bf:cb:b1:4d:3b','10.244.1.60','veth6a274cef','8e:03:35:37:c8:a4',NULL,'namespace-net:[4026535364]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37202,'989bcaa8-af9a-5f48-90ea-298b6cce0791','eth0','02:42:c0:a8:d0:02','192.168.208.2','vethc657d5b','7e:fa:98:30:ca:c3',NULL,'namespace-net:[4026532428]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37203,'496433d4-9291-5d6c-a8bb-1ff1ef41439a','docker_gwbridge','02:42:49:3c:75:7e','192.168.112.1/20','docker_gwbridge','02:42:49:3c:75:7e','496433d4-9291-5d6c-a8bb-1ff1ef41439a',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37204,'3a53f79c-93e3-5d82-9038-27e971ac36ec','eth0','62:27:48:73:33:37','10.244.0.54','veth9bdb95ad','5a:c1:ea:5d:32:9c',NULL,'namespace-net:[4026532752]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37205,'af3eaec3-56d0-5e56-a581-a2f296a77e0d','eth0','9a:15:5e:9d:cc:19','10.244.0.52','vethcd180e9a','2e:c2:0a:70:07:2e',NULL,'namespace-net:[4026532581]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37206,'cc1f53d3-0862-522a-9e80-1cec878cd2ab','flannel.1','ca:48:5d:b1:37:67','10.244.3.0/32,fe80::c848:5dff:feb1:3767/64','flannel.1','ca:48:5d:b1:37:67','cc1f53d3-0862-522a-9e80-1cec878cd2ab',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37207,'511fc204-8d32-5f6a-b23a-f645cd7ba2e3','eth0','b6:38:f0:2c:db:6b','10.244.3.35','veth3e3d92c7','aa:69:55:0d:0a:d6',NULL,'namespace-net:[4026532662]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37208,'3e507393-351c-58be-9325-03d868418af2','eth0','ce:cf:b5:e7:b7:ef','10.244.0.61',NULL,NULL,NULL,'namespace-net:[4026533238]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37209,'29b19fd3-f466-5761-b689-ef05753e9074','veth0a30efc4','de:ab:ba:59:67:64','fe80::dcab:baff:fe59:6764/64','veth0a30efc4','de:ab:ba:59:67:64','29b19fd3-f466-5761-b689-ef05753e9074',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37210,'abb3f468-0fb0-5dcd-96bf-a2c3f7f451d3','veth6734296','b2:f9:50:53:e2:52','fe80::b0f9:50ff:fe53:e252/64','veth6734296','b2:f9:50:53:e2:52','abb3f468-0fb0-5dcd-96bf-a2c3f7f451d3',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37211,'8ad881a5-b44c-555b-8ef4-a5d315a6a33c','eth0','76:45:5c:ae:02:4e','10.244.3.48','vethf3fa6f6a','3e:ac:cd:ce:5e:09',NULL,'namespace-net:[4026533530]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37212,'a5c0f1ec-ed52-5ba0-af22-b0b94f85e29f','eth0','02:42:c0:a8:60:03','192.168.96.3','vethd08b7d6','c2:d2:92:51:52:7f',NULL,'namespace-net:[4026533395]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37213,'473d9db2-be72-5e9d-a4f4-dbd80052b03e','eth0','16:72:b4:eb:7f:3a','10.244.0.60',NULL,NULL,NULL,'namespace-net:[4026533238]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37214,'8e2071a8-7cb4-5f26-9f65-1947b58cdad5','cni0','d6:7d:f3:05:a4:c1','10.244.1.1/24','cni0','d6:7d:f3:05:a4:c1','8e2071a8-7cb4-5f26-9f65-1947b58cdad5',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37215,'e3aa95ad-05c9-5519-b12f-78c4f3d7890b','eth0','02:42:c0:a8:50:02','192.168.80.2','veth410b711','7a:1d:ff:f6:54:9d',NULL,'namespace-net:[4026532258]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37216,'e518b531-1f81-5ea7-ad12-47d710e6bcae','eth0','02:42:c0:a8:e0:02','192.168.224.2','veth2f34e5d','8e:1f:76:12:44:f8',NULL,'namespace-net:[4026533013]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37217,'bd2e5ec3-cee6-5a4e-863b-1e75bbf249b5','br-a72718dcb4c5','02:42:49:8f:be:73','192.168.80.1/20,fe80::42:49ff:fe8f:be73/64','br-a72718dcb4c5','02:42:49:8f:be:73','bd2e5ec3-cee6-5a4e-863b-1e75bbf249b5',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37218,'0c94cc9f-620e-5e88-84aa-26a8499b7add','eth0','02:42:c0:a8:c0:03','192.168.192.3','vethab73ede','fa:d8:86:87:c8:8a',NULL,'namespace-net:[4026534308]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37219,'3b1ea16f-a46c-52ad-83b7-98a011abf99b','veth763d54c','7a:81:35:b2:28:51','fe80::7881:35ff:feb2:2851/64','veth763d54c','7a:81:35:b2:28:51','3b1ea16f-a46c-52ad-83b7-98a011abf99b',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37220,'dad40703-9df6-59a9-92c4-65c1b99c7d56','eth0','a2:24:da:79:20:8d','10.244.3.37','veth5c528080','96:52:eb:d7:8a:25',NULL,'namespace-net:[4026532876]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37221,'e6173fa2-4cc8-58e3-9f83-9be27ac07503','veth73811ff1','3e:00:27:33:36:88','fe80::3c00:27ff:fe33:3688/64','veth73811ff1','3e:00:27:33:36:88','e6173fa2-4cc8-58e3-9f83-9be27ac07503',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37222,'d6feb40e-400f-5851-a146-a9dbb9184b2a','veth65af5d10','66:24:a9:96:b3:4f','fe80::6424:a9ff:fe96:b34f/64','veth65af5d10','66:24:a9:96:b3:4f','d6feb40e-400f-5851-a146-a9dbb9184b2a',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37223,'61174bd8-4f9b-58fc-890c-e827beb2ae8c','br-15660bd72b52','02:42:7b:7f:f3:bc','192.168.192.1/20','br-15660bd72b52','02:42:7b:7f:f3:bc','61174bd8-4f9b-58fc-890c-e827beb2ae8c',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37224,'9cc48463-af52-5434-85a3-14470fe33944','br-0f3b31550132','02:42:57:d9:1b:b2','192.168.128.1/20','br-0f3b31550132','02:42:57:d9:1b:b2','9cc48463-af52-5434-85a3-14470fe33944',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37225,'db2c9314-cc94-5fc9-b6b7-aaf5d63c8f6d','eth0','02:42:ac:17:00:02','172.23.0.2','veth2bcb61f','52:02:f4:af:9e:91',NULL,'namespace-net:[4026532685]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37226,'99ca6c5b-8fda-5029-a03a-204aa439bf64','eth0','00:16:3e:2c:b6:0b','172.17.172.136/20,fe80::216:3eff:fe2c:b60b/64','eth0','00:16:3e:2c:b6:0b','99ca6c5b-8fda-5029-a03a-204aa439bf64',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37227,'04ee27f1-9759-5c94-b03f-524fbada8d85','br-30f9211b0585','02:42:3b:7e:f4:09','192.168.32.1/20','br-30f9211b0585','02:42:3b:7e:f4:09','04ee27f1-9759-5c94-b03f-524fbada8d85',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37228,'a1d0f35a-96a4-57a8-9fd8-6cf0b9603c82','eth0','16:94:36:ef:d5:d7','10.244.1.59','veth10b0194d','b6:1a:c3:3a:0f:12',NULL,'namespace-net:[4026535434]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37229,'ba162c22-0302-5696-b18b-a0f530fcae25','veth539c1bd7','ee:ce:1f:03:f4:78','fe80::ecce:1fff:fe03:f478/64','veth539c1bd7','ee:ce:1f:03:f4:78','ba162c22-0302-5696-b18b-a0f530fcae25',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37230,'fa9d7dbf-8a30-53c5-b7ef-4746e8ee3a23','eth0','be:e7:1a:71:c6:c0','10.244.3.36','veth539c1bd7','ee:ce:1f:03:f4:78',NULL,'namespace-net:[4026532555]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37231,'aec6bc2f-3870-5da2-bb53-5fb972539da8','br-bf3bcce0e346','02:42:7d:20:01:30','192.168.0.1/20','br-bf3bcce0e346','02:42:7d:20:01:30','aec6bc2f-3870-5da2-bb53-5fb972539da8',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37232,'d5350783-a5c1-56b4-b98f-fc57bc09e9ff','eth0','02:42:c0:a8:20:02','192.168.32.2','veth531ada9','16:b7:1f:4c:74:fe',NULL,'namespace-net:[4026532886]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37233,'5cbdb02b-ab1d-5f21-82a1-16d4ce2e527d','vethe1d03df8','ce:6c:ee:e2:35:63','fe80::cc6c:eeff:fee2:3563/64','vethe1d03df8','ce:6c:ee:e2:35:63','5cbdb02b-ab1d-5f21-82a1-16d4ce2e527d',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37234,'09998e0f-8dc7-5f68-8ebb-331d47b2d6eb','eth0','46:ee:f0:d8:38:67','10.244.3.41','veth34c98abd','d6:af:d0:42:75:b8',NULL,'namespace-net:[4026533316]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37235,'3bb7a7af-5af8-5a61-93be-7854af55a0ac','eth0','42:bf:6c:0d:7f:96','10.244.1.52','veth06b3eeb2','a2:86:8f:af:5a:0e',NULL,'namespace-net:[4026534829]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37236,'f6dd67c2-3a64-57bf-8f19-a8568abbc311','br-511bdd69df76','02:42:5c:30:fc:2b','172.30.0.1/16','br-511bdd69df76','02:42:5c:30:fc:2b','f6dd67c2-3a64-57bf-8f19-a8568abbc311',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37237,'a844d12d-77c3-5a95-b462-75dd9a673318','flannel.1','ca:80:87:56:3c:14','10.244.1.0/32','flannel.1','ca:80:87:56:3c:14','a844d12d-77c3-5a95-b462-75dd9a673318',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37238,'a148ad5e-8bb8-53df-b48e-b9910c2df8bb','eth0','76:bc:be:50:fa:5e','10.244.1.61',NULL,NULL,NULL,'namespace-net:[4026535514]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37239,'bc10320a-a400-57c1-9ef6-12ae72617963','eth0','96:e7:08:f0:4d:54','10.244.1.46','veth20a37e61','86:cf:05:b2:e1:0d',NULL,'namespace-net:[4026534382]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37240,'98c8d942-5720-54ef-918b-1717f047aaa5','veth34c98abd','d6:af:d0:42:75:b8','fe80::d4af:d0ff:fe42:75b8/64','veth34c98abd','d6:af:d0:42:75:b8','98c8d942-5720-54ef-918b-1717f047aaa5',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37241,'50637a81-a049-5ebd-ad1e-256430167e66','eth0','02:42:ac:1f:00:02','172.31.0.2','vetha3463a0','5a:1f:97:8c:b7:fa',NULL,'namespace-net:[4026532362]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37242,'c53842f6-bf0e-573b-9481-5cef54349758','ethwe0','62:01:2e:d9:b6:95','20.30.100.100','vethwl8c4a88aa9','b6:cc:cc:cd:2d:b9',NULL,'namespace-net:[4026534602]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37243,'5208431c-acd4-556a-bdf7-3121eda90c14','veth9bdb95ad','5a:c1:ea:5d:32:9c','fe80::58c1:eaff:fe5d:329c/64','veth9bdb95ad','5a:c1:ea:5d:32:9c','5208431c-acd4-556a-bdf7-3121eda90c14',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37244,'70472638-df1d-5ad3-9c7a-2eef3b9d5922','veth841cd897','0a:a8:38:db:a3:74','fe80::8a8:38ff:fedb:a374/64','veth841cd897','0a:a8:38:db:a3:74','70472638-df1d-5ad3-9c7a-2eef3b9d5922',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37245,'6ace3a5a-6a29-5bd3-95ff-3625c73bf035','eth0','02:42:c0:a8:c0:07','192.168.192.7','vethf8c0e37','76:77:45:f8:0e:5a',NULL,'namespace-net:[4026534602]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37246,'e7b404e5-33c4-5d2e-9685-28d4aa0de6fb','eth0','92:8b:31:ea:74:87','10.244.3.3','veth5f6ae6bb','a2:8f:a9:88:7e:4d',NULL,'namespace-net:[4026532329]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37247,'a66d7b45-208f-53f9-bd3e-8c367ddad1f7','vethf3fa6f6a','3e:ac:cd:ce:5e:09','fe80::3cac:cdff:fece:5e09/64','vethf3fa6f6a','3e:ac:cd:ce:5e:09','a66d7b45-208f-53f9-bd3e-8c367ddad1f7',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37248,'0bae8ddd-bbaa-522b-a9e8-1237336ce387','eth0','02:42:c0:a8:30:02','192.168.48.2','vethed2d14a','be:05:82:a4:5e:fc',NULL,'namespace-net:[4026532813]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37249,'b9cc77f8-7670-5260-b764-69a1b7fab6ea','eth0','1e:19:d5:31:56:4e','10.244.1.66',NULL,NULL,NULL,'namespace-net:[4026535654]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37250,'a2570379-8fc2-5c14-9087-8ab9a9dcd36d','vethcd180e9a','2e:c2:0a:70:07:2e','fe80::2cc2:aff:fe70:72e/64','vethcd180e9a','2e:c2:0a:70:07:2e','a2570379-8fc2-5c14-9087-8ab9a9dcd36d',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37251,'12110856-47b0-5ac7-9d07-32db0fe9ed91','docker0','02:42:42:aa:e3:46','172.18.0.1/16,fe80::42:42ff:feaa:e346/64','docker0','02:42:42:aa:e3:46','12110856-47b0-5ac7-9d07-32db0fe9ed91',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37252,'db5b7cef-a903-5e31-8623-0f00b8eb697b','eth0','16:90:4f:89:f4:5a','10.244.1.63',NULL,NULL,NULL,'namespace-net:[4026535654]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37253,'074fc026-6a4b-5f52-b172-523889957b2f','br-9647824c690d','02:42:29:f7:79:cc','192.168.16.1/20','br-9647824c690d','02:42:29:f7:79:cc','074fc026-6a4b-5f52-b172-523889957b2f',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37254,'5cee0338-b44a-578b-8129-bb29546471c1','eth0','02:42:c0:a8:c0:05','192.168.192.5','veth37d1e2d','ba:6e:c3:d8:1e:0f',NULL,'namespace-net:[4026534456]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37255,'780c306c-5da7-504f-8868-062e67f41ca9','br-c1c5d3ff419d','02:42:48:54:cc:48','172.28.0.1/16','br-c1c5d3ff419d','02:42:48:54:cc:48','780c306c-5da7-504f-8868-062e67f41ca9',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37256,'d0908672-a316-5993-b16b-aec777aaae9e','eth0','92:9f:d9:ea:82:0b','10.244.0.55','veth413accf2','6a:53:3c:49:2e:63',NULL,'namespace-net:[4026532880]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37257,'0fb8278b-8c0d-5029-afdc-419103570ee0','veth413accf2','6a:53:3c:49:2e:63','fe80::6853:3cff:fe49:2e63/64','veth413accf2','6a:53:3c:49:2e:63','0fb8278b-8c0d-5029-afdc-419103570ee0',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37258,'4e0862fc-46d3-597e-a76b-910c5f0976e8','eth0','96:12:88:83:0e:71','10.244.3.58',NULL,NULL,NULL,'namespace-net:[4026533851]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37259,'c881bf62-3b4a-5be7-a1bd-489adc600b5c','br-07da3f5a80a2','02:42:2a:99:c1:ce','172.23.0.1/16','br-07da3f5a80a2','02:42:2a:99:c1:ce','c881bf62-3b4a-5be7-a1bd-489adc600b5c',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37260,'92dd63fc-b05a-5306-abc2-089c8e6003b7','eth0','1a:0d:b8:f0:c2:f6','10.244.1.58','vethef7c9a6c','be:2a:8e:d1:b0:3b',NULL,'namespace-net:[4026535289]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37261,'60591801-d349-5b97-8d10-e06acd17e6b6','eth0','02:42:ac:17:00:04','172.23.0.4','veth0f3f326','26:1e:b6:21:4d:17',NULL,'namespace-net:[4026532292]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37262,'93a40d3f-af14-5a9e-857b-f0a4e007860e','eth0','ae:ac:bc:53:23:9b','10.244.3.40','veth64987213','1a:85:f3:37:73:b7',NULL,'namespace-net:[4026533195]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37263,'b60d39ba-112a-5f1d-834e-7f2ab9b43f32','br-7ba665b3e9cb','02:42:d7:85:7f:4f','192.168.96.1/20','br-7ba665b3e9cb','02:42:d7:85:7f:4f','b60d39ba-112a-5f1d-834e-7f2ab9b43f32',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37264,'d0e5517e-0e2e-5d1f-9287-c5d422b23252','eth0','02:42:ac:12:00:02','172.18.0.2','veth6734296','b2:f9:50:53:e2:52',NULL,'namespace-net:[4026532338]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37265,'cc023969-c165-58d2-aab3-0028e6377e57','cni0','52:7a:5c:e9:a3:4d','10.244.0.1/24,fe80::92:a4ff:fea8:8b75/64','cni0','52:7a:5c:e9:a3:4d','cc023969-c165-58d2-aab3-0028e6377e57',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37266,'57647a95-6489-5d59-ad45-515f2c828f8d','vethaedcc4fa','ba:75:f0:a3:20:25','fe80::b875:f0ff:fea3:2025/64','vethaedcc4fa','ba:75:f0:a3:20:25','57647a95-6489-5d59-ad45-515f2c828f8d',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37267,'f7438935-3855-50c3-975f-e372bb449910','eth0','8a:6b:fa:c4:69:15','10.244.3.54',NULL,NULL,NULL,'namespace-net:[4026533851]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37268,'cf0899ca-1fa6-5f60-a97e-9886ed978b0a','eth0','02:42:ac:19:00:02','172.25.0.2','vethc3a466b','2a:1f:fa:9d:65:b4',NULL,'namespace-net:[4026532228]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37269,'00c50cf6-3e70-5e9d-9eda-a8548122b6a4','veth1a041616','8e:4a:95:7d:9d:ad','fe80::8c4a:95ff:fe7d:9dad/64','veth1a041616','8e:4a:95:7d:9d:ad','00c50cf6-3e70-5e9d-9eda-a8548122b6a4',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37270,'497c1e2e-3e33-5413-9ec0-44765442df4b','eth0','02:42:ac:1f:00:06','172.31.0.6','vethbbafc15','2e:43:89:db:29:67',NULL,'namespace-net:[4026533784]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37271,'3ce99122-27a0-5157-8516-f1ba7184ae30','eth0','72:a8:28:7e:cc:c4','10.244.3.39','veth75a2b8bf','8e:07:31:e4:9d:32',NULL,'namespace-net:[4026533091]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37272,'82794a86-b507-5346-8f08-22fd5244ef66','eth0','02:42:c0:a8:60:02','192.168.96.2','veth18a11be','92:53:0b:1e:9b:94',NULL,'namespace-net:[4026532749]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37273,'4039ea77-a915-5a46-a955-f01d4dabad8f','eth0','be:b3:45:09:62:1e','10.244.1.57',NULL,NULL,NULL,'namespace-net:[4026535289]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37274,'b74489f5-9371-5c9c-abfa-53256906c307','eth0','de:f7:92:25:1b:dc','10.244.1.64',NULL,NULL,NULL,'namespace-net:[4026535584]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37275,'5953f608-8bc7-56ab-bf5b-12736c37ab23','br-d3d59a9a06ac','02:42:08:99:93:ba','192.168.48.1/20','br-d3d59a9a06ac','02:42:08:99:93:ba','5953f608-8bc7-56ab-bf5b-12736c37ab23',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37276,'2337b79c-4825-5cdc-b767-d8aeeeef203a','eth0','02:42:c0:a8:c0:04','192.168.192.4','veth8d79f09','46:9a:18:16:81:da',NULL,'namespace-net:[4026533519]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37277,'14486e23-c122-5584-9cc4-a8e7d752301f','eth0','02:42:ac:1f:00:03','172.31.0.3','veth924002c','8e:30:fe:27:04:b7',NULL,'namespace-net:[4026533203]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37278,'e7bf5197-a815-530b-a446-4ccb30896819','br-05ecaef781d0','02:42:cf:d5:fd:00','172.26.0.1/16','br-05ecaef781d0','02:42:cf:d5:fd:00','e7bf5197-a815-530b-a446-4ccb30896819',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37279,'523dc765-d09c-5115-ba16-44e3ea0f1509','eth0','b2:8c:82:32:18:8f','10.244.0.53','veth3c46e1a6','b2:9e:f3:41:f6:5c',NULL,'namespace-net:[4026532668]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37280,'061ca8f9-2938-59ae-bf96-56849bebb922','eth0','02:42:ac:19:00:04','172.25.0.4','veth0908092','06:bd:ca:56:ab:61',NULL,'namespace-net:[4026533267]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37281,'c4a892c0-2f5f-5716-a05f-ed630fb12f5c','eth0','42:4d:16:ef:09:e8','10.244.0.58','veth1a041616','8e:4a:95:7d:9d:ad',NULL,'namespace-net:[4026533068]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37282,'ac2a295a-1bf8-5f00-9cc0-0fa744facf87','veth5f6ae6bb','a2:8f:a9:88:7e:4d','fe80::a08f:a9ff:fe88:7e4d/64','veth5f6ae6bb','a2:8f:a9:88:7e:4d','ac2a295a-1bf8-5f00-9cc0-0fa744facf87',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37283,'c2ca5e1b-f3cd-5d14-80b8-72dd884fc64c','veth5c528080','96:52:eb:d7:8a:25','fe80::9452:ebff:fed7:8a25/64','veth5c528080','96:52:eb:d7:8a:25','c2ca5e1b-f3cd-5d14-80b8-72dd884fc64c',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37284,'efe2febb-47c0-5d1e-b1d2-4ccd89f5c16f','eth0','5e:88:2e:29:b6:bd','10.244.1.38','veth5ee539e7','16:56:7a:d3:f8:6b',NULL,'namespace-net:[4026534995]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37285,'5af1a2c7-ea95-54a6-98e2-a9c2e396806e','br-9b74ddd3bbc6','02:42:1d:22:36:11','192.168.224.1/20','br-9b74ddd3bbc6','02:42:1d:22:36:11','5af1a2c7-ea95-54a6-98e2-a9c2e396806e',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37286,'09c512ec-135a-5c77-8338-6b533265930c','eth0','7e:c3:41:0c:f5:f1','10.244.3.57',NULL,NULL,NULL,'namespace-net:[4026534055]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37287,'e463a9ac-ed57-5684-906e-92007d56b4f3','br-2ec27ba95b8a','02:42:17:d4:7b:d0','172.31.0.1/16','br-2ec27ba95b8a','02:42:17:d4:7b:d0','e463a9ac-ed57-5684-906e-92007d56b4f3',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37288,'9ce527a9-e741-53ae-9d01-001f0a79fd66','eth0','02:42:ac:19:00:03','172.25.0.3','vethe70d096','8e:d5:d4:66:3e:1e',NULL,'namespace-net:[4026532492]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37289,'939641bb-91d7-5b2e-b107-bed2333a5af5','eth0','7a:55:d4:d5:00:48','10.244.3.2','vethaedcc4fa','ba:75:f0:a3:20:25',NULL,'namespace-net:[4026532221]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37290,'09af8b5c-4e01-5c55-ad9b-cf96f0ef7313','br-844d74854977','02:42:3f:d3:8b:f6','192.168.240.1/20','br-844d74854977','02:42:3f:d3:8b:f6','09af8b5c-4e01-5c55-ad9b-cf96f0ef7313',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37291,'6db571f5-3062-5557-b0de-0503a7957a14','veth410b711','7a:1d:ff:f6:54:9d','fe80::781d:ffff:fef6:549d/64','veth410b711','7a:1d:ff:f6:54:9d','6db571f5-3062-5557-b0de-0503a7957a14',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37292,'8312c70c-d329-58ed-91bb-27e277f99ba4','eth0','ae:cc:83:63:75:44','10.244.3.61','vethe1d03df8','ce:6c:ee:e2:35:63',NULL,'namespace-net:[4026534166]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37293,'42ae2552-06a2-5edb-8fae-b5d6721878b9','eth0','02:42:ac:17:00:05','172.23.0.5','vethbbaa655','5a:89:52:e8:6d:e1',NULL,'namespace-net:[4026533857]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37294,'0ff27b18-bf96-50fe-81e4-ae55176d7f17','eth0','b2:ba:3d:b4:87:25','10.244.0.62',NULL,NULL,NULL,'namespace-net:[4026533238]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37295,'acb0828f-f6d7-594a-b3d1-3641ede6f8bb','docker0','02:42:86:31:bc:36','172.18.0.1/16','docker0','02:42:86:31:bc:36','acb0828f-f6d7-594a-b3d1-3641ede6f8bb',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37296,'50d3e06c-8b49-56fd-a15a-e5048551b6f0','eth0','02:47:a7:40:19:a2','10.244.3.42','veth65b61aa3','de:c9:25:d6:83:79',NULL,'namespace-net:[4026533418]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37297,'21b8674c-a6d1-5915-9d8e-44e9f0c23ab0','eth0','fa:4f:92:63:9d:c1','10.244.1.67',NULL,NULL,NULL,'namespace-net:[4026535654]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37298,'87f2b7bb-b4f3-5c92-9672-b01d48b8de3c','eth0','02:42:ac:19:00:06','172.25.0.6','veth78c55a1','0a:bc:5c:e8:c0:9e',NULL,'namespace-net:[4026533587]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37299,'50e6b4f7-8ad0-541d-b0c1-f9fc45ce3037','br-99d1bb08de10','02:42:ff:1a:5f:65','172.22.0.1/16','br-99d1bb08de10','02:42:ff:1a:5f:65','50e6b4f7-8ad0-541d-b0c1-f9fc45ce3037',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37300,'2f4e283a-e144-5c60-91d6-a416e3e83b8c','eth0','1a:43:39:c7:cc:81','10.244.0.59','veth9ef44d33','ce:44:a0:1e:a9:fb',NULL,'namespace-net:[4026533153]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37301,'6d557ae3-9705-5c9e-9ddd-ddd015b57017','cni0','ee:47:bb:f1:45:b7','10.244.3.1/24,fe80::ec47:bbff:fef1:45b7/64','cni0','ee:47:bb:f1:45:b7','6d557ae3-9705-5c9e-9ddd-ddd015b57017',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37302,'4eacf01b-5b07-571e-b03e-18afb40504ea','eth0','72:83:5e:b7:90:68','10.244.3.53',NULL,NULL,NULL,'namespace-net:[4026533953]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37303,'1c850c86-7317-5c8e-8ad5-f05777a176f1','br-e907127c7c59','02:42:35:a4:7f:7e','172.21.0.1/16','br-e907127c7c59','02:42:35:a4:7f:7e','1c850c86-7317-5c8e-8ad5-f05777a176f1',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37304,'ffd9d7ea-feb2-5fb7-9b26-c44d7b1825e2','eth0','00:16:3e:2c:15:02','172.17.213.200/20,fe80::216:3eff:fe2c:1502/64','eth0','00:16:3e:2c:15:02','ffd9d7ea-feb2-5fb7-9b26-c44d7b1825e2',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37305,'4a88ca8f-8fee-5b91-b28d-2e66e2e04880','eth0','aa:6b:9b:3d:c2:f3','10.244.3.60','veth73811ff1','3e:00:27:33:36:88',NULL,'namespace-net:[4026534057]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37306,'91383336-75c0-5205-a3cf-036be6ef11f9','eth0','02:42:c0:a8:40:02','192.168.64.2','vethfb2017f','9a:c2:b7:ec:83:50',NULL,'namespace-net:[4026532498]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37307,'09c35a9c-9917-54ca-a7c6-915b55abd1d4','eth0','ea:bc:f0:51:72:35','10.244.1.56','veth88af8737','4a:b4:06:39:10:04',NULL,'namespace-net:[4026535207]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37308,'860c8220-0409-599e-b747-b2347eea5e51','eth0','5a:0a:2d:79:bb:11','10.244.1.54','vethcf25539e','7e:42:ae:33:51:4b',NULL,'namespace-net:[4026534985]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37309,'05ee90cd-00ef-5c3c-b0d1-27b0166bdffe','eth0','02:42:ac:12:00:05','172.18.0.5','veth3d849d9','92:8a:42:ba:2b:4b',NULL,'namespace-net:[4026533973]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37310,'8e251ae7-fb91-5e80-ba6c-8569bfee8f98','br-7900cdeb7f4b','02:42:8e:83:0d:0b','192.168.64.1/20,fe80::42:8eff:fe83:d0b/64','br-7900cdeb7f4b','02:42:8e:83:0d:0b','8e251ae7-fb91-5e80-ba6c-8569bfee8f98',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37311,'2285a28b-5949-507e-b3a7-86d316ffdbb4','eth0','be:85:a7:13:0a:0e','10.244.1.55','veth74e34c48','e2:b1:fd:9a:41:5d',NULL,'namespace-net:[4026535135]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37312,'23c5a088-23f2-5cfd-aa52-225dbc28795d','eth0','0a:c6:50:89:d8:e6','10.244.1.49','veth8b14b295','5e:12:23:6a:e7:20',NULL,'namespace-net:[4026534672]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37313,'f5369ada-7934-590e-aedc-0ac8b4e88faf','br-25f9226710e9','02:42:ae:9c:96:d5','172.24.0.1/16','br-25f9226710e9','02:42:ae:9c:96:d5','f5369ada-7934-590e-aedc-0ac8b4e88faf',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37314,'b6ed372c-c9e2-5308-b46c-e1417f8405a6','veth65b61aa3','de:c9:25:d6:83:79','fe80::dcc9:25ff:fed6:8379/64','veth65b61aa3','de:c9:25:d6:83:79','b6ed372c-c9e2-5308-b46c-e1417f8405a6',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37315,'50168016-3bff-5c1d-9d86-4f9699929864','eth0','02:42:ac:1f:00:04','172.31.0.4','veth96475c3','5e:3a:3c:c2:20:8f',NULL,'namespace-net:[4026533715]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37316,'f17dcb79-b1cf-5e9f-90cd-04c2b746049f','br-6fe33026cadf','02:42:eb:65:48:b1','172.25.0.1/16','br-6fe33026cadf','02:42:eb:65:48:b1','f17dcb79-b1cf-5e9f-90cd-04c2b746049f',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37317,'cc09e7c7-039f-5833-bc98-dd90c572b47f','eth0','2a:6c:25:69:5a:d3','10.244.1.65',NULL,NULL,NULL,'namespace-net:[4026535514]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37318,'17069cac-4d04-5c7d-b906-8ac1e1bc3c28','vethfb2017f','9a:c2:b7:ec:83:50','fe80::98c2:b7ff:feec:8350/64','vethfb2017f','9a:c2:b7:ec:83:50','17069cac-4d04-5c7d-b906-8ac1e1bc3c28',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37319,'8c374dad-a68b-576b-8df6-e1f9141918fc','veth9ef44d33','ce:44:a0:1e:a9:fb','fe80::cc44:a0ff:fe1e:a9fb/64','veth9ef44d33','ce:44:a0:1e:a9:fb','8c374dad-a68b-576b-8df6-e1f9141918fc',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37320,'f5a6d04b-6959-52c2-b549-962cf0b2b616','eth0','06:5d:86:41:9e:ab','10.244.3.51',NULL,NULL,NULL,'namespace-net:[4026533851]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37321,'44af3b50-7cf6-5e08-b835-973d40710e79','eth0','02:42:c0:a8:c0:02','192.168.192.2','veth88b58da','be:ad:15:8d:70:61',NULL,'namespace-net:[4026533075]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37322,'52eb1698-bcee-507b-98af-0aeddbaf1ede','eth0','46:6f:f4:5a:46:cd','10.244.3.4','veth779a1720','ae:ba:81:4e:80:ba',NULL,'namespace-net:[4026532431]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37323,'20ec8cf0-5cf4-557c-b964-64481ac139a0','eth0','8a:d5:67:49:fa:4c','10.244.3.50','veth760cdf72','a2:24:9c:62:6a:89',NULL,'namespace-net:[4026533741]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37324,'f4c7e5de-1a18-5e23-bfdb-c40c9f564e41','kube-ipvs0','a2:e7:05:a1:8a:22','10.101.159.140/32,10.96.0.10/32,10.101.9.68/32,10.108.185.245/32,10.107.237.139/32,10.99.48.91/32,10.96.0.1/32,10.108.62.249/32,10.101.201.139/32,10.97.201.47/32,10.108.100.80/32,10.106.247.164/32,10.100.130.198/32,10.100.58.167/32,10.106.43.67/32,10.106.65.97/32,10.109.170.24/32,10.97.196.18/32,10.99.229.63/32,10.108.252.135/32,10.111.139.130/32,10.107.146.217/32,10.108.175.73/32,10.103.233.132/32,10.101.32.234/32,10.104.255.195/32','kube-ipvs0','a2:e7:05:a1:8a:22','f4c7e5de-1a18-5e23-bfdb-c40c9f564e41',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37325,'c028e96a-5b41-55b5-9a00-d7a3b8006dbf','veth48095dd6','1a:dc:2d:01:c0:62','fe80::18dc:2dff:fe01:c062/64','veth48095dd6','1a:dc:2d:01:c0:62','c028e96a-5b41-55b5-9a00-d7a3b8006dbf',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37326,'75893e82-e2b4-5903-aa88-600aaff6b046','eth0','3a:f3:fd:d3:2c:d9','10.244.3.59','veth65af5d10','66:24:a9:96:b3:4f',NULL,'namespace-net:[4026533955]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37327,'6af167cd-5407-50cf-99cc-9167474a9705','eth0','02:42:ac:12:00:04','172.18.0.4','veth0bc3010','9a:d7:1c:28:b4:1d',NULL,'namespace-net:[4026532561]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37328,'eed79a61-ebdb-5a8f-add4-6d516b885ecc','eth0','02:42:ac:13:00:02','172.19.0.2','vethe1d8e73','2a:a4:e8:32:00:83',NULL,'namespace-net:[4026533921]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37329,'fa956a36-f159-506d-a457-f5eab26bde41','veth64987213','1a:85:f3:37:73:b7','fe80::1885:f3ff:fe37:73b7/64','veth64987213','1a:85:f3:37:73:b7','fa956a36-f159-506d-a457-f5eab26bde41',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37330,'9457ed41-d43d-525b-8f6b-158e71d068ec','eth0','3a:2b:03:28:8b:af','10.244.3.32','veth841cd897','0a:a8:38:db:a3:74',NULL,'namespace-net:[4026532769]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37331,'9855235a-0745-548a-b128-16e7a45f072c','veth3e3d92c7','aa:69:55:0d:0a:d6','fe80::a869:55ff:fe0d:ad6/64','veth3e3d92c7','aa:69:55:0d:0a:d6','9855235a-0745-548a-b128-16e7a45f072c',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37332,'0e43baa5-20f4-5966-8e81-c6092a2c37e7','br-a3cb13184d23','02:42:db:c7:63:07','192.168.144.1/20','br-a3cb13184d23','02:42:db:c7:63:07','0e43baa5-20f4-5966-8e81-c6092a2c37e7',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37333,'7526a1ef-d424-5648-ab9f-f22f6ce3fef1','br-87a943a81db7','02:42:8a:d6:7e:2f','172.27.0.1/16','br-87a943a81db7','02:42:8a:d6:7e:2f','7526a1ef-d424-5648-ab9f-f22f6ce3fef1',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37334,'7dad7a11-8739-583f-9875-b061970a0df2','veth779a1720','ae:ba:81:4e:80:ba','fe80::acba:81ff:fe4e:80ba/64','veth779a1720','ae:ba:81:4e:80:ba','7dad7a11-8739-583f-9875-b061970a0df2',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37335,'f45aa8b2-64b1-5fd1-aadd-1b8973e7b1e5','eth0','02:42:c0:a8:c0:06','192.168.192.6','vethf20daca','82:b4:ef:0d:a7:0e',NULL,'namespace-net:[4026534528]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37336,'d106dd69-bc6c-5669-afc0-6f5335fabd4d','eth0','02:42:ac:1f:00:05','172.31.0.5','vethdc7bb57','5e:98:7b:27:21:3b',NULL,'namespace-net:[4026533459]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37337,'41df968b-3261-5677-946b-f1c3558bbcf3','eth0','02:42:c0:a8:50:03','192.168.80.3','veth763d54c','7a:81:35:b2:28:51',NULL,'namespace-net:[4026532418]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37338,'253da8da-6001-5c8f-a6cb-459996fd8a09','eth0','b6:78:74:2a:6c:e5','10.244.3.38','veth48095dd6','1a:dc:2d:01:c0:62',NULL,'namespace-net:[4026532981]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37339,'2a76521d-b216-5364-84e3-ddf631829b8b','kube-ipvs0','ce:52:d5:7a:27:ff','10.108.62.249/32,10.101.9.68/32,10.107.237.139/32,10.96.0.1/32,10.96.0.10/32,10.101.159.140/32,10.108.185.245/32,10.99.48.91/32,10.101.201.139/32,10.97.201.47/32,10.108.100.80/32,10.106.247.164/32,10.100.58.167/32,10.106.65.97/32,10.106.43.67/32,10.100.130.198/32,10.109.170.24/32,10.97.196.18/32,10.99.229.63/32,10.108.252.135/32,10.107.146.217/32,10.111.139.130/32,10.108.175.73/32,10.103.233.132/32,10.101.32.234/32,10.104.255.195/32','kube-ipvs0','ce:52:d5:7a:27:ff','2a76521d-b216-5364-84e3-ddf631829b8b',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37340,'2ebbaf6e-57e4-5ba7-aa73-432518321845','eth0','4a:47:d2:64:45:9c','10.244.3.49','veth0a30efc4','de:ab:ba:59:67:64',NULL,'namespace-net:[4026533637]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37341,'86143201-6788-5e7f-ae1d-b45880618b8a','eth0','82:0c:2b:d2:75:fc','10.244.1.62',NULL,NULL,NULL,'namespace-net:[4026535584]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37342,'ed63ece5-aa80-5ca7-acae-e2adaf99e005','br-998e7a0ec3ff','02:42:d8:33:dd:60','172.29.0.1/16','br-998e7a0ec3ff','02:42:d8:33:dd:60','ed63ece5-aa80-5ca7-acae-e2adaf99e005',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37343,'0ea38d95-5619-52a7-9fcd-0d4fa1b3434f','eth0','92:d9:36:f7:b7:6a','10.244.1.50','veth65118bec','42:c9:64:89:4b:c3',NULL,'namespace-net:[4026534747]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37344,'d4189ff6-9e58-5c03-83e9-d676de3ff8de','eth0','02:42:ac:19:00:05','172.25.0.5','vethf8f4774','8e:be:98:cb:27:6c',NULL,'namespace-net:[4026533651]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37345,'ea16fe00-18ac-5ef9-8212-f56ff268a5ac','eth0','c2:a5:d4:eb:2a:ad','10.244.0.57',NULL,NULL,NULL,'namespace-net:[4026533068]','docker-container','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37346,'4818f6b4-0f0c-5f64-a72d-0246e98d5ea6','eth0','3e:36:f7:7e:a0:d2','10.244.3.55',NULL,NULL,NULL,'namespace-net:[4026533953]','docker-container','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw'),(37347,'33a320d4-fe3a-5273-95be-28e1ad750b53','br-aaeeee560ca1','02:42:34:bc:01:37','192.168.208.1/20','br-aaeeee560ca1','02:42:34:bc:01:37','33a320d4-fe3a-5273-95be-28e1ad750b53',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37348,'683900a2-baf6-5d5c-999d-54d51c70ba7d','kube-ipvs0','3e:7a:e1:d7:4c:fc','10.99.48.91/32,10.108.185.245/32,10.96.0.10/32,10.108.62.249/32,10.101.9.68/32,10.107.237.139/32,10.101.159.140/32,10.96.0.1/32,10.101.201.139/32,10.97.201.47/32,10.108.100.80/32,10.106.247.164/32,10.106.65.97/32,10.100.58.167/32,10.106.43.67/32,10.100.130.198/32,10.109.170.24/32,10.97.196.18/32,10.99.229.63/32,10.108.252.135/32,10.107.146.217/32,10.111.139.130/32,10.108.175.73/32,10.101.32.234/32,10.104.255.195/32,10.103.233.132/32','kube-ipvs0','3e:7a:e1:d7:4c:fc','683900a2-baf6-5d5c-999d-54d51c70ba7d',NULL,'docker-host','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37349,'ddd2e4a1-357a-5f70-bc6b-a1ddd632e7da','eth0','02:42:c0:a8:90:02','192.168.144.2','vethc2ad237','8a:27:d5:45:1f:7f',NULL,'namespace-net:[4026534049]','docker-container','172.17.172.137','172.17.172.136','2023-03-10 14:06:51',2,'d-riaItWzFKw'),(37350,'f6068a22-9269-5773-8533-5a5abc78b1ca','veth8f67d883','42:a9:b6:c3:eb:c8','fe80::40a9:b6ff:fec3:ebc8/64','veth8f67d883','42:a9:b6:c3:eb:c8','f6068a22-9269-5773-8533-5a5abc78b1ca',NULL,'docker-host','172.17.213.200','172.17.172.136','2023-03-10 14:07:34',1,'d-riaItWzFKw'),(37351,'3e8f7c5d-c5ba-5da8-b6a2-6d0266c561fa','docker0','02:42:95:60:6a:38','172.18.0.1/16','docker0','02:42:95:60:6a:38','3e8f7c5d-c5ba-5da8-b6a2-6d0266c561fa',NULL,'docker-host','172.17.172.136','172.17.172.136','2023-03-10 14:07:37',3,'d-riaItWzFKw');
/*!40000 ALTER TABLE `go_genesis_vinterface` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `go_genesis_vm`
--

DROP TABLE IF EXISTS `go_genesis_vm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `go_genesis_vm` (
  `id` int NOT NULL AUTO_INCREMENT,
  `lcuuid` char(64) DEFAULT NULL,
  `name` varchar(256) DEFAULT NULL,
  `label` char(64) DEFAULT NULL,
  `vpc_lcuuid` char(64) DEFAULT NULL,
  `launch_server` char(64) DEFAULT NULL,
  `node_ip` char(48) DEFAULT NULL,
  `state` int DEFAULT NULL,
  `vtap_id` int DEFAULT NULL,
  `created_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `go_genesis_vm`
--

LOCK TABLES `go_genesis_vm` WRITE;
/*!40000 ALTER TABLE `go_genesis_vm` DISABLE KEYS */;
/*!40000 ALTER TABLE `go_genesis_vm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `go_genesis_vpc`
--

DROP TABLE IF EXISTS `go_genesis_vpc`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `go_genesis_vpc` (
  `id` int NOT NULL AUTO_INCREMENT,
  `lcuuid` char(64) DEFAULT NULL,
  `node_ip` char(48) DEFAULT NULL,
  `vtap_id` int DEFAULT NULL,
  `name` varchar(256) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_0900_ai_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `go_genesis_vpc`
--

LOCK TABLES `go_genesis_vpc` WRITE;
/*!40000 ALTER TABLE `go_genesis_vpc` DISABLE KEYS */;
/*!40000 ALTER TABLE `go_genesis_vpc` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `group_acl`
--

DROP TABLE IF EXISTS `group_acl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `group_acl` (
  `id` int NOT NULL AUTO_INCREMENT,
  `group_id` int NOT NULL,
  `acl_id` int NOT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `group_acl`
--

LOCK TABLES `group_acl` WRITE;
/*!40000 ALTER TABLE `group_acl` DISABLE KEYS */;
/*!40000 ALTER TABLE `group_acl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `host_device`
--

DROP TABLE IF EXISTS `host_device`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `host_device` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type` int DEFAULT NULL COMMENT '1.Server 3.Gateway 4.DFI',
  `state` int DEFAULT NULL COMMENT '0.Temp 1.Creating 2.Complete 3.Modifying 4.Exception',
  `name` varchar(256) DEFAULT NULL,
  `alias` char(64) DEFAULT NULL,
  `description` varchar(256) DEFAULT NULL,
  `ip` char(64) DEFAULT NULL,
  `htype` int DEFAULT NULL COMMENT '1. Xen host 2. VMware host 3. KVM host 4. Public cloud host 5. Hyper-V',
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `user_name` varchar(64) DEFAULT NULL,
  `user_passwd` varchar(64) DEFAULT NULL,
  `vcpu_num` int DEFAULT '0',
  `mem_total` int DEFAULT '0' COMMENT 'unit: M',
  `rack` varchar(64) DEFAULT NULL,
  `rackid` int DEFAULT NULL,
  `topped` int DEFAULT '0',
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT '',
  `domain` char(64) NOT NULL DEFAULT '',
  `extra_info` text,
  `lcuuid` char(64) DEFAULT NULL,
  `synced_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`,`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `host_device`
--

LOCK TABLES `host_device` WRITE;
/*!40000 ALTER TABLE `host_device` DISABLE KEYS */;
/*!40000 ALTER TABLE `host_device` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `ip_resource`
--

DROP TABLE IF EXISTS `ip_resource`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `ip_resource` (
  `id` int NOT NULL AUTO_INCREMENT,
  `ip` char(64) DEFAULT NULL,
  `alias` char(64) DEFAULT NULL,
  `netmask` int DEFAULT NULL,
  `gateway` char(64) DEFAULT NULL,
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `userid` int DEFAULT '0',
  `isp` int DEFAULT NULL,
  `vifid` int DEFAULT '0',
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) NOT NULL,
  `region` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`,`domain`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `ip_resource`
--

LOCK TABLES `ip_resource` WRITE;
/*!40000 ALTER TABLE `ip_resource` DISABLE KEYS */;
INSERT INTO `ip_resource` VALUES (7,'172.17.172.136','',32,'0.0.0.0',0,0,7,173,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','a3325342-88b7-54fd-9d40-a60c5e3ea302'),(8,'172.17.213.200','',32,'0.0.0.0',0,0,7,175,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','61c4e61b-3b33-538c-8c6e-49d0f8f55271'),(9,'172.17.172.137','',32,'0.0.0.0',0,0,7,178,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','06e1def4-322b-517c-ada1-dd3bf7ca4e07');
/*!40000 ALTER TABLE `ip_resource` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `kubernetes_cluster`
--

DROP TABLE IF EXISTS `kubernetes_cluster`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `kubernetes_cluster` (
  `id` int NOT NULL AUTO_INCREMENT,
  `cluster_id` varchar(256) NOT NULL,
  `value` varchar(256) NOT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `synced_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cluster_id` (`cluster_id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `kubernetes_cluster`
--

LOCK TABLES `kubernetes_cluster` WRITE;
/*!40000 ALTER TABLE `kubernetes_cluster` DISABLE KEYS */;
INSERT INTO `kubernetes_cluster` VALUES (1,'d-riaItWzFKw','172.17.213.200-00:16:3e:2c:15:02','2022-12-07 10:13:43','2023-03-10 14:05:31');
/*!40000 ALTER TABLE `kubernetes_cluster` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `label`
--

DROP TABLE IF EXISTS `label`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `label` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) COLLATE utf8mb3_bin NOT NULL,
  `type` int NOT NULL COMMENT '1-resource topo',
  `host_id` int DEFAULT NULL,
  `epc_ids` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `subnet_ids` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `security_group_ids` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `vm_ids` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `ips` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `lcuuid` char(64) COLLATE utf8mb3_bin DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `label`
--

LOCK TABLES `label` WRITE;
/*!40000 ALTER TABLE `label` DISABLE KEYS */;
/*!40000 ALTER TABLE `label` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb`
--

DROP TABLE IF EXISTS `lb`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lb` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `label` char(64) DEFAULT NULL,
  `model` int DEFAULT '0' COMMENT '1.Internal 2.External',
  `vip` char(64) DEFAULT '',
  `epc_id` int DEFAULT '0',
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT '',
  `domain` char(64) DEFAULT NULL,
  `uid` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb`
--

LOCK TABLES `lb` WRITE;
/*!40000 ALTER TABLE `lb` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_listener`
--

DROP TABLE IF EXISTS `lb_listener`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lb_listener` (
  `id` int NOT NULL AUTO_INCREMENT,
  `lb_id` int DEFAULT '0',
  `name` varchar(256) DEFAULT '',
  `ips` text COMMENT 'separated by ,',
  `snat_ips` text COMMENT 'separated by ,',
  `label` char(64) DEFAULT NULL,
  `port` int DEFAULT NULL,
  `protocol` char(64) DEFAULT '',
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_listener`
--

LOCK TABLES `lb_listener` WRITE;
/*!40000 ALTER TABLE `lb_listener` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_listener` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_target_server`
--

DROP TABLE IF EXISTS `lb_target_server`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lb_target_server` (
  `id` int NOT NULL AUTO_INCREMENT,
  `lb_id` int DEFAULT '0',
  `lb_listener_id` int DEFAULT '0',
  `epc_id` int DEFAULT '0',
  `type` int DEFAULT '0' COMMENT '1.VM 2.IP',
  `ip` char(64) DEFAULT NULL,
  `vm_id` int DEFAULT '0',
  `port` int DEFAULT NULL,
  `protocol` char(64) DEFAULT '',
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_target_server`
--

LOCK TABLES `lb_target_server` WRITE;
/*!40000 ALTER TABLE `lb_target_server` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_target_server` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `lb_vm_connection`
--

DROP TABLE IF EXISTS `lb_vm_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `lb_vm_connection` (
  `id` int NOT NULL AUTO_INCREMENT,
  `lb_id` int DEFAULT NULL,
  `vm_id` int DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `lb_vm_connection`
--

LOCK TABLES `lb_vm_connection` WRITE;
/*!40000 ALTER TABLE `lb_vm_connection` DISABLE KEYS */;
/*!40000 ALTER TABLE `lb_vm_connection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `license`
--

DROP TABLE IF EXISTS `license`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `license` (
  `id` int NOT NULL AUTO_INCREMENT,
  `status` int DEFAULT '0',
  `name` varchar(256) DEFAULT NULL,
  `value` blob,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `license`
--

LOCK TABLES `license` WRITE;
/*!40000 ALTER TABLE `license` DISABLE KEYS */;
/*!40000 ALTER TABLE `license` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `link`
--

DROP TABLE IF EXISTS `link`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `link` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) DEFAULT NULL,
  `src_net_ele_id` int DEFAULT NULL COMMENT 'network element id',
  `dst_net_ele_id` int DEFAULT NULL COMMENT 'network element id',
  `src_tap_type` int DEFAULT NULL,
  `dst_tap_type` int DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `link`
--

LOCK TABLES `link` WRITE;
/*!40000 ALTER TABLE `link` DISABLE KEYS */;
/*!40000 ALTER TABLE `link` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nat_gateway`
--

DROP TABLE IF EXISTS `nat_gateway`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `nat_gateway` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `label` char(64) DEFAULT NULL,
  `floating_ips` text COMMENT 'separated by ,',
  `epc_id` int DEFAULT '0',
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT '',
  `domain` char(64) DEFAULT NULL,
  `uid` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nat_gateway`
--

LOCK TABLES `nat_gateway` WRITE;
/*!40000 ALTER TABLE `nat_gateway` DISABLE KEYS */;
/*!40000 ALTER TABLE `nat_gateway` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nat_rule`
--

DROP TABLE IF EXISTS `nat_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `nat_rule` (
  `id` int NOT NULL AUTO_INCREMENT,
  `nat_id` int DEFAULT '0',
  `type` char(16) DEFAULT NULL,
  `protocol` char(64) DEFAULT NULL,
  `floating_ip` char(64) DEFAULT NULL,
  `floating_ip_port` int DEFAULT NULL,
  `fixed_ip` char(64) DEFAULT NULL,
  `fixed_ip_port` int DEFAULT NULL,
  `port_id` int DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nat_rule`
--

LOCK TABLES `nat_rule` WRITE;
/*!40000 ALTER TABLE `nat_rule` DISABLE KEYS */;
/*!40000 ALTER TABLE `nat_rule` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `nat_vm_connection`
--

DROP TABLE IF EXISTS `nat_vm_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `nat_vm_connection` (
  `id` int NOT NULL AUTO_INCREMENT,
  `nat_id` int DEFAULT NULL,
  `vm_id` int DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `nat_vm_connection`
--

LOCK TABLES `nat_vm_connection` WRITE;
/*!40000 ALTER TABLE `nat_vm_connection` DISABLE KEYS */;
/*!40000 ALTER TABLE `nat_vm_connection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `network_element`
--

DROP TABLE IF EXISTS `network_element`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `network_element` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) DEFAULT NULL,
  `alias` char(64) DEFAULT NULL,
  `type` int DEFAULT '1' COMMENT '1. Switch, 2. Firewall, 3. Router, 4. GateWay, 5. Internet, 6. Domain, 7.SpecialLine, 8.Other',
  `region` char(64) DEFAULT NULL,
  `create_method` int NOT NULL DEFAULT '0' COMMENT '0.user define 1.learning',
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `network_element`
--

LOCK TABLES `network_element` WRITE;
/*!40000 ALTER TABLE `network_element` DISABLE KEYS */;
/*!40000 ALTER TABLE `network_element` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npb_policy`
--

DROP TABLE IF EXISTS `npb_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `npb_policy` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) COLLATE utf8mb3_bin DEFAULT NULL,
  `state` int DEFAULT '1' COMMENT '0-disable; 1-enable',
  `business_id` int NOT NULL,
  `vni` int DEFAULT NULL,
  `npb_tunnel_id` int DEFAULT NULL,
  `distribute` tinyint(1) DEFAULT '1' COMMENT '0-drop, 1-distribute',
  `payload_slice` int DEFAULT NULL,
  `acl_id` int DEFAULT NULL,
  `policy_acl_group_id` int DEFAULT NULL,
  `vtap_ids` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `lcuuid` char(64) COLLATE utf8mb3_bin DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `npb_policy`
--

LOCK TABLES `npb_policy` WRITE;
/*!40000 ALTER TABLE `npb_policy` DISABLE KEYS */;
/*!40000 ALTER TABLE `npb_policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `npb_tunnel`
--

DROP TABLE IF EXISTS `npb_tunnel`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `npb_tunnel` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) NOT NULL,
  `ip` char(64) DEFAULT NULL,
  `type` int DEFAULT NULL COMMENT '(0-VXLAN；1-ERSPAN)',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `npb_tunnel`
--

LOCK TABLES `npb_tunnel` WRITE;
/*!40000 ALTER TABLE `npb_tunnel` DISABLE KEYS */;
/*!40000 ALTER TABLE `npb_tunnel` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pcap_policy`
--

DROP TABLE IF EXISTS `pcap_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pcap_policy` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) COLLATE utf8mb3_bin DEFAULT NULL,
  `state` int DEFAULT '1' COMMENT '0-disable; 1-enable',
  `business_id` int NOT NULL,
  `acl_id` int DEFAULT NULL,
  `vtap_ids` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `payload_slice` int DEFAULT NULL,
  `policy_acl_group_id` int DEFAULT NULL,
  `user_id` int DEFAULT NULL,
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `lcuuid` char(64) COLLATE utf8mb3_bin DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pcap_policy`
--

LOCK TABLES `pcap_policy` WRITE;
/*!40000 ALTER TABLE `pcap_policy` DISABLE KEYS */;
/*!40000 ALTER TABLE `pcap_policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `peer_connection`
--

DROP TABLE IF EXISTS `peer_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `peer_connection` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `label` char(64) DEFAULT NULL,
  `local_epc_id` int DEFAULT '0',
  `remote_epc_id` int DEFAULT '0',
  `local_region_id` int DEFAULT '0',
  `remote_region_id` int DEFAULT '0',
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `peer_connection`
--

LOCK TABLES `peer_connection` WRITE;
/*!40000 ALTER TABLE `peer_connection` DISABLE KEYS */;
/*!40000 ALTER TABLE `peer_connection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod`
--

DROP TABLE IF EXISTS `pod`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `alias` char(64) DEFAULT NULL,
  `label` text COMMENT 'separated by ,',
  `state` int NOT NULL COMMENT '0.Exception 1.Running',
  `pod_rs_id` int DEFAULT NULL,
  `pod_group_id` int DEFAULT NULL,
  `pod_namespace_id` int DEFAULT NULL,
  `pod_node_id` int DEFAULT NULL,
  `pod_cluster_id` int DEFAULT NULL,
  `epc_id` int DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=74 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod`
--

LOCK TABLES `pod` WRITE;
/*!40000 ALTER TABLE `pod` DISABLE KEYS */;
INSERT INTO `pod` VALUES (1,'deepflow-app-54886cd964-2xl2q','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow, component:deepflow-app, pod-template-hash:54886cd964',1,1,3,1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','4f984c17-b368-4751-83d0-b286a28495dc','2022-12-07 10:10:24','2023-03-10 09:48:35','2023-03-10 09:48:35'),(2,'deepflow-clickhouse-0','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:clickhouse, component:clickhouse, controller-revision-hash:deepflow-clickhouse-7f876f5578, statefulset.kubernetes.io/pod-name:deepflow-clickhouse-0',1,NULL,9,1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','27a1d27b-793a-5d56-82e8-7986fa1c6fa0','2022-12-07 10:10:25','2023-03-10 09:48:35','2023-03-10 09:48:35'),(3,'openebs-ndm-zp9np','','controller-revision-hash:7cff9d5c8d, name:openebs-ndm, openebs.io/component-name:ndm, openebs.io/version:3.3.0, pod-template-generation:1',1,NULL,11,2,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','3268d200-2fac-4d07-8c98-53662c4d6d96','2022-12-07 10:05:14','2023-03-10 09:48:35','2023-03-10 09:48:35'),(4,'openebs-ndm-cluster-exporter-866c974856-6r6bs','','name:openebs-ndm-cluster-exporter, openebs.io/component-name:ndm-cluster-exporter, openebs.io/version:3.3.0, pod-template-hash:866c974856',1,5,6,2,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','32435879-a7f5-43f5-821e-0d7ee369b080','2022-12-07 10:05:14','2023-03-10 09:48:35','2023-03-10 09:48:35'),(5,'coredns-6d4b75cb6d-z6j9z','','k8s-app:kube-dns, pod-template-hash:6d4b75cb6d',1,3,1,3,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','6a058186-aa69-4209-9802-5acba88697c1','2022-12-02 17:59:09','2023-03-10 13:48:35',NULL),(6,'openebs-ndm-ttqkq','','controller-revision-hash:7cff9d5c8d, name:openebs-ndm, openebs.io/component-name:ndm, openebs.io/version:3.3.0, pod-template-generation:1',1,NULL,11,2,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','07efd3dd-4797-49df-a9ae-a05e8aa87e6f','2022-12-07 10:05:14','2023-03-10 09:48:35','2023-03-10 09:48:35'),(7,'deepflow-server-5d75595844-qp7ld','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow, component:deepflow-server, pod-template-hash:5d75595844',1,8,4,1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','50b3a6da-600c-463f-8f6c-f87b6cccbf03','2022-12-07 10:10:24','2023-03-10 09:48:35','2023-03-10 09:48:35'),(8,'kube-flannel-ds-kjjpr','','app:flannel, controller-revision-hash:76bdc667d5, pod-template-generation:1, tier:node',1,NULL,13,5,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','71712c70-b82d-4e82-bd61-42c23c57753c','2022-12-05 14:07:23','2023-03-10 13:48:35',NULL),(9,'deepflow-grafana-7b5757d5f4-q4dfp','','app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:grafana, pod-template-hash:7b5757d5f4',1,4,7,1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','7357069f-f37f-4475-9d1f-1239bc150ca2','2022-12-07 10:10:24','2023-03-10 09:48:35','2023-03-10 09:48:35'),(10,'coredns-6d4b75cb6d-s8b5c','','k8s-app:kube-dns, pod-template-hash:6d4b75cb6d',1,3,1,3,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','a336b09c-bbba-4ae1-87fb-37fd7b89afc3','2022-12-02 17:59:09','2023-03-10 13:48:35',NULL),(11,'kube-proxy-dnqhh','','controller-revision-hash:5fccfcfc4b, k8s-app:kube-proxy, pod-template-generation:1',1,NULL,12,3,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','6fcb46e0-e4d6-42b0-97db-a951f8511fc8','2022-12-05 14:07:23','2023-03-10 09:48:35','2023-03-10 09:48:35'),(12,'openebs-ndm-node-exporter-w9r9b','','controller-revision-hash:688c765487, name:openebs-ndm-node-exporter, openebs.io/component-name:ndm-node-exporter, openebs.io/version:3.3.0, pod-template-generation:1',1,NULL,14,2,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','1c5b7f64-5d23-4337-a514-1f7ff00a1cb3','2022-12-07 10:05:14','2023-03-10 09:48:35','2023-03-10 09:48:35'),(13,'openebs-localpv-provisioner-dd977fdd5-7flf9','','name:openebs-localpv-provisioner, openebs.io/component-name:openebs-localpv-provisioner, openebs.io/version:3.3.0, pod-template-hash:dd977fdd5',1,6,8,2,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','cfe0d756-16e1-469d-b0f0-d3f4ece23aaa','2022-12-07 10:05:14','2023-03-10 09:48:35','2023-03-10 09:48:35'),(14,'deepflow-mysql-8bc7c7777-p4qcz','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:mysql, component:mysql, pod-template-hash:8bc7c7777',1,2,5,1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','266512b9-99b6-4e1a-b8fb-1a17d2874e9a','2022-12-07 10:10:24','2023-03-10 09:48:35','2023-03-10 09:48:35'),(15,'deepflow-agent-fdmhk','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow-agent, component:deepflow-agent, controller-revision-hash:78fb77bdff, pod-template-generation:1',1,NULL,10,1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','9a147a32-5f3a-4909-aa7e-f7c8ec6ba6af','2022-12-07 10:10:24','2023-03-10 09:48:35','2023-03-10 09:48:35'),(16,'kube-flannel-ds-5tmfs','','app:flannel, controller-revision-hash:76bdc667d5, pod-template-generation:1, tier:node',1,NULL,13,5,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','4eb92f81-9894-46ac-9f15-aac50ef03583','2022-12-02 17:59:39','2023-03-10 13:48:35',NULL),(17,'kube-proxy-k22dc','','controller-revision-hash:5fccfcfc4b, k8s-app:kube-proxy, pod-template-generation:1',1,NULL,12,3,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','f3091bf9-0b41-4cb2-90a8-919373914c29','2022-12-02 17:59:09','2023-03-10 09:48:35','2023-03-10 09:48:35'),(18,'deepflow-agent-s659p','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow-agent, component:deepflow-agent, controller-revision-hash:78fb77bdff, pod-template-generation:1',1,NULL,10,1,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','61a82704-263d-49cc-8eed-d6376c13eb43','2022-12-07 10:10:24','2023-03-10 09:48:35','2023-03-10 09:48:35'),(19,'openebs-ndm-operator-85886744bb-lc82q','','name:openebs-ndm-operator, openebs.io/component-name:ndm-operator, openebs.io/version:3.3.0, pod-template-hash:85886744bb',1,7,2,2,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','5cf7093a-c75c-43ee-86c5-4aaba71a34b4','2022-12-07 10:05:14','2023-03-10 09:48:35','2023-03-10 09:48:35'),(20,'openebs-ndm-node-exporter-8w2l7','','controller-revision-hash:688c765487, name:openebs-ndm-node-exporter, openebs.io/component-name:ndm-node-exporter, openebs.io/version:3.3.0, pod-template-generation:1',1,NULL,14,2,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','79db7fbf-1147-4891-8386-95596455c8bf','2022-12-07 10:05:14','2023-03-10 09:48:35','2023-03-10 09:48:35'),(21,'otel-agent-sgfjj','','app:opentelemetry, component:otel-agent, controller-revision-hash:6464c7f8b7, pod-template-generation:1',1,NULL,15,9,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','496f52da-1cc1-4311-8c83-935661f498f0','2022-12-07 10:15:03','2023-03-10 13:48:35',NULL),(22,'otel-agent-6jsl9','','app:opentelemetry, component:otel-agent, controller-revision-hash:6464c7f8b7, pod-template-generation:1',1,NULL,15,9,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','bc1efe80-93f8-4dcb-a766-880e196336a7','2022-12-07 10:19:18','2023-03-10 13:48:35',NULL),(23,'openebs-ndm-74fdr','','controller-revision-hash:7cff9d5c8d, name:openebs-ndm, openebs.io/component-name:ndm, openebs.io/version:3.3.0, pod-template-generation:1',1,NULL,32,10,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','6b712b51-3883-4470-9ce7-ba6e458c3e6a','2023-03-10 09:37:14','2023-03-10 13:48:35',NULL),(24,'deepflow-clickhouse-0','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:clickhouse, component:clickhouse, controller-revision-hash:deepflow-clickhouse-7f876f5578, statefulset.kubernetes.io/pod-name:deepflow-clickhouse-0',1,NULL,28,1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','866f353d-3588-561a-83ae-5fbcf6a659a3','2023-03-10 09:38:40','2023-03-10 13:48:35',NULL),(25,'deepflow-grafana-7b5757d5f4-fjz6d','','app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:grafana, pod-template-hash:7b5757d5f4',1,11,22,1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','22892aa9-7941-4c47-9f5d-5a7568ee9bfc','2023-03-10 09:38:40','2023-03-10 13:48:35',NULL),(26,'kube-flannel-ds-7nbdn','','app:flannel, controller-revision-hash:76bdc667d5, pod-template-generation:1, tier:node',1,NULL,13,5,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','31d4568c-2d46-4a70-aa72-64ccac3449ac','2023-02-28 14:55:37','2023-03-10 13:48:35',NULL),(27,'openebs-ndm-cluster-exporter-866c974856-gw6wv','','name:openebs-ndm-cluster-exporter, openebs.io/component-name:ndm-cluster-exporter, openebs.io/version:3.3.0, pod-template-hash:866c974856',1,14,18,10,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','71f7df39-ad62-43b5-8aa9-d40e31b42a76','2023-03-10 09:37:14','2023-03-10 13:48:35',NULL),(28,'openebs-ndm-nkkkf','','controller-revision-hash:7cff9d5c8d, name:openebs-ndm, openebs.io/component-name:ndm, openebs.io/version:3.3.0, pod-template-generation:1',1,NULL,32,10,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','f267a652-4af6-4ca1-ab4a-dda353a1d072','2023-03-10 09:37:14','2023-03-10 13:48:35',NULL),(29,'yunbao-manager-backed-85bbff9975-r9bk5','','app:yunbao-manager-backed, pod-template-hash:85bbff9975',1,9,19,11,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','3e46a6c7-b172-48db-8b50-f3aa7e9ddcdf','2023-03-03 13:23:57','2023-03-10 13:48:35',NULL),(30,'juicefs-csi-node-qg4fj','','app:juicefs-csi-node, app.kubernetes.io/instance:juicefs-csi-driver, app.kubernetes.io/name:juicefs-csi-driver, controller-revision-hash:7d466cf576, pod-template-generation:1',1,NULL,31,3,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','f8a29b0b-def5-4f87-989a-8cc7ce8b7f27','2023-02-28 16:35:16','2023-03-10 13:48:35',NULL),(31,'otel-agent-qwbtz','','app:opentelemetry, component:otel-agent, controller-revision-hash:6464c7f8b7, pod-template-generation:1',1,NULL,15,9,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','eba003b9-c508-4356-be8b-f7bd116f3e31','2023-02-28 15:23:35','2023-03-10 13:48:35',NULL),(32,'deepflow-app-54886cd964-lkl9h','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow, component:deepflow-app, pod-template-hash:54886cd964',1,16,21,1,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','80e9df13-c1f4-47a0-8ab2-9221c3c398e9','2023-03-10 09:38:40','2023-03-10 13:48:35',NULL),(33,'openebs-ndm-operator-85886744bb-5xbmf','','name:openebs-ndm-operator, openebs.io/component-name:ndm-operator, openebs.io/version:3.3.0, pod-template-hash:85886744bb',1,15,17,10,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','039c153d-edf6-434b-9d48-a92a3af0cefc','2023-03-10 09:37:14','2023-03-10 13:48:35',NULL),(34,'deepflow-mysql-8bc7c7777-mkhcj','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:mysql, component:mysql, pod-template-hash:8bc7c7777',1,17,24,1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','636be958-b680-4a21-8a34-aa9d39806b1c','2023-03-10 09:38:40','2023-03-10 13:48:35',NULL),(35,'yunbao-mobile-backed-84c6b96df7-7bt6s','','app:yunbao-mobile-backed, pod-template-hash:84c6b96df7',1,10,27,11,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','a9831f3e-e55c-40d8-958d-62cc7119da81','2023-03-03 13:25:26','2023-03-10 13:48:35',NULL),(36,'yunbao-server-backed-7cdd9b6d8d-zw2s5','','app:yunbao-server-backed, pod-template-hash:7cdd9b6d8d',1,18,26,11,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','71d96ce4-aadb-4827-bcdc-78c16838b20a','2023-03-02 17:32:41','2023-03-10 13:48:35',NULL),(37,'deepflow-agent-m97jd','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow-agent, component:deepflow-agent, controller-revision-hash:78fb77bdff, pod-template-generation:1',1,NULL,30,1,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','548afe21-3bc2-4239-a5f6-d6d57e26cdaf','2023-03-10 09:38:40','2023-03-10 13:48:35',NULL),(38,'kube-proxy-vsmhx','','controller-revision-hash:5fccfcfc4b, k8s-app:kube-proxy, pod-template-generation:1',1,NULL,12,3,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','56741571-c101-4853-be63-d959549ef43d','2023-03-03 09:54:35','2023-03-10 13:48:35',NULL),(39,'metrics-server-79757969d9-wpwlf','','k8s-app:metrics-server, pod-template-hash:79757969d9',1,19,23,3,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','f22a04bd-4ade-412c-9117-979a98772b70','2022-12-07 16:44:25','2023-03-10 13:48:35',NULL),(40,'openebs-ndm-mf7bn','','controller-revision-hash:7cff9d5c8d, name:openebs-ndm, openebs.io/component-name:ndm, openebs.io/version:3.3.0, pod-template-generation:1',1,NULL,32,10,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','f5248233-792d-4bb0-aa1f-10551f22c8bc','2023-03-10 09:37:14','2023-03-10 13:48:35',NULL),(41,'openebs-ndm-node-exporter-97lhz','','controller-revision-hash:688c765487, name:openebs-ndm-node-exporter, openebs.io/component-name:ndm-node-exporter, openebs.io/version:3.3.0, pod-template-generation:1',1,NULL,33,10,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','79ccfcdd-578e-42a0-b54d-eb9327b1b450','2023-03-10 09:37:14','2023-03-10 13:48:35',NULL),(42,'juicefs-csi-node-npk94','','app:juicefs-csi-node, app.kubernetes.io/instance:juicefs-csi-driver, app.kubernetes.io/name:juicefs-csi-driver, controller-revision-hash:7d466cf576, pod-template-generation:1',1,NULL,31,3,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','1df5f2bb-4df2-4d7e-b8a1-82b6843f1657','2023-02-28 16:35:16','2023-03-10 13:48:35',NULL),(43,'openebs-ndm-node-exporter-2sxd5','','controller-revision-hash:688c765487, name:openebs-ndm-node-exporter, openebs.io/component-name:ndm-node-exporter, openebs.io/version:3.3.0, pod-template-generation:1',1,NULL,33,10,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','2c36e308-8a6d-4108-a821-b860f3b55c95','2023-03-10 09:37:14','2023-03-10 13:48:35',NULL),(44,'openebs-ndm-node-exporter-slhmc','','controller-revision-hash:688c765487, name:openebs-ndm-node-exporter, openebs.io/component-name:ndm-node-exporter, openebs.io/version:3.3.0, pod-template-generation:1',1,NULL,33,10,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','e32548c7-b6a2-4cf4-9141-06a98c0703b7','2023-03-10 09:37:14','2023-03-10 13:48:35',NULL),(45,'kube-proxy-hllqd','','controller-revision-hash:5fccfcfc4b, k8s-app:kube-proxy, pod-template-generation:1',1,NULL,12,3,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','0802ec5a-304b-4978-8860-ca7178ee52da','2023-03-03 09:54:36','2023-03-10 13:48:35',NULL),(46,'deepflow-agent-nsn9b','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow-agent, component:deepflow-agent, controller-revision-hash:78fb77bdff, pod-template-generation:1',1,NULL,30,1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b53a9e69-45ed-4990-9af3-e0f65e27c4ce','2023-03-10 09:38:40','2023-03-10 13:48:35',NULL),(47,'deepflow-agent-p8kj4','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow-agent, component:deepflow-agent, controller-revision-hash:78fb77bdff, pod-template-generation:1',1,NULL,30,1,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','55c9ee1e-6c3c-46ba-8fd9-4b9e236c692d','2023-03-10 09:38:40','2023-03-10 13:48:35',NULL),(48,'juicefs-csi-controller-0','','app:juicefs-csi-controller, app.kubernetes.io/instance:juicefs-csi-driver, app.kubernetes.io/name:juicefs-csi-driver, controller-revision-hash:juicefs-csi-controller-8496c47947, statefulset.kubernetes.io/pod-name:juicefs-csi-controller-0',1,NULL,29,3,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','fe2c4100-be15-5407-be9e-a229a3fadbe6','2023-02-28 16:35:16','2023-03-10 13:48:35',NULL),(49,'deepflow-server-5d75595844-p2zbl','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow, component:deepflow-server, pod-template-hash:5d75595844',1,20,20,1,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c7039510-8214-40b4-9268-7f8b64c82f01','2023-03-10 09:38:40','2023-03-10 13:48:35',NULL),(50,'openebs-localpv-provisioner-dd977fdd5-tlshf','','name:openebs-localpv-provisioner, openebs.io/component-name:openebs-localpv-provisioner, openebs.io/version:3.3.0, pod-template-hash:dd977fdd5',1,13,16,10,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','89e98df8-4251-47eb-be0d-e3b47c54da86','2023-03-10 09:37:14','2023-03-10 13:48:35',NULL),(51,'juicefs-csi-node-fqdl8','','app:juicefs-csi-node, app.kubernetes.io/instance:juicefs-csi-driver, app.kubernetes.io/name:juicefs-csi-driver, controller-revision-hash:7d466cf576, pod-template-generation:1',1,NULL,31,3,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','d1214afe-b2ca-4d8a-9f90-962ab540f8c4','2023-02-28 16:35:16','2023-03-10 13:48:35',NULL),(52,'kube-proxy-cxcxn','','controller-revision-hash:5fccfcfc4b, k8s-app:kube-proxy, pod-template-generation:1',1,NULL,12,3,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','ca598d20-b2d3-4ec7-8ecc-98e46603fd55','2023-03-03 09:54:36','2023-03-10 13:48:35',NULL),(53,'guanwang-5f75545465-7mqs6','','app:guanwang, pod-template-hash:5f75545465',1,12,25,12,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','ce6d91fe-e590-4a05-a491-2951d3426879','2023-03-03 16:33:53','2023-03-10 13:48:35',NULL),(54,'ingress-nginx-controller-qz9s8','','app.kubernetes.io/component:controller, app.kubernetes.io/instance:ingress-nginx, app.kubernetes.io/name:ingress-nginx, controller-revision-hash:65c69d9fb5, pod-template-generation:1',1,NULL,34,14,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','3ecb2c2f-e856-40b2-98d2-30da7b200150','2023-03-10 09:58:18','2023-03-10 10:15:34','2023-03-10 10:15:35'),(55,'ingress-nginx-controller-8xx79','','app.kubernetes.io/component:controller, app.kubernetes.io/instance:ingress-nginx, app.kubernetes.io/name:ingress-nginx, controller-revision-hash:65c69d9fb5, pod-template-generation:1',1,NULL,34,14,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','a265b346-4b62-4b1b-8ceb-303704574867','2023-03-10 09:58:18','2023-03-10 10:14:34','2023-03-10 10:14:35'),(56,'ingress-nginx-controller-rspvl','','app.kubernetes.io/component:controller, app.kubernetes.io/instance:ingress-nginx, app.kubernetes.io/name:ingress-nginx, controller-revision-hash:65c69d9fb5, pod-template-generation:1',1,NULL,34,14,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','940bbacd-4765-426f-9e5c-e08fd28cf647','2023-03-10 09:58:18','2023-03-10 10:14:34','2023-03-10 10:14:35'),(57,'ingress-nginx-controller-tb68d','','app.kubernetes.io/component:controller, app.kubernetes.io/instance:ingress-nginx, app.kubernetes.io/name:ingress-nginx, controller-revision-hash:676cccd65, pod-template-generation:2',1,NULL,34,14,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c397896e-f18f-4597-9850-1cadd07f6d22','2023-03-10 10:12:39','2023-03-10 13:48:35',NULL),(58,'ingress-nginx-controller-tx7gf','','app.kubernetes.io/component:controller, app.kubernetes.io/instance:ingress-nginx, app.kubernetes.io/name:ingress-nginx, controller-revision-hash:676cccd65, pod-template-generation:2',1,NULL,34,14,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','70d70f48-56aa-4238-b794-1d6c21d7485f','2023-03-10 10:12:16','2023-03-10 13:48:35',NULL),(59,'ingress-nginx-controller-v87l5','','app.kubernetes.io/component:controller, app.kubernetes.io/instance:ingress-nginx, app.kubernetes.io/name:ingress-nginx, controller-revision-hash:676cccd65, pod-template-generation:2',1,NULL,34,14,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','23056778-965c-4168-a8b7-30a59ff69f22','2023-03-10 10:13:11','2023-03-10 13:48:35',NULL),(60,'loadgenerator-6cd47794fc-tlksp','','app:loadgenerator, pod-template-hash:6cd47794fc',1,23,37,15,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','60930034-bc21-40ef-8202-e511df64f1c8','2023-03-10 10:57:20','2023-03-10 13:48:35',NULL),(61,'foo-svc-598cb89b64-74v9v','','app:foo-svc, pod-template-hash:598cb89b64',1,21,35,15,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c7536649-6ce6-4ccd-b22c-4fef7b23a5d7','2023-03-10 10:57:20','2023-03-10 13:48:35',NULL),(62,'bar-svc-86bf4c4749-dgqkj','','app:bar-svc, pod-template-hash:86bf4c4749',1,24,38,15,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','72bdac6a-14ad-4e59-81f9-a97db01a5bc4','2023-03-10 10:57:20','2023-03-10 13:48:35',NULL),(63,'loo-svc-59b4fc5b86-8hx6r','','app:loo-svc, pod-template-hash:59b4fc5b86',1,22,36,15,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','f7ee049e-7348-4640-91b1-83f1be628408','2023-03-10 10:57:20','2023-03-10 13:48:35',NULL),(64,'redis-master-0','','app:redis, controller-revision-hash:redis-master-858b9968b4, release:redis, role:master, statefulset.kubernetes.io/pod-name:redis-master-0',1,NULL,39,15,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','18850975-f3c8-5877-a2d0-3ef386619cf7','2023-03-10 10:57:20','2023-03-10 13:48:35',NULL),(65,'elasticsearch-master-0','','app:elasticsearch-master, chart:elasticsearch, controller-revision-hash:elasticsearch-master-748445d99c, heritage:Helm, release:skywalking, statefulset.kubernetes.io/pod-name:elasticsearch-master-0',0,NULL,42,16,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c15e2852-3a6a-59c4-b6e0-a5df90bb4966','2023-03-10 11:06:15','2023-03-10 11:09:34','2023-03-10 11:09:35'),(66,'skywalking-oap-7d4cdbdd95-tlnqw','','app:skywalking, component:oap, pod-template-hash:7d4cdbdd95, release:skywalking',0,26,40,16,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','a6136646-5b01-40a0-85c2-f89bb7ca90b6','2023-03-10 11:06:14','2023-03-10 11:09:34','2023-03-10 11:09:35'),(67,'elasticsearch-master-1','','app:elasticsearch-master, chart:elasticsearch, controller-revision-hash:elasticsearch-master-748445d99c, heritage:Helm, release:skywalking, statefulset.kubernetes.io/pod-name:elasticsearch-master-1',0,NULL,42,16,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b9c18112-eb67-506b-9366-2d3980ac3b90','2023-03-10 11:06:15','2023-03-10 11:09:34','2023-03-10 11:09:35'),(68,'skywalking-oap-7d4cdbdd95-stg2g','','app:skywalking, component:oap, pod-template-hash:7d4cdbdd95, release:skywalking',0,26,40,16,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','ecba6cff-db15-4d96-8c92-1d5a676efe83','2023-03-10 11:06:14','2023-03-10 11:09:34','2023-03-10 11:09:35'),(69,'elasticsearch-master-2','','app:elasticsearch-master, chart:elasticsearch, controller-revision-hash:elasticsearch-master-748445d99c, heritage:Helm, release:skywalking, statefulset.kubernetes.io/pod-name:elasticsearch-master-2',0,NULL,42,16,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','0955ed08-8215-5e3c-9147-8009383618fb','2023-03-10 11:06:15','2023-03-10 11:09:34','2023-03-10 11:09:35'),(70,'skywalking-ui-67bcf65678-kjqw8','','app:skywalking, component:ui, pod-template-hash:67bcf65678, release:skywalking',0,25,41,16,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','4fe3f74c-a6a1-4ec8-b3fe-2f885aa61089','2023-03-10 11:06:14','2023-03-10 11:09:34','2023-03-10 11:09:35'),(71,'elasticsearch-master-0','','app:elasticsearch-master, chart:elasticsearch, controller-revision-hash:elasticsearch-master-57b767b5c5, heritage:Helm, release:skywalking, statefulset.kubernetes.io/pod-name:elasticsearch-master-0',1,NULL,45,16,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','6cb7adf0-16b1-5857-8cf3-14b6bd35c53d','2023-03-10 11:31:32','2023-03-10 13:48:35',NULL),(72,'skywalking-ui-67bcf65678-cc5l8','','app:skywalking, component:ui, pod-template-hash:67bcf65678, release:skywalking',1,27,43,16,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','f76fb5cc-df99-4105-8657-af84aedb34c5','2023-03-10 11:31:32','2023-03-10 13:48:35',NULL),(73,'skywalking-oap-7d4cdbdd95-62hvq','','app:skywalking, component:oap, pod-template-hash:7d4cdbdd95, release:skywalking',1,28,44,16,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','d622a9f2-3dba-4d40-85f6-324a23024bad','2023-03-10 11:31:32','2023-03-10 13:48:35',NULL);
/*!40000 ALTER TABLE `pod` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_cluster`
--

DROP TABLE IF EXISTS `pod_cluster`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_cluster` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `cluster_name` varchar(256) DEFAULT '',
  `version` varchar(256) DEFAULT '',
  `epc_id` int DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_cluster`
--

LOCK TABLES `pod_cluster` WRITE;
/*!40000 ALTER TABLE `pod_cluster` DISABLE KEYS */;
INSERT INTO `pod_cluster` VALUES (1,'k8s-d-riaItWzFKw','','Kubernetes v1.24.8',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','26b59715-7a6f-5fb6-89fd-d1749146aa29','2022-12-07 10:15:27','2022-12-07 10:15:27',NULL);
/*!40000 ALTER TABLE `pod_cluster` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_group`
--

DROP TABLE IF EXISTS `pod_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `alias` char(64) DEFAULT NULL,
  `type` int DEFAULT NULL COMMENT '1: Deployment 2: StatefulSet 3: ReplicationController',
  `pod_num` int DEFAULT '1',
  `label` text COMMENT 'separated by ,',
  `pod_namespace_id` int DEFAULT NULL,
  `pod_cluster_id` int DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=46 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_group`
--

LOCK TABLES `pod_group` WRITE;
/*!40000 ALTER TABLE `pod_group` DISABLE KEYS */;
INSERT INTO `pod_group` VALUES (1,'coredns','',1,2,'k8s-app:kube-dns',3,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','1c54a61d-bd38-4a30-a695-afe7e68023dc','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(2,'openebs-ndm-operator','',1,1,'name:openebs-ndm-operator, openebs.io/component-name:ndm-operator, openebs.io/version:3.3.0',2,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','9d1ce0f9-7d89-4007-a688-b272411d9240','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(3,'deepflow-app','',1,1,'app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:deepflow, app.kubernetes.io/version:6.1.7, component:deepflow-app, helm.sh/chart:deepflow-0.1.084',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','05b4bc23-bda2-49fc-bfa8-f4633b65a878','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(4,'deepflow-server','',1,1,'app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:deepflow, app.kubernetes.io/version:6.1.7, helm.sh/chart:deepflow-0.1.084',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','f4d24e73-5475-495f-bc5e-aff9d8cfb3b2','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(5,'deepflow-mysql','',1,1,'app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:mysql, app.kubernetes.io/version:8.0.26, component:mysql, helm.sh/chart:mysql-0.1.000',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','a6802278-9344-4df2-9772-f1c1be71f093','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(6,'openebs-ndm-cluster-exporter','',1,1,'name:openebs-ndm-cluster-exporter, openebs.io/component-name:ndm-cluster-exporter, openebs.io/version:3.3.0',2,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','5580b539-a874-4e89-a1b5-690d371c64a0','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(7,'deepflow-grafana','',1,1,'app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:grafana, app.kubernetes.io/version:9.2.5, helm.sh/chart:grafana-6.44.8',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','969611f1-c9ae-45ff-ac06-fd6b9324adf0','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(8,'openebs-localpv-provisioner','',1,1,'name:openebs-localpv-provisioner, openebs.io/component-name:openebs-localpv-provisioner, openebs.io/version:3.3.0',2,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','64f3cb4a-e3c5-4baa-b462-33064646784f','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(9,'deepflow-clickhouse','',2,1,'app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:clickhouse, app.kubernetes.io/version:21.8.15.7, component:clickhouse, helm.sh/chart:clickhouse-0.1.000',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','a1bd4ff3-ae6e-4caf-8d07-7bb42b477a88','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(10,'deepflow-agent','',4,0,'app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:deepflow-agent, app.kubernetes.io/version:6.1.7, component:deepflow-agent, helm.sh/chart:deepflow-agent-0.1.084',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','5e05367e-e48b-475a-8037-320c4cf6124d','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(11,'openebs-ndm','',4,0,'name:openebs-ndm, openebs.io/component-name:ndm, openebs.io/version:3.3.0',2,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','fbb1fdf0-99c5-4212-93a1-610b602dd33a','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(12,'kube-proxy','',4,0,'k8s-app:kube-proxy',3,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','2b819cf6-663e-4694-874c-681a4846dce1','2022-12-07 10:15:28','2022-12-07 10:16:28',NULL),(13,'kube-flannel-ds','',4,0,'app:flannel, tier:node',5,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','0a62ceb7-71bc-46bc-b0cb-51a980f752d3','2022-12-07 10:15:28','2022-12-07 10:16:28',NULL),(14,'openebs-ndm-node-exporter','',4,0,'name:openebs-ndm-node-exporter, openebs.io/component-name:ndm-node-exporter, openebs.io/version:3.3.0',2,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','9d1295d5-6691-4bca-99bc-b8b4c6369e4a','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(15,'otel-agent','',4,0,'app:opentelemetry, component:otel-agent',9,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','3bf3216b-5fd0-4cf1-84e6-e00726c96961','2022-12-07 10:16:28','2022-12-07 10:17:27',NULL),(16,'openebs-localpv-provisioner','',1,1,'name:openebs-localpv-provisioner, openebs.io/component-name:openebs-localpv-provisioner, openebs.io/version:3.3.0',10,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','199be9e5-ccbf-4788-aa21-29b73d3a9383','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(17,'openebs-ndm-operator','',1,1,'name:openebs-ndm-operator, openebs.io/component-name:ndm-operator, openebs.io/version:3.3.0',10,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','dfb5e6a4-e5c4-4593-b3ab-d8ea26475259','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(18,'openebs-ndm-cluster-exporter','',1,1,'name:openebs-ndm-cluster-exporter, openebs.io/component-name:ndm-cluster-exporter, openebs.io/version:3.3.0',10,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','8d50ab0d-8ee3-43d0-b887-3b6281f9d8fa','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(19,'yunbao-manager-backed','',1,1,'',11,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','940fb110-4662-4b5c-8a58-3e874034c76e','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(20,'deepflow-server','',1,1,'app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:deepflow, app.kubernetes.io/version:6.1.7, helm.sh/chart:deepflow-0.1.084',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','a84b5c96-8651-46da-b7d2-0d84f07f748a','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(21,'deepflow-app','',1,1,'app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:deepflow, app.kubernetes.io/version:6.1.7, component:deepflow-app, helm.sh/chart:deepflow-0.1.084',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','86af1662-2fce-45ac-bf48-aa3f92c6b5f2','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(22,'deepflow-grafana','',1,1,'app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:grafana, app.kubernetes.io/version:9.2.5, helm.sh/chart:grafana-6.44.8',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','af7f0975-eabc-4ce2-82a2-b072b88c9e9c','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(23,'metrics-server','',1,1,'k8s-app:metrics-server',3,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','fcf34288-0ab7-4aed-ab8a-81a1a4e30ac9','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(24,'deepflow-mysql','',1,1,'app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:mysql, app.kubernetes.io/version:8.0.26, component:mysql, helm.sh/chart:mysql-0.1.000',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','4635b3b6-e3d3-48bc-a99c-2367f558d4b0','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(25,'guanwang','',1,1,'',12,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','d42c0800-c044-433d-82fa-37cdeb238ef5','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(26,'yunbao-server-backed','',1,1,'',11,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','7a7a154a-7522-4cd7-9c82-60741aa0efa3','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(27,'yunbao-mobile-backed','',1,1,'',11,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','6338fac7-ed53-4afd-ae25-bf78b1e1a1bc','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(28,'deepflow-clickhouse','',2,1,'app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:clickhouse, app.kubernetes.io/version:21.8.15.7, component:clickhouse, helm.sh/chart:clickhouse-0.1.000',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c6d6cc6b-b753-43e5-a862-2ef9b90c30c4','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(29,'juicefs-csi-controller','',2,1,'app.kubernetes.io/component:controller, app.kubernetes.io/instance:juicefs-csi-driver, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:juicefs-csi-driver, app.kubernetes.io/version:0.18.1, helm.sh/chart:juicefs-csi-driver-0.14.2',3,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','a6010d78-5ca2-459d-ba38-33585523b539','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(30,'deepflow-agent','',4,0,'app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:deepflow-agent, app.kubernetes.io/version:6.1.7, component:deepflow-agent, helm.sh/chart:deepflow-agent-0.1.084',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','6f5eabd2-1010-4d23-b37d-6ae436cd6c0a','2023-03-10 09:48:35','2023-03-10 09:49:35',NULL),(31,'juicefs-csi-node','',4,0,'app.kubernetes.io/component:node, app.kubernetes.io/instance:juicefs-csi-driver, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:juicefs-csi-driver, app.kubernetes.io/version:0.18.1, helm.sh/chart:juicefs-csi-driver-0.14.2',3,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','151a7a3d-8bd7-4c14-bd43-c0198954783d','2023-03-10 09:48:35','2023-03-10 09:49:35',NULL),(32,'openebs-ndm','',4,0,'name:openebs-ndm, openebs.io/component-name:ndm, openebs.io/version:3.3.0',10,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','e8e8d919-1b79-4491-88be-068fd5ab1a1b','2023-03-10 09:48:35','2023-03-10 09:49:35',NULL),(33,'openebs-ndm-node-exporter','',4,0,'name:openebs-ndm-node-exporter, openebs.io/component-name:ndm-node-exporter, openebs.io/version:3.3.0',10,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffcd9801-4a2f-4788-acfa-06d71c3f4bab','2023-03-10 09:48:35','2023-03-10 09:49:35',NULL),(34,'ingress-nginx-controller','',4,0,'app.kubernetes.io/component:controller, app.kubernetes.io/instance:ingress-nginx, app.kubernetes.io/managed-by:Helm, app.kubernetes.io/name:ingress-nginx, app.kubernetes.io/part-of:ingress-nginx, app.kubernetes.io/version:1.5.1, helm.sh/chart:ingress-nginx-4.4.0',14,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','14e46bbb-a345-4a5d-9039-86562c2d19f2','2023-03-10 10:00:35','2023-03-10 10:01:35',NULL),(35,'foo-svc','',1,1,'',15,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','9c927d2e-c327-4653-8931-3383023963ef','2023-03-10 10:59:35','2023-03-10 10:59:35',NULL),(36,'loo-svc','',1,1,'',15,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','508e2006-0cf1-436b-9540-f6054b12e582','2023-03-10 10:59:35','2023-03-10 10:59:35',NULL),(37,'loadgenerator','',1,1,'app:loadgenerator',15,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','35c8523f-9ba4-4af9-b8f8-211793da86de','2023-03-10 10:59:35','2023-03-10 10:59:35',NULL),(38,'bar-svc','',1,1,'',15,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','86e83e8b-483e-488e-a2be-c2aa30ed12ad','2023-03-10 10:59:35','2023-03-10 10:59:35',NULL),(39,'redis-master','',2,1,'app:redis, chart:redis-3.0.2, release:redis',15,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','bc6be664-2043-4b9f-8aae-0e33d5c56852','2023-03-10 10:59:35','2023-03-10 10:59:35',NULL),(40,'skywalking-oap','',1,2,'app:skywalking, app.kubernetes.io/managed-by:Helm, chart:skywalking-4.3.0, component:oap, heritage:Helm, release:skywalking',16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c24bf519-bf2d-4f6d-8c7a-211db5055fd2','2023-03-10 11:08:35','2023-03-10 11:09:34','2023-03-10 11:09:35'),(41,'skywalking-ui','',1,1,'app:skywalking, app.kubernetes.io/managed-by:Helm, chart:skywalking-4.3.0, component:ui, heritage:Helm, release:skywalking',16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','705823f5-3987-407d-9947-8a4be1dd588c','2023-03-10 11:08:35','2023-03-10 11:09:34','2023-03-10 11:09:35'),(42,'elasticsearch-master','',2,3,'app:elasticsearch-master, app.kubernetes.io/managed-by:Helm, chart:elasticsearch, heritage:Helm, release:skywalking',16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','f961e548-6fee-4b18-92ee-9c6dfd9ca669','2023-03-10 11:08:35','2023-03-10 11:09:34','2023-03-10 11:09:35'),(43,'skywalking-ui','',1,1,'app:skywalking, app.kubernetes.io/managed-by:Helm, chart:skywalking-4.3.0, component:ui, heritage:Helm, release:skywalking',16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c5fe5d87-8e81-4bfb-b711-6bfc8501417c','2023-03-10 11:34:35','2023-03-10 11:34:35',NULL),(44,'skywalking-oap','',1,1,'app:skywalking, app.kubernetes.io/managed-by:Helm, chart:skywalking-4.3.0, component:oap, heritage:Helm, release:skywalking',16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','6b0b850e-771e-41ee-8782-2bf87ef500e9','2023-03-10 11:34:35','2023-03-10 11:34:35',NULL),(45,'elasticsearch-master','',2,1,'app:elasticsearch-master, app.kubernetes.io/managed-by:Helm, chart:elasticsearch, heritage:Helm, release:skywalking',16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','5e4e8914-80bf-48ca-bc1e-2b0997b349b1','2023-03-10 11:34:35','2023-03-10 11:34:35',NULL);
/*!40000 ALTER TABLE `pod_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_group_port`
--

DROP TABLE IF EXISTS `pod_group_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_group_port` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `protocol` char(64) DEFAULT NULL,
  `port` int DEFAULT NULL,
  `pod_group_id` int DEFAULT NULL,
  `pod_service_id` int DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=61 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_group_port`
--

LOCK TABLES `pod_group_port` WRITE;
/*!40000 ALTER TABLE `pod_group_port` DISABLE KEYS */;
INSERT INTO `pod_group_port` VALUES (11,'dns','UDP',53,1,5,'','bfca844d-cbd7-5467-bcc9-b854a73e2af0'),(12,'dns-tcp','TCP',53,1,5,'','00556dd7-8979-5a2d-b65c-193e77b5e27f'),(13,'metrics','TCP',9153,1,5,'','d7a5cc4d-3ced-59fa-aecd-98d7f7a8260e'),(21,'otlp-grpc','TCP',4317,15,11,'','682d92db-e75e-5b74-877e-003dbc18d780'),(22,'otlp-http','TCP',4318,15,11,'','7734b0b1-a7b9-5e3a-bcd9-45dc14202244'),(23,'metrics','TCP',8888,15,11,'','7571ab55-ec1d-53f4-863e-6870a63dca35'),(24,'','TCP',8002,26,12,'','7b159f6e-6b02-549e-9d59-fbfe3e14bf53'),(25,'tcp','TCP',30130,24,13,'','5d6ecb9f-79ab-545e-ba15-2a55c86ff363'),(26,'querier','TCP',20416,20,14,'','bf952231-e248-56bc-887a-15d6200a8c22'),(27,'health-check','TCP',20417,20,14,'','6018f289-279f-5a20-8bc0-8c4451eaf1ce'),(28,'grpc-30035','TCP',20035,20,14,'','e4b8e120-c93d-50c7-b61d-60f483e0b416'),(29,'ssl-grpc','TCP',20135,20,14,'','351a19f3-9558-5849-b36b-902eca97837b'),(30,'ingester-30033','TCP',20033,20,14,'','366ac202-8ba1-51e2-90dd-52f4e455018e'),(31,'receive','TCP',38086,30,15,'','5b79c3d1-0ae4-5d59-a647-336fde6e7165'),(32,'http-monitor-port','TCP',8123,28,16,'','6845377a-7997-5e9e-acc5-9a363c47f2a4'),(33,'tcp-port','TCP',9000,28,16,'','0c5ef739-14a6-5ade-89fb-a6d927cfd5f9'),(34,'interserver-http-port','TCP',9009,28,16,'','c4582d63-30e5-5b1b-b208-f46b32df3573'),(35,'https','TCP',4443,23,17,'','ab4b48df-a036-553e-9d07-11815ddbeda6'),(36,'service','TCP',3000,22,18,'','af74b830-e5b0-5a9e-acf7-70d1ce6bd5d1'),(37,'','TCP',8003,19,19,'','60f1e025-45da-5ca0-aab5-bc1911addf29'),(38,'','TCP',80,25,20,'','9b4ee5f7-53c2-54a6-bbe1-c5f18bd27401'),(39,'http-monitor-port','TCP',8123,28,21,'','7497c554-7677-55d4-b011-f778749036a1'),(40,'tcp-port','TCP',9000,28,21,'','8ae8738c-f7fb-57b8-b02e-c1b6a84d46c6'),(41,'interserver-http-port','TCP',9009,28,21,'','9392e188-88f4-53c0-a60a-e646b4b3dc45'),(42,'metrics','TCP',9100,18,22,'','75e90db2-8050-51bd-9520-ea3ff8daade1'),(43,'metrics','TCP',9101,33,23,'','d7776b8d-af87-5693-8a58-9386099cb16f'),(44,'','TCP',8004,27,24,'','fa663e0c-6d18-5123-a1b5-e9e9ed581fc6'),(45,'app','TCP',20418,21,25,'','b22b0740-654b-5ab4-8194-95679993cce2'),(46,'https-webhook','TCP',8443,34,26,'','63955fab-8206-54e3-9ab9-b06f3871d240'),(47,'http','TCP',8080,38,27,'','7e5e1630-de23-565d-a04a-82326468f8b0'),(48,'redis','TCP',6379,39,28,'','46c08363-d4b3-5f8b-aa9d-362d666c82cf'),(49,'http','TCP',8080,35,29,'','b3710f60-f1e7-5684-8def-cebe52a4a33e'),(50,'http','TCP',8080,36,30,'','0d384a63-cb8a-5723-88ed-93502caac52b'),(56,'grpc','TCP',11800,44,34,'','2c129ff3-5246-5680-bd84-89b5ef7ab2b6'),(57,'rest','TCP',12800,44,34,'','173a90dd-6fac-5d7e-97d5-4776f261bb9e'),(58,'http','TCP',9200,45,35,'','aaf4bc8d-0094-56c9-b69f-38b683299552'),(59,'transport','TCP',9300,45,35,'','8386ab58-3815-5c7e-b763-c6d47272efc4'),(60,'','TCP',8080,43,36,'','c91ab43e-6d17-5223-98cb-54642ba18b25');
/*!40000 ALTER TABLE `pod_group_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_ingress`
--

DROP TABLE IF EXISTS `pod_ingress`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_ingress` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `alias` char(64) DEFAULT '',
  `pod_namespace_id` int DEFAULT NULL,
  `pod_cluster_id` int DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_ingress`
--

LOCK TABLES `pod_ingress` WRITE;
/*!40000 ALTER TABLE `pod_ingress` DISABLE KEYS */;
INSERT INTO `pod_ingress` VALUES (1,'deepflow-ingress','',1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','76f1f59f-1686-4f36-8e31-d8f0e38a2872','2023-03-10 10:05:35','2023-03-10 10:05:35',NULL),(2,'sw-ingress','',16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','8d92741c-d1c2-45f3-b33c-82a4d9e63f5f','2023-03-10 11:36:35','2023-03-10 11:36:35',NULL);
/*!40000 ALTER TABLE `pod_ingress` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_ingress_rule`
--

DROP TABLE IF EXISTS `pod_ingress_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_ingress_rule` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `protocol` char(64) DEFAULT NULL,
  `host` text,
  `pod_ingress_id` int DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_ingress_rule`
--

LOCK TABLES `pod_ingress_rule` WRITE;
/*!40000 ALTER TABLE `pod_ingress_rule` DISABLE KEYS */;
INSERT INTO `pod_ingress_rule` VALUES (1,'','HTTP','deepflow.cecf.base',1,'','f0a5ae78-7b73-5f3b-9750-407158985c8e'),(2,'','HTTP','sw.cecf.base',2,'','b44402af-4866-592f-9b7d-209a3d4a2000');
/*!40000 ALTER TABLE `pod_ingress_rule` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_ingress_rule_backend`
--

DROP TABLE IF EXISTS `pod_ingress_rule_backend`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_ingress_rule_backend` (
  `id` int NOT NULL AUTO_INCREMENT,
  `path` text,
  `port` int DEFAULT NULL,
  `pod_service_id` int DEFAULT NULL,
  `pod_ingress_rule_id` int DEFAULT NULL,
  `pod_ingress_id` int DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_ingress_rule_backend`
--

LOCK TABLES `pod_ingress_rule_backend` WRITE;
/*!40000 ALTER TABLE `pod_ingress_rule_backend` DISABLE KEYS */;
INSERT INTO `pod_ingress_rule_backend` VALUES (1,'/',80,36,2,2,'','2ae35649-7867-56f4-b888-4aeee75d2052');
/*!40000 ALTER TABLE `pod_ingress_rule_backend` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_namespace`
--

DROP TABLE IF EXISTS `pod_namespace`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_namespace` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `alias` char(64) DEFAULT NULL,
  `pod_cluster_id` int DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=17 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_namespace`
--

LOCK TABLES `pod_namespace` WRITE;
/*!40000 ALTER TABLE `pod_namespace` DISABLE KEYS */;
INSERT INTO `pod_namespace` VALUES (1,'deepflow','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','d6cbba11-917d-4771-8e9b-719bd0781e45','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(2,'openebs','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b67a8852-1c24-4f0f-812f-3d9947222c76','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(3,'kube-system','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','a8ca1b6a-1c9c-4ba0-8b3d-4ec0dfd2a272','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(4,'newrelic','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b45cb189-7d54-4dc2-9448-0d4b7864a9d3','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(5,'kube-flannel','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','929001f0-4822-4b15-8a26-87e3be75f328','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(6,'kube-public','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','23143b4c-2fbc-4db3-b0d5-25a7516c05f8','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(7,'kube-node-lease','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','9a9423af-737e-4f0d-8bfa-fb2ce9585a8f','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(8,'default','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','51ef13f3-3acf-4886-a678-12d1abce4b98','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(9,'open-telemetry','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','f86de62b-c528-43dd-8790-bd9217a4679a','2022-12-07 10:16:27','2022-12-07 10:16:27',NULL),(10,'openebs','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','9fc1ecde-77a9-45ae-99fe-478200870170','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(11,'yunbao','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','303ad6d2-4983-4807-b08c-f9e9fe794bfd','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(12,'guanwang','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','4f5ff2ac-bfcc-41e9-b8f3-720aee26e929','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(13,'consul','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','95ee86d6-4e2d-4e64-addd-da9f038be573','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(14,'ingress-nginx','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b226fcb1-1459-4323-9acc-2b702031ca0b','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(15,'deepflow-ebpf-spring-demo','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b4f3b127-74fb-4b00-b8a6-5b32e8721764','2023-03-10 10:59:35','2023-03-10 10:59:35',NULL),(16,'sw','',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','9f800fe6-531b-435f-ae1a-19e6acb58df5','2023-03-10 11:07:35','2023-03-10 11:07:35',NULL);
/*!40000 ALTER TABLE `pod_namespace` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_node`
--

DROP TABLE IF EXISTS `pod_node`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_node` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `alias` char(64) DEFAULT NULL,
  `type` int DEFAULT NULL COMMENT '1: Master 2: Node',
  `server_type` int DEFAULT NULL COMMENT '1: Host 2: VM',
  `state` int DEFAULT '1' COMMENT '0: Exception 1: Normal',
  `ip` char(64) DEFAULT NULL,
  `vcpu_num` int DEFAULT '0',
  `mem_total` int DEFAULT '0' COMMENT 'unit: M',
  `pod_cluster_id` int DEFAULT NULL,
  `region` char(64) DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `epc_id` int DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_node`
--

LOCK TABLES `pod_node` WRITE;
/*!40000 ALTER TABLE `pod_node` DISABLE KEYS */;
INSERT INTO `pod_node` VALUES (1,'cest-2','',2,1,1,'172.17.172.137',4,7551,1,'ffffffff-ffff-ffff-ffff-ffffffffffff','26b59715-7a6f-5fb6-89fd-d1749146aaff',1,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','2f1ff8e1-523a-40db-b23f-47c56093a088','2022-12-07 10:15:27','2023-03-10 11:35:35',NULL),(2,'k8sm1','',2,1,1,'172.17.213.200',4,7694,1,'ffffffff-ffff-ffff-ffff-ffffffffffff','26b59715-7a6f-5fb6-89fd-d1749146aaff',1,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','2093bdbe-9e6d-4a4b-88ff-76891a0c3b59','2022-12-07 10:15:27','2022-12-07 10:15:27',NULL),(3,'cest-3','',2,1,1,'172.17.172.136',4,15363,1,'ffffffff-ffff-ffff-ffff-ffffffffffff','26b59715-7a6f-5fb6-89fd-d1749146aaff',1,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ff61a082-ffac-4a16-bf21-71c17688dfd8','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL);
/*!40000 ALTER TABLE `pod_node` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_rs`
--

DROP TABLE IF EXISTS `pod_rs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_rs` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `alias` char(64) DEFAULT NULL,
  `label` text COMMENT 'separated by ,',
  `pod_num` int DEFAULT '1',
  `pod_group_id` int DEFAULT NULL,
  `pod_namespace_id` int DEFAULT NULL,
  `pod_cluster_id` int DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=29 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_rs`
--

LOCK TABLES `pod_rs` WRITE;
/*!40000 ALTER TABLE `pod_rs` DISABLE KEYS */;
INSERT INTO `pod_rs` VALUES (1,'deepflow-app-54886cd964','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow, component:deepflow-app, pod-template-hash:54886cd964',1,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','eca5ed06-6993-4b98-ad67-2aab3a0c7895','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(2,'deepflow-mysql-8bc7c7777','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:mysql, component:mysql, pod-template-hash:8bc7c7777',1,5,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','78d6e1a2-10bc-4ab7-9e90-a8474583a6bd','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(3,'coredns-6d4b75cb6d','','k8s-app:kube-dns, pod-template-hash:6d4b75cb6d',2,1,3,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','176cb38e-0af0-49f4-b2e3-ce053ef207ae','2022-12-07 10:15:28','2023-03-10 13:48:35',NULL),(4,'deepflow-grafana-7b5757d5f4','','app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:grafana, pod-template-hash:7b5757d5f4',1,7,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b75d13b1-faf9-4ba8-97b4-aa6e02cc72d9','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(5,'openebs-ndm-cluster-exporter-866c974856','','name:openebs-ndm-cluster-exporter, openebs.io/component-name:ndm-cluster-exporter, openebs.io/version:3.3.0, pod-template-hash:866c974856',1,6,2,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','9b13a981-579b-495b-b882-9e56a89495c3','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(6,'openebs-localpv-provisioner-dd977fdd5','','name:openebs-localpv-provisioner, openebs.io/component-name:openebs-localpv-provisioner, openebs.io/version:3.3.0, pod-template-hash:dd977fdd5',1,8,2,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b14ec01b-5c25-4fd9-9f8b-d7d399ae3b2d','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(7,'openebs-ndm-operator-85886744bb','','name:openebs-ndm-operator, openebs.io/component-name:ndm-operator, openebs.io/version:3.3.0, pod-template-hash:85886744bb',1,2,2,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','0e8ff046-1d29-4984-b7dd-bee2f1213092','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(8,'deepflow-server-5d75595844','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow, component:deepflow-server, pod-template-hash:5d75595844',1,4,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','8c888cab-eb8f-415a-908b-0153d11fe3a4','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(9,'yunbao-manager-backed-85bbff9975','','app:yunbao-manager-backed, pod-template-hash:85bbff9975',1,19,11,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','edecc1e1-9dd3-4441-89a1-12771ea4054d','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(10,'yunbao-mobile-backed-84c6b96df7','','app:yunbao-mobile-backed, pod-template-hash:84c6b96df7',1,27,11,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','570864bb-2b57-4049-b0b0-ae53f58a7efe','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(11,'deepflow-grafana-7b5757d5f4','','app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:grafana, pod-template-hash:7b5757d5f4',1,22,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','d20be920-6fe4-4ca9-8048-2706b5da1bc0','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(12,'guanwang-5f75545465','','app:guanwang, pod-template-hash:5f75545465',1,25,12,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','95f8b5c2-b309-4509-8aca-e5cba7b2b65c','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(13,'openebs-localpv-provisioner-dd977fdd5','','name:openebs-localpv-provisioner, openebs.io/component-name:openebs-localpv-provisioner, openebs.io/version:3.3.0, pod-template-hash:dd977fdd5',1,16,10,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c6462c7b-b1f3-44bc-a5ef-37ed977e8a99','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(14,'openebs-ndm-cluster-exporter-866c974856','','name:openebs-ndm-cluster-exporter, openebs.io/component-name:ndm-cluster-exporter, openebs.io/version:3.3.0, pod-template-hash:866c974856',1,18,10,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','8b530d55-9186-4f75-b4d9-c63f4ead044b','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(15,'openebs-ndm-operator-85886744bb','','name:openebs-ndm-operator, openebs.io/component-name:ndm-operator, openebs.io/version:3.3.0, pod-template-hash:85886744bb',1,17,10,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','7845b5e7-13ef-48d2-97a8-7944d009bf4b','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(16,'deepflow-app-54886cd964','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow, component:deepflow-app, pod-template-hash:54886cd964',1,21,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','1831e373-463f-4e1a-ae66-58a957bb3a02','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(17,'deepflow-mysql-8bc7c7777','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:mysql, component:mysql, pod-template-hash:8bc7c7777',1,24,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','cc69bcbc-8ab1-4ffb-8ff2-aed79863e6ed','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(18,'yunbao-server-backed-7cdd9b6d8d','','app:yunbao-server-backed, pod-template-hash:7cdd9b6d8d',1,26,11,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b195d42f-5ed3-4216-8354-927ac0e73e57','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(19,'metrics-server-79757969d9','','k8s-app:metrics-server, pod-template-hash:79757969d9',1,23,3,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','4d275a10-be2a-40af-9aa8-875f48efc97d','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(20,'deepflow-server-5d75595844','','app:deepflow, app.kubernetes.io/instance:deepflow, app.kubernetes.io/name:deepflow, component:deepflow-server, pod-template-hash:5d75595844',1,20,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','2aa6f942-f291-4f82-8614-e75faded6974','2023-03-10 09:48:35','2023-03-10 13:48:35',NULL),(21,'foo-svc-598cb89b64','','app:foo-svc, pod-template-hash:598cb89b64',1,35,15,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c9343424-49db-4b25-a4c5-214a351a88ef','2023-03-10 10:59:35','2023-03-10 13:48:35',NULL),(22,'loo-svc-59b4fc5b86','','app:loo-svc, pod-template-hash:59b4fc5b86',1,36,15,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','d292bd2a-d0ed-411c-88cd-7600556b3380','2023-03-10 10:59:35','2023-03-10 13:48:35',NULL),(23,'loadgenerator-6cd47794fc','','app:loadgenerator, pod-template-hash:6cd47794fc',1,37,15,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','cb9ee037-49c2-4f1d-b51f-95998c982c11','2023-03-10 10:59:35','2023-03-10 13:48:35',NULL),(24,'bar-svc-86bf4c4749','','app:bar-svc, pod-template-hash:86bf4c4749',1,38,15,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','01d82925-a37a-49da-aede-68cec1dd6335','2023-03-10 10:59:35','2023-03-10 13:48:35',NULL),(25,'skywalking-ui-67bcf65678','','app:skywalking, component:ui, pod-template-hash:67bcf65678, release:skywalking',1,41,16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','040186cb-fbaa-4793-bd21-9eb19dc7d881','2023-03-10 11:08:35','2023-03-10 11:09:34','2023-03-10 11:09:35'),(26,'skywalking-oap-7d4cdbdd95','','app:skywalking, component:oap, pod-template-hash:7d4cdbdd95, release:skywalking',2,40,16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b6e4a787-5c2f-4fa1-b2ac-a86639de18c6','2023-03-10 11:08:35','2023-03-10 11:09:34','2023-03-10 11:09:35'),(27,'skywalking-ui-67bcf65678','','app:skywalking, component:ui, pod-template-hash:67bcf65678, release:skywalking',1,43,16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','faf19a37-6dd1-45ae-b049-522c751ceb79','2023-03-10 11:34:35','2023-03-10 13:48:35',NULL),(28,'skywalking-oap-7d4cdbdd95','','app:skywalking, component:oap, pod-template-hash:7d4cdbdd95, release:skywalking',1,44,16,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','07473c8a-9886-48f7-ba49-b590b268d872','2023-03-10 11:34:35','2023-03-10 13:48:35',NULL);
/*!40000 ALTER TABLE `pod_rs` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_service`
--

DROP TABLE IF EXISTS `pod_service`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_service` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `alias` char(64) DEFAULT '',
  `type` int DEFAULT NULL COMMENT '1: ClusterIP 2: NodePort',
  `selector` text COMMENT 'separated by ,',
  `service_cluster_ip` char(64) DEFAULT '',
  `pod_ingress_id` int DEFAULT NULL,
  `pod_namespace_id` int DEFAULT NULL,
  `pod_cluster_id` int DEFAULT NULL,
  `epc_id` int DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=37 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_service`
--

LOCK TABLES `pod_service` WRITE;
/*!40000 ALTER TABLE `pod_service` DISABLE KEYS */;
INSERT INTO `pod_service` VALUES (1,'deepflow-agent','',1,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:deepflow-agent,component:deepflow-agent','10.105.80.37',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','2c925d1f-b030-421f-a27f-176c6e6f6f6f','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(2,'deepflow-clickhouse','',1,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:clickhouse,component:clickhouse','10.97.147.200',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','8c87f125-1169-4bcf-a410-bad48653671e','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(3,'openebs-ndm-cluster-exporter-service','',1,'name:openebs-ndm-cluster-exporter','',NULL,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','2705872e-0bf8-4504-9648-713990ca0fa2','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(4,'deepflow-server','',2,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:deepflow,component:deepflow-server','10.110.101.53',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','343e6226-e5ef-41d5-9447-827ba4b0f6a5','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(5,'kube-dns','',1,'k8s-app:kube-dns','10.96.0.10',NULL,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b7c2d9e6-fabd-4db1-95ae-ca87d0314823','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(6,'deepflow-clickhouse-headless','',1,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:clickhouse,component:clickhouse','',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','eaba20c7-e66e-4098-b68d-7864a9fa8bd0','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(7,'deepflow-app','',1,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:deepflow,component:deepflow-app','10.108.113.71',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','e65f6e8e-be30-4881-a6a2-1bf48462772c','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(8,'openebs-ndm-node-exporter-service','',1,'name:openebs-ndm-node-exporter','',NULL,2,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','9f118593-ef63-452a-a1d4-b0afdba4e2f9','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(9,'deepflow-mysql','',1,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:mysql,component:mysql','10.110.191.14',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','76e43827-6e0b-48c0-aecc-dc2302279d33','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(10,'deepflow-grafana','',2,'app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:grafana','10.101.20.155',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','1b5b221d-9b3a-497a-84a1-1f91ae37c6a1','2022-12-07 10:15:28','2023-03-10 09:48:35','2023-03-10 09:48:35'),(11,'otel-agent','',1,'component:otel-agent','10.101.9.68',NULL,9,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','e1f2b065-f13d-41cc-af16-e2a4a6b0c665','2022-12-07 10:16:27','2022-12-07 10:16:27',NULL),(12,'yunbao-server-backed-service','',1,'app:yunbao-server-backed','10.108.185.245',NULL,11,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','65723ece-4902-42b3-ad53-96a60d086af1','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(13,'deepflow-mysql','',1,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:mysql,component:mysql','10.100.58.167',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','7178df2d-62ed-4856-bf32-f3c6310227ef','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(14,'deepflow-server','',2,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:deepflow,component:deepflow-server','10.100.130.198',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','90526d05-1b9b-403f-a552-c21feacffaed','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(15,'deepflow-agent','',1,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:deepflow-agent,component:deepflow-agent','10.106.65.97',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','5c8eb0b1-5c99-45b0-8235-047b96ce1aa7','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(16,'deepflow-clickhouse','',1,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:clickhouse,component:clickhouse','10.106.247.164',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','9aad53ac-3f50-49e9-9f61-aafe9ffe0343','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(17,'metrics-server','',1,'k8s-app:metrics-server','10.108.62.249',NULL,3,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','53c15e5c-8a88-4b54-bb72-3db1056b1bd6','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(18,'deepflow-grafana','',2,'app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:grafana','10.106.43.67',1,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','d8ab7125-34ab-4419-88e5-84efbaa176c4','2023-03-10 09:48:35','2023-03-10 10:05:35',NULL),(19,'yunbao-manager-backed-service','',1,'app:yunbao-manager-backed','10.99.48.91',NULL,11,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','4d7bd230-4297-4c28-9b76-f4b5ec89c1b5','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(20,'guanwang','',1,'app:guanwang','10.101.201.139',NULL,12,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','237cbfc0-7d69-402e-9ab3-e7b29c49c232','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(21,'deepflow-clickhouse-headless','',1,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:clickhouse,component:clickhouse','',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','a97e6a17-29aa-4fd5-acd4-16eae7866587','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(22,'openebs-ndm-cluster-exporter-service','',1,'name:openebs-ndm-cluster-exporter','',NULL,10,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','649559c8-655c-48d2-b8c1-69c6576c26a0','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(23,'openebs-ndm-node-exporter-service','',1,'name:openebs-ndm-node-exporter','',NULL,10,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c217e28e-bb45-45c7-b3a3-00df0e40740b','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(24,'yunbao-mobile-backed-service','',1,'app:yunbao-mobile-backed','10.101.159.140',NULL,11,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c5a89457-34b8-4c2a-939f-f3b126ca9d50','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(25,'deepflow-app','',1,'app:deepflow,app.kubernetes.io/instance:deepflow,app.kubernetes.io/name:deepflow,component:deepflow-app','10.109.170.24',NULL,1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','e6b53acc-63e8-4673-b620-eb380251ee7e','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL),(26,'ingress-nginx-controller-admission','',1,'app.kubernetes.io/component:controller,app.kubernetes.io/instance:ingress-nginx,app.kubernetes.io/name:ingress-nginx','10.99.229.63',NULL,14,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','2ea58dde-af9a-4044-9e6a-d7bf76caa939','2023-03-10 10:00:35','2023-03-10 10:00:35',NULL),(27,'bar-svc','',1,'app:bar-svc','10.111.139.130',NULL,15,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','2b0afeaa-d0f1-4be1-898e-99bb28007485','2023-03-10 10:59:35','2023-03-10 10:59:35',NULL),(28,'redis-master','',1,'app:redis,release:redis,role:master','10.108.252.135',NULL,15,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','03c13b22-8552-47f8-9f25-12810803f8d2','2023-03-10 10:59:35','2023-03-10 10:59:35',NULL),(29,'foo-svc','',1,'app:foo-svc','10.107.146.217',NULL,15,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','b94278fb-1713-4ae0-99e1-08486c4ad49a','2023-03-10 10:59:35','2023-03-10 10:59:35',NULL),(30,'loo-svc','',1,'app:loo-svc','10.108.175.73',NULL,15,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','4ef1e8ae-835e-4ffa-80f1-43f03470be90','2023-03-10 10:59:35','2023-03-10 10:59:35',NULL),(31,'elasticsearch-master-headless','',1,'app:elasticsearch-master','',NULL,16,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','e7c071fb-a807-4899-b4a2-1034d834d9d0','2023-03-10 11:08:35','2023-03-10 11:09:34','2023-03-10 11:09:35'),(32,'skywalking-ui','',1,'app:skywalking,component:ui,release:skywalking','10.103.231.19',NULL,16,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','ca53293d-1393-4ecb-adf9-a65e04e3accf','2023-03-10 11:08:35','2023-03-10 11:09:34','2023-03-10 11:09:35'),(33,'skywalking-oap','',1,'app:skywalking,component:oap,release:skywalking','10.108.112.166',NULL,16,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','d803fb33-8216-45f8-9364-86171436df51','2023-03-10 11:08:35','2023-03-10 11:09:34','2023-03-10 11:09:35'),(34,'skywalking-oap','',1,'app:skywalking,component:oap,release:skywalking','10.104.255.195',NULL,16,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','2a87b620-8ae0-422e-b60c-d3690501185f','2023-03-10 11:34:35','2023-03-10 11:34:35',NULL),(35,'elasticsearch-master-headless','',1,'app:elasticsearch-master','',NULL,16,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','df4c703b-667b-42a7-8b21-4c28203cb01d','2023-03-10 11:34:35','2023-03-10 11:34:35',NULL),(36,'skywalking-ui','',1,'app:skywalking,component:ui,release:skywalking','10.103.233.132',2,16,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','','26b59715-7a6f-5fb6-89fd-d1749146aa29','c3c6f1e9-4583-42a5-b2f9-6994ef71b9f7','2023-03-10 11:34:35','2023-03-10 11:36:35',NULL);
/*!40000 ALTER TABLE `pod_service` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `pod_service_port`
--

DROP TABLE IF EXISTS `pod_service_port`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `pod_service_port` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `protocol` char(64) DEFAULT NULL,
  `port` int DEFAULT NULL,
  `target_port` int DEFAULT NULL,
  `node_port` int DEFAULT NULL,
  `pod_service_id` int DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=65 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `pod_service_port`
--

LOCK TABLES `pod_service_port` WRITE;
/*!40000 ALTER TABLE `pod_service_port` DISABLE KEYS */;
INSERT INTO `pod_service_port` VALUES (13,'dns','UDP',53,53,NULL,5,'','1fac441e-8990-5274-9549-a9f53b77e2cb'),(14,'dns-tcp','TCP',53,53,NULL,5,'','19dc979f-d46a-5f63-9bd7-1a233abd5016'),(15,'metrics','TCP',9153,9153,NULL,5,'','3e07ee59-98a7-567b-a6c5-6fc0ce9b9b1f'),(23,'otlp-grpc','TCP',4317,4317,NULL,11,'','f643d5a9-8a14-5c25-8412-5777e5823f7a'),(24,'otlp-http','TCP',4318,4318,NULL,11,'','4bd6b7cf-dd03-55a9-9246-452fe38ddbce'),(25,'metrics','TCP',8888,8888,NULL,11,'','e324470f-02f5-5a03-9d8b-0e99828b3766'),(26,'','TCP',8002,8002,NULL,12,'','e0767c92-8824-591c-bd38-80aed8491233'),(27,'tcp','TCP',30130,30130,NULL,13,'','244f5a1f-73a1-5d7e-accf-db8972306f5d'),(28,'querier','TCP',20416,20416,30946,14,'','58e8d20e-0b15-5102-b3d4-d08b5470a928'),(29,'health-check','TCP',20417,20417,30417,14,'','fc5dfe59-7592-5fa3-8a35-d28abe735008'),(30,'grpc','TCP',20035,20035,31965,14,'','6d67e4bf-67d6-50ca-87a9-e4a70c126249'),(31,'grpc-30035','TCP',30035,20035,30035,14,'','cacfc08e-e297-5ca1-a61e-cf622df352a0'),(32,'ssl-grpc','TCP',20135,20135,31015,14,'','b797a971-36eb-5d8d-bc03-9af165d12b7c'),(33,'ingester','TCP',20033,20033,32254,14,'','44888eb2-ecf6-55d0-8916-254cdb8fd689'),(34,'ingester-30033','TCP',30033,20033,30033,14,'','6e37e97f-d9dc-50df-aeaa-cea6004e305b'),(35,'receive','TCP',80,38086,NULL,15,'','99d38b41-0e0c-5f52-a3ed-85bfbfcaaf4f'),(36,'http-monitor-port','TCP',8123,8123,NULL,16,'','f6696c89-32f6-5d48-b926-0c9e1a3170d7'),(37,'tcp-port','TCP',9000,9000,NULL,16,'','c8dc212c-16db-5d52-b44f-79aa8eb582ae'),(38,'interserver-http-port','TCP',9009,9009,NULL,16,'','eae2267c-4731-5ec2-a80b-ce0863d1423c'),(39,'https','TCP',443,4443,NULL,17,'','bc7c6bed-a532-552b-bcf1-5da9887e4d9e'),(40,'service','TCP',80,3000,32373,18,'','e22992d7-c2da-57ad-ba81-d6e83e2bbb50'),(41,'','TCP',8003,8003,NULL,19,'','cdbf506c-7b93-57ea-b40e-5f64fff366e1'),(42,'','TCP',80,80,NULL,20,'','f7b17f53-14f5-59a9-a3e9-8f4f5c9c8d6f'),(43,'http-monitor-port','TCP',8123,8123,NULL,21,'','736e0b5f-ec1e-56a7-8813-24d6e0306995'),(44,'tcp-port','TCP',9000,9000,NULL,21,'','5afd2754-522c-5832-b1f0-51cd1456aa16'),(45,'interserver-http-port','TCP',9009,9009,NULL,21,'','883b0d1a-4447-57d2-b07f-d29d1476949e'),(46,'metrics','TCP',9100,9100,NULL,22,'','b346f813-4de5-57db-bb33-fde1af98ff26'),(47,'metrics','TCP',9101,9101,NULL,23,'','a44e18e2-b2cb-5e69-8009-e6b6aa953dd2'),(48,'','TCP',8004,8004,NULL,24,'','da62bda0-641d-5bf3-a79c-02a1e9072388'),(49,'app','TCP',20418,20418,NULL,25,'','ebc84716-8500-535b-8d0c-dbd8289a6963'),(50,'https-webhook','TCP',443,8443,NULL,26,'','a0e0ed89-2d52-59f9-9972-a1ce5599266d'),(51,'http','TCP',8080,8080,NULL,27,'','365bc780-01be-5be2-93b4-1350aba0a672'),(52,'redis','TCP',6379,6379,NULL,28,'','9dc2ad45-9f29-53a3-a701-02120e52d116'),(53,'http','TCP',80,8080,NULL,29,'','4ec0fb89-7e77-5f8c-9dae-a524b50b892e'),(54,'http','TCP',8080,8080,NULL,30,'','f8b6f171-09f0-5d8c-9943-eb1a139f6a39'),(60,'grpc','TCP',11800,11800,NULL,34,'','417078ac-8311-5a0f-9c4d-7a1ca669557f'),(61,'rest','TCP',12800,12800,NULL,34,'','da28de86-a35a-5c0e-94be-e5e3bb8263fc'),(62,'http','TCP',9200,9200,NULL,35,'','2a83f6f5-6f81-5742-928e-ddcfd31a6c4e'),(63,'transport','TCP',9300,9300,NULL,35,'','e2b48afb-70d5-5cc7-a6c9-a31e19bab6f6'),(64,'','TCP',80,8080,NULL,36,'','e436cda0-249e-5b14-8b58-5d73bfe1395d');
/*!40000 ALTER TABLE `pod_service_port` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `policy_acl_group`
--

DROP TABLE IF EXISTS `policy_acl_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `policy_acl_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `acl_ids` text NOT NULL COMMENT 'separated by ,',
  `count` int NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `policy_acl_group`
--

LOCK TABLES `policy_acl_group` WRITE;
/*!40000 ALTER TABLE `policy_acl_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `policy_acl_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `postman_cache`
--

DROP TABLE IF EXISTS `postman_cache`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `postman_cache` (
  `id` int NOT NULL AUTO_INCREMENT,
  `dest` text COMMENT 'destination email address, seprate by ","',
  `event_type` int DEFAULT '0',
  `resource_type` int DEFAULT '0',
  `resource_id` int DEFAULT '0',
  `issue_timestamp` int DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `postman_cache`
--

LOCK TABLES `postman_cache` WRITE;
/*!40000 ALTER TABLE `postman_cache` DISABLE KEYS */;
/*!40000 ALTER TABLE `postman_cache` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `postman_queue`
--

DROP TABLE IF EXISTS `postman_queue`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `postman_queue` (
  `id` int NOT NULL AUTO_INCREMENT,
  `dest` text COMMENT 'destination email address, seprate by ","',
  `aggregate_id` int DEFAULT '0',
  `send_request` text,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `postman_queue`
--

LOCK TABLES `postman_queue` WRITE;
/*!40000 ALTER TABLE `postman_queue` DISABLE KEYS */;
/*!40000 ALTER TABLE `postman_queue` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `rds_instance`
--

DROP TABLE IF EXISTS `rds_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `rds_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `label` char(64) DEFAULT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0. Unknown 1. Running 2. Recovering',
  `domain` char(64) DEFAULT '',
  `region` char(64) DEFAULT '',
  `az` char(64) DEFAULT '',
  `epc_id` int DEFAULT '0',
  `type` int DEFAULT '0' COMMENT '0. Unknown 1. MySQL 2. SqlServer 3. PPAS 4. PostgreSQL 5. MariaDB',
  `version` char(64) DEFAULT '',
  `series` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0. Unknown 1. basic 2. HA',
  `model` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0. Unknown 1. Primary 2. Readonly 3. Temporary 4. Disaster recovery 5. share',
  `uid` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `rds_instance`
--

LOCK TABLES `rds_instance` WRITE;
/*!40000 ALTER TABLE `rds_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `rds_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `redis_instance`
--

DROP TABLE IF EXISTS `redis_instance`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `redis_instance` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT '',
  `label` char(64) DEFAULT NULL,
  `state` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0. Unknown 1. Running 2. Recovering',
  `domain` char(64) DEFAULT '',
  `region` char(64) DEFAULT '',
  `az` char(64) DEFAULT '',
  `epc_id` int DEFAULT '0',
  `version` char(64) DEFAULT '',
  `internal_host` varchar(128) DEFAULT '',
  `public_host` varchar(128) DEFAULT '',
  `uid` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `redis_instance`
--

LOCK TABLES `redis_instance` WRITE;
/*!40000 ALTER TABLE `redis_instance` DISABLE KEYS */;
/*!40000 ALTER TABLE `redis_instance` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `region`
--

DROP TABLE IF EXISTS `region`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `region` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(64) DEFAULT NULL,
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `label` varchar(64) DEFAULT '',
  `longitude` double(7,4) DEFAULT NULL,
  `latitude` double(7,4) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lcuuid_index` (`lcuuid`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `region`
--

LOCK TABLES `region` WRITE;
/*!40000 ALTER TABLE `region` DISABLE KEYS */;
INSERT INTO `region` VALUES (1,'系统默认',0,'',NULL,NULL,'ffffffff-ffff-ffff-ffff-ffffffffffff','2022-12-07 10:13:12','2022-12-07 10:13:12',NULL);
/*!40000 ALTER TABLE `region` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report`
--

DROP TABLE IF EXISTS `report`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report` (
  `id` int NOT NULL AUTO_INCREMENT,
  `title` varchar(200) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL DEFAULT '' COMMENT 'Title of the report',
  `begin_at` datetime DEFAULT NULL COMMENT 'Start time of the report',
  `end_at` datetime DEFAULT NULL COMMENT 'End time of the report',
  `policy_id` int unsigned NOT NULL DEFAULT '0' COMMENT 'report_policy ID',
  `content` longtext,
  `lcuuid` varchar(64) CHARACTER SET utf8mb3 COLLATE utf8mb3_bin NOT NULL DEFAULT '',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COMMENT='report records';
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report`
--

LOCK TABLES `report` WRITE;
/*!40000 ALTER TABLE `report` DISABLE KEYS */;
/*!40000 ALTER TABLE `report` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `report_policy`
--

DROP TABLE IF EXISTS `report_policy`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `report_policy` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) COLLATE utf8mb3_bin NOT NULL,
  `view_id` int NOT NULL,
  `user_id` int DEFAULT NULL,
  `data_level` enum('1s','1m') COLLATE utf8mb3_bin NOT NULL DEFAULT '1m',
  `report_format` tinyint(1) DEFAULT '1' COMMENT 'Type of format (1-html)',
  `report_type` tinyint(1) DEFAULT '1' COMMENT 'Type of reports (0-daily; 1-weekly; 2-monthly)',
  `interval` enum('1d','1h') COLLATE utf8mb3_bin NOT NULL DEFAULT '1h',
  `state` tinyint(1) DEFAULT '1' COMMENT '0-disable; 1-enable',
  `push_type` tinyint(1) DEFAULT '1' COMMENT '1-email',
  `push_email` text COLLATE utf8mb3_bin COMMENT 'separated by ,',
  `created_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `begin_at` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `lcuuid` char(64) COLLATE utf8mb3_bin NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `report_policy`
--

LOCK TABLES `report_policy` WRITE;
/*!40000 ALTER TABLE `report_policy` DISABLE KEYS */;
/*!40000 ALTER TABLE `report_policy` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `resource_group`
--

DROP TABLE IF EXISTS `resource_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `resource_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `business_id` int NOT NULL,
  `lcuuid` varchar(64) COLLATE utf8mb3_bin NOT NULL,
  `name` varchar(200) COLLATE utf8mb3_bin NOT NULL DEFAULT '',
  `type` int NOT NULL COMMENT '3: anonymous vm, 4: anonymous ip, 5: anonymous pod, 6: anonymous pod_group, 8: anonymous pod_service, 81: anonymous pod_service as pod_group, 14: anonymous vl2',
  `ip_type` int DEFAULT NULL COMMENT '1: single ip, 2: ip range, 3: cidr, 4.mix [1, 2, 3]',
  `ips` text COLLATE utf8mb3_bin COMMENT 'ips separated by ,',
  `vm_ids` text COLLATE utf8mb3_bin COMMENT 'vm ids separated by ,',
  `vl2_ids` text COLLATE utf8mb3_bin COMMENT 'vl2 ids separated by ,',
  `epc_id` int DEFAULT NULL,
  `pod_cluster_id` int DEFAULT NULL,
  `extra_info_ids` text COLLATE utf8mb3_bin COMMENT 'resource group extra info ids separated by ,',
  `lb_id` int DEFAULT NULL,
  `lb_listener_id` int DEFAULT NULL,
  `icon_id` int DEFAULT '-2',
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `resource_group`
--

LOCK TABLES `resource_group` WRITE;
/*!40000 ALTER TABLE `resource_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `resource_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `resource_group_extra_info`
--

DROP TABLE IF EXISTS `resource_group_extra_info`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `resource_group_extra_info` (
  `id` int NOT NULL AUTO_INCREMENT,
  `resource_type` int NOT NULL COMMENT '1: epc, 2: vm, 3: pod_service, 4: pod_group, 5: vl2, 6: pod_cluster, 7: pod',
  `resource_id` int NOT NULL,
  `resource_sub_type` int DEFAULT NULL,
  `pod_namespace_id` int DEFAULT NULL,
  `resource_name` varchar(256) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `resource_group_extra_info`
--

LOCK TABLES `resource_group_extra_info` WRITE;
/*!40000 ALTER TABLE `resource_group_extra_info` DISABLE KEYS */;
/*!40000 ALTER TABLE `resource_group_extra_info` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `routing_table`
--

DROP TABLE IF EXISTS `routing_table`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `routing_table` (
  `id` int NOT NULL AUTO_INCREMENT,
  `vnet_id` int DEFAULT NULL,
  `destination` text,
  `nexthop_type` text,
  `nexthop` text,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `routing_table`
--

LOCK TABLES `routing_table` WRITE;
/*!40000 ALTER TABLE `routing_table` DISABLE KEYS */;
/*!40000 ALTER TABLE `routing_table` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `security_group`
--

DROP TABLE IF EXISTS `security_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `security_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) DEFAULT NULL,
  `label` varchar(64) DEFAULT '',
  `alias` char(64) DEFAULT NULL,
  `epc_id` int DEFAULT '0',
  `domain` char(64) DEFAULT NULL,
  `region` char(64) DEFAULT NULL,
  `topped` int DEFAULT '0',
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `security_group`
--

LOCK TABLES `security_group` WRITE;
/*!40000 ALTER TABLE `security_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `security_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `security_group_rule`
--

DROP TABLE IF EXISTS `security_group_rule`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `security_group_rule` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sg_id` int NOT NULL,
  `direction` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0.Unknow 1.Ingress 2.Egress',
  `protocol` char(64) DEFAULT NULL,
  `ethertype` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0.Unknow 1.IPv4 2.IPv6',
  `local_port_range` text,
  `remote_port_range` text,
  `local` text,
  `remote` text,
  `priority` int NOT NULL,
  `action` tinyint(1) NOT NULL DEFAULT '0' COMMENT '0.Unknow 1.Accept 2.Drop',
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `security_group_rule`
--

LOCK TABLES `security_group_rule` WRITE;
/*!40000 ALTER TABLE `security_group_rule` DISABLE KEYS */;
/*!40000 ALTER TABLE `security_group_rule` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sub_domain`
--

DROP TABLE IF EXISTS `sub_domain`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sub_domain` (
  `id` int NOT NULL AUTO_INCREMENT,
  `domain` char(64) DEFAULT NULL,
  `name` varchar(64) DEFAULT NULL,
  `display_name` varchar(64) DEFAULT '',
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `cluster_id` char(32) DEFAULT NULL,
  `config` text,
  `error_msg` text,
  `enabled` int NOT NULL DEFAULT '1' COMMENT '0.false 1.true',
  `state` int NOT NULL DEFAULT '1' COMMENT '1.normal 2.deleting 3.exception',
  `lcuuid` char(64) DEFAULT NULL,
  `synced_at` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `lcuuid_index` (`lcuuid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sub_domain`
--

LOCK TABLES `sub_domain` WRITE;
/*!40000 ALTER TABLE `sub_domain` DISABLE KEYS */;
/*!40000 ALTER TABLE `sub_domain` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_configuration`
--

DROP TABLE IF EXISTS `sys_configuration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_configuration` (
  `id` int NOT NULL AUTO_INCREMENT,
  `param_name` char(64) NOT NULL,
  `value` varchar(256) DEFAULT NULL,
  `comments` text,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_configuration`
--

LOCK TABLES `sys_configuration` WRITE;
/*!40000 ALTER TABLE `sys_configuration` DISABLE KEYS */;
INSERT INTO `sys_configuration` VALUES (1,'cloud_sync_timer','60','unit: s','b3d02ddd-75d4-11ed-8db0-16a066930ee7'),(2,'pcap_data_retention','7','unit: day','b3d1129a-75d4-11ed-8db0-16a066930ee7'),(3,'system_data_retention','7','unit: day','b3d1a842-75d4-11ed-8db0-16a066930ee7'),(4,'ntp_servers','0.cn.pool.ntp.org','','b3d240a8-75d4-11ed-8db0-16a066930ee7');
/*!40000 ALTER TABLE `sys_configuration` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `sys_event_alarm`
--

DROP TABLE IF EXISTS `sys_event_alarm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `sys_event_alarm` (
  `id` int NOT NULL AUTO_INCREMENT,
  `process_name` varchar(256) DEFAULT NULL,
  `event_content` text,
  `event_type` int DEFAULT NULL COMMENT '1.policy 2.vtap',
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `state` int DEFAULT NULL COMMENT '0.wait 1.alarmed',
  `extra_info` text,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `sys_event_alarm`
--

LOCK TABLES `sys_event_alarm` WRITE;
/*!40000 ALTER TABLE `sys_event_alarm` DISABLE KEYS */;
/*!40000 ALTER TABLE `sys_event_alarm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tap_type`
--

DROP TABLE IF EXISTS `tap_type`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `tap_type` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) NOT NULL,
  `type` int NOT NULL DEFAULT '1' COMMENT '1:packet, 2:sFlow, 3:NetFlow V5 4:NetStream v5',
  `region` char(64) DEFAULT NULL,
  `value` int NOT NULL,
  `vlan` int DEFAULT NULL,
  `src_ip` char(64) DEFAULT NULL,
  `interface_index` int unsigned DEFAULT NULL COMMENT '1 ~ 2^32-1',
  `interface_name` char(64) DEFAULT NULL,
  `sampling_rate` int unsigned DEFAULT NULL COMMENT '1 ~ 2^32-1',
  `description` varchar(256) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tap_type`
--

LOCK TABLES `tap_type` WRITE;
/*!40000 ALTER TABLE `tap_type` DISABLE KEYS */;
INSERT INTO `tap_type` VALUES (1,'虚拟网络',1,NULL,3,768,NULL,NULL,NULL,NULL,'','b6aad4b2-75d4-11ed-8db0-16a066930ee7');
/*!40000 ALTER TABLE `tap_type` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `third_party_device`
--

DROP TABLE IF EXISTS `third_party_device`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `third_party_device` (
  `id` int NOT NULL AUTO_INCREMENT,
  `epc_id` int DEFAULT '0',
  `vm_id` int DEFAULT NULL,
  `curr_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP,
  `sys_uptime` char(32) DEFAULT NULL,
  `type` int DEFAULT NULL COMMENT '1.VM 2.Gateway 3.Compute 4.Network 5.Storage 6.Security',
  `state` int DEFAULT NULL COMMENT '0.Temp 1.run 2.stop 3.added to vdc 4.no add to vdc 5.to start 6.to stop',
  `errno` int DEFAULT '0' COMMENT '1.Operate, 2.Install, 3.Uninstall, 4.Status',
  `name` varchar(256) DEFAULT NULL,
  `label` char(64) DEFAULT NULL,
  `poolid` int DEFAULT '0',
  `community` varchar(256) DEFAULT NULL,
  `mgmt_ip` char(64) DEFAULT NULL,
  `data_ip` char(64) DEFAULT NULL,
  `ctrl_ip` char(64) DEFAULT NULL,
  `ctrl_mac` char(32) DEFAULT NULL,
  `data1_mac` char(32) DEFAULT NULL,
  `data2_mac` char(32) DEFAULT NULL,
  `data3_mac` char(32) DEFAULT NULL,
  `launch_server` char(64) DEFAULT NULL,
  `user_name` varchar(64) DEFAULT NULL,
  `user_passwd` varchar(64) DEFAULT NULL,
  `vnc_port` int DEFAULT '0',
  `brand` varchar(64) DEFAULT NULL,
  `sys_os` varchar(64) DEFAULT NULL,
  `mem_size` int DEFAULT NULL COMMENT 'Unit: MB',
  `mem_used` int DEFAULT NULL COMMENT 'Unit: MB',
  `mem_usage` varchar(32) DEFAULT NULL,
  `mem_data` varchar(256) DEFAULT NULL,
  `cpu_type` varchar(128) DEFAULT NULL,
  `cpu_num` int DEFAULT NULL,
  `cpu_data` varchar(256) DEFAULT NULL,
  `disk_size` int DEFAULT NULL COMMENT 'Unit: GB',
  `dsk_num` int DEFAULT NULL,
  `disk_info` varchar(1024) DEFAULT NULL,
  `nic_num` int DEFAULT NULL,
  `nic_data` varchar(256) DEFAULT NULL,
  `rack_name` varchar(256) DEFAULT NULL,
  `userid` int DEFAULT NULL,
  `domain` char(64) NOT NULL,
  `region` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `order_id` int DEFAULT NULL,
  `product_specification_lcuuid` char(64) DEFAULT NULL,
  `role` int DEFAULT '1' COMMENT '1. General Purpose, 2. Load Balancer, 3. Database, 4. Web Server, 5. APP Server, 6. Firewall, 7. Gateway, 8. VPN, 9. Storage, 10. WAF 13.DEEPFLOW_TOOL',
  `create_time` datetime DEFAULT NULL,
  `gateway` char(64) DEFAULT '' COMMENT 'gateway of the default route',
  `raid_support` char(64) DEFAULT '' COMMENT 'must be a subset of RAID 0, 1, 5, 6, 10, 50, 60',
  PRIMARY KEY (`id`,`domain`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `third_party_device`
--

LOCK TABLES `third_party_device` WRITE;
/*!40000 ALTER TABLE `third_party_device` DISABLE KEYS */;
/*!40000 ALTER TABLE `third_party_device` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `topo_position`
--

DROP TABLE IF EXISTS `topo_position`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `topo_position` (
  `id` int NOT NULL AUTO_INCREMENT,
  `type` int DEFAULT '1' COMMENT '3-link topo',
  `user_id` int NOT NULL,
  `data` text COLLATE utf8mb3_bin,
  `lcuuid` char(64) COLLATE utf8mb3_bin DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3 COLLATE=utf8mb3_bin;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `topo_position`
--

LOCK TABLES `topo_position` WRITE;
/*!40000 ALTER TABLE `topo_position` DISABLE KEYS */;
/*!40000 ALTER TABLE `topo_position` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vinterface`
--

DROP TABLE IF EXISTS `vinterface`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vinterface` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` char(64) DEFAULT NULL,
  `ifindex` int NOT NULL,
  `state` int NOT NULL COMMENT '1. Attached 2.Detached 3.Exception',
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `iftype` int DEFAULT '0' COMMENT '0.Unknown 1.Control 2.Service 3.WAN 4.LAN 5.Trunk 6.Tap 7.Tool',
  `mac` char(32) DEFAULT '',
  `tap_mac` char(32) DEFAULT '',
  `subnetid` int DEFAULT '0' COMMENT 'vl2 id',
  `vlantag` int DEFAULT '0',
  `devicetype` int DEFAULT NULL COMMENT 'Type 0.unknown 1.vm 2.vgw 3.third-party-device 4.vmwaf 5.NSP-vgateway 6.host-device 7.network-device 9.DHCP-port 10.pod 11.pod_service 12. redis_instance 13. rds_instance 14. pod_node 15. load_balance 16. nat_gateway',
  `deviceid` int DEFAULT NULL COMMENT 'unknown: Senseless ID, vm: vm ID, vgw/NSP-vgateway: vnet ID, third-party-device: third_party_device ID, vmwaf: vmwaf ID, host-device: host_device ID, network-device: network_device ID',
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) NOT NULL,
  `region` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`,`domain`),
  KEY `mac_index` (`mac`)
) ENGINE=InnoDB AUTO_INCREMENT=185 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vinterface`
--

LOCK TABLES `vinterface` WRITE;
/*!40000 ALTER TABLE `vinterface` DISABLE KEYS */;
INSERT INTO `vinterface` VALUES (22,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,5,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','3521e968-7dd4-5d6e-bad8-374e5323fe40'),(38,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,11,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','62e32546-ba48-58e7-9d1a-ad548233b3c1'),(69,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,19,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','b1bb387f-7d33-58c9-ac50-e4747c0641d5'),(70,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,20,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','5ff61340-1f10-5281-98f2-ef28d6e36276'),(71,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,25,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','686eb8f9-dd12-5cb0-9824-a941f14c547c'),(72,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,12,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','9c6b853f-9698-5da7-a4b9-2c44af0da1f3'),(73,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,15,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','84ed9f0d-ed0e-5ad6-beb3-f00af1ceca09'),(74,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,16,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','200d99a6-83c1-50fc-8d1e-872ccf0ef4f4'),(75,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,17,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','785f329d-82de-5065-b602-9cbd7191c537'),(76,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,24,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','06350bf6-5b53-5246-9c9c-72e5bfb2dcc5'),(77,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,13,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','d2feb131-71b6-538c-b414-940abf72ff12'),(78,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,14,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','0100cd85-112d-5a17-ada9-4f4944e7b109'),(79,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,18,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','c824326c-92a1-5afd-9101-39f43576e010'),(83,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,26,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','c0394ecf-98b1-51db-8e6e-35fe05c8a196'),(92,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,27,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','09ba4edf-e4d4-5b1a-a397-b6c98425924b'),(93,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,30,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','ddaf3738-4231-5bcf-aea9-4b768f643f2c'),(94,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,29,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','e3e840b6-0142-5921-83d1-186779d9eac1'),(95,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,28,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','25237d04-6d8d-5950-ac68-dfff800c2397'),(135,'',0,1,0,4,'92:d9:36:f7:b7:6a','42:c9:64:89:4b:c3',4097,0,10,42,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','82cdf72a-7b62-5c33-9b73-657adfdde0de'),(136,'',0,1,0,4,'3a:2b:03:28:8b:af','0a:a8:38:db:a3:74',4097,0,10,36,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','11db2b24-3ace-5424-869e-f0ace8b4735a'),(137,'',0,1,0,4,'b2:8c:82:32:18:8f','b2:9e:f3:41:f6:5c',4097,0,10,5,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','60df4f76-3add-54f8-bb06-81ab458f96a6'),(138,'',0,1,0,4,'b6:38:f0:2c:db:6b','aa:69:55:0d:0a:d6',4097,0,10,29,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','cf26184f-cd7c-50a6-8877-6370d158ffea'),(139,'',0,1,0,4,'a2:24:da:79:20:8d','96:52:eb:d7:8a:25',4097,0,10,33,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','f14bd40a-855a-544a-9889-5619ad1e44f5'),(140,'',0,1,0,4,'42:bf:6c:0d:7f:96','a2:86:8f:af:5a:0e',4097,0,10,53,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','80738790-10ee-58e0-a8f6-c614e78f43fc'),(141,'',0,1,0,4,'4a:47:d2:64:45:9c','de:ab:ba:59:67:64',4097,0,10,64,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','edf7fbff-c93f-53cc-bdff-ac4ff49482e5'),(142,'',0,1,0,4,'8a:d5:67:49:fa:4c','a2:24:9c:62:6a:89',4097,0,10,63,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','0ca49c52-0ede-58b0-81ea-eacb6d138f5a'),(143,'',0,1,0,4,'b6:78:74:2a:6c:e5','1a:dc:2d:01:c0:62',4097,0,10,27,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','fe17f923-6b23-53a0-baec-a4c0947c748e'),(144,'',0,1,0,4,'16:94:36:ef:d5:d7','b6:1a:c3:3a:0f:12',4097,0,10,60,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','eabfa3cc-e320-53ce-9ba8-554757db416b'),(145,'',0,1,0,4,'76:45:5c:ae:02:4e','3e:ac:cd:ce:5e:09',4097,0,10,58,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','c19269ec-d0c9-59ff-ad74-4b23b9be26fd'),(146,'',0,1,0,4,'42:4d:16:ef:09:e8','8e:4a:95:7d:9d:ad',4097,0,10,59,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','402f0490-5795-51af-b65a-28e307883351'),(147,'',0,1,0,4,'92:8b:31:ea:74:87','a2:8f:a9:88:7e:4d',4097,0,10,48,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','305529ae-2d9a-5bad-aac1-2b9477f0bdba'),(148,'',0,1,0,4,'96:e7:08:f0:4d:54','86:cf:05:b2:e1:0d',4097,0,10,39,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','a6b76282-5d56-52a4-a3c6-e9620df910e3'),(149,'',0,1,0,4,'be:85:a7:13:0a:0e','e2:b1:fd:9a:41:5d',4097,0,10,34,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','de750c81-fc8f-5cbd-8a29-440becc9cc1a'),(150,'',0,1,0,4,'72:a8:28:7e:cc:c4','8e:07:31:e4:9d:32',4097,0,10,44,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','fd46fa2d-daf4-5821-a246-5d5263150e33'),(151,'',0,1,0,4,'92:9f:d9:ea:82:0b','6a:53:3c:49:2e:63',4097,0,10,51,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','eeaf9952-e285-5b5e-8e27-d2442dc369df'),(152,'',0,1,0,4,'02:47:a7:40:19:a2','de:c9:25:d6:83:79',4097,0,10,49,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','72f7897e-504b-5f6a-ba97-540f6b7a0dd5'),(153,'',0,1,0,4,'1a:0d:b8:f0:c2:f6','be:2a:8e:d1:b0:3b',4097,0,10,57,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','c16d2290-2ba2-5ba2-b96c-5634d98c0b3e'),(154,'',0,1,0,4,'12:18:64:32:b4:80','42:a9:b6:c3:eb:c8',4097,0,10,41,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','ea36933a-8f0d-5d1b-9464-4364d6505f3a'),(155,'',0,1,0,4,'46:ee:f0:d8:38:67','d6:af:d0:42:75:b8',4097,0,10,32,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','335c148a-747b-5a5a-b194-5eda2437645f'),(156,'',0,1,0,4,'5a:0a:2d:79:bb:11','7e:42:ae:33:51:4b',4097,0,10,25,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','c30b7202-e1c8-5dda-884f-412c155cae10'),(157,'',0,1,0,4,'e6:ed:e2:a1:ee:a8','1a:86:41:88:08:4a',4097,0,10,43,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','9eebcf0e-a8cd-555d-b519-f3ab43b7a51a'),(158,'',0,1,0,4,'5e:88:2e:29:b6:bd','16:56:7a:d3:f8:6b',4097,0,10,22,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','aefd3e47-b5ff-5871-91e8-2ed014865370'),(159,'',0,1,0,4,'1a:43:39:c7:cc:81','ce:44:a0:1e:a9:fb',4097,0,10,62,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','42c30b47-c350-53c8-ae9e-8b2a230c55b0'),(160,'',0,1,0,4,'7a:55:d4:d5:00:48','ba:75:f0:a3:20:25',4097,0,10,31,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','691581b4-5731-50c9-bdf5-1ec1063eeea9'),(161,'',0,1,0,4,'9a:15:5e:9d:cc:19','2e:c2:0a:70:07:2e',4097,0,10,21,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','0bcbb853-d8a0-5b74-a5c9-acb2638ffca0'),(162,'',0,1,0,4,'62:27:48:73:33:37','5a:c1:ea:5d:32:9c',4097,0,10,10,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','335498b8-b313-5524-a84d-0293965e1e49'),(163,'',0,1,0,4,'ea:bc:f0:51:72:35','4a:b4:06:39:10:04',4097,0,10,24,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','64100e6d-6e4c-57db-8a33-db68cb90d343'),(164,'',0,1,0,4,'ae:ac:bc:53:23:9b','1a:85:f3:37:73:b7',4097,0,10,50,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','2ce4b88d-6842-5ab7-8a5f-2421b9d4485d'),(165,'',0,1,0,4,'be:e7:1a:71:c6:c0','ee:ce:1f:03:f4:78',4097,0,10,35,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','b96eb9dd-f5a2-5fa4-b952-73ea341ac91f'),(166,'',0,1,0,4,'46:6f:f4:5a:46:cd','ae:ba:81:4e:80:ba',4097,0,10,30,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','3b731238-c4a2-5ba0-999c-be0775566eae'),(167,'',0,1,0,4,'aa:bf:cb:b1:4d:3b','8e:03:35:37:c8:a4',4097,0,10,61,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','a8fb2da8-4659-57d3-8fe7-3cfd50bcacbf'),(171,'',0,1,0,4,'52:7a:5c:e9:a3:4d','',4097,0,14,2,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','fbd75e7e-31e4-5cb5-a3b1-c6f36047af84'),(172,'',0,1,0,4,'ca:80:87:56:3c:14','',4097,0,14,1,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','208b8256-183a-575f-b3a8-1c3478ed1e05'),(173,'',0,1,0,3,'00:16:3e:2c:b6:0b','',4098,0,14,3,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','986eaa6a-8e93-59e4-adc9-e9e4e275cd6a'),(174,'',0,1,0,4,'ca:48:5d:b1:37:67','',4098,0,14,3,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','d613e8f7-cbb5-508a-815f-f24c93f4fa57'),(175,'',0,1,0,3,'00:16:3e:2c:15:02','',4098,0,14,2,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','b2137414-1687-5542-9188-32e269d01bbc'),(176,'',0,1,0,4,'d6:7d:f3:05:a4:c1','',4097,0,14,1,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','47fae5fd-b0ea-5d17-a6b2-40c817a0aab9'),(177,'',0,1,0,4,'16:e6:8d:98:85:f4','',4097,0,14,2,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','cd9370e7-20b5-5de6-b2f3-f9c6611034dd'),(178,'',0,1,0,3,'00:16:3e:03:ee:e9','',4098,0,14,1,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','167fbbd2-ef26-588b-889c-15e65c4c781d'),(179,'',0,1,0,4,'ee:47:bb:f1:45:b7','',4098,0,14,3,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','2be48855-2d5d-58e0-99d5-1c4f3737c3b7'),(180,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,36,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','b3542f98-a82e-5b34-b820-a171ae3dd258'),(181,'',0,1,0,4,'00:00:00:00:00:00','',4099,0,11,34,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','47d03b4f-ae23-5e30-96be-dc29f9782081'),(182,'',0,1,0,4,'aa:6b:9b:3d:c2:f3','3e:00:27:33:36:88',4097,0,10,73,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','afa033cd-5249-51cc-a697-ba65f036ff96'),(183,'',0,1,0,4,'3a:f3:fd:d3:2c:d9','66:24:a9:96:b3:4f',4097,0,10,72,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','6932799e-5b14-51db-85ee-44178a28ec13'),(184,'',0,1,0,4,'ae:cc:83:63:75:44','ce:6c:ee:e2:35:63',4097,0,10,71,'','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','be37c72e-a2c8-58c8-800f-9f949fb1f918');
/*!40000 ALTER TABLE `vinterface` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vinterface_ip`
--

DROP TABLE IF EXISTS `vinterface_ip`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vinterface_ip` (
  `id` int NOT NULL AUTO_INCREMENT,
  `ip` char(64) DEFAULT NULL,
  `netmask` char(64) DEFAULT NULL,
  `gateway` char(64) DEFAULT NULL,
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `vl2id` int DEFAULT NULL,
  `net_index` int DEFAULT '0',
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `vifid` int DEFAULT NULL,
  `isp` int DEFAULT '0' COMMENT 'Used for multi-ISP access',
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=184 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vinterface_ip`
--

LOCK TABLES `vinterface_ip` WRITE;
/*!40000 ALTER TABLE `vinterface_ip` DISABLE KEYS */;
INSERT INTO `vinterface_ip` VALUES (22,'10.96.0.10','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',22,0,'c1da6c0b-3da7-5fa3-ba62-4b4237e0f65b'),(38,'10.101.9.68','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',38,0,'925605cc-f73f-5a98-b660-8a4c35f6a150'),(70,'10.99.48.91','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',69,0,'00e671e6-3c48-5c17-b448-fa5695b095f9'),(71,'10.101.201.139','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',70,0,'22dcc28a-ebad-5734-a8e3-8a32c10f4063'),(72,'10.109.170.24','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',71,0,'e952b2d8-8401-52c5-91c4-0a966b557978'),(73,'10.108.185.245','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',72,0,'9884af7f-124d-529a-931d-fe394daebd5a'),(74,'10.106.65.97','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',73,0,'78e3f814-dbdc-58c8-b6f9-7de53f1688fb'),(75,'10.106.247.164','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',74,0,'2468a2fc-8351-5073-97a2-cb0d7b25d650'),(76,'10.108.62.249','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',75,0,'b4af165e-efe3-5d61-a689-64ed2cf22d08'),(77,'10.101.159.140','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',76,0,'49f71249-d672-5a94-9c3c-58c036fbc292'),(78,'10.100.58.167','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',77,0,'77c00331-c8f0-550f-9ddc-62f63e70af9b'),(79,'10.100.130.198','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',78,0,'6236cb9d-46c0-5c53-8ec9-eeb32a602838'),(80,'10.106.43.67','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',79,0,'5fdede52-6bed-58ae-9547-50b91b9ae88c'),(84,'10.99.229.63','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',83,0,'edb81fcd-2574-5803-adf2-4e41737e6a2c'),(93,'10.111.139.130','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',92,0,'37daae3b-a664-5c8d-b817-5dbf55dad61b'),(94,'10.108.175.73','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',93,0,'bec08988-09b6-5286-9de8-3dca4c11a116'),(95,'10.107.146.217','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',94,0,'24c432c5-f7a4-5068-ac25-1a1c3c2d9483'),(96,'10.108.252.135','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',95,0,'719b7ac7-30c6-51c7-8acc-a6a13628bad1'),(133,'10.244.3.38','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',143,0,'9db434aa-e5aa-5c0b-817a-1014bd5d3648'),(134,'10.244.1.38','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',158,0,'ab143ca2-21a1-5711-9ece-37c429dff64a'),(135,'10.244.1.50','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',135,0,'656e4c54-1293-5507-adf4-06a87079bb1d'),(136,'10.244.1.52','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',140,0,'db17dd3a-8640-5e39-a9be-d6a3cc105ab6'),(137,'10.244.3.48','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',145,0,'799bdb46-8b03-5089-a312-5c9c51f8366f'),(138,'10.244.0.55','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',151,0,'7f8df503-e8b3-5c2a-819f-dd331346fdbc'),(139,'10.244.0.53','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',137,0,'6f83d8ec-e96d-5624-9280-0ae8c1ca1805'),(140,'10.244.1.59','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',144,0,'f902bc64-dc51-5737-a377-45834a409b8d'),(141,'10.244.1.54','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',156,0,'c6e59b45-b592-5b83-b2b1-ecf9e21fe5a5'),(142,'10.244.3.36','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',165,0,'f40c352e-5c67-5a67-ab61-a71bcb6abd7c'),(143,'10.244.3.37','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',139,0,'ce20bb11-7e2a-596e-a369-f26ed3b08bbf'),(144,'10.244.3.49','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',141,0,'adfb2eca-e94f-5c7e-b692-dfffe609acb6'),(145,'10.244.3.39','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',150,0,'e55f9444-3bdf-5275-83fd-df88c1ba75e7'),(146,'10.244.3.42','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',152,0,'cbb2db19-12b9-5c1a-8a6a-92cff3df4ec2'),(147,'10.244.1.58','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',153,0,'4a94adce-8dfd-5475-b93a-49c34b5abc53'),(148,'10.244.3.41','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',155,0,'613fb790-e557-5505-9970-863191a7e228'),(149,'10.244.0.54','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',162,0,'de84ce69-be0b-5fac-9723-4fc16a8220d0'),(150,'10.244.3.32','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',136,0,'17e0ac3a-3d34-5555-9acc-b9d5bf5da6b7'),(151,'10.244.0.56','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',154,0,'e8833ad2-907d-5139-a973-32fd5e0728dc'),(152,'10.244.1.56','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',163,0,'72f21876-3076-5161-a663-520704ed6825'),(153,'10.244.3.40','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',164,0,'54905d3f-5a16-5e31-912b-008a1be1b2a9'),(154,'10.244.3.50','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',142,0,'44073c92-5f68-5b24-9b1c-31ec788c076c'),(155,'10.244.1.55','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',149,0,'14802337-071c-5861-a69b-6a598c5254ae'),(156,'10.244.1.53','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',157,0,'71e1714c-9fd5-5c6a-b679-d74d02f1b9b6'),(157,'10.244.0.59','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',159,0,'e345b270-f3d6-5c10-b4e1-f9846db172e0'),(158,'10.244.3.4','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',166,0,'8fb78de8-7620-5172-8b32-79a524bd40e6'),(159,'10.244.0.58','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',146,0,'510b75e1-7af0-5b98-a067-69c551a12571'),(160,'10.244.3.3','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',147,0,'5b17f1fd-499f-5829-bd0c-1b01d2b8e564'),(161,'10.244.3.35','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',138,0,'e995c783-5a63-5873-83d4-10325dfa28f3'),(162,'10.244.1.46','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',148,0,'42b0a9e7-c682-57c0-9eb2-b2318a0681e9'),(163,'10.244.3.2','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',160,0,'ad48a40d-a3c0-5fc9-a0a6-295818b554cd'),(164,'10.244.0.52','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',161,0,'13befccb-3d7e-55dc-b0ff-d298051b6d88'),(165,'10.244.1.60','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',167,0,'8c6a148e-9fcb-5abe-b8b2-c9fab053e457'),(169,'10.244.0.1','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',171,0,'d951907c-e8ac-55ec-8eab-824eb61fa3f1'),(170,'fe80::92:a4ff:fea8:8b75','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',171,0,'9041dfea-c445-5bab-9983-0dd4dfea5be8'),(171,'10.244.1.0','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',172,0,'857750bd-59ba-5b58-8d5f-1e880d2d498e'),(172,'10.244.3.0','','',0,4098,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',174,0,'a1f9d874-ca2e-5633-a54f-9b9ce9c66f53'),(173,'fe80::c848:5dff:feb1:3767','','',0,4098,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',174,0,'b1efb1ef-7dbf-520b-a700-6db5c34f25dd'),(174,'10.244.1.1','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',176,0,'8f69c283-ea85-590a-bc77-a4b1c5e96c7d'),(175,'10.244.0.0','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',177,0,'77ae68bb-194a-5255-acdc-6428293dd626'),(176,'fe80::14e6:8dff:fe98:85f4','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',177,0,'36e40718-b807-5d72-adb0-21dc3c065e0d'),(177,'10.244.3.1','','',0,4098,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',179,0,'907c09e5-f068-5243-8604-789439166614'),(178,'fe80::ec47:bbff:fef1:45b7','','',0,4098,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',179,0,'8b88b167-7ce0-5c86-8f27-5af60be5503c'),(179,'10.103.233.132','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',180,0,'ca21a87e-91f1-5843-b770-76be79f5fb5a'),(180,'10.104.255.195','','',0,4099,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',181,0,'594a935f-4ad8-572c-bd47-5ae7c7a2d49f'),(181,'10.244.3.59','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',183,0,'f8a96516-e8b0-5398-b7b3-8b3d57ee8738'),(182,'10.244.3.60','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',182,0,'3bf03c22-e737-5316-b851-9dc5865fe9a1'),(183,'10.244.3.61','','',0,4097,0,'','26b59715-7a6f-5fb6-89fd-d1749146aa29',184,0,'3e43508f-52b7-57fa-a1bb-cde6b53e7057');
/*!40000 ALTER TABLE `vinterface_ip` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vl2`
--

DROP TABLE IF EXISTS `vl2`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vl2` (
  `id` int NOT NULL AUTO_INCREMENT,
  `state` int NOT NULL COMMENT '0.Temp 1.Creating 2.Created 3.Exception 4.Modifing 5.Destroying 6.Destroyed',
  `net_type` int DEFAULT '4' COMMENT '1.CTRL 2.SERVICE 3.WAN 4.LAN',
  `name` varchar(256) NOT NULL,
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `label` varchar(64) DEFAULT '',
  `alias` char(64) DEFAULT NULL,
  `description` varchar(256) DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `domain` char(64) NOT NULL,
  `region` char(64) DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `isp` int DEFAULT '0',
  `userid` int DEFAULT '0',
  `epc_id` int DEFAULT '0',
  `segmentation_id` int DEFAULT '0',
  `tunnel_id` int DEFAULT '0',
  `shared` int DEFAULT '0',
  `topped` int DEFAULT '0',
  `is_vip` int DEFAULT '0',
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`,`domain`),
  UNIQUE KEY `lcuuid_index` (`lcuuid`)
) ENGINE=InnoDB AUTO_INCREMENT=4100 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vl2`
--

LOCK TABLES `vl2` WRITE;
/*!40000 ALTER TABLE `vl2` DISABLE KEYS */;
INSERT INTO `vl2` VALUES (4096,0,3,'PublicNetwork',0,'',NULL,NULL,NULL,'ffffffff-ffff-ffff-ffff-ffffffffffff',NULL,'',7,0,0,0,0,0,0,0,'ffffffff-ffff-ffff-ffff-ffffffffffff','2022-12-07 10:13:23','2022-12-07 10:13:23',NULL),(4097,2,4,'k8s-d-riaItWzFKw_POD_NET',0,'','','','','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','26b59715-7a6f-5fb6-89fd-d1749146aaff',0,0,1,1,0,0,0,0,'b46a26fc-61ad-5367-9317-bf5461ab6862','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(4098,2,3,'k8s-d-riaItWzFKw_NODE_NET',0,'','','','','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','26b59715-7a6f-5fb6-89fd-d1749146aaff',0,0,1,1,0,0,0,0,'878cfd23-9ecf-5458-a3e4-543c5401b1ac','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL),(4099,2,4,'k8s-d-riaItWzFKw_SVC_NET',0,'','','','','26b59715-7a6f-5fb6-89fd-d1749146aa29','ffffffff-ffff-ffff-ffff-ffffffffffff','26b59715-7a6f-5fb6-89fd-d1749146aaff',0,0,1,1,0,0,0,0,'a3e8c24b-0134-524b-af6f-c234002ace17','2022-12-07 10:15:28','2022-12-07 10:15:28',NULL);
/*!40000 ALTER TABLE `vl2` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vl2_net`
--

DROP TABLE IF EXISTS `vl2_net`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vl2_net` (
  `id` int NOT NULL AUTO_INCREMENT,
  `prefix` char(64) DEFAULT NULL,
  `netmask` char(64) DEFAULT NULL,
  `vl2id` int DEFAULT NULL,
  `net_index` int DEFAULT '0',
  `name` varchar(256) DEFAULT NULL,
  `label` varchar(64) DEFAULT '',
  `sub_domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vl2_net`
--

LOCK TABLES `vl2_net` WRITE;
/*!40000 ALTER TABLE `vl2_net` DISABLE KEYS */;
INSERT INTO `vl2_net` VALUES (1,'10.244.0.0','255.255.254.0',4097,0,'k8s-d-riaItWzFKw_POD_NET','','','a213f7a4-f52a-5812-817a-f41c642b7f75'),(3,'172.17.160.0','255.255.240.0',4098,0,'k8s-d-riaItWzFKw_NODE_NET','','','e1404679-7842-5b8a-ae53-8200a295602d'),(4,'10.96.0.0','255.254.0.0',4099,0,'k8s-d-riaItWzFKw_SVC_NET','','','dd51adf2-ab9a-56a0-a2d2-33a0c5951be5'),(6,'10.244.3.0','255.255.255.192',4097,0,'10.244.3.0/26_POD_NET','','','923165b5-f5ce-580c-9ab2-b8f0f92b2d3f'),(7,'fe80::','ffff:ffff:ffff:ffff::',4098,0,'fe80::/64_NODE_NET','','','42078f75-57a8-55de-adaa-d41b0a865afe');
/*!40000 ALTER TABLE `vl2_net` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vm`
--

DROP TABLE IF EXISTS `vm`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vm` (
  `id` int NOT NULL AUTO_INCREMENT,
  `state` int NOT NULL COMMENT '0.Temp 1.Creating 2.Created 3.To run 4.Running 5.To suspend 6.Suspended 7.To resume 8. To stop 9.Stopped 10.Modifing 11.Exception 12.Destroying',
  `name` varchar(256) DEFAULT NULL,
  `alias` char(64) DEFAULT NULL,
  `label` char(64) DEFAULT NULL,
  `create_method` int DEFAULT '0' COMMENT '0.learning 1.user_defined',
  `htype` int DEFAULT '1' COMMENT '1.vm-c 2.bm-c 3.vm-n 4.bm-n 5.vm-s 6.bm-s',
  `launch_server` char(64) DEFAULT NULL,
  `epc_id` int DEFAULT '0',
  `domain` char(64) NOT NULL,
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT '',
  `userid` int DEFAULT NULL,
  `uid` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`,`domain`),
  KEY `state_server_index` (`state`,`launch_server`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vm`
--

LOCK TABLES `vm` WRITE;
/*!40000 ALTER TABLE `vm` DISABLE KEYS */;
INSERT INTO `vm` VALUES (1,4,'cest-2','','2f1ff8e1-523a-40db-b23f-47c56093a088',0,1,'',1,'26b59715-7a6f-5fb6-89fd-d1749146aa29','26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff',NULL,'2f1ff8e1-523a-40db-b23f-47c56093a088','ff3277bb-8007-5acc-92f9-98586a496059','2022-12-07 10:15:27','2023-03-10 11:35:35',NULL),(2,4,'k8sm1','','2093bdbe-9e6d-4a4b-88ff-76891a0c3b59',0,1,'',1,'26b59715-7a6f-5fb6-89fd-d1749146aa29','26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff',NULL,'2093bdbe-9e6d-4a4b-88ff-76891a0c3b59','ffc2e17a-a5df-578d-b888-9c897e5093b0','2022-12-07 10:15:27','2022-12-07 10:15:27',NULL),(3,4,'cest-3','','ff61a082-ffac-4a16-bf21-71c17688dfd8',0,1,'',1,'26b59715-7a6f-5fb6-89fd-d1749146aa29','26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff',NULL,'ff61a082-ffac-4a16-bf21-71c17688dfd8','ff473b71-f75a-5839-b77e-92ea4bce380b','2023-03-10 09:48:35','2023-03-10 09:48:35',NULL);
/*!40000 ALTER TABLE `vm` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vm_pod_node_connection`
--

DROP TABLE IF EXISTS `vm_pod_node_connection`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vm_pod_node_connection` (
  `id` int NOT NULL AUTO_INCREMENT,
  `vm_id` int DEFAULT NULL,
  `pod_node_id` int DEFAULT NULL,
  `domain` char(64) DEFAULT NULL,
  `sub_domain` char(64) DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vm_pod_node_connection`
--

LOCK TABLES `vm_pod_node_connection` WRITE;
/*!40000 ALTER TABLE `vm_pod_node_connection` DISABLE KEYS */;
INSERT INTO `vm_pod_node_connection` VALUES (1,1,1,'26b59715-7a6f-5fb6-89fd-d1749146aa29','','737e5d5c-6561-5cf8-bd74-97b5eec9a1e1'),(2,2,2,'26b59715-7a6f-5fb6-89fd-d1749146aa29','','396a05b4-f0e1-538b-a225-83639dd634c7'),(3,3,3,'26b59715-7a6f-5fb6-89fd-d1749146aa29','','0200bbdf-2e87-5db8-853f-929327dbdda1');
/*!40000 ALTER TABLE `vm_pod_node_connection` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vm_security_group`
--

DROP TABLE IF EXISTS `vm_security_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vm_security_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `sg_id` int NOT NULL,
  `vm_id` int NOT NULL,
  `priority` int NOT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vm_security_group`
--

LOCK TABLES `vm_security_group` WRITE;
/*!40000 ALTER TABLE `vm_security_group` DISABLE KEYS */;
/*!40000 ALTER TABLE `vm_security_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vnet`
--

DROP TABLE IF EXISTS `vnet`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vnet` (
  `id` int NOT NULL AUTO_INCREMENT,
  `state` int NOT NULL COMMENT '0.Temp 1.Creating 2.Created 3.Exception 4.Modifing 5.Destroying 6.To run 7.Running 8.To stop 9.Stopped',
  `name` varchar(256) DEFAULT NULL,
  `label` char(64) DEFAULT NULL,
  `description` varchar(256) DEFAULT NULL,
  `epc_id` int DEFAULT '0',
  `gw_launch_server` char(64) DEFAULT NULL,
  `domain` char(64) NOT NULL,
  `region` char(64) DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `userid` int DEFAULT NULL,
  `lcuuid` char(64) DEFAULT NULL,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `deleted_at` datetime DEFAULT NULL,
  PRIMARY KEY (`id`,`domain`),
  KEY `state_server_index` (`state`,`gw_launch_server`)
) ENGINE=InnoDB AUTO_INCREMENT=256 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vnet`
--

LOCK TABLES `vnet` WRITE;
/*!40000 ALTER TABLE `vnet` DISABLE KEYS */;
/*!40000 ALTER TABLE `vnet` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `voucher`
--

DROP TABLE IF EXISTS `voucher`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `voucher` (
  `id` int NOT NULL AUTO_INCREMENT,
  `status` int DEFAULT '0',
  `name` varchar(256) DEFAULT NULL,
  `value` blob,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `voucher`
--

LOCK TABLES `voucher` WRITE;
/*!40000 ALTER TABLE `voucher` DISABLE KEYS */;
/*!40000 ALTER TABLE `voucher` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vtap`
--

DROP TABLE IF EXISTS `vtap`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vtap` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(256) NOT NULL,
  `state` int DEFAULT '1' COMMENT '0.not-connected 1.normal',
  `enable` int DEFAULT '1' COMMENT '0: stop 1: running',
  `type` int DEFAULT '0' COMMENT '1: process 2: vm 3: public cloud 4: analyzer 5: physical machine 6: dedicated physical machine 7: host pod 8: vm pod',
  `ctrl_ip` char(64) NOT NULL,
  `ctrl_mac` char(64) DEFAULT NULL,
  `tap_mac` char(64) DEFAULT NULL,
  `analyzer_ip` char(64) NOT NULL,
  `cur_analyzer_ip` char(64) NOT NULL,
  `controller_ip` char(64) NOT NULL,
  `cur_controller_ip` char(64) NOT NULL,
  `launch_server` char(64) NOT NULL,
  `launch_server_id` int DEFAULT NULL,
  `az` char(64) DEFAULT '',
  `region` char(64) DEFAULT '',
  `revision` varchar(256) DEFAULT NULL,
  `synced_controller_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `synced_analyzer_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `created_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `boot_time` int DEFAULT '0',
  `exceptions` int unsigned DEFAULT '0',
  `vtap_lcuuid` char(64) DEFAULT NULL,
  `vtap_group_lcuuid` char(64) DEFAULT NULL,
  `cpu_num` int DEFAULT '0' COMMENT 'logical number of cpu',
  `memory_size` bigint DEFAULT '0',
  `arch` varchar(256) DEFAULT NULL,
  `os` varchar(256) DEFAULT NULL,
  `kernel_version` varchar(256) DEFAULT NULL,
  `process_name` varchar(256) DEFAULT NULL,
  `license_type` int DEFAULT NULL COMMENT '1: A类 2: B类 3: C类',
  `license_functions` char(64) DEFAULT NULL COMMENT 'separated by ,; 1: 流量分发 2: 网络监控 3: 应用监控',
  `tap_mode` int DEFAULT NULL,
  `expected_revision` text,
  `upgrade_package` text,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vtap`
--

LOCK TABLES `vtap` WRITE;
/*!40000 ALTER TABLE `vtap` DISABLE KEYS */;
INSERT INTO `vtap` VALUES (1,'k8sm1-V2',1,1,8,'172.17.213.200','00:16:3e:2c:15:02','','172.17.172.136','172.17.172.136','172.17.172.136','172.17.172.136','172.17.213.200',2,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','v6.1.7 7195-ec882eea9310bd13495e086694a42f5caa04d7bd','2023-03-10 14:05:31','2023-03-10 14:04:53','2022-12-07 10:15:42',1678412446,0,'','ba3a725e-75d4-11ed-8db0-16a066930ee7',4,8068407296,'x86_64','Alpine Linux 3.17.0','5.4.225','deepflow-agent-ce',1,'2,3',0,'','','2093bdbe-9e6d-4a4b-88ff-76891a0c3b59'),(2,'cest-2-V1',1,1,8,'172.17.172.137','00:16:3e:03:ee:e9','','172.17.172.136','172.17.172.136','172.17.172.136','172.17.172.136','172.17.172.137',1,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','v6.1.7 7195-ec882eea9310bd13495e086694a42f5caa04d7bd','2023-03-10 14:05:34','2023-03-10 14:04:54','2022-12-07 10:16:25',1678412471,0,'','ba3a725e-75d4-11ed-8db0-16a066930ee7',4,7918821376,'x86_64','Alpine Linux 3.17.0','3.10.0','deepflow-agent-ce',1,'2,3',0,'','','2f1ff8e1-523a-40db-b23f-47c56093a088'),(3,'cest-3-V3',1,1,8,'172.17.172.136','00:16:3e:2c:b6:0b','','172.17.172.136','172.17.172.136','172.17.172.136','172.17.172.136','172.17.172.136',3,'26b59715-7a6f-5fb6-89fd-d1749146aaff','ffffffff-ffff-ffff-ffff-ffffffffffff','v6.1.7 7195-ec882eea9310bd13495e086694a42f5caa04d7bd','2023-03-10 14:05:33','2023-03-10 14:04:53','2023-03-10 09:49:26',1678412486,0,'','ba3a725e-75d4-11ed-8db0-16a066930ee7',4,16109850624,'x86_64','Alpine Linux 3.17.0','3.10.0','deepflow-agent-ce',1,'2,3',0,'','','ff61a082-ffac-4a16-bf21-71c17688dfd8');
/*!40000 ALTER TABLE `vtap` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vtap_group`
--

DROP TABLE IF EXISTS `vtap_group`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vtap_group` (
  `id` int NOT NULL AUTO_INCREMENT,
  `name` varchar(64) NOT NULL,
  `created_at` datetime DEFAULT CURRENT_TIMESTAMP,
  `updated_at` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `lcuuid` char(64) DEFAULT NULL,
  `short_uuid` char(32) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vtap_group`
--

LOCK TABLES `vtap_group` WRITE;
/*!40000 ALTER TABLE `vtap_group` DISABLE KEYS */;
INSERT INTO `vtap_group` VALUES (1,'default','2022-12-07 10:13:23','2022-12-07 10:13:23','ba3a725e-75d4-11ed-8db0-16a066930ee7','ba3a763575');
/*!40000 ALTER TABLE `vtap_group` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `vtap_group_configuration`
--

DROP TABLE IF EXISTS `vtap_group_configuration`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!50503 SET character_set_client = utf8mb4 */;
CREATE TABLE `vtap_group_configuration` (
  `id` int NOT NULL AUTO_INCREMENT,
  `max_collect_pps` int DEFAULT NULL,
  `max_npb_bps` bigint DEFAULT NULL COMMENT 'unit: bps',
  `max_cpus` int DEFAULT NULL,
  `max_memory` int DEFAULT NULL COMMENT 'unit: M',
  `sync_interval` int DEFAULT NULL,
  `stats_interval` int DEFAULT NULL,
  `rsyslog_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `max_tx_bandwidth` bigint DEFAULT NULL COMMENT 'unit: bps',
  `bandwidth_probe_interval` int DEFAULT NULL,
  `tap_interface_regex` text,
  `max_escape_seconds` int DEFAULT NULL,
  `mtu` int DEFAULT NULL,
  `output_vlan` int DEFAULT NULL,
  `collector_socket_type` char(64) DEFAULT NULL,
  `compressor_socket_type` char(64) DEFAULT NULL,
  `npb_socket_type` char(64) DEFAULT NULL,
  `npb_vlan_mode` int DEFAULT NULL,
  `collector_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `vtap_flow_1s_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `l4_log_tap_types` text COMMENT 'tap type info, separate by ","',
  `npb_dedup_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `platform_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `if_mac_source` int DEFAULT NULL COMMENT '0: 接口MAC 1: 接口名称 2: 虚拟机MAC解析',
  `vm_xml_path` text,
  `extra_netns_regex` text,
  `nat_ip_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `capture_packet_size` int DEFAULT NULL,
  `inactive_server_port_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `inactive_ip_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `vtap_group_lcuuid` char(64) DEFAULT NULL,
  `log_threshold` int DEFAULT NULL,
  `log_level` char(64) DEFAULT NULL,
  `log_retention` int DEFAULT NULL,
  `http_log_proxy_client` char(64) DEFAULT NULL,
  `http_log_trace_id` char(64) DEFAULT NULL,
  `l7_log_packet_size` int DEFAULT NULL,
  `l4_log_collect_nps_threshold` int DEFAULT NULL,
  `l7_log_collect_nps_threshold` int DEFAULT NULL,
  `l7_metrics_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `l7_log_store_tap_types` text COMMENT 'l7 log store tap types, separate by ","',
  `decap_type` text COMMENT 'separate by ","',
  `capture_socket_type` int DEFAULT NULL,
  `capture_bpf` varchar(512) DEFAULT NULL,
  `tap_mode` int DEFAULT NULL COMMENT '0: local 1: virtual mirror 2: physical mirror',
  `thread_threshold` int DEFAULT NULL,
  `process_threshold` int DEFAULT NULL,
  `ntp_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `l4_performance_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `pod_cluster_internal_ip` tinyint(1) DEFAULT NULL COMMENT '0: 所有集群 1:采集器所在集群',
  `domains` text COMMENT 'domains info, separate by ","',
  `http_log_span_id` char(64) DEFAULT NULL,
  `http_log_x_request_id` char(64) DEFAULT NULL,
  `sys_free_memory_limit` int DEFAULT NULL COMMENT 'unit: %',
  `log_file_size` int DEFAULT NULL COMMENT 'unit: MB',
  `external_agent_http_proxy_enabled` tinyint(1) DEFAULT NULL COMMENT '0: disabled 1:enabled',
  `external_agent_http_proxy_port` int DEFAULT NULL,
  `proxy_controller_port` int DEFAULT NULL,
  `analyzer_port` int DEFAULT NULL,
  `proxy_controller_ip` varchar(128) DEFAULT NULL,
  `analyzer_ip` varchar(128) DEFAULT NULL,
  `yaml_config` text,
  `lcuuid` char(64) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb3;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `vtap_group_configuration`
--

LOCK TABLES `vtap_group_configuration` WRITE;
/*!40000 ALTER TABLE `vtap_group_configuration` DISABLE KEYS */;
/*!40000 ALTER TABLE `vtap_group_configuration` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2023-03-10 14:07:45
