CREATE TABLE otel.otel_traces_duration_ts (`Timestamp` DateTime64(9) CODEC(Delta(8), ZSTD(1)), `TraceId` String CODEC(ZSTD(1)), `AppAlias` LowCardinality(String) CODEC(ZSTD(1)), `SpanName` LowCardinality(String) CODEC(ZSTD(1)), `SpanKind` LowCardinality(String) CODEC(ZSTD(1)), `ServiceName` LowCardinality(String) CODEC(ZSTD(1)), `Duration` Int64 CODEC(ZSTD(1)), `HttpCode` Int32, `HttpURL` String CODEC(ZSTD(1)), INDEX idx_trace_id TraceId TYPE bloom_filter(0.001) GRANULARITY 1, INDEX idx_duration Duration TYPE minmax GRANULARITY 1) ENGINE = MergeTree PARTITION BY toDate(Timestamp) ORDER BY (toUnixTimestamp(Timestamp), TraceId) TTL toDateTime(Timestamp) + toIntervalDay(10) SETTINGS index_granularity = 8192, ttl_only_drop_parts = 1