CREATE MATERIALIZED VIEW otel.otel_traces_duration_ts_mv TO otel.otel_traces_duration_ts (`Timestamp` DateTime64(9), `TraceId` String, `AppAlias` String, `SpanName` String, `SpanKind` String, `ServiceName` String, `Duration` Int64, `HttpCode` Int32, `HttpURL` String) AS SELECT min(Timestamp) AS Timestamp, TraceId, AppAlias, SpanName, SpanKind, ServiceName, Duration, HttpCode, HttpURL FROM otel.otel_traces WHERE (TraceId != '') AND (ParentSpanId = '') AND (SpanKind != 'SPAN_KIND_CLIENT') GROUP BY TraceId, AppAlias, SpanName, SpanKind, ServiceName, Duration, HttpCode, HttpURL