CREATE TABLE otel.otel_traces_flat_spring_boot (`Timestamp` Int64, `TraceId` String, `SpanId` String, `ParentSpanId` String, `TraceState` String, `SpanName` LowCardinality(String), `SpanKind` Int32, `ScopeName` String, `ServiceName` LowCardinality(String), `ServiceIP` LowCardinality(String), `Duration` Int64, `ContainerId` String, `SrcIP` String, `SrcPort` String, `TargetIP` String, `TargetPort` String, `RPCType` String, `RPCName` String, `RPCRequest` Map(LowCardinality(String), String), `RPCResult` Int8, `FuncNameSpace` String, `FuncName` String, `FuncLineNO` Int32, `FuncResult` Int32, `Status` Nullable(Int8) DEFAULT -1, `StatusMessage` Nullable(String), `Exceptions` Nullable(String)) ENGINE = MergeTree PARTITION BY toDate(Timestamp) ORDER BY (ServiceName, SpanName, toUnixTimestamp(Timestamp), TraceId) TTL toDateTime(intDiv(Timestamp, 1000000000.)) + toIntervalDay(15) SETTINGS index_granularity = 8192, ttl_only_drop_parts = 1